-- MySQL dump 10.13  Distrib 5.1.56, for unknown-linux-gnu (x86_64)
--
-- Host: localhost    Database: project_music
-- ------------------------------------------------------
-- Server version	5.1.56-log







--
-- Table structure for table `#__assets`
--



CREATE TABLE `#__assets` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set parent.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `level` int(10) unsigned NOT NULL COMMENT 'The cached level in the nested tree.',
  `name` varchar(50) NOT NULL COMMENT 'The unique name for the asset.\n',
  `title` varchar(100) NOT NULL COMMENT 'The descriptive title for the asset.',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_asset_name` (`name`),
  KEY `idx_lft_rgt` (`lft`,`rgt`),
  KEY `idx_parent_id` (`parent_id`)
) ENGINE=MyISAM AUTO_INCREMENT=125 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__assets`
--


INSERT INTO `#__assets` (`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`) VALUES (1,0,1,578,0,'root.1','Root Asset','{\"core.login.site\":{\"6\":1,\"2\":1},\"core.login.admin\":{\"6\":1},\"core.login.offline\":[],\"core.admin\":{\"8\":1},\"core.manage\":{\"7\":1},\"core.create\":{\"6\":1,\"3\":1},\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"core.edit.own\":{\"6\":1,\"3\":1}}'),(2,1,1,2,1,'com_admin','com_admin','{}'),(3,1,3,6,1,'com_banners','com_banners','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(4,1,7,8,1,'com_cache','com_cache','{\"core.admin\":{\"7\":1},\"core.manage\":{\"7\":1}}'),(5,1,9,10,1,'com_checkin','com_checkin','{\"core.admin\":{\"7\":1},\"core.manage\":{\"7\":1}}'),(6,1,11,12,1,'com_config','com_config','{}'),(7,1,13,20,1,'com_contact','com_contact','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(8,1,21,174,1,'com_content','com_content','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":{\"3\":1},\"core.delete\":[],\"core.edit\":{\"4\":1},\"core.edit.state\":{\"5\":1},\"core.edit.own\":[]}'),(9,1,175,176,1,'com_cpanel','com_cpanel','{}'),(10,1,177,178,1,'com_installer','com_installer','{\"core.admin\":{\"7\":1},\"core.manage\":{\"7\":1},\"core.delete\":[],\"core.edit.state\":[]}'),(11,1,179,180,1,'com_languages','com_languages','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(12,1,181,182,1,'com_login','com_login','{}'),(13,1,183,184,1,'com_mailto','com_mailto','{}'),(14,1,185,186,1,'com_massmail','com_massmail','{}'),(15,1,187,188,1,'com_media','com_media','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":{\"3\":1},\"core.delete\":{\"5\":1}}'),(16,1,189,190,1,'com_menus','com_menus','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(17,1,191,192,1,'com_messages','com_messages','{\"core.admin\":{\"7\":1},\"core.manage\":{\"7\":1}}'),(18,1,193,194,1,'com_modules','com_modules','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(19,1,195,202,1,'com_newsfeeds','com_newsfeeds','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(20,1,203,204,1,'com_plugins','com_plugins','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(21,1,205,206,1,'com_redirect','com_redirect','{\"core.admin\":{\"7\":1},\"core.manage\":[]}'),(22,1,207,208,1,'com_search','com_search','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1}}'),(23,1,209,210,1,'com_templates','com_templates','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(24,1,211,212,1,'com_users','com_users','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":{\"6\":1}}'),(25,1,213,220,1,'com_weblinks','com_weblinks','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":{\"3\":1},\"core.delete\":[],\"core.edit\":{\"4\":1},\"core.edit.state\":{\"5\":1},\"core.edit.own\":[]}'),(26,1,221,222,1,'com_wrapper','com_wrapper','{}'),(27,8,22,29,2,'com_content.category.2','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(28,3,4,5,2,'com_banners.category.3','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(29,7,14,15,2,'com_contact.category.4','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(30,19,196,197,2,'com_newsfeeds.category.5','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(31,25,214,215,2,'com_weblinks.category.6','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(32,33,31,32,3,'com_content.article.1','Typography','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(33,8,30,49,2,'com_content.category.7','Template articles','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(34,33,33,34,3,'com_content.article.2','Module positions','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(35,33,35,36,3,'com_content.article.3','Messages','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(36,33,37,38,3,'com_content.article.4','Chrome frame','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(37,8,50,59,2,'com_content.category.8','Menu types','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(38,37,51,52,3,'com_content.article.5','Menu types','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(39,8,60,79,2,'com_content.category.9','Layouts','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(40,39,61,62,3,'com_content.article.6','Right column','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(41,39,63,64,3,'com_content.article.7','Right two columns','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(42,39,65,66,3,'com_content.article.8','Left column','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(43,39,67,68,3,'com_content.article.9','Left two columns','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(44,39,69,70,3,'com_content.article.10','Content inset left','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(45,39,71,72,3,'com_content.article.11','Content inset right','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(46,39,73,74,3,'com_content.article.12','Content inset both','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(47,39,75,76,3,'com_content.article.13','Content inset + column','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(48,39,77,78,3,'com_content.article.14','Content inset + column (2x)','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(49,37,53,54,3,'com_content.article.15','Split menu','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(50,37,55,56,3,'com_content.article.16','Dropline menu','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(51,37,57,58,3,'com_content.article.17','GK Menu','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(52,33,39,40,3,'com_content.article.18','Module variation','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(53,7,16,17,2,'com_contact.category.10','Sample category I','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(54,7,18,19,2,'com_contact.category.11','Sample category II','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(55,25,216,217,2,'com_weblinks.category.12','Joomla Weblink Category','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(56,25,218,219,2,'com_weblinks.category.13','GavickPro','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(57,19,198,199,2,'com_newsfeeds.category.14','GavickPro','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(58,19,200,201,2,'com_newsfeeds.category.15','Joomla!','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(59,27,23,24,3,'com_content.article.19','Archive article I','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(60,27,25,26,3,'com_content.article.20','Archive article II','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(61,27,27,28,3,'com_content.article.21','Archive article III','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(63,33,41,42,3,'com_content.article.23','IE 6 style','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(64,33,43,44,3,'com_content.article.24','Lorem ipsum','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(65,8,80,129,2,'com_content.category.16','Our services','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(66,65,81,92,3,'com_content.category.17','Coffee & Cappuccino','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(67,65,93,104,3,'com_content.category.18','People & Bars','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(68,65,105,116,3,'com_content.category.19','Cakes & Cookies','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(69,65,117,128,3,'com_content.category.20','Tea','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(70,67,94,95,4,'com_content.article.25','Newly Opened Piccolo Bar','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(71,69,118,119,4,'com_content.article.26','Jasmine and blooming sweet tea','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(72,69,120,121,4,'com_content.article.27','Sunflower tea cup','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(73,69,122,123,4,'com_content.article.28','Freshest full-leaf','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(74,69,124,125,4,'com_content.article.29','Chamomile Herb tea','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(75,69,126,127,4,'com_content.article.30','Mistic Chinese Tea','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(76,68,106,107,4,'com_content.article.31','Panforte Ei Siena - Italian fruitcake','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(77,66,82,83,4,'com_content.article.32','Espresso yourself cafe','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(78,68,108,109,4,'com_content.article.33','Rose\'s ice cream cake','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(79,68,110,111,4,'com_content.article.34','Royal Chocolat Creamy taste','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(80,68,112,113,4,'com_content.article.35','Berry Beachy Strawberry cake','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(81,68,114,115,4,'com_content.article.36','Martha Stewart\'s Marble Cake','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(82,67,96,97,4,'com_content.article.37','Why do People Drink Coffee so much?','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(83,67,98,99,4,'com_content.article.38','Social drinking brings up best talk','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(84,67,100,101,4,'com_content.article.39','You finally found that lost friend','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(85,67,102,103,4,'com_content.article.40','High quality service in Piccolo Bar','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(86,66,84,85,4,'com_content.article.41','Enjoy premium coffee','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(87,66,86,87,4,'com_content.article.42','Discover Peet\'s Coffee','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(88,66,88,89,4,'com_content.article.43','Coffee Picollo','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(89,66,90,91,4,'com_content.article.44','Cappuccino Creamy','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(90,8,130,135,2,'com_content.category.21','AppPhone','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(91,90,131,132,3,'com_content.category.22','AppPhone Popular','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(92,90,133,134,3,'com_content.category.23','AppPhone Premium','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(93,1,576,577,1,'com_k2','k2','{\"core.admin\":[],\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(94,8,136,145,2,'com_content.category.24','Music Blog','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(95,94,137,138,3,'com_content.article.45','Shakira Links Up with Beau Gerard Pique in Paris','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(96,8,146,149,2,'com_content.category.25','World','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(97,8,150,157,2,'com_content.category.26','Africa','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(98,8,158,163,2,'com_content.category.27','Asia','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(99,8,164,165,2,'com_content.category.28','Europe','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(100,8,166,167,2,'com_content.category.29','Business','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(101,8,168,169,2,'com_content.category.30','World Sports','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(102,8,170,173,2,'com_content.category.31','Technology','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(103,94,139,140,3,'com_content.article.46','Burswood Dome surrender\'s to Rihanna','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(104,94,141,142,3,'com_content.article.47','Sugarland Reuniting Missouri Family at CMT Music Awards','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(105,94,143,144,3,'com_content.article.48','The 2011 Guitar Soul\' in the Street summer concert','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(106,96,147,148,3,'com_content.article.49','Earthquake: Workers search for survivors','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(107,102,171,172,3,'com_content.article.50','Steve Jobs Speaks at 2010 D8 Conference','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(108,97,151,152,3,'com_content.article.51','11 million desperately hungry in East Africa','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(109,97,153,154,3,'com_content.article.52','Once Egypt\'s strongman, Mubarak\'s long fall','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(110,97,155,156,3,'com_content.article.53','10 arrested in Niger coup attempt','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(111,98,159,160,3,'com_content.article.54','Chinese police officers look at the Train Crash ','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(112,98,161,162,3,'com_content.article.55','Obama urged Chinese Premier Wen Jiabao to speed up','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(115,33,45,46,3,'com_content.article.56','Page break example','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(116,33,47,48,3,'com_content.article.57','Page Break','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}');


--
-- Table structure for table `#__associations`
--



CREATE TABLE `#__associations` (
  `id` varchar(50) NOT NULL COMMENT 'A reference to the associated item.',
  `context` varchar(50) NOT NULL COMMENT 'The context of the associated item.',
  `key` char(32) NOT NULL COMMENT 'The key for the association computed from an md5 on associated ids.',
  PRIMARY KEY (`context`,`id`),
  KEY `idx_key` (`key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__associations`
--




--
-- Table structure for table `#__banner_clients`
--



CREATE TABLE `#__banner_clients` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `contact` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `extrainfo` text NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `metakey` text NOT NULL,
  `own_prefix` tinyint(4) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(255) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  PRIMARY KEY (`id`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__banner_clients`
--




--
-- Table structure for table `#__banner_tracks`
--



CREATE TABLE `#__banner_tracks` (
  `track_date` datetime NOT NULL,
  `track_type` int(10) unsigned NOT NULL,
  `banner_id` int(10) unsigned NOT NULL,
  `count` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`track_date`,`track_type`,`banner_id`),
  KEY `idx_track_date` (`track_date`),
  KEY `idx_track_type` (`track_type`),
  KEY `idx_banner_id` (`banner_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__banner_tracks`
--




--
-- Table structure for table `#__banners`
--



CREATE TABLE `#__banners` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT '0',
  `type` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) NOT NULL DEFAULT '',
  `imptotal` int(11) NOT NULL DEFAULT '0',
  `impmade` int(11) NOT NULL DEFAULT '0',
  `clicks` int(11) NOT NULL DEFAULT '0',
  `clickurl` varchar(200) NOT NULL DEFAULT '',
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `description` text NOT NULL,
  `custombannercode` varchar(2048) NOT NULL,
  `sticky` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `params` text NOT NULL,
  `own_prefix` tinyint(1) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(255) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `reset` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `language` char(7) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `idx_state` (`state`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`),
  KEY `idx_banner_catid` (`catid`),
  KEY `idx_language` (`language`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__banners`
--


INSERT INTO `#__banners` (`id`, `cid`, `type`, `name`, `alias`, `imptotal`, `impmade`, `clicks`, `clickurl`, `state`, `catid`, `description`, `custombannercode`, `sticky`, `ordering`, `metakey`, `params`, `own_prefix`, `metakey_prefix`, `purchase_type`, `track_clicks`, `track_impressions`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `reset`, `created`, `language`) VALUES (1,0,1,'Joomla!','joomla',0,1128,0,'',1,3,'','<a href=\"{CLICKURL}\" target=\"_blank\">{NAME}</a>\r\n<br/>\r\nJoomla! The most popular and widely used Open Source CMS Project in the world.',0,1,'','{\"imageurl\":\"\",\"width\":\"\",\"height\":\"\",\"alt\":\"\"}',0,'',-1,0,0,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','2011-02-13 00:00:00','2011-01-13 13:00:45','*'),(2,0,1,'JoomlaCode','joomlacode',0,1128,0,'',1,3,'','<a href=\"{CLICKURL}\" target=\"_blank\">{NAME}</a>\r\n<br/>\r\nJoomlaCode, development and distribution made easy.',0,2,'','{\"imageurl\":\"\",\"width\":\"\",\"height\":\"\",\"alt\":\"\"}',0,'',-1,0,0,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','2011-02-13 00:00:00','2011-01-13 13:01:50','*'),(3,0,0,'GavickPro','gavickpro',0,2,0,'http://gavick.com',-2,3,'The best Joomla! Templates. Both for Joomla! 1.5 and Joomla! 1.6+.','',0,0,'','{\"imageurl\":\"\",\"width\":\"\",\"height\":\"\",\"alt\":\"\"}',0,'',-1,0,0,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','2011-12-08 00:00:00','2011-11-08 16:15:02','*'),(4,0,0,'Tools','tools',0,1,0,'http://tools.gavick.com',-2,3,'The best Joomla! Extensions. Both for Joomla! 1.5 and Joomla! 1.6+.','',0,0,'','{\"imageurl\":\"\",\"width\":\"\",\"height\":\"\",\"alt\":\"\"}',0,'',-1,0,0,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','2011-12-08 00:00:00','2011-11-08 16:15:47','*'),(5,0,1,'GavickPro','gavick',0,401,0,'http://gavick.com',1,3,'','<a href=\"{CLICKURL}\" target=\"_blank\">{NAME}</a>\r\n<br/>\r\nThe best Joomla! Templates.',0,3,'','{\"imageurl\":\"\",\"width\":\"\",\"height\":\"\",\"alt\":\"\"}',0,'',-1,0,0,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','2011-12-08 00:00:00','2011-11-08 16:29:01','*'),(6,0,1,'Tools','tools-gavickpro',0,399,0,'http://tools.gavick.com',1,3,'','<a href=\"{CLICKURL}\" target=\"_blank\">{NAME}</a>\r\n<br/>\r\nThe Best Joomla! Extensions',0,4,'','{\"imageurl\":\"\",\"width\":\"\",\"height\":\"\",\"alt\":\"\"}',0,'',-1,0,0,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','2011-12-08 00:00:00','2011-11-08 16:30:15','*');


--
-- Table structure for table `#__categories`
--



CREATE TABLE `#__categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL DEFAULT '0',
  `level` int(10) unsigned NOT NULL DEFAULT '0',
  `path` varchar(255) NOT NULL DEFAULT '',
  `extension` varchar(50) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` mediumtext,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) unsigned DEFAULT NULL,
  `params` text NOT NULL,
  `metadesc` varchar(1024) NOT NULL COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `cat_idx` (`extension`,`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_path` (`path`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_language` (`language`)
) ENGINE=MyISAM AUTO_INCREMENT=32 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__categories`
--


INSERT INTO `#__categories` (`id`, `asset_id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`) VALUES (1,0,0,0,61,0,'','system','ROOT','root','','',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2009-10-18 16:07:09',0,'0000-00-00 00:00:00',0,'*'),(2,27,1,1,2,1,'uncategorised','com_content','Uncategorised','uncategorised','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',42,'2010-06-28 13:26:37',0,'0000-00-00 00:00:00',0,'*'),(3,28,1,3,4,1,'uncategorised','com_banners','Uncategorised','uncategorised','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\",\"foobar\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',42,'2010-06-28 13:27:35',0,'0000-00-00 00:00:00',0,'*'),(4,29,1,5,6,1,'uncategorised','com_contact','Uncategorised','uncategorised','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',42,'2010-06-28 13:27:57',0,'0000-00-00 00:00:00',0,'*'),(5,30,1,7,8,1,'uncategorised','com_newsfeeds','Uncategorised','uncategorised','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',42,'2010-06-28 13:28:15',0,'0000-00-00 00:00:00',0,'*'),(6,31,1,9,10,1,'uncategorised','com_weblinks','Uncategorised','uncategorised','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',42,'2010-06-28 13:28:33',0,'0000-00-00 00:00:00',0,'*'),(7,33,1,11,12,1,'template','com_content','Template articles','template','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2011-01-11 22:34:53',42,'2011-01-12 17:11:44',0,'*'),(8,37,1,13,14,1,'menu-types','com_content','Menu types','menu-types','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2011-01-12 17:56:17',0,'0000-00-00 00:00:00',0,'*'),(9,39,1,15,16,1,'layouts','com_content','Layouts','layouts','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2011-01-12 19:18:18',0,'0000-00-00 00:00:00',0,'*'),(10,53,1,17,18,1,'sample-category-i','com_contact','Sample category I','sample-category-i','','<p>Category description</p>',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2011-01-13 14:51:48',0,'0000-00-00 00:00:00',0,'*'),(11,54,1,19,20,1,'sample-category-ii','com_contact','Sample category II','sample-category-ii','','<p>Sample category description</p>',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2011-01-13 14:52:10',0,'0000-00-00 00:00:00',0,'*'),(12,55,1,21,22,1,'joomla-weblink-category','com_weblinks','Joomla Weblink Category','joomla-weblink-category','','<p>Simple category with Joomla links!</p>',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2011-01-13 15:01:01',0,'0000-00-00 00:00:00',0,'*'),(13,56,1,23,24,1,'gavick','com_weblinks','GavickPro','gavick','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2011-01-13 15:05:39',42,'2011-01-13 15:11:56',0,'*'),(14,57,1,25,26,1,'gavickpro','com_newsfeeds','GavickPro','gavickpro','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2011-01-13 15:34:33',0,'0000-00-00 00:00:00',0,'*'),(15,58,1,27,28,1,'joomla','com_newsfeeds','Joomla!','joomla','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2011-01-13 15:48:47',0,'0000-00-00 00:00:00',0,'*'),(16,65,1,29,38,1,'our-services','com_content','Our services','our-services','','',-2,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2011-02-26 22:14:25',0,'0000-00-00 00:00:00',0,'*'),(17,66,16,30,31,2,'our-services/coffee-and-cappuccino','com_content','Coffee & Cappuccino','coffee-and-cappuccino','','',-2,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2011-02-26 22:15:51',0,'0000-00-00 00:00:00',0,'*'),(18,67,16,32,33,2,'our-services/people-and-bars','com_content','People & Bars','people-and-bars','','',-2,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2011-02-26 22:16:11',0,'0000-00-00 00:00:00',0,'*'),(19,68,16,34,35,2,'our-services/cakes-and-cookies','com_content','Cakes & Cookies','cakes-and-cookies','','',-2,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2011-02-26 22:16:51',0,'0000-00-00 00:00:00',0,'*'),(20,69,16,36,37,2,'our-services/tea','com_content','Tea','tea','','',-2,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2011-02-26 22:17:09',0,'0000-00-00 00:00:00',0,'*'),(21,90,1,39,44,1,'appphone','com_content','AppPhone','appphone','','',-2,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2011-06-20 11:27:08',0,'0000-00-00 00:00:00',0,'*'),(22,91,21,40,41,2,'appphone/appphone-popular','com_content','AppPhone Popular','appphone-popular','','',-2,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2011-06-20 11:27:26',42,'2011-06-20 11:27:29',0,'*'),(23,92,21,42,43,2,'appphone/appphone-premium','com_content','AppPhone Premium','appphone-premium','','',-2,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2011-06-20 11:27:46',0,'0000-00-00 00:00:00',0,'*'),(24,94,1,45,46,1,'music-blog','com_content','Music Blog','music-blog','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2011-08-04 09:43:21',42,'2011-11-29 20:05:15',0,'*'),(25,96,1,47,48,1,'world','com_content','World','world','','',-2,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2011-08-04 10:04:24',0,'0000-00-00 00:00:00',0,'*'),(26,97,1,49,50,1,'africa','com_content','Africa','africa','','',-2,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2011-08-04 10:04:39',42,'2011-08-04 10:04:42',0,'*'),(27,98,1,51,52,1,'asia','com_content','Asia','asia','','',-2,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2011-08-04 10:04:56',0,'0000-00-00 00:00:00',0,'*'),(28,99,1,53,54,1,'europe','com_content','Europe','europe','','',-2,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2011-08-04 10:05:10',0,'0000-00-00 00:00:00',0,'*'),(29,100,1,55,56,1,'business','com_content','Business','business','','',-2,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2011-08-04 10:05:29',0,'0000-00-00 00:00:00',0,'*'),(30,101,1,57,58,1,'world-sports','com_content','World Sports','world-sports','','',-2,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2011-08-04 10:05:43',0,'0000-00-00 00:00:00',0,'*'),(31,102,1,59,60,1,'technology','com_content','Technology','technology','','',-2,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',42,'2011-08-04 10:06:05',42,'2011-08-04 22:20:50',0,'*');


--
-- Table structure for table `#__community_activities`
--



CREATE TABLE `#__community_activities` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `actor` int(10) unsigned NOT NULL,
  `target` int(10) unsigned NOT NULL,
  `title` text NOT NULL,
  `content` text NOT NULL,
  `app` varchar(200) NOT NULL,
  `verb` varchar(200) NOT NULL,
  `cid` int(10) NOT NULL,
  `groupid` int(10) DEFAULT NULL,
  `eventid` int(10) DEFAULT NULL,
  `group_access` tinyint(4) NOT NULL DEFAULT '0',
  `event_access` tinyint(4) NOT NULL DEFAULT '0',
  `created` datetime NOT NULL,
  `access` tinyint(3) unsigned NOT NULL,
  `params` text NOT NULL,
  `points` int(4) NOT NULL DEFAULT '1',
  `archived` tinyint(3) NOT NULL,
  `location` text NOT NULL,
  `latitude` float NOT NULL DEFAULT '255',
  `longitude` float NOT NULL DEFAULT '255',
  `comment_id` int(10) NOT NULL,
  `comment_type` varchar(200) NOT NULL,
  `like_id` int(10) NOT NULL,
  `like_type` varchar(200) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `actor` (`actor`),
  KEY `target` (`target`),
  KEY `app` (`app`),
  KEY `created` (`created`),
  KEY `archived` (`archived`)
) ENGINE=MyISAM AUTO_INCREMENT=52 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_activities`
--


INSERT INTO `#__community_activities` (`id`, `actor`, `target`, `title`, `content`, `app`, `verb`, `cid`, `groupid`, `eventid`, `group_access`, `event_access`, `created`, `access`, `params`, `points`, `archived`, `location`, `latitude`, `longitude`, `comment_id`, `comment_type`, `like_id`, `like_type`) VALUES (1,42,0,'{actor} uploaded a new avatar','','profile','',0,0,0,0,0,'2011-11-26 12:39:43',0,'',1,0,'',255,255,42,'profile.avatar.upload',42,'profile.avatar.upload'),(2,42,0,'{actor} added {multiple}{count} new photos{/multiple}{single}a new photo{/single} in <a href=_QQQ_{multiUrl}_QQQ_>Concert Photos</a> album','','photos','',1,0,0,0,0,'2011-11-26 15:50:27',0,'{\"multiUrl\":\"index.php?option=com_community&view=photos&task=album&albumid=1&userid=42\",\"photoid\":1,\"action\":\"upload\",\"photo_url\":\"http:\\/\\/project.gavick.com\\/dziudek\\/joomla17\\/music\\/images\\/photos\\/42\\/1\\/thumb_206f7b933887c4b7636cbbea.jpg\"}',1,0,'San Jose, California',255,255,1,'photos.album',1,'photos.album'),(3,42,0,'{actor} added {multiple}{count} new photos{/multiple}{single}a new photo{/single} in <a href=_QQQ_{multiUrl}_QQQ_>Concert Photos</a> album','','photos','',1,0,0,0,0,'2011-11-26 15:50:29',0,'{\"multiUrl\":\"index.php?option=com_community&view=photos&task=album&albumid=1&userid=42\",\"photoid\":2,\"action\":\"upload\",\"photo_url\":\"http:\\/\\/project.gavick.com\\/dziudek\\/joomla17\\/music\\/images\\/photos\\/42\\/1\\/thumb_64599ded7257b8d2adea0309.jpg\"}',1,0,'San Jose, California',255,255,1,'photos.album',1,'photos.album'),(4,42,42,'\"This Is Me\", written by Andy Dodd and Adam Watts, is the fourth single from Camp Rock, a Disney Channel original movie, that is featured on the movie\'s','','profile','',42,0,0,0,0,'2011-11-26 16:18:28',0,'',1,0,'',255,255,4,'profile.status',4,'profile.status'),(36,73,42,'{actor} and {target} are now friends','','friends','',0,0,0,0,0,'2011-11-30 20:09:55',0,'',1,0,'',255,255,0,'',0,''),(37,42,56,'{actor} and {target} are now friends','','friends','',0,0,0,0,0,'2011-11-30 20:11:51',0,'',1,0,'',255,255,0,'',0,''),(6,56,56,'Suspendisse id enim turpis, non tincidunt mauris. Vestibulum vel nisi a libero pharetra tincidunt. Ut sollicitudin cursus ornare. Etiam ut turpis dolor. Suspendisse potenti.','','profile','',56,0,0,0,0,'2011-11-27 19:18:22',0,'',1,0,'',255,255,6,'profile.status',6,'profile.status'),(7,57,57,'Suspendisse id enim turpis, non tincidunt mauris. Vestibulum vel nisi a libero pharetra tincidunt. Ut sollicitudin cursus ornare. Etiam ut turpis dolor. Suspendisse potenti.','','profile','',57,0,0,0,0,'2011-11-27 19:20:24',0,'',1,0,'',255,255,7,'profile.status',7,'profile.status'),(8,59,59,'Suspendisse id enim turpis, non tincidunt mauris. Vestibulum vel nisi a libero pharetra tincidunt. Ut sollicitudin cursus ornare. Etiam ut turpis dolor. Suspendisse potenti.','','profile','',59,0,0,0,0,'2011-11-27 19:22:05',0,'',1,0,'',255,255,8,'profile.status',8,'profile.status'),(9,61,61,'Suspendisse id enim turpis, non tincidunt mauris. Vestibulum vel nisi a libero pharetra tincidunt. Ut sollicitudin cursus ornare. Etiam ut turpis dolor. Suspendisse potenti.','','profile','',61,0,0,0,0,'2011-11-27 19:23:19',0,'',1,0,'',255,255,9,'profile.status',9,'profile.status'),(10,61,0,'','','videos','',2,0,0,0,0,'2011-11-27 20:00:47',0,'{\"video_url\":\"index.php?option=com_community&view=videos&task=video&userid=61&videoid=2\"}',1,0,'San Jose, California',255,255,2,'videos',2,'videos'),(11,72,72,'Quisque pellentesque, mi nec convallis malesuada, felis leo egestas magna, id pretium elit nunc in leo. Sed aliquam tortor vel urna mollis non placerat nibh facilisis.','','profile','',72,0,0,0,0,'2011-11-27 20:42:08',0,'',1,0,'',255,255,11,'profile.status',11,'profile.status'),(12,62,62,'Quisque pellentesque, mi nec convallis malesuada, felis leo egestas magna, id pretium elit nunc in leo. Sed aliquam tortor vel urna mollis non placerat nibh facilisis.','','profile','',62,0,0,0,0,'2011-11-27 20:48:34',0,'',1,0,'',255,255,12,'profile.status',12,'profile.status'),(13,65,65,'Quisque pellentesque, mi nec convallis malesuada, felis leo egestas magna, id pretium elit nunc in leo. Sed aliquam tortor vel urna mollis non placerat nibh facilisis.','','profile','',65,0,0,0,0,'2011-11-27 20:52:07',0,'',1,0,'',255,255,13,'profile.status',13,'profile.status'),(14,69,69,'Quisque pellentesque, mi nec convallis malesuada, felis leo egestas magna, id pretium elit nunc in leo. Sed aliquam tortor vel urna mollis non placerat nibh facilisis.','','profile','',69,0,0,0,0,'2011-11-27 20:52:51',0,'',1,0,'',255,255,14,'profile.status',14,'profile.status'),(15,71,71,'Quisque pellentesque, mi nec convallis malesuada, felis leo egestas magna, id pretium elit nunc in leo. Sed aliquam tortor vel urna mollis non placerat nibh facilisis.','','profile','',71,0,0,0,0,'2011-11-27 20:53:55',0,'',1,0,'',255,255,15,'profile.status',15,'profile.status'),(16,67,67,'Quisque pellentesque, mi nec convallis malesuada, felis leo egestas magna, id pretium elit nunc in leo. Sed aliquam tortor vel urna mollis non placerat nibh facilisis.','','profile','',67,0,0,0,0,'2011-11-27 20:54:35',0,'',1,0,'',255,255,16,'profile.status',16,'profile.status'),(17,64,64,'Quisque pellentesque, mi nec convallis malesuada, felis leo egestas magna, id pretium elit nunc in leo. Sed aliquam tortor vel urna mollis non placerat nibh facilisis.','','profile','',64,0,0,0,0,'2011-11-27 20:55:42',0,'',1,0,'',255,255,17,'profile.status',17,'profile.status'),(18,63,63,'Quisque pellentesque, mi nec convallis malesuada, felis leo egestas magna, id pretium elit nunc in leo. Sed aliquam tortor vel urna mollis non placerat nibh facilisis.','','profile','',63,0,0,0,0,'2011-11-27 21:02:27',0,'',1,0,'',255,255,18,'profile.status',18,'profile.status'),(19,70,70,'Quisque pellentesque, mi nec convallis malesuada, felis leo egestas magna, id pretium elit nunc in leo. Sed aliquam tortor vel urna mollis non placerat nibh facilisis.','','profile','',70,0,0,0,0,'2011-11-27 21:05:31',0,'',1,0,'',255,255,19,'profile.status',19,'profile.status'),(20,68,68,'Quisque pellentesque, mi nec convallis malesuada, felis leo egestas magna, id pretium elit nunc in leo. Sed aliquam tortor vel urna mollis non placerat nibh facilisis.','','profile','',68,0,0,0,0,'2011-11-27 21:09:54',0,'',1,0,'',255,255,20,'profile.status',20,'profile.status'),(21,57,0,'','','videos','',3,0,0,0,0,'2011-11-27 21:27:34',0,'{\"video_url\":\"index.php?option=com_community&view=videos&task=video&userid=57&videoid=3\"}',1,0,'Norway',255,255,3,'videos',3,'videos'),(22,61,0,'','','videos','',4,0,0,0,0,'2011-11-27 21:32:14',0,'{\"video_url\":\"index.php?option=com_community&view=videos&task=video&userid=61&videoid=4\"}',1,0,'San Jose, California',255,255,4,'videos',4,'videos'),(23,62,0,'','','videos','',5,0,0,0,0,'2011-11-27 21:35:38',0,'{\"video_url\":\"index.php?option=com_community&view=videos&task=video&userid=62&videoid=5\"}',1,0,'San Jose, California',255,255,5,'videos',5,'videos'),(24,66,66,'Quisque pellentesque, mi nec convallis malesuada, felis leo egestas magna, id pretium elit nunc in leo. Sed aliquam tortor vel urna mollis non placerat nibh facilisis.','','profile','',66,0,0,0,0,'2011-11-27 21:45:16',0,'',1,0,'',255,255,24,'profile.status',24,'profile.status'),(25,58,58,'Quisque pellentesque, mi nec convallis malesuada, felis leo egestas magna, id pretium elit nunc in leo. Sed aliquam tortor vel urna mollis non placerat nibh facilisis.','','profile','',58,0,0,0,0,'2011-11-27 21:47:50',0,'',1,0,'',255,255,25,'profile.status',25,'profile.status'),(26,66,0,'{actor} added a new event, <a href=_QQQ_{event_url}_QQQ_>Young Night Concert</a>','','events','',1,0,1,0,0,'2011-11-27 21:55:55',0,'{\"action\":\"events.create\",\"event_url\":\"index.php?option=com_community&view=events&task=viewevent&eventid=1\",\"event_category_url\":\"index.php?option=com_community&view=events&task=display&categoryid=3\"}',1,0,'San Jose, California',255,255,1,'events',1,'events'),(27,65,0,'','','videos','',6,0,0,0,0,'2011-11-27 22:00:38',0,'{\"video_url\":\"index.php?option=com_community&view=videos&task=video&userid=65&videoid=6\"}',1,0,'San Jose, California',255,255,6,'videos',6,'videos'),(28,69,0,'','','videos','',7,0,0,0,0,'2011-11-27 22:03:23',0,'{\"video_url\":\"index.php?option=com_community&view=videos&task=video&userid=69&videoid=7\"}',1,0,'San Jose, California',255,255,7,'videos',7,'videos'),(29,58,0,'{actor} created a new group, <a href=_QQQ_{group_url}_QQQ_>Bryan Adams fan\'s club</a> in <a href=_QQQ_{category_url}_QQQ_>Music</a>','<p>Aenean porttitor condimentum lacus, sed ultrices libero tristique at. Proin sollicitudin, eros et consectetur dapibus, augue est mollis velit, non pretium libero tellus id est. In urna leo, posuere ut placerat nec, fringilla quis orci. Praesent rutrum dapibus blandit. Cras ut lorem augue, ut gravida sem. Nam ut nunc augue. Etiam id nisi id diam sagittis scelerisque eget non nulla. Pellentesque at erat quis nisl vehicula imperdiet vitae non mauris.</p>\r\n<p>Nam commodo erat eu est euismod at interdum sapien elementum. Donec odio ligula, condimentum id porta ut, malesuada id mi. Quisque sapien nulla, auctor eget gravida sed, ullamcorper non ligula. Duis sed velit vel enim ullamcorper suscipit. Vivamus eu eros erat, sed ultrices leo. Sed vel tristique nisi. Morbi nisl dolor, placerat eget venenatis sit amet, vestibulum ut risus. Ut dolor nulla, dictum at luctus quis, sagittis quis nibh.</p>','groups','',1,1,0,0,0,'2011-11-28 04:17:10',0,'{\"action\":\"group.create\",\"group_url\":\"index.php?option=com_community&view=groups&task=viewgroup&groupid=1\",\"category_url\":\"index.php?option=com_community&view=groups&task=display&categoryid=5\"}',1,0,'',255,255,0,'',0,''),(30,58,0,'{actor} uploaded a new avatar for the group, <a href=_QQQ_{group_url}_QQQ_>Bryan Adams fan\'s club</a>','<img src=\"http://project.gavick.com/dziudek/joomla17/music/images/avatar/groups/thumb_75674e42f4a3fc72125d6cb5.png\" style=\"border: 1px solid #eee;margin-right: 3px;\" />','groups','',1,1,0,0,0,'2011-11-28 04:17:46',0,'{\"group_url\":\"index.php?option=com_community&view=groups&task=viewgroup&groupid=1\"}',1,0,'',255,255,0,'',0,''),(31,58,0,'{actor} is attending <a href=_QQQ_{event_url}_QQQ_>Young Night Concert</a>.','','events','',1,0,1,0,0,'2011-11-28 04:19:14',0,'{\"eventid\":\"1\",\"action\":\"events.attendence.attend\",\"event_url\":\"\\/dziudek\\/joomla17\\/music\\/index.php\\/jomsocial\\/all-events\\/viewevent\\/1-young-night-concert\"}',1,0,'',255,255,0,'',0,''),(32,58,0,'Posted a new announcement, <a href=_QQQ_{group_url}_QQQ_>This is my Shout!</a>','Cras sapien nibh, faucibus facilisis rhoncus sit amet, cursus non dui. Nulla leo tellus, consequat q','groups.bulletin','',1,1,0,0,0,'2011-11-29 02:08:40',0,'{\"group_url\":\"index.php?option=com_community&view=groups&task=viewbulletin&groupid=1&bulletinid=1\"}',1,0,'',255,255,32,'groups.bulletin',32,'groups.bulletin'),(33,58,0,'Posted a new discussion, <a href=_QQQ_{topic_url}_QQQ_>{topic}</a>','<p>Cras sapien nibh, faucibus facilisis rhoncus sit amet, cursus non dui. Nulla leo tellus, consequat quis rutrum at, sodales tempor tortor. Aliquam quis lectus non eros porttitor scelerisque nec non mi.</p>\r\n<p>Mauris erat nisl, facilisis ut condimentum sit amet, interdum a risus. Integer ac sapien non nisl elementum luctus sit amet pellentesque elit. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Phasellus metus ligula, ornare quis dignissim non, aliquam quis ligula. Aliquam fermentum lectus sit amet elit fringilla ac faucibus urna aliquet.</p>','groups.discussion','',1,1,0,0,0,'2011-11-29 02:09:49',0,'{\"action\":\"group.discussion.create\",\"topic_id\":1,\"topic\":\"Cras sapien nibh, faucibus facilisis rhoncus sit amet, cursus non dui?\",\"group_url\":\"index.php?option=com_community&view=groups&task=viewgroup&groupid=1\",\"topic_url\":\"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=1&topicid=1\"}',1,0,'',255,255,0,'',-1,'groups.discussion'),(34,73,73,'Quisque pellentesque, mi nec convallis malesuada, felis leo egestas magna, id pretium elit nunc in leo. Sed aliquam tortor vel urna mollis non placerat nibh facilisis.','','profile','',73,0,0,0,0,'2011-11-30 19:55:21',0,'',1,0,'',255,255,34,'profile.status',34,'profile.status'),(35,73,0,'{multiple}{actors}{/multiple}{single}{actor}{/single} joined the group <a href=_QQQ_{group_url}_QQQ_>Bryan Adams fan\'s club</a>','','groups','',1,0,0,0,0,'2011-11-30 19:57:46',0,'{\"group_url\":\"index.php?option=com_community&view=groups&task=viewgroup&groupid=1\"}',1,0,'',255,255,0,'',0,''),(38,73,56,'{actor} and {target} are now friends','','friends','',0,0,0,0,0,'2011-11-30 20:11:52',0,'',1,0,'',255,255,0,'',0,''),(39,56,57,'{actor} and {target} are now friends','','friends','',0,0,0,0,0,'2011-11-30 20:14:01',0,'',1,0,'',255,255,0,'',0,''),(40,42,58,'{actor} and {target} are now friends','','friends','',0,0,0,0,0,'2011-11-30 20:16:44',0,'',1,0,'',255,255,0,'',0,''),(41,58,73,'{actor} and {target} are now friends','','friends','',0,0,0,0,0,'2011-11-30 20:19:47',0,'',1,0,'',255,255,0,'',0,''),(42,57,73,'{actor} and {target} are now friends','','friends','',0,0,0,0,0,'2011-11-30 20:19:48',0,'',1,0,'',255,255,0,'',0,''),(43,73,0,'{actor} added {multiple}{count} new photos{/multiple}{single}a new photo{/single} in <a href=_QQQ_{multiUrl}_QQQ_>NIN Concert photos </a> album','','photos','',2,0,0,0,0,'2011-11-30 20:22:13',0,'{\"multiUrl\":\"index.php?option=com_community&view=photos&task=album&albumid=2&userid=73\",\"photoid\":3,\"action\":\"upload\",\"photo_url\":\"http:\\/\\/project.gavick.com\\/dziudek\\/joomla17\\/music\\/images\\/photos\\/73\\/2\\/thumb_8e304e32c60d77a24e709943.jpg\"}',1,0,'New York',255,255,2,'photos.album',2,'photos.album'),(44,73,0,'{actor} added {multiple}{count} new photos{/multiple}{single}a new photo{/single} in <a href=_QQQ_{multiUrl}_QQQ_>NIN Concert photos </a> album','','photos','',2,0,0,0,0,'2011-11-30 20:22:16',0,'{\"multiUrl\":\"index.php?option=com_community&view=photos&task=album&albumid=2&userid=73\",\"photoid\":4,\"action\":\"upload\",\"photo_url\":\"http:\\/\\/project.gavick.com\\/dziudek\\/joomla17\\/music\\/images\\/photos\\/73\\/2\\/thumb_617601423805d93763e74b16.jpg\"}',1,0,'New York',255,255,2,'photos.album',2,'photos.album'),(45,73,0,'{actor} added {multiple}{count} new photos{/multiple}{single}a new photo{/single} in <a href=_QQQ_{multiUrl}_QQQ_>NIN Concert photos </a> album','','photos','',2,0,0,0,0,'2011-11-30 20:22:19',0,'{\"multiUrl\":\"index.php?option=com_community&view=photos&task=album&albumid=2&userid=73\",\"photoid\":5,\"action\":\"upload\",\"photo_url\":\"http:\\/\\/project.gavick.com\\/dziudek\\/joomla17\\/music\\/images\\/photos\\/73\\/2\\/thumb_aba542b0ac4c7bfc54b187f0.jpg\"}',1,0,'New York',255,255,2,'photos.album',2,'photos.album'),(46,73,0,'{actor} added {multiple}{count} new photos{/multiple}{single}a new photo{/single} in <a href=_QQQ_{multiUrl}_QQQ_>NIN Concert photos </a> album','','photos','',2,0,0,0,0,'2011-11-30 20:22:21',0,'{\"multiUrl\":\"index.php?option=com_community&view=photos&task=album&albumid=2&userid=73\",\"photoid\":6,\"action\":\"upload\",\"photo_url\":\"http:\\/\\/project.gavick.com\\/dziudek\\/joomla17\\/music\\/images\\/photos\\/73\\/2\\/thumb_3405c3d577c59b0b1057aa8d.jpg\"}',1,0,'New York',255,255,2,'photos.album',2,'photos.album'),(47,73,0,'{actor} added {multiple}{count} new photos{/multiple}{single}a new photo{/single} in <a href=_QQQ_{multiUrl}_QQQ_>NIN Concert photos </a> album','','photos','',2,0,0,0,0,'2011-11-30 20:22:24',0,'{\"multiUrl\":\"index.php?option=com_community&view=photos&task=album&albumid=2&userid=73\",\"photoid\":7,\"action\":\"upload\",\"photo_url\":\"http:\\/\\/project.gavick.com\\/dziudek\\/joomla17\\/music\\/images\\/photos\\/73\\/2\\/thumb_75a46428db9def4854ee7148.jpg\"}',1,0,'New York',255,255,2,'photos.album',2,'photos.album'),(48,73,0,'{actor} added {multiple}{count} new photos{/multiple}{single}a new photo{/single} in <a href=_QQQ_{multiUrl}_QQQ_>NIN Concert photos </a> album','','photos','',2,0,0,0,0,'2011-11-30 20:22:27',0,'{\"multiUrl\":\"index.php?option=com_community&view=photos&task=album&albumid=2&userid=73\",\"photoid\":8,\"action\":\"upload\",\"photo_url\":\"http:\\/\\/project.gavick.com\\/dziudek\\/joomla17\\/music\\/images\\/photos\\/73\\/2\\/thumb_d06b387d34a178627f4c523f.jpg\"}',1,0,'New York',255,255,2,'photos.album',2,'photos.album'),(49,73,0,'{actor} added {multiple}{count} new photos{/multiple}{single}a new photo{/single} in <a href=_QQQ_{multiUrl}_QQQ_>NIN Concert photos </a> album','','photos','',2,0,0,0,0,'2011-11-30 20:22:30',0,'{\"multiUrl\":\"index.php?option=com_community&view=photos&task=album&albumid=2&userid=73\",\"photoid\":9,\"action\":\"upload\",\"photo_url\":\"http:\\/\\/project.gavick.com\\/dziudek\\/joomla17\\/music\\/images\\/photos\\/73\\/2\\/thumb_1ac72d7b18311b2d15170221.jpg\"}',1,0,'New York',255,255,2,'photos.album',2,'photos.album'),(50,73,0,'{actor} added {multiple}{count} new photos{/multiple}{single}a new photo{/single} in <a href=_QQQ_{multiUrl}_QQQ_>NIN Concert photos </a> album','','photos','',2,0,0,0,0,'2011-11-30 20:22:32',0,'{\"multiUrl\":\"index.php?option=com_community&view=photos&task=album&albumid=2&userid=73\",\"photoid\":10,\"action\":\"upload\",\"photo_url\":\"http:\\/\\/project.gavick.com\\/dziudek\\/joomla17\\/music\\/images\\/photos\\/73\\/2\\/thumb_cd4a417ef6af982a9952a4cd.jpg\"}',1,0,'New York',255,255,2,'photos.album',2,'photos.album'),(51,74,74,'There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even','','profile','',74,0,0,0,0,'2011-12-01 00:59:22',0,'',1,0,'',255,255,51,'profile.status',51,'profile.status');


--
-- Table structure for table `#__community_activities_hide`
--



CREATE TABLE `#__community_activities_hide` (
  `activity_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_activities_hide`
--




--
-- Table structure for table `#__community_apps`
--



CREATE TABLE `#__community_apps` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `userid` int(10) unsigned NOT NULL,
  `apps` varchar(200) NOT NULL,
  `ordering` int(10) unsigned NOT NULL,
  `position` varchar(50) NOT NULL DEFAULT 'content',
  `params` text NOT NULL,
  `privacy` varchar(200) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_userid` (`userid`),
  KEY `idx_user_apps` (`userid`,`apps`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_apps`
--




--
-- Table structure for table `#__community_avatar`
--



CREATE TABLE `#__community_avatar` (
  `id` int(10) unsigned NOT NULL,
  `apptype` varchar(255) NOT NULL,
  `path` text NOT NULL,
  `type` tinyint(3) unsigned NOT NULL COMMENT '0 = small, 1 = medium, 2=large',
  UNIQUE KEY `id` (`id`,`apptype`,`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_avatar`
--




--
-- Table structure for table `#__community_blocklist`
--



CREATE TABLE `#__community_blocklist` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userid` int(11) NOT NULL,
  `blocked_userid` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `userid` (`userid`),
  KEY `blocked_userid` (`blocked_userid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_blocklist`
--




--
-- Table structure for table `#__community_config`
--



CREATE TABLE `#__community_config` (
  `name` varchar(64) NOT NULL,
  `params` longtext NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_config`
--


INSERT INTO `#__community_config` (`name`, `params`) VALUES ('dbversion','11'),('config','{\"enablegroups\":\"1\",\"moderategroupcreation\":\"0\",\"creategroups\":\"1\",\"creatediscussion\":\"1\",\"groupphotos\":\"1\",\"groupvideos\":\"1\",\"point0\":50,\"point1\":\"50\",\"point2\":\"100\",\"point3\":\"200\",\"point4\":\"350\",\"point5\":\"600\",\"defaultpoint\":\"0\",\"wallediting\":\"1\",\"lockprofilewalls\":\"1\",\"lockgroupwalls\":\"1\",\"lockvideoswalls\":\"1\",\"lockeventwalls\":\"1\",\"enablephotos\":\"1\",\"enablepm\":\"1\",\"notifyby\":1,\"sitename\":\"Music\",\"privacyemail\":\"1\",\"privacyemailpm\":1,\"privacyapps\":\"1\",\"displayname\":\"name\",\"template\":\"gk_style\",\"task\":\"saveconfig\",\"view\":\"configuration\",\"option\":\"com_community\",\"privacyprofile\":\"0\",\"privacyfriends\":\"0\",\"privacyphotos\":\"0\",\"privacyvideos\":0,\"photomaxwidth\":600,\"allmemberactivitycomment\":\"0\",\"originalphotopath\":\"originalphotos\",\"displayhome\":1,\"maxactivities\":\"12\",\"showactivityavatar\":\"1\",\"enablereporting\":\"1\",\"maxReport\":\"50\",\"enablecustomviewcss\":0,\"frontpageusers\":\"16\",\"jsnetwork_path\":\"http:\\/\\/updates.jomsocial.com\\/index.php?option=com_jsnetwork&view=submit&task=update\",\"groupnewseditor\":1,\"imageengine\":\"auto\",\"dbversion\":1.1,\"predefinedreports\":\"Spamming \\/ Advertisement\\r\\nProfanity \\/ Inappropriate content.\\r\\nAbusive.\",\"activitiestimeformat\":\"%I:%M %p\",\"activitiesdayformat\":\"%b %d\",\"maxuploadsize\":\"8\",\"enablevideos\":\"1\",\"enableprofilevideo\":\"1\",\"enablevideosupload\":\"0\",\"videosSize\":\"480x360\",\"videosThumbSize\":\"112x84\",\"frontpagevideos\":\"6\",\"deleteoriginalvideos\":\"0\",\"videofolder\":\"images\",\"imagefolder\":\"images\",\"photofolder\":\"images\",\"videobaseurl\":\"\",\"imagebaseurl\":\"\",\"photobaseurl\":\"\",\"imagecdnpath\":\"\",\"videocdnpath\":\"\",\"photocdnpath\":\"\",\"maxvideouploadsize\":\"8\",\"videodebug\":\"0\",\"guestsearch\":\"0\",\"floodLimit\":60,\"pmperday\":\"30\",\"sendemailonpageload\":\"0\",\"showlatestvideos\":1,\"showlatestgroups\":1,\"showlatestphotos\":1,\"showactivitystream\":\"1\",\"showlatestmembers\":1,\"daylightsavingoffset\":\"0\",\"singularnumber\":\"1\",\"usepackedjavascript\":0,\"folderpermissionsphoto\":755,\"folderpermissionsvideo\":755,\"iphoneactivitiesapps\":\"photos,groups,profile,walls\",\"sessionexpiryperiod\":600,\"activationresetpassword\":0,\"groupdiscussnotification\":\"0\",\"tagboxwidth\":150,\"tagboxheight\":150,\"frontpagephotos\":\"9\",\"autoalbumcover\":\"1\",\"enablesharethis\":\"1\",\"enablekarma\":\"1\",\"privacywallcomment\":\"0\",\"photouploadlimit\":\"500\",\"videouploadlimit\":\"500\",\"groupcreatelimit\":\"300\",\"groupphotouploadlimit\":\"500\",\"groupvideouploadlimit\":\"500\",\"fbsignupimport\":\"1\",\"fbwatermark\":\"1\",\"fbloginimportprofile\":\"1\",\"fbloginimportavatar\":\"1\",\"fbconnectupdatestatus\":\"1\",\"featureduserslimit\":\"10\",\"featuredvideoslimit\":\"10\",\"featuredgroupslimit\":\"10\",\"featuredalbumslimit\":\"10\",\"recaptcha\":\"0\",\"profileDateFormat\":\"%d\\/%m\\/%Y\",\"frontpagegroups\":\"5\",\"frontpageactivitydefault\":\"all\",\"photostorage\":\"file\",\"photodisplaysize\":800,\"storages3bucket\":\"\",\"storages3accesskey\":\"\",\"storages3secretkey\":\"\",\"recaptchatheme\":\"red\",\"recaptchalang\":\"en\",\"alloweddomains\":\"\",\"denieddomains\":\"\",\"htmlemail\":\"1\",\"htmlemailtemplate\":\"html.mail\",\"videostorage\":\"file\",\"showactivitycontent\":\"1\",\"totalemailpercron\":150,\"enablevideopseudostream\":\"0\",\"photosordering\":\"DESC\",\"respectactivityprivacy\":\"1\",\"showsearch\":1,\"showonline\":1,\"fieldcodestreet\":\"FIELD_ADDRESS\",\"fieldcodecity\":\"FIELD_CITY\",\"fieldcodestate\":\"FIELD_STATE\",\"fieldcodecountry\":\"FIELD_COUNTRY\",\"alphabetfiltering\":\"1\",\"enableevents\":\"1\",\"createevents\":\"1\",\"eventcreatelimit\":\"300\",\"eventexportical\":\"1\",\"eventdateformat\":\"%b %d\",\"eventshowampm\":\"1\",\"eventshowmap\":\"1\",\"eventshowtimezone\":\"0\",\"deleteoriginalphotos\":\"0\",\"groupdiscussionmaxlist\":5,\"statusmaxchar\":\"400\",\"htmleditor\":\"tinymce\",\"fbconnectpoststatus\":\"1\",\"streamcontentlength\":\"150\",\"extendeduserinfo\":0,\"allowhtml\":\"1\",\"show_toolbar\":\"1\",\"activitydateformat\":\"lapse\",\"enableguestsearchgroups\":\"1\",\"enableguestsearchevents\":\"1\",\"enableguestsearchvideos\":\"1\",\"use_youtube_iframe_embed\":1,\"redirect_login\":\"profile\",\"recaptcha_secure\":\"0\",\"event_moderation\":\"0\",\"profile_deletion\":\"1\",\"group_events\":\"1\",\"photos_auto_rotate\":\"1\",\"event_nearby_radius\":\"5\",\"profile_multiprofile\":\"1\",\"amazon_storageclass\":\"STANDARD\",\"redirect_logout\":\"frontpage\",\"fbapps_metatags\":0,\"frontpage_latest_events\":1,\"frontpage_events_limit\":\"5\",\"user_avatar_storage\":\"file\",\"show_like_public\":1,\"group_discuss_order\":\"DESC\",\"likes_profile\":\"1\",\"likes_groups\":\"1\",\"likes_events\":\"1\",\"likes_photo\":\"1\",\"likes_videos\":\"1\",\"likes_album\":1,\"event_import_ical\":\"1\",\"tips_desc_length\":450,\"custom_activity\":\"1\",\"privacy_show_admins\":\"1\",\"privacy_search_email\":\"0\",\"privacy_groups_list\":0,\"photopaginationlimit\":\"100\",\"videopaginationlimit\":100,\"photosmapdefault\":\"0\",\"videosmapdefault\":\"0\",\"tags_videos\":1,\"tags_discussions\":1,\"tags_groups\":1,\"tags_events\":1,\"tags_photos\":1,\"tags_show_in_stream\":1,\"antispam_filter\":\"akismet\",\"antispam_akismet_key\":\"\",\"antispam_akismet_messages\":\"1\",\"antispam_akismet_friends\":\"1\",\"antispam_akismet_walls\":\"1\",\"antispam_akismet_status\":\"1\",\"antispam_akismet_discussions\":\"1\",\"limit_groups_perday\":\"30\",\"limit_photos_perday\":\"30\",\"limit_videos_perday\":\"30\",\"limit_friends_perday\":\"50\",\"toolbar_menutype\":\"jomsocial\",\"toolbar_single_itemid\":1,\"enable_videos_location\":\"1\",\"enable_photos_location\":\"1\",\"facebook_invite_friends\":\"1\",\"stream_show_map\":1,\"user_address_fields\":\"FIELD_ADDRESS,FIELD_CITY,FIELD_STATE,FIELD_ZIPCODE,FIELD_COUNTRY\",\"output_image_quality\":\"80\",\"editors\":\"jomsocial\",\"createannouncement\":\"1\",\"archive_activity_limit\":\"500\",\"groups_avatar_storage\":\"file\",\"enable_refresh\":\"1\",\"stream_refresh_interval\":\"30000\",\"newtab\":\"0\",\"show_featured\":\"0\",\"copyrightemail\":\"Copyright of Your Company\",\"etype_profile_submit_wall_comment\":1,\"etype_profile_status_update\":\"1\",\"etype_user_profile_delete\":\"1\",\"etype_groups_submit_wall_comment\":1,\"etype_groups_invite\":\"1\",\"etype_groups_discussion_reply\":\"1\",\"etype_groups_wall_create\":\"1\",\"etype_groups_create_discussion\":\"1\",\"etype_groups_create_news\":\"1\",\"etype_groups_sendmail\":\"1\",\"etype_groups_member_approved\":\"1\",\"etype_groups_member_join\":\"1\",\"etype_groups_notify_creator\":\"1\",\"etype_groups_notify_admin\":\"1\",\"etype_events_submit_wall_comment\":1,\"etype_events_invite\":\"1\",\"etype_events_invitation_approved\":\"1\",\"etype_events_sendmail\":\"1\",\"etype_events_notify_admin\":\"1\",\"etype_videos_submit_wall\":\"1\",\"etype_photos_submit_wall\":\"1\",\"etype_photos_tagging\":\"1\",\"etype_friends_invite_users\":1,\"etype_friends_create_connection\":\"1\",\"etype_inbox_create_message\":\"1\",\"etype_system_bookmarks_email\":\"1\",\"etype_system_messaging\":\"1\",\"friendloadlimit\":9,\"photospath\":\"\\/home\\/project\\/public_html\\/dziudek\\/joomla17\\/music\\/images\",\"notifyMaxReport\":\"\",\"enableguestreporting\":\"0\",\"enableterms\":\"0\",\"registrationTerms\":\"\",\"recaptchapublic\":\"\",\"recaptchaprivate\":\"\",\"antispam_enable\":\"0\",\"magickPath\":\"\",\"ffmpegPath\":\"\",\"flvtool2\":\"\",\"qscale\":\"11\",\"customCommandForVideo\":\"\",\"enable_zencoder\":\"0\",\"zencoder_api_key\":\"\",\"etype_system_reports_threshold\":\"0\",\"etype_friends_request_connection\":\"0\",\"etype_groups_create_album\":\"0\",\"etype_groups_create_video\":\"0\",\"etype_groups_create_event\":\"0\",\"network_enable\":\"0\",\"network_description\":\"\",\"network_keywords\":\"\",\"network_join_url\":\"http:\\/\\/project.gavick.com\\/dziudek\\/joomla17\\/music\\/index.php?option=com_community&view=register&Itemid=350\",\"network_cron_freq\":\"24\",\"network_cron_last_run\":\"0\",\"fbconnectkey\":\"\",\"fbconnectsecret\":\"\",\"amazon_storage_class\":\"STANDARD\",\"enablemyblogicon\":\"0\"}');


--
-- Table structure for table `#__community_connect_users`
--



CREATE TABLE `#__community_connect_users` (
  `connectid` bigint(20) NOT NULL,
  `type` varchar(255) NOT NULL,
  `userid` int(11) NOT NULL,
  KEY `type` (`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_connect_users`
--




--
-- Table structure for table `#__community_connection`
--



CREATE TABLE `#__community_connection` (
  `connection_id` int(11) NOT NULL AUTO_INCREMENT,
  `connect_from` int(11) NOT NULL,
  `connect_to` int(11) NOT NULL,
  `status` tinyint(4) NOT NULL,
  `group` int(11) NOT NULL,
  `msg` text NOT NULL,
  `created` datetime DEFAULT NULL,
  PRIMARY KEY (`connection_id`),
  KEY `connect_from` (`connect_from`,`connect_to`,`status`,`group`),
  KEY `idx_connect_to` (`connect_to`),
  KEY `idx_connect_from` (`connect_from`),
  KEY `idx_connect_tofrom` (`connect_to`,`connect_from`)
) ENGINE=MyISAM AUTO_INCREMENT=62 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_connection`
--


INSERT INTO `#__community_connection` (`connection_id`, `connect_from`, `connect_to`, `status`, `group`, `msg`, `created`) VALUES (1,73,72,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 19:56:27'),(2,73,70,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 19:56:35'),(3,73,67,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 19:56:42'),(4,73,64,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 19:56:47'),(5,73,62,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 19:56:52'),(6,73,59,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 19:56:57'),(23,73,56,1,0,'','2011-11-30 20:11:52'),(9,73,42,1,0,'','2011-11-30 20:09:55'),(10,42,73,1,0,'','2011-11-30 20:09:55'),(11,42,72,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:10:32'),(12,42,71,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:10:37'),(13,42,69,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:10:43'),(14,42,67,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:10:48'),(15,42,65,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:10:58'),(16,42,64,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:11:03'),(17,42,62,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:11:09'),(45,42,58,1,0,'','2011-11-30 20:16:44'),(21,42,56,1,0,'','2011-11-30 20:11:51'),(20,42,55,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:11:27'),(22,56,42,1,0,'','2011-11-30 20:11:51'),(24,56,73,1,0,'','2011-11-30 20:11:52'),(25,56,71,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:12:32'),(26,56,72,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:12:37'),(27,56,68,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:13:00'),(28,56,66,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:13:06'),(29,56,64,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:13:11'),(30,56,61,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:13:17'),(31,56,59,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:13:23'),(34,56,57,1,0,'','2011-11-30 20:14:01'),(33,56,55,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:13:32'),(35,57,56,1,0,'','2011-11-30 20:14:01'),(60,57,73,1,0,'','2011-11-30 20:19:48'),(37,57,71,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:15:33'),(38,57,69,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:15:39'),(39,57,67,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:15:45'),(40,57,65,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:15:50'),(41,57,62,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:15:56'),(42,57,63,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:16:01'),(43,57,59,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:16:07'),(44,57,55,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:16:20'),(46,58,42,1,0,'','2011-11-30 20:16:44'),(58,58,73,1,0,'','2011-11-30 20:19:47'),(48,58,72,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:18:29'),(49,58,70,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:18:35'),(50,58,69,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:18:42'),(51,58,67,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:18:48'),(52,58,66,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:18:54'),(53,58,65,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:19:00'),(54,58,62,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:19:06'),(55,58,60,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:19:11'),(56,58,57,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:19:18'),(57,58,55,0,0,'Hi, I\'d like to add you as friend.','2011-11-30 20:19:23'),(59,73,58,1,0,'','2011-11-30 20:19:47'),(61,73,57,1,0,'','2011-11-30 20:19:48');


--
-- Table structure for table `#__community_events`
--



CREATE TABLE `#__community_events` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `catid` int(11) unsigned NOT NULL,
  `contentid` int(11) unsigned DEFAULT '0' COMMENT '0 - if type == profile, else it hold the group id',
  `type` varchar(255) NOT NULL DEFAULT 'profile' COMMENT 'profile, group',
  `title` varchar(255) NOT NULL,
  `location` text NOT NULL,
  `summary` text NOT NULL,
  `description` text,
  `creator` int(11) unsigned NOT NULL,
  `startdate` datetime NOT NULL,
  `enddate` datetime NOT NULL,
  `permission` tinyint(4) unsigned NOT NULL DEFAULT '0' COMMENT '0 - Open (Anyone can mark attendence), 1 - Private (Only invited can mark attendence)',
  `avatar` varchar(255) DEFAULT NULL,
  `thumb` varchar(255) DEFAULT NULL,
  `invitedcount` int(11) unsigned DEFAULT '0',
  `confirmedcount` int(11) unsigned DEFAULT '0' COMMENT 'treat this as member count as well',
  `declinedcount` int(11) unsigned DEFAULT '0',
  `maybecount` int(11) unsigned DEFAULT '0',
  `wallcount` int(11) unsigned DEFAULT '0',
  `ticket` int(11) unsigned DEFAULT '0' COMMENT 'Represent how many guest can be joined or invited.',
  `allowinvite` tinyint(1) unsigned DEFAULT '1' COMMENT '0 - guest member cannot invite thier friends to join. 1 - yes, guest member can invite any of thier friends to join.',
  `created` datetime DEFAULT NULL,
  `hits` int(11) unsigned DEFAULT '0',
  `published` int(11) unsigned DEFAULT '1',
  `latitude` float NOT NULL DEFAULT '255',
  `longitude` float NOT NULL DEFAULT '255',
  `offset` varchar(5) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_creator` (`creator`),
  KEY `idx_period` (`startdate`,`enddate`),
  KEY `idx_type` (`type`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_events`
--


INSERT INTO `#__community_events` (`id`, `catid`, `contentid`, `type`, `title`, `location`, `summary`, `description`, `creator`, `startdate`, `enddate`, `permission`, `avatar`, `thumb`, `invitedcount`, `confirmedcount`, `declinedcount`, `maybecount`, `wallcount`, `ticket`, `allowinvite`, `created`, `hits`, `published`, `latitude`, `longitude`, `offset`) VALUES (1,3,0,'profile','Young Night Concert','San Jose, California','Quisque pellentesque, mi nec convallis malesuada, felis leo egestas magna, id pretium elit nunc in leo. Sed aliquam tortor vel urna mollis n','<p>Quisque pellentesque, mi nec convallis malesuada, felis leo egestas magna, id pretium elit nunc in leo. Sed aliquam tortor vel urna mollis non placerat nibh facilisis.</p>\r\n<p>Maecenas sit amet tincidunt augue. Proin sit amet lobortis diam. Maecenas lorem nibh, mattis ut accumsan id, lacinia in nisi. Vivamus mi massa, adipiscing eget ullamcorper porta, auctor ac lacus.</p>\r\n<p>Suspendisse pulvinar justo nec arcu accumsan nec luctus lorem consectetur. Phasellus quis nisl ut tellus sollicitudin laoreet. Nullam vehicula suscipit dignissim. Nulla facilisi. Nulla convallis arcu vitae sapien posuere vitae vehicula lorem placerat. Praesent quis pharetra ligula. Nullam sed sem sit amet orci volutpat ultrices ut ut quam. Quisque bibendum rutrum leo non interdum.</p>',66,'2011-11-27 21:00:00','2012-11-27 21:00:00',0,'images/avatar/event/dfb85e918062d49d042d0f9f.png','images/avatar/event/thumb_dfb85e918062d49d042d0f9f.png',0,2,0,0,0,250,0,'2011-11-27 21:55:55',4,1,37.3394,-121.895,'0');


--
-- Table structure for table `#__community_events_category`
--



CREATE TABLE `#__community_events_category` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `parent` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_events_category`
--


INSERT INTO `#__community_events_category` (`id`, `parent`, `name`, `description`) VALUES (1,0,'General','General events'),(2,0,'Birthday','Birthday events'),(3,0,'Party','Party events');


--
-- Table structure for table `#__community_events_members`
--



CREATE TABLE `#__community_events_members` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `eventid` int(11) unsigned NOT NULL,
  `memberid` int(11) unsigned NOT NULL,
  `status` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '[Join / Invite]: 0 - [pending approval/pending invite], 1 - [approved/confirmed], 2 - [rejected/declined], 3 - [maybe/maybe], 4 - [blocked/blocked]',
  `permission` tinyint(1) unsigned NOT NULL DEFAULT '3' COMMENT '1 - creator, 2 - admin, 3 - member',
  `invited_by` int(11) unsigned DEFAULT '0',
  `approval` tinyint(1) unsigned DEFAULT '0' COMMENT '0 - no approval required, 1 - required admin approval',
  `created` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_eventid` (`eventid`),
  KEY `idx_status` (`status`),
  KEY `idx_invitedby` (`invited_by`),
  KEY `idx_permission` (`eventid`,`permission`),
  KEY `idx_member_event` (`eventid`,`memberid`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_events_members`
--


INSERT INTO `#__community_events_members` (`id`, `eventid`, `memberid`, `status`, `permission`, `invited_by`, `approval`, `created`) VALUES (1,1,66,1,1,0,0,NULL),(2,1,58,1,3,0,0,'2011-11-28 04:19:14');


--
-- Table structure for table `#__community_featured`
--



CREATE TABLE `#__community_featured` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL,
  `created_by` int(11) NOT NULL,
  `type` varchar(255) NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `type` (`type`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_featured`
--




--
-- Table structure for table `#__community_fields`
--



CREATE TABLE `#__community_fields` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `type` varchar(255) NOT NULL,
  `ordering` int(11) DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `min` int(5) NOT NULL,
  `max` int(5) NOT NULL,
  `name` varchar(255) NOT NULL,
  `tips` text NOT NULL,
  `visible` tinyint(1) DEFAULT '0',
  `required` tinyint(1) DEFAULT '0',
  `searchable` tinyint(1) DEFAULT '1',
  `registration` tinyint(1) DEFAULT '1',
  `options` text,
  `fieldcode` varchar(255) NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fieldcode` (`fieldcode`)
) ENGINE=MyISAM AUTO_INCREMENT=16 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_fields`
--


INSERT INTO `#__community_fields` (`id`, `type`, `ordering`, `published`, `min`, `max`, `name`, `tips`, `visible`, `required`, `searchable`, `registration`, `options`, `fieldcode`, `params`) VALUES (1,'group',1,1,10,100,'Basic Information','Basic information for user',1,1,1,1,'','',''),(2,'select',2,1,10,100,'Gender','Select gender',1,1,1,1,'Male\nFemale','FIELD_GENDER',''),(3,'birthdate',3,1,10,100,'Birthdate','Enter your date of birth so other users can know when to wish you happy birthday ',1,0,1,1,'','FIELD_BIRTHDATE',''),(4,'textarea',4,1,1,800,'About me','Tell us more about yourself',1,1,1,1,'','FIELD_ABOUTME',''),(5,'group',5,1,10,100,'Contact Information','Specify your contact details',1,1,1,1,'','',''),(6,'text',6,1,10,100,'Mobile phone','Mobile carrier number that other users can contact you.',1,0,1,1,'','FIELD_MOBILE',''),(7,'text',7,1,10,100,'Land phone','Contact number that other users can contact you.',1,0,1,1,'','FIELD_LANDPHONE',''),(8,'textarea',8,1,10,100,'Address','Your Address',1,1,1,1,'','FIELD_ADDRESS',''),(9,'text',9,1,10,100,'State','Your state',1,1,1,1,'','FIELD_STATE',''),(10,'text',10,1,10,100,'City / Town','Your city or town name',1,1,1,1,'','FIELD_CITY',''),(11,'country',11,1,10,100,'Country','Your country',1,1,1,1,'Afghanistan\nAlbania\nAlgeria\nAmerican Samoa\nAndorra\nAngola\nAnguilla\nAntarctica\nAntigua and Barbuda\nArgentina\nArmenia\nAruba\nAustralia\nAustria\nAzerbaijan\nBahamas\nBahrain\nBangladesh\nBarbados\nBelarus\nBelgium\nBelize\nBenin\nBermuda\nBhutan\nBolivia\nBosnia and Herzegovina\nBotswana\nBouvet Island\nBrazil\nBritish Indian Ocean Territory\nBrunei Darussalam\nBulgaria\nBurkina Faso\nBurundi\nCambodia\nCameroon\nCanada\nCape Verde\nCayman Islands\nCentral African Republic\nChad\nChile\nChina\nChristmas Island\nCocos (Keeling) Islands\nColombia\nComoros\nCongo\nCook Islands\nCosta Rica\nCote D\'Ivoire (Ivory Coast)\nCroatia (Hrvatska)\nCuba\nCyprus\nCzechoslovakia (former)\nCzech Republic\nDenmark\nDjibouti\nDominica\nDominican Republic\nEast Timor\nEcuador\nEgypt\nEl Salvador\nEquatorial Guinea\nEritrea\nEstonia\nEthiopia\nFalkland Islands (Malvinas)\nFaroe Islands\nFiji\nFinland\nFrance\nFrance, Metropolitan\nFrench Guiana\nFrench Polynesia\nFrench Southern Territories\nGabon\nGambia\nGeorgia\nGermany\nGhana\nGibraltar\nGreat Britain (UK)\nGreece\nGreenland\nGrenada\nGuadeloupe\nGuam\nGuatemala\nGuinea\nGuinea-Bissau\nGuyana\nHaiti\nHeard and McDonald Islands\nHonduras\nHong Kong\nHungary\nIceland\nIndia\nIndonesia\nIran\nIraq\nIreland\nIsrael\nItaly\nJamaica\nJapan\nJordan\nKazakhstan\nKenya\nKiribati\nKorea, North\nSouth Korea\nKuwait\nKyrgyzstan\nLaos\nLatvia\nLebanon\nLesotho\nLiberia\nLibya\nLiechtenstein\nLithuania\nLuxembourg\nMacau\nMacedonia\nMadagascar\nMalawi\nMalaysia\nMaldives\nMali\nMalta\nMarshall Islands\nMartinique\nMauritania\nMauritius\nMayotte\nMexico\nMicronesia\nMoldova\nMonaco\nMongolia\nMontserrat\nMorocco\nMozambique\nMyanmar\nNamibia\nNauru\nNepal\nNetherlands\nNetherlands Antilles\nNeutral Zone\nNew Caledonia\nNew Zealand\nNicaragua\nNiger\nNigeria\nNiue\nNorfolk Island\nNorthern Mariana Islands\nNorway\nOman\nPakistan\nPalau\nPanama\nPapua New Guinea\nParaguay\nPeru\nPhilippines\nPitcairn\nPoland\nPortugal\nPuerto Rico\nQatar\nReunion\nRomania\nRussian Federation\nRwanda\nSaint Kitts and Nevis\nSaint Lucia\nSaint Vincent and the Grenadines\nSamoa\nSan Marino\nSao Tome and Principe\nSaudi Arabia\nSenegal\nSeychelles\nS. Georgia and S. Sandwich Isls.\nSierra Leone\nSingapore\nSlovak Republic\nSlovenia\nSolomon Islands\nSomalia\nSouth Africa\nSpain\nSri Lanka\nSt. Helena\nSt. Pierre and Miquelon\nSudan\nSuriname\nSvalbard and Jan Mayen Islands\nSwaziland\nSweden\nSwitzerland\nSyria\nTaiwan\nTajikistan\nTanzania\nThailand\nTogo\nTokelau\nTonga\nTrinidad and Tobago\nTunisia\nTurkey\nTurkmenistan\nTurks and Caicos Islands\nTuvalu\nUganda\nUkraine\nUnited Arab Emirates\nUnited Kingdom\nUnited States\nUruguay\nUS Minor Outlying Islands\nUSSR (former)\nUzbekistan\nVanuatu\nVatican City State (Holy Sea)\nVenezuela\nViet Nam\nVirgin Islands (British)\nVirgin Islands (U.S.)\nWallis and Futuna Islands\nWestern Sahara\nYemen\nYugoslavia\nZaire\nZambia\nZimbabwe','FIELD_COUNTRY',''),(12,'url',12,1,10,100,'Website','Your website',1,1,1,1,'','FIELD_WEBSITE',''),(13,'group',13,1,10,100,'Education','Educations',1,1,1,1,'','',''),(14,'text',14,1,10,200,'College / University','Your college or university name',1,1,1,1,'','FIELD_COLLEGE',''),(15,'text',15,1,5,100,'Graduation Year','Graduation year',1,1,1,1,'','FIELD_GRADUATION','');


--
-- Table structure for table `#__community_fields_values`
--



CREATE TABLE `#__community_fields_values` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `field_id` int(10) NOT NULL,
  `value` text NOT NULL,
  `access` tinyint(3) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `field_id` (`field_id`),
  KEY `user_id` (`user_id`),
  KEY `idx_user_fieldid` (`user_id`,`field_id`),
  KEY `access` (`access`)
) ENGINE=MyISAM AUTO_INCREMENT=49 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_fields_values`
--


INSERT INTO `#__community_fields_values` (`id`, `user_id`, `field_id`, `value`, `access`) VALUES (1,42,2,'Male',0),(2,42,3,'',0),(3,42,4,'There is no one who loves pain itself, who seeks after it and wants to have it, simply because it is pain..',0),(4,42,6,'697989879879',0),(5,42,7,'979879878697',0),(6,42,8,'Curabitur in arcu nunc. Mauris non mollis sapien. Ut pharetra semper odio, non egestas neque feugiat',0),(7,42,9,'San Francisco',0),(8,42,10,'San Francisco',0),(9,42,11,'United States',0),(10,42,12,'http://www.gavick.com',0),(11,42,14,'Curabitur in arcu nunc',0),(12,42,15,'2000',0),(13,56,2,'Female',0),(14,56,3,'1985-3-25 23:59:59',0),(15,56,4,'Suspendisse id enim turpis, non tincidunt mauris. Vestibulum vel nisi a libero pharetra tincidunt. Ut sollicitudin cursus ornare. Etiam ut turpis dolor. Suspendisse potenti.',0),(16,56,6,'66746644694',0),(17,56,7,'64654654',0),(18,56,8,'Suspendisse id enim turpis, non tincidunt mauris. Vestibulum vel nisi a libero pharetra tincidunt. U',0),(19,56,9,'Lisbon',0),(20,56,10,'Lisbon',0),(21,56,11,'Portugal',0),(22,56,12,'http://www.gavick.com',0),(23,56,14,'Suspendisse id enim turpis, non tincidunt mauris',0),(24,56,15,'2009',0),(25,57,2,'Male',0),(26,57,3,'',0),(27,57,4,'There is no one who loves pain itself, who seeks after it and wants to have it, simply because it is pain..',0),(28,57,6,'746746746',0),(29,57,7,'6974686746',0),(30,57,8,'Curabitur in arcu nunc. Mauris non mollis sapien. Ut pharetra semper odio, non egestas neque feugiat',0),(31,57,9,'San Francisco',0),(32,57,10,'San Francisco',0),(33,57,11,'United States',0),(34,57,12,'http://www.gavick.com',0),(35,57,14,'High School',0),(36,57,15,'1999',0),(37,58,2,'Female',0),(38,58,3,'',0),(39,58,4,'Curabitur in arcu nunc. Mauris non mollis sapien. Ut pharetra semper odio, non egestas neque feugiat',0),(40,58,6,'5464646546',0),(41,58,7,'6546464646',0),(42,58,8,'Curabitur in arcu nunc. Mauris non mollis sapien. Ut pharetra semper odio, non egestas neque feugiat',0),(43,58,9,'Lisbon',0),(44,58,10,'Lisbon',0),(45,58,11,'Portugal',0),(46,58,12,'http://www.gavick.com',0),(47,58,14,'Escola Superior Agrria',0),(48,58,15,'2005',0);


--
-- Table structure for table `#__community_groups`
--



CREATE TABLE `#__community_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `published` tinyint(1) NOT NULL,
  `ownerid` int(11) NOT NULL,
  `categoryid` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `email` varchar(255) NOT NULL,
  `website` varchar(255) NOT NULL,
  `approvals` tinyint(1) NOT NULL,
  `created` datetime NOT NULL,
  `avatar` text NOT NULL,
  `thumb` text NOT NULL,
  `discusscount` int(11) NOT NULL DEFAULT '0',
  `wallcount` int(11) NOT NULL DEFAULT '0',
  `membercount` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `storage` varchar(64) NOT NULL DEFAULT 'file',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_groups`
--


INSERT INTO `#__community_groups` (`id`, `published`, `ownerid`, `categoryid`, `name`, `description`, `email`, `website`, `approvals`, `created`, `avatar`, `thumb`, `discusscount`, `wallcount`, `membercount`, `params`, `storage`) VALUES (1,1,58,5,'Bryan Adams fan\'s club','<p>Aenean porttitor condimentum lacus, sed ultrices libero tristique at. Proin sollicitudin, eros et consectetur dapibus, augue est mollis velit, non pretium libero tellus id est. In urna leo, posuere ut placerat nec, fringilla quis orci. Praesent rutrum dapibus blandit. Cras ut lorem augue, ut gravida sem. Nam ut nunc augue. Etiam id nisi id diam sagittis scelerisque eget non nulla. Pellentesque at erat quis nisl vehicula imperdiet vitae non mauris.</p><br />\r\n<p>Nam commodo erat eu est euismod at interdum sapien elementum. Donec odio ligula, condimentum id porta ut, malesuada id mi. Quisque sapien nulla, auctor eget gravida sed, ullamcorper non ligula. Duis sed velit vel enim ullamcorper suscipit. Vivamus eu eros erat, sed ultrices leo. Sed vel tristique nisi. Morbi nisl dolor, placerat eget venenatis sit amet, vestibulum ut risus. Ut dolor nulla, dictum at luctus quis, sagittis quis nibh.</p>','','',0,'2011-11-28 04:17:10','images/avatar/groups/75674e42f4a3fc72125d6cb5.png','images/avatar/groups/thumb_75674e42f4a3fc72125d6cb5.png',1,0,2,'{\"discussordering\":0,\"photopermission\":-1,\"videopermission\":-1,\"eventpermission\":-1,\"grouprecentphotos\":6,\"grouprecentvideos\":6,\"grouprecentevents\":6,\"newmembernotification\":1,\"joinrequestnotification\":1,\"wallnotification\":1,\"removeactivities\":0,\"stream\":1}','file');


--
-- Table structure for table `#__community_groups_bulletins`
--



CREATE TABLE `#__community_groups_bulletins` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `groupid` int(11) NOT NULL,
  `created_by` int(11) NOT NULL,
  `published` tinyint(1) NOT NULL,
  `title` varchar(255) NOT NULL,
  `message` text NOT NULL,
  `date` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `groupid` (`groupid`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_groups_bulletins`
--


INSERT INTO `#__community_groups_bulletins` (`id`, `groupid`, `created_by`, `published`, `title`, `message`, `date`) VALUES (1,1,58,1,'This is my Shout!','<p>Cras sapien nibh, faucibus facilisis rhoncus sit amet, cursus non dui. Nulla leo tellus, consequat quis rutrum at, sodales tempor tortor. Aliquam quis lectus non eros porttitor scelerisque nec non mi.</p>\r\n<p>Mauris erat nisl, facilisis ut condimentum sit amet, interdum a risus. Integer ac sapien non nisl elementum luctus sit amet pellentesque elit. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Phasellus metus ligula, ornare quis dignissim non, aliquam quis ligula. Aliquam fermentum lectus sit amet elit fringilla ac faucibus urna aliquet.</p>','2011-11-29 02:08:40');


--
-- Table structure for table `#__community_groups_category`
--



CREATE TABLE `#__community_groups_category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_groups_category`
--


INSERT INTO `#__community_groups_category` (`id`, `parent`, `name`, `description`) VALUES (1,0,'General','General group category.'),(2,0,'Internet','Internet group category.'),(3,0,'Business','Business groups category'),(4,0,'Automotive','Automotive groups category'),(5,0,'Music','Music groups category');


--
-- Table structure for table `#__community_groups_discuss`
--



CREATE TABLE `#__community_groups_discuss` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parentid` int(11) NOT NULL DEFAULT '0',
  `groupid` int(11) NOT NULL,
  `creator` int(11) NOT NULL,
  `created` datetime NOT NULL,
  `title` text NOT NULL,
  `message` text NOT NULL,
  `lastreplied` datetime NOT NULL,
  `lock` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `groupid` (`groupid`),
  KEY `parentid` (`parentid`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_groups_discuss`
--


INSERT INTO `#__community_groups_discuss` (`id`, `parentid`, `groupid`, `creator`, `created`, `title`, `message`, `lastreplied`, `lock`) VALUES (1,0,1,58,'2011-11-29 02:09:49','Cras sapien nibh, faucibus facilisis rhoncus sit amet, cursus non dui?','<p>Cras sapien nibh, faucibus facilisis rhoncus sit amet, cursus non dui. Nulla leo tellus, consequat quis rutrum at, sodales tempor tortor. Aliquam quis lectus non eros porttitor scelerisque nec non mi.</p>\r\n<p>Mauris erat nisl, facilisis ut condimentum sit amet, interdum a risus. Integer ac sapien non nisl elementum luctus sit amet pellentesque elit. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Phasellus metus ligula, ornare quis dignissim non, aliquam quis ligula. Aliquam fermentum lectus sit amet elit fringilla ac faucibus urna aliquet.</p>','2011-11-29 02:09:49',0);


--
-- Table structure for table `#__community_groups_invite`
--



CREATE TABLE `#__community_groups_invite` (
  `groupid` int(11) NOT NULL,
  `userid` int(11) NOT NULL,
  `creator` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_groups_invite`
--




--
-- Table structure for table `#__community_groups_members`
--



CREATE TABLE `#__community_groups_members` (
  `groupid` int(11) NOT NULL,
  `memberid` int(11) NOT NULL,
  `approved` int(11) NOT NULL,
  `permissions` int(1) NOT NULL,
  KEY `groupid` (`groupid`),
  KEY `idx_memberid` (`memberid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_groups_members`
--


INSERT INTO `#__community_groups_members` (`groupid`, `memberid`, `approved`, `permissions`) VALUES (1,58,1,1),(1,73,1,0);


--
-- Table structure for table `#__community_invitations`
--



CREATE TABLE `#__community_invitations` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `callback` varchar(255) NOT NULL,
  `cid` int(11) NOT NULL,
  `users` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_invitations`
--




--
-- Table structure for table `#__community_likes`
--



CREATE TABLE `#__community_likes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `element` varchar(200) NOT NULL,
  `uid` int(10) NOT NULL,
  `like` text NOT NULL,
  `dislike` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `element` (`element`,`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_likes`
--




--
-- Table structure for table `#__community_location_cache`
--



CREATE TABLE `#__community_location_cache` (
  `address` varchar(255) NOT NULL,
  `latitude` float NOT NULL DEFAULT '255',
  `longitude` float NOT NULL DEFAULT '255',
  `data` text NOT NULL,
  `status` varchar(2) NOT NULL,
  `created` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_location_cache`
--


INSERT INTO `#__community_location_cache` (`address`, `latitude`, `longitude`, `data`, `status`, `created`) VALUES ('san jose, california',37.3394,-121.895,'{\"results\":[{\"address_components\":[{\"long_name\":\"San Jose\",\"short_name\":\"San Jose\",\"types\":[\"locality\",\"political\"]},{\"long_name\":\"Santa Clara\",\"short_name\":\"Santa Clara\",\"types\":[\"administrative_area_level_2\",\"political\"]},{\"long_name\":\"California\",\"short_name\":\"CA\",\"types\":[\"administrative_area_level_1\",\"political\"]},{\"long_name\":\"United States\",\"short_name\":\"US\",\"types\":[\"country\",\"political\"]}],\"formatted_address\":\"San Jose, CA, USA\",\"geometry\":{\"bounds\":{\"northeast\":{\"lat\":37.469538,\"lng\":-121.589154},\"southwest\":{\"lat\":37.124493,\"lng\":-122.045672}},\"location\":{\"lat\":37.3393857,\"lng\":-121.8949555},\"location_type\":\"APPROXIMATE\",\"viewport\":{\"northeast\":{\"lat\":37.4811913,\"lng\":-121.6388367},\"southwest\":{\"lat\":37.1973119,\"lng\":-122.1510743}}},\"types\":[\"locality\",\"political\"]}],\"status\":\"OK\"}','OK','2011-11-27 21:55:56'),('san jose, california',37.3394,-121.895,'{\"results\":[{\"address_components\":[{\"long_name\":\"San Jose\",\"short_name\":\"San Jose\",\"types\":[\"locality\",\"political\"]},{\"long_name\":\"Santa Clara\",\"short_name\":\"Santa Clara\",\"types\":[\"administrative_area_level_2\",\"political\"]},{\"long_name\":\"California\",\"short_name\":\"CA\",\"types\":[\"administrative_area_level_1\",\"political\"]},{\"long_name\":\"United States\",\"short_name\":\"US\",\"types\":[\"country\",\"political\"]}],\"formatted_address\":\"San Jose, CA, USA\",\"geometry\":{\"bounds\":{\"northeast\":{\"lat\":37.469538,\"lng\":-121.589154},\"southwest\":{\"lat\":37.124493,\"lng\":-122.045672}},\"location\":{\"lat\":37.3393857,\"lng\":-121.8949555},\"location_type\":\"APPROXIMATE\",\"viewport\":{\"northeast\":{\"lat\":37.4811913,\"lng\":-121.6388367},\"southwest\":{\"lat\":37.1973119,\"lng\":-122.1510743}}},\"types\":[\"locality\",\"political\"]}],\"status\":\"OK\"}','OK','2011-11-27 21:55:56'),('san jose, california',37.3394,-121.895,'{\"results\":[{\"address_components\":[{\"long_name\":\"San Jose\",\"short_name\":\"San Jose\",\"types\":[\"locality\",\"political\"]},{\"long_name\":\"Santa Clara\",\"short_name\":\"Santa Clara\",\"types\":[\"administrative_area_level_2\",\"political\"]},{\"long_name\":\"California\",\"short_name\":\"CA\",\"types\":[\"administrative_area_level_1\",\"political\"]},{\"long_name\":\"United States\",\"short_name\":\"US\",\"types\":[\"country\",\"political\"]}],\"formatted_address\":\"San Jose, CA, USA\",\"geometry\":{\"bounds\":{\"northeast\":{\"lat\":37.469538,\"lng\":-121.589154},\"southwest\":{\"lat\":37.124493,\"lng\":-122.045672}},\"location\":{\"lat\":37.3393857,\"lng\":-121.8949555},\"location_type\":\"APPROXIMATE\",\"viewport\":{\"northeast\":{\"lat\":37.4811913,\"lng\":-121.6388367},\"southwest\":{\"lat\":37.1973119,\"lng\":-122.1510743}}},\"types\":[\"locality\",\"political\"]}],\"status\":\"OK\"}','OK','2011-11-27 21:55:56'),('san jose, california',37.3394,-121.895,'{\"results\":[{\"address_components\":[{\"long_name\":\"San Jose\",\"short_name\":\"San Jose\",\"types\":[\"locality\",\"political\"]},{\"long_name\":\"Santa Clara\",\"short_name\":\"Santa Clara\",\"types\":[\"administrative_area_level_2\",\"political\"]},{\"long_name\":\"California\",\"short_name\":\"CA\",\"types\":[\"administrative_area_level_1\",\"political\"]},{\"long_name\":\"United States\",\"short_name\":\"US\",\"types\":[\"country\",\"political\"]}],\"formatted_address\":\"San Jose, CA, USA\",\"geometry\":{\"bounds\":{\"northeast\":{\"lat\":37.469538,\"lng\":-121.589154},\"southwest\":{\"lat\":37.124493,\"lng\":-122.045672}},\"location\":{\"lat\":37.3393857,\"lng\":-121.8949555},\"location_type\":\"APPROXIMATE\",\"viewport\":{\"northeast\":{\"lat\":37.4811913,\"lng\":-121.6388367},\"southwest\":{\"lat\":37.1973119,\"lng\":-122.1510743}}},\"types\":[\"locality\",\"political\"]}],\"status\":\"OK\"}','OK','2011-11-27 21:55:56'),('san jose, california',37.3394,-121.895,'{\"results\":[{\"address_components\":[{\"long_name\":\"San Jose\",\"short_name\":\"San Jose\",\"types\":[\"locality\",\"political\"]},{\"long_name\":\"Santa Clara\",\"short_name\":\"Santa Clara\",\"types\":[\"administrative_area_level_2\",\"political\"]},{\"long_name\":\"California\",\"short_name\":\"CA\",\"types\":[\"administrative_area_level_1\",\"political\"]},{\"long_name\":\"United States\",\"short_name\":\"US\",\"types\":[\"country\",\"political\"]}],\"formatted_address\":\"San Jose, CA, USA\",\"geometry\":{\"bounds\":{\"northeast\":{\"lat\":37.469538,\"lng\":-121.589154},\"southwest\":{\"lat\":37.124493,\"lng\":-122.045672}},\"location\":{\"lat\":37.3393857,\"lng\":-121.8949555},\"location_type\":\"APPROXIMATE\",\"viewport\":{\"northeast\":{\"lat\":37.4811913,\"lng\":-121.6388367},\"southwest\":{\"lat\":37.1973119,\"lng\":-122.1510743}}},\"types\":[\"locality\",\"political\"]}],\"status\":\"OK\"}','OK','2011-11-27 21:55:56'),('san jose, california',37.3394,-121.895,'{\"results\":[{\"address_components\":[{\"long_name\":\"San Jose\",\"short_name\":\"San Jose\",\"types\":[\"locality\",\"political\"]},{\"long_name\":\"Santa Clara\",\"short_name\":\"Santa Clara\",\"types\":[\"administrative_area_level_2\",\"political\"]},{\"long_name\":\"California\",\"short_name\":\"CA\",\"types\":[\"administrative_area_level_1\",\"political\"]},{\"long_name\":\"United States\",\"short_name\":\"US\",\"types\":[\"country\",\"political\"]}],\"formatted_address\":\"San Jose, CA, USA\",\"geometry\":{\"bounds\":{\"northeast\":{\"lat\":37.469538,\"lng\":-121.589154},\"southwest\":{\"lat\":37.124493,\"lng\":-122.045672}},\"location\":{\"lat\":37.3393857,\"lng\":-121.8949555},\"location_type\":\"APPROXIMATE\",\"viewport\":{\"northeast\":{\"lat\":37.4811913,\"lng\":-121.6388367},\"southwest\":{\"lat\":37.1973119,\"lng\":-122.1510743}}},\"types\":[\"locality\",\"political\"]}],\"status\":\"OK\"}','OK','2011-11-27 21:55:56'),('san jose, california',37.3394,-121.895,'{\"results\":[{\"address_components\":[{\"long_name\":\"San Jose\",\"short_name\":\"San Jose\",\"types\":[\"locality\",\"political\"]},{\"long_name\":\"Santa Clara\",\"short_name\":\"Santa Clara\",\"types\":[\"administrative_area_level_2\",\"political\"]},{\"long_name\":\"California\",\"short_name\":\"CA\",\"types\":[\"administrative_area_level_1\",\"political\"]},{\"long_name\":\"United States\",\"short_name\":\"US\",\"types\":[\"country\",\"political\"]}],\"formatted_address\":\"San Jose, CA, USA\",\"geometry\":{\"bounds\":{\"northeast\":{\"lat\":37.469538,\"lng\":-121.589154},\"southwest\":{\"lat\":37.124493,\"lng\":-122.045672}},\"location\":{\"lat\":37.3393857,\"lng\":-121.8949555},\"location_type\":\"APPROXIMATE\",\"viewport\":{\"northeast\":{\"lat\":37.4811913,\"lng\":-121.6388367},\"southwest\":{\"lat\":37.1973119,\"lng\":-122.1510743}}},\"types\":[\"locality\",\"political\"]}],\"status\":\"OK\"}','OK','2011-11-27 21:55:56');


--
-- Table structure for table `#__community_mailq`
--



CREATE TABLE `#__community_mailq` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `recipient` text NOT NULL,
  `subject` text NOT NULL,
  `body` text NOT NULL,
  `status` tinyint(4) NOT NULL,
  `created` datetime NOT NULL,
  `template` varchar(64) NOT NULL,
  `email_type` text,
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `status` (`status`)
) ENGINE=MyISAM AUTO_INCREMENT=56 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_mailq`
--


INSERT INTO `#__community_mailq` (`id`, `recipient`, `subject`, `body`, `status`, `created`, `template`, `email_type`, `params`) VALUES (1,'user18@eee.pt','User 19 wants to be your friend','\nHi User18,\n\nUser 19 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User 19 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 19:56:27','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(2,'user16@eee.pt','User 19 wants to be your friend','\nHi User16,\n\nUser 19 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User 19 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 19:56:35','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(3,'user13@eee.pt','User 19 wants to be your friend','\nHi User13,\n\nUser 19 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User 19 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 19:56:42','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(4,'user9@eee.pt','User 19 wants to be your friend','\nHi User9,\n\nUser 19 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User 19 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 19:56:47','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(5,'user7@eee.pt','User 19 wants to be your friend','\nHi User7,\n\nUser 19 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User 19 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 19:56:52','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(6,'user4@eee.pt','User 19 wants to be your friend','\nHi User4,\n\nUser 19 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User 19 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 19:56:57','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(7,'user@eee.pt','User 19 wants to be your friend','\nHi User1,\n\nUser 19 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User 19 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 19:57:03','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(8,'dziudek@gavick.com','User 19 wants to be your friend','\nHi Super User,\n\nUser 19 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User 19 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 19:57:08','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(9,'user3@eee.pt','\nUser 19 joined your group, Bryan Adams fan\'s club .','Hi User3,\nUser 19 joined your group, Bryan Adams fan\'s club \n\nTo view the group, follow the link below:\n\n <a href=\"{url}\">{url}</a>',0,'2011-11-30 19:57:46','email.groups.memberjoin.html','etype_groups_member_join','{\"url\":\"index.php?option=com_community&view=groups&task=viewgroup&groupid=1\",\"group\":\"Bryan Adams fan\'s club\",\"user\":\"User 19\",\"approved\":\"1\"}'),(10,'user19@eee.com','You and Super User are now friends.','Hi User 19,\n\nSuper User just approved your friend request. You are now friends with Super User.\n\nYou can view Super User\'s profile here:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:09:55','email.friends.approve.html','etype_friends_create_connection','{\"url\":\"index.php?option=com_community&view=profile&userid=42\"}'),(11,'user18@eee.pt','Super User wants to be your friend','\nHi User18,\n\nSuper User added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add Super User as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:10:32','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(12,'user17@eee.pt','Super User wants to be your friend','\nHi User17,\n\nSuper User added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add Super User as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:10:37','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(13,'user15@eee.com','Super User wants to be your friend','\nHi User15,\n\nSuper User added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add Super User as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:10:43','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(14,'user13@eee.pt','Super User wants to be your friend','\nHi User13,\n\nSuper User added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add Super User as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:10:48','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(15,'user10@eee.pt','Super User wants to be your friend','\nHi User10,\n\nSuper User added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add Super User as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:10:58','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(16,'user9@eee.pt','Super User wants to be your friend','\nHi User9,\n\nSuper User added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add Super User as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:11:03','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(17,'user7@eee.pt','Super User wants to be your friend','\nHi User7,\n\nSuper User added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add Super User as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:11:09','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(18,'user3@eee.pt','Super User wants to be your friend','\nHi User3,\n\nSuper User added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add Super User as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:11:15','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(19,'user@eee.pt','Super User wants to be your friend','\nHi User1,\n\nSuper User added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add Super User as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:11:21','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(20,'pm@gavick.com','Super User wants to be your friend','\nHi Konto Testowe,\n\nSuper User added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add Super User as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:11:28','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(21,'dziudek@gavick.com','You and User1 are now friends.','Hi Super User,\n\nUser1 just approved your friend request. You are now friends with User1.\n\nYou can view User1\'s profile here:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:11:51','email.friends.approve.html','etype_friends_create_connection','{\"url\":\"index.php?option=com_community&view=profile&userid=56\"}'),(22,'user19@eee.com','You and User1 are now friends.','Hi User 19,\n\nUser1 just approved your friend request. You are now friends with User1.\n\nYou can view User1\'s profile here:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:11:52','email.friends.approve.html','etype_friends_create_connection','{\"url\":\"index.php?option=com_community&view=profile&userid=56\"}'),(23,'user17@eee.pt','User1 wants to be your friend','\nHi User17,\n\nUser1 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User1 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:12:32','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(24,'user18@eee.pt','User1 wants to be your friend','\nHi User18,\n\nUser1 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User1 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:12:37','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(25,'user14@eee.pt','User1 wants to be your friend','\nHi User14,\n\nUser1 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User1 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:13:00','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(26,'user12@eee.pt','User1 wants to be your friend','\nHi User12,\n\nUser1 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User1 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:13:06','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(27,'user9@eee.pt','User1 wants to be your friend','\nHi User9,\n\nUser1 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User1 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:13:11','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(28,'user6@eee.pt','User1 wants to be your friend','\nHi User6,\n\nUser1 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User1 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:13:17','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(29,'user4@eee.pt','User1 wants to be your friend','\nHi User4,\n\nUser1 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User1 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:13:23','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(30,'user2@eee.pt','User1 wants to be your friend','\nHi User2,\n\nUser1 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User1 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:13:26','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(31,'pm@gavick.com','User1 wants to be your friend','\nHi Konto Testowe,\n\nUser1 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User1 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:13:32','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(32,'user@eee.pt','You and User2 are now friends.','Hi User1,\n\nUser2 just approved your friend request. You are now friends with User2.\n\nYou can view User2\'s profile here:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:14:01','email.friends.approve.html','etype_friends_create_connection','{\"url\":\"index.php?option=com_community&view=profile&userid=57\"}'),(33,'user19@eee.com','User2 wants to be your friend','\nHi User 19,\n\nUser2 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User2 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:15:27','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(34,'user17@eee.pt','User2 wants to be your friend','\nHi User17,\n\nUser2 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User2 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:15:33','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(35,'user15@eee.com','User2 wants to be your friend','\nHi User15,\n\nUser2 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User2 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:15:39','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(36,'user13@eee.pt','User2 wants to be your friend','\nHi User13,\n\nUser2 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User2 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:15:45','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(37,'user10@eee.pt','User2 wants to be your friend','\nHi User10,\n\nUser2 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User2 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:15:50','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(38,'user7@eee.pt','User2 wants to be your friend','\nHi User7,\n\nUser2 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User2 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:15:56','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(39,'user8@eee.pt','User2 wants to be your friend','\nHi User8,\n\nUser2 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User2 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:16:01','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(40,'user4@eee.pt','User2 wants to be your friend','\nHi User4,\n\nUser2 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User2 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:16:07','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(41,'pm@gavick.com','User2 wants to be your friend','\nHi Konto Testowe,\n\nUser2 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User2 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:16:20','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(42,'dziudek@gavick.com','You and User3 are now friends.','Hi Super User,\n\nUser3 just approved your friend request. You are now friends with User3.\n\nYou can view User3\'s profile here:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:16:44','email.friends.approve.html','etype_friends_create_connection','{\"url\":\"index.php?option=com_community&view=profile&userid=58\"}'),(43,'user19@eee.com','User3 wants to be your friend','\nHi User 19,\n\nUser3 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User3 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:18:23','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(44,'user18@eee.pt','User3 wants to be your friend','\nHi User18,\n\nUser3 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User3 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:18:29','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(45,'user16@eee.pt','User3 wants to be your friend','\nHi User16,\n\nUser3 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User3 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:18:35','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(46,'user15@eee.com','User3 wants to be your friend','\nHi User15,\n\nUser3 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User3 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:18:42','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(47,'user13@eee.pt','User3 wants to be your friend','\nHi User13,\n\nUser3 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User3 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:18:48','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(48,'user12@eee.pt','User3 wants to be your friend','\nHi User12,\n\nUser3 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User3 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:18:54','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(49,'user10@eee.pt','User3 wants to be your friend','\nHi User10,\n\nUser3 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User3 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:19:00','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(50,'user7@eee.pt','User3 wants to be your friend','\nHi User7,\n\nUser3 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User3 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:19:06','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(51,'user5@eee.pt','User3 wants to be your friend','\nHi User5,\n\nUser3 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User3 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:19:11','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(52,'user2@eee.pt','User3 wants to be your friend','\nHi User2,\n\nUser3 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User3 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:19:18','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(53,'pm@gavick.com','User3 wants to be your friend','\nHi Konto Testowe,\n\nUser3 added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add User3 as your friend, just go to your friends request page below:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:19:23','email.friends.request.html','etype_friends_request_connection','{\"url\":\"index.php?option=com_community&view=friends&task=pending\",\"msg\":\"Hi, I\'d like to add you as friend.\"}'),(54,'user3@eee.pt','You and User 19 are now friends.','Hi User3,\n\nUser 19 just approved your friend request. You are now friends with User 19.\n\nYou can view User 19\'s profile here:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:19:47','email.friends.approve.html','etype_friends_create_connection','{\"url\":\"index.php?option=com_community&view=profile&userid=73\"}'),(55,'user2@eee.pt','You and User 19 are now friends.','Hi User2,\n\nUser 19 just approved your friend request. You are now friends with User 19.\n\nYou can view User 19\'s profile here:\n\n<a href=\"{url}\">{url}</a>\n\nHave a nice day!',0,'2011-11-30 20:19:48','email.friends.approve.html','etype_friends_create_connection','{\"url\":\"index.php?option=com_community&view=profile&userid=73\"}');


--
-- Table structure for table `#__community_memberlist`
--



CREATE TABLE `#__community_memberlist` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` text NOT NULL,
  `description` text NOT NULL,
  `condition` varchar(255) NOT NULL,
  `avataronly` int(11) NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_memberlist`
--




--
-- Table structure for table `#__community_memberlist_criteria`
--



CREATE TABLE `#__community_memberlist_criteria` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `listid` int(11) NOT NULL,
  `field` varchar(255) NOT NULL,
  `condition` varchar(255) NOT NULL,
  `value` varchar(255) NOT NULL,
  `type` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `listid` (`listid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_memberlist_criteria`
--




--
-- Table structure for table `#__community_msg`
--



CREATE TABLE `#__community_msg` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `from` int(10) unsigned NOT NULL,
  `parent` int(10) unsigned NOT NULL,
  `deleted` tinyint(3) unsigned DEFAULT '0',
  `from_name` varchar(45) NOT NULL,
  `posted_on` datetime DEFAULT NULL,
  `subject` tinytext NOT NULL,
  `body` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_msg`
--




--
-- Table structure for table `#__community_msg_recepient`
--



CREATE TABLE `#__community_msg_recepient` (
  `msg_id` int(10) unsigned NOT NULL,
  `msg_parent` int(10) unsigned NOT NULL DEFAULT '0',
  `msg_from` int(10) unsigned NOT NULL,
  `to` int(10) unsigned NOT NULL,
  `bcc` tinyint(3) unsigned DEFAULT '0',
  `is_read` tinyint(3) unsigned DEFAULT '0',
  `deleted` tinyint(3) unsigned DEFAULT '0',
  UNIQUE KEY `un` (`msg_id`,`to`),
  KEY `msg_id` (`msg_id`),
  KEY `to` (`to`),
  KEY `idx_isread_to_deleted` (`is_read`,`to`,`deleted`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_msg_recepient`
--




--
-- Table structure for table `#__community_oauth`
--



CREATE TABLE `#__community_oauth` (
  `userid` int(11) NOT NULL,
  `requesttoken` text NOT NULL,
  `accesstoken` text NOT NULL,
  `app` varchar(255) NOT NULL,
  PRIMARY KEY (`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_oauth`
--




--
-- Table structure for table `#__community_photos`
--



CREATE TABLE `#__community_photos` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `albumid` int(11) NOT NULL,
  `caption` text NOT NULL,
  `published` tinyint(1) NOT NULL,
  `creator` int(11) NOT NULL,
  `permissions` varchar(255) NOT NULL,
  `image` varchar(255) NOT NULL,
  `thumbnail` varchar(255) NOT NULL,
  `original` varchar(255) NOT NULL,
  `filesize` int(11) NOT NULL DEFAULT '0',
  `storage` varchar(64) NOT NULL DEFAULT 'file',
  `created` datetime NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `hits` int(11) NOT NULL DEFAULT '0',
  `status` varchar(200) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `albumid` (`albumid`),
  KEY `idx_storage` (`storage`)
) ENGINE=MyISAM AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_photos`
--


INSERT INTO `#__community_photos` (`id`, `albumid`, `caption`, `published`, `creator`, `permissions`, `image`, `thumbnail`, `original`, `filesize`, `storage`, `created`, `ordering`, `hits`, `status`) VALUES (1,1,'img1',1,42,'0','images/photos/42/1/206f7b933887c4b7636cbbea.jpg','images/photos/42/1/thumb_206f7b933887c4b7636cbbea.jpg','images/originalphotos/42/1/206f7b933887c4b7636cbbea.jpg',4096,'file','2011-11-26 15:50:27',1,0,''),(2,1,'img2',1,42,'0','images/photos/42/1/64599ded7257b8d2adea0309.jpg','images/photos/42/1/thumb_64599ded7257b8d2adea0309.jpg','images/originalphotos/42/1/64599ded7257b8d2adea0309.jpg',4096,'file','2011-11-26 15:50:28',2,2,''),(3,2,'2efcd32905d1c5b37cb1461f',1,73,'0','images/photos/73/2/8e304e32c60d77a24e709943.jpg','images/photos/73/2/thumb_8e304e32c60d77a24e709943.jpg','images/originalphotos/73/2/8e304e32c60d77a24e709943.jpg',4096,'file','2011-11-30 20:22:13',1,1,''),(4,2,'5c95f14743e7d4accef59a35',1,73,'0','images/photos/73/2/617601423805d93763e74b16.jpg','images/photos/73/2/thumb_617601423805d93763e74b16.jpg','images/originalphotos/73/2/617601423805d93763e74b16.jpg',4096,'file','2011-11-30 20:22:16',2,2,''),(5,2,'7b26fbd492ab23ce474b80e8',1,73,'0','images/photos/73/2/aba542b0ac4c7bfc54b187f0.jpg','images/photos/73/2/thumb_aba542b0ac4c7bfc54b187f0.jpg','images/originalphotos/73/2/aba542b0ac4c7bfc54b187f0.jpg',4096,'file','2011-11-30 20:22:19',3,1,''),(6,2,'41df2b6f0724739e763bbc7c',1,73,'0','images/photos/73/2/3405c3d577c59b0b1057aa8d.jpg','images/photos/73/2/thumb_3405c3d577c59b0b1057aa8d.jpg','images/originalphotos/73/2/3405c3d577c59b0b1057aa8d.jpg',4096,'file','2011-11-30 20:22:21',4,1,''),(7,2,'79a01797a4b35fc50c053a3f',1,73,'0','images/photos/73/2/75a46428db9def4854ee7148.jpg','images/photos/73/2/thumb_75a46428db9def4854ee7148.jpg','images/originalphotos/73/2/75a46428db9def4854ee7148.jpg',4096,'file','2011-11-30 20:22:24',5,1,''),(8,2,'3026c2658fde0a7e3e06d1a2',1,73,'0','images/photos/73/2/d06b387d34a178627f4c523f.jpg','images/photos/73/2/thumb_d06b387d34a178627f4c523f.jpg','images/originalphotos/73/2/d06b387d34a178627f4c523f.jpg',4096,'file','2011-11-30 20:22:27',6,1,''),(9,2,'9794a78f10dedca1189b688a',1,73,'0','images/photos/73/2/1ac72d7b18311b2d15170221.jpg','images/photos/73/2/thumb_1ac72d7b18311b2d15170221.jpg','images/originalphotos/73/2/1ac72d7b18311b2d15170221.jpg',4096,'file','2011-11-30 20:22:30',7,1,''),(10,2,'675580a16a6b40117490028b',1,73,'0','images/photos/73/2/cd4a417ef6af982a9952a4cd.jpg','images/photos/73/2/thumb_cd4a417ef6af982a9952a4cd.jpg','images/originalphotos/73/2/cd4a417ef6af982a9952a4cd.jpg',4096,'file','2011-11-30 20:22:32',8,1,'');


--
-- Table structure for table `#__community_photos_albums`
--



CREATE TABLE `#__community_photos_albums` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `photoid` int(11) NOT NULL,
  `creator` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `permissions` varchar(255) NOT NULL,
  `created` datetime NOT NULL,
  `path` varchar(255) NOT NULL,
  `type` varchar(255) NOT NULL,
  `groupid` int(11) NOT NULL DEFAULT '0',
  `hits` int(11) NOT NULL DEFAULT '0',
  `location` text NOT NULL,
  `latitude` float NOT NULL DEFAULT '255',
  `longitude` float NOT NULL DEFAULT '255',
  `default` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `creator` (`creator`),
  KEY `idx_type` (`type`),
  KEY `idx_albumtype` (`id`,`type`),
  KEY `idx_creatortype` (`creator`,`type`),
  KEY `idx_groupid` (`groupid`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_photos_albums`
--


INSERT INTO `#__community_photos_albums` (`id`, `photoid`, `creator`, `name`, `description`, `permissions`, `created`, `path`, `type`, `groupid`, `hits`, `location`, `latitude`, `longitude`, `default`) VALUES (1,1,42,'Concert Photos','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer vehicula tempus nunc et aliquet. Etiam a lorem erat. Aenean et molestie ipsum. Phasellus in tempus dolor. In sed elementum sapien. Nullam dolor velit, viverra a pharetra eget, commodo vel lacus. Ut eu nulla ac risus cursus fermentum sit amet eu magna. ','0','2011-11-26 15:50:04','images/photos/42/','user',0,2,'San Jose, California',255,255,0),(2,3,73,'NIN Concert photos ','Some excellent photos from NIN.','0','2011-11-30 20:21:40','images/photos/73/','user',0,2,'New York',255,255,0);


--
-- Table structure for table `#__community_photos_tag`
--



CREATE TABLE `#__community_photos_tag` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `photoid` int(11) NOT NULL,
  `userid` int(11) NOT NULL,
  `position` varchar(50) NOT NULL,
  `created_by` int(11) NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_photoid` (`photoid`),
  KEY `idx_userid` (`userid`),
  KEY `idx_created_by` (`created_by`),
  KEY `idx_photo_user` (`photoid`,`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_photos_tag`
--




--
-- Table structure for table `#__community_photos_tokens`
--



CREATE TABLE `#__community_photos_tokens` (
  `userid` int(11) NOT NULL,
  `token` varchar(200) NOT NULL,
  `datetime` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_photos_tokens`
--




--
-- Table structure for table `#__community_profiles`
--



CREATE TABLE `#__community_profiles` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `approvals` tinyint(3) NOT NULL,
  `published` tinyint(3) NOT NULL,
  `avatar` text NOT NULL,
  `watermark` text NOT NULL,
  `watermark_hash` varchar(255) NOT NULL,
  `watermark_location` text NOT NULL,
  `thumb` text NOT NULL,
  `created` datetime NOT NULL,
  `create_groups` tinyint(1) DEFAULT '1',
  `create_events` int(11) DEFAULT '1',
  `ordering` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `approvals` (`approvals`,`published`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_profiles`
--




--
-- Table structure for table `#__community_profiles_fields`
--



CREATE TABLE `#__community_profiles_fields` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent` int(11) NOT NULL,
  `field_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `multiprofile_id` (`parent`),
  KEY `field_id` (`field_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_profiles_fields`
--




--
-- Table structure for table `#__community_register`
--



CREATE TABLE `#__community_register` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `token` varchar(200) NOT NULL,
  `name` varchar(255) NOT NULL,
  `firstname` varchar(180) NOT NULL,
  `lastname` varchar(180) NOT NULL,
  `username` varchar(150) NOT NULL,
  `email` varchar(100) NOT NULL,
  `password` varchar(100) NOT NULL,
  `created` datetime DEFAULT NULL,
  `ip` varchar(25) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_register`
--




--
-- Table structure for table `#__community_register_auth_token`
--



CREATE TABLE `#__community_register_auth_token` (
  `token` varchar(200) NOT NULL,
  `ip` varchar(25) NOT NULL,
  `auth_key` varchar(200) NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`token`),
  KEY `ip` (`ip`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_register_auth_token`
--




--
-- Table structure for table `#__community_reports`
--



CREATE TABLE `#__community_reports` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uniquestring` varchar(200) NOT NULL,
  `link` varchar(255) NOT NULL,
  `status` int(1) NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_reports`
--




--
-- Table structure for table `#__community_reports_actions`
--



CREATE TABLE `#__community_reports_actions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `reportid` int(11) NOT NULL,
  `label` varchar(255) NOT NULL,
  `method` varchar(255) NOT NULL,
  `parameters` varchar(255) NOT NULL,
  `defaultaction` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_reports_actions`
--




--
-- Table structure for table `#__community_reports_reporter`
--



CREATE TABLE `#__community_reports_reporter` (
  `reportid` int(11) NOT NULL,
  `message` text NOT NULL,
  `created_by` int(11) NOT NULL,
  `created` datetime NOT NULL,
  `ip` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_reports_reporter`
--




--
-- Table structure for table `#__community_storage_s3`
--



CREATE TABLE `#__community_storage_s3` (
  `storageid` varchar(255) NOT NULL,
  `resource_path` varchar(255) NOT NULL,
  UNIQUE KEY `storageid` (`storageid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_storage_s3`
--




--
-- Table structure for table `#__community_tags`
--



CREATE TABLE `#__community_tags` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `element` varchar(200) NOT NULL,
  `userid` int(11) NOT NULL,
  `cid` int(11) NOT NULL,
  `created` datetime NOT NULL,
  `tag` varchar(200) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_tags`
--




--
-- Table structure for table `#__community_tags_words`
--



CREATE TABLE `#__community_tags_words` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tag` varchar(200) NOT NULL,
  `count` int(11) NOT NULL,
  `modified` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_tags_words`
--




--
-- Table structure for table `#__community_user_status`
--



CREATE TABLE `#__community_user_status` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userid` int(11) NOT NULL,
  `status` text NOT NULL,
  `posted_on` int(11) NOT NULL,
  `location` text NOT NULL,
  `latitude` float NOT NULL DEFAULT '255',
  `longitude` float NOT NULL DEFAULT '255',
  PRIMARY KEY (`id`),
  KEY `userid` (`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_user_status`
--




--
-- Table structure for table `#__community_userpoints`
--



CREATE TABLE `#__community_userpoints` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `rule_name` varchar(255) NOT NULL DEFAULT '',
  `rule_description` text NOT NULL,
  `rule_plugin` varchar(255) NOT NULL DEFAULT '',
  `action_string` varchar(255) NOT NULL DEFAULT '',
  `component` varchar(255) NOT NULL DEFAULT '',
  `access` tinyint(1) NOT NULL DEFAULT '1',
  `points` int(11) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `system` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=30 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_userpoints`
--


INSERT INTO `#__community_userpoints` (`id`, `rule_name`, `rule_description`, `rule_plugin`, `action_string`, `component`, `access`, `points`, `published`, `system`) VALUES (1,'Add Application','Give points when registered user add new application.','com_community','application.add','',1,0,0,1),(2,'Remove Application','Deduct points when registered user remove application.','com_community','application.remove','',1,0,0,1),(3,'Upload Photo','Give points when registered user upload photos.','com_community','photo.upload','',1,0,1,1),(4,'Add New Group','Give points when registered user created new group.','com_community','group.create','',1,3,1,1),(5,'Add New Group\'s Discussion','Give points when registered user created new discussion on group.','com_community','group.discussion.create','',1,2,1,1),(6,'Leave Group','Deduct points when registered user leave a group.','com_community','group.leave','',1,-1,1,1),(7,'Approve Friend Request','Give points when registered user approved friend request.','com_community','friends.request.approve','',1,1,1,1),(8,'Add New Photo Album','Give points when registered user added new photo album.','com_community','album.create','',1,1,1,1),(9,'Post Group Wall','Give points when registered user post wall on group.','com_community','group.wall.create','',1,1,1,1),(10,'Join Group','Give points when registered user joined a group.','com_community','group.join','',1,1,1,1),(11,'Reply Group\'s Discussion','Give points when registered user replied on group\'s discussion.','com_community','group.discussion.reply','',1,1,1,1),(12,'Post Wall','Give points when registered user post a wall on profile.','com_community','profile.wall.create','',1,1,1,1),(13,'Profile Status Update','Give points when registered user update their profile status.','com_community','profile.status.update','',1,1,1,1),(14,'Profile Update','Give points when registered user update their profile.','com_community','profile.save','',1,1,1,1),(15,'Update group','Give points when registered user update the group.','com_community','group.updated','',1,1,1,1),(16,'Upload group avatar','Give points when registered user upload avatar to group.','com_community','group.avatar.upload','',1,0,1,1),(17,'Create Group\'s News','Give points when registered user add group\'s news.','com_community','group.news.create','',1,1,1,1),(18,'Post Wall for photos','Give points when registered user post wall at photos.','com_community','photos.wall.create','',1,1,1,1),(19,'Remove Friend','Deduct points when registered user remove a friend.','com_community','friends.remove','',1,0,1,1),(20,'Upload profile avatar','Give points when registered user upload profile avatar.','com_community','profile.avatar.upload','',1,0,1,1),(21,'Update privacy','Give points when registered user updated privacy.','com_community','profile.privacy.update','',1,0,1,1),(22,'Reply Messages','Give points when registered user reply a message.','com_community','inbox.message.reply','',1,0,1,1),(23,'Send Messages','Give points when registered user send a message.','com_community','inbox.message.send','',1,0,1,1),(24,'Remove Group member','Deduct points when registered user remove a group memeber.','com_community','group.member.remove','',1,0,1,1),(25,'Delete news','Deduct points when registered user remove a news.','com_community','group.news.remove','',1,0,1,1),(26,'Remove Wall','Deduct points to original poster when registered user remove a wall.','com_community','wall.remove','',1,0,1,1),(27,'Remove Photo album','Deduct points when registered user remove a photo album.','com_community','album.remove','',1,0,1,1),(28,'Remove photos','Deduct points when registered user remove a photo.','com_community','photo.remove','',1,0,1,1),(29,'Update Event','Give points when registered user update the event.','com_community','events.update','',1,1,1,1);


--
-- Table structure for table `#__community_users`
--



CREATE TABLE `#__community_users` (
  `userid` int(11) NOT NULL,
  `status` text NOT NULL,
  `status_access` int(11) NOT NULL DEFAULT '0',
  `points` int(11) NOT NULL,
  `posted_on` datetime NOT NULL,
  `avatar` text NOT NULL,
  `thumb` text NOT NULL,
  `invite` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `view` int(11) NOT NULL DEFAULT '0',
  `friends` text NOT NULL,
  `groups` text NOT NULL,
  `events` text NOT NULL,
  `friendcount` int(11) NOT NULL DEFAULT '0',
  `alias` varchar(255) NOT NULL,
  `latitude` float NOT NULL DEFAULT '255',
  `longitude` float NOT NULL DEFAULT '255',
  `profile_id` int(11) NOT NULL DEFAULT '0',
  `storage` varchar(64) NOT NULL DEFAULT 'file',
  `watermark_hash` varchar(255) NOT NULL,
  `search_email` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_users`
--


INSERT INTO `#__community_users` (`userid`, `status`, `status_access`, `points`, `posted_on`, `avatar`, `thumb`, `invite`, `params`, `view`, `friends`, `groups`, `events`, `friendcount`, `alias`, `latitude`, `longitude`, `profile_id`, `storage`, `watermark_hash`, `search_email`) VALUES (42,'\"This Is Me\", written by Andy Dodd and Adam Watts, is the fourth single from Camp Rock, a Disney Channel original movie, that is featured on the movie\'s',0,6,'2011-11-26 16:18:28','images/avatar/4b178ef4b63012a5c7dd28ee.jpg','images/avatar/thumb_4b178ef4b63012a5c7dd28ee.jpg',0,'{\"notifyEmailSystem\":1,\"privacyProfileView\":0,\"privacyPhotoView\":0,\"privacyFriendsView\":0,\"privacyGroupsView\":\"\",\"privacyVideoView\":0,\"notifyEmailMessage\":1,\"notifyEmailApps\":1,\"notifyWallComment\":0,\"etype_groups_notify_admin\":1,\"etype_user_profile_delete\":1,\"etype_system_reports_threshold\":0,\"etype_profile_status_update\":1,\"etype_friends_request_connection\":0,\"etype_friends_create_connection\":1,\"etype_inbox_create_message\":1,\"etype_groups_invite\":1,\"etype_groups_discussion_reply\":1,\"etype_groups_wall_create\":1,\"etype_groups_create_discussion\":1,\"etype_groups_create_news\":1,\"etype_groups_create_album\":0,\"etype_groups_create_video\":0,\"etype_groups_create_event\":0,\"etype_groups_sendmail\":1,\"etype_groups_member_approved\":1,\"etype_groups_member_join\":1,\"etype_groups_notify_creator\":1,\"etype_events_invite\":1,\"etype_events_invitation_approved\":1,\"etype_events_sendmail\":1,\"etype_events_notify_admin\":1,\"etype_videos_submit_wall\":1,\"etype_photos_submit_wall\":1,\"etype_photos_tagging\":1,\"etype_system_bookmarks_email\":1,\"etype_system_messaging\":1,\"postFacebookStatus\":1}',1,'56,58,73','','',3,'42:super-user',255,255,0,'file','',1),(55,'',0,0,'0000-00-00 00:00:00','images/avatar/78ab73b6d8552698d8f6b8a4.png','images/avatar/thumb_78ab73b6d8552698d8f6b8a4.png',0,'{\"notifyEmailSystem\":1,\"privacyProfileView\":0,\"privacyPhotoView\":0,\"privacyFriendsView\":0,\"privacyGroupsView\":\"\",\"privacyVideoView\":0,\"notifyEmailMessage\":1,\"notifyEmailApps\":1,\"notifyWallComment\":0,\"etype_groups_notify_admin\":1,\"etype_user_profile_delete\":1,\"etype_system_reports_threshold\":0,\"etype_profile_status_update\":1,\"etype_friends_request_connection\":0,\"etype_friends_create_connection\":1,\"etype_inbox_create_message\":1,\"etype_groups_invite\":1,\"etype_groups_discussion_reply\":1,\"etype_groups_wall_create\":1,\"etype_groups_create_discussion\":1,\"etype_groups_create_news\":1,\"etype_groups_create_album\":0,\"etype_groups_create_video\":0,\"etype_groups_create_event\":0,\"etype_groups_sendmail\":1,\"etype_groups_member_approved\":1,\"etype_groups_member_join\":1,\"etype_groups_notify_creator\":1,\"etype_events_invite\":1,\"etype_events_invitation_approved\":1,\"etype_events_sendmail\":1,\"etype_events_notify_admin\":1,\"etype_videos_submit_wall\":1,\"etype_photos_submit_wall\":1,\"etype_photos_tagging\":1,\"etype_system_bookmarks_email\":1,\"etype_system_messaging\":1,\"postFacebookStatus\":1}',0,'','','',0,'55:konto-testowe',255,255,0,'file','',1),(57,'Suspendisse id enim turpis, non tincidunt mauris. Vestibulum vel nisi a libero pharetra tincidunt. Ut sollicitudin cursus ornare. Etiam ut turpis dolor. Suspendisse potenti.',0,4,'2011-11-27 19:20:24','images/avatar/5c08a9dade6288a916524fc5.png','images/avatar/thumb_5c08a9dade6288a916524fc5.png',0,'{\"notifyEmailSystem\":1,\"privacyProfileView\":0,\"privacyPhotoView\":0,\"privacyFriendsView\":0,\"privacyGroupsView\":\"\",\"privacyVideoView\":0,\"notifyEmailMessage\":1,\"notifyEmailApps\":1,\"notifyWallComment\":0,\"etype_groups_notify_admin\":1,\"etype_user_profile_delete\":1,\"etype_system_reports_threshold\":0,\"etype_profile_status_update\":1,\"etype_friends_request_connection\":0,\"etype_friends_create_connection\":1,\"etype_inbox_create_message\":1,\"etype_groups_invite\":1,\"etype_groups_discussion_reply\":1,\"etype_groups_wall_create\":1,\"etype_groups_create_discussion\":1,\"etype_groups_create_news\":1,\"etype_groups_create_album\":0,\"etype_groups_create_video\":0,\"etype_groups_create_event\":0,\"etype_groups_sendmail\":1,\"etype_groups_member_approved\":1,\"etype_groups_member_join\":1,\"etype_groups_notify_creator\":1,\"etype_events_invite\":1,\"etype_events_invitation_approved\":1,\"etype_events_sendmail\":1,\"etype_events_notify_admin\":1,\"etype_videos_submit_wall\":1,\"etype_photos_submit_wall\":1,\"etype_photos_tagging\":1,\"etype_system_bookmarks_email\":1,\"etype_system_messaging\":1,\"postFacebookStatus\":1}',0,'56','','',2,'57:user2',255,255,0,'file','',1),(56,'Suspendisse id enim turpis, non tincidunt mauris. Vestibulum vel nisi a libero pharetra tincidunt. Ut sollicitudin cursus ornare. Etiam ut turpis dolor. Suspendisse potenti.',0,5,'2011-11-27 19:18:22','images/avatar/64043d20f2e4240e7019fd46.png','images/avatar/thumb_64043d20f2e4240e7019fd46.png',0,'{\"notifyEmailSystem\":1,\"privacyProfileView\":0,\"privacyPhotoView\":0,\"privacyFriendsView\":0,\"privacyGroupsView\":\"\",\"privacyVideoView\":0,\"notifyEmailMessage\":1,\"notifyEmailApps\":1,\"notifyWallComment\":0,\"etype_groups_notify_admin\":1,\"etype_user_profile_delete\":1,\"etype_system_reports_threshold\":0,\"etype_profile_status_update\":1,\"etype_friends_request_connection\":0,\"etype_friends_create_connection\":1,\"etype_inbox_create_message\":1,\"etype_groups_invite\":1,\"etype_groups_discussion_reply\":1,\"etype_groups_wall_create\":1,\"etype_groups_create_discussion\":1,\"etype_groups_create_news\":1,\"etype_groups_create_album\":0,\"etype_groups_create_video\":0,\"etype_groups_create_event\":0,\"etype_groups_sendmail\":1,\"etype_groups_member_approved\":1,\"etype_groups_member_join\":1,\"etype_groups_notify_creator\":1,\"etype_events_invite\":1,\"etype_events_invitation_approved\":1,\"etype_events_sendmail\":1,\"etype_events_notify_admin\":1,\"etype_videos_submit_wall\":1,\"etype_photos_submit_wall\":1,\"etype_photos_tagging\":1,\"etype_system_bookmarks_email\":1,\"etype_system_messaging\":1,\"postFacebookStatus\":1}',0,'42,73','','',3,'56:user1',38.7069,-9.13563,0,'file','',1),(64,'Quisque pellentesque, mi nec convallis malesuada, felis leo egestas magna, id pretium elit nunc in leo. Sed aliquam tortor vel urna mollis non placerat nibh facilisis.',0,1,'2011-11-27 20:55:42','images/avatar/d99ce3f06c0ff0ce947ed05e.png','images/avatar/thumb_d99ce3f06c0ff0ce947ed05e.png',0,'{\"notifyEmailSystem\":1,\"privacyProfileView\":0,\"privacyPhotoView\":0,\"privacyFriendsView\":0,\"privacyGroupsView\":\"\",\"privacyVideoView\":0,\"notifyEmailMessage\":1,\"notifyEmailApps\":1,\"notifyWallComment\":0,\"etype_groups_notify_admin\":1,\"etype_user_profile_delete\":1,\"etype_system_reports_threshold\":0,\"etype_profile_status_update\":1,\"etype_friends_request_connection\":0,\"etype_friends_create_connection\":1,\"etype_inbox_create_message\":1,\"etype_groups_invite\":1,\"etype_groups_discussion_reply\":1,\"etype_groups_wall_create\":1,\"etype_groups_create_discussion\":1,\"etype_groups_create_news\":1,\"etype_groups_create_album\":0,\"etype_groups_create_video\":0,\"etype_groups_create_event\":0,\"etype_groups_sendmail\":1,\"etype_groups_member_approved\":1,\"etype_groups_member_join\":1,\"etype_groups_notify_creator\":1,\"etype_events_invite\":1,\"etype_events_invitation_approved\":1,\"etype_events_sendmail\":1,\"etype_events_notify_admin\":1,\"etype_videos_submit_wall\":1,\"etype_photos_submit_wall\":1,\"etype_photos_tagging\":1,\"etype_system_bookmarks_email\":1,\"etype_system_messaging\":1,\"postFacebookStatus\":1}',0,'','','',0,'64:user9',255,255,0,'file','',1),(63,'Quisque pellentesque, mi nec convallis malesuada, felis leo egestas magna, id pretium elit nunc in leo. Sed aliquam tortor vel urna mollis non placerat nibh facilisis.',0,1,'2011-11-27 21:02:27','images/avatar/4eec6e00a353c08c47665190.png','images/avatar/thumb_4eec6e00a353c08c47665190.png',0,'{\"notifyEmailSystem\":1,\"privacyProfileView\":0,\"privacyPhotoView\":0,\"privacyFriendsView\":0,\"privacyGroupsView\":\"\",\"privacyVideoView\":0,\"notifyEmailMessage\":1,\"notifyEmailApps\":1,\"notifyWallComment\":0,\"etype_groups_notify_admin\":1,\"etype_user_profile_delete\":1,\"etype_system_reports_threshold\":0,\"etype_profile_status_update\":1,\"etype_friends_request_connection\":0,\"etype_friends_create_connection\":1,\"etype_inbox_create_message\":1,\"etype_groups_invite\":1,\"etype_groups_discussion_reply\":1,\"etype_groups_wall_create\":1,\"etype_groups_create_discussion\":1,\"etype_groups_create_news\":1,\"etype_groups_create_album\":0,\"etype_groups_create_video\":0,\"etype_groups_create_event\":0,\"etype_groups_sendmail\":1,\"etype_groups_member_approved\":1,\"etype_groups_member_join\":1,\"etype_groups_notify_creator\":1,\"etype_events_invite\":1,\"etype_events_invitation_approved\":1,\"etype_events_sendmail\":1,\"etype_events_notify_admin\":1,\"etype_videos_submit_wall\":1,\"etype_photos_submit_wall\":1,\"etype_photos_tagging\":1,\"etype_system_bookmarks_email\":1,\"etype_system_messaging\":1,\"postFacebookStatus\":1}',0,'','','',0,'63:user8',255,255,0,'file','',1),(62,'Quisque pellentesque, mi nec convallis malesuada, felis leo egestas magna, id pretium elit nunc in leo. Sed aliquam tortor vel urna mollis non placerat nibh facilisis.',0,1,'2011-11-27 20:48:34','images/avatar/515abc989032f2f87e985a0f.png','images/avatar/thumb_515abc989032f2f87e985a0f.png',0,'{\"notifyEmailSystem\":1,\"privacyProfileView\":0,\"privacyPhotoView\":0,\"privacyFriendsView\":0,\"privacyGroupsView\":\"\",\"privacyVideoView\":0,\"notifyEmailMessage\":1,\"notifyEmailApps\":1,\"notifyWallComment\":0,\"etype_groups_notify_admin\":1,\"etype_user_profile_delete\":1,\"etype_system_reports_threshold\":0,\"etype_profile_status_update\":1,\"etype_friends_request_connection\":0,\"etype_friends_create_connection\":1,\"etype_inbox_create_message\":1,\"etype_groups_invite\":1,\"etype_groups_discussion_reply\":1,\"etype_groups_wall_create\":1,\"etype_groups_create_discussion\":1,\"etype_groups_create_news\":1,\"etype_groups_create_album\":0,\"etype_groups_create_video\":0,\"etype_groups_create_event\":0,\"etype_groups_sendmail\":1,\"etype_groups_member_approved\":1,\"etype_groups_member_join\":1,\"etype_groups_notify_creator\":1,\"etype_events_invite\":1,\"etype_events_invitation_approved\":1,\"etype_events_sendmail\":1,\"etype_events_notify_admin\":1,\"etype_videos_submit_wall\":1,\"etype_photos_submit_wall\":1,\"etype_photos_tagging\":1,\"etype_system_bookmarks_email\":1,\"etype_system_messaging\":1,\"postFacebookStatus\":1}',0,'','','',0,'62:user7',255,255,0,'file','',1),(61,'Suspendisse id enim turpis, non tincidunt mauris. Vestibulum vel nisi a libero pharetra tincidunt. Ut sollicitudin cursus ornare. Etiam ut turpis dolor. Suspendisse potenti.',0,1,'2011-11-27 19:23:19','images/avatar/1f0916fa51e70b0d2a7f86ba.png','images/avatar/thumb_1f0916fa51e70b0d2a7f86ba.png',0,'{\"notifyEmailSystem\":1,\"privacyProfileView\":0,\"privacyPhotoView\":0,\"privacyFriendsView\":0,\"privacyGroupsView\":\"\",\"privacyVideoView\":0,\"notifyEmailMessage\":1,\"notifyEmailApps\":1,\"notifyWallComment\":0,\"etype_groups_notify_admin\":1,\"etype_user_profile_delete\":1,\"etype_system_reports_threshold\":0,\"etype_profile_status_update\":1,\"etype_friends_request_connection\":0,\"etype_friends_create_connection\":1,\"etype_inbox_create_message\":1,\"etype_groups_invite\":1,\"etype_groups_discussion_reply\":1,\"etype_groups_wall_create\":1,\"etype_groups_create_discussion\":1,\"etype_groups_create_news\":1,\"etype_groups_create_album\":0,\"etype_groups_create_video\":0,\"etype_groups_create_event\":0,\"etype_groups_sendmail\":1,\"etype_groups_member_approved\":1,\"etype_groups_member_join\":1,\"etype_groups_notify_creator\":1,\"etype_events_invite\":1,\"etype_events_invitation_approved\":1,\"etype_events_sendmail\":1,\"etype_events_notify_admin\":1,\"etype_videos_submit_wall\":1,\"etype_photos_submit_wall\":1,\"etype_photos_tagging\":1,\"etype_system_bookmarks_email\":1,\"etype_system_messaging\":1,\"postFacebookStatus\":1}',0,'','','',0,'61:user6',255,255,0,'file','',1),(60,'',0,0,'0000-00-00 00:00:00','images/avatar/c06daface938f5e678dd1653.png','images/avatar/thumb_c06daface938f5e678dd1653.png',0,'{\"notifyEmailSystem\":1,\"privacyProfileView\":0,\"privacyPhotoView\":0,\"privacyFriendsView\":0,\"privacyGroupsView\":\"\",\"privacyVideoView\":0,\"notifyEmailMessage\":1,\"notifyEmailApps\":1,\"notifyWallComment\":0,\"etype_groups_notify_admin\":1,\"etype_user_profile_delete\":1,\"etype_system_reports_threshold\":0,\"etype_profile_status_update\":1,\"etype_friends_request_connection\":0,\"etype_friends_create_connection\":1,\"etype_inbox_create_message\":1,\"etype_groups_invite\":1,\"etype_groups_discussion_reply\":1,\"etype_groups_wall_create\":1,\"etype_groups_create_discussion\":1,\"etype_groups_create_news\":1,\"etype_groups_create_album\":0,\"etype_groups_create_video\":0,\"etype_groups_create_event\":0,\"etype_groups_sendmail\":1,\"etype_groups_member_approved\":1,\"etype_groups_member_join\":1,\"etype_groups_notify_creator\":1,\"etype_events_invite\":1,\"etype_events_invitation_approved\":1,\"etype_events_sendmail\":1,\"etype_events_notify_admin\":1,\"etype_videos_submit_wall\":1,\"etype_photos_submit_wall\":1,\"etype_photos_tagging\":1,\"etype_system_bookmarks_email\":1,\"etype_system_messaging\":1,\"postFacebookStatus\":1}',3,'','','',0,'60:user5',255,255,0,'file','',1),(59,'Suspendisse id enim turpis, non tincidunt mauris. Vestibulum vel nisi a libero pharetra tincidunt. Ut sollicitudin cursus ornare. Etiam ut turpis dolor. Suspendisse potenti.',0,1,'2011-11-27 19:22:05','images/avatar/b55717343b4a0b2e78734b90.png','images/avatar/thumb_b55717343b4a0b2e78734b90.png',0,'{\"notifyEmailSystem\":1,\"privacyProfileView\":0,\"privacyPhotoView\":0,\"privacyFriendsView\":0,\"privacyGroupsView\":\"\",\"privacyVideoView\":0,\"notifyEmailMessage\":1,\"notifyEmailApps\":1,\"notifyWallComment\":0,\"etype_groups_notify_admin\":1,\"etype_user_profile_delete\":1,\"etype_system_reports_threshold\":0,\"etype_profile_status_update\":1,\"etype_friends_request_connection\":0,\"etype_friends_create_connection\":1,\"etype_inbox_create_message\":1,\"etype_groups_invite\":1,\"etype_groups_discussion_reply\":1,\"etype_groups_wall_create\":1,\"etype_groups_create_discussion\":1,\"etype_groups_create_news\":1,\"etype_groups_create_album\":0,\"etype_groups_create_video\":0,\"etype_groups_create_event\":0,\"etype_groups_sendmail\":1,\"etype_groups_member_approved\":1,\"etype_groups_member_join\":1,\"etype_groups_notify_creator\":1,\"etype_events_invite\":1,\"etype_events_invitation_approved\":1,\"etype_events_sendmail\":1,\"etype_events_notify_admin\":1,\"etype_videos_submit_wall\":1,\"etype_photos_submit_wall\":1,\"etype_photos_tagging\":1,\"etype_system_bookmarks_email\":1,\"etype_system_messaging\":1,\"postFacebookStatus\":1}',0,'','','',0,'59:user4',255,255,0,'file','',1),(58,'Quisque pellentesque, mi nec convallis malesuada, felis leo egestas magna, id pretium elit nunc in leo. Sed aliquam tortor vel urna mollis non placerat nibh facilisis.',0,10,'2011-11-27 21:47:50','images/avatar/a48ea26477ac2dccb98a426b.png','images/avatar/thumb_a48ea26477ac2dccb98a426b.png',0,'{\"notifyEmailSystem\":1,\"privacyProfileView\":0,\"privacyPhotoView\":0,\"privacyFriendsView\":0,\"privacyGroupsView\":\"\",\"privacyVideoView\":0,\"notifyEmailMessage\":1,\"notifyEmailApps\":1,\"notifyWallComment\":0,\"etype_groups_notify_admin\":1,\"etype_user_profile_delete\":1,\"etype_system_reports_threshold\":0,\"etype_profile_status_update\":1,\"etype_friends_request_connection\":0,\"etype_friends_create_connection\":1,\"etype_inbox_create_message\":1,\"etype_groups_invite\":1,\"etype_groups_discussion_reply\":1,\"etype_groups_wall_create\":1,\"etype_groups_create_discussion\":1,\"etype_groups_create_news\":1,\"etype_groups_create_album\":0,\"etype_groups_create_video\":0,\"etype_groups_create_event\":0,\"etype_groups_sendmail\":1,\"etype_groups_member_approved\":1,\"etype_groups_member_join\":1,\"etype_groups_notify_creator\":1,\"etype_events_invite\":1,\"etype_events_invitation_approved\":1,\"etype_events_sendmail\":1,\"etype_events_notify_admin\":1,\"etype_videos_submit_wall\":1,\"etype_photos_submit_wall\":1,\"etype_photos_tagging\":1,\"etype_system_bookmarks_email\":1,\"etype_system_messaging\":1,\"postFacebookStatus\":1,\"group_activity_1\":\"3\",\"group_bulletin_1\":\"1\",\"group_discussion_1\":\"0\"}',0,'42','1','1',2,'58:user3',38.7069,-9.13563,0,'file','',1),(66,'Quisque pellentesque, mi nec convallis malesuada, felis leo egestas magna, id pretium elit nunc in leo. Sed aliquam tortor vel urna mollis non placerat nibh facilisis.',0,1,'2011-11-27 21:45:16','images/avatar/04f809551432937786d3acef.png','images/avatar/thumb_04f809551432937786d3acef.png',0,'{\"notifyEmailSystem\":1,\"privacyProfileView\":0,\"privacyPhotoView\":0,\"privacyFriendsView\":0,\"privacyGroupsView\":\"\",\"privacyVideoView\":0,\"notifyEmailMessage\":1,\"notifyEmailApps\":1,\"notifyWallComment\":0,\"etype_groups_notify_admin\":1,\"etype_user_profile_delete\":1,\"etype_system_reports_threshold\":0,\"etype_profile_status_update\":1,\"etype_friends_request_connection\":0,\"etype_friends_create_connection\":1,\"etype_inbox_create_message\":1,\"etype_groups_invite\":1,\"etype_groups_discussion_reply\":1,\"etype_groups_wall_create\":1,\"etype_groups_create_discussion\":1,\"etype_groups_create_news\":1,\"etype_groups_create_album\":0,\"etype_groups_create_video\":0,\"etype_groups_create_event\":0,\"etype_groups_sendmail\":1,\"etype_groups_member_approved\":1,\"etype_groups_member_join\":1,\"etype_groups_notify_creator\":1,\"etype_events_invite\":1,\"etype_events_invitation_approved\":1,\"etype_events_sendmail\":1,\"etype_events_notify_admin\":1,\"etype_videos_submit_wall\":1,\"etype_photos_submit_wall\":1,\"etype_photos_tagging\":1,\"etype_system_bookmarks_email\":1,\"etype_system_messaging\":1,\"postFacebookStatus\":1}',1,'','','1',0,'66:user12',255,255,0,'file','',1),(65,'Quisque pellentesque, mi nec convallis malesuada, felis leo egestas magna, id pretium elit nunc in leo. Sed aliquam tortor vel urna mollis non placerat nibh facilisis.',0,1,'2011-11-27 20:52:07','images/avatar/90d17a3011617a94f4320247.png','images/avatar/thumb_90d17a3011617a94f4320247.png',0,'{\"notifyEmailSystem\":1,\"privacyProfileView\":0,\"privacyPhotoView\":0,\"privacyFriendsView\":0,\"privacyGroupsView\":\"\",\"privacyVideoView\":0,\"notifyEmailMessage\":1,\"notifyEmailApps\":1,\"notifyWallComment\":0,\"etype_groups_notify_admin\":1,\"etype_user_profile_delete\":1,\"etype_system_reports_threshold\":0,\"etype_profile_status_update\":1,\"etype_friends_request_connection\":0,\"etype_friends_create_connection\":1,\"etype_inbox_create_message\":1,\"etype_groups_invite\":1,\"etype_groups_discussion_reply\":1,\"etype_groups_wall_create\":1,\"etype_groups_create_discussion\":1,\"etype_groups_create_news\":1,\"etype_groups_create_album\":0,\"etype_groups_create_video\":0,\"etype_groups_create_event\":0,\"etype_groups_sendmail\":1,\"etype_groups_member_approved\":1,\"etype_groups_member_join\":1,\"etype_groups_notify_creator\":1,\"etype_events_invite\":1,\"etype_events_invitation_approved\":1,\"etype_events_sendmail\":1,\"etype_events_notify_admin\":1,\"etype_videos_submit_wall\":1,\"etype_photos_submit_wall\":1,\"etype_photos_tagging\":1,\"etype_system_bookmarks_email\":1,\"etype_system_messaging\":1,\"postFacebookStatus\":1}',0,'','','',0,'65:user10',255,255,0,'file','',1),(70,'Quisque pellentesque, mi nec convallis malesuada, felis leo egestas magna, id pretium elit nunc in leo. Sed aliquam tortor vel urna mollis non placerat nibh facilisis.',0,1,'2011-11-27 21:05:31','images/avatar/68332d08e571e015c7fb0db7.png','images/avatar/thumb_68332d08e571e015c7fb0db7.png',0,'{\"notifyEmailSystem\":1,\"privacyProfileView\":0,\"privacyPhotoView\":0,\"privacyFriendsView\":0,\"privacyGroupsView\":\"\",\"privacyVideoView\":0,\"notifyEmailMessage\":1,\"notifyEmailApps\":1,\"notifyWallComment\":0,\"etype_groups_notify_admin\":1,\"etype_user_profile_delete\":1,\"etype_system_reports_threshold\":0,\"etype_profile_status_update\":1,\"etype_friends_request_connection\":0,\"etype_friends_create_connection\":1,\"etype_inbox_create_message\":1,\"etype_groups_invite\":1,\"etype_groups_discussion_reply\":1,\"etype_groups_wall_create\":1,\"etype_groups_create_discussion\":1,\"etype_groups_create_news\":1,\"etype_groups_create_album\":0,\"etype_groups_create_video\":0,\"etype_groups_create_event\":0,\"etype_groups_sendmail\":1,\"etype_groups_member_approved\":1,\"etype_groups_member_join\":1,\"etype_groups_notify_creator\":1,\"etype_events_invite\":1,\"etype_events_invitation_approved\":1,\"etype_events_sendmail\":1,\"etype_events_notify_admin\":1,\"etype_videos_submit_wall\":1,\"etype_photos_submit_wall\":1,\"etype_photos_tagging\":1,\"etype_system_bookmarks_email\":1,\"etype_system_messaging\":1,\"postFacebookStatus\":1}',0,'','','',0,'70:user16',255,255,0,'file','',1),(69,'Quisque pellentesque, mi nec convallis malesuada, felis leo egestas magna, id pretium elit nunc in leo. Sed aliquam tortor vel urna mollis non placerat nibh facilisis.',0,1,'2011-11-27 20:52:51','images/avatar/ff135af4f4639ae607ae76d4.png','images/avatar/thumb_ff135af4f4639ae607ae76d4.png',0,'{\"notifyEmailSystem\":1,\"privacyProfileView\":0,\"privacyPhotoView\":0,\"privacyFriendsView\":0,\"privacyGroupsView\":\"\",\"privacyVideoView\":0,\"notifyEmailMessage\":1,\"notifyEmailApps\":1,\"notifyWallComment\":0,\"etype_groups_notify_admin\":1,\"etype_user_profile_delete\":1,\"etype_system_reports_threshold\":0,\"etype_profile_status_update\":1,\"etype_friends_request_connection\":0,\"etype_friends_create_connection\":1,\"etype_inbox_create_message\":1,\"etype_groups_invite\":1,\"etype_groups_discussion_reply\":1,\"etype_groups_wall_create\":1,\"etype_groups_create_discussion\":1,\"etype_groups_create_news\":1,\"etype_groups_create_album\":0,\"etype_groups_create_video\":0,\"etype_groups_create_event\":0,\"etype_groups_sendmail\":1,\"etype_groups_member_approved\":1,\"etype_groups_member_join\":1,\"etype_groups_notify_creator\":1,\"etype_events_invite\":1,\"etype_events_invitation_approved\":1,\"etype_events_sendmail\":1,\"etype_events_notify_admin\":1,\"etype_videos_submit_wall\":1,\"etype_photos_submit_wall\":1,\"etype_photos_tagging\":1,\"etype_system_bookmarks_email\":1,\"etype_system_messaging\":1,\"postFacebookStatus\":1}',1,'','','',0,'69:user15',255,255,0,'file','',1),(68,'Quisque pellentesque, mi nec convallis malesuada, felis leo egestas magna, id pretium elit nunc in leo. Sed aliquam tortor vel urna mollis non placerat nibh facilisis.',0,1,'2011-11-27 21:09:54','images/avatar/5a685a7f58a68d4aeb2a1fba.png','images/avatar/thumb_5a685a7f58a68d4aeb2a1fba.png',0,'{\"notifyEmailSystem\":1,\"privacyProfileView\":0,\"privacyPhotoView\":0,\"privacyFriendsView\":0,\"privacyGroupsView\":\"\",\"privacyVideoView\":0,\"notifyEmailMessage\":1,\"notifyEmailApps\":1,\"notifyWallComment\":0,\"etype_groups_notify_admin\":1,\"etype_user_profile_delete\":1,\"etype_system_reports_threshold\":0,\"etype_profile_status_update\":1,\"etype_friends_request_connection\":0,\"etype_friends_create_connection\":1,\"etype_inbox_create_message\":1,\"etype_groups_invite\":1,\"etype_groups_discussion_reply\":1,\"etype_groups_wall_create\":1,\"etype_groups_create_discussion\":1,\"etype_groups_create_news\":1,\"etype_groups_create_album\":0,\"etype_groups_create_video\":0,\"etype_groups_create_event\":0,\"etype_groups_sendmail\":1,\"etype_groups_member_approved\":1,\"etype_groups_member_join\":1,\"etype_groups_notify_creator\":1,\"etype_events_invite\":1,\"etype_events_invitation_approved\":1,\"etype_events_sendmail\":1,\"etype_events_notify_admin\":1,\"etype_videos_submit_wall\":1,\"etype_photos_submit_wall\":1,\"etype_photos_tagging\":1,\"etype_system_bookmarks_email\":1,\"etype_system_messaging\":1,\"postFacebookStatus\":1}',0,'','','',0,'68:user14',255,255,0,'file','',1),(67,'Quisque pellentesque, mi nec convallis malesuada, felis leo egestas magna, id pretium elit nunc in leo. Sed aliquam tortor vel urna mollis non placerat nibh facilisis.',0,1,'2011-11-27 20:54:35','images/avatar/fd9fe4864c6a0de616afea47.png','images/avatar/thumb_fd9fe4864c6a0de616afea47.png',0,'{\"notifyEmailSystem\":1,\"privacyProfileView\":0,\"privacyPhotoView\":0,\"privacyFriendsView\":0,\"privacyGroupsView\":\"\",\"privacyVideoView\":0,\"notifyEmailMessage\":1,\"notifyEmailApps\":1,\"notifyWallComment\":0,\"etype_groups_notify_admin\":1,\"etype_user_profile_delete\":1,\"etype_system_reports_threshold\":0,\"etype_profile_status_update\":1,\"etype_friends_request_connection\":0,\"etype_friends_create_connection\":1,\"etype_inbox_create_message\":1,\"etype_groups_invite\":1,\"etype_groups_discussion_reply\":1,\"etype_groups_wall_create\":1,\"etype_groups_create_discussion\":1,\"etype_groups_create_news\":1,\"etype_groups_create_album\":0,\"etype_groups_create_video\":0,\"etype_groups_create_event\":0,\"etype_groups_sendmail\":1,\"etype_groups_member_approved\":1,\"etype_groups_member_join\":1,\"etype_groups_notify_creator\":1,\"etype_events_invite\":1,\"etype_events_invitation_approved\":1,\"etype_events_sendmail\":1,\"etype_events_notify_admin\":1,\"etype_videos_submit_wall\":1,\"etype_photos_submit_wall\":1,\"etype_photos_tagging\":1,\"etype_system_bookmarks_email\":1,\"etype_system_messaging\":1,\"postFacebookStatus\":1}',0,'','','',0,'67:user13',255,255,0,'file','',1),(72,'Quisque pellentesque, mi nec convallis malesuada, felis leo egestas magna, id pretium elit nunc in leo. Sed aliquam tortor vel urna mollis non placerat nibh facilisis.',0,1,'2011-11-27 20:42:08','images/avatar/2cc9a0a05ddbb3208c79c8e8.png','images/avatar/thumb_2cc9a0a05ddbb3208c79c8e8.png',0,'{\"notifyEmailSystem\":1,\"privacyProfileView\":0,\"privacyPhotoView\":0,\"privacyFriendsView\":0,\"privacyGroupsView\":\"\",\"privacyVideoView\":0,\"notifyEmailMessage\":1,\"notifyEmailApps\":1,\"notifyWallComment\":0,\"etype_groups_notify_admin\":1,\"etype_user_profile_delete\":1,\"etype_system_reports_threshold\":0,\"etype_profile_status_update\":1,\"etype_friends_request_connection\":0,\"etype_friends_create_connection\":1,\"etype_inbox_create_message\":1,\"etype_groups_invite\":1,\"etype_groups_discussion_reply\":1,\"etype_groups_wall_create\":1,\"etype_groups_create_discussion\":1,\"etype_groups_create_news\":1,\"etype_groups_create_album\":0,\"etype_groups_create_video\":0,\"etype_groups_create_event\":0,\"etype_groups_sendmail\":1,\"etype_groups_member_approved\":1,\"etype_groups_member_join\":1,\"etype_groups_notify_creator\":1,\"etype_events_invite\":1,\"etype_events_invitation_approved\":1,\"etype_events_sendmail\":1,\"etype_events_notify_admin\":1,\"etype_videos_submit_wall\":1,\"etype_photos_submit_wall\":1,\"etype_photos_tagging\":1,\"etype_system_bookmarks_email\":1,\"etype_system_messaging\":1,\"postFacebookStatus\":1}',1,'','','',0,'72:user18',255,255,0,'file','',1),(71,'Quisque pellentesque, mi nec convallis malesuada, felis leo egestas magna, id pretium elit nunc in leo. Sed aliquam tortor vel urna mollis non placerat nibh facilisis.',0,1,'2011-11-27 20:53:55','images/avatar/94fd4bdb0ce60676e890e38c.png','images/avatar/thumb_94fd4bdb0ce60676e890e38c.png',0,'{\"notifyEmailSystem\":1,\"privacyProfileView\":0,\"privacyPhotoView\":0,\"privacyFriendsView\":0,\"privacyGroupsView\":\"\",\"privacyVideoView\":0,\"notifyEmailMessage\":1,\"notifyEmailApps\":1,\"notifyWallComment\":0,\"etype_groups_notify_admin\":1,\"etype_user_profile_delete\":1,\"etype_system_reports_threshold\":0,\"etype_profile_status_update\":1,\"etype_friends_request_connection\":0,\"etype_friends_create_connection\":1,\"etype_inbox_create_message\":1,\"etype_groups_invite\":1,\"etype_groups_discussion_reply\":1,\"etype_groups_wall_create\":1,\"etype_groups_create_discussion\":1,\"etype_groups_create_news\":1,\"etype_groups_create_album\":0,\"etype_groups_create_video\":0,\"etype_groups_create_event\":0,\"etype_groups_sendmail\":1,\"etype_groups_member_approved\":1,\"etype_groups_member_join\":1,\"etype_groups_notify_creator\":1,\"etype_events_invite\":1,\"etype_events_invitation_approved\":1,\"etype_events_sendmail\":1,\"etype_events_notify_admin\":1,\"etype_videos_submit_wall\":1,\"etype_photos_submit_wall\":1,\"etype_photos_tagging\":1,\"etype_system_bookmarks_email\":1,\"etype_system_messaging\":1,\"postFacebookStatus\":1}',0,'','','',0,'71:user17',255,255,0,'file','',1),(73,'Quisque pellentesque, mi nec convallis malesuada, felis leo egestas magna, id pretium elit nunc in leo. Sed aliquam tortor vel urna mollis non placerat nibh facilisis.',0,7,'2011-11-30 19:55:21','images/avatar/c4c19508e5111c1b206368e2.png','images/avatar/thumb_c4c19508e5111c1b206368e2.png',0,'{\"notifyEmailSystem\":1,\"privacyProfileView\":0,\"privacyPhotoView\":0,\"privacyFriendsView\":0,\"privacyGroupsView\":\"\",\"privacyVideoView\":0,\"notifyEmailMessage\":1,\"notifyEmailApps\":1,\"notifyWallComment\":0,\"etype_groups_notify_admin\":1,\"etype_user_profile_delete\":1,\"etype_system_reports_threshold\":0,\"etype_profile_status_update\":1,\"etype_friends_request_connection\":0,\"etype_friends_create_connection\":1,\"etype_inbox_create_message\":1,\"etype_groups_invite\":1,\"etype_groups_discussion_reply\":1,\"etype_groups_wall_create\":1,\"etype_groups_create_discussion\":1,\"etype_groups_create_news\":1,\"etype_groups_create_album\":0,\"etype_groups_create_video\":0,\"etype_groups_create_event\":0,\"etype_groups_sendmail\":1,\"etype_groups_member_approved\":1,\"etype_groups_member_join\":1,\"etype_groups_notify_creator\":1,\"etype_events_invite\":1,\"etype_events_invitation_approved\":1,\"etype_events_sendmail\":1,\"etype_events_notify_admin\":1,\"etype_videos_submit_wall\":1,\"etype_photos_submit_wall\":1,\"etype_photos_tagging\":1,\"etype_system_bookmarks_email\":1,\"etype_system_messaging\":1,\"postFacebookStatus\":\"1\",\"group_activity_1\":\"4\",\"group_discussion_1\":\"1\"}',0,'42,56,57,58','1','',4,'73:user-19',255,255,0,'file','',1),(74,'There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even',0,1,'2011-12-01 00:59:22','images/avatar/b2112685e82d3b8538ef370a.png','images/avatar/thumb_b2112685e82d3b8538ef370a.png',0,'{\"notifyEmailSystem\":1,\"privacyProfileView\":0,\"privacyPhotoView\":0,\"privacyFriendsView\":0,\"privacyGroupsView\":\"\",\"privacyVideoView\":0,\"notifyEmailMessage\":1,\"notifyEmailApps\":1,\"notifyWallComment\":0,\"etype_groups_notify_admin\":1,\"etype_user_profile_delete\":1,\"etype_system_reports_threshold\":0,\"etype_profile_status_update\":1,\"etype_friends_request_connection\":0,\"etype_friends_create_connection\":1,\"etype_inbox_create_message\":1,\"etype_groups_invite\":1,\"etype_groups_discussion_reply\":1,\"etype_groups_wall_create\":1,\"etype_groups_create_discussion\":1,\"etype_groups_create_news\":1,\"etype_groups_create_album\":0,\"etype_groups_create_video\":0,\"etype_groups_create_event\":0,\"etype_groups_sendmail\":1,\"etype_groups_member_approved\":1,\"etype_groups_member_join\":1,\"etype_groups_notify_creator\":1,\"etype_events_invite\":1,\"etype_events_invitation_approved\":1,\"etype_events_sendmail\":1,\"etype_events_notify_admin\":1,\"etype_videos_submit_wall\":1,\"etype_photos_submit_wall\":1,\"etype_photos_tagging\":1,\"etype_system_bookmarks_email\":1,\"etype_system_messaging\":1,\"postFacebookStatus\":\"1\"}',0,'','','',0,'74:user-20',255,255,0,'file','',1);


--
-- Table structure for table `#__community_videos`
--



CREATE TABLE `#__community_videos` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(200) NOT NULL,
  `type` varchar(200) NOT NULL DEFAULT 'file',
  `video_id` varchar(200) DEFAULT NULL,
  `description` text NOT NULL,
  `creator` int(11) unsigned NOT NULL,
  `creator_type` varchar(200) NOT NULL DEFAULT 'user',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `permissions` varchar(255) NOT NULL DEFAULT '0',
  `category_id` int(11) unsigned NOT NULL,
  `hits` int(11) unsigned NOT NULL DEFAULT '0',
  `published` tinyint(3) NOT NULL DEFAULT '1',
  `featured` tinyint(3) NOT NULL DEFAULT '0',
  `duration` float unsigned DEFAULT '0',
  `status` varchar(200) NOT NULL DEFAULT 'pending',
  `thumb` varchar(255) DEFAULT NULL,
  `path` varchar(255) DEFAULT NULL,
  `groupid` int(11) unsigned NOT NULL DEFAULT '0',
  `filesize` int(11) NOT NULL DEFAULT '0',
  `storage` varchar(64) NOT NULL DEFAULT 'file',
  `location` text NOT NULL,
  `latitude` float NOT NULL DEFAULT '255',
  `longitude` float NOT NULL DEFAULT '255',
  PRIMARY KEY (`id`),
  KEY `creator` (`creator`),
  KEY `idx_groupid` (`groupid`),
  KEY `idx_storage` (`storage`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_videos`
--


INSERT INTO `#__community_videos` (`id`, `title`, `type`, `video_id`, `description`, `creator`, `creator_type`, `created`, `permissions`, `category_id`, `hits`, `published`, `featured`, `duration`, `status`, `thumb`, `path`, `groupid`, `filesize`, `storage`, `location`, `latitude`, `longitude`) VALUES (1,'Rihanna - Umbrella (Orange Version) ft. JAY-Z','youtube','CvBfHwUxHIk','Music video by Rihanna performing Umbrella. (C) 2007 The Island Def Jam Music Group',42,'user','2011-11-26 03:22:49','0',1,0,1,0,253,'temp','images/videos/42/thumbs/p1fZhUFwjpZ.jpg','http://www.youtube.com/watch?v=CvBfHwUxHIk',0,0,'file','',255,255),(2,'Seconds Of Beauty - 1st round compilation','vimeo','32071937','60 seconds of beauty submitted by users to the first round of The Beauty Of A Second short film contest.\n\nmontblanc-onesecond.com\n\nCreate your own playlist now on the site or upload your second of beauty to participate in the next round now. 20 videos will be shortlisted from each of the three rounds to be judged by Wim Wenders in the grand final. \n\nFor more information visit: montblanconesecond.com/#/en/the-challenge\n\nMontblanc and Leo Burnett Milan pay homage to the chronograph -- which recorded time to the accuracy of a fifth of a second-- with a short film challenge. The Beauty of a Second is a contest curated by Win Wenders which asks users to demonstrate beauty in a second of film. The winner will meet Wenders and win a Montblanc Nicolas Rieussec chronograph.\n\nEvery Second Counts!',61,'user','2011-11-27 20:00:45','0',1,1,1,0,67,'ready','images/videos/61/thumbs/uyyRrTubHR3.jpg','http://vimeo.com/32071937',0,0,'file','San Jose, California',255,255),(3,'Experience Zero Gravity','vimeo','29017795','A New Video From InfinityList.com\nThe Cinematic Sports Experience\n\nChapter 1: Experience Human Flight (vimeo.com/22428395)\nChapter 2: Experience Zero Gravity\n\nThere are thousands of people that are exploring some of the most beautiful landscapes in the world. This chapter we will take you to Norway Switzerland and France where people are jumping cliffs as high as 6,000 feet. \n\nExperience Zero Gravity will hopefully provide you with the feeling and the emotion that we feel when we think about the experience of Base Jumping in the most scenic locations of the world. \n\nWe hope you can see this world from our eyes.\n\nInfinityList.com is a central platform to find the best and most cinematic sports video.\n\nIf you have any questions or further comment please contact us through our website infinitylist.com\n\nStarring: \nOssie Khan, Stephen (Sparky) Baich, Fred Fugen, Vince Refett, Jade Edaj, Pepe Cam, Simon Wandeler, Adrian Acquado, Jeremy Bourne, and Woody.\n\nProduced by: \nBetty Wants In\nBettyWantsIn.com\nfacebook.com/BettyWantsIn\n\nIn Association with:\nMelbourne Skydive Centre\nMelbourneSkydiveCentre.com.au\nfacebook.com/MelbourneSkydiveCentre\n\nShot on a GoPro\n\nMusic: Alex Khaskin - \"Life is Beautiful\"\nitunes.apple.com/us/album/life-is-beautiful-single/id459746023',57,'user','2011-11-27 21:27:33','0',1,0,1,0,174,'ready','images/videos/57/thumbs/ZEOpeyG7KZU.jpg','http://vimeo.com/29017795',0,0,'file','Norway',255,255),(4,'Sampled Room','vimeo','18929809','This is an example, how to use the basic stuff in your room in such creative and musician way. Just take some noisy and voiced objects and record them with any sampler. At the end use all this stuff to create any music u desire. Or... You even don\'t need any sampler. Just use your friends, give them gadgets and transform your party into gizmo-jam-session. I can guarantee much fun. Enjoy!\r\n\r\nTools:\r\n\r\nCanon EOS 5D mkII\r\nDitoGear CrankSlider\r\nMicrophone Shure SM 48\r\n\r\n2 Wine Glases\r\nPanties\r\nBottle Opener\r\nDrier\r\nTape\r\nTube Pack From Whiskey\r\nSpring\r\nOld USRR Camera\r\nSpanner\r\nWater\r\n\r\nShots, Edit & Music - Mateusz Zdziebko',61,'user','2011-11-27 21:32:13','0',1,0,1,0,90,'ready','images/videos/61/thumbs/4GVMoAlvZA4.jpg','http://vimeo.com/18929809',0,0,'file','San Jose, California',255,255),(5,'AC/DC Live At River Plate: TNT','vimeo','22713543','AC/DC Live At River Plate is the definitive live concert DVD documenting AC/DC\'s massive Black Ice World Tour. Shot with 32 cameras entirely in HD in December of 2009, AC/DC Live At River Plate marks AC/DC\'s triumphant return to Buenos Aires where nearly 200,000 fans, and 3 sold-out shows, welcomed the band back after a 13 year absence from Argentina. (C) 2011 Leidseplein Presse B.V.',62,'user','2011-11-27 21:35:37','0',1,0,1,0,70,'ready','images/videos/62/thumbs/1vuWAuBoW1D.jpg','http://vimeo.com/22713543',0,0,'file','San Jose, California',255,255),(6,'WOMP! (SUMMER 2011)','vimeo','27618935','?jonzombie.com??\n?facebook.com/jonzombiepro\n\n???WOMP?\nEvery Wednesday Night at the Oakland Metro Opera House\n630 3rd St, Oakland, California USA\nWOMP Facebook: facebook.com/profile.php?id=100001103265150\n\nJON ZOMBIE VIDEO PRODUCTIONS?\n?jonzombie.com??\n?facebook.com/jonzombiepro\n\n???Soundtrack:?\nLMFAO feat. Natalia Kills - Champagne Showers (R3hab Remix)\nDavid Guetta feat. Rihanna - Who\'s That Chick (Afrojack Dub Mix)\nSkrillex - Died This Way (Lady Gaga)\nCalvertron - Future Proof\nSkeptics - Cobwebs',65,'user','2011-11-27 22:00:37','0',1,0,1,0,201,'ready','images/videos/65/thumbs/UXtmd3pPHVy.jpg','http://vimeo.com/27618935',0,0,'file','San Jose, California',255,255),(7,'Electric Zoo 2011','vimeo','29229585','Featuring (in order of appearance) Calvin Harris, Rusko, Above & Beyond, Snoop Dogg, Chromeo, ATB, Infected Mushroom, Skrillex, Dirty South, Diplo, MSTRKRFT, David Guetta, Tiesto, Afrojack, Armin Van Buuren and Moby.\n\nDirected by Josh Sobel\nProduced by Andrew Silberstein\nMusic by Lazy L\n\nicangiveyouhouse.com',69,'user','2011-11-27 22:03:22','0',1,0,1,0,176,'ready','images/videos/69/thumbs/LZNvDm85mft.jpg','http://vimeo.com/29229585',0,0,'file','San Jose, California',255,255);


--
-- Table structure for table `#__community_videos_category`
--



CREATE TABLE `#__community_videos_category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `published` tinyint(3) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_videos_category`
--


INSERT INTO `#__community_videos_category` (`id`, `parent`, `name`, `description`, `published`) VALUES (1,0,'General','General video channel',1);


--
-- Table structure for table `#__community_wall`
--



CREATE TABLE `#__community_wall` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `contentid` int(10) unsigned NOT NULL DEFAULT '0',
  `post_by` int(10) unsigned NOT NULL DEFAULT '0',
  `ip` varchar(45) NOT NULL,
  `comment` text NOT NULL,
  `date` varchar(45) NOT NULL,
  `published` tinyint(1) unsigned NOT NULL,
  `type` varchar(200) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `contentid` (`contentid`),
  KEY `type` (`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__community_wall`
--




--
-- Table structure for table `#__contact_details`
--



CREATE TABLE `#__contact_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) NOT NULL DEFAULT '',
  `con_position` varchar(255) DEFAULT NULL,
  `address` text,
  `suburb` varchar(100) DEFAULT NULL,
  `state` varchar(100) DEFAULT NULL,
  `country` varchar(100) DEFAULT NULL,
  `postcode` varchar(100) DEFAULT NULL,
  `telephone` varchar(255) DEFAULT NULL,
  `fax` varchar(255) DEFAULT NULL,
  `misc` mediumtext,
  `image` varchar(255) DEFAULT NULL,
  `imagepos` varchar(20) DEFAULT NULL,
  `email_to` varchar(255) DEFAULT NULL,
  `default_con` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `catid` int(11) NOT NULL DEFAULT '0',
  `access` int(10) unsigned DEFAULT NULL,
  `mobile` varchar(255) NOT NULL DEFAULT '',
  `webpage` varchar(255) NOT NULL DEFAULT '',
  `sortname1` varchar(255) NOT NULL,
  `sortname2` varchar(255) NOT NULL,
  `sortname3` varchar(255) NOT NULL,
  `language` char(7) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__contact_details`
--


INSERT INTO `#__contact_details` (`id`, `name`, `alias`, `con_position`, `address`, `suburb`, `state`, `country`, `postcode`, `telephone`, `fax`, `misc`, `image`, `imagepos`, `email_to`, `default_con`, `published`, `checked_out`, `checked_out_time`, `ordering`, `params`, `user_id`, `catid`, `access`, `mobile`, `webpage`, `sortname1`, `sortname2`, `sortname3`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`) VALUES (1,'Our address','our-address','','B.S. Sound 25 Cromwell St, Glen Iris\r\n','Victoria','','Australia','00-000,','+49 5241 80-0 00','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam eget nisl eros. Suspendisse non sem leo. Suspendisse aliquet eros in erat commodo porttitor. Nam et tortor non enim ornare varius sit amet sed turpis.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam eget nisl eros. Suspendisse non sem leo. Suspendisse aliquet eros in erat commodo porttitor. Nam et tortor non enim ornare varius sit amet sed turpis.</p>','',NULL,'sample@mail.com',0,1,0,'0000-00-00 00:00:00',1,'{\"show_contact_category\":\"hide\",\"show_contact_list\":\"\",\"presentation_style\":\"\",\"show_name\":\"\",\"show_position\":\"1\",\"show_email\":\"1\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_profile\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linka\":\"\",\"linkb_name\":\"\",\"linkb\":\"\",\"linkc_name\":\"\",\"linkc\":\"\",\"linkd_name\":\"\",\"linkd\":\"\",\"linke_name\":\"\",\"linke\":\"\",\"contact_layout\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\"}',0,10,1,'','','','','','*','2011-01-13 14:54:01',42,'','2011-11-06 21:08:56',42,'','','{\"robots\":\"\",\"rights\":\"\"}',1,'','0000-00-00 00:00:00','0000-00-00 00:00:00'),(2,'Joomla User ','eli-manning','','B.S. Sound 25 Cromwell St\r\nGlen Iris\r\nVictoria, 3146. \r\nAustralia','','Australia','','','','','','images/powered_by.png',NULL,'test@test.com',0,1,0,'0000-00-00 00:00:00',2,'{\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"presentation_style\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_profile\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linka\":\"\",\"linkb_name\":\"\",\"linkb\":\"\",\"linkc_name\":\"\",\"linkc\":\"\",\"linkd_name\":\"\",\"linkd\":\"\",\"linke_name\":\"\",\"linke\":\"\",\"contact_layout\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\"}',0,11,1,'','','','','','*','2011-01-13 14:54:01',42,'','2011-01-13 14:57:11',42,'','','{\"robots\":\"\",\"rights\":\"\"}',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00'),(3,'GavickPro','gavickpro','','','','','','','','','<p>The best Joomla! Templates.</p>','',NULL,'',0,-2,0,'0000-00-00 00:00:00',3,'{\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"presentation_style\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_profile\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linka\":\"\",\"linkb_name\":\"\",\"linkb\":\"\",\"linkc_name\":\"\",\"linkc\":\"\",\"linkd_name\":\"\",\"linkd\":\"\",\"linke_name\":\"\",\"linke\":\"\",\"contact_layout\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\"}',0,4,1,'','','','','','*','2011-11-08 16:14:05',42,'','0000-00-00 00:00:00',0,'','','{\"robots\":\"\",\"rights\":\"\"}',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00');


--
-- Table structure for table `#__content`
--



CREATE TABLE `#__content` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) NOT NULL DEFAULT '',
  `title_alias` varchar(255) NOT NULL DEFAULT '',
  `introtext` mediumtext NOT NULL,
  `fulltext` mediumtext NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `sectionid` int(10) unsigned NOT NULL DEFAULT '0',
  `mask` int(10) unsigned NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` text NOT NULL,
  `urls` text NOT NULL,
  `attribs` varchar(5120) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `parentid` int(10) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `language` char(7) NOT NULL COMMENT 'The language code for the article.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`),
  KEY `jr_created` (`created`),
  KEY `jr_modified` (`modified`),
  KEY `jr_hits` (`hits`),
  KEY `jr_ordering` (`ordering`),
  KEY `jr_title` (`title`(3)),
  KEY `jr_listing_count` (`catid`,`state`,`access`,`publish_up`,`publish_down`)
) ENGINE=MyISAM AUTO_INCREMENT=58 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__content`
--


INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `title_alias`, `introtext`, `fulltext`, `state`, `sectionid`, `mask`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `parentid`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES (1,32,'Typography','typography','','<div class=\"gkblock-4\">It is possible with templates which have a typography page to show you how you can use e.g. headline tags in order to structure your content in a better way. Below, we present rebuilt and refreshed typographical aspects of Gavern Framework. In order to use it, you have to use a plug in which is delivered in a package with a template or use HTML code.</div>\r\n<div id=\"warnings\" class=\"demo-typoDiv typoDesc\">\r\n<h4 class=\"demo-typo\">Warnings</h4>\r\n<div class=\"demo-typo-col2\">\r\n<div class=\"demo-typo_padd\">\r\n<p class=\"gkInfo1\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. In sapien velit, tristique ac scelerisque vel, aliquet nec tellus.</p>\r\n<p class=\"gkTips1\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. In sapien velit, tristique ac scelerisque vel, aliquet nec tellus.</p>\r\n<p class=\"gkWarning1\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. In sapien velit, tristique ac scelerisque vel, aliquet nec tellus.</p>\r\n<p class=\"gkInfo2\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. In sapien velit, tristique ac scelerisque vel, aliquet nec tellus.</p>\r\n<p class=\"gkTips2\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. In sapien velit, tristique ac scelerisque vel, aliquet nec tellus.</p>\r\n<p class=\"gkWarning2\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. In sapien velit, tristique ac scelerisque vel, aliquet nec tellus.</p>\r\n</div>\r\n</div>\r\n<div class=\"demo-typo-col2\">\r\n<div class=\"demo-typo_padd\">\r\n<p class=\"gkInfo3\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. In sapien velit, tristique ac scelerisque vel, aliquet nec tellus.</p>\r\n<p class=\"gkTips3\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. In sapien velit, tristique ac scelerisque vel, aliquet nec tellus.</p>\r\n<p class=\"gkWarning3\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. In sapien velit, tristique ac scelerisque vel, aliquet nec tellus.</p>\r\n<p class=\"gkInfo4\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. In sapien velit, tristique ac scelerisque vel, aliquet nec tellus.</p>\r\n<p class=\"gkTips4\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. In sapien velit, tristique ac scelerisque vel, aliquet nec tellus.</p>\r\n<p class=\"gkWarning4\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. In sapien velit, tristique ac scelerisque vel, aliquet nec tellus.</p>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"demo-typoDiv\">\r\n<h4 class=\"demo-typo\">Headings</h4>\r\n<div class=\"demo-typo-col2\">\r\n<div class=\"demo-typo_padd\">\r\n<h1>This is heading 1</h1>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer semper egestas nunc in volutpat. Fusce adipiscing velit ac eros tempor iaculis. Phasellus venenatis mollis augue, non posuere odio placerat in. Etiam volutpat ultrices lectus. Fusce eu felis erat. Donec congue interdum elit, sed ornare magna convallis lacinia. In hac habitasse platea dictumst. Mauris volutpat consectetur accumsan.</p>\r\n<h2>This is heading 2</h2>\r\n<p>Cras diam justo, sodales quis lobortis sed, lobortis vel mauris. Sed a mollis nunc. Quisque semper condimentum lectus, eget laoreet ipsum auctor et. Quisque sagittis luctus augue, id fringilla enim euismod quis. Nullam blandit, elit at euismod rutrum, tortor nibh posuere mauris, in volutpat diam ante ac dui. Sed velit massa, imperdiet placerat tristique et, consectetur a lorem. Praesent aliquet turpis in quam tempor eu pulvinar nibh luctus.</p>\r\n<h3>This is heading 3</h3>\r\n<p>Vivamus rhoncus arcu sit amet est tristique convallis nec vel eros. Vestibulum euismod luctus velit quis porta. Aliquam varius placerat mauris sed vehicula. Integer porta facilisis sapien, in tempus lorem mattis molestie. Suspendisse potenti. Praesent quis diam non dolor convallis mattis eu id nulla.</p>\r\n<h4>This is heading 4</h4>\r\n<p>Proin urna erat, egestas vel consectetur at, accumsan at purus. Donec est risus, facilisis dignissim placerat nec, euismod lacinia nisi. Nam ac sem sed quam sollicitudin condimentum et eu neque. Nunc enim urna, ultricies ac mollis pretium, imperdiet hendrerit massa. Sed eleifend felis sed tellus cursus lacinia. Aenean venenatis aliquet euismod. Nam quis turpis tellus, vitae malesuada neque.</p>\r\n</div>\r\n</div>\r\n<div class=\"demo-typo-col2\">\r\n<div class=\"demo-typo_padd\">\r\n<p class=\"gkHeadline\">This is a headline.</p>\r\n<p class=\"gkSubHeadline\">This is a subheadline.</p>\r\n<p>Use <strong>&lt;p class=\"gkHeadling\"&gt;for headline&lt;/p&gt;</strong>.Use <strong>&lt;p class=\"gkSubHeadline\"&gt;for subheadline&lt;/p&gt;</strong>.Proin urna erat, egestas vel consectetur at, accumsan at purus. Donec est risus, facilisis dignissim placerat nec, euismod lacinia nisi. Nam ac sem sed quam sollicitudin condimentum et eu neque. Nunc enim urna, ultricies ac mollis pretium, imperdiet hendrerit massa. Sed eleifend felis sed tellus cursus lacinia. Aenean venenatis aliquet euismod. Nam quis turpis tellus, vitae malesuada neque.</p>\r\n<p class=\"gkSmallHeadline\">This is a small headline</p>\r\n<p class=\"gkLargeHeadline\">This is a large headline</p>\r\n<p>Use <strong>&lt;p class=\"gkHeadling\"&gt;for headline&lt;/p&gt;</strong>.Use <strong>&lt;p class=\"gkSubHeadline\"&gt;for subheadline&lt;/p&gt;</strong>.Proin urna erat, egestas vel consectetur at, accumsan at purus. Donec est risus, facilisis dignissim placerat nec, euismod lacinia nisi. Nam ac sem sed quam sollicitudin condimentum et eu neque. Nunc enim urna, ultricies ac mollis pretium, imperdiet hendrerit massa. Sed eleifend felis sed tellus cursus lacinia. Aenean venenatis aliquet euismod. Nam quis turpis tellus, vitae malesuada neque.</p>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n<h4 class=\"demo-typo\">Icon set 1</h4>\r\n<div class=\"demo-typo-col3\">\r\n<div class=\"demo-typo_padd\">\r\n<p class=\"gkAudio\">This is a sample audio message. <br /> <small>Use &lt;p class=\"gkAudio\"&gt;Your audio message goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkWebcam\">This is a sample webcam message. <br /> <small>Use &lt;p class=\"gkWebcam\"&gt;Your webcam goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkEmail\">This is a sample email message. <br /> <small>Use &lt;p class=\"gkEmail\"&gt;Your email message goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkCreditcard\">This is a sample creditcard message. <br /> <small>Use &lt;p class=\"gkCreditcard\"&gt;Your creditcart message goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkFeed\">This is a sample feed message. <br /> <small>Use &lt;p class=\"gkFeed\"&gt;Your feed goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkHelp\">This is a sample help message. <br /> <small>Use &lt;p class=\"gkHelp\"&gt;Your help message goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkImages\">This is a sample images message. <br /> <small>Use &lt;p class=\"gkImages\"&gt;Your images message goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkLock\">This is a sample lock message. <br /> <small>Use &lt;p class=\"gkLock\"&gt;Your webcam goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkPrinter\">This is a sample printer message. <br /> <small>Use &lt;p class=\"gkPrinter\"&gt;Your printer message goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkReport\">This is a sample report message. <br /> <small>Use &lt;p class=\"gkReport\"&gt;Your report message goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkScript\">This is a sample script message. <br /> <small>Use &lt;p class=\"gkScript\"&gt;Your script goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkTime\">This is a sample time message. <br /> <small>Use &lt;p class=\"gkTime\"&gt;Your time message goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkUser\">This is a sample user message. <br /> <small>Use &lt;p class=\"gkUser\"&gt;Your user message goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkWorld\">This is a sample world message. <br /> <small>Use &lt;p class=\"gkWorld\"&gt;Your world goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkCart\">This is a sample cart message. <br /> <small>Use &lt;p class=\"gkCart\"&gt;Your cart message goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkCd\">This is a sample cd message. <br /> <small>Use &lt;p class=\"gkCd\"&gt;Your cd message goes here!&lt;/p&gt;</small>.</p>\r\n</div>\r\n</div>\r\n<div class=\"demo-typo-col3\">\r\n<div class=\"demo-typo_padd\">\r\n<p class=\"gkChartBar\">This is a sample chart_bar message. <br /> <small>Use &lt;p class=\"gkChartBar\"&gt;Your chart_bar goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkChartLine\">This is a sample chart_line message. <br /> <small>Use &lt;p class=\"gkChartLine\"&gt;Your chart_line message goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkChartPie\">This is a sample chart_pie message. <br /> <small>Use &lt;p class=\"gkChartPie\"&gt;Your chart_pie message goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkClock\">This is a sample clock message. <br /> <small>Use &lt;p class=\"gkClock\"&gt;Your clock goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkCog\">This is a sample cog message. <br /> <small>Use &lt;p class=\"gkCog\"&gt;Your cog message goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkCoins\">This is a sample coins message. <br /> <small>Use &lt;p class=\"gkCoins\"&gt;Your coins message goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkCompress\">This is a sample compress message. <br /> <small>Use &lt;p class=\"gkCompress\"&gt;Your compress goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkComputer\">This is a sample computer message. <br /> <small>Use &lt;p class=\"gkComputer\"&gt;Your computer message goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkCross\">This is a sample cross message. <br /> <small>Use &lt;p class=\"gkCross\"&gt;Your cross message goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkDisk\">This is a sample disk message. <br /> <small>Use &lt;p class=\"gkDisk\"&gt;Your disk goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkError\">This is a sample error message. <br /> <small>Use &lt;p class=\"gkError\"&gt;Your error message goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkExclamation\">This is a sample exclamation message. <br /> <small>Use &lt;p class=\"gkExclamation\"&gt;Your exclamation message goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkFilm\">This is a sample film message. <br /> <small>Use &lt;p class=\"gkFilm\"&gt;Your film goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkFolder\">This is a sample folder message. <br /> <small>Use &lt;p class=\"gkFolder\"&gt;Your folder message goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkGroup\">This is a sample group message. <br /> <small>Use &lt;p class=\"gkGroup\"&gt;Your group message goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkHeart\">This is a sample heart message. <br /> <small>Use &lt;p class=\"gkHeart\"&gt;Your heart goes here!&lt;/p&gt;</small>.</p>\r\n</div>\r\n</div>\r\n<div class=\"demo-typo-col3\">\r\n<div class=\"demo-typo_padd\">\r\n<p class=\"gkHouse\">This is a sample house message. <br /> <small>Use &lt;p class=\"gkHouse\"&gt;Your house message goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkImage\">This is a sample image message. <br /> <small>Use &lt;p class=\"gkImage\"&gt;Your image message goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkInformation\">This is a sample information message. <br /> <small>Use &lt;p class=\"gkInformation\"&gt;Your information message goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkMagnifier\">This is a sample magnifier message. <br /> <small>Use &lt;p class=\"gkMagnifier\"&gt;Your magnifier message goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkMoney\">This is a sample money message. <br /> <small>Use &lt;p class=\"gkMoney\"&gt;Your money goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkNew\">This is a sample new message. <br /> <small>Use &lt;p class=\"gkNew\"&gt;Your new message goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkNote\">This is a sample note message. <br /> <small>Use &lt;p class=\"gkNote\"&gt;Your note message goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkPage\">This is a sample page message. <br /> <small>Use &lt;p class=\"gkPage\"&gt;Your page goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkPage_white\">This is a sample page_white message. <br /> <small>Use &lt;p class=\"gkPage_white\"&gt;Your page_white message goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkPlugin\">This is a sample plugin message. <br /> <small>Use &lt;p class=\"gkPlugin\"&gt;Your plugin message goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkAccept\">This is a sample accept message. <br /> <small>Use &lt;p class=\"gkAccept\"&gt;Your accept goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkAdd\">This is a sample add message. <br /> <small>Use &lt;p class=\"gkAdd\"&gt;Your add message goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkCamera\">This is a sample camera message. <br /> <small>Use &lt;p class=\"gkCamera\"&gt;Your camera message goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkBrick\">This is a sample brick message. <br /> <small>Use &lt;p class=\"gkBrick\"&gt;Your brick goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkBox\">This is a sample box message. <br /> <small>Use &lt;p class=\"gkBox\"&gt;Your box message goes here!&lt;/p&gt;</small>.</p>\r\n<p class=\"gkCalendar\">This is a sample calendar message. <br /> <small>Use &lt;p class=\"gkCalendar\"&gt;Your calendar message goes here!&lt;/p&gt;</small>.</p>\r\n</div>\r\n</div>\r\n</div>\r\n<h4 class=\"demo-typo\"><a name=\"tooltips\"></a>Tooltips</h4>\r\n<p>Here are some examples of a <a class=\"gkTooltip\" href=\"#\">Classic<span class=\"classicTooltip\">This is just an example of what you can do using a CSS tooltip, feel free to get creative and produce your own!</span></a> , <a class=\"gkTooltip\" href=\"#\">Critical<span class=\"customTooltip criticalTooltip\"><em>Critical</em>This is just an example of what you can do using a CSS tooltip, feel free to get creative and produce your own!</span></a> , <a class=\"gkTooltip\" href=\"#\">Help<span class=\"customTooltip helpTooltip\"><em>Help</em>This is just an example of what you can do using a CSS tooltip, feel free to get creative and produce your own!</span></a> , <a class=\"gkTooltip\" href=\"#\">Information<span class=\"customTooltip infoTooltip\"><em>Information</em>This is just an example of what you can do using a CSS tooltip, feel free to get creative and produce your own!</span></a> and <a class=\"gkTooltip\" href=\"#\">Warning<span class=\"customTooltip warningTooltip\"><em>Warning</em>This is just an example of what you can do using a CSS tooltip, feel free to get creative and produce your own!</span></a> CSS powered tooltip. <br /> This is just an example of what you can do so feel free to get creative and produce your own!</p>\r\n<div class=\"demo-typoDiv typoDesc \">\r\n<h4 class=\"demo-typo\">Highlights</h4>\r\n<div class=\"demo-typo-col2\">\r\n<div class=\"demo-typo_padd\">\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. <br /> This is a <span class=\"gkHighlight1\">highlight phrase</span>. <br /> <small>Use &lt;span class=\"gkHighlight1\"&gt;Your highlight phrase goes here!&lt;/span&gt;</small>.</p>\r\n<br />\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. <br /> This is a <span class=\"gkHighlight2\">highlight phrase</span>. <br /> <small>Use &lt;span class=\"gkHighlight2\"&gt;Your highlight phrase goes here!&lt;/span&gt;</small>.</p>\r\n</div>\r\n</div>\r\n<div class=\"demo-typo-col2\">\r\n<div class=\"demo-typo_padd\">\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. <br /> This is a <span class=\"gkHighlight3\">highlight phrase</span>. <br /> <small>Use &lt;span class=\"gkHighlight3\"&gt;Your highlight phrase goes here!&lt;/span&gt;</small>.</p>\r\n<br />\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. <br /> This is a <span class=\"gkHighlight4\">highlight phrase</span>.<br /> <small>Use &lt;span class=\"gkHighlight4\"&gt;Your highlight phrase goes here!&lt;/span&gt;</small>.</p>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n<h4 class=\"demo-typo\">Code</h4>\r\n<div class=\"demo-typo-col3\">\r\n<div class=\"demo-typo_padd\">\r\n<pre>#wrapper {<br />  position: relative;<br />  float: left;<br />  display: block;<br />}<br />\r\n</pre>\r\n<p><small>Use &lt;pre&gt; or &lt;div class=\"gkCode1\"&gt;Here goes your code&lt;/div&gt;</small></p>\r\n</div>\r\n</div>\r\n<div class=\"demo-typo-col3\">\r\n<div class=\"demo-typo_padd\">\r\n<div class=\"gkCode2\">#wrapper {<br /> position: relative;<br /> float: left;<br /> display: block;<br /> }</div>\r\n<p><small>Use &lt;div class=\"gkCode2\"&gt;Here goes your code&lt;/div&gt;</small></p>\r\n</div>\r\n</div>\r\n<div class=\"demo-typo-col3\">\r\n<div class=\"demo-typo_padd\">\r\n<div class=\"gkCode3\">\r\n<h4>File</h4>\r\n#wrapper {<br /> position: relative;<br /> float: left;<br /> display: block;<br /> }</div>\r\n<p><small>Use &lt;div class=\"gkCode3\"&gt;&lt;h4&gt;Name of your file&lt;/h4&gt;Here goes your code&lt;/div&gt;</small></p>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n<h4 class=\"demo-typo\">Unordered lists</h4>\r\n<div class=\"demo-typo-col4\">\r\n<div class=\"demo-typo_padd\">\r\n<p><small>&lt;ul class=\"gkBullet1\"&gt;</small></p>\r\n<ul class=\"gkBullet1\">\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n</ul>\r\n</div>\r\n</div>\r\n<div class=\"demo-typo-col4\">\r\n<div class=\"demo-typo_padd\">\r\n<p><small>&lt;ul class=\"gkBullet2\"&gt;</small></p>\r\n<ul class=\"gkBullet2\">\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n</ul>\r\n</div>\r\n</div>\r\n<div class=\"demo-typo-col4\">\r\n<div class=\"demo-typo_padd\">\r\n<p><small>&lt;ul class=\"gkBullet3\"&gt;</small></p>\r\n<ul class=\"gkBullet3\">\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n</ul>\r\n</div>\r\n</div>\r\n<div class=\"demo-typo-col4\">\r\n<div class=\"demo-typo_padd\">\r\n<p><small>&lt;ul class=\"gkBullet4\"&gt;</small></p>\r\n<ul class=\"gkBullet4\">\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n</ul>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n<div class=\"demo-typo-col4\">\r\n<div class=\"demo-typo_padd\">\r\n<p><small>&lt;ul class=\"gkCircle1\"&gt;</small></p>\r\n<ul class=\"gkCircle1\">\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n</ul>\r\n</div>\r\n</div>\r\n<div class=\"demo-typo-col4\">\r\n<div class=\"demo-typo_padd\">\r\n<p><small>&lt;ul class=\"gkCircle2\"&gt;</small></p>\r\n<ul class=\"gkCircle2\">\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n</ul>\r\n</div>\r\n</div>\r\n<div class=\"demo-typo-col4\">\r\n<div class=\"demo-typo_padd\">\r\n<p><small>&lt;ul class=\"gkSquare1\"&gt;</small></p>\r\n<ul class=\"gkSquare1\">\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n</ul>\r\n</div>\r\n</div>\r\n<div class=\"demo-typo-col4\">\r\n<div class=\"demo-typo_padd\">\r\n<p><small>&lt;ul class=\"gkSquare2\"&gt;</small></p>\r\n<ul class=\"gkSquare2\">\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n</ul>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n<h4 class=\"demo-typo\">Ordered lists</h4>\r\n<div class=\"demo-typo-col4\">\r\n<div class=\"demo-typo_padd\">\r\n<p><small>&lt;ol class=\"gkRoman\"&gt;</small></p>\r\n<ol class=\"gkRoman\">\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n</ol></div>\r\n</div>\r\n<div class=\"demo-typo-col4\">\r\n<div class=\"demo-typo_padd\">\r\n<p><small>&lt;ol class=\"gkDec\"&gt;</small></p>\r\n<ol class=\"gkDec\">\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n</ol></div>\r\n</div>\r\n<div class=\"demo-typo-col4\">\r\n<div class=\"demo-typo_padd\">\r\n<p><small>&lt;ol class=\"gkAlpha\"&gt;</small></p>\r\n<ol class=\"gkAlpha\">\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n</ol></div>\r\n</div>\r\n<div class=\"demo-typo-col4\">\r\n<div class=\"demo-typo_padd\">\r\n<p><small>&lt;ol class=\"gkDecimalLeadingZero\"&gt;</small></p>\r\n<ol class=\"gkDecimalLeadingZero\">\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n<li>Lorem ipsum dolor sit amet.</li>\r\n</ol></div>\r\n</div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n<h4 class=\"demo-typo\">numBlocks</h4>\r\n<div class=\"demo-typo-col3\">\r\n<div class=\"demo-typo_padd\">\r\n<p><small>&lt;p class=\"gkNumber1\"&gt;&lt;span&gt;here goes a number&lt;/span&gt;and here text of element&lt;/p&gt;</small></p>\r\n<p class=\"numblocks num-1\"><span>01</span> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet.</p>\r\n<p class=\"numblocks num-1\"><span>01</span> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet.</p>\r\n</div>\r\n</div>\r\n<div class=\"demo-typo-col3\">\r\n<div class=\"demo-typo_padd\">\r\n<p><small>&lt;p class=\"gkNumber2\"&gt;&lt;span&gt;here goes a number&lt;/span&gt;and here text of element&lt;/p&gt;</small></p>\r\n<p class=\"numblocks num-2\"><span>02</span> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet.</p>\r\n<p class=\"numblocks num-2\"><span>02</span> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet.</p>\r\n</div>\r\n</div>\r\n<div class=\"demo-typo-col3\">\r\n<div class=\"demo-typo_padd\">\r\n<p><small>&lt;p class=\"gkNumber3\"&gt;&lt;span&gt;here goes a number&lt;/span&gt;and here text of element&lt;/p&gt;</small></p>\r\n<p class=\"numblocks num-3\"><span>03</span> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet.</p>\r\n<p class=\"numblocks num-3\"><span>03</span> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet. P</p>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n<h4 class=\"demo-typo\">Blocks</h4>\r\n<div class=\"demo-typo-col3\">\r\n<div class=\"demo-typo_padd\">\r\n<div class=\"gkblock-1\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Integer urna.\r\n<p><small> Use &lt;div class=\"gkblock-1\"&gt;content here... &lt;/div&gt;</small></p>\r\n</div>\r\n<div class=\"gkblock-4\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Integer urna.\r\n<p><small> Use &lt;div class=\"gkblock-4\"&gt;content here... &lt;/div&gt;</small></p>\r\n</div>\r\n<div class=\"gkblock-7\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Integer urna.\r\n<p><small> Use &lt;div class=\"gkblock-7\"&gt;content here... &lt;/div&gt;</small></p>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"demo-typo-col3\">\r\n<div class=\"demo-typo_padd\">\r\n<div class=\"gkblock-2\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Integer urna.\r\n<p><small> Use &lt;div class=\"gkblock-2\"&gt;content here... &lt;/div&gt;</small></p>\r\n</div>\r\n<div class=\"gkblock-5\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Integer urna.\r\n<p><small> Use &lt;div class=\"gkblock-5\"&gt;content here... &lt;/div&gt;</small></p>\r\n</div>\r\n<div class=\"gkblock-8\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Integer urna.\r\n<p><small> Use &lt;div class=\"gkblock-8\"&gt;content here... &lt;/div&gt;</small></p>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"demo-typo-col3\">\r\n<div class=\"demo-typo_padd\">\r\n<div class=\"gkblock-3\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Integer urna.\r\n<p><small> Use &lt;div class=\"gkblock-3\"&gt;content here... &lt;/div&gt;</small></p>\r\n</div>\r\n<div class=\"gkblock-6\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Integer urna.\r\n<p><small> Use &lt;div class=\"gkblock-6\"&gt;content here... &lt;/div&gt;</small></p>\r\n</div>\r\n<div class=\"gkblock-9\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Integer urna.\r\n<p><small> Use &lt;div class=\"gkblock-9\"&gt;content here... &lt;/div&gt;</small></p>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n<h4 class=\"demo-typo\">Bubbles</h4>\r\n<div class=\"demo-typo-col3\">\r\n<div class=\"demo-typo_padd\">\r\n<div class=\"bubble-1\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Integer urna.\r\n<p><small>Use &lt;div class=\"bubble-1\"&gt;content here... &lt;cite&gt;Author name&lt;/cite&gt;&lt;/div&gt;</small></p>\r\n<cite>Robert Gavick</cite></div>\r\n<div class=\"bubble-4\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Integer urna.\r\n<p><small>Use &lt;div class=\"bubble-2\"&gt;content here... &lt;cite&gt;Author name&lt;/cite&gt;&lt;/div&gt;</small></p>\r\n<cite>Robert Gavick</cite></div>\r\n</div>\r\n</div>\r\n<div class=\"demo-typo-col3\">\r\n<div class=\"demo-typo_padd\">\r\n<div class=\"bubble-2\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Integer urna.\r\n<p><small>Use &lt;div class=\"bubble-3\"&gt;content here... &lt;cite&gt;Author name&lt;/cite&gt;&lt;/div&gt;</small></p>\r\n<cite>Robert Gavick</cite></div>\r\n<div class=\"bubble-5\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Integer urna.\r\n<p><small>Use &lt;div class=\"bubble-4\"&gt;content here... &lt;cite&gt;Author name&lt;/cite&gt;&lt;/div&gt;</small></p>\r\n<cite>Robert Gavick</cite></div>\r\n</div>\r\n</div>\r\n<div class=\"demo-typo-col3\">\r\n<div class=\"demo-typo_padd\">\r\n<div class=\"bubble-3\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Integer urna.\r\n<p><small>Use &lt;div class=\"bubble-5\"&gt;content here... &lt;cite&gt;Author name&lt;/cite&gt;&lt;/div&gt;</small></p>\r\n<cite>Robert Gavick</cite></div>\r\n<div class=\"bubble-6\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Integer urna.\r\n<p><small> Use &lt;div class=\"bubble-6\"&gt;content here... &lt;cite&gt;Author name&lt;/cite&gt;&lt;/div&gt;</small></p>\r\n<cite>Robert Gavick</cite></div>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n<h4 class=\"demo-typo\">Legends</h4>\r\n<div class=\"demo-typo-col2\">\r\n<div class=\"demo-typo_padd\">\r\n<div class=\"gkLegend1\">\r\n<h4>Legend</h4>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet. Pellentesque pharetra tincidunt sapien</p>\r\n<p><small> Use &lt;div class=\"gkLegend1\"&gt; &lt;h4&gt; Title &lt;/h4&gt; &lt;p&gt;and here text.&lt;/p&gt; &lt;/div&gt;</small></p>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"demo-typo-col2\">\r\n<div class=\"demo-typo_padd\">\r\n<div class=\"gkLegend2\">\r\n<h4>Legend</h4>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet. Pellentesque pharetra tincidunt sapien</p>\r\n<p><small> Use &lt;div class=\"gkLegend2\"&gt; &lt;h4&gt; Title &lt;/h4&gt; &lt;p&gt;and here text.&lt;/p&gt; &lt;/div&gt;</small></p>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"demo-typo-col2\">\r\n<div class=\"demo-typo_padd\">\r\n<div class=\"gkLegend3\">\r\n<h4>Legend</h4>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet. Pellentesque pharetra tincidunt sapien</p>\r\n<p><small> Use &lt;div class=\"gkLegend3\"&gt; &lt;h4&gt; Title &lt;/h4&gt; &lt;p&gt;and here text.&lt;/p&gt; &lt;/div&gt;</small></p>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"demo-typo-col2\">\r\n<div class=\"demo-typo_padd\">\r\n<div class=\"gkLegend4\">\r\n<h4>Legend</h4>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet. Pellentesque pharetra tincidunt sapien</p>\r\n<p><small> Use &lt;div class=\"gkLegend4\"&gt; &lt;h4&gt; Title &lt;/h4&gt; &lt;p&gt;and here text.&lt;/p&gt; &lt;/div&gt;</small></p>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n<h4 class=\"demo-typo\">Abbrs and acronyms</h4>\r\n<p>This is a sample of an abbreviation <abbr title=\"Doctor\">Dr</abbr>. Use <strong>&lt;abbr title=\"Here goes full word or phrase\"&gt;here goes an abbreviation&lt;/abbr&gt;</strong></p>\r\n<p></p>\r\n<p>This is a sample of an acronym <acronym title=\"North Atlantic Treaty    Organization\">NATO</acronym>. Use <strong>&lt;acronym title=\"Here goes full phrase\"&gt;here goes an acronym&lt;/abbr&gt;</strong></p>\r\n<p></p>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n<h4 class=\"demo-typo\">Dropcaps</h4>\r\n<div class=\"demo-typo-col3\">\r\n<div class=\"demo-typo_padd\">\r\n<p><span class=\"gkDropcap1\">T</span>his is a sample text with Dropcap. <br /> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum condimentum pulvinar justo, sed faucibus ligula feugiat ac. Morbi quis enim nulla, vel congue augue. Duis quis quam sed purus porta eleifend. Vivamus ullamcorper est id libero aliquam.</p>\r\n<p><small>Use &lt;p&gt; &lt;span class=\"gkDropcap1\"&gt;t&lt;/span&gt;his is a sample text with Dropcap. &lt;/p&gt;.</small></p>\r\n</div>\r\n</div>\r\n<div class=\"demo-typo-col3\">\r\n<div class=\"demo-typo_padd\">\r\n<p class=\"gkDropcap2\"><span class=\"gkDropcap2\">T</span>his is a sample text with Dropcap. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum condimentum pulvinar justo, sed faucibus ligula feugiat ac. Morbi quis enim nulla, vel congue augue. Duis quis quam sed purus porta eleifend. Vivamus ullamcorper est id libero aliquam ullamcorper.</p>\r\n<p><small>Use &lt;p class=\"gkDropcap2\"&gt; &lt;span class=\"gkDropcap2\"&gt;t&lt;/span&gt;his is a sample text with Dropcap. &lt;/p&gt;.</small></p>\r\n</div>\r\n</div>\r\n<div class=\"demo-typo-col3\">\r\n<div class=\"demo-typo_padd\">\r\n<p><span class=\"gkDropcap3\">T</span>his is a sample text with Dropcap. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum condimentum pulvinar justo, sed faucibus ligula feugiat ac. Morbi quis enim nulla, vel congue augue. Duis quis quam sed purus porta eleifend. Vivamus ullamcorper est id libero aliquam ullamcorper.</p>\r\n<p><small>Use &lt;p&gt; &lt;span class=\"gkDropcap3\"&gt;t&lt;/span&gt;his is a sample text with Dropcap. &lt;/p&gt;.</small></p>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n<h4 class=\"demo-typo\">Blockquotes</h4>\r\n<div class=\"demo-typo-col2\">\r\n<div class=\"demo-typo_padd\">\r\n<blockquote>\r\n<div class=\"gkBlockquote1\">\r\n<div>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet.\r\n<p><small>Use &lt; blockquote&gt;&lt;div class=\"gkBlockquote1\"&gt;&lt;div&gt; Your quoted text goes here!&lt; /div&gt;&lt; /div&gt;&lt; /blockquote &gt;</small></p>\r\n</div>\r\n</div>\r\n</blockquote>\r\n</div>\r\n</div>\r\n<div class=\"demo-typo-col2\">\r\n<div class=\"demo-typo_padd\">\r\n<blockquote>\r\n<div class=\"gkBlockquote2\">\r\n<div>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet.\r\n<p><small>Use &lt; blockquote&gt;&lt;div class=\"gkBlockquote2\"&gt;&lt;div&gt; Your quoted text goes here!&lt; /div&gt;&lt; /div&gt;&lt; /blockquote &gt;</small></p>\r\n</div>\r\n</div>\r\n</blockquote>\r\n</div>\r\n</div>\r\n<div class=\"demo-typo-col2\">\r\n<div class=\"demo-typo_padd\">\r\n<blockquote>\r\n<div class=\"gkBlockquote3\">\r\n<div>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet.\r\n<p><small>Use &lt; blockquote&gt;&lt;div class=\"gkBlockquote3\"&gt;&lt;div&gt; Your quoted text goes here!&lt; /div&gt;&lt; /div&gt;&lt; /blockquote &gt;</small></p>\r\n</div>\r\n</div>\r\n</blockquote>\r\n</div>\r\n</div>\r\n<div class=\"demo-typo-col2\">\r\n<div class=\"demo-typo_padd\">\r\n<blockquote>\r\n<div class=\"gkBlockquote4\">\r\n<div>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet.\r\n<p><small>Use &lt; blockquote&gt;&lt;div class=\"gkBlockquote4\"&gt;&lt;div&gt; Your quoted text goes here!&lt; /div&gt;&lt; /div&gt;&lt; /blockquote &gt;</small></p>\r\n</div>\r\n</div>\r\n</blockquote>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n<h4 class=\"demo-typo\">Floated blocks</h4>\r\n<p><small>&lt;p&gt; Here goes main part of the text &lt;span class=\"gkBlockTextLeft\"&gt;Block of text&lt;/span&gt;rest of the text&lt;/p&gt; </small></p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum condimentum pulvinar justo, sed faucibus ligula feugiat ac. Morbi quis enim nulla, vel congue augue. Duis quis quam sed purus porta eleifend.<span class=\"gkBlockTextLeft\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum condimentum pulvinar justo, sed faucibus ligula feugiat ac. Morbi quis enim nulla, vel congue augue.</span>Donec eget dignissim augue. Donec ante felis, aliquam ut consequat eget, lobortis dapibus risus. Aliquam laoreet enim et lectus ornare hendrerit. Aliquam rhoncus enim libero. Morbi aliquam, nibh mattis feugiat dapibus, nisi massa adipiscing justo, sit amet condimentum urna ipsum et lacus. Nam fermentum, eros quis ullamcorper convallis, libero mauris lacinia eros, sed tempus leo lorem vitae purus.</p>\r\n<br /> <br />\r\n<p><small>&lt;p&gt; Here goes main part of the text &lt;span class=\"gkBlockTextRight\"&gt;Block of text&lt;/span&gt;rest of the text&lt;/p&gt; </small></p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum condimentum pulvinar justo, sed faucibus ligula feugiat ac. Morbi quis enim nulla, vel congue augue. Duis quis quam sed purus porta eleifend.<span class=\"gkBlockTextRight\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum condimentum pulvinar justo, sed faucibus ligula feugiat ac. Morbi quis enim nulla, vel congue augue.</span>Donec eget dignissim augue. Donec ante felis, aliquam ut consequat eget, lobortis dapibus risus. Aliquam laoreet enim et lectus ornare hendrerit. Aliquam rhoncus enim libero. Morbi aliquam, nibh mattis feugiat dapibus, nisi massa adipiscing justo, sit amet condimentum urna ipsum et lacus. Nam fermentum, eros quis ullamcorper convallis, libero mauris lacinia eros, sed tempus leo lorem vitae purus.</p>\r\n<br /> <br />\r\n<p><small>&lt;p&gt; Here goes main part of the text &lt;span class=\"gkBlockTextCenter\"&gt;Block of text&lt;/span&gt;rest of the text&lt;/p&gt; </small></p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum condimentum pulvinar justo, sed faucibus ligula feugiat ac. Morbi quis enim nulla, vel congue augue. Duis quis quam sed purus porta eleifend.<span class=\"gkBlockTextCenter\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum condimentum pulvinar justo, sed faucibus ligula feugiat ac. Morbi quis enim nulla, vel congue augue.</span>Donec eget dignissim augue. Donec ante felis, aliquam ut consequat eget, lobortis dapibus risus. Aliquam laoreet enim et lectus ornare hendrerit. Aliquam rhoncus enim libero. Morbi aliquam, nibh mattis feugiat dapibus, nisi massa adipiscing justo, sit amet condimentum urna ipsum et lacus. Nam fermentum, eros quis ullamcorper convallis, libero mauris lacinia eros, sed tempus leo lorem vitae purus. Nunc a malesuada felis. Cras ultrices sapien eu nisi elementum non blandit urna sodales.</p>\r\n</div>\r\n<h3>Template additional styles</h3>\r\n<p>You can create social icons block using the following code:</p>\r\n<pre><code> &lt;a class=\"iconFacebook\" href=\"http://www.facebook.com/gavickpro\" target=\"_blank\"&gt;Facebook&lt;/a&gt;<br /> &lt;a class=\"iconTwitter\" href=\"http://twitter.com/#!/gavickpro\" target=\"_blank\"&gt;Twitter&lt;/a&gt;<br /> &lt;a class=\"iconVimeo\" href=\"#\"&gt;Vimeo&lt;/a&gt; <br /> &lt;a class=\"iconMobyPicture\" href=\"#\"&gt;Moby Picture&lt;/a&gt;<br /> &lt;a class=\"iconYoutube\" href=\"#\"&gt;Youtube&lt;/a&gt; <br /> &lt;a class=\"iconDigg\" href=\"#\"&gt;Digg&lt;/a&gt; <br /> &lt;a class=\"iconDelicious\" href=\"#\"&gt;Delicious&lt;/a&gt;</code></pre>\r\n<p><a class=\"iconFacebook\" href=\"http://www.facebook.com/gavickpro\" target=\"_blank\">Facebook</a> <a class=\"iconTwitter\" href=\"http://twitter.com/#!/gavickpro\" target=\"_blank\">Twitter</a> <a class=\"iconVimeo\" href=\"#\">Vimeo</a> <a class=\"iconMobyPicture\" href=\"#\">Moby Picture</a> <a class=\"iconYoutube\" href=\"#\">Youtube</a> <a class=\"iconDigg\" href=\"#\">Digg</a> <a class=\"iconDelicious\" href=\"#\">Delicious</a></p>','',1,0,0,7,'2011-01-11 22:34:23',42,'','2011-11-09 13:48:09',42,0,'0000-00-00 00:00:00','2011-01-11 22:34:23','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"0\",\"show_intro\":\"0\",\"show_category\":\"0\",\"link_category\":\"0\",\"show_parent_category\":\"0\",\"link_parent_category\":\"0\",\"show_author\":\"0\",\"link_author\":\"0\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"0\",\"show_icons\":\"1\",\"show_print_icon\":\"1\",\"show_email_icon\":\"0\",\"show_vote\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',228,0,8,'','',1,1767,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(2,34,'Module positions','module-positions','','<p style=\"margin: 0 auto\"><img src=\"images/demo/module_positions.png\" border=\"0\" style=\"float: none; display: block; margin-left: auto; margin-right: auto; background: none !important; border: 0px none currentColor;\" /></p>','',1,0,0,7,'2011-01-12 16:57:05',42,'','2011-06-29 20:21:55',42,0,'0000-00-00 00:00:00','2011-01-12 16:57:05','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',6,0,7,'','',1,103,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(3,35,'Messages','messages','','<p>Joomla! offers three different types of messages. Creatings standard information about Joomla! system is presented depending on a message type as follows:</p>\r\n<p style=\"margin: 43px 0 0\"> </p>\r\n<p>\r\n<dl id=\"system-message\"><dt class=\"error\">Error</dt><dd class=\"message message fade\"> \r\n<ul>\r\n<li>This is a sample message</li>\r\n</ul>\r\n</dd></dl> \r\n</p>\r\n<p>\r\n<dl id=\"system-message\"><dt class=\"error\">Error</dt><dd class=\"notice message fade\"> \r\n<ul>\r\n<li>This is a sample of notice message</li>\r\n</ul>\r\n</dd></dl> \r\n</p>\r\n<p>\r\n<dl id=\"system-message\"><dt class=\"error\">Error</dt><dd class=\"error message fade\"> \r\n<ul>\r\n<li>This is a sample of error message</li>\r\n</ul>\r\n</dd></dl>\r\n</p>','',1,0,0,7,'2011-01-12 17:08:51',42,'','2011-09-09 21:41:17',42,0,'0000-00-00 00:00:00','2011-01-12 17:08:51','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',8,0,6,'','',1,264,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(4,36,'Chrome frame','chrome-frame','','<p><img class=\"caption\" src=\"images/google-chrome-logo1.png\" border=\"0\" alt=\"Google Chrome Frame\" title=\"Google Chrome Frame\" /></p>\r\n<p>Google Chrome Frame is a retort of Google company to Internet Explorer browser which is still widely popular, despite the fact that its rendering engine remains fallen behind other internet browsers. By applying this plug-in, users can benefit from Webkit engine capabilities and, at the same time, do not loose the opportunity of using Internet Explorer interface. To make this interesting solution work, an appropriate \"meta name\" has to be implemented into the head section of the visited page.</p>\r\n<p>In accordance with that, our template contains an appropriate option in its settings that helps the user to switch the meta name in the head section, so that all IE users that have Google Chrome Frame plug-in installed will be able to see the web site along with all facilities offered by Webkit rendering engine.</p>\r\n<p>To get know more about Google Chrome Frame, please visit:</p>\r\n<p><a href=\"http://code.google.com/intl/en-GB/chrome/chromeframe/\">http://code.google.com/intl/en-GB/chrome/chromeframe/</a> - the official Project</p>','',1,0,0,7,'2011-01-12 17:12:21',42,'','2011-11-05 14:43:19',42,0,'0000-00-00 00:00:00','2011-01-12 17:12:21','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',5,0,5,'','',1,122,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',1,'*',''),(5,38,'Menu types','menu-types','','<p>Our template supports three menu types:</p>\r\n<ul>\r\n<li>GK menu</li>\r\n<li>Dropline menu</li>\r\n<li>Split menu</li>\r\n</ul>\r\n<p>Each of these menus has different characteristic. It is important to know that in order to gain an additional functionality offered by \"GK menu\", a user has to install a plug-in which can be found in the rest-files package of a particular template.</p>','',1,0,0,8,'2011-01-12 17:58:21',42,'','2011-01-12 18:16:21',42,0,'0000-00-00 00:00:00','2011-01-12 17:58:21','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',2,0,2,'','',1,175,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(6,40,'Right column','right-column','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada ligula. Phasellus fringilla aliquam nunc ut volutpat. In in nibh lacus. Sed tempus dui nec velit hendrerit tempus. Nunc scelerisque ante nec magna blandit interdum. Maecenas lectus nunc, gravida volutpat adipiscing placerat, commodo quis purus. Morbi ligula quam, aliquet ac euismod ut, iaculis in orci. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec malesuada ligula eget urna luctus eu tempor odio consequat. Etiam eget enim sit amet nunc commodo tempus. Donec eget massa ut ligula mattis pharetra a nec felis. Suspendisse tortor libero, venenatis in elementum a, tincidunt in turpis. Curabitur ut nisl sed mauris vestibulum vestibulum ultricies et purus. Nam porttitor libero et justo placerat vitae sodales ligula egestas. Vestibulum leo ligula, volutpat et ultricies nec, tempus a enim. Cras quis tellus et nibh molestie pretium vel sit amet lacus. Sed sed diam neque.</p>','',1,0,0,9,'2011-01-12 19:18:41',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-01-12 19:18:41','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,8,'','',1,128,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(7,41,'Right two columns','right-two-columns','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada ligula. Phasellus fringilla aliquam nunc ut volutpat. In in nibh lacus. Sed tempus dui nec velit hendrerit tempus. Nunc scelerisque ante nec magna blandit interdum. Maecenas lectus nunc, gravida volutpat adipiscing placerat, commodo quis purus. Morbi ligula quam, aliquet ac euismod ut, iaculis in orci. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec malesuada ligula eget urna luctus eu tempor odio consequat. Etiam eget enim sit amet nunc commodo tempus. Donec eget massa ut ligula mattis pharetra a nec felis. Suspendisse tortor libero, venenatis in elementum a, tincidunt in turpis. Curabitur ut nisl sed mauris vestibulum vestibulum ultricies et purus. Nam porttitor libero et justo placerat vitae sodales ligula egestas. Vestibulum leo ligula, volutpat et ultricies nec, tempus a enim. Cras quis tellus et nibh molestie pretium vel sit amet lacus. Sed sed diam neque.</p>','',1,0,0,9,'2011-01-12 19:28:47',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-01-12 19:28:47','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,7,'','',1,75,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(8,42,'Left column','left-column','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada ligula. Phasellus fringilla aliquam nunc ut volutpat. In in nibh lacus. Sed tempus dui nec velit hendrerit tempus. Nunc scelerisque ante nec magna blandit interdum. Maecenas lectus nunc, gravida volutpat adipiscing placerat, commodo quis purus. Morbi ligula quam, aliquet ac euismod ut, iaculis in orci. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec malesuada ligula eget urna luctus eu tempor odio consequat. Etiam eget enim sit amet nunc commodo tempus. Donec eget massa ut ligula mattis pharetra a nec felis. Suspendisse tortor libero, venenatis in elementum a, tincidunt in turpis. Curabitur ut nisl sed mauris vestibulum vestibulum ultricies et purus. Nam porttitor libero et justo placerat vitae sodales ligula egestas. Vestibulum leo ligula, volutpat et ultricies nec, tempus a enim. Cras quis tellus et nibh molestie pretium vel sit amet lacus. Sed sed diam neque.</p>','',1,0,0,9,'2011-01-12 19:33:11',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-01-12 19:33:11','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,6,'','',1,60,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(9,43,'Left two columns','left-two-columns','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada ligula. Phasellus fringilla aliquam nunc ut volutpat. In in nibh lacus. Sed tempus dui nec velit hendrerit tempus. Nunc scelerisque ante nec magna blandit interdum. Maecenas lectus nunc, gravida volutpat adipiscing placerat, commodo quis purus. Morbi ligula quam, aliquet ac euismod ut, iaculis in orci. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec malesuada ligula eget urna luctus eu tempor odio consequat. Etiam eget enim sit amet nunc commodo tempus. Donec eget massa ut ligula mattis pharetra a nec felis. Suspendisse tortor libero, venenatis in elementum a, tincidunt in turpis. Curabitur ut nisl sed mauris vestibulum vestibulum ultricies et purus. Nam porttitor libero et justo placerat vitae sodales ligula egestas. Vestibulum leo ligula, volutpat et ultricies nec, tempus a enim. Cras quis tellus et nibh molestie pretium vel sit amet lacus. Sed sed diam neque.</p>','',1,0,0,9,'2011-01-12 19:33:11',42,'','2011-01-12 20:49:37',42,0,'0000-00-00 00:00:00','2011-01-12 19:33:11','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',2,0,5,'','',1,61,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(10,44,'Content inset left','content-inset-left','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada ligula. Phasellus fringilla aliquam nunc ut volutpat. In in nibh lacus. Sed tempus dui nec velit hendrerit tempus. Nunc scelerisque ante nec magna blandit interdum. Maecenas lectus nunc, gravida volutpat adipiscing placerat, commodo quis purus. Morbi ligula quam, aliquet ac euismod ut, iaculis in orci. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec malesuada ligula eget urna luctus eu tempor odio consequat. Etiam eget enim sit amet nunc commodo tempus. Donec eget massa ut ligula mattis pharetra a nec felis. Suspendisse tortor libero, venenatis in elementum a, tincidunt in turpis. Curabitur ut nisl sed mauris vestibulum vestibulum ultricies et purus. Nam porttitor libero et justo placerat vitae sodales ligula egestas. Vestibulum leo ligula, volutpat et ultricies nec, tempus a enim. Cras quis tellus et nibh molestie pretium vel sit amet lacus. Sed sed diam neque.</p>','',1,0,0,9,'2011-01-12 21:11:22',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-01-12 21:11:22','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,4,'','',1,90,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(11,45,'Content inset right','content-inset-right','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada ligula. Phasellus fringilla aliquam nunc ut volutpat. In in nibh lacus. Sed tempus dui nec velit hendrerit tempus. Nunc scelerisque ante nec magna blandit interdum. Maecenas lectus nunc, gravida volutpat adipiscing placerat, commodo quis purus. Morbi ligula quam, aliquet ac euismod ut, iaculis in orci. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec malesuada ligula eget urna luctus eu tempor odio consequat. Etiam eget enim sit amet nunc commodo tempus. Donec eget massa ut ligula mattis pharetra a nec felis. Suspendisse tortor libero, venenatis in elementum a, tincidunt in turpis. Curabitur ut nisl sed mauris vestibulum vestibulum ultricies et purus. Nam porttitor libero et justo placerat vitae sodales ligula egestas. Vestibulum leo ligula, volutpat et ultricies nec, tempus a enim. Cras quis tellus et nibh molestie pretium vel sit amet lacus. Sed sed diam neque.</p>','',1,0,0,9,'2011-01-12 21:12:26',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-01-12 21:12:26','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,3,'','',1,51,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(12,46,'Content inset both','content-inset-both','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada ligula. Phasellus fringilla aliquam nunc ut volutpat. In in nibh lacus. Sed tempus dui nec velit hendrerit tempus. Nunc scelerisque ante nec magna blandit interdum. Maecenas lectus nunc, gravida volutpat adipiscing placerat, commodo quis purus. Morbi ligula quam, aliquet ac euismod ut, iaculis in orci. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec malesuada ligula eget urna luctus eu tempor odio consequat. Etiam eget enim sit amet nunc commodo tempus. Donec eget massa ut ligula mattis pharetra a nec felis. Suspendisse tortor libero, venenatis in elementum a, tincidunt in turpis. Curabitur ut nisl sed mauris vestibulum vestibulum ultricies et purus. Nam porttitor libero et justo placerat vitae sodales ligula egestas. Vestibulum leo ligula, volutpat et ultricies nec, tempus a enim. Cras quis tellus et nibh molestie pretium vel sit amet lacus. Sed sed diam neque.</p>','',1,0,0,9,'2011-01-12 21:12:26',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-01-12 21:12:26','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,2,'','',1,60,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(13,47,'Content inset + column','content-inset--column','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada ligula. Phasellus fringilla aliquam nunc ut volutpat. In in nibh lacus. Sed tempus dui nec velit hendrerit tempus. Nunc scelerisque ante nec magna blandit interdum. Maecenas lectus nunc, gravida volutpat adipiscing placerat, commodo quis purus. Morbi ligula quam, aliquet ac euismod ut, iaculis in orci. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec malesuada ligula eget urna luctus eu tempor odio consequat. Etiam eget enim sit amet nunc commodo tempus. Donec eget massa ut ligula mattis pharetra a nec felis. Suspendisse tortor libero, venenatis in elementum a, tincidunt in turpis. Curabitur ut nisl sed mauris vestibulum vestibulum ultricies et purus. Nam porttitor libero et justo placerat vitae sodales ligula egestas. Vestibulum leo ligula, volutpat et ultricies nec, tempus a enim. Cras quis tellus et nibh molestie pretium vel sit amet lacus. Sed sed diam neque.</p>','',1,0,0,9,'2011-01-12 22:01:45',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-01-12 22:01:45','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,1,'','',1,73,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(14,48,'Content inset + column (2x)','content-inset--column-2x','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada ligula. Phasellus fringilla aliquam nunc ut volutpat. In in nibh lacus. Sed tempus dui nec velit hendrerit tempus. Nunc scelerisque ante nec magna blandit interdum. Maecenas lectus nunc, gravida volutpat adipiscing placerat, commodo quis purus. Morbi ligula quam, aliquet ac euismod ut, iaculis in orci. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec malesuada ligula eget urna luctus eu tempor odio consequat. Etiam eget enim sit amet nunc commodo tempus. Donec eget massa ut ligula mattis pharetra a nec felis. Suspendisse tortor libero, venenatis in elementum a, tincidunt in turpis. Curabitur ut nisl sed mauris vestibulum vestibulum ultricies et purus. Nam porttitor libero et justo placerat vitae sodales ligula egestas. Vestibulum leo ligula, volutpat et ultricies nec, tempus a enim. Cras quis tellus et nibh molestie pretium vel sit amet lacus. Sed sed diam neque.</p>','',1,0,0,9,'2011-01-12 22:03:08',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-01-12 22:03:08','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,0,'','',1,43,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(15,49,'Split menu','split-menu','','<p>Our template supports three menu types:</p>\r\n<ul>\r\n<li>GK menu</li>\r\n<li>Dropline menu</li>\r\n<li>Split menu</li>\r\n</ul>\r\n<p>Each of these menus has different characteristic. It is important to know that in order to gain an additional functionality offered by \"GK menu\", a user has to install a plug-in which can be found in the rest-files package of a particular template.</p>','',1,0,0,8,'2011-01-13 00:12:59',42,'','2011-01-13 00:14:18',42,0,'0000-00-00 00:00:00','2011-01-13 00:12:59','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',3,0,3,'','',1,86,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(16,50,'Dropline menu','dropline-menu','','<p>Our template supports three menu types:</p>\r\n<ul>\r\n<li>GK menu</li>\r\n<li>Dropline menu</li>\r\n<li>Split menu</li>\r\n</ul>\r\n<p>Each of these menus has different characteristic. It is important to know that in order to gain an additional functionality offered by \"GK menu\", a user has to install a plug-in which can be found in the rest-files package of a particular template.</p>','',1,0,0,8,'2011-01-12 17:58:21',42,'','2011-01-12 18:16:21',0,0,'0000-00-00 00:00:00','2011-01-12 17:58:21','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,1,'','',1,379,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(17,51,'GK Menu','gk-menu','','<p>Our template supports three menu types:</p>\r\n<ul>\r\n<li>GK menu</li>\r\n<li>Dropline menu</li>\r\n<li>Split menu</li>\r\n</ul>\r\n<p>Each of these menus has different characteristic. It is important to know that in order to gain an additional functionality offered by \"GK menu\", a user has to install a plug-in which can be found in the rest-files package of a particular template.</p>','',1,0,0,8,'2011-01-13 00:12:59',42,'','2011-01-13 00:14:18',0,0,'0000-00-00 00:00:00','2011-01-13 00:12:59','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,0,'','',1,79,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(18,52,'Module variation','module-variation','','<p>On this page you can see basic suffixes used in this template. Please remember about using space at beginning of suffix name in module options.</p>\r\n\r\n<p class=\"gkTips2\">Please remember about space at beginning of most of the suffixes!</p>','',1,0,0,7,'2011-01-13 12:30:01',42,'','2011-08-30 21:33:50',42,0,'0000-00-00 00:00:00','2011-01-13 12:30:01','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',6,0,4,'','',1,1229,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(19,59,'Archive article I','archive-article-i','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce ut metus augue, id laoreet dolor. Maecenas volutpat tristique felis, vel placerat sapien congue at. Vivamus vel massa sapien. Sed tempus mattis libero, at consequat neque viverra sed. Sed tortor metus, rhoncus id facilisis at, mattis eget nisi. Curabitur vel tortor felis. Sed mattis diam eu urna fermentum sed porta arcu auctor. Phasellus volutpat, sem feugiat malesuada cursus, magna dui adipiscing lectus, a pharetra leo enim quis lectus. Donec ornare magna a erat euismod egestas. Morbi non arcu sit amet diam dapibus aliquet vel nec massa. Aliquam fermentum sollicitudin lorem, auctor vehicula felis pellentesque a. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed risus magna, mollis sed ultricies ut, pellentesque a metus. Duis eu vestibulum nisl. Mauris blandit elit a turpis pellentesque semper. Integer eget urna erat, et hendrerit magna. In a quam urna, at sollicitudin tellus. <br /><br />Donec ipsum erat, gravida sit amet laoreet et, adipiscing nec nibh. Vivamus ultrices faucibus nulla ut rhoncus. Nunc non posuere sapien. Praesent nec elit vitae sem posuere elementum eget tincidunt lorem. Quisque ornare malesuada dui nec pretium. Ut in mauris sit amet nunc cursus vehicula at id dolor. In enim nisi, venenatis quis lacinia id, congue sed arcu. Morbi nec risus eget augue porttitor pulvinar. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam quis enim in lacus aliquam tempus eu nec enim. Phasellus adipiscing facilisis est, sit amet volutpat libero vehicula in. Phasellus tincidunt convallis nisl sit amet luctus. Donec leo quam, sollicitudin vel porttitor at, cursus sed tellus. Sed dapibus massa id leo faucibus tempor molestie purus placerat. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Pellentesque tempor fringilla augue sit amet bibendum. Nam vitae hendrerit nulla.</p>','',2,0,0,2,'2011-01-13 16:01:40',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,3,'','',1,2,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(20,60,'Archive article II','archive-article-ii','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce ut metus augue, id laoreet dolor. Maecenas volutpat tristique felis, vel placerat sapien congue at. Vivamus vel massa sapien. Sed tempus mattis libero, at consequat neque viverra sed. Sed tortor metus, rhoncus id facilisis at, mattis eget nisi. Curabitur vel tortor felis. Sed mattis diam eu urna fermentum sed porta arcu auctor. Phasellus volutpat, sem feugiat malesuada cursus, magna dui adipiscing lectus, a pharetra leo enim quis lectus. Donec ornare magna a erat euismod egestas. Morbi non arcu sit amet diam dapibus aliquet vel nec massa. Aliquam fermentum sollicitudin lorem, auctor vehicula felis pellentesque a. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed risus magna, mollis sed ultricies ut, pellentesque a metus. Duis eu vestibulum nisl. Mauris blandit elit a turpis pellentesque semper. Integer eget urna erat, et hendrerit magna. In a quam urna, at sollicitudin tellus. <br /><br />Donec ipsum erat, gravida sit amet laoreet et, adipiscing nec nibh. Vivamus ultrices faucibus nulla ut rhoncus. Nunc non posuere sapien. Praesent nec elit vitae sem posuere elementum eget tincidunt lorem. Quisque ornare malesuada dui nec pretium. Ut in mauris sit amet nunc cursus vehicula at id dolor. In enim nisi, venenatis quis lacinia id, congue sed arcu. Morbi nec risus eget augue porttitor pulvinar. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam quis enim in lacus aliquam tempus eu nec enim. Phasellus adipiscing facilisis est, sit amet volutpat libero vehicula in. Phasellus tincidunt convallis nisl sit amet luctus. Donec leo quam, sollicitudin vel porttitor at, cursus sed tellus. Sed dapibus massa id leo faucibus tempor molestie purus placerat. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Pellentesque tempor fringilla augue sit amet bibendum. Nam vitae hendrerit nulla.</p>','',2,0,0,2,'2011-01-13 16:01:40',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,2,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(21,61,'Archive article III','archive-article-iii','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce ut metus augue, id laoreet dolor. Maecenas volutpat tristique felis, vel placerat sapien congue at. Vivamus vel massa sapien. Sed tempus mattis libero, at consequat neque viverra sed. Sed tortor metus, rhoncus id facilisis at, mattis eget nisi. Curabitur vel tortor felis. Sed mattis diam eu urna fermentum sed porta arcu auctor. Phasellus volutpat, sem feugiat malesuada cursus, magna dui adipiscing lectus, a pharetra leo enim quis lectus. Donec ornare magna a erat euismod egestas. Morbi non arcu sit amet diam dapibus aliquet vel nec massa. Aliquam fermentum sollicitudin lorem, auctor vehicula felis pellentesque a. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed risus magna, mollis sed ultricies ut, pellentesque a metus. Duis eu vestibulum nisl. Mauris blandit elit a turpis pellentesque semper. Integer eget urna erat, et hendrerit magna. In a quam urna, at sollicitudin tellus. <br /><br />Donec ipsum erat, gravida sit amet laoreet et, adipiscing nec nibh. Vivamus ultrices faucibus nulla ut rhoncus. Nunc non posuere sapien. Praesent nec elit vitae sem posuere elementum eget tincidunt lorem. Quisque ornare malesuada dui nec pretium. Ut in mauris sit amet nunc cursus vehicula at id dolor. In enim nisi, venenatis quis lacinia id, congue sed arcu. Morbi nec risus eget augue porttitor pulvinar. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam quis enim in lacus aliquam tempus eu nec enim. Phasellus adipiscing facilisis est, sit amet volutpat libero vehicula in. Phasellus tincidunt convallis nisl sit amet luctus. Donec leo quam, sollicitudin vel porttitor at, cursus sed tellus. Sed dapibus massa id leo faucibus tempor molestie purus placerat. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Pellentesque tempor fringilla augue sit amet bibendum. Nam vitae hendrerit nulla.</p>','',2,0,0,2,'2011-01-13 16:01:40',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,1,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(23,63,'IE 6 style','ie-6-style','','<p>Internet Explorer 6 is on the way out, but there is still a significant number of users that are stuck to this browser. According to this, we decided that our templates are going to support IE 6 slightly. By dint of the \"IE6 Bar\" plug-in, available in templates menu options, users can apply the upper bar in their IE browser to keep them informed that Internet Explorer can not display the ','Web site properly. Additionally, instead of the whole range of template styles, we created one style- Universal Internet Explorer 6 CSS - project\'s website. Thanks to this, users will have the full access to the web',1,0,0,7,'2011-01-17 14:47:32',42,'','2011-06-29 20:10:53',42,0,'0000-00-00 00:00:00','2011-01-17 14:47:32','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',2,0,3,'','',1,25,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(24,64,'Lorem ipsum','lorem-ipsum','','<p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Vestibulum id ligula porta felis euismod semper. Donec ullamcorper nulla non metus auctor fringilla. Nullam quis risus eget urna mollis ornare vel eu leo.</p>\r\n<p>Donec ullamcorper nulla non metus auctor fringilla. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Maecenas faucibus mollis interdum.</p>\r\n<p>Sed posuere consectetur est at lobortis. Maecenas sed diam eget risus varius blandit sit amet non magna. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Nulla vitae elit libero, a pharetra augue. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.</p>\r\n<p>Donec sed odio dui. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla. Maecenas sed diam eget risus varius blandit sit amet non magna. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Vestibulum id ligula porta felis euismod semper.</p>\r\n<p>Curabitur blandit tempus porttitor. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus.</p>','',1,0,0,7,'2011-01-17 17:16:48',42,'','2011-01-17 17:50:27',42,0,'0000-00-00 00:00:00','2011-01-17 17:16:48','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',4,0,2,'','',1,313,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(25,70,'Newly Opened Piccolo Bar','newly-opened-piccolo-bar','','<img src=\"images/stories/1.jpg\" alt=\"Newly Opened Piccolo Bar\" title=\"Newly Opened Piccolo Bar\" class=\"caption\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.             \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,18,'2011-02-26 22:20:14',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:20:14','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,4,'','',1,8,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(26,71,'Jasmine and blooming sweet tea','jasmine-blooming-sweet-tea','','<img src=\"images/stories/2.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.              \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,20,'2011-02-26 22:21:54',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:21:54','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,4,'','',1,6,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(27,72,'Sunflower tea cup','sunflower-tea-cup','','<img src=\"images/stories/3.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.              \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,20,'2011-02-26 22:23:06',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:23:06','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,3,'','',1,35,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(28,73,'Freshest full-leaf','freshest-full-leaf','','<img src=\"images/stories/4.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.               \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,20,'2011-02-26 22:24:06',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:24:06','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,2,'','',1,1,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(29,74,'Chamomile Herb tea','chamomile-herb-tea','','<img src=\"images/stories/5.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.                 \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,20,'2011-02-26 22:25:42',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:25:42','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,1,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(30,75,'Mistic Chinese Tea','mistic-chinese-tea','','<img src=\"images/stories/6.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.              \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,20,'2011-02-26 22:26:46',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:26:46','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,0,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(31,76,'Panforte Ei Siena - Italian fruitcake','panforte-ei-siena-italian-fruitcake','','<img src=\"images/stories/7.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.         \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,19,'2011-02-26 22:27:53',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:27:53','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,4,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(32,77,'Espresso yourself cafe','espresso-yourself-cafe','','<img src=\"images/stories/8.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.          \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,17,'2011-02-26 22:28:54',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:28:54','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,4,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(33,78,'Rose\'s ice cream cake','roses-ice-cream-cake','','<img src=\"images/stories/9.jpg\" alt=\"alt\" />Pastel de Nata or Pastel de Bel','\r\nwho prevail and those who dive into oblivion. It is in this perpetual optimism, with a force multiplier, which achieves the desired levels to success and recognition in business world. This month, we give you a little help to your corporate business. Accept the challenge and make your own way to the future.<br /><br />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh. Phasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor.',-2,0,0,19,'2011-02-26 22:29:53',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:29:53','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,3,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(34,79,'Royal Chocolat Creamy taste','royal-chocolat-creamy-taste','','<img src=\"images/stories/10.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.         \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,19,'2011-02-26 22:31:02',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:31:02','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,2,'','',1,1,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(35,80,'Berry Beachy Strawberry cake','berry-beachy-strawberry-cake','','<img src=\"images/stories/11.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.         \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,19,'2011-02-26 22:32:14',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:32:14','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,1,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(36,81,'Martha Stewart\'s Marble Cake','martha-stewarts-marble-cake','','<img src=\"images/stories/12.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.         \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,19,'2011-02-26 22:33:15',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:33:15','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,0,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(37,82,'Why do People Drink Coffee so much?','why-do-people-drink-coffee-so-much','','<img src=\"images/stories/13.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.                    \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,18,'2011-02-26 22:34:15',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:34:15','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,3,'','',1,2,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(38,83,'Social drinking brings up best talk','social-drinking-brings-up-best-talk','','<img src=\"images/stories/14.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.                  \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,18,'2011-02-26 22:35:35',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:35:35','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,2,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(39,84,'You finally found that lost friend','you-finally-found-that-lost-friend','','<img src=\"images/stories/15.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.                \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,18,'2011-02-26 22:36:49',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:36:49','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,1,'','',1,4,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(40,85,'High quality service in Piccolo Bar','high-quality-service-in-piccolo-bar','','<img src=\"images/stories/16.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.            \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,18,'2011-02-26 22:38:01',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:38:01','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,0,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(41,86,'Enjoy premium coffee','enjoy-premium-coffee','','<img src=\"images/stories/17.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.         \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,17,'2011-02-26 22:39:31',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:39:31','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,3,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(42,87,'Discover Peet\'s Coffee','discover-peets-coffee','','<img src=\"images/stories/18.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.        \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,17,'2011-02-26 22:40:38',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:40:38','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,2,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(43,88,'Coffee Picollo','coffee-picollo','','<img src=\"images/stories/19.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.           \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,17,'2011-02-26 22:41:44',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:41:44','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,1,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(44,89,'Cappuccino Creamy','cappuccino-creamy','','<img src=\"images/stories/20.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.       \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,17,'2011-02-26 22:42:43',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:42:43','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,0,'','',1,14,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(45,95,'Shakira Links Up with Beau Gerard Pique in Paris','shakira-links-up-with-beau-gerard-pique-in-paris','','<p><img class=\"caption\" src=\"images/stories/blog_demo.png\" border=\"0\" alt=\"Shakira Links Up with Beau Gerard Pique in Paris\" title=\"Shakira Links Up with Beau Gerard Pique in Paris\" />Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n<p>Viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus.</p>\r\n','\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum.</p>\r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat.</p>',1,0,0,24,'2011-08-04 09:45:59',42,'','2011-12-01 22:31:57',42,0,'0000-00-00 00:00:00','2011-08-04 09:45:59','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',18,0,1,'','',1,19,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',1,'*',''),(46,103,'Burswood Dome surrender\'s to Rihanna','burswood-dome-surrenders-to-rihanna','','<p><img class=\"caption\" src=\"images/stories/blog_demo.png\" border=\"0\" alt=\"Burswood Dome surrender\'s to Rihanna\" title=\"Burswood Dome surrender\'s to Rihanna\" />Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n<p>Viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus.</p>\r\n','\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum.</p>\r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat.</p>',1,0,0,24,'2011-08-04 10:12:46',42,'','2011-12-01 22:31:43',42,0,'0000-00-00 00:00:00','2011-08-04 10:12:46','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',9,0,4,'','',1,69,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(47,104,'Sugarland Reuniting Missouri Family at CMT Music Awards','sugarland-reuniting-missouri-family-at-cmt-music-awards','','<p><img class=\"caption\" src=\"images/stories/blog_demo.png\" border=\"0\" alt=\"Sugarland Reuniting Missouri Family at CMT Music Awards\" title=\"Sugarland Reuniting Missouri Family at CMT Music Awards\" />Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n<p>Viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus.</p>\r\n','\r\n<p>Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum.</p>\r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat.</p>',1,0,0,24,'2011-08-04 11:08:23',42,'','2011-12-01 22:32:10',42,0,'0000-00-00 00:00:00','2011-08-04 11:08:23','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',12,0,2,'','',1,7,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',1,'*',''),(48,105,'The 2011 Guitar Soul\' in the Street summer concert','the-2011-guitar-soul-in-the-street-summer-concert','','<p><img class=\"caption\" src=\"images/stories/blog_demo.png\" border=\"0\" alt=\"The 2011 Guitar Soul\' in the Street summer concert\" title=\"The 2011 Guitar Soul\' in the Street summer concert\" />Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n<p>Viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus.</p>\r\n','\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum.</p>\r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat.</p>',1,0,0,24,'2011-08-04 11:23:33',42,'','2011-12-01 22:32:24',42,0,'0000-00-00 00:00:00','2011-08-04 11:23:33','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',12,0,3,'','',1,15,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(49,106,'Earthquake: Workers search for survivors','earthquake-workers-search-for-survivors','','<img src=\"images/stories/world/dummy_demo2.png\" alt=\"Eathquake: Workers search for survivors\" align=\"left\" title=\"Eathquake: Workers search for survivors\" class=\"caption\" /><p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>','\r\n\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum. </p> \r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat. </p>',-2,0,0,25,'2011-08-04 11:49:58',42,'','2011-08-08 13:13:00',42,0,'0000-00-00 00:00:00','2011-08-04 11:49:58','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',3,0,0,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(50,107,'Steve Jobs Speaks at 2010 D8 Conference','steve-jobs-speaks-at-2010-d8-conference','','<p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>','\r\n\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum. </p> \r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat. </p>',-2,0,0,31,'2011-08-04 22:27:04',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-08-04 22:27:04','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,1,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(51,108,'11 million desperately hungry in East Africa','11-million-desperately-hungry-in-east-africa','','<img src=\"images/stories/africa/dummy_demo2.png\" alt=\"11 million desperately hungry in East Africa\" align=\"left\" title=\"11 million desperately hungry in East Africa\" class=\"caption\" /><p>Children are dying of hunger in feeding centres in Niger. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>','\r\n\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum. </p> \r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat. </p>',-2,0,0,26,'2011-08-05 01:01:08',42,'','2011-08-08 13:13:24',42,0,'0000-00-00 00:00:00','2011-08-05 01:01:08','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',5,0,2,'','',1,1,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(52,109,'Once Egypt\'s strongman, Mubarak\'s long fall','once-egypts-strongman-mubaraks-long-fall','','<img src=\"images/stories/africa/dummy_demo2.png\" alt=\"Once Egypt\'s strongman, Mubarak\'s long fall from grace\" align=\"left\" title=\"Once Egypt\'s strongman, Mubarak\'s long fall from grace\" class=\"caption\" /><p>At one time, the 83-year-old Mubarak dominated Egypt\'s political landscape vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>','\r\n\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum. </p> \r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat. </p>',-2,0,0,26,'2011-08-05 01:08:18',42,'','2011-08-08 13:13:35',42,0,'0000-00-00 00:00:00','2011-08-05 01:08:18','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',4,0,1,'','',1,5,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"theatlantic.com\",\"xreference\":\"\"}',0,'*',''),(53,110,'10 arrested in Niger coup attempt','10-arrested-in-niger-coup-attempt','','<img src=\"images/stories/africa/dummy_demo2.png\" alt=\"10 arrested in Niger coup attempt, president says\" align=\"left\" title=\"10 arrested in Niger coup attempt, president says\" class=\"caption\" /><p>President 10 arrest in Niger coup attempt drerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>','\r\n\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum. </p> \r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat. </p>',-2,0,0,26,'2011-08-05 01:16:49',42,'','2011-08-08 13:13:13',42,0,'0000-00-00 00:00:00','2011-08-05 01:16:49','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',3,0,0,'','',1,2,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',1,'*',''),(54,111,'Chinese police officers look at the Train Crash ','chinese-police-officers-look-at-the-train-crash','','<img src=\"images/stories/asia/dummy_demo2.png\" alt=\"The Wenzhou Train Crash \" align=\"left\" title=\"The Wenzhou Train Crash \" class=\"caption\" /><p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>','\r\n\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum. </p> \r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat. </p>',-2,0,0,27,'2011-08-05 14:58:16',42,'','2011-08-08 13:13:48',42,0,'0000-00-00 00:00:00','2011-08-05 14:58:16','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',5,0,1,'','',1,25,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(55,112,'Obama urged Chinese Premier Wen Jiabao to speed up','obama-urged-chinese-premier-wen-jiabao-to-speed-up','','<img src=\"images/stories/asia/dummy_demo2.png\" alt=\"President Obama with Chinese prime minister Wen Jiabao\" align=\"right\" title=\"President Obama with Chinese prime minister Wen Jiabao\" class=\"caption\" /><p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>','\r\n\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum. </p> \r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat. </p>',-2,0,0,27,'2011-08-06 17:05:22',42,'','2011-08-08 13:13:58',42,0,'0000-00-00 00:00:00','2011-08-06 17:05:22','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',3,0,0,'','',1,2,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(56,115,'Page break example','page-break-example','','<hr title=\"First Page\" alt=\"first-page\" class=\"system-pagebreak\" />\r\n<p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n','\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum.</p>\r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat.</p>\r\n<hr title=\"Second Page\" alt=\"second-page\" class=\"system-pagebreak\" />\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed posuere consectetur est at lobortis. Vestibulum id ligula porta felis euismod semper. Donec id elit non mi porta gravida at eget metus. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.</p>\r\n<p>Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Nulla vitae elit libero, a pharetra augue. Aenean lacinia bibendum nulla sed consectetur. Donec id elit non mi porta gravida at eget metus.</p>\r\n<p>Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Maecenas sed diam eget risus varius blandit sit amet non magna. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus.</p>\r\n<p>Donec sed odio dui. Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Donec id elit non mi porta gravida at eget metus. Etiam porta sem malesuada magna mollis euismod. Cras justo odio, dapibus ac facilisis in, egestas eget quam.</p>\r\n<hr title=\"Third Page\" alt=\"third-page\" class=\"system-pagebreak\" />\r\n<p>Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Maecenas sed diam eget risus varius blandit sit amet non magna. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus.</p>\r\n<p>Donec sed odio dui. Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Donec id elit non mi porta gravida at eget metus. Etiam porta sem malesuada magna mollis euismod. Cras justo odio, dapibus ac facilisis in, egestas eget quam.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed posuere consectetur est at lobortis. Vestibulum id ligula porta felis euismod semper. Donec id elit non mi porta gravida at eget metus. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.</p>\r\n<p>Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Nulla vitae elit libero, a pharetra augue. Aenean lacinia bibendum nulla sed consectetur. Donec id elit non mi porta gravida at eget metus.</p>\r\n<hr title=\"Fourth Page\" alt=\"fourth-page\" class=\"system-pagebreak\" />\r\n<p>Maecenas faucibus mollis interdum. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Donec id elit non mi porta gravida at eget metus. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Praesent commodo cursus magna, vel scelerisque nisl consectetur et.</p>\r\n<p>Vestibulum id ligula porta felis euismod semper. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Donec id elit non mi porta gravida at eget metus.</p>\r\n<p>Nullam quis risus eget urna mollis ornare vel eu leo. Sed posuere consectetur est at lobortis. Aenean lacinia bibendum nulla sed consectetur. Maecenas sed diam eget risus varius blandit sit amet non magna. Etiam porta sem malesuada magna mollis euismod.</p>\r\n<p>Nullam quis risus eget urna mollis ornare vel eu leo. Donec id elit non mi porta gravida at eget metus. Aenean lacinia bibendum nulla sed consectetur.</p>\r\n<p>Vestibulum id ligula porta felis euismod semper. Donec ullamcorper nulla non metus auctor fringilla. Curabitur blandit tempus porttitor. Donec id elit non mi porta gravida at eget metus. Cras justo odio, dapibus ac facilisis in, egestas eget quam.</p>',1,0,0,7,'2011-09-10 19:01:23',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-09-10 19:01:23','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,1,'','',1,75,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(57,116,'Page Break','page-break','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin posuere nisi quis odio egestas non tempus est sollicitudin. Nulla facilisi. Pellentesque tempus suscipit nulla sed tempor. Phasellus et lorem id libero fermentum molestie sit amet sit amet mi. Quisque ultrices, neque et laoreet dictum, arcu sapien pulvinar odio, in aliquam mi dui eu leo. Nullam posuere, arcu et egestas fermentum, enim purus fermentum diam, quis porta mauris lectus ut odio. In tincidunt dapibus malesuada. Integer a lorem ligula. In tincidunt augue eget velit convallis nec pharetra eros tincidunt. Maecenas et tortor libero, vel malesuada est.</p>\r\n<p>Quisque magna tellus, condimentum a porttitor eu, fermentum nec enim. Aenean et erat nec lectus adipiscing auctor. Sed tellus sapien, condimentum eget tristique ac, faucibus sed nisi. Curabitur pretium porta pulvinar. Integer cursus venenatis dictum. Morbi massa est, ultricies ut ultrices vitae, hendrerit vitae tellus. Duis a nulla quis tellus lacinia tristique.</p>\r\n<hr title=\"Page 1\" alt=\"page1\" class=\"system-pagebreak\" />\r\n<p>Donec libero urna, cursus vitae sollicitudin sit amet, elementum et massa. Donec feugiat, turpis a dictum vulputate, dui diam faucibus nunc, ac sodales augue magna id augue. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec sit amet nisi felis. Morbi faucibus nunc id elit aliquam ac condimentum leo laoreet. Sed nec risus sed nulla mattis volutpat in eget diam. In leo nisl, eleifend vel lobortis vel, tincidunt a ligula. Nulla placerat gravida laoreet. In lobortis, ligula in sagittis pellentesque, orci magna venenatis neque, eu sagittis lacus ante et tellus. Morbi vel semper augue. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam erat volutpat.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin posuere nisi quis odio egestas non tempus est sollicitudin. Nulla facilisi. Pellentesque tempus suscipit nulla sed tempor. Phasellus et lorem id libero fermentum molestie sit amet sit amet mi. Quisque ultrices, neque et laoreet dictum, arcu sapien pulvinar odio, in aliquam mi dui eu leo. Nullam posuere, arcu et egestas fermentum, enim purus fermentum diam, quis porta mauris lectus ut odio. In tincidunt dapibus malesuada. Integer a lorem ligula. In tincidunt augue eget velit convallis nec pharetra eros tincidunt. Maecenas et tortor libero, vel malesuada est.</p>\r\n<hr title=\"Page 2\" alt=\"page2\" class=\"system-pagebreak\" />\r\n<p>Quisque magna tellus, condimentum a porttitor eu, fermentum nec enim. Aenean et erat nec lectus adipiscing auctor. Sed tellus sapien, condimentum eget tristique ac, faucibus sed nisi. Curabitur pretium porta pulvinar. Integer cursus venenatis dictum. Morbi massa est, ultricies ut ultrices vitae, hendrerit vitae tellus. Duis a nulla quis tellus lacinia tristique.</p>\r\n<p>Donec libero urna, cursus vitae sollicitudin sit amet, elementum et massa. Donec feugiat, turpis a dictum vulputate, dui diam faucibus nunc, ac sodales augue magna id augue. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec sit amet nisi felis. Morbi faucibus nunc id elit aliquam ac condimentum leo laoreet. Sed nec risus sed nulla mattis volutpat in eget diam. In leo nisl, eleifend vel lobortis vel, tincidunt a ligula. Nulla placerat gravida laoreet. In lobortis, ligula in sagittis pellentesque, orci magna venenatis neque, eu sagittis lacus ante et tellus. Morbi vel semper augue. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam erat volutpat.</p>','',1,0,0,7,'2011-09-14 10:10:05',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-09-14 10:10:05','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,0,'','',1,4,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','');


--
-- Table structure for table `#__content_copy`
--



CREATE TABLE `#__content_copy` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) NOT NULL DEFAULT '',
  `title_alias` varchar(255) NOT NULL DEFAULT '',
  `introtext` mediumtext NOT NULL,
  `fulltext` mediumtext NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `sectionid` int(10) unsigned NOT NULL DEFAULT '0',
  `mask` int(10) unsigned NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` text NOT NULL,
  `urls` text NOT NULL,
  `attribs` varchar(5120) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `parentid` int(10) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `language` char(7) NOT NULL COMMENT 'The language code for the article.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=MyISAM AUTO_INCREMENT=58 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__content_copy`
--


INSERT INTO `#__content_copy` (`id`, `asset_id`, `title`, `alias`, `title_alias`, `introtext`, `fulltext`, `state`, `sectionid`, `mask`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `parentid`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES (1,32,'Typography','typography','','<div class=\"gkblock-4\">It is possible with templates which have a typography page to show you how you can use e.g. headline tags in order to structure your content in a better way.\r\n      Below, we present rebuilt and refreshed typographical aspects of Gavern Framework. In order to use it, you have to use a plug in which is delivered in a package with a template or use HTML code.</div>\r\n<div id=\"warnings\" class=\"demo-typoDiv typoDesc\">\r\n      <h4 class=\"demo-typo\">Warnings </h4>\r\n      <div class=\"demo-typo-col2\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <p class=\"gkInfo1\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. In sapien velit, tristique ac scelerisque vel, aliquet nec tellus.</p>\r\n                  <p class=\"gkTips1\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. In sapien velit, tristique ac scelerisque vel, aliquet nec tellus.</p>\r\n                  <p class=\"gkWarning1\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. In sapien velit, tristique ac scelerisque vel, aliquet nec tellus.</p>\r\n                  <p class=\"gkInfo2\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. In sapien velit, tristique ac scelerisque vel, aliquet nec tellus.</p>\r\n                  <p class=\"gkTips2\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. In sapien velit, tristique ac scelerisque vel, aliquet nec tellus.</p>\r\n                  <p class=\"gkWarning2\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. In sapien velit, tristique ac scelerisque vel, aliquet nec tellus.</p>\r\n            </div>\r\n      </div>\r\n      <div class=\"demo-typo-col2\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <p class=\"gkInfo3\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. In sapien velit, tristique ac scelerisque vel, aliquet nec tellus.</p>\r\n                  <p class=\"gkTips3\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. In sapien velit, tristique ac scelerisque vel, aliquet nec tellus.</p>\r\n                  <p class=\"gkWarning3\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. In sapien velit, tristique ac scelerisque vel, aliquet nec tellus.</p>\r\n                  <p class=\"gkInfo4\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. In sapien velit, tristique ac scelerisque vel, aliquet nec tellus.</p>\r\n                  <p class=\"gkTips4\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. In sapien velit, tristique ac scelerisque vel, aliquet nec tellus.</p>\r\n                  <p class=\"gkWarning4\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. In sapien velit, tristique ac scelerisque vel, aliquet nec tellus.</p>\r\n            </div>\r\n      </div>\r\n</div>\r\n<div class=\"demo-typoDiv\">\r\n      <h4 class=\"demo-typo\"> Headings </h4>\r\n      <div class=\"demo-typo-col2\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <h1>This is heading 1</h1>\r\n                  <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer    semper egestas nunc in volutpat. Fusce adipiscing velit ac eros tempor    iaculis. Phasellus venenatis mollis augue, non posuere odio placerat  in.   Etiam volutpat ultrices lectus. Fusce eu felis erat. Donec congue    interdum elit, sed ornare magna convallis lacinia. In hac habitasse    platea dictumst. Mauris volutpat consectetur accumsan.</p>\r\n                  <h2>This is heading 2</h2>\r\n                  <p>Cras diam justo, sodales quis lobortis sed, lobortis vel mauris. Sed a    mollis nunc. Quisque semper condimentum lectus, eget laoreet ipsum    auctor et. Quisque sagittis luctus augue, id fringilla enim euismod    quis. Nullam blandit, elit at euismod rutrum, tortor nibh posuere    mauris, in volutpat diam ante ac dui. Sed velit massa, imperdiet    placerat tristique et, consectetur a lorem. Praesent aliquet turpis in    quam tempor eu pulvinar nibh luctus.</p>\r\n                  <h3>This is heading 3</h3>\r\n                  <p>Vivamus rhoncus arcu sit amet est tristique convallis nec vel eros.    Vestibulum euismod luctus velit quis porta. Aliquam varius placerat    mauris sed vehicula. Integer porta facilisis sapien, in tempus lorem    mattis molestie. Suspendisse potenti. Praesent quis diam non dolor    convallis mattis eu id nulla.</p>\r\n                  <h4>This is heading 4</h4>\r\n                  <p>Proin urna erat, egestas vel consectetur at, accumsan at purus. Donec    est risus, facilisis dignissim placerat nec, euismod lacinia nisi.  Nam   ac sem sed quam sollicitudin condimentum et eu neque. Nunc enim  urna,   ultricies ac mollis pretium, imperdiet hendrerit massa. Sed  eleifend   felis sed tellus cursus lacinia. Aenean venenatis aliquet  euismod. Nam   quis turpis tellus, vitae malesuada neque.</p>\r\n            </div>\r\n      </div>\r\n      <div class=\"demo-typo-col2\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <p class=\"gkHeadline\">This is a headline.</p>\r\n                  <p class=\"gkSubHeadline\">This is a subheadline.</p>\r\n                  <p>Use <strong>&lt;p    class=\"gkHeadling\"&gt;for headline&lt;/p&gt;</strong>.Use <strong>&lt;p    class=\"gkSubHeadline\"&gt;for subheadline&lt;/p&gt;</strong>.Proin urna erat, egestas vel consectetur at, accumsan at purus. Donec    est risus, facilisis dignissim placerat nec, euismod lacinia nisi.  Nam   ac sem sed quam sollicitudin condimentum et eu neque. Nunc enim  urna,   ultricies ac mollis pretium, imperdiet hendrerit massa. Sed  eleifend   felis sed tellus cursus lacinia. Aenean venenatis aliquet  euismod. Nam   quis turpis tellus, vitae malesuada neque. <br />\r\n                        <br />\r\n                        <br />\r\n                        <br />\r\n                  </p>\r\n                  <p class=\"gkSmallHeadline\">This is a small headline</p>\r\n                  <p class=\"gkLargeHeadline\">This is a large headline</p>\r\n                  <p>Use <strong>&lt;p    class=\"gkHeadling\"&gt;for headline&lt;/p&gt;</strong>.Use <strong>&lt;p    class=\"gkSubHeadline\"&gt;for subheadline&lt;/p&gt;</strong>.Proin urna erat, egestas vel consectetur at, accumsan at purus. Donec    est risus, facilisis dignissim placerat nec, euismod lacinia nisi.  Nam   ac sem sed quam sollicitudin condimentum et eu neque. Nunc enim  urna,   ultricies ac mollis pretium, imperdiet hendrerit massa. Sed  eleifend   felis sed tellus cursus lacinia. Aenean venenatis aliquet  euismod. Nam   quis turpis tellus, vitae malesuada neque.</p>\r\n            </div>\r\n      </div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n      <h4 class=\"demo-typo\"> Icon set 1 </h4>\r\n      <div class=\"demo-typo-col3\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <p class=\"gkAudio\">This is a sample audio message. <br />\r\n                        <small>Use &lt;p    class=\"gkAudio\"&gt;Your audio message goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkWebcam\">This is a sample webcam message. <br />\r\n                        <small>Use &lt;p    class=\"gkWebcam\"&gt;Your webcam goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkEmail\">This is a sample email message. <br />\r\n                        <small>Use &lt;p    class=\"gkEmail\"&gt;Your email message goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkCreditcard\">This is a sample creditcard message. <br />\r\n                        <small>Use &lt;p    class=\"gkCreditcard\"&gt;Your creditcart message goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkFeed\">This is a sample feed message. <br />\r\n                        <small>Use &lt;p    class=\"gkFeed\"&gt;Your feed goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkHelp\">This is a sample help message. <br />\r\n                        <small>Use &lt;p    class=\"gkHelp\"&gt;Your help message goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkImages\">This is a sample images message. <br />\r\n                        <small>Use &lt;p    class=\"gkImages\"&gt;Your images message goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkLock\">This is a sample lock message. <br />\r\n                        <small>Use &lt;p    class=\"gkLock\"&gt;Your webcam goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkPrinter\">This is a sample printer message. <br />\r\n                        <small>Use &lt;p    class=\"gkPrinter\"&gt;Your printer message goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkReport\">This is a sample report message. <br />\r\n                        <small>Use &lt;p    class=\"gkReport\"&gt;Your report message goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkScript\">This is a sample script message. <br />\r\n                        <small>Use &lt;p    class=\"gkScript\"&gt;Your script goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkTime\">This is a sample time message. <br />\r\n                        <small>Use &lt;p    class=\"gkTime\"&gt;Your time message goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkUser\">This is a sample user message. <br />\r\n                        <small>Use &lt;p    class=\"gkUser\"&gt;Your user message goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkWorld\">This is a sample world message. <br />\r\n                        <small>Use &lt;p    class=\"gkWorld\"&gt;Your world goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkCart\">This is a sample cart message. <br />\r\n                        <small>Use &lt;p    class=\"gkCart\"&gt;Your cart message goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkCd\">This is a sample cd message. <br />\r\n                        <small>Use &lt;p    class=\"gkCd\"&gt;Your cd message goes here!&lt;/p&gt;</small>.</p>\r\n            </div>\r\n      </div>\r\n      <div class=\"demo-typo-col3\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <p class=\"gkChartBar\">This is a sample chart_bar message. <br />\r\n                        <small>Use &lt;p    class=\"gkChartBar\"&gt;Your chart_bar goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkChartLine\">This is a sample chart_line message. <br />\r\n                        <small>Use &lt;p    class=\"gkChartLine\"&gt;Your chart_line message goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkChartPie\">This is a sample chart_pie message. <br />\r\n                        <small>Use &lt;p    class=\"gkChartPie\"&gt;Your chart_pie message goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkClock\">This is a sample clock message. <br />\r\n                        <small>Use &lt;p    class=\"gkClock\"&gt;Your clock goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkCog\">This is a sample cog message. <br />\r\n                        <small>Use &lt;p    class=\"gkCog\"&gt;Your cog message goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkCoins\">This is a sample coins message. <br />\r\n                        <small>Use &lt;p    class=\"gkCoins\"&gt;Your coins message goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkCompress\">This is a sample compress message. <br />\r\n                        <small>Use &lt;p    class=\"gkCompress\"&gt;Your compress goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkComputer\">This is a sample computer message. <br />\r\n                        <small>Use &lt;p    class=\"gkComputer\"&gt;Your computer message goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkCross\">This is a sample cross message. <br />\r\n                        <small>Use &lt;p    class=\"gkCross\"&gt;Your cross message goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkDisk\">This is a sample disk message. <br />\r\n                        <small>Use &lt;p    class=\"gkDisk\"&gt;Your disk goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkError\">This is a sample error message. <br />\r\n                        <small>Use &lt;p    class=\"gkError\"&gt;Your error message goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkExclamation\">This is a sample exclamation message. <br />\r\n                        <small>Use &lt;p    class=\"gkExclamation\"&gt;Your exclamation message goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkFilm\">This is a sample film message. <br />\r\n                        <small>Use &lt;p    class=\"gkFilm\"&gt;Your film goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkFolder\">This is a sample folder message. <br />\r\n                        <small>Use &lt;p    class=\"gkFolder\"&gt;Your folder message goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkGroup\">This is a sample group message. <br />\r\n                        <small>Use &lt;p    class=\"gkGroup\"&gt;Your group message goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkHeart\">This is a sample heart message. <br />\r\n                        <small>Use &lt;p    class=\"gkHeart\"&gt;Your heart goes here!&lt;/p&gt;</small>.</p>\r\n            </div>\r\n      </div>\r\n      <div class=\"demo-typo-col3\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <p class=\"gkHouse\">This is a sample house message. <br />\r\n                        <small>Use &lt;p    class=\"gkHouse\"&gt;Your house message goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkImage\">This is a sample image message. <br />\r\n                        <small>Use &lt;p    class=\"gkImage\"&gt;Your image message goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkInformation\">This is a sample information message. <br />\r\n                        <small>Use &lt;p    class=\"gkInformation\"&gt;Your information message goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkMagnifier\">This is a sample magnifier message. <br />\r\n                        <small>Use &lt;p    class=\"gkMagnifier\"&gt;Your magnifier message goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkMoney\">This is a sample money message. <br />\r\n                        <small>Use &lt;p    class=\"gkMoney\"&gt;Your money goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkNew\">This is a sample new message. <br />\r\n                        <small>Use &lt;p    class=\"gkNew\"&gt;Your new message goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkNote\">This is a sample note message. <br />\r\n                        <small>Use &lt;p    class=\"gkNote\"&gt;Your note message goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkPage\">This is a sample page message. <br />\r\n                        <small>Use &lt;p    class=\"gkPage\"&gt;Your page goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkPage_white\">This is a sample page_white message. <br />\r\n                        <small>Use &lt;p    class=\"gkPage_white\"&gt;Your page_white message goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkPlugin\">This is a sample plugin message. <br />\r\n                        <small>Use &lt;p    class=\"gkPlugin\"&gt;Your plugin message goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkAccept\">This is a sample accept message. <br />\r\n                        <small>Use &lt;p    class=\"gkAccept\"&gt;Your accept goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkAdd\">This is a sample add message. <br />\r\n                        <small>Use &lt;p    class=\"gkAdd\"&gt;Your add message goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkCamera\">This is a sample camera message. <br />\r\n                        <small>Use &lt;p    class=\"gkCamera\"&gt;Your camera message goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkBrick\">This is a sample brick message. <br />\r\n                        <small>Use &lt;p    class=\"gkBrick\"&gt;Your brick goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkBox\">This is a sample box message. <br />\r\n                        <small>Use &lt;p    class=\"gkBox\"&gt;Your box message goes here!&lt;/p&gt;</small>.</p>\r\n                  <p class=\"gkCalendar\">This is a sample calendar message. <br />\r\n                        <small>Use &lt;p    class=\"gkCalendar\"&gt;Your calendar message goes here!&lt;/p&gt;</small>.</p>\r\n            </div>\r\n      </div>\r\n</div>\r\n<h4 class=\"demo-typo\">\r\n      <a name=\"tooltips\">Tooltips</a>\r\n</h4>\r\n<p>Here are some examples of a\r\n      <a class=\"gkTooltip\" href=\"#\">Classic<span class=\"classicTooltip\">This is just an example of what you can do using a CSS tooltip, feel free to get creative and produce your own!</span></a>\r\n      ,\r\n      <a class=\"gkTooltip\" href=\"#\">Critical<span class=\"customTooltip criticalTooltip\"><em>Critical</em>This is just an example of what you can do using a CSS tooltip, feel free to get creative and produce your own!</span></a>\r\n      ,\r\n      <a class=\"gkTooltip\" href=\"#\">Help<span class=\"customTooltip helpTooltip\"><em>Help</em>This is just an example of what you can do using a CSS tooltip, feel free to get creative and produce your own!</span></a>\r\n      ,\r\n      <a class=\"gkTooltip\" href=\"#\">Information<span class=\"customTooltip infoTooltip\"><em>Information</em>This is just an example of what you can do using a CSS tooltip, feel free to get creative and produce your own!</span></a>\r\n      and\r\n      <a class=\"gkTooltip\" href=\"#\">Warning<span class=\"customTooltip warningTooltip\"><em>Warning</em>This is just an example of what you can do using a CSS tooltip, feel free to get creative and produce your own!</span></a>\r\n      CSS powered tooltip. <br />\r\n      This is just an example of what you can do so feel free to get creative and produce your own!</p>\r\n<div class=\"demo-typoDiv typoDesc \">\r\n      <h4 class=\"demo-typo\"> Highlights </h4>\r\n      <div class=\"demo-typo-col2\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. <br />\r\n                        This is a <span class=\"gkHighlight1\">highlight phrase</span>. <br />\r\n                        <small>Use &lt;span    class=\"gkHighlight1\"&gt;Your highlight phrase goes here!&lt;/span&gt;</small>.</p>\r\n                  <br />\r\n                  <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. <br />\r\n                        This is a <span class=\"gkHighlight2\">highlight phrase</span>. <br />\r\n                        <small>Use &lt;span    class=\"gkHighlight2\"&gt;Your highlight phrase goes here!&lt;/span&gt;</small>.</p>\r\n            </div>\r\n      </div>\r\n      <div class=\"demo-typo-col2\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. <br />\r\n                        This is a <span class=\"gkHighlight3\">highlight phrase</span>. <br />\r\n                        <small>Use &lt;span    class=\"gkHighlight3\"&gt;Your highlight phrase goes here!&lt;/span&gt;</small>.</p>\r\n                  <br />\r\n                  <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. <br />\r\n                        This is a <span class=\"gkHighlight4\">highlight phrase</span>.<br />\r\n                        <small>Use &lt;span    class=\"gkHighlight4\"&gt;Your highlight phrase goes here!&lt;/span&gt;</small>.</p>\r\n            </div>\r\n      </div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n      <h4 class=\"demo-typo\"> Code </h4>\r\n      <div class=\"demo-typo-col3\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <p><strong>\r\n                        </strong></p>\r\n                  <pre>#wrapper {<br />  position: relative;<br />  float: left;<br />  display: block;<br />}<br />\r\n</pre>\r\n                  <p><small>Use &lt;pre&gt; or &lt;div    class=\"gkCode1\"&gt;Here goes your code&lt;/div&gt;</small></p>\r\n            </div>\r\n      </div>\r\n      <div class=\"demo-typo-col3\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <div class=\"gkCode2\">#wrapper {<br />\r\n                        position: relative;<br />\r\n                        float: left;<br />\r\n                        display: block;<br />\r\n                        }<br />\r\n                        <br />\r\n                  </div>\r\n                  <p><small>Use &lt;div class=\"gkCode2\"&gt;Here goes your code&lt;/div&gt;</small></p>\r\n            </div>\r\n      </div>\r\n      <div class=\"demo-typo-col3\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <div class=\"gkCode3\">\r\n                        <h4>File</h4>\r\n                        #wrapper {<br />\r\n                        position: relative;<br />\r\n                        float: left;<br />\r\n                        display: block;<br />\r\n                        }</div>\r\n                  <p><small>Use &lt;div class=\"gkCode3\"&gt;&lt;h4&gt;Name of your file&lt;/h4&gt;Here goes your code&lt;/div&gt;</small></p>\r\n            </div>\r\n      </div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n      <h4 class=\"demo-typo\"> Unordered lists </h4>\r\n      <div class=\"demo-typo-col4\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <p><small>&lt;ul class=\"gkBullet1\"&gt;</small></p>\r\n                  <ul class=\"gkBullet1\">\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                  </ul>\r\n            </div>\r\n      </div>\r\n      <div class=\"demo-typo-col4\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <p><small>&lt;ul class=\"gkBullet2\"&gt;</small></p>\r\n                  <ul class=\"gkBullet2\">\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                  </ul>\r\n            </div>\r\n      </div>\r\n      <div class=\"demo-typo-col4\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <p><small>&lt;ul class=\"gkBullet3\"&gt;</small></p>\r\n                  <ul class=\"gkBullet3\">\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                  </ul>\r\n            </div>\r\n      </div>\r\n      <div class=\"demo-typo-col4\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <p><small>&lt;ul class=\"gkBullet4\"&gt;</small></p>\r\n                  <ul class=\"gkBullet4\">\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                  </ul>\r\n            </div>\r\n      </div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n      <div class=\"demo-typo-col4\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <p><small>&lt;ul class=\"gkCircle1\"&gt;</small></p>\r\n                  <ul class=\"gkCircle1\">\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                  </ul>\r\n            </div>\r\n      </div>\r\n      <div class=\"demo-typo-col4\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <p><small>&lt;ul class=\"gkCircle2\"&gt;</small></p>\r\n                  <ul class=\"gkCircle2\">\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                  </ul>\r\n            </div>\r\n      </div>\r\n      <div class=\"demo-typo-col4\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <p><small>&lt;ul class=\"gkSquare1\"&gt;</small></p>\r\n                  <ul class=\"gkSquare1\">\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                  </ul>\r\n            </div>\r\n      </div>\r\n      <div class=\"demo-typo-col4\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <p><small>&lt;ul class=\"gkSquare2\"&gt;</small></p>\r\n                  <ul class=\"gkSquare2\">\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                  </ul>\r\n            </div>\r\n      </div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n      <h4 class=\"demo-typo\"> Ordered lists </h4>\r\n      <div class=\"demo-typo-col4\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <p><small>&lt;ol class=\"gkRoman\"&gt;</small></p>\r\n                  <ol class=\"gkRoman\">\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                  </ol>\r\n            </div>\r\n      </div>\r\n      <div class=\"demo-typo-col4\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <p><small>&lt;ol class=\"gkDec\"&gt;</small></p>\r\n                  <ol class=\"gkDec\">\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                  </ol>\r\n            </div>\r\n      </div>\r\n      <div class=\"demo-typo-col4\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <p><small>&lt;ol class=\"gkAlpha\"&gt;</small></p>\r\n                  <ol class=\"gkAlpha\">\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                  </ol>\r\n            </div>\r\n      </div>\r\n      <div class=\"demo-typo-col4\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <p><small>&lt;ol class=\"gkDecimalLeadingZero\"&gt;</small></p>\r\n                  <ol class=\"gkDecimalLeadingZero\">\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                        <li>Lorem ipsum dolor sit amet.</li>\r\n                  </ol>\r\n            </div>\r\n      </div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n      <h4 class=\"demo-typo\"> numBlocks </h4>\r\n      <div class=\"demo-typo-col3\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <p><small>&lt;p class=\"gkNumber1\"&gt;&lt;span&gt;here goes a    number&lt;/span&gt;and here text of element&lt;/p&gt;</small></p>\r\n                  <p class=\"numblocks num-1\"><span>01</span> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet. </p>\r\n                  <p class=\"numblocks num-1\"><span>01</span> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet. </p>\r\n            </div>\r\n      </div>\r\n      <div class=\"demo-typo-col3\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <p><small>&lt;p class=\"gkNumber2\"&gt;&lt;span&gt;here goes a    number&lt;/span&gt;and here text of element&lt;/p&gt;</small></p>\r\n                  <p class=\"numblocks num-2\"><span>02</span> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet. </p>\r\n                  <p class=\"numblocks num-2\"><span>02</span> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet. </p>\r\n            </div>\r\n      </div>\r\n      <div class=\"demo-typo-col3\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <p><small>&lt;p class=\"gkNumber3\"&gt;&lt;span&gt;here goes a    number&lt;/span&gt;and here text of element&lt;/p&gt;</small></p>\r\n                  <p class=\"numblocks num-3\"><span>03</span> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet. </p>\r\n                  <p class=\"numblocks num-3\"><span>03</span> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet. P </p>\r\n            </div>\r\n      </div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n      <h4 class=\"demo-typo\"> Blocks </h4>\r\n      <div class=\"demo-typo-col3\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <div class=\"gkblock-1\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Integer urna.\r\n                        <p>\r\n                              <small> Use &lt;div    class=\"gkblock-1\"&gt;content here... &lt;/div&gt;</small></p>\r\n                  </div>\r\n                  <div class=\"gkblock-4\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Integer urna.\r\n                        <p>\r\n                              <small> Use &lt;div    class=\"gkblock-4\"&gt;content here... &lt;/div&gt;</small></p>\r\n                  </div>\r\n                  <div class=\"gkblock-7\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Integer urna.\r\n                        <p>\r\n                              <small> Use &lt;div    class=\"gkblock-7\"&gt;content here... &lt;/div&gt;</small></p>\r\n                  </div>\r\n            </div>\r\n      </div>\r\n      <div class=\"demo-typo-col3\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <div class=\"gkblock-2\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Integer urna.\r\n                        <p>\r\n                              <small> Use &lt;div    class=\"gkblock-2\"&gt;content here... &lt;/div&gt;</small></p>\r\n                  </div>\r\n                  <div class=\"gkblock-5\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Integer urna.\r\n                        <p>\r\n                              <small> Use &lt;div    class=\"gkblock-5\"&gt;content here... &lt;/div&gt;</small></p>\r\n                  </div>\r\n                  <div class=\"gkblock-8\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Integer urna.\r\n                        <p>\r\n                              <small> Use &lt;div    class=\"gkblock-8\"&gt;content here... &lt;/div&gt;</small></p>\r\n                  </div>\r\n            </div>\r\n      </div>\r\n      <div class=\"demo-typo-col3\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <div class=\"gkblock-3\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Integer urna.\r\n                        <p>\r\n                              <small> Use &lt;div    class=\"gkblock-3\"&gt;content here... &lt;/div&gt;</small></p>\r\n                  </div>\r\n                  <div class=\"gkblock-6\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Integer urna.\r\n                        <p>\r\n                              <small> Use &lt;div    class=\"gkblock-6\"&gt;content here... &lt;/div&gt;</small></p>\r\n                  </div>\r\n                  <div class=\"gkblock-9\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Integer urna.\r\n                        <p>\r\n                              <small> Use &lt;div    class=\"gkblock-9\"&gt;content here... &lt;/div&gt;</small></p>\r\n                  </div>\r\n            </div>\r\n      </div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n      <h4 class=\"demo-typo\"> Bubbles </h4>\r\n      <div class=\"demo-typo-col3\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <div class=\"bubble-1\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Integer urna.\r\n                        <p><small>Use &lt;div    class=\"bubble-1\"&gt;content here... &lt;cite&gt;Author name&lt;/cite&gt;&lt;/div&gt;</small></p>\r\n                        <cite>Robert Gavick</cite>\r\n                  </div>\r\n                  <div class=\"bubble-4\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Integer urna.\r\n                        <p><small>Use &lt;div    class=\"bubble-2\"&gt;content here... &lt;cite&gt;Author name&lt;/cite&gt;&lt;/div&gt;</small></p>\r\n                        <cite>Robert Gavick</cite>\r\n                  </div>\r\n            </div>\r\n      </div>\r\n      <div class=\"demo-typo-col3\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <div class=\"bubble-2\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Integer urna.\r\n                        <p><small>Use &lt;div    class=\"bubble-3\"&gt;content here... &lt;cite&gt;Author name&lt;/cite&gt;&lt;/div&gt;</small></p>\r\n                        <cite>Robert Gavick</cite>\r\n                  </div>\r\n                  <div class=\"bubble-5\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Integer urna.\r\n                        <p><small>Use &lt;div    class=\"bubble-4\"&gt;content here... &lt;cite&gt;Author name&lt;/cite&gt;&lt;/div&gt;</small></p>\r\n                        <cite>Robert Gavick</cite>\r\n                  </div>\r\n            </div>\r\n      </div>\r\n      <div class=\"demo-typo-col3\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <div class=\"bubble-3\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Integer urna.\r\n                        <p><small>Use &lt;div    class=\"bubble-5\"&gt;content here... &lt;cite&gt;Author name&lt;/cite&gt;&lt;/div&gt;</small></p>\r\n                        <cite>Robert Gavick</cite>\r\n                  </div>\r\n                  <div class=\"bubble-6\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Integer urna.\r\n                        <p>\r\n                              <small> Use &lt;div    class=\"bubble-6\"&gt;content here... &lt;cite&gt;Author name&lt;/cite&gt;&lt;/div&gt;</small></p>\r\n                        <cite>Robert Gavick</cite>\r\n                  </div>\r\n            </div>\r\n      </div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n      <h4 class=\"demo-typo\"> Legends </h4>\r\n      <div class=\"demo-typo-col2\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <div class=\"gkLegend1\">\r\n                        <h4>Legend</h4>\r\n                        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet. Pellentesque pharetra tincidunt sapien</p>\r\n                        <p><small> Use &lt;div class=\"gkLegend1\"&gt;    &lt;h4&gt; Title &lt;/h4&gt; &lt;p&gt;and here text.&lt;/p&gt; &lt;/div&gt;</small></p>\r\n                  </div>\r\n            </div>\r\n      </div>\r\n      <div class=\"demo-typo-col2\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <div class=\"gkLegend2\">\r\n                        <h4>Legend</h4>\r\n                        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet. Pellentesque pharetra tincidunt sapien</p>\r\n                        <p><small> Use &lt;div class=\"gkLegend2\"&gt;    &lt;h4&gt; Title &lt;/h4&gt; &lt;p&gt;and here text.&lt;/p&gt; &lt;/div&gt;</small></p>\r\n                  </div>\r\n            </div>\r\n      </div>\r\n      <div class=\"demo-typo-col2\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <div class=\"gkLegend3\">\r\n                        <h4>Legend</h4>\r\n                        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet. Pellentesque pharetra tincidunt sapien</p>\r\n                        <p><small> Use &lt;div class=\"gkLegend3\"&gt;    &lt;h4&gt; Title &lt;/h4&gt; &lt;p&gt;and here text.&lt;/p&gt; &lt;/div&gt;</small></p>\r\n                  </div>\r\n            </div>\r\n      </div>\r\n      <div class=\"demo-typo-col2\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <div class=\"gkLegend4\">\r\n                        <h4>Legend</h4>\r\n                        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet. Pellentesque pharetra tincidunt sapien</p>\r\n                        <p><small> Use &lt;div class=\"gkLegend4\"&gt;    &lt;h4&gt; Title &lt;/h4&gt; &lt;p&gt;and here text.&lt;/p&gt; &lt;/div&gt;</small></p>\r\n                  </div>\r\n            </div>\r\n      </div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n      <h4 class=\"demo-typo\"> Abbrs and acronyms </h4>\r\n      <p>This is a sample of an abbreviation <abbr title=\"Doctor\">Dr</abbr>.    Use <strong>&lt;abbr title=\"Here goes full word or phrase\"&gt;here goes    an abbreviation&lt;/abbr&gt;</strong></p>\r\n      <p>\r\n      </p>\r\n      <p>This is a sample of an acronym <acronym title=\"North Atlantic Treaty    Organization\">NATO</acronym>. Use <strong>&lt;acronym title=\"Here goes    full phrase\"&gt;here goes an acronym&lt;/abbr&gt;</strong></p>\r\n      <p>\r\n      </p>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n      <h4 class=\"demo-typo\"> Dropcaps </h4>\r\n      <div class=\"demo-typo-col3\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <p><span class=\"gkDropcap1\">T</span>his is a sample text with Dropcap. <br />\r\n                        Lorem ipsum dolor sit amet,   consectetur  adipiscing elit. Vestibulum condimentum pulvinar justo, sed   faucibus  ligula feugiat ac. Morbi quis enim nulla, vel congue augue.   Duis quis  quam sed purus porta eleifend. Vivamus ullamcorper est id   libero aliquam. </p>\r\n                  <p><small>Use &lt;p&gt; &lt;span class=\"gkDropcap1\"&gt;t&lt;/span&gt;his is a sample text with Dropcap. &lt;/p&gt;.</small></p>\r\n            </div>\r\n      </div>\r\n      <div class=\"demo-typo-col3\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <p class=\"gkDropcap2\"><span class=\"gkDropcap2\">T</span>his is a sample text with Dropcap. Lorem ipsum dolor sit amet,   consectetur  adipiscing elit. Vestibulum condimentum pulvinar justo, sed   faucibus  ligula feugiat ac. Morbi quis enim nulla, vel congue augue.   Duis quis  quam sed purus porta eleifend. Vivamus ullamcorper est id   libero aliquam  ullamcorper. </p>\r\n                  <p><small>Use &lt;p class=\"gkDropcap2\"&gt; &lt;span class=\"gkDropcap2\"&gt;t&lt;/span&gt;his is a sample text with Dropcap. &lt;/p&gt;.</small></p>\r\n            </div>\r\n      </div>\r\n      <div class=\"demo-typo-col3\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <p><span class=\"gkDropcap3\">T</span>his is a sample text with Dropcap. Lorem ipsum dolor sit amet,   consectetur  adipiscing elit. Vestibulum condimentum pulvinar justo, sed   faucibus  ligula feugiat ac. Morbi quis enim nulla, vel congue augue.   Duis quis  quam sed purus porta eleifend. Vivamus ullamcorper est id   libero aliquam  ullamcorper. </p>\r\n                  <p><small>Use &lt;p&gt; &lt;span class=\"gkDropcap3\"&gt;t&lt;/span&gt;his is a sample text with Dropcap. &lt;/p&gt;.</small></p>\r\n            </div>\r\n      </div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n      <h4 class=\"demo-typo\"> Blockquotes </h4>\r\n      <div class=\"demo-typo-col2\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <blockquote>\r\n                        <div class=\"gkBlockquote1\">\r\n                              <div>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet.\r\n                                    <p><small>Use &lt; blockquote&gt;&lt;div    class=\"gkBlockquote1\"&gt;&lt;div&gt; Your quoted text goes here!&lt;    /div&gt;&lt; /div&gt;&lt; /blockquote &gt;</small></p>\r\n                              </div>\r\n                        </div>\r\n                  </blockquote>\r\n            </div>\r\n      </div>\r\n      <div class=\"demo-typo-col2\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <blockquote>\r\n                        <div class=\"gkBlockquote2\">\r\n                              <div>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet.\r\n                                    <p><small>Use &lt; blockquote&gt;&lt;div    class=\"gkBlockquote2\"&gt;&lt;div&gt; Your quoted text goes here!&lt;    /div&gt;&lt; /div&gt;&lt; /blockquote &gt;</small></p>\r\n                              </div>\r\n                        </div>\r\n                  </blockquote>\r\n            </div>\r\n      </div>\r\n      <div class=\"demo-typo-col2\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <blockquote>\r\n                        <div class=\"gkBlockquote3\">\r\n                              <div>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet.\r\n                                    <p><small>Use &lt; blockquote&gt;&lt;div    class=\"gkBlockquote3\"&gt;&lt;div&gt; Your quoted text goes here!&lt;    /div&gt;&lt; /div&gt;&lt; /blockquote &gt;</small></p>\r\n                              </div>\r\n                        </div>\r\n                  </blockquote>\r\n            </div>\r\n      </div>\r\n      <div class=\"demo-typo-col2\">\r\n            <div class=\"demo-typo_padd\">\r\n                  <blockquote>\r\n                        <div class=\"gkBlockquote4\">\r\n                              <div>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit amet.\r\n                                    <p><small>Use &lt; blockquote&gt;&lt;div    class=\"gkBlockquote4\"&gt;&lt;div&gt; Your quoted text goes here!&lt;    /div&gt;&lt; /div&gt;&lt; /blockquote &gt;</small></p>\r\n                              </div>\r\n                        </div>\r\n                  </blockquote>\r\n            </div>\r\n      </div>\r\n</div>\r\n<div class=\"demo-typoDiv typoDesc\">\r\n      <h4 class=\"demo-typo\"> Floated blocks </h4>\r\n      <p><small>&lt;p&gt; Here goes main part of the text &lt;span    class=\"gkBlockTextLeft\"&gt;Block of text&lt;/span&gt;rest of the    text&lt;/p&gt;\r\n            </small></p>\r\n      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum    condimentum pulvinar justo, sed faucibus ligula feugiat ac. Morbi quis    enim nulla, vel congue augue. Duis quis quam sed purus porta eleifend.<span class=\"gkBlockTextLeft\">Lorem ipsum dolor sit amet, consectetur    adipiscing elit. Vestibulum condimentum pulvinar justo, sed faucibus    ligula feugiat ac. Morbi quis enim nulla, vel congue augue.</span>Donec    eget dignissim augue. Donec ante felis, aliquam ut consequat eget,    lobortis dapibus risus. Aliquam laoreet enim et lectus ornare hendrerit.    Aliquam rhoncus enim libero. Morbi aliquam, nibh mattis feugiat    dapibus, nisi massa adipiscing justo, sit amet condimentum urna ipsum et    lacus. Nam fermentum, eros quis ullamcorper convallis, libero mauris    lacinia eros, sed tempus leo lorem vitae purus. </p>\r\n      <br />\r\n      <br />\r\n      <p><small>&lt;p&gt; Here goes main part of the text &lt;span    class=\"gkBlockTextRight\"&gt;Block of text&lt;/span&gt;rest of the    text&lt;/p&gt;\r\n            </small></p>\r\n      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum    condimentum pulvinar justo, sed faucibus ligula feugiat ac. Morbi quis    enim nulla, vel congue augue. Duis quis quam sed purus porta eleifend.<span class=\"gkBlockTextRight\">Lorem ipsum dolor sit amet, consectetur    adipiscing elit. Vestibulum condimentum pulvinar justo, sed faucibus    ligula feugiat ac. Morbi quis enim nulla, vel congue augue.</span>Donec    eget dignissim augue. Donec ante felis, aliquam ut consequat eget,    lobortis dapibus risus. Aliquam laoreet enim et lectus ornare hendrerit.    Aliquam rhoncus enim libero. Morbi aliquam, nibh mattis feugiat    dapibus, nisi massa adipiscing justo, sit amet condimentum urna ipsum et    lacus. Nam fermentum, eros quis ullamcorper convallis, libero mauris    lacinia eros, sed tempus leo lorem vitae purus. </p>\r\n      <br />\r\n      <br />\r\n      <p><small>&lt;p&gt; Here goes main part of the text &lt;span    class=\"gkBlockTextCenter\"&gt;Block of text&lt;/span&gt;rest of the    text&lt;/p&gt;\r\n            </small></p>\r\n      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum    condimentum pulvinar justo, sed faucibus ligula feugiat ac. Morbi quis    enim nulla, vel congue augue. Duis quis quam sed purus porta eleifend.<span class=\"gkBlockTextCenter\">Lorem ipsum dolor sit amet, consectetur    adipiscing elit. Vestibulum condimentum pulvinar justo, sed faucibus    ligula feugiat ac. Morbi quis enim nulla, vel congue augue.</span>Donec    eget dignissim augue. Donec ante felis, aliquam ut consequat eget,    lobortis dapibus risus. Aliquam laoreet enim et lectus ornare hendrerit.    Aliquam rhoncus enim libero. Morbi aliquam, nibh mattis feugiat    dapibus, nisi massa adipiscing justo, sit amet condimentum urna ipsum et    lacus. Nam fermentum, eros quis ullamcorper convallis, libero mauris    lacinia eros, sed tempus leo lorem vitae purus. Nunc a malesuada  felis.   Cras ultrices sapien eu nisi elementum non blandit urna  sodales. </p>\r\n</div>\r\n','',1,0,0,7,'2011-01-11 22:34:23',42,'','2011-09-05 13:23:28',42,0,'0000-00-00 00:00:00','2011-01-11 22:34:23','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"0\",\"show_intro\":\"0\",\"show_category\":\"0\",\"link_category\":\"0\",\"show_parent_category\":\"0\",\"link_parent_category\":\"0\",\"show_author\":\"0\",\"link_author\":\"0\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"0\",\"show_icons\":\"1\",\"show_print_icon\":\"1\",\"show_email_icon\":\"0\",\"show_vote\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',224,0,8,'','',1,1425,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(2,34,'Module positions','module-positions','','<p style=\"margin: 0 auto\"><img src=\"images/demo/module_positions.png\" border=\"0\" style=\"float: none; display: block; margin-left: auto; margin-right: auto; background: none !important; border: 0px none currentColor;\" /></p>','',1,0,0,7,'2011-01-12 16:57:05',42,'','2011-06-29 20:21:55',42,0,'0000-00-00 00:00:00','2011-01-12 16:57:05','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',6,0,7,'','',1,94,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(3,35,'Messages','messages','','<p>Joomla! offers three different types of messages. Creatings standard information about Joomla! system is presented depending on a message type as follows:</p>\r\n<p style=\"margin: 43px 0 0\"> </p>\r\n<p>\r\n<dl id=\"system-message\"><dt class=\"error\">Error</dt><dd class=\"message message fade\"> \r\n<ul>\r\n<li>This is a sample message</li>\r\n</ul>\r\n</dd></dl> \r\n</p>\r\n<p>\r\n<dl id=\"system-message\"><dt class=\"error\">Error</dt><dd class=\"notice message fade\"> \r\n<ul>\r\n<li>This is a sample of notice message</li>\r\n</ul>\r\n</dd></dl> \r\n</p>\r\n<p>\r\n<dl id=\"system-message\"><dt class=\"error\">Error</dt><dd class=\"error message fade\"> \r\n<ul>\r\n<li>This is a sample of error message</li>\r\n</ul>\r\n</dd></dl>\r\n</p>','',1,0,0,7,'2011-01-12 17:08:51',42,'','2011-09-09 21:41:17',42,0,'0000-00-00 00:00:00','2011-01-12 17:08:51','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',8,0,6,'','',1,251,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(4,36,'Chrome frame','chrome-frame','','<img src=\"images/google-chrome-logo1.png\" alt=\"Google Chrome Frame\" title=\"Google Chrome Frame\" class=\"caption\" />\r\n<p>Google Chrome Frame is a retort of Google company to Internet Explorer browser which is still widely popular, despite the fact that its rendering engine remains fallen behind other internet browsers. By applying this plug-in, users can benefit from Webkit engine capabilities and, at the same time, do not loose the opportunity of using Internet Explorer interface. To make this interesting solution work, an appropriate \"meta name\" has to be implemented into the head section of the visited page.</p>\r\n<p>In accordance with that, our template contains an appropriate option in its settings that helps the user to switch the meta name in the head section, so that all IE users that have Google Chrome Frame plug-in installed will be able to see the web site along with all facilities offered by Webkit rendering engine.</p>\r\n<p>To get know more about Google Chrome Frame, please visit:</p>\r\n<p><a href=\"http://code.google.com/intl/en-GB/chrome/chromeframe/\">http://code.google.com/intl/en-GB/chrome/chromeframe/</a> - the official Project','',1,0,0,7,'2011-01-12 17:12:21',42,'','2011-05-14 15:00:38',42,0,'0000-00-00 00:00:00','2011-01-12 17:12:21','0000-00-00 00:00:00','','','{\"show_title\":\"0\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',4,0,5,'','',1,121,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',1,'*',''),(5,38,'Menu types','menu-types','','<p>Our template supports three menu types:</p>\r\n<ul>\r\n<li>GK menu</li>\r\n<li>Dropline menu</li>\r\n<li>Split menu</li>\r\n</ul>\r\n<p>Each of these menus has different characteristic. It is important to know that in order to gain an additional functionality offered by \"GK menu\", a user has to install a plug-in which can be found in the rest-files package of a particular template.</p>','',1,0,0,8,'2011-01-12 17:58:21',42,'','2011-01-12 18:16:21',42,0,'0000-00-00 00:00:00','2011-01-12 17:58:21','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',2,0,2,'','',1,173,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(6,40,'Right column','right-column','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada ligula. Phasellus fringilla aliquam nunc ut volutpat. In in nibh lacus. Sed tempus dui nec velit hendrerit tempus. Nunc scelerisque ante nec magna blandit interdum. Maecenas lectus nunc, gravida volutpat adipiscing placerat, commodo quis purus. Morbi ligula quam, aliquet ac euismod ut, iaculis in orci. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec malesuada ligula eget urna luctus eu tempor odio consequat. Etiam eget enim sit amet nunc commodo tempus. Donec eget massa ut ligula mattis pharetra a nec felis. Suspendisse tortor libero, venenatis in elementum a, tincidunt in turpis. Curabitur ut nisl sed mauris vestibulum vestibulum ultricies et purus. Nam porttitor libero et justo placerat vitae sodales ligula egestas. Vestibulum leo ligula, volutpat et ultricies nec, tempus a enim. Cras quis tellus et nibh molestie pretium vel sit amet lacus. Sed sed diam neque.</p>','',1,0,0,9,'2011-01-12 19:18:41',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-01-12 19:18:41','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,8,'','',1,103,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(7,41,'Right two columns','right-two-columns','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada ligula. Phasellus fringilla aliquam nunc ut volutpat. In in nibh lacus. Sed tempus dui nec velit hendrerit tempus. Nunc scelerisque ante nec magna blandit interdum. Maecenas lectus nunc, gravida volutpat adipiscing placerat, commodo quis purus. Morbi ligula quam, aliquet ac euismod ut, iaculis in orci. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec malesuada ligula eget urna luctus eu tempor odio consequat. Etiam eget enim sit amet nunc commodo tempus. Donec eget massa ut ligula mattis pharetra a nec felis. Suspendisse tortor libero, venenatis in elementum a, tincidunt in turpis. Curabitur ut nisl sed mauris vestibulum vestibulum ultricies et purus. Nam porttitor libero et justo placerat vitae sodales ligula egestas. Vestibulum leo ligula, volutpat et ultricies nec, tempus a enim. Cras quis tellus et nibh molestie pretium vel sit amet lacus. Sed sed diam neque.</p>','',1,0,0,9,'2011-01-12 19:28:47',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-01-12 19:28:47','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,7,'','',1,61,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(8,42,'Left column','left-column','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada ligula. Phasellus fringilla aliquam nunc ut volutpat. In in nibh lacus. Sed tempus dui nec velit hendrerit tempus. Nunc scelerisque ante nec magna blandit interdum. Maecenas lectus nunc, gravida volutpat adipiscing placerat, commodo quis purus. Morbi ligula quam, aliquet ac euismod ut, iaculis in orci. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec malesuada ligula eget urna luctus eu tempor odio consequat. Etiam eget enim sit amet nunc commodo tempus. Donec eget massa ut ligula mattis pharetra a nec felis. Suspendisse tortor libero, venenatis in elementum a, tincidunt in turpis. Curabitur ut nisl sed mauris vestibulum vestibulum ultricies et purus. Nam porttitor libero et justo placerat vitae sodales ligula egestas. Vestibulum leo ligula, volutpat et ultricies nec, tempus a enim. Cras quis tellus et nibh molestie pretium vel sit amet lacus. Sed sed diam neque.</p>','',1,0,0,9,'2011-01-12 19:33:11',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-01-12 19:33:11','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,6,'','',1,39,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(9,43,'Left two columns','left-two-columns','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada ligula. Phasellus fringilla aliquam nunc ut volutpat. In in nibh lacus. Sed tempus dui nec velit hendrerit tempus. Nunc scelerisque ante nec magna blandit interdum. Maecenas lectus nunc, gravida volutpat adipiscing placerat, commodo quis purus. Morbi ligula quam, aliquet ac euismod ut, iaculis in orci. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec malesuada ligula eget urna luctus eu tempor odio consequat. Etiam eget enim sit amet nunc commodo tempus. Donec eget massa ut ligula mattis pharetra a nec felis. Suspendisse tortor libero, venenatis in elementum a, tincidunt in turpis. Curabitur ut nisl sed mauris vestibulum vestibulum ultricies et purus. Nam porttitor libero et justo placerat vitae sodales ligula egestas. Vestibulum leo ligula, volutpat et ultricies nec, tempus a enim. Cras quis tellus et nibh molestie pretium vel sit amet lacus. Sed sed diam neque.</p>','',1,0,0,9,'2011-01-12 19:33:11',42,'','2011-01-12 20:49:37',42,0,'0000-00-00 00:00:00','2011-01-12 19:33:11','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',2,0,5,'','',1,51,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(10,44,'Content inset left','content-inset-left','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada ligula. Phasellus fringilla aliquam nunc ut volutpat. In in nibh lacus. Sed tempus dui nec velit hendrerit tempus. Nunc scelerisque ante nec magna blandit interdum. Maecenas lectus nunc, gravida volutpat adipiscing placerat, commodo quis purus. Morbi ligula quam, aliquet ac euismod ut, iaculis in orci. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec malesuada ligula eget urna luctus eu tempor odio consequat. Etiam eget enim sit amet nunc commodo tempus. Donec eget massa ut ligula mattis pharetra a nec felis. Suspendisse tortor libero, venenatis in elementum a, tincidunt in turpis. Curabitur ut nisl sed mauris vestibulum vestibulum ultricies et purus. Nam porttitor libero et justo placerat vitae sodales ligula egestas. Vestibulum leo ligula, volutpat et ultricies nec, tempus a enim. Cras quis tellus et nibh molestie pretium vel sit amet lacus. Sed sed diam neque.</p>','',1,0,0,9,'2011-01-12 21:11:22',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-01-12 21:11:22','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,4,'','',1,74,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(11,45,'Content inset right','content-inset-right','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada ligula. Phasellus fringilla aliquam nunc ut volutpat. In in nibh lacus. Sed tempus dui nec velit hendrerit tempus. Nunc scelerisque ante nec magna blandit interdum. Maecenas lectus nunc, gravida volutpat adipiscing placerat, commodo quis purus. Morbi ligula quam, aliquet ac euismod ut, iaculis in orci. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec malesuada ligula eget urna luctus eu tempor odio consequat. Etiam eget enim sit amet nunc commodo tempus. Donec eget massa ut ligula mattis pharetra a nec felis. Suspendisse tortor libero, venenatis in elementum a, tincidunt in turpis. Curabitur ut nisl sed mauris vestibulum vestibulum ultricies et purus. Nam porttitor libero et justo placerat vitae sodales ligula egestas. Vestibulum leo ligula, volutpat et ultricies nec, tempus a enim. Cras quis tellus et nibh molestie pretium vel sit amet lacus. Sed sed diam neque.</p>','',1,0,0,9,'2011-01-12 21:12:26',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-01-12 21:12:26','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,3,'','',1,42,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(12,46,'Content inset both','content-inset-both','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada ligula. Phasellus fringilla aliquam nunc ut volutpat. In in nibh lacus. Sed tempus dui nec velit hendrerit tempus. Nunc scelerisque ante nec magna blandit interdum. Maecenas lectus nunc, gravida volutpat adipiscing placerat, commodo quis purus. Morbi ligula quam, aliquet ac euismod ut, iaculis in orci. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec malesuada ligula eget urna luctus eu tempor odio consequat. Etiam eget enim sit amet nunc commodo tempus. Donec eget massa ut ligula mattis pharetra a nec felis. Suspendisse tortor libero, venenatis in elementum a, tincidunt in turpis. Curabitur ut nisl sed mauris vestibulum vestibulum ultricies et purus. Nam porttitor libero et justo placerat vitae sodales ligula egestas. Vestibulum leo ligula, volutpat et ultricies nec, tempus a enim. Cras quis tellus et nibh molestie pretium vel sit amet lacus. Sed sed diam neque.</p>','',1,0,0,9,'2011-01-12 21:12:26',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-01-12 21:12:26','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,2,'','',1,51,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(13,47,'Content inset + column','content-inset--column','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada ligula. Phasellus fringilla aliquam nunc ut volutpat. In in nibh lacus. Sed tempus dui nec velit hendrerit tempus. Nunc scelerisque ante nec magna blandit interdum. Maecenas lectus nunc, gravida volutpat adipiscing placerat, commodo quis purus. Morbi ligula quam, aliquet ac euismod ut, iaculis in orci. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec malesuada ligula eget urna luctus eu tempor odio consequat. Etiam eget enim sit amet nunc commodo tempus. Donec eget massa ut ligula mattis pharetra a nec felis. Suspendisse tortor libero, venenatis in elementum a, tincidunt in turpis. Curabitur ut nisl sed mauris vestibulum vestibulum ultricies et purus. Nam porttitor libero et justo placerat vitae sodales ligula egestas. Vestibulum leo ligula, volutpat et ultricies nec, tempus a enim. Cras quis tellus et nibh molestie pretium vel sit amet lacus. Sed sed diam neque.</p>','',1,0,0,9,'2011-01-12 22:01:45',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-01-12 22:01:45','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,1,'','',1,66,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(14,48,'Content inset + column (2x)','content-inset--column-2x','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sit amet lacus sit amet odio vulputate lobortis. Etiam lorem libero, fermentum a facilisis id, blandit vel urna. Quisque tempor cursus libero aliquam blandit. In at sapien neque, quis malesuada ligula. Phasellus fringilla aliquam nunc ut volutpat. In in nibh lacus. Sed tempus dui nec velit hendrerit tempus. Nunc scelerisque ante nec magna blandit interdum. Maecenas lectus nunc, gravida volutpat adipiscing placerat, commodo quis purus. Morbi ligula quam, aliquet ac euismod ut, iaculis in orci. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec malesuada ligula eget urna luctus eu tempor odio consequat. Etiam eget enim sit amet nunc commodo tempus. Donec eget massa ut ligula mattis pharetra a nec felis. Suspendisse tortor libero, venenatis in elementum a, tincidunt in turpis. Curabitur ut nisl sed mauris vestibulum vestibulum ultricies et purus. Nam porttitor libero et justo placerat vitae sodales ligula egestas. Vestibulum leo ligula, volutpat et ultricies nec, tempus a enim. Cras quis tellus et nibh molestie pretium vel sit amet lacus. Sed sed diam neque.</p>','',1,0,0,9,'2011-01-12 22:03:08',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-01-12 22:03:08','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,0,'','',1,30,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(15,49,'Split menu','split-menu','','<p>Our template supports three menu types:</p>\r\n<ul>\r\n<li>GK menu</li>\r\n<li>Dropline menu</li>\r\n<li>Split menu</li>\r\n</ul>\r\n<p>Each of these menus has different characteristic. It is important to know that in order to gain an additional functionality offered by \"GK menu\", a user has to install a plug-in which can be found in the rest-files package of a particular template.</p>','',1,0,0,8,'2011-01-13 00:12:59',42,'','2011-01-13 00:14:18',42,0,'0000-00-00 00:00:00','2011-01-13 00:12:59','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',3,0,3,'','',1,83,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(16,50,'Dropline menu','dropline-menu','','<p>Our template supports three menu types:</p>\r\n<ul>\r\n<li>GK menu</li>\r\n<li>Dropline menu</li>\r\n<li>Split menu</li>\r\n</ul>\r\n<p>Each of these menus has different characteristic. It is important to know that in order to gain an additional functionality offered by \"GK menu\", a user has to install a plug-in which can be found in the rest-files package of a particular template.</p>','',1,0,0,8,'2011-01-12 17:58:21',42,'','2011-01-12 18:16:21',0,0,'0000-00-00 00:00:00','2011-01-12 17:58:21','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,1,'','',1,332,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(17,51,'GK Menu','gk-menu','','<p>Our template supports three menu types:</p>\r\n<ul>\r\n<li>GK menu</li>\r\n<li>Dropline menu</li>\r\n<li>Split menu</li>\r\n</ul>\r\n<p>Each of these menus has different characteristic. It is important to know that in order to gain an additional functionality offered by \"GK menu\", a user has to install a plug-in which can be found in the rest-files package of a particular template.</p>','',1,0,0,8,'2011-01-13 00:12:59',42,'','2011-01-13 00:14:18',0,0,'0000-00-00 00:00:00','2011-01-13 00:12:59','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,0,'','',1,75,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(18,52,'Module variation','module-variation','','<p>On this page you can see basic suffixes used in this template. Please remember about using space at beginning of suffix name in module options.</p>\r\n\r\n<p class=\"gkTips2\">Please remember about space at beginning of most of the suffixes!</p>','',1,0,0,7,'2011-01-13 12:30:01',42,'','2011-08-30 21:33:50',42,0,'0000-00-00 00:00:00','2011-01-13 12:30:01','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',6,0,4,'','',1,507,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(19,59,'Archive article I','archive-article-i','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce ut metus augue, id laoreet dolor. Maecenas volutpat tristique felis, vel placerat sapien congue at. Vivamus vel massa sapien. Sed tempus mattis libero, at consequat neque viverra sed. Sed tortor metus, rhoncus id facilisis at, mattis eget nisi. Curabitur vel tortor felis. Sed mattis diam eu urna fermentum sed porta arcu auctor. Phasellus volutpat, sem feugiat malesuada cursus, magna dui adipiscing lectus, a pharetra leo enim quis lectus. Donec ornare magna a erat euismod egestas. Morbi non arcu sit amet diam dapibus aliquet vel nec massa. Aliquam fermentum sollicitudin lorem, auctor vehicula felis pellentesque a. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed risus magna, mollis sed ultricies ut, pellentesque a metus. Duis eu vestibulum nisl. Mauris blandit elit a turpis pellentesque semper. Integer eget urna erat, et hendrerit magna. In a quam urna, at sollicitudin tellus. <br /><br />Donec ipsum erat, gravida sit amet laoreet et, adipiscing nec nibh. Vivamus ultrices faucibus nulla ut rhoncus. Nunc non posuere sapien. Praesent nec elit vitae sem posuere elementum eget tincidunt lorem. Quisque ornare malesuada dui nec pretium. Ut in mauris sit amet nunc cursus vehicula at id dolor. In enim nisi, venenatis quis lacinia id, congue sed arcu. Morbi nec risus eget augue porttitor pulvinar. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam quis enim in lacus aliquam tempus eu nec enim. Phasellus adipiscing facilisis est, sit amet volutpat libero vehicula in. Phasellus tincidunt convallis nisl sit amet luctus. Donec leo quam, sollicitudin vel porttitor at, cursus sed tellus. Sed dapibus massa id leo faucibus tempor molestie purus placerat. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Pellentesque tempor fringilla augue sit amet bibendum. Nam vitae hendrerit nulla.</p>','',2,0,0,2,'2011-01-13 16:01:40',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,3,'','',1,2,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(20,60,'Archive article II','archive-article-ii','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce ut metus augue, id laoreet dolor. Maecenas volutpat tristique felis, vel placerat sapien congue at. Vivamus vel massa sapien. Sed tempus mattis libero, at consequat neque viverra sed. Sed tortor metus, rhoncus id facilisis at, mattis eget nisi. Curabitur vel tortor felis. Sed mattis diam eu urna fermentum sed porta arcu auctor. Phasellus volutpat, sem feugiat malesuada cursus, magna dui adipiscing lectus, a pharetra leo enim quis lectus. Donec ornare magna a erat euismod egestas. Morbi non arcu sit amet diam dapibus aliquet vel nec massa. Aliquam fermentum sollicitudin lorem, auctor vehicula felis pellentesque a. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed risus magna, mollis sed ultricies ut, pellentesque a metus. Duis eu vestibulum nisl. Mauris blandit elit a turpis pellentesque semper. Integer eget urna erat, et hendrerit magna. In a quam urna, at sollicitudin tellus. <br /><br />Donec ipsum erat, gravida sit amet laoreet et, adipiscing nec nibh. Vivamus ultrices faucibus nulla ut rhoncus. Nunc non posuere sapien. Praesent nec elit vitae sem posuere elementum eget tincidunt lorem. Quisque ornare malesuada dui nec pretium. Ut in mauris sit amet nunc cursus vehicula at id dolor. In enim nisi, venenatis quis lacinia id, congue sed arcu. Morbi nec risus eget augue porttitor pulvinar. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam quis enim in lacus aliquam tempus eu nec enim. Phasellus adipiscing facilisis est, sit amet volutpat libero vehicula in. Phasellus tincidunt convallis nisl sit amet luctus. Donec leo quam, sollicitudin vel porttitor at, cursus sed tellus. Sed dapibus massa id leo faucibus tempor molestie purus placerat. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Pellentesque tempor fringilla augue sit amet bibendum. Nam vitae hendrerit nulla.</p>','',2,0,0,2,'2011-01-13 16:01:40',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,2,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(21,61,'Archive article III','archive-article-iii','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce ut metus augue, id laoreet dolor. Maecenas volutpat tristique felis, vel placerat sapien congue at. Vivamus vel massa sapien. Sed tempus mattis libero, at consequat neque viverra sed. Sed tortor metus, rhoncus id facilisis at, mattis eget nisi. Curabitur vel tortor felis. Sed mattis diam eu urna fermentum sed porta arcu auctor. Phasellus volutpat, sem feugiat malesuada cursus, magna dui adipiscing lectus, a pharetra leo enim quis lectus. Donec ornare magna a erat euismod egestas. Morbi non arcu sit amet diam dapibus aliquet vel nec massa. Aliquam fermentum sollicitudin lorem, auctor vehicula felis pellentesque a. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed risus magna, mollis sed ultricies ut, pellentesque a metus. Duis eu vestibulum nisl. Mauris blandit elit a turpis pellentesque semper. Integer eget urna erat, et hendrerit magna. In a quam urna, at sollicitudin tellus. <br /><br />Donec ipsum erat, gravida sit amet laoreet et, adipiscing nec nibh. Vivamus ultrices faucibus nulla ut rhoncus. Nunc non posuere sapien. Praesent nec elit vitae sem posuere elementum eget tincidunt lorem. Quisque ornare malesuada dui nec pretium. Ut in mauris sit amet nunc cursus vehicula at id dolor. In enim nisi, venenatis quis lacinia id, congue sed arcu. Morbi nec risus eget augue porttitor pulvinar. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam quis enim in lacus aliquam tempus eu nec enim. Phasellus adipiscing facilisis est, sit amet volutpat libero vehicula in. Phasellus tincidunt convallis nisl sit amet luctus. Donec leo quam, sollicitudin vel porttitor at, cursus sed tellus. Sed dapibus massa id leo faucibus tempor molestie purus placerat. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Pellentesque tempor fringilla augue sit amet bibendum. Nam vitae hendrerit nulla.</p>','',2,0,0,2,'2011-01-13 16:01:40',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,1,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(23,63,'IE 6 style','ie-6-style','','<p>Internet Explorer 6 is on the way out, but there is still a significant number of users that are stuck to this browser. According to this, we decided that our templates are going to support IE 6 slightly. By dint of the \"IE6 Bar\" plug-in, available in templates menu options, users can apply the upper bar in their IE browser to keep them informed that Internet Explorer can not display the ','Web site properly. Additionally, instead of the whole range of template styles, we created one style- Universal Internet Explorer 6 CSS - project\'s website. Thanks to this, users will have the full access to the web',1,0,0,7,'2011-01-17 14:47:32',42,'','2011-06-29 20:10:53',42,0,'0000-00-00 00:00:00','2011-01-17 14:47:32','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',2,0,3,'','',1,25,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(24,64,'Lorem ipsum','lorem-ipsum','','<p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Vestibulum id ligula porta felis euismod semper. Donec ullamcorper nulla non metus auctor fringilla. Nullam quis risus eget urna mollis ornare vel eu leo.</p>\r\n<p>Donec ullamcorper nulla non metus auctor fringilla. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Maecenas faucibus mollis interdum.</p>\r\n<p>Sed posuere consectetur est at lobortis. Maecenas sed diam eget risus varius blandit sit amet non magna. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Nulla vitae elit libero, a pharetra augue. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.</p>\r\n<p>Donec sed odio dui. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla. Maecenas sed diam eget risus varius blandit sit amet non magna. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Vestibulum id ligula porta felis euismod semper.</p>\r\n<p>Curabitur blandit tempus porttitor. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus.</p>','',1,0,0,7,'2011-01-17 17:16:48',42,'','2011-01-17 17:50:27',42,0,'0000-00-00 00:00:00','2011-01-17 17:16:48','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',4,0,2,'','',1,312,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(25,70,'Newly Opened Piccolo Bar','newly-opened-piccolo-bar','','<img src=\"images/stories/1.jpg\" alt=\"Newly Opened Piccolo Bar\" title=\"Newly Opened Piccolo Bar\" class=\"caption\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.             \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,18,'2011-02-26 22:20:14',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:20:14','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,4,'','',1,8,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(26,71,'Jasmine and blooming sweet tea','jasmine-blooming-sweet-tea','','<img src=\"images/stories/2.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.              \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,20,'2011-02-26 22:21:54',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:21:54','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,4,'','',1,6,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(27,72,'Sunflower tea cup','sunflower-tea-cup','','<img src=\"images/stories/3.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.              \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,20,'2011-02-26 22:23:06',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:23:06','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,3,'','',1,35,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(28,73,'Freshest full-leaf','freshest-full-leaf','','<img src=\"images/stories/4.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.               \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,20,'2011-02-26 22:24:06',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:24:06','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,2,'','',1,1,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(29,74,'Chamomile Herb tea','chamomile-herb-tea','','<img src=\"images/stories/5.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.                 \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,20,'2011-02-26 22:25:42',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:25:42','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,1,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(30,75,'Mistic Chinese Tea','mistic-chinese-tea','','<img src=\"images/stories/6.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.              \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,20,'2011-02-26 22:26:46',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:26:46','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,0,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(31,76,'Panforte Ei Siena - Italian fruitcake','panforte-ei-siena-italian-fruitcake','','<img src=\"images/stories/7.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.         \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,19,'2011-02-26 22:27:53',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:27:53','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,4,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(32,77,'Espresso yourself cafe','espresso-yourself-cafe','','<img src=\"images/stories/8.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.          \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,17,'2011-02-26 22:28:54',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:28:54','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,4,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(33,78,'Rose\'s ice cream cake','roses-ice-cream-cake','','<img src=\"images/stories/9.jpg\" alt=\"alt\" />Pastel de Nata or Pastel de Bel','\r\nwho prevail and those who dive into oblivion. It is in this perpetual optimism, with a force multiplier, which achieves the desired levels to success and recognition in business world. This month, we give you a little help to your corporate business. Accept the challenge and make your own way to the future.<br /><br />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh. Phasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor.',-2,0,0,19,'2011-02-26 22:29:53',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:29:53','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,3,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(34,79,'Royal Chocolat Creamy taste','royal-chocolat-creamy-taste','','<img src=\"images/stories/10.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.         \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,19,'2011-02-26 22:31:02',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:31:02','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,2,'','',1,1,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(35,80,'Berry Beachy Strawberry cake','berry-beachy-strawberry-cake','','<img src=\"images/stories/11.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.         \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,19,'2011-02-26 22:32:14',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:32:14','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,1,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(36,81,'Martha Stewart\'s Marble Cake','martha-stewarts-marble-cake','','<img src=\"images/stories/12.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.         \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,19,'2011-02-26 22:33:15',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:33:15','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,0,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(37,82,'Why do People Drink Coffee so much?','why-do-people-drink-coffee-so-much','','<img src=\"images/stories/13.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.                    \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,18,'2011-02-26 22:34:15',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:34:15','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,3,'','',1,2,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(38,83,'Social drinking brings up best talk','social-drinking-brings-up-best-talk','','<img src=\"images/stories/14.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.                  \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,18,'2011-02-26 22:35:35',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:35:35','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,2,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(39,84,'You finally found that lost friend','you-finally-found-that-lost-friend','','<img src=\"images/stories/15.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.                \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,18,'2011-02-26 22:36:49',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:36:49','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,1,'','',1,4,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(40,85,'High quality service in Piccolo Bar','high-quality-service-in-piccolo-bar','','<img src=\"images/stories/16.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.            \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,18,'2011-02-26 22:38:01',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:38:01','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,0,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(41,86,'Enjoy premium coffee','enjoy-premium-coffee','','<img src=\"images/stories/17.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.         \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,17,'2011-02-26 22:39:31',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:39:31','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,3,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(42,87,'Discover Peet\'s Coffee','discover-peets-coffee','','<img src=\"images/stories/18.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.        \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,17,'2011-02-26 22:40:38',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:40:38','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,2,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(43,88,'Coffee Picollo','coffee-picollo','','<img src=\"images/stories/19.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.           \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,17,'2011-02-26 22:41:44',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:41:44','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,1,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(44,89,'Cappuccino Creamy','cappuccino-creamy','','<img src=\"images/stories/20.jpg\" alt=\"alt\" />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum leo nisi, condimentum at vestibulum id, pulvinar id eros. Cras aliquet molestie ligula, sit amet elementum tortor congue ac. Nullam nibh neque, varius et congue sit amet, placerat eget nibh.       \r\n','\r\nPhasellus erat sapien, malesuada nec imperdiet id, tempus at neque. Maecenas vel est at lectus luctus lacinia. Aliquam eu lacus in neque commodo convallis eu et lectus. Ut eget nibh arcu. Praesent malesuada ante at dui vulputate ultrices. Donec dignissim libero ac lorem accumsan eu lobortis lacus lobortis. Sed magna eros, lobortis ac semper sit amet, tincidunt at nibh. Duis vel lectus nisl.<br /><br />Nulla at est quis leo placerat iaculis. Integer massa augue, pellentesque eu facilisis nec, auctor et turpis. Vivamus congue blandit nisl nec auctor. Proin rutrum magna iaculis arcu malesuada a suscipit nisl tincidunt. Etiam id quam semper diam dapibus pretium ac vel arcu. Cras ornare, eros consectetur gravida pharetra, nisi enim luctus eros, blandit accumsan tortor ligula non tortor. Cras placerat, velit vitae laoreet faucibus, odio augue rutrum nisl, non vestibulum dui dui sed diam. Pellentesque urna dolor, vehicula ac sollicitudin eu, varius ac lectus. Integer quis ipsum enim, ut volutpat sem. Praesent ipsum nibh, hendrerit a facilisis quis, porta ac augue. Nullam nulla turpis, tempor id imperdiet quis, pretium nec urna.<br /><br />Sed ultrices, eros id facilisis convallis, ante sapien ultricies ligula, nec fringilla mauris lacus ultrices lorem. Nam egestas, mauris id pharetra pulvinar, nisi enim fringilla libero, a vulputate tortor arcu et risus. Maecenas lectus turpis, iaculis id aliquam et, rhoncus vel dui. Duis vel diam metus, in tempor augue. Pellentesque vestibulum aliquet neque a porttitor. Suspendisse condimentum, urna et pharetra mollis, elit tortor blandit neque, quis scelerisque enim ante id ligula. Nunc vel mattis enim. Nullam vitae ipsum nisi, et pharetra nisi. Quisque eget velit orci. Suspendisse ac mauris ac arcu viverra facilisis sit amet in quam. Curabitur vel erat enim. Mauris nunc diam, fermentum consectetur pellentesque sed, elementum id quam. Proin pellentesque lectus urna. Donec vulputate, orci in tincidunt pharetra, lectus leo cursus quam, tristique interdum lorem lectus vitae turpis.',-2,0,0,17,'2011-02-26 22:42:43',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-02-26 22:42:43','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,0,'','',1,14,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(45,95,'Running on desert wild road ','running-on-desert-wild-road','','<img src=\"images/stories/blog-demo.png\" alt=\"Running on desert wild road\" align=\"left\" title=\"Running on desert wild road \" class=\"caption\" /><p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>','\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum. </p> \r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat. </p>',1,0,0,24,'2011-08-04 09:45:59',42,'','2011-09-10 02:31:25',42,0,'0000-00-00 00:00:00','2011-08-04 09:45:59','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',13,0,1,'','',1,15,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',1,'*',''),(46,103,'At the end there\'s no more to shoot','at-the-end-theres-no-more-to-shoot','','<img src=\"images/stories/blog-demo.png\" alt=\"At the end there\'s no more to shoot\" align=\"left\" title=\"At the end there\'s no more to shoot\" class=\"caption\" /><p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>','\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum. </p> \r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat. </p>',1,0,0,24,'2011-08-04 10:12:46',42,'','2011-09-10 02:31:09',42,0,'0000-00-00 00:00:00','2011-08-04 10:12:46','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',5,0,4,'','',1,25,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(47,104,'Watch out! We have just landed','watch-out-we-have-just-landed','','<img src=\"images/stories/blog-demo.png\" alt=\"Watch out! We have just landed\" align=\"right\" title=\"Watch out! We have just landed\" class=\"caption\" /><p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>','\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum. </p> \r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat. </p>',1,0,0,24,'2011-08-04 11:08:23',42,'','2011-09-10 02:31:33',42,0,'0000-00-00 00:00:00','2011-08-04 11:08:23','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',7,0,2,'','',1,6,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',1,'*',''),(48,105,'Listen to the sound of Image ','listen-to-the-sound-of-image','','<img src=\"images/stories/blog-demo.png\" alt=\"Listen to the sound of Image\" align=\"left\" title=\"Listen to the sound of Image \" class=\"caption\" /><p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>','\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum. </p> \r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat. </p>',1,0,0,24,'2011-08-04 11:23:33',42,'','2011-09-10 02:31:17',42,0,'0000-00-00 00:00:00','2011-08-04 11:23:33','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',8,0,3,'','',1,14,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(49,106,'Earthquake: Workers search for survivors','earthquake-workers-search-for-survivors','','<img src=\"images/stories/world/dummy_demo2.png\" alt=\"Eathquake: Workers search for survivors\" align=\"left\" title=\"Eathquake: Workers search for survivors\" class=\"caption\" /><p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>','\r\n\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum. </p> \r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat. </p>',-2,0,0,25,'2011-08-04 11:49:58',42,'','2011-08-08 13:13:00',42,0,'0000-00-00 00:00:00','2011-08-04 11:49:58','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',3,0,0,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(50,107,'Steve Jobs Speaks at 2010 D8 Conference','steve-jobs-speaks-at-2010-d8-conference','','<p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>','\r\n\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum. </p> \r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat. </p>',-2,0,0,31,'2011-08-04 22:27:04',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-08-04 22:27:04','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,1,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(51,108,'11 million desperately hungry in East Africa','11-million-desperately-hungry-in-east-africa','','<img src=\"images/stories/africa/dummy_demo2.png\" alt=\"11 million desperately hungry in East Africa\" align=\"left\" title=\"11 million desperately hungry in East Africa\" class=\"caption\" /><p>Children are dying of hunger in feeding centres in Niger. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>','\r\n\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum. </p> \r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat. </p>',-2,0,0,26,'2011-08-05 01:01:08',42,'','2011-08-08 13:13:24',42,0,'0000-00-00 00:00:00','2011-08-05 01:01:08','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',5,0,2,'','',1,1,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(52,109,'Once Egypt\'s strongman, Mubarak\'s long fall','once-egypts-strongman-mubaraks-long-fall','','<img src=\"images/stories/africa/dummy_demo2.png\" alt=\"Once Egypt\'s strongman, Mubarak\'s long fall from grace\" align=\"left\" title=\"Once Egypt\'s strongman, Mubarak\'s long fall from grace\" class=\"caption\" /><p>At one time, the 83-year-old Mubarak dominated Egypt\'s political landscape vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>','\r\n\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum. </p> \r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat. </p>',-2,0,0,26,'2011-08-05 01:08:18',42,'','2011-08-08 13:13:35',42,0,'0000-00-00 00:00:00','2011-08-05 01:08:18','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',4,0,1,'','',1,5,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"theatlantic.com\",\"xreference\":\"\"}',0,'*',''),(53,110,'10 arrested in Niger coup attempt','10-arrested-in-niger-coup-attempt','','<img src=\"images/stories/africa/dummy_demo2.png\" alt=\"10 arrested in Niger coup attempt, president says\" align=\"left\" title=\"10 arrested in Niger coup attempt, president says\" class=\"caption\" /><p>President 10 arrest in Niger coup attempt drerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>','\r\n\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum. </p> \r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat. </p>',-2,0,0,26,'2011-08-05 01:16:49',42,'','2011-08-08 13:13:13',42,0,'0000-00-00 00:00:00','2011-08-05 01:16:49','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',3,0,0,'','',1,2,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',1,'*',''),(54,111,'Chinese police officers look at the Train Crash ','chinese-police-officers-look-at-the-train-crash','','<img src=\"images/stories/asia/dummy_demo2.png\" alt=\"The Wenzhou Train Crash \" align=\"left\" title=\"The Wenzhou Train Crash \" class=\"caption\" /><p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>','\r\n\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum. </p> \r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat. </p>',-2,0,0,27,'2011-08-05 14:58:16',42,'','2011-08-08 13:13:48',42,0,'0000-00-00 00:00:00','2011-08-05 14:58:16','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',5,0,1,'','',1,25,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(55,112,'Obama urged Chinese Premier Wen Jiabao to speed up','obama-urged-chinese-premier-wen-jiabao-to-speed-up','','<img src=\"images/stories/asia/dummy_demo2.png\" alt=\"President Obama with Chinese prime minister Wen Jiabao\" align=\"right\" title=\"President Obama with Chinese prime minister Wen Jiabao\" class=\"caption\" /><p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>','\r\n\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum. </p> \r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat. </p>',-2,0,0,27,'2011-08-06 17:05:22',42,'','2011-08-08 13:13:58',42,0,'0000-00-00 00:00:00','2011-08-06 17:05:22','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',3,0,0,'','',1,2,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(56,115,'Page break example','page-break-example','','<hr title=\"First Page\" alt=\"first-page\" class=\"system-pagebreak\" />\r\n<p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n','\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum.</p>\r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat.</p>\r\n<hr title=\"Second Page\" alt=\"second-page\" class=\"system-pagebreak\" />\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed posuere consectetur est at lobortis. Vestibulum id ligula porta felis euismod semper. Donec id elit non mi porta gravida at eget metus. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.</p>\r\n<p>Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Nulla vitae elit libero, a pharetra augue. Aenean lacinia bibendum nulla sed consectetur. Donec id elit non mi porta gravida at eget metus.</p>\r\n<p>Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Maecenas sed diam eget risus varius blandit sit amet non magna. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus.</p>\r\n<p>Donec sed odio dui. Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Donec id elit non mi porta gravida at eget metus. Etiam porta sem malesuada magna mollis euismod. Cras justo odio, dapibus ac facilisis in, egestas eget quam.</p>\r\n<hr title=\"Third Page\" alt=\"third-page\" class=\"system-pagebreak\" />\r\n<p>Etiam porta sem malesuada magna mollis euismod. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Maecenas sed diam eget risus varius blandit sit amet non magna. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus.</p>\r\n<p>Donec sed odio dui. Cras mattis consectetur purus sit amet fermentum. Nullam quis risus eget urna mollis ornare vel eu leo. Donec id elit non mi porta gravida at eget metus. Etiam porta sem malesuada magna mollis euismod. Cras justo odio, dapibus ac facilisis in, egestas eget quam.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed posuere consectetur est at lobortis. Vestibulum id ligula porta felis euismod semper. Donec id elit non mi porta gravida at eget metus. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.</p>\r\n<p>Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Nulla vitae elit libero, a pharetra augue. Aenean lacinia bibendum nulla sed consectetur. Donec id elit non mi porta gravida at eget metus.</p>\r\n<hr title=\"Fourth Page\" alt=\"fourth-page\" class=\"system-pagebreak\" />\r\n<p>Maecenas faucibus mollis interdum. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Donec id elit non mi porta gravida at eget metus. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Praesent commodo cursus magna, vel scelerisque nisl consectetur et.</p>\r\n<p>Vestibulum id ligula porta felis euismod semper. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Donec id elit non mi porta gravida at eget metus.</p>\r\n<p>Nullam quis risus eget urna mollis ornare vel eu leo. Sed posuere consectetur est at lobortis. Aenean lacinia bibendum nulla sed consectetur. Maecenas sed diam eget risus varius blandit sit amet non magna. Etiam porta sem malesuada magna mollis euismod.</p>\r\n<p>Nullam quis risus eget urna mollis ornare vel eu leo. Donec id elit non mi porta gravida at eget metus. Aenean lacinia bibendum nulla sed consectetur.</p>\r\n<p>Vestibulum id ligula porta felis euismod semper. Donec ullamcorper nulla non metus auctor fringilla. Curabitur blandit tempus porttitor. Donec id elit non mi porta gravida at eget metus. Cras justo odio, dapibus ac facilisis in, egestas eget quam.</p>',1,0,0,7,'2011-09-10 19:01:23',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-09-10 19:01:23','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,1,'','',1,3,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),(57,116,'Page Break','page-break','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin posuere nisi quis odio egestas non tempus est sollicitudin. Nulla facilisi. Pellentesque tempus suscipit nulla sed tempor. Phasellus et lorem id libero fermentum molestie sit amet sit amet mi. Quisque ultrices, neque et laoreet dictum, arcu sapien pulvinar odio, in aliquam mi dui eu leo. Nullam posuere, arcu et egestas fermentum, enim purus fermentum diam, quis porta mauris lectus ut odio. In tincidunt dapibus malesuada. Integer a lorem ligula. In tincidunt augue eget velit convallis nec pharetra eros tincidunt. Maecenas et tortor libero, vel malesuada est.</p>\r\n<p>Quisque magna tellus, condimentum a porttitor eu, fermentum nec enim. Aenean et erat nec lectus adipiscing auctor. Sed tellus sapien, condimentum eget tristique ac, faucibus sed nisi. Curabitur pretium porta pulvinar. Integer cursus venenatis dictum. Morbi massa est, ultricies ut ultrices vitae, hendrerit vitae tellus. Duis a nulla quis tellus lacinia tristique.</p>\r\n<hr title=\"Page 1\" alt=\"page1\" class=\"system-pagebreak\" />\r\n<p>Donec libero urna, cursus vitae sollicitudin sit amet, elementum et massa. Donec feugiat, turpis a dictum vulputate, dui diam faucibus nunc, ac sodales augue magna id augue. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec sit amet nisi felis. Morbi faucibus nunc id elit aliquam ac condimentum leo laoreet. Sed nec risus sed nulla mattis volutpat in eget diam. In leo nisl, eleifend vel lobortis vel, tincidunt a ligula. Nulla placerat gravida laoreet. In lobortis, ligula in sagittis pellentesque, orci magna venenatis neque, eu sagittis lacus ante et tellus. Morbi vel semper augue. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam erat volutpat.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin posuere nisi quis odio egestas non tempus est sollicitudin. Nulla facilisi. Pellentesque tempus suscipit nulla sed tempor. Phasellus et lorem id libero fermentum molestie sit amet sit amet mi. Quisque ultrices, neque et laoreet dictum, arcu sapien pulvinar odio, in aliquam mi dui eu leo. Nullam posuere, arcu et egestas fermentum, enim purus fermentum diam, quis porta mauris lectus ut odio. In tincidunt dapibus malesuada. Integer a lorem ligula. In tincidunt augue eget velit convallis nec pharetra eros tincidunt. Maecenas et tortor libero, vel malesuada est.</p>\r\n<hr title=\"Page 2\" alt=\"page2\" class=\"system-pagebreak\" />\r\n<p>Quisque magna tellus, condimentum a porttitor eu, fermentum nec enim. Aenean et erat nec lectus adipiscing auctor. Sed tellus sapien, condimentum eget tristique ac, faucibus sed nisi. Curabitur pretium porta pulvinar. Integer cursus venenatis dictum. Morbi massa est, ultricies ut ultrices vitae, hendrerit vitae tellus. Duis a nulla quis tellus lacinia tristique.</p>\r\n<p>Donec libero urna, cursus vitae sollicitudin sit amet, elementum et massa. Donec feugiat, turpis a dictum vulputate, dui diam faucibus nunc, ac sodales augue magna id augue. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec sit amet nisi felis. Morbi faucibus nunc id elit aliquam ac condimentum leo laoreet. Sed nec risus sed nulla mattis volutpat in eget diam. In leo nisl, eleifend vel lobortis vel, tincidunt a ligula. Nulla placerat gravida laoreet. In lobortis, ligula in sagittis pellentesque, orci magna venenatis neque, eu sagittis lacus ante et tellus. Morbi vel semper augue. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam erat volutpat.</p>','',1,0,0,7,'2011-09-14 10:10:05',42,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2011-09-14 10:10:05','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',1,0,0,'','',1,3,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','');


--
-- Table structure for table `#__content_frontpage`
--



CREATE TABLE `#__content_frontpage` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`content_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__content_frontpage`
--


INSERT INTO `#__content_frontpage` (`content_id`, `ordering`) VALUES (4,4),(45,3),(53,2),(47,1);


--
-- Table structure for table `#__content_rating`
--



CREATE TABLE `#__content_rating` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `rating_sum` int(10) unsigned NOT NULL DEFAULT '0',
  `rating_count` int(10) unsigned NOT NULL DEFAULT '0',
  `lastip` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`content_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__content_rating`
--




--
-- Table structure for table `#__core_log_searches`
--



CREATE TABLE `#__core_log_searches` (
  `search_term` varchar(128) NOT NULL DEFAULT '',
  `hits` int(10) unsigned NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__core_log_searches`
--




--
-- Table structure for table `#__extensions`
--



CREATE TABLE `#__extensions` (
  `extension_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `type` varchar(20) NOT NULL,
  `element` varchar(100) NOT NULL,
  `folder` varchar(100) NOT NULL,
  `client_id` tinyint(3) NOT NULL,
  `enabled` tinyint(3) NOT NULL DEFAULT '1',
  `access` int(10) unsigned DEFAULT NULL,
  `protected` tinyint(3) NOT NULL DEFAULT '0',
  `manifest_cache` text NOT NULL,
  `params` text NOT NULL,
  `custom_data` text NOT NULL,
  `system_data` text NOT NULL,
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) DEFAULT '0',
  `state` int(11) DEFAULT '0',
  PRIMARY KEY (`extension_id`),
  KEY `element_clientid` (`element`,`client_id`),
  KEY `element_folder_clientid` (`element`,`folder`,`client_id`),
  KEY `extension` (`type`,`element`,`folder`,`client_id`)
) ENGINE=MyISAM AUTO_INCREMENT=10065 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__extensions`
--


INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES (1,'com_mailto','component','com_mailto','',0,1,1,1,'{\"legacy\":false,\"name\":\"com_mailto\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2011 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"COM_MAILTO_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(2,'com_wrapper','component','com_wrapper','',0,1,1,1,'{\"legacy\":false,\"name\":\"com_wrapper\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2011 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"COM_WRAPPER_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(3,'com_admin','component','com_admin','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_admin\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2011 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"COM_ADMIN_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(4,'com_banners','component','com_banners','',1,1,1,0,'{\"legacy\":false,\"name\":\"com_banners\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2011 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"COM_BANNERS_XML_DESCRIPTION\",\"group\":\"\"}','{\"purchase_type\":\"3\",\"track_impressions\":\"0\",\"track_clicks\":\"0\",\"metakey_prefix\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),(5,'com_cache','component','com_cache','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_cache\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2011 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"COM_CACHE_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(6,'com_categories','component','com_categories','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_categories\",\"type\":\"component\",\"creationDate\":\"December 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"COM_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(7,'com_checkin','component','com_checkin','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_checkin\",\"type\":\"component\",\"creationDate\":\"Unknown\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2008 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"COM_CHECKIN_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(8,'com_contact','component','com_contact','',1,1,1,0,'{\"legacy\":false,\"name\":\"com_contact\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2011 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"COM_CONTACT_XML_DESCRIPTION\",\"group\":\"\"}','{\"contact_layout\":\"_:default\",\"show_contact_category\":\"hide\",\"show_contact_list\":\"0\",\"presentation_style\":\"plain\",\"show_name\":\"1\",\"show_position\":\"1\",\"show_email\":\"0\",\"show_street_address\":\"1\",\"show_suburb\":\"1\",\"show_state\":\"1\",\"show_postcode\":\"1\",\"show_country\":\"1\",\"show_telephone\":\"1\",\"show_mobile\":\"1\",\"show_fax\":\"1\",\"show_webpage\":\"1\",\"show_misc\":\"1\",\"show_image\":\"1\",\"image\":\"\",\"allow_vcard\":\"0\",\"show_articles\":\"0\",\"show_profile\":\"0\",\"show_links\":\"0\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"contact_icons\":\"2\",\"icon_address\":\"\",\"icon_email\":\"\",\"icon_telephone\":\"\",\"icon_mobile\":\"\",\"icon_fax\":\"\",\"icon_misc\":\"\",\"category_layout\":\"_:default\",\"show_category_title\":\"1\",\"show_description\":\"1\",\"show_description_image\":\"0\",\"maxLevel\":\"-1\",\"show_empty_categories\":\"0\",\"show_subcat_desc\":\"1\",\"show_cat_items\":\"1\",\"show_base_description\":\"1\",\"maxLevelcat\":\"-1\",\"show_empty_categories_cat\":\"0\",\"show_subcat_desc_cat\":\"1\",\"show_cat_items_cat\":\"1\",\"show_pagination_limit\":\"1\",\"show_headings\":\"1\",\"show_position_headings\":\"1\",\"show_email_headings\":\"0\",\"show_telephone_headings\":\"1\",\"show_mobile_headings\":\"0\",\"show_fax_headings\":\"0\",\"show_suburb_headings\":\"1\",\"show_state_headings\":\"1\",\"show_country_headings\":\"1\",\"show_pagination\":\"2\",\"show_pagination_results\":\"1\",\"show_email_form\":\"1\",\"show_email_copy\":\"1\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"1\",\"custom_reply\":\"0\",\"redirect\":\"\",\"show_feed_link\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(9,'com_cpanel','component','com_cpanel','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_cpanel\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"COM_CPANEL_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(10,'com_installer','component','com_installer','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_installer\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2011 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"COM_INSTALLER_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(11,'com_languages','component','com_languages','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_languages\",\"type\":\"component\",\"creationDate\":\"2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2011 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"COM_LANGUAGES_XML_DESCRIPTION\",\"group\":\"\"}','{\"administrator\":\"en-GB\",\"site\":\"en-GB\"}','','',0,'0000-00-00 00:00:00',0,0),(12,'com_login','component','com_login','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_login\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2011 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"COM_LOGIN_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(13,'com_media','component','com_media','',1,1,0,1,'{\"legacy\":false,\"name\":\"com_media\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2011 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"COM_MEDIA_XML_DESCRIPTION\",\"group\":\"\"}','{\"upload_extensions\":\"bmp,csv,doc,gif,ico,jpg,jpeg,odg,odp,ods,odt,pdf,png,ppt,swf,txt,xcf,xls,BMP,CSV,DOC,GIF,ICO,JPG,JPEG,ODG,ODP,ODS,ODT,PDF,PNG,PPT,SWF,TXT,XCF,XLS\",\"upload_maxsize\":\"10\",\"file_path\":\"images\",\"image_path\":\"images\",\"restrict_uploads\":\"1\",\"allowed_media_usergroup\":\"3\",\"check_mime\":\"1\",\"image_extensions\":\"bmp,gif,jpg,png\",\"ignore_extensions\":\"\",\"upload_mime\":\"image\\/jpeg,image\\/gif,image\\/png,image\\/bmp,application\\/x-shockwave-flash,application\\/msword,application\\/excel,application\\/pdf,application\\/powerpoint,text\\/plain,application\\/x-zip\",\"upload_mime_illegal\":\"text\\/html\",\"enable_flash\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(14,'com_menus','component','com_menus','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_menus\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2011 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"COM_MENUS_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(15,'com_messages','component','com_messages','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_messages\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2011 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"COM_MESSAGES_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(16,'com_modules','component','com_modules','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_modules\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2011 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"COM_MODULES_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(17,'com_newsfeeds','component','com_newsfeeds','',1,1,1,0,'{\"legacy\":false,\"name\":\"com_newsfeeds\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2011 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"COM_NEWSFEEDS_XML_DESCRIPTION\",\"group\":\"\"}','{\"show_feed_image\":\"1\",\"show_feed_description\":\"1\",\"show_item_description\":\"1\",\"feed_word_count\":\"0\",\"show_headings\":\"1\",\"show_name\":\"1\",\"show_articles\":\"0\",\"show_link\":\"1\",\"show_description\":\"1\",\"show_description_image\":\"1\",\"display_num\":\"\",\"show_pagination_limit\":\"1\",\"show_pagination\":\"1\",\"show_pagination_results\":\"1\",\"show_cat_items\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(18,'com_plugins','component','com_plugins','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_plugins\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2011 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"COM_PLUGINS_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(19,'com_search','component','com_search','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_search\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2011 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"COM_SEARCH_XML_DESCRIPTION\",\"group\":\"\"}','{\"enabled\":\"0\",\"show_date\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(20,'com_templates','component','com_templates','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_templates\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2011 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"COM_TEMPLATES_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(21,'com_weblinks','component','com_weblinks','',1,1,1,0,'{\"legacy\":false,\"name\":\"com_weblinks\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2011 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"COM_WEBLINKS_XML_DESCRIPTION\",\"group\":\"\"}','{\"show_comp_description\":\"1\",\"comp_description\":\"\",\"show_link_hits\":\"1\",\"show_link_description\":\"1\",\"show_other_cats\":\"0\",\"show_headings\":\"0\",\"show_numbers\":\"0\",\"show_report\":\"1\",\"count_clicks\":\"1\",\"target\":\"0\",\"link_icons\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),(22,'com_content','component','com_content','',1,1,0,1,'{\"legacy\":false,\"name\":\"com_content\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2011 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"COM_CONTENT_XML_DESCRIPTION\",\"group\":\"\"}','{\"article_layout\":\"_:default\",\"show_title\":\"1\",\"link_titles\":\"1\",\"show_intro\":\"1\",\"show_category\":\"1\",\"link_category\":\"1\",\"show_parent_category\":\"0\",\"link_parent_category\":\"0\",\"show_author\":\"1\",\"link_author\":\"0\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"1\",\"show_item_navigation\":\"1\",\"show_vote\":\"0\",\"show_readmore\":\"1\",\"show_readmore_title\":\"1\",\"readmore_limit\":\"100\",\"show_icons\":\"1\",\"show_print_icon\":\"1\",\"show_email_icon\":\"1\",\"show_hits\":\"1\",\"show_noauth\":\"0\",\"category_layout\":\"_:blog\",\"show_category_title\":\"0\",\"show_description\":\"0\",\"show_description_image\":\"0\",\"maxLevel\":\"1\",\"show_empty_categories\":\"0\",\"show_no_articles\":\"1\",\"show_subcat_desc\":\"1\",\"show_cat_num_articles\":\"0\",\"show_base_description\":\"1\",\"maxLevelcat\":\"-1\",\"show_empty_categories_cat\":\"0\",\"show_subcat_desc_cat\":\"1\",\"show_cat_num_articles_cat\":\"1\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"4\",\"num_columns\":\"1\",\"num_links\":\"4\",\"multi_column_order\":\"0\",\"show_subcategory_content\":\"0\",\"show_pagination_limit\":\"1\",\"filter_field\":\"hide\",\"show_headings\":\"1\",\"list_show_date\":\"0\",\"date_format\":\"\",\"list_show_hits\":\"1\",\"list_show_author\":\"1\",\"orderby_pri\":\"order\",\"orderby_sec\":\"rdate\",\"order_date\":\"published\",\"show_pagination\":\"2\",\"show_pagination_results\":\"1\",\"show_feed_link\":\"1\",\"feed_summary\":\"0\",\"filters\":{\"1\":{\"filter_type\":\"NONE\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"6\":{\"filter_type\":\"NONE\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"7\":{\"filter_type\":\"NONE\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"2\":{\"filter_type\":\"NONE\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"3\":{\"filter_type\":\"NONE\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"4\":{\"filter_type\":\"NONE\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"5\":{\"filter_type\":\"NONE\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"8\":{\"filter_type\":\"NONE\",\"filter_tags\":\"\",\"filter_attributes\":\"\"}}}','','',0,'0000-00-00 00:00:00',0,0),(23,'com_config','component','com_config','',1,1,0,1,'{\"legacy\":false,\"name\":\"com_config\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2011 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"COM_CONFIG_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(24,'com_redirect','component','com_redirect','',1,1,0,1,'{\"legacy\":false,\"name\":\"com_redirect\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2011 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"COM_REDIRECT_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(25,'com_users','component','com_users','',1,1,0,1,'{\"legacy\":false,\"name\":\"com_users\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2011 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"COM_USERS_XML_DESCRIPTION\",\"group\":\"\"}','{\"allowUserRegistration\":\"1\",\"new_usertype\":\"2\",\"guest_usergroup\":\"1\",\"useractivation\":\"1\",\"frontend_userparams\":\"1\",\"site_language\":\"0\",\"mailSubjectPrefix\":\"\",\"mailBodySuffix\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),(100,'PHPMailer','library','phpmailer','',0,1,1,1,'{\"legacy\":false,\"name\":\"PHPMailer\",\"type\":\"library\",\"creationDate\":\"2008\",\"author\":\"PHPMailer\",\"copyright\":\"Copyright (C) PHPMailer.\",\"authorEmail\":\"\",\"authorUrl\":\"http:\\/\\/phpmailer.codeworxtech.com\\/\",\"version\":\"1.7.0\",\"description\":\"LIB_PHPMAILER_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(101,'SimplePie','library','simplepie','',0,1,1,1,'{\"legacy\":false,\"name\":\"SimplePie\",\"type\":\"library\",\"creationDate\":\"2008\",\"author\":\"SimplePie\",\"copyright\":\"Copyright (C) 2008 SimplePie\",\"authorEmail\":\"\",\"authorUrl\":\"http:\\/\\/simplepie.org\\/\",\"version\":\"1.0.1\",\"description\":\"LIB_SIMPLEPIE_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(102,'phputf8','library','phputf8','',0,1,1,1,'{\"legacy\":false,\"name\":\"phputf8\",\"type\":\"library\",\"creationDate\":\"2008\",\"author\":\"Harry Fuecks\",\"copyright\":\"Copyright various authors\",\"authorEmail\":\"\",\"authorUrl\":\"http:\\/\\/sourceforge.net\\/projects\\/phputf8\",\"version\":\"1.7.0\",\"description\":\"LIB_PHPUTF8_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(103,'Joomla! Web Application Framework','library','joomla','',0,1,1,0,'{\"legacy\":false,\"name\":\"Joomla! Web Application Framework\",\"type\":\"library\",\"creationDate\":\"2008\",\"author\":\"Joomla\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"http:\\/\\/www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"LIB_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(200,'mod_articles_archive','module','mod_articles_archive','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_articles_archive\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters.\\n\\t\\tAll rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_ARTICLES_ARCHIVE_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(201,'mod_articles_latest','module','mod_articles_latest','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_articles_latest\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_LATEST_NEWS_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(202,'mod_articles_popular','module','mod_articles_popular','',0,1,1,0,'{\"legacy\":false,\"name\":\"mod_articles_popular\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_POPULAR_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(203,'mod_banners','module','mod_banners','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_banners\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_BANNERS_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(204,'mod_breadcrumbs','module','mod_breadcrumbs','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_breadcrumbs\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_BREADCRUMBS_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(205,'mod_custom','module','mod_custom','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_custom\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_CUSTOM_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(206,'mod_feed','module','mod_feed','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_feed\",\"type\":\"module\",\"creationDate\":\"July 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_FEED_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(207,'mod_footer','module','mod_footer','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_footer\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_FOOTER_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(208,'mod_login','module','mod_login','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_login\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_LOGIN_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(209,'mod_menu','module','mod_menu','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_menu\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_MENU_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(210,'mod_articles_news','module','mod_articles_news','',0,1,1,0,'{\"legacy\":false,\"name\":\"mod_articles_news\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_ARTICLES_NEWS_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(211,'mod_random_image','module','mod_random_image','',0,1,1,0,'{\"legacy\":false,\"name\":\"mod_random_image\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_RANDOM_IMAGE_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(212,'mod_related_items','module','mod_related_items','',0,1,1,0,'{\"legacy\":false,\"name\":\"mod_related_items\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_RELATED_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(213,'mod_search','module','mod_search','',0,1,1,0,'{\"legacy\":false,\"name\":\"mod_search\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_SEARCH_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(214,'mod_stats','module','mod_stats','',0,1,1,0,'{\"legacy\":false,\"name\":\"mod_stats\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_STATS_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(215,'mod_syndicate','module','mod_syndicate','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_syndicate\",\"type\":\"module\",\"creationDate\":\"May 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_SYNDICATE_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(216,'mod_users_latest','module','mod_users_latest','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_users_latest\",\"type\":\"module\",\"creationDate\":\"December 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_USERS_LATEST_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(217,'mod_weblinks','module','mod_weblinks','',0,1,1,0,'{\"legacy\":false,\"name\":\"mod_weblinks\",\"type\":\"module\",\"creationDate\":\"July 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_WEBLINKS_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(218,'mod_whosonline','module','mod_whosonline','',0,1,1,0,'{\"legacy\":false,\"name\":\"mod_whosonline\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_WHOSONLINE_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(219,'mod_wrapper','module','mod_wrapper','',0,1,1,0,'{\"legacy\":false,\"name\":\"mod_wrapper\",\"type\":\"module\",\"creationDate\":\"October 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_WRAPPER_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(220,'mod_articles_category','module','mod_articles_category','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_articles_category\",\"type\":\"module\",\"creationDate\":\"February 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_ARTICLES_CATEGORY_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(221,'mod_articles_categories','module','mod_articles_categories','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_articles_categories\",\"type\":\"module\",\"creationDate\":\"February 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_ARTICLES_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(222,'mod_languages','module','mod_languages','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_languages\",\"type\":\"module\",\"creationDate\":\"February 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_LANGUAGES_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(300,'mod_custom','module','mod_custom','',1,1,1,1,'{\"legacy\":false,\"name\":\"mod_custom\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_CUSTOM_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(301,'mod_feed','module','mod_feed','',1,1,1,0,'{\"legacy\":false,\"name\":\"mod_feed\",\"type\":\"module\",\"creationDate\":\"July 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_FEED_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(302,'mod_latest','module','mod_latest','',1,1,1,0,'{\"legacy\":false,\"name\":\"mod_latest\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_LATEST_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(303,'mod_logged','module','mod_logged','',1,1,1,0,'{\"legacy\":false,\"name\":\"mod_logged\",\"type\":\"module\",\"creationDate\":\"January 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_LOGGED_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(304,'mod_login','module','mod_login','',1,1,1,1,'{\"legacy\":false,\"name\":\"mod_login\",\"type\":\"module\",\"creationDate\":\"March 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_LOGIN_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(305,'mod_menu','module','mod_menu','',1,1,1,0,'{\"legacy\":false,\"name\":\"mod_menu\",\"type\":\"module\",\"creationDate\":\"March 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_MENU_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(306,'mod_online','module','mod_online','',1,1,1,0,'{\"legacy\":false,\"name\":\"mod_online\",\"type\":\"module\",\"creationDate\":\"Jan 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.6.0\",\"description\":\"MOD_ONLINE_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(307,'mod_popular','module','mod_popular','',1,1,1,0,'{\"legacy\":false,\"name\":\"mod_popular\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_POPULAR_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(308,'mod_quickicon','module','mod_quickicon','',1,1,1,1,'{\"legacy\":false,\"name\":\"mod_quickicon\",\"type\":\"module\",\"creationDate\":\"Nov 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_QUICKICON_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(309,'mod_status','module','mod_status','',1,1,1,0,'{\"legacy\":false,\"name\":\"mod_status\",\"type\":\"module\",\"creationDate\":\"Feb 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_STATUS_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(310,'mod_submenu','module','mod_submenu','',1,1,1,0,'{\"legacy\":false,\"name\":\"mod_submenu\",\"type\":\"module\",\"creationDate\":\"Feb 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_SUBMENU_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(311,'mod_title','module','mod_title','',1,1,1,0,'{\"legacy\":false,\"name\":\"mod_title\",\"type\":\"module\",\"creationDate\":\"Nov 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_TITLE_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(312,'mod_toolbar','module','mod_toolbar','',1,1,1,1,'{\"legacy\":false,\"name\":\"mod_toolbar\",\"type\":\"module\",\"creationDate\":\"Nov 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"MOD_TOOLBAR_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(313,'mod_multilangstatus','module','mod_multilangstatus','',1,1,1,0,'{\"legacy\":false,\"name\":\"mod_multilangstatus\",\"type\":\"module\",\"creationDate\":\"September 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.1\",\"description\":\"MOD_MULTILANGSTATUS_XML_DESCRIPTION\",\"group\":\"\"}','{\"cache\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(400,'plg_authentication_gmail','plugin','gmail','authentication',0,0,1,0,'{\"legacy\":false,\"name\":\"plg_authentication_gmail\",\"type\":\"plugin\",\"creationDate\":\"February 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"PLG_GMAIL_XML_DESCRIPTION\",\"group\":\"\"}','{\"applysuffix\":\"0\",\"suffix\":\"\",\"verifypeer\":\"1\",\"user_blacklist\":\"\"}','','',0,'0000-00-00 00:00:00',1,0),(401,'plg_authentication_joomla','plugin','joomla','authentication',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_authentication_joomla\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"PLG_AUTH_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(402,'plg_authentication_ldap','plugin','ldap','authentication',0,0,1,0,'{\"legacy\":false,\"name\":\"plg_authentication_ldap\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"PLG_LDAP_XML_DESCRIPTION\",\"group\":\"\"}','{\"host\":\"\",\"port\":\"389\",\"use_ldapV3\":\"0\",\"negotiate_tls\":\"0\",\"no_referrals\":\"0\",\"auth_method\":\"bind\",\"base_dn\":\"\",\"search_string\":\"\",\"users_dn\":\"\",\"username\":\"admin\",\"password\":\"bobby7\",\"ldap_fullname\":\"fullName\",\"ldap_email\":\"mail\",\"ldap_uid\":\"uid\"}','','',0,'0000-00-00 00:00:00',3,0),(404,'plg_content_emailcloak','plugin','emailcloak','content',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_content_emailcloak\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"PLG_CONTENT_EMAILCLOAK_XML_DESCRIPTION\",\"group\":\"\"}','{\"mode\":\"1\"}','','',0,'0000-00-00 00:00:00',1,0),(405,'plg_content_geshi','plugin','geshi','content',0,0,1,0,'{\"legacy\":false,\"name\":\"plg_content_geshi\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"\",\"authorUrl\":\"qbnz.com\\/highlighter\",\"version\":\"1.7.0\",\"description\":\"PLG_CONTENT_GESHI_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',2,0),(406,'plg_content_loadmodule','plugin','loadmodule','content',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_content_loadmodule\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"PLG_LOADMODULE_XML_DESCRIPTION\",\"group\":\"\"}','{\"style\":\"none\"}','','',0,'0000-00-00 00:00:00',0,0),(407,'plg_content_pagebreak','plugin','pagebreak','content',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_content_pagebreak\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"PLG_CONTENT_PAGEBREAK_XML_DESCRIPTION\",\"group\":\"\"}','{\"title\":\"1\",\"article_index\":\"1\",\"article_index_text\":\"\",\"multipage_toc\":\"1\",\"showall\":\"1\",\"style\":\"sliders\"}','','',0,'0000-00-00 00:00:00',4,0),(408,'plg_content_pagenavigation','plugin','pagenavigation','content',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_content_pagenavigation\",\"type\":\"plugin\",\"creationDate\":\"January 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"PLG_PAGENAVIGATION_XML_DESCRIPTION\",\"group\":\"\"}','{\"position\":\"1\"}','','',0,'0000-00-00 00:00:00',5,0),(409,'plg_content_vote','plugin','vote','content',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_content_vote\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"PLG_VOTE_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',6,0),(410,'plg_editors_codemirror','plugin','codemirror','editors',0,0,1,1,'{\"legacy\":false,\"name\":\"plg_editors_codemirror\",\"type\":\"plugin\",\"creationDate\":\"28 March 2011\",\"author\":\"Marijn Haverbeke\",\"copyright\":\"\",\"authorEmail\":\"N\\/A\",\"authorUrl\":\"\",\"version\":\"1.0\",\"description\":\"PLG_CODEMIRROR_XML_DESCRIPTION\",\"group\":\"\"}','{\"linenumbers\":\"0\",\"tabmode\":\"indent\"}','','',0,'0000-00-00 00:00:00',1,0),(411,'plg_editors_none','plugin','none','editors',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_editors_none\",\"type\":\"plugin\",\"creationDate\":\"August 2004\",\"author\":\"Unknown\",\"copyright\":\"\",\"authorEmail\":\"N\\/A\",\"authorUrl\":\"\",\"version\":\"1.7.0\",\"description\":\"PLG_NONE_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',2,0),(412,'plg_editors_tinymce','plugin','tinymce','editors',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_editors_tinymce\",\"type\":\"plugin\",\"creationDate\":\"2005-2011\",\"author\":\"Moxiecode Systems AB\",\"copyright\":\"Moxiecode Systems AB\",\"authorEmail\":\"N\\/A\",\"authorUrl\":\"tinymce.moxiecode.com\\/\",\"version\":\"3.4.4\",\"description\":\"PLG_TINY_XML_DESCRIPTION\",\"group\":\"\"}','{\"mode\":\"1\",\"skin\":\"0\",\"compressed\":\"0\",\"cleanup_startup\":\"0\",\"cleanup_save\":\"0\",\"entity_encoding\":\"raw\",\"lang_mode\":\"0\",\"lang_code\":\"en\",\"text_direction\":\"ltr\",\"content_css\":\"0\",\"content_css_custom\":\"\",\"relative_urls\":\"1\",\"newlines\":\"0\",\"invalid_elements\":\"script,applet,iframe\",\"extended_elements\":\"\",\"toolbar\":\"top\",\"toolbar_align\":\"left\",\"html_height\":\"550\",\"html_width\":\"750\",\"resizing\":\"true\",\"resize_horizontal\":\"false\",\"element_path\":\"1\",\"fonts\":\"1\",\"paste\":\"1\",\"searchreplace\":\"1\",\"insertdate\":\"1\",\"format_date\":\"%Y-%m-%d\",\"inserttime\":\"1\",\"format_time\":\"%H:%M:%S\",\"colors\":\"1\",\"table\":\"1\",\"smilies\":\"1\",\"media\":\"1\",\"hr\":\"1\",\"directionality\":\"1\",\"fullscreen\":\"1\",\"style\":\"1\",\"layer\":\"1\",\"xhtmlxtras\":\"1\",\"visualchars\":\"1\",\"nonbreaking\":\"1\",\"template\":\"1\",\"blockquote\":\"1\",\"wordcount\":\"1\",\"advimage\":\"1\",\"advlink\":\"1\",\"advlist\":\"1\",\"autosave\":\"1\",\"contextmenu\":\"1\",\"inlinepopups\":\"1\",\"custom_plugin\":\"\",\"custom_button\":\"\"}','','',0,'0000-00-00 00:00:00',3,0),(413,'plg_editors-xtd_article','plugin','article','editors-xtd',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_editors-xtd_article\",\"type\":\"plugin\",\"creationDate\":\"October 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"PLG_ARTICLE_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',1,0),(414,'plg_editors-xtd_image','plugin','image','editors-xtd',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_editors-xtd_image\",\"type\":\"plugin\",\"creationDate\":\"August 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"PLG_IMAGE_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',2,0),(415,'plg_editors-xtd_pagebreak','plugin','pagebreak','editors-xtd',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_editors-xtd_pagebreak\",\"type\":\"plugin\",\"creationDate\":\"August 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"PLG_EDITORSXTD_PAGEBREAK_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',3,0),(416,'plg_editors-xtd_readmore','plugin','readmore','editors-xtd',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_editors-xtd_readmore\",\"type\":\"plugin\",\"creationDate\":\"March 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"PLG_READMORE_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',4,0),(417,'plg_search_categories','plugin','categories','search',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_search_categories\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"PLG_SEARCH_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\"}','{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(418,'plg_search_contacts','plugin','contacts','search',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_search_contacts\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"PLG_SEARCH_CONTACTS_XML_DESCRIPTION\",\"group\":\"\"}','{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(419,'plg_search_content','plugin','content','search',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_search_content\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"PLG_SEARCH_CONTENT_XML_DESCRIPTION\",\"group\":\"\"}','{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(420,'plg_search_newsfeeds','plugin','newsfeeds','search',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_search_newsfeeds\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"PLG_SEARCH_NEWSFEEDS_XML_DESCRIPTION\",\"group\":\"\"}','{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(421,'plg_search_weblinks','plugin','weblinks','search',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_search_weblinks\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"PLG_SEARCH_WEBLINKS_XML_DESCRIPTION\",\"group\":\"\"}','{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(422,'plg_system_languagefilter','plugin','languagefilter','system',0,0,1,1,'{\"legacy\":false,\"name\":\"plg_system_languagefilter\",\"type\":\"plugin\",\"creationDate\":\"July 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"PLG_SYSTEM_LANGUAGEFILTER_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',1,0),(423,'plg_system_p3p','plugin','p3p','system',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_system_p3p\",\"type\":\"plugin\",\"creationDate\":\"September 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"PLG_P3P_XML_DESCRIPTION\",\"group\":\"\"}','{\"headers\":\"NOI ADM DEV PSAi COM NAV OUR OTRo STP IND DEM\"}','','',0,'0000-00-00 00:00:00',2,0),(424,'plg_system_cache','plugin','cache','system',0,0,1,1,'{\"legacy\":false,\"name\":\"plg_system_cache\",\"type\":\"plugin\",\"creationDate\":\"February 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"PLG_CACHE_XML_DESCRIPTION\",\"group\":\"\"}','{\"browsercache\":\"0\",\"cachetime\":\"15\"}','','',0,'0000-00-00 00:00:00',9,0),(425,'plg_system_debug','plugin','debug','system',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_system_debug\",\"type\":\"plugin\",\"creationDate\":\"December 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"PLG_DEBUG_XML_DESCRIPTION\",\"group\":\"\"}','{\"profile\":\"1\",\"queries\":\"1\",\"memory\":\"1\",\"language_files\":\"1\",\"language_strings\":\"1\",\"strip-first\":\"1\",\"strip-prefix\":\"\",\"strip-suffix\":\"\"}','','',0,'0000-00-00 00:00:00',3,0),(426,'plg_system_log','plugin','log','system',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_system_log\",\"type\":\"plugin\",\"creationDate\":\"April 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"PLG_LOG_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',4,0),(427,'plg_system_redirect','plugin','redirect','system',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_system_redirect\",\"type\":\"plugin\",\"creationDate\":\"April 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"PLG_REDIRECT_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',5,0),(428,'plg_system_remember','plugin','remember','system',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_system_remember\",\"type\":\"plugin\",\"creationDate\":\"April 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"PLG_REMEMBER_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',6,0),(429,'plg_system_sef','plugin','sef','system',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_system_sef\",\"type\":\"plugin\",\"creationDate\":\"December 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"PLG_SEF_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',7,0),(430,'plg_system_logout','plugin','logout','system',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_system_logout\",\"type\":\"plugin\",\"creationDate\":\"April 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"PLG_SYSTEM_LOGOUT_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',8,0),(431,'plg_user_contactcreator','plugin','contactcreator','user',0,0,1,1,'{\"legacy\":false,\"name\":\"plg_user_contactcreator\",\"type\":\"plugin\",\"creationDate\":\"August 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"PLG_CONTACTCREATOR_XML_DESCRIPTION\",\"group\":\"\"}','{\"autowebpage\":\"\",\"category\":\"34\",\"autopublish\":\"0\"}','','',0,'0000-00-00 00:00:00',1,0),(432,'plg_user_joomla','plugin','joomla','user',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_user_joomla\",\"type\":\"plugin\",\"creationDate\":\"December 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2009 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"PLG_USER_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}','{\"autoregister\":\"1\"}','','',0,'0000-00-00 00:00:00',2,0),(433,'plg_user_profile','plugin','profile','user',0,0,1,1,'{\"legacy\":false,\"name\":\"plg_user_profile\",\"type\":\"plugin\",\"creationDate\":\"January 2008\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"PLG_USER_PROFILE_XML_DESCRIPTION\",\"group\":\"\"}','{\"register-require_address1\":\"1\",\"register-require_address2\":\"1\",\"register-require_city\":\"1\",\"register-require_region\":\"1\",\"register-require_country\":\"1\",\"register-require_postal_code\":\"1\",\"register-require_phone\":\"1\",\"register-require_website\":\"1\",\"register-require_favoritebook\":\"1\",\"register-require_aboutme\":\"1\",\"register-require_tos\":\"1\",\"register-require_dob\":\"1\",\"profile-require_address1\":\"1\",\"profile-require_address2\":\"1\",\"profile-require_city\":\"1\",\"profile-require_region\":\"1\",\"profile-require_country\":\"1\",\"profile-require_postal_code\":\"1\",\"profile-require_phone\":\"1\",\"profile-require_website\":\"1\",\"profile-require_favoritebook\":\"1\",\"profile-require_aboutme\":\"1\",\"profile-require_tos\":\"1\",\"profile-require_dob\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(434,'plg_extension_joomla','plugin','joomla','extension',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_extension_joomla\",\"type\":\"plugin\",\"creationDate\":\"May 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"PLG_EXTENSION_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',1,0),(435,'plg_content_joomla','plugin','joomla','content',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_content_joomla\",\"type\":\"plugin\",\"creationDate\":\"November 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"PLG_CONTENT_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(500,'atomic','template','atomic','',0,1,1,0,'{\"legacy\":false,\"name\":\"atomic\",\"type\":\"template\",\"creationDate\":\"10\\/10\\/09\",\"author\":\"Ron Severdia\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"contact@kontentdesign.com\",\"authorUrl\":\"http:\\/\\/www.kontentdesign.com\",\"version\":\"1.7.0\",\"description\":\"TPL_ATOMIC_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(502,'bluestork','template','bluestork','',1,1,1,0,'{\"legacy\":false,\"name\":\"bluestork\",\"type\":\"template\",\"creationDate\":\"07\\/02\\/09\",\"author\":\"Ron Severdia\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"contact@kontentdesign.com\",\"authorUrl\":\"http:\\/\\/www.kontentdesign.com\",\"version\":\"1.7.0\",\"description\":\"TPL_BLUESTORK_XML_DESCRIPTION\",\"group\":\"\"}','{\"useRoundedCorners\":\"1\",\"showSiteName\":\"0\",\"textBig\":\"0\",\"highContrast\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(503,'beez_20','template','beez_20','',0,1,1,0,'{\"legacy\":false,\"name\":\"beez_20\",\"type\":\"template\",\"creationDate\":\"25 November 2009\",\"author\":\"Angie Radtke\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"a.radtke@derauftritt.de\",\"authorUrl\":\"http:\\/\\/www.der-auftritt.de\",\"version\":\"1.7.0\",\"description\":\"TPL_BEEZ2_XML_DESCRIPTION\",\"group\":\"\"}','{\"wrapperSmall\":\"53\",\"wrapperLarge\":\"72\",\"sitetitle\":\"\",\"sitedescription\":\"\",\"navposition\":\"center\",\"templatecolor\":\"nature\"}','','',0,'0000-00-00 00:00:00',0,0),(504,'hathor','template','hathor','',1,1,1,0,'{\"legacy\":false,\"name\":\"hathor\",\"type\":\"template\",\"creationDate\":\"May 2010\",\"author\":\"Andrea Tarr\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"hathor@tarrconsulting.com\",\"authorUrl\":\"http:\\/\\/www.tarrconsulting.com\",\"version\":\"1.7.0\",\"description\":\"TPL_HATHOR_XML_DESCRIPTION\",\"group\":\"\"}','{\"showSiteName\":\"0\",\"colourChoice\":\"0\",\"boldText\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(505,'beez5','template','beez5','',0,1,1,0,'{\"legacy\":false,\"name\":\"beez5\",\"type\":\"template\",\"creationDate\":\"21 May 2010\",\"author\":\"Angie Radtke\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"a.radtke@derauftritt.de\",\"authorUrl\":\"http:\\/\\/www.der-auftritt.de\",\"version\":\"1.7.0\",\"description\":\"TPL_BEEZ5_XML_DESCRIPTION\",\"group\":\"\"}','{\"wrapperSmall\":\"53\",\"wrapperLarge\":\"72\",\"sitetitle\":\"\",\"sitedescription\":\"\",\"navposition\":\"center\",\"html5\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(600,'English (United Kingdom)','language','en-GB','',0,1,1,1,'{\"legacy\":false,\"name\":\"English (United Kingdom)\",\"type\":\"language\",\"creationDate\":\"2008-03-15\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.1\",\"description\":\"en-GB site language\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(601,'English (United Kingdom)','language','en-GB','',1,1,1,1,'{\"legacy\":false,\"name\":\"English (United Kingdom)\",\"type\":\"language\",\"creationDate\":\"2008-03-15\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.1\",\"description\":\"en-GB administrator language\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(700,'files_joomla','file','joomla','',0,1,1,1,'{\"legacy\":false,\"name\":\"files_joomla\",\"type\":\"file\",\"creationDate\":\"October 2011\",\"author\":\"Joomla!\",\"copyright\":\"(C) 2005 - 2011 Open Source Matters. All rights reserved\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.2\",\"description\":\"FILES_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(10000,'Authentication - Facebook','plugin','facebook','authentication',0,1,1,0,'{\"legacy\":false,\"name\":\"Authentication - Facebook\",\"type\":\"plugin\",\"creationDate\":\"03 October 2011\",\"author\":\"GavickPro\",\"copyright\":\"Copyright (C) 2010 - 2011 GavickPro. All rights reserved.\",\"authorEmail\":\"support@gavick.com\",\"authorUrl\":\"http:\\/\\/gavick.com\",\"version\":\"GK4 1.1\",\"description\":\"GavickPro Facebook authentication plugin\",\"group\":\"\"}','{\"facebook_api_id\":\"171342606239806\",\"facebook_api_secret\":\"f08d507c3c74fc1688868f38cbe43331\",\"auto_register\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(10041,'GK Cache','plugin','plg_gkcache','system',0,0,1,0,'{\"legacy\":true,\"name\":\"GK Cache\",\"type\":\"plugin\",\"creationDate\":\"25 August 2011\",\"author\":\"www.gavick.com\",\"copyright\":\"All Rights Reserved.\",\"authorEmail\":\"test@gavick.com\",\"authorUrl\":\"http:\\/\\/www.gavick.com\",\"version\":\"1.0\",\"description\":\"Plugin necessary if you\'re using Joomla! cache for GavickPro templates\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10002,'Button - GK Typography','plugin','gk_typography','editors-xtd',0,1,1,0,'{\"legacy\":true,\"name\":\"Button - GK Typography\",\"type\":\"plugin\",\"creationDate\":\"08\\/01\\/2011\",\"author\":\"Robert Gavick - GavickPro\",\"copyright\":\"Copyrighted Commercial Software\",\"authorEmail\":\"info@gavick.com\",\"authorUrl\":\"http:\\/\\/www.gavick.com\",\"version\":\"1.0.1\",\"description\":\"Plugin to easier typography using in Joomla WYSIWYG editors.\",\"group\":\"\"}','{\"typo_override\":\"gk_myfolio:full.xml\"}','','',0,'0000-00-00 00:00:00',0,0),(10010,'GK Menu Extended Parameters','plugin','plg_gkextmenu','system',0,1,1,0,'{\"legacy\":true,\"name\":\"GK Menu Extended Parameters\",\"type\":\"plugin\",\"creationDate\":\"29 December 2010\",\"author\":\"www.gavick.com\",\"copyright\":\"All Rights Reserved.\",\"authorEmail\":\"test@gavick.com\",\"authorUrl\":\"http:\\/\\/www.gavick.com\",\"version\":\"1.0\",\"description\":\"Plugin which adds additional menu options for GavickPro templates\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10004,'mod_news_pro_gk4','module','mod_news_pro_gk4','',0,1,0,0,'{\"legacy\":false,\"name\":\"mod_news_pro_gk4\",\"type\":\"module\",\"creationDate\":\"17\\/11\\/2011\",\"author\":\"Gavick.com\",\"copyright\":\"(C) 2009-2011 Gavick.com\",\"authorEmail\":\"info@gavick.com\",\"authorUrl\":\"www.gavick.com\",\"version\":\"GK4 2.7\",\"description\":\"\\n\\t\\t<style type=\'text\\/css\'>span.readonly { padding: 10px; font-family: Arial; font-size:13px !important; font-weight: normal !important; text-align: justify; color: #4d4d4d; line-height: 24px; } span.readonly h1 { clear:both; font-family: Georgia, sans-serif; font-size:38px; margin:30px 20px 23px; padding:0px 0px 24px 10px; color:#333; border-bottom: 1px solid #eee; font-weight: normal; } span.readonly p { margin: 0 26px 10px } span.readonly p a { color: #ab3f0a } span.readonly p.homepage { margin-top: 30px } span.readonly p.license { border-top: 1px solid #eee; font-size: 11px; margin: 30px 26px 0; padding: 6px 0; }<\\/style><span class=\'readonly\'><h1>News Show Pro GK4 <small>ver. 2.7<\\/small><\\/h1><p>GK4 is new generation of our extensions dedicated to Joomla 1.6+.<\\/p><p>Basing on experiences gathered, we created probably the best tool to present articles for Joomla! Huge amount of options and possibilities of formatting causes News Show Pro GK4 is a complex tool in making www pages content attractive. News Show Pro is appropriate while preparing simple structures with an individual article, the same as, complex arrangements including few articles and a list of links.<\\/p> <p class=\'homepage\'><a href=\'http:\\/\\/tools.gavick.com\\/newshowpro.html\' target=\'_blank\'>Learn more at the NSP GK4 project website.<\\/a><\\/p><p class=\'license\'>News Show Pro GK4 is released under the <a target=\\\"_blank\\\" href=\\\"http:\\/\\/www.gnu.org\\/licenses\\/gpl-2.0.html\\\">GNU\\/GPL v2 license.<\\/a><\\/p><\\/span>\\n\\t\",\"group\":\"\"}','{\"moduleclass_sfx\":\"\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_width\":\"100\",\"module_font_size\":\"100\",\"data_source\":\"com_categories\",\"com_categories\":\"\",\"com_articles\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"DESC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_full_pages\":\"3\",\"news_column\":\"1\",\"news_rows\":\"1\",\"art_padding\":\"0 20px 20px 0\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"40\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"words\",\"news_limit\":\"30\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE %HITS %CATEGORY %AUTHOR\",\"info2_format\":\"\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"0\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"news_header_order\":\"1\",\"news_header_enabled\":\"1\",\"news_image_order\":\"3\",\"news_image_enabled\":\"1\",\"news_text_order\":\"4\",\"news_text_enabled\":\"1\",\"news_info_order\":\"2\",\"news_info_enabled\":\"1\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"1\",\"news_content_readmore_pos\":\"right\",\"news_readmore_enabled\":\"1\",\"news_short_pages\":\"3\",\"links_amount\":\"3\",\"links_columns_amount\":\"1\",\"links_margin\":\"0\",\"links_position\":\"bottom\",\"links_width\":\"50\",\"show_list_description\":\"1\",\"list_title_limit_type\":\"words\",\"list_title_limit\":\"20\",\"list_text_limit_type\":\"words\",\"list_text_limit\":\"30\",\"create_thumbs\":\"0\",\"img_keep_aspect_ratio\":\"0\",\"img_width\":\"160\",\"img_height\":\"120\",\"img_margin\":\"6px 14px 0 0\",\"img_bg\":\"#000\",\"img_stretch\":\"0\",\"img_quality\":\"95\",\"cache_time\":\"30\",\"top_interface_style\":\"arrows_with_pagination\",\"bottom_interface_style\":\"arrows_with_counter\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"useCSS\":\"1\",\"useScript\":\"2\"}','','',0,'0000-00-00 00:00:00',0,0),(10008,'gk_music','template','gk_music','',0,1,1,0,'{\"legacy\":false,\"name\":\"gk_music\",\"type\":\"template\",\"creationDate\":\"25 October 2011\",\"author\":\"GavickPro\",\"copyright\":\"Copyright (C) 2010 - 2011 GavickPro. All rights reserved.\",\"authorEmail\":\"support@gavick.com\",\"authorUrl\":\"http:\\/\\/gavick.com\",\"version\":\"2.3\",\"description\":\"\\n\\t<link rel=\\\"stylesheet\\\" type=\\\"text\\/css\\\" href=\\\"..\\/templates\\/gk_myfolio\\/admin\\/style.css\\\" \\/>\\n\\t      <style type=\\\"text\\/css\\\" media=\\\"all\\\">\\n\\t      <!--\\n\\t      #wrap1 {padding:0px 0px 4px 0px;}\\n\\t      h1 {clear:both;font-family: Georgia, sans-serif;font-size:38px;margin:30px 20px 12px ;padding:0px 0px 24px 10px;color:#333; border-bottom: 1px solid #ccc; font-weight: normal;}\\n\\t      sup { font-style: italic; font-size: }\\n\\t      .wrap2 {background:#fff;padding: 20px; font-family: Arial; font-size:13px; text-align: justify; color: #4d4d4d; line-height: 24px;}\\n\\t      .leftart {margin: 16px 0 0 176px; font-weight:normal!important; }\\n\\t      .livedemo { margin-top: 28px; }\\n\\t      -->\\n\\t      <\\/style>\\t\\n\\t      \\n\\t      <div id=\\\"wrap1\\\">    \\n\\t      <h1>Myfolio<\\/h1>\\n\\t      <div class=\\\"wrap2\\\">                    \\n\\t\\t      \\n\\t\\t      <a title=\\\"Visit the official website!\\\" href=\\\"http:\\/\\/demo.gavick.com\\/index.php?year=2011&month=Aug&joomla=16\\\" target=\\\"_blank\\\"> <img style=\\\"padding-left: 10px;float: left; background-color: #fff;\\\" src=\\\"..\\/templates\\/gk_myfolio\\/images\\/template_image.jpg\\\" border=\\\"0\\\" alt=\\\"Logo\\\" \\/><\\/a>       \\n\\t\\t      \\n\\t\\t      <div class=\\\"leftart\\\">            \\n\\t\\t      \\n\\t\\t      <p><em>With specially balanced design, myFolio will enhance foremost your work to the visitor\'s first eye.<\\/em><\\/p>\\n\\t\\t                        \\n\\t\\t      <p>Designed specifically for creating a successful portfolio of freelance graphic and web designers or photography work, myfolio gathers all the necessary resources for the most professional and clean presentation of catalogue work from those who think that simplicity is the best way to achieve solid and good looking opportunities in their careers.<\\/p>   \\n\\t\\t\\t\\t<p>Look inside this \\u201cmyFolio\\u201d and find the perfect space for a concise, polished and creative content presentation.<\\/p> \\n\\t\\t      \\n\\t\\t      <p class=\\\"livedemo\\\"><strong>View Myfolio in action <a href=\\\"http:\\/\\/demo.gavick.com\\/index.php?year=2011&month=aug&joomla=16\\\" target=\\\"_blank\\\">here<\\/a>...<\\/strong><\\/p><\\/div>\\n\\t\\t      <\\/div>\\n\\t      <\\/div>\\n\\t\",\"group\":\"\"}','{\"template_color\":\"1\",\"mainbody_frontpage\":\"only_component\",\"mainbody_subpage\":\"mainbody_or_component\",\"messages_position\":\"message-position-1\",\"default_layout\":\"default\",\"facebook_layout\":\"facebook\",\"iphone_layout\":\"iphone\",\"android_layout\":\"android\",\"handheld_layout\":\"handheld\",\"template_width\":\"980px\",\"header1_width\":\"50\",\"left_column_width\":\"20\",\"left2_column_width\":\"50\",\"right_column_width\":\"20\",\"right2_column_width\":\"50\",\"inset_column_width\":\"20\",\"inset2_column_width\":\"20\",\"user1_6_widest_value\":\"0\",\"user1_6_widest\":\"user1\",\"user7_12_widest_value\":\"0\",\"user7_12_widest\":\"user7\",\"top1_6_widest_value\":\"0\",\"top1_6_widest\":\"top1\",\"top7_12_widest_value\":\"0\",\"top7_12_widest\":\"top7\",\"bottom1_6_widest_value\":\"0\",\"bottom1_6_widest\":\"bottom1\",\"bottom7_12_widest_value\":\"0\",\"bottom7_12_widest\":\"bottom7\",\"logo_type\":\"image\",\"logo_image\":\"\",\"logo_text\":\"\",\"logo_slogan\":\"\",\"print_logo\":\"\",\"favicon_image\":\"\",\"stylearea\":\"1\",\"framework_logo\":\"1\",\"tools\":\"1\",\"typography\":\"0\",\"typo_iconset1\":\"0\",\"typo_iconset2\":\"0\",\"typo_iconset3\":\"0\",\"menu_type\":\"gk_menu\",\"startlevel\":\"0\",\"endlevel\":\"-1\",\"menu_height\":\"0\",\"menu_width\":\"0\",\"menu_duration\":\"500\",\"mobile_login\":\"0\",\"mobile_register\":\"0\",\"mobile_desktop\":\"0\",\"mobile_search\":\"0\",\"mobile_collapsible\":\"0\",\"fb_api_id\":\"\",\"fb_lang\":\"en_US\",\"fb_login\":\"0\",\"fb_like\":\"0\",\"fb_like_layout\":\"standard\",\"fb_like_show_faces\":\"true\",\"fb_like_width\":\"500\",\"fb_like_action\":\"like\",\"fb_like_font\":\"arial\",\"fb_like_colorscheme\":\"light\",\"fb_facepile\":\"0\",\"fb_facepile_max_rows\":\"1\",\"fb_facepile_width\":\"500\",\"tweet_btn\":\"0\",\"tweet_btn_data_count\":\"vertical\",\"tweet_btn_data_via\":\"\",\"tweet_btn_data_lang\":\"en\",\"digg_btn\":\"0\",\"digg_btn_style\":\"0\",\"buzz_btn\":\"0\",\"buzz_btn_style\":\"0\",\"delicious_btn\":\"0\",\"instapaper_btn\":\"0\",\"excluded_cats\":\"\",\"selectivizr\":\"0\",\"reset_css\":\"\",\"css_cache\":\"0\",\"css_compression\":\"0\",\"css_override\":\"0\",\"chrome_frame_support\":\"0\",\"ie6bar\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(10013,'Image Show GK4','module','mod_image_show_gk4','',0,1,0,0,'{\"legacy\":false,\"name\":\"Image Show GK4\",\"type\":\"module\",\"creationDate\":\"15\\/11\\/2011\",\"author\":\"GavickPro\",\"copyright\":\"Copyright (C) 2011 GavickPro. All rights reserved.\",\"authorEmail\":\"info@gavick.com\",\"authorUrl\":\"www.gavickpro.com\",\"version\":\"GK4 1.18\",\"description\":\"\\n\\t\\t<style type=\\\"text\\/css\\\">\\n\\t\\t\\tspan.readonly { padding: 10px; font-family: Arial; font-size:13px !important; font-weight: normal !important; text-align: justify; color: #4d4d4d; line-height: 24px; }\\n\\t\\t\\tspan.readonly h1 { clear:both; font-family: Georgia, sans-serif; font-size:38px; margin:30px 20px 23px; padding:0px 0px 24px 10px; color:#333; border-bottom: 1px solid #eee; font-weight: normal; }\\n\\t\\t\\tspan.readonly p { margin: 0 26px 10px }\\n\\t\\t\\tspan.readonly p a { color: #8e0b8c }\\n\\t\\t\\tspan.readonly p.homepage { margin-top: 30px }\\n\\t\\t\\tspan.readonly p.license { border-top: 1px solid #eee; font-size: 11px; margin: 30px 26px 0; padding: 6px 0; }\\n\\t\\t<\\/style>\\n\\n\\t\\t<span class=\\\"readonly\\\"><h1>Image Show GK4<small>ver. 1.18<\\/small><\\/h1><p>GK4 is new generation of our extensions dedicated to Joomla 1.6+.<\\/p><p>With Image Show GK4 module, you can create slideshow on a site which include various images and article fragments or texts defined by a user. Thanks to slide management system integrated in the module, its support is very easy, intuitive and fast. With the new method of creating module styles you can easily move your slideshow style from one template to other template.<\\/p> <p class=\'homepage\'><a href=\'http:\\/\\/tools.gavick.com\\/image-show.html\' target=\'_blank\'>Learn more at the Image Show GK4 project website.<\\/a><\\/p><p class=\'license\'>Image Show GK4 is released under the <a target=\\\"_blank\\\" href=\\\"http:\\/\\/www.gnu.org\\/licenses\\/gpl-2.0.html\\\">GNU\\/GPL v2 license.<\\/a><\\/p><\\/span>\\n\\t\",\"group\":\"\"}','{\"automatic_module_id\":\"1\",\"module_id\":\"gk-is-1\",\"moduleclass_sfx\":\"\",\"module_style\":\"gk_coffe\"}','','',0,'0000-00-00 00:00:00',0,0),(10014,'Tabs GK4','module','mod_tabs_gk4','',0,1,0,0,'{\"legacy\":false,\"name\":\"Tabs GK4\",\"type\":\"module\",\"creationDate\":\"25\\/09\\/2011\",\"author\":\"GavickPro\",\"copyright\":\"Copyright (C) 2011 GavickPro. All rights reserved.\",\"authorEmail\":\"info@gavick.com\",\"authorUrl\":\"www.gavickpro.com\",\"version\":\"GK4 1.3\",\"description\":\"\\n\\t\\t<style type=\\\"text\\/css\\\">\\n\\t\\t\\tspan.readonly { padding: 10px; font-family: Arial; font-size:13px !important; font-weight: normal !important; text-align: justify; color: #4d4d4d; line-height: 24px; }\\n\\t\\t\\tspan.readonly h1 { clear:both; font-family: Georgia, sans-serif; font-size:38px; margin:30px 20px 23px; padding:0px 0px 24px 10px; color:#333; border-bottom: 1px solid #eee; font-weight: normal; }\\n\\t\\t\\tspan.readonly p { margin: 0 26px 10px }\\n\\t\\t\\tspan.readonly p a { color: #2F4C6D }\\n\\t\\t\\tspan.readonly p.homepage { margin-top: 30px }\\n\\t\\t\\tspan.readonly p.license { border-top: 1px solid #eee; font-size: 11px; margin: 30px 26px 0; padding: 6px 0; }\\n\\t\\t<\\/style>\\n\\t\\t\\n\\t\\t<span class=\\\"readonly\\\"><h1>Tabs GK4<small>ver. 1.3<\\/small><\\/h1><p>GK4 is new generation of our extensions dedicated to Joomla 1.6.<\\/p><p>With Tabs GK4 module, you can create tabs on a site which include various content, like: some modules or XHTML code defined by a user. Thanks to tab management system integrated in the module, its support is very easy, intuitive and fast. By embedding <a href=\'http:\\/\\/tools.gavick.com\\/newshowpro.html\' target=\'_blank\'>News Show GK4<\\/a> module in it, it is possible to get a tool for presenting articles in the form of tabs easily.<\\/p> <p class=\'homepage\'><a href=\'http:\\/\\/tools.gavick.com\\/tabs.html\' target=\'_blank\'>Learn more at the Tabs GK4 project website.<\\/a><\\/p><p class=\'license\'>Tabs GK4 is released under the <a target=\\\"_blank\\\" href=\\\"http:\\/\\/www.gnu.org\\/licenses\\/gpl-2.0.html\\\">GNU\\/GPL v2 license.<\\/a><\\/p><\\/span>\\n\\t\",\"group\":\"\"}','{\"automatic_module_id\":\"1\",\"module_id\":\"gk-tab-1\",\"moduleclass_sfx\":\"\",\"module_height\":\"200\",\"buttons\":\"1\",\"tabs_position\":\"top\",\"styleCSS\":\"style1\",\"activator\":\"click\",\"animation\":\"1\",\"animation_speed\":\"250\",\"animation_interval\":\"5000\",\"animation_type\":\"opacity\",\"animation_function\":\"Fx.Transitions.linear\",\"url_tab_selection\":\"1\",\"cookie_tab_selection\":\"0\",\"parse_plugins\":\"1\",\"useCSS\":\"1\",\"useScript\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(10015,'PKG_JOOMLA','package','pkg_joomla','',0,1,1,1,'{\"legacy\":false,\"name\":\"PKG_JOOMLA\",\"type\":\"package\",\"creationDate\":\"2006\",\"author\":\"Joomla!\",\"copyright\":\"Copyright (C) 2005 - 2011 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"http:\\/\\/www.joomla.org\",\"version\":\"1.7.0\",\"description\":\"PKG_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(10042,'K2 User','module','mod_k2_user','',0,1,0,0,'{\"legacy\":true,\"name\":\"K2 User\",\"type\":\"module\",\"creationDate\":\"October 27th, 2011\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2011 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"contact@joomlaworks.gr\",\"authorUrl\":\"www.joomlaworks.gr\",\"version\":\"2.5.1\",\"description\":\"K2_MOD_K2_USER_DESCRIPTION\",\"group\":\"\"}','{\"moduleclass_sfx\":\"\",\"pretext\":\"\",\"\":\"K2_LOGIN_LOGOUT_REDIRECTION\",\"name\":\"1\",\"userAvatar\":\"1\",\"userAvatarWidthSelect\":\"custom\",\"userAvatarWidth\":\"50\",\"menu\":\"\",\"login\":\"\",\"logout\":\"\",\"usesecure\":\"0\",\"cache\":\"0\",\"cache_time\":\"900\"}','','',0,'0000-00-00 00:00:00',0,0),(10020,'K2 Comments','module','mod_k2_comments','',0,1,0,0,'{\"legacy\":true,\"name\":\"K2 Comments\",\"type\":\"module\",\"creationDate\":\"October 27th, 2011\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2011 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"contact@joomlaworks.gr\",\"authorUrl\":\"www.joomlaworks.gr\",\"version\":\"2.5.1\",\"description\":\"K2_COMMENTS\",\"group\":\"\"}','{\"moduleclass_sfx\":\"\",\"module_usage\":\"\",\"\":\"K2_TOP_COMMENTERS\",\"catfilter\":\"0\",\"category_id\":\"\",\"comments_limit\":\"5\",\"comments_word_limit\":\"10\",\"commenterName\":\"1\",\"commentAvatar\":\"1\",\"commentAvatarWidthSelect\":\"custom\",\"commentAvatarWidth\":\"50\",\"commentDate\":\"1\",\"commentDateFormat\":\"absolute\",\"commentLink\":\"1\",\"itemTitle\":\"1\",\"itemCategory\":\"1\",\"feed\":\"1\",\"commenters_limit\":\"5\",\"commenterAvatar\":\"1\",\"commenterAvatarWidthSelect\":\"custom\",\"commenterAvatarWidth\":\"50\",\"commenterLink\":\"1\",\"commenterCommentsCounter\":\"1\",\"commenterLatestComment\":\"1\",\"cache\":\"1\",\"cache_time\":\"900\"}','','',0,'0000-00-00 00:00:00',0,0),(10021,'K2 Content','module','mod_k2_content','',0,1,0,0,'{\"legacy\":true,\"name\":\"K2 Content\",\"type\":\"module\",\"creationDate\":\"October 27th, 2011\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2011 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"contact@joomlaworks.gr\",\"authorUrl\":\"www.joomlaworks.gr\",\"version\":\"2.5.1\",\"description\":\"K2_MOD_K2_CONTENT_DESCRIPTION\",\"group\":\"\"}','{\"moduleclass_sfx\":\"\",\"getTemplate\":\"Default\",\"source\":\"filter\",\"\":\"K2_OTHER_OPTIONS\",\"catfilter\":\"0\",\"category_id\":\"\",\"getChildren\":\"0\",\"itemCount\":\"5\",\"itemsOrdering\":\"\",\"FeaturedItems\":\"1\",\"popularityRange\":\"\",\"videosOnly\":\"0\",\"item\":\"\",\"items\":\"\",\"itemTitle\":\"1\",\"itemAuthor\":\"1\",\"itemAuthorAvatar\":\"1\",\"itemAuthorAvatarWidthSelect\":\"custom\",\"itemAuthorAvatarWidth\":\"50\",\"userDescription\":\"1\",\"itemIntroText\":\"1\",\"itemIntroTextWordLimit\":\"\",\"itemImage\":\"1\",\"itemImgSize\":\"Small\",\"itemVideo\":\"1\",\"itemVideoCaption\":\"1\",\"itemVideoCredits\":\"1\",\"itemAttachments\":\"1\",\"itemTags\":\"1\",\"itemCategory\":\"1\",\"itemDateCreated\":\"1\",\"itemHits\":\"1\",\"itemReadMore\":\"1\",\"itemExtraFields\":\"0\",\"itemCommentsCounter\":\"1\",\"feed\":\"1\",\"itemPreText\":\"\",\"itemCustomLink\":\"0\",\"itemCustomLinkURL\":\"http:\\/\\/\",\"itemCustomLinkTitle\":\"\",\"K2Plugins\":\"1\",\"JPlugins\":\"1\",\"cache\":\"1\",\"cache_time\":\"900\"}','','',0,'0000-00-00 00:00:00',0,0),(10022,'K2 Login','module','mod_k2_login','',0,1,0,0,'{\"legacy\":true,\"name\":\"K2 Login\",\"type\":\"module\",\"creationDate\":\"October 27th, 2011\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2011 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"contact@joomlaworks.gr\",\"authorUrl\":\"www.joomlaworks.gr\",\"version\":\"2.5.1\",\"description\":\"K2_LOGIN_DESCRIPTION\",\"group\":\"\"}','{\"moduleclass_sfx\":\"\",\"pretext\":\"\",\"\":\"K2_LOGIN_LOGOUT_REDIRECTION\",\"name\":\"1\",\"userAvatar\":\"1\",\"userAvatarWidthSelect\":\"custom\",\"userAvatarWidth\":\"50\",\"menu\":\"\",\"login\":\"\",\"logout\":\"\",\"usesecure\":\"0\",\"cache\":\"0\",\"cache_time\":\"900\"}','','',0,'0000-00-00 00:00:00',0,0),(10023,'K2 Tools','module','mod_k2_tools','',0,1,0,0,'{\"legacy\":true,\"name\":\"K2 Tools\",\"type\":\"module\",\"creationDate\":\"October 27th, 2011\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2011 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"contact@joomlaworks.gr\",\"authorUrl\":\"www.joomlaworks.gr\",\"version\":\"2.5.1\",\"description\":\"K2_TOOLS\",\"group\":\"\"}','{\"moduleclass_sfx\":\"\",\"module_usage\":\"0\",\"\":\"K2_TAG_CLOUD_SETTINGS\",\"archiveItemsCounter\":\"1\",\"archiveCategory\":\"\",\"authors_module_category\":\"\",\"authorItemsCounter\":\"1\",\"authorAvatar\":\"1\",\"authorAvatarWidthSelect\":\"custom\",\"authorAvatarWidth\":\"50\",\"authorLatestItem\":\"1\",\"calendarCategory\":\"\",\"home\":\"\",\"seperator\":\"\",\"root_id\":\"\",\"end_level\":\"\",\"categoriesListOrdering\":\"\",\"categoriesListItemsCounter\":\"1\",\"root_id2\":\"\",\"catfilter\":\"0\",\"category_id\":\"\",\"getChildren\":\"0\",\"liveSearch\":\"\",\"width\":\"20\",\"text\":\"\",\"button\":\"\",\"imagebutton\":\"\",\"button_text\":\"\",\"min_size\":\"75\",\"max_size\":\"300\",\"cloud_limit\":\"30\",\"cloud_category\":\"0\",\"cloud_category_recursive\":\"\",\"cache\":\"1\",\"cache_time\":\"900\"}','','',0,'0000-00-00 00:00:00',0,0),(10024,'K2 Users','module','mod_k2_users','',0,1,0,0,'{\"legacy\":true,\"name\":\"K2 Users\",\"type\":\"module\",\"creationDate\":\"October 27th, 2011\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2011 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"contact@joomlaworks.gr\",\"authorUrl\":\"www.joomlaworks.gr\",\"version\":\"2.5.1\",\"description\":\"K2_MOD_K2_USERS_DESCRTIPTION\",\"group\":\"\"}','{\"moduleclass_sfx\":\"\",\"getTemplate\":\"Default\",\"source\":\"0\",\"\":\"K2_DISPLAY_OPTIONS\",\"filter\":\"1\",\"K2UserGroup\":\"\",\"ordering\":\"1\",\"limit\":\"4\",\"userIDs\":\"\",\"userName\":\"1\",\"userAvatar\":\"1\",\"userAvatarWidthSelect\":\"custom\",\"userAvatarWidth\":\"50\",\"userDescription\":\"1\",\"userDescriptionWordLimit\":\"\",\"userURL\":\"1\",\"userEmail\":\"0\",\"userFeed\":\"1\",\"userItemCount\":\"1\",\"cache\":\"1\",\"cache_time\":\"900\"}','','',0,'0000-00-00 00:00:00',0,0),(10025,'K2 QuickIcons (admin)','module','mod_k2_quickicons','',1,1,2,0,'{\"legacy\":true,\"name\":\"K2 QuickIcons (admin)\",\"type\":\"module\",\"creationDate\":\"October 27th, 2011\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2011 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"contact@joomlaworks.gr\",\"authorUrl\":\"www.joomlaworks.gr\",\"version\":\"2.5.1\",\"description\":\"K2_QUICKICONS_FOR_USE_IN_THE_JOOMLA_CONTROL_PANEL_DASHBOARD_PAGE\",\"group\":\"\"}','{\"modCSSStyling\":\"1\",\"modLogo\":\"1\",\"cache\":\"0\",\"cache_time\":\"900\"}','','',0,'0000-00-00 00:00:00',0,0),(10026,'K2 Stats (admin)','module','mod_k2_stats','',1,1,2,0,'{\"legacy\":true,\"name\":\"K2 Stats (admin)\",\"type\":\"module\",\"creationDate\":\"October 27th, 2011\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2011 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"contact@joomlaworks.gr\",\"authorUrl\":\"www.joomlaworks.gr\",\"version\":\"2.5.1\",\"description\":\"K2_STATS_FOR_USE_IN_THE_K2_DASHBOARD_PAGE\",\"group\":\"\"}','{\"latestItems\":\"1\",\"popularItems\":\"1\",\"mostCommentedItems\":\"1\",\"latestComments\":\"1\",\"statistics\":\"1\",\"cache\":\"0\",\"cache_time\":\"900\"}','','',0,'0000-00-00 00:00:00',0,0),(10027,'Search - K2','plugin','k2','search',0,1,1,0,'{\"legacy\":true,\"name\":\"Search - K2\",\"type\":\"plugin\",\"creationDate\":\"October 27th, 2011\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2011 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"contact@joomlaworks.gr\",\"authorUrl\":\"www.joomlaworks.gr\",\"version\":\"2.5.1\",\"description\":\"K2_THIS_PLUGIN_EXTENDS_THE_DEFAULT_JOOMLA_SEARCH_FUNCTIONALITY_TO_K2_CONTENT\",\"group\":\"\"}','{\"search_limit\":\"50\",\"search_tags\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(10028,'System - K2','plugin','k2','system',0,1,1,0,'{\"legacy\":true,\"name\":\"System - K2\",\"type\":\"plugin\",\"creationDate\":\"October 27th, 2011\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2011 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"contact@joomlaworks.gr\",\"authorUrl\":\"www.joomlaworks.gr\",\"version\":\"2.5.1\",\"description\":\"K2_THE_K2_SYSTEM_PLUGIN_IS_USED_TO_ASSIST_THE_PROPER_FUNCTIONALITY_OF_THE_K2_COMPONENT_SITE_WIDE_MAKE_SURE_ITS_ALWAYS_PUBLISHED_WHEN_THE_K2_COMPONENT_IS_INSTALLED\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10029,'User - K2','plugin','k2','user',0,1,1,0,'{\"legacy\":true,\"name\":\"User - K2\",\"type\":\"plugin\",\"creationDate\":\"October 27th, 2011\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2011 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"contact@joomlaworks.gr\",\"authorUrl\":\"www.joomlaworks.gr\",\"version\":\"2.5.1\",\"description\":\"K2_A_USER_SYNCHRONIZATION_PLUGIN_FOR_K2\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10030,'k2','component','com_k2','',1,1,0,0,'{\"legacy\":true,\"name\":\"K2\",\"type\":\"component\",\"creationDate\":\"October 27th, 2011\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2011 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"contact@joomlaworks.gr\",\"authorUrl\":\"www.joomlaworks.gr\",\"version\":\"2.5.1\",\"description\":\"Thank you for installing K2 by JoomlaWorks, the powerful content extension for Joomla!\",\"group\":\"\"}','{\"enable_css\":\"1\",\"jQueryHandling\":\"1.6remote\",\"backendJQueryHandling\":\"remote\",\"userName\":\"1\",\"userImage\":\"1\",\"userDescription\":\"1\",\"userURL\":\"1\",\"userEmail\":\"0\",\"userFeedLink\":\"1\",\"userFeedIcon\":\"1\",\"userItemCount\":\"3\",\"userItemTitle\":\"1\",\"userItemTitleLinked\":\"1\",\"userItemDateCreated\":\"1\",\"userItemImage\":\"1\",\"userItemIntroText\":\"1\",\"userItemCategory\":\"1\",\"userItemTags\":\"1\",\"userItemCommentsAnchor\":\"1\",\"userItemReadMore\":\"1\",\"userItemK2Plugins\":\"1\",\"tagItemCount\":\"10\",\"tagItemTitle\":\"1\",\"tagItemTitleLinked\":\"1\",\"tagItemDateCreated\":\"1\",\"tagItemImage\":\"1\",\"tagItemIntroText\":\"1\",\"tagItemCategory\":\"1\",\"tagItemReadMore\":\"1\",\"tagItemExtraFields\":\"0\",\"tagOrdering\":\"rand\",\"tagFeedLink\":\"1\",\"tagFeedIcon\":\"1\",\"genericItemCount\":\"3\",\"genericItemTitle\":\"1\",\"genericItemTitleLinked\":\"1\",\"genericItemDateCreated\":\"1\",\"genericItemImage\":\"1\",\"genericItemIntroText\":\"1\",\"genericItemCategory\":\"1\",\"genericItemReadMore\":\"1\",\"genericItemExtraFields\":\"0\",\"genericFeedLink\":\"1\",\"genericFeedIcon\":\"1\",\"feedLimit\":\"10\",\"feedItemImage\":\"1\",\"feedImgSize\":\"S\",\"feedItemIntroText\":\"1\",\"feedTextWordLimit\":\"\",\"feedItemFullText\":\"1\",\"feedItemTags\":\"0\",\"feedItemVideo\":\"0\",\"feedItemGallery\":\"0\",\"feedItemAttachments\":\"0\",\"feedBogusEmail\":\"\",\"introTextCleanup\":\"0\",\"introTextCleanupExcludeTags\":\"\",\"introTextCleanupTagAttr\":\"\",\"fullTextCleanup\":\"0\",\"fullTextCleanupExcludeTags\":\"\",\"fullTextCleanupTagAttr\":\"\",\"xssFiltering\":\"0\",\"linkPopupWidth\":\"900\",\"linkPopupHeight\":\"600\",\"imagesQuality\":\"100\",\"itemImageXS\":\"100\",\"itemImageS\":\"160\",\"itemImageM\":\"200\",\"itemImageL\":\"670\",\"itemImageXL\":\"900\",\"itemImageGeneric\":\"160\",\"catImageWidth\":\"130\",\"catImageDefault\":\"1\",\"userImageWidth\":\"106\",\"userImageDefault\":\"1\",\"commenterImgWidth\":\"48\",\"imageTimestamp\":\"0\",\"imageMemoryLimit\":\"\",\"socialButtonCode\":\"\",\"twitterUsername\":\"\",\"facebookImage\":\"XSmall\",\"comments\":\"1\",\"commentsOrdering\":\"DESC\",\"commentsLimit\":\"10\",\"commentsFormPosition\":\"below\",\"commentsPublishing\":\"0\",\"commentsReporting\":\"2\",\"commentsReportRecipient\":\"\",\"inlineCommentsModeration\":\"0\",\"gravatar\":\"1\",\"recaptcha\":\"0\",\"commentsFormNotes\":\"1\",\"commentsFormNotesText\":\"Make sure you enter the (*) required information where indicated.Basic HTML code is allowed.\",\"frontendEditing\":\"1\",\"showImageTab\":\"1\",\"showImageGalleryTab\":\"1\",\"showVideoTab\":\"1\",\"showExtraFieldsTab\":\"1\",\"showAttachmentsTab\":\"1\",\"showK2Plugins\":\"1\",\"sideBarDisplayFrontend\":\"0\",\"mergeEditors\":\"1\",\"sideBarDisplay\":\"1\",\"attachmentsFolder\":\"\",\"hideImportButton\":\"0\",\"taggingSystem\":\"1\",\"lockTags\":\"0\",\"showTagFilter\":\"0\",\"googleSearch\":\"0\",\"googleSearchContainer\":\"k2Container\",\"K2UserProfile\":\"0\",\"K2UserGroup\":\"1\",\"redirect\":\"\",\"adminSearch\":\"simple\",\"cookieDomain\":\"\",\"recaptcha_public_key\":\"\",\"recaptcha_private_key\":\"\",\"recaptcha_theme\":\"clean\",\"recaptchaOnRegistration\":\"0\",\"showItemsCounterAdmin\":\"1\",\"showChildCatItems\":\"1\",\"disableCompactOrdering\":\"0\",\"SEFReplacements\":\"\\u00c5\\u00a0|S, \\u00c5\\u2019|O, \\u00c5\\u00bd|Z, \\u00c5\\u00a1|s, \\u00c5\\u201c|oe, \\u00c5\\u00be|z, \\u00c5\\u00b8|Y, \\u00c2\\u00a5|Y, \\u00c2\\u00b5|u, \\u00c3\\u20ac|A, \\u00c3\\ufffd|A, \\u00c3\\u201a|A, \\u00c3\\u0192|A, \\u00c3\\u201e|A, \\u00c3\\u2026|A, \\u00c3\\u2020|A, \\u00c3\\u2021|C, \\u00c3\\u02c6|E, \\u00c3\\u2030|E, \\u00c3\\u0160|E, \\u00c3\\u2039|E, \\u00c3\\u0152|I, \\u00c3\\ufffd|I, \\u00c3\\u017d|I, \\u00c3\\ufffd|I, \\u00c3\\ufffd|D, \\u00c3\\u2018|N, \\u00c3\\u2019|O, \\u00c3\\u201c|O, \\u00c3\\u201d|O, \\u00c3\\u2022|O, \\u00c3\\u2013|O, \\u00c3\\u02dc|O, \\u00c3\\u2122|U, \\u00c3\\u0161|U, \\u00c3\\u203a|U, \\u00c3\\u0153|U, \\u00c3\\ufffd|Y, \\u00c3\\u0178|s, \\u00c3\\u00a0|a, \\u00c3\\u00a1|a, \\u00c3\\u00a2|a, \\u00c3\\u00a3|a, \\u00c3\\u00a4|a, \\u00c3\\u00a5|a, \\u00c3\\u00a6|a, \\u00c3\\u00a7|c, \\u00c3\\u00a8|e, \\u00c3\\u00a9|e, \\u00c3\\u00aa|e, \\u00c3\\u00ab|e, \\u00c3\\u00ac|i, \\u00c3\\u00ad|i, \\u00c3\\u00ae|i, \\u00c3\\u00af|i, \\u00c3\\u00b0|o, \\u00c3\\u00b1|n, \\u00c3\\u00b2|o, \\u00c3\\u00b3|o, \\u00c3\\u00b4|o, \\u00c3\\u00b5|o, \\u00c3\\u00b6|o, \\u00c3\\u00b8|o, \\u00c3\\u00b9|u, \\u00c3\\u00ba|u, \\u00c3\\u00bb|u, \\u00c3\\u00bc|u, \\u00c3\\u00bd|y, \\u00c3\\u00bf|y, \\u00c3\\u0178|ss\",\"metaDescLimit\":\"150\",\"sh404SefLabelCat\":\"\",\"sh404SefLabelUser\":\"blog\",\"sh404SefLabelItem\":\"2\",\"sh404SefTitleAlias\":\"alias\"}','','',0,'0000-00-00 00:00:00',0,0),(10052,'Azrul System Mambot For Joomla','plugin','azrul.system','system',0,1,1,0,'{\"legacy\":true,\"name\":\"Azrul System Mambot For Joomla\",\"type\":\"plugin\",\"creationDate\":\"July 2011\",\"author\":\"JomSocial Team\",\"copyright\":\"Copyright 2008 - 2010 by Slashes & Dots Sdn Bhd. All rights reserved\",\"authorEmail\":\"support@azrul.com\",\"authorUrl\":\"www.azrul.com\",\"version\":\"2.4.1\",\"description\":\"\\n\\tAjax System for Joomla, Azrul.com\\/JomSocial.com\\n\\t\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10054,'Walls','plugin','walls','community',0,1,1,0,'{\"legacy\":true,\"name\":\"Walls\",\"type\":\"plugin\",\"creationDate\":\"March 2011\",\"author\":\"JomSocial Team\",\"copyright\":\"Copyright 2008 - 2010 by Slashes & Dots Sdn Bhd. All rights reserved\",\"authorEmail\":\"support@azrul.com\",\"authorUrl\":\"http:\\/\\/www.jomsocial.com\",\"version\":\"2.4.1\",\"description\":\"\\n\\t\\tWalls for JomSocial. This plugins will add a walls feature to the user\'s profile page.\\n\\t\",\"group\":\"\"}','{\"coreapp\":\"0\",\"cache\":\"1\",\"position\":\"content\",\"charlimit\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(10055,'System - Jomsocial Facebook Connect','plugin','jomsocialconnect','system',0,1,1,0,'{\"legacy\":true,\"name\":\"System - Jomsocial Facebook Connect\",\"type\":\"plugin\",\"creationDate\":\"March 2011\",\"author\":\"JomSocial\",\"copyright\":\"Copyright (C) 2008 - 2009. All rights reserved.\",\"authorEmail\":\"support@jomsocial.com\",\"authorUrl\":\"http:\\/\\/www.jomsocial.com\",\"version\":\"2.4.1\",\"description\":\"JomSocial Facebook Connect Namespace is required to embed the necessary namespace codes in the HTML element.\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10048,'mod_gk_register','module','mod_gk_register','',0,1,0,0,'{\"legacy\":false,\"name\":\"mod_gk_register\",\"type\":\"module\",\"creationDate\":\"14\\/02\\/2011\",\"author\":\"Gavick.com\",\"copyright\":\"(C) 2009-2011 Gavick.com\",\"authorEmail\":\"info@gavick.com\",\"authorUrl\":\"www.gavick.com\",\"version\":\"GK4 1.0\",\"description\":\"GavickPro register form\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10056,'Jomsocial Update','plugin','jomsocialupdate','system',0,1,1,0,'{\"legacy\":true,\"name\":\"Jomsocial Update\",\"type\":\"plugin\",\"creationDate\":\"March 2011\",\"author\":\"AzrulStudio\",\"copyright\":\"Copyright (C) 2010. All rights reserved.\",\"authorEmail\":\"support@azrul.com\",\"authorUrl\":\"www.azrul.com\",\"version\":\"2.4.1\",\"description\":\"Provides legacy support for older version of Joomla!\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10057,'System - Zend Lib','plugin','zend','system',0,1,1,0,'{\"legacy\":true,\"name\":\"System - Zend Lib\",\"type\":\"plugin\",\"creationDate\":\"March 2011\",\"author\":\"JomSocial Team\",\"copyright\":\"Copyright (C) 2005 - 2011\",\"authorEmail\":\"support@jomsocial.com\",\"authorUrl\":\"http:\\/\\/www.jomsocial.com\",\"version\":\"1.11.4\",\"description\":\"\\n\\t\\t\\n\\t\\t\\t<h2>Successfully installed Zend Framework for Joomla Package 10<\\/h2>\\n\\t\\t\\t<p>Zend Framework has a bunch of nice PHP classes, making development faster<\\/p>\\n\\t\\t\\n\\t\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0);


--
-- Table structure for table `#__k2_attachments`
--



CREATE TABLE `#__k2_attachments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `itemID` int(11) NOT NULL,
  `filename` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `titleAttribute` text NOT NULL,
  `hits` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `itemID` (`itemID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2_attachments`
--




--
-- Table structure for table `#__k2_categories`
--



CREATE TABLE `#__k2_categories` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `parent` int(11) DEFAULT '0',
  `extraFieldsGroup` int(11) NOT NULL,
  `published` smallint(6) NOT NULL DEFAULT '0',
  `access` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `image` varchar(255) NOT NULL,
  `params` text NOT NULL,
  `trash` smallint(6) NOT NULL DEFAULT '0',
  `plugins` text NOT NULL,
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `category` (`published`,`access`,`trash`),
  KEY `parent` (`parent`),
  KEY `ordering` (`ordering`),
  KEY `published` (`published`),
  KEY `access` (`access`),
  KEY `trash` (`trash`),
  KEY `language` (`language`)
) ENGINE=MyISAM AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2_categories`
--


INSERT INTO `#__k2_categories` (`id`, `name`, `alias`, `description`, `parent`, `extraFieldsGroup`, `published`, `access`, `ordering`, `image`, `params`, `trash`, `plugins`, `language`) VALUES (1,'Music','music','<p>Find out the latest local and worldwide news.</p>',0,0,1,1,1,'1.png','{\"inheritFrom\":\"0\",\"theme\":\"\",\"num_leading_items\":\"0\",\"num_leading_columns\":\"1\",\"leadingImgSize\":\"none\",\"num_primary_items\":\"0\",\"num_primary_columns\":\"1\",\"primaryImgSize\":\"none\",\"num_secondary_items\":\"0\",\"num_secondary_columns\":\"1\",\"secondaryImgSize\":\"none\",\"num_links\":\"0\",\"num_links_columns\":\"1\",\"linksImgSize\":\"none\",\"catCatalogMode\":\"1\",\"catFeaturedItems\":\"1\",\"catOrdering\":\"\",\"catPagination\":\"2\",\"catPaginationResults\":\"1\",\"catTitle\":\"0\",\"catTitleItemCounter\":\"0\",\"catDescription\":\"0\",\"catImage\":\"0\",\"catFeedLink\":\"0\",\"catFeedIcon\":\"1\",\"subCategories\":\"1\",\"subCatColumns\":\"1\",\"subCatOrdering\":\"\",\"subCatTitle\":\"1\",\"subCatTitleItemCounter\":\"1\",\"subCatDescription\":\"1\",\"subCatImage\":\"1\",\"itemImageXS\":\"\",\"itemImageS\":\"\",\"itemImageM\":\"\",\"itemImageL\":\"\",\"itemImageXL\":\"\",\"catItemTitle\":\"1\",\"catItemTitleLinked\":\"1\",\"catItemFeaturedNotice\":\"0\",\"catItemAuthor\":\"1\",\"catItemDateCreated\":\"1\",\"catItemRating\":\"0\",\"catItemImage\":\"1\",\"catItemIntroText\":\"1\",\"catItemIntroTextWordLimit\":\"\",\"catItemExtraFields\":\"0\",\"catItemHits\":\"0\",\"catItemCategory\":\"1\",\"catItemTags\":\"1\",\"catItemAttachments\":\"0\",\"catItemAttachmentsCounter\":\"0\",\"catItemVideo\":\"0\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"0\",\"catItemImageGallery\":\"0\",\"catItemDateModified\":\"0\",\"catItemReadMore\":\"1\",\"catItemCommentsAnchor\":\"1\",\"catItemK2Plugins\":\"1\",\"itemDateCreated\":\"1\",\"itemTitle\":\"1\",\"itemFeaturedNotice\":\"1\",\"itemAuthor\":\"1\",\"itemFontResizer\":\"1\",\"itemPrintButton\":\"1\",\"itemEmailButton\":\"1\",\"itemSocialButton\":\"1\",\"itemVideoAnchor\":\"1\",\"itemImageGalleryAnchor\":\"1\",\"itemCommentsAnchor\":\"1\",\"itemRating\":\"1\",\"itemImage\":\"1\",\"itemImgSize\":\"Large\",\"itemImageMainCaption\":\"1\",\"itemImageMainCredits\":\"1\",\"itemIntroText\":\"1\",\"itemFullText\":\"1\",\"itemExtraFields\":\"1\",\"itemDateModified\":\"1\",\"itemHits\":\"1\",\"itemCategory\":\"1\",\"itemTags\":\"1\",\"itemAttachments\":\"1\",\"itemAttachmentsCounter\":\"1\",\"itemVideo\":\"1\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"0\",\"itemVideoCaption\":\"1\",\"itemVideoCredits\":\"1\",\"itemImageGallery\":\"1\",\"itemNavigation\":\"1\",\"itemComments\":\"1\",\"itemTwitterButton\":\"1\",\"itemFacebookButton\":\"1\",\"itemGooglePlusOneButton\":\"1\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"1\",\"itemAuthorDescription\":\"1\",\"itemAuthorURL\":\"1\",\"itemAuthorEmail\":\"0\",\"itemAuthorLatest\":\"1\",\"itemAuthorLatestLimit\":\"5\",\"itemRelated\":\"1\",\"itemRelatedLimit\":\"5\",\"itemRelatedTitle\":\"1\",\"itemRelatedCategory\":\"0\",\"itemRelatedImageSize\":\"0\",\"itemRelatedIntrotext\":\"0\",\"itemRelatedFulltext\":\"0\",\"itemRelatedAuthor\":\"0\",\"itemRelatedMedia\":\"0\",\"itemRelatedImageGallery\":\"0\",\"itemK2Plugins\":\"1\",\"catMetaDesc\":\"\",\"catMetaKey\":\"\",\"catMetaRobots\":\"\",\"catMetaAuthor\":\"\"}',0,'','*'),(2,'Daily Fresh Music','daily-fresh-music','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed id auctor orci. Morbi gravida, nisl eu bibendum viverra, nunc lectus.</p>',1,0,1,1,4,'2.png','{\"inheritFrom\":\"10\",\"theme\":\"\",\"num_leading_items\":\"2\",\"num_leading_columns\":\"1\",\"leadingImgSize\":\"Medium\",\"num_primary_items\":\"2\",\"num_primary_columns\":\"1\",\"primaryImgSize\":\"Medium\",\"num_secondary_items\":\"0\",\"num_secondary_columns\":\"0\",\"secondaryImgSize\":\"Medium\",\"num_links\":\"0\",\"num_links_columns\":\"1\",\"linksImgSize\":\"XSmall\",\"catCatalogMode\":\"0\",\"catFeaturedItems\":\"1\",\"catOrdering\":\"\",\"catPagination\":\"2\",\"catPaginationResults\":\"1\",\"catTitle\":\"0\",\"catTitleItemCounter\":\"1\",\"catDescription\":\"0\",\"catImage\":\"0\",\"catFeedLink\":\"0\",\"catFeedIcon\":\"1\",\"subCategories\":\"1\",\"subCatColumns\":\"2\",\"subCatOrdering\":\"\",\"subCatTitle\":\"1\",\"subCatTitleItemCounter\":\"1\",\"subCatDescription\":\"1\",\"subCatImage\":\"1\",\"itemImageXS\":\"\",\"itemImageS\":\"\",\"itemImageM\":\"\",\"itemImageL\":\"\",\"itemImageXL\":\"\",\"catItemTitle\":\"1\",\"catItemTitleLinked\":\"1\",\"catItemFeaturedNotice\":\"0\",\"catItemAuthor\":\"0\",\"catItemDateCreated\":\"1\",\"catItemRating\":\"0\",\"catItemImage\":\"1\",\"catItemIntroText\":\"1\",\"catItemIntroTextWordLimit\":\"\",\"catItemExtraFields\":\"1\",\"catItemHits\":\"1\",\"catItemCategory\":\"1\",\"catItemTags\":\"0\",\"catItemAttachments\":\"0\",\"catItemAttachmentsCounter\":\"0\",\"catItemVideo\":\"0\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"0\",\"catItemImageGallery\":\"0\",\"catItemDateModified\":\"0\",\"catItemReadMore\":\"1\",\"catItemCommentsAnchor\":\"1\",\"catItemK2Plugins\":\"1\",\"itemDateCreated\":\"1\",\"itemTitle\":\"1\",\"itemFeaturedNotice\":\"1\",\"itemAuthor\":\"1\",\"itemFontResizer\":\"1\",\"itemPrintButton\":\"1\",\"itemEmailButton\":\"1\",\"itemSocialButton\":\"1\",\"itemVideoAnchor\":\"1\",\"itemImageGalleryAnchor\":\"1\",\"itemCommentsAnchor\":\"1\",\"itemRating\":\"1\",\"itemImage\":\"1\",\"itemImgSize\":\"Large\",\"itemImageMainCaption\":\"1\",\"itemImageMainCredits\":\"1\",\"itemIntroText\":\"1\",\"itemFullText\":\"1\",\"itemExtraFields\":\"1\",\"itemDateModified\":\"1\",\"itemHits\":\"1\",\"itemCategory\":\"1\",\"itemTags\":\"1\",\"itemAttachments\":\"1\",\"itemAttachmentsCounter\":\"1\",\"itemVideo\":\"1\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"0\",\"itemVideoCaption\":\"1\",\"itemVideoCredits\":\"1\",\"itemImageGallery\":\"1\",\"itemNavigation\":\"1\",\"itemComments\":\"1\",\"itemTwitterButton\":\"1\",\"itemFacebookButton\":\"1\",\"itemGooglePlusOneButton\":\"1\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"1\",\"itemAuthorDescription\":\"1\",\"itemAuthorURL\":\"1\",\"itemAuthorEmail\":\"0\",\"itemAuthorLatest\":\"1\",\"itemAuthorLatestLimit\":\"5\",\"itemRelated\":\"1\",\"itemRelatedLimit\":\"5\",\"itemRelatedTitle\":\"1\",\"itemRelatedCategory\":\"0\",\"itemRelatedImageSize\":\"0\",\"itemRelatedIntrotext\":\"0\",\"itemRelatedFulltext\":\"0\",\"itemRelatedAuthor\":\"0\",\"itemRelatedMedia\":\"0\",\"itemRelatedImageGallery\":\"0\",\"itemK2Plugins\":\"1\",\"catMetaDesc\":\"\",\"catMetaKey\":\"\",\"catMetaRobots\":\"\",\"catMetaAuthor\":\"\"}',0,'','*'),(3,'Behind the Stage','behind-the-stage','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed id auctor orci. Morbi gravida, nisl eu bibendum viverra, nunc lectus.</p>',1,0,1,1,2,'3.png','{\"inheritFrom\":\"10\",\"theme\":\"\",\"num_leading_items\":\"2\",\"num_leading_columns\":\"1\",\"leadingImgSize\":\"Medium\",\"num_primary_items\":\"2\",\"num_primary_columns\":\"1\",\"primaryImgSize\":\"Medium\",\"num_secondary_items\":\"4\",\"num_secondary_columns\":\"1\",\"secondaryImgSize\":\"Small\",\"num_links\":\"4\",\"num_links_columns\":\"1\",\"linksImgSize\":\"XSmall\",\"catCatalogMode\":\"0\",\"catFeaturedItems\":\"1\",\"catOrdering\":\"\",\"catPagination\":\"2\",\"catPaginationResults\":\"1\",\"catTitle\":\"0\",\"catTitleItemCounter\":\"1\",\"catDescription\":\"0\",\"catImage\":\"0\",\"catFeedLink\":\"0\",\"catFeedIcon\":\"1\",\"subCategories\":\"1\",\"subCatColumns\":\"2\",\"subCatOrdering\":\"\",\"subCatTitle\":\"0\",\"subCatTitleItemCounter\":\"0\",\"subCatDescription\":\"0\",\"subCatImage\":\"0\",\"itemImageXS\":\"\",\"itemImageS\":\"\",\"itemImageM\":\"\",\"itemImageL\":\"\",\"itemImageXL\":\"\",\"catItemTitle\":\"1\",\"catItemTitleLinked\":\"1\",\"catItemFeaturedNotice\":\"0\",\"catItemAuthor\":\"1\",\"catItemDateCreated\":\"1\",\"catItemRating\":\"0\",\"catItemImage\":\"1\",\"catItemIntroText\":\"1\",\"catItemIntroTextWordLimit\":\"\",\"catItemExtraFields\":\"0\",\"catItemHits\":\"0\",\"catItemCategory\":\"0\",\"catItemTags\":\"0\",\"catItemAttachments\":\"0\",\"catItemAttachmentsCounter\":\"0\",\"catItemVideo\":\"0\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"0\",\"catItemImageGallery\":\"0\",\"catItemDateModified\":\"0\",\"catItemReadMore\":\"1\",\"catItemCommentsAnchor\":\"1\",\"catItemK2Plugins\":\"1\",\"itemDateCreated\":\"1\",\"itemTitle\":\"1\",\"itemFeaturedNotice\":\"1\",\"itemAuthor\":\"1\",\"itemFontResizer\":\"1\",\"itemPrintButton\":\"1\",\"itemEmailButton\":\"1\",\"itemSocialButton\":\"1\",\"itemVideoAnchor\":\"1\",\"itemImageGalleryAnchor\":\"1\",\"itemCommentsAnchor\":\"1\",\"itemRating\":\"1\",\"itemImage\":\"1\",\"itemImgSize\":\"Large\",\"itemImageMainCaption\":\"1\",\"itemImageMainCredits\":\"1\",\"itemIntroText\":\"1\",\"itemFullText\":\"1\",\"itemExtraFields\":\"1\",\"itemDateModified\":\"1\",\"itemHits\":\"1\",\"itemCategory\":\"1\",\"itemTags\":\"1\",\"itemAttachments\":\"1\",\"itemAttachmentsCounter\":\"1\",\"itemVideo\":\"1\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"0\",\"itemVideoCaption\":\"1\",\"itemVideoCredits\":\"1\",\"itemImageGallery\":\"1\",\"itemNavigation\":\"1\",\"itemComments\":\"1\",\"itemTwitterButton\":\"1\",\"itemFacebookButton\":\"1\",\"itemGooglePlusOneButton\":\"1\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"1\",\"itemAuthorDescription\":\"1\",\"itemAuthorURL\":\"1\",\"itemAuthorEmail\":\"0\",\"itemAuthorLatest\":\"1\",\"itemAuthorLatestLimit\":\"5\",\"itemRelated\":\"1\",\"itemRelatedLimit\":\"5\",\"itemRelatedTitle\":\"1\",\"itemRelatedCategory\":\"0\",\"itemRelatedImageSize\":\"0\",\"itemRelatedIntrotext\":\"0\",\"itemRelatedFulltext\":\"0\",\"itemRelatedAuthor\":\"0\",\"itemRelatedMedia\":\"0\",\"itemRelatedImageGallery\":\"0\",\"itemK2Plugins\":\"1\",\"catMetaDesc\":\"\",\"catMetaKey\":\"\",\"catMetaRobots\":\"\",\"catMetaAuthor\":\"\"}',0,'','*'),(4,'Editors Picks','editors-picks','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed id auctor orci. Morbi gravida, nisl eu bibendum viverra, nunc lectus.</p>',1,0,1,1,1,'4.png','{\"inheritFrom\":\"10\",\"theme\":\"\",\"num_leading_items\":\"2\",\"num_leading_columns\":\"1\",\"leadingImgSize\":\"Large\",\"num_primary_items\":\"2\",\"num_primary_columns\":\"1\",\"primaryImgSize\":\"Medium\",\"num_secondary_items\":\"4\",\"num_secondary_columns\":\"1\",\"secondaryImgSize\":\"Small\",\"num_links\":\"4\",\"num_links_columns\":\"1\",\"linksImgSize\":\"XSmall\",\"catCatalogMode\":\"0\",\"catFeaturedItems\":\"1\",\"catOrdering\":\"\",\"catPagination\":\"2\",\"catPaginationResults\":\"1\",\"catTitle\":\"0\",\"catTitleItemCounter\":\"1\",\"catDescription\":\"0\",\"catImage\":\"0\",\"catFeedLink\":\"1\",\"catFeedIcon\":\"1\",\"subCategories\":\"1\",\"subCatColumns\":\"2\",\"subCatOrdering\":\"\",\"subCatTitle\":\"0\",\"subCatTitleItemCounter\":\"0\",\"subCatDescription\":\"0\",\"subCatImage\":\"0\",\"itemImageXS\":\"\",\"itemImageS\":\"\",\"itemImageM\":\"\",\"itemImageL\":\"\",\"itemImageXL\":\"\",\"catItemTitle\":\"1\",\"catItemTitleLinked\":\"1\",\"catItemFeaturedNotice\":\"0\",\"catItemAuthor\":\"1\",\"catItemDateCreated\":\"1\",\"catItemRating\":\"0\",\"catItemImage\":\"1\",\"catItemIntroText\":\"1\",\"catItemIntroTextWordLimit\":\"\",\"catItemExtraFields\":\"0\",\"catItemHits\":\"0\",\"catItemCategory\":\"1\",\"catItemTags\":\"0\",\"catItemAttachments\":\"0\",\"catItemAttachmentsCounter\":\"0\",\"catItemVideo\":\"0\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"0\",\"catItemImageGallery\":\"0\",\"catItemDateModified\":\"0\",\"catItemReadMore\":\"1\",\"catItemCommentsAnchor\":\"1\",\"catItemK2Plugins\":\"1\",\"itemDateCreated\":\"1\",\"itemTitle\":\"1\",\"itemFeaturedNotice\":\"1\",\"itemAuthor\":\"1\",\"itemFontResizer\":\"1\",\"itemPrintButton\":\"1\",\"itemEmailButton\":\"1\",\"itemSocialButton\":\"1\",\"itemVideoAnchor\":\"1\",\"itemImageGalleryAnchor\":\"1\",\"itemCommentsAnchor\":\"1\",\"itemRating\":\"1\",\"itemImage\":\"1\",\"itemImgSize\":\"Large\",\"itemImageMainCaption\":\"1\",\"itemImageMainCredits\":\"1\",\"itemIntroText\":\"1\",\"itemFullText\":\"1\",\"itemExtraFields\":\"1\",\"itemDateModified\":\"1\",\"itemHits\":\"1\",\"itemCategory\":\"1\",\"itemTags\":\"1\",\"itemAttachments\":\"1\",\"itemAttachmentsCounter\":\"1\",\"itemVideo\":\"1\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"0\",\"itemVideoCaption\":\"1\",\"itemVideoCredits\":\"1\",\"itemImageGallery\":\"1\",\"itemNavigation\":\"1\",\"itemComments\":\"1\",\"itemTwitterButton\":\"1\",\"itemFacebookButton\":\"1\",\"itemGooglePlusOneButton\":\"1\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"1\",\"itemAuthorDescription\":\"1\",\"itemAuthorURL\":\"1\",\"itemAuthorEmail\":\"0\",\"itemAuthorLatest\":\"1\",\"itemAuthorLatestLimit\":\"5\",\"itemRelated\":\"1\",\"itemRelatedLimit\":\"5\",\"itemRelatedTitle\":\"1\",\"itemRelatedCategory\":\"0\",\"itemRelatedImageSize\":\"0\",\"itemRelatedIntrotext\":\"0\",\"itemRelatedFulltext\":\"0\",\"itemRelatedAuthor\":\"0\",\"itemRelatedMedia\":\"0\",\"itemRelatedImageGallery\":\"0\",\"itemK2Plugins\":\"1\",\"catMetaDesc\":\"\",\"catMetaKey\":\"\",\"catMetaRobots\":\"\",\"catMetaAuthor\":\"\"}',0,'','*'),(10,'2011 Top Music','2011-top-music','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed id auctor orci. Morbi gravida, nisl eu bibendum viverra, nunc lectus.</p>',1,0,1,1,5,'10.png','{\"inheritFrom\":\"0\",\"theme\":\"\",\"num_leading_items\":\"1\",\"num_leading_columns\":\"1\",\"leadingImgSize\":\"Large\",\"num_primary_items\":\"3\",\"num_primary_columns\":\"1\",\"primaryImgSize\":\"Medium\",\"num_secondary_items\":\"4\",\"num_secondary_columns\":\"1\",\"secondaryImgSize\":\"Small\",\"num_links\":\"4\",\"num_links_columns\":\"1\",\"linksImgSize\":\"XSmall\",\"catCatalogMode\":\"0\",\"catFeaturedItems\":\"1\",\"catOrdering\":\"\",\"catPagination\":\"2\",\"catPaginationResults\":\"1\",\"catTitle\":\"0\",\"catTitleItemCounter\":\"1\",\"catDescription\":\"0\",\"catImage\":\"0\",\"catFeedLink\":\"1\",\"catFeedIcon\":\"1\",\"subCategories\":\"1\",\"subCatColumns\":\"2\",\"subCatOrdering\":\"\",\"subCatTitle\":\"0\",\"subCatTitleItemCounter\":\"0\",\"subCatDescription\":\"0\",\"subCatImage\":\"0\",\"itemImageXS\":\"\",\"itemImageS\":\"\",\"itemImageM\":\"\",\"itemImageL\":\"\",\"itemImageXL\":\"\",\"catItemTitle\":\"1\",\"catItemTitleLinked\":\"1\",\"catItemFeaturedNotice\":\"0\",\"catItemAuthor\":\"1\",\"catItemDateCreated\":\"1\",\"catItemRating\":\"0\",\"catItemImage\":\"1\",\"catItemIntroText\":\"1\",\"catItemIntroTextWordLimit\":\"\",\"catItemExtraFields\":\"0\",\"catItemHits\":\"0\",\"catItemCategory\":\"1\",\"catItemTags\":\"0\",\"catItemAttachments\":\"0\",\"catItemAttachmentsCounter\":\"0\",\"catItemVideo\":\"0\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"0\",\"catItemImageGallery\":\"0\",\"catItemDateModified\":\"0\",\"catItemReadMore\":\"1\",\"catItemCommentsAnchor\":\"1\",\"catItemK2Plugins\":\"1\",\"itemDateCreated\":\"1\",\"itemTitle\":\"1\",\"itemFeaturedNotice\":\"1\",\"itemAuthor\":\"1\",\"itemFontResizer\":\"1\",\"itemPrintButton\":\"1\",\"itemEmailButton\":\"1\",\"itemSocialButton\":\"1\",\"itemVideoAnchor\":\"1\",\"itemImageGalleryAnchor\":\"1\",\"itemCommentsAnchor\":\"1\",\"itemRating\":\"1\",\"itemImage\":\"1\",\"itemImgSize\":\"Large\",\"itemImageMainCaption\":\"1\",\"itemImageMainCredits\":\"1\",\"itemIntroText\":\"1\",\"itemFullText\":\"1\",\"itemExtraFields\":\"1\",\"itemDateModified\":\"1\",\"itemHits\":\"1\",\"itemCategory\":\"1\",\"itemTags\":\"1\",\"itemAttachments\":\"1\",\"itemAttachmentsCounter\":\"1\",\"itemVideo\":\"1\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"0\",\"itemVideoCaption\":\"1\",\"itemVideoCredits\":\"1\",\"itemImageGallery\":\"1\",\"itemNavigation\":\"1\",\"itemComments\":\"1\",\"itemTwitterButton\":\"1\",\"itemFacebookButton\":\"1\",\"itemGooglePlusOneButton\":\"1\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"1\",\"itemAuthorDescription\":\"1\",\"itemAuthorURL\":\"1\",\"itemAuthorEmail\":\"0\",\"itemAuthorLatest\":\"1\",\"itemAuthorLatestLimit\":\"5\",\"itemRelated\":\"1\",\"itemRelatedLimit\":\"5\",\"itemRelatedTitle\":\"1\",\"itemRelatedCategory\":\"0\",\"itemRelatedImageSize\":\"0\",\"itemRelatedIntrotext\":\"0\",\"itemRelatedFulltext\":\"0\",\"itemRelatedAuthor\":\"0\",\"itemRelatedMedia\":\"0\",\"itemRelatedImageGallery\":\"0\",\"itemK2Plugins\":\"1\",\"catMetaDesc\":\"\",\"catMetaKey\":\"\",\"catMetaRobots\":\"\",\"catMetaAuthor\":\"\"}',0,'','*'),(11,'Live Performances','live-performances','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed id auctor orci. Morbi gravida, nisl eu bibendum viverra, nunc lectus.</p>',1,0,1,1,3,'11.png','{\"inheritFrom\":\"10\",\"theme\":\"\",\"num_leading_items\":\"2\",\"num_leading_columns\":\"1\",\"leadingImgSize\":\"Large\",\"num_primary_items\":\"4\",\"num_primary_columns\":\"2\",\"primaryImgSize\":\"Medium\",\"num_secondary_items\":\"4\",\"num_secondary_columns\":\"1\",\"secondaryImgSize\":\"Small\",\"num_links\":\"4\",\"num_links_columns\":\"1\",\"linksImgSize\":\"XSmall\",\"catCatalogMode\":\"0\",\"catFeaturedItems\":\"1\",\"catOrdering\":\"\",\"catPagination\":\"2\",\"catPaginationResults\":\"1\",\"catTitle\":\"1\",\"catTitleItemCounter\":\"1\",\"catDescription\":\"1\",\"catImage\":\"1\",\"catFeedLink\":\"1\",\"catFeedIcon\":\"1\",\"subCategories\":\"1\",\"subCatColumns\":\"2\",\"subCatOrdering\":\"\",\"subCatTitle\":\"1\",\"subCatTitleItemCounter\":\"1\",\"subCatDescription\":\"1\",\"subCatImage\":\"1\",\"itemImageXS\":\"\",\"itemImageS\":\"\",\"itemImageM\":\"\",\"itemImageL\":\"\",\"itemImageXL\":\"\",\"catItemTitle\":\"1\",\"catItemTitleLinked\":\"1\",\"catItemFeaturedNotice\":\"0\",\"catItemAuthor\":\"1\",\"catItemDateCreated\":\"1\",\"catItemRating\":\"0\",\"catItemImage\":\"1\",\"catItemIntroText\":\"1\",\"catItemIntroTextWordLimit\":\"\",\"catItemExtraFields\":\"0\",\"catItemHits\":\"0\",\"catItemCategory\":\"1\",\"catItemTags\":\"1\",\"catItemAttachments\":\"0\",\"catItemAttachmentsCounter\":\"0\",\"catItemVideo\":\"0\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"0\",\"catItemImageGallery\":\"0\",\"catItemDateModified\":\"0\",\"catItemReadMore\":\"1\",\"catItemCommentsAnchor\":\"1\",\"catItemK2Plugins\":\"1\",\"itemDateCreated\":\"1\",\"itemTitle\":\"1\",\"itemFeaturedNotice\":\"1\",\"itemAuthor\":\"1\",\"itemFontResizer\":\"1\",\"itemPrintButton\":\"1\",\"itemEmailButton\":\"1\",\"itemSocialButton\":\"1\",\"itemVideoAnchor\":\"1\",\"itemImageGalleryAnchor\":\"1\",\"itemCommentsAnchor\":\"1\",\"itemRating\":\"1\",\"itemImage\":\"1\",\"itemImgSize\":\"Large\",\"itemImageMainCaption\":\"1\",\"itemImageMainCredits\":\"1\",\"itemIntroText\":\"1\",\"itemFullText\":\"1\",\"itemExtraFields\":\"1\",\"itemDateModified\":\"1\",\"itemHits\":\"1\",\"itemCategory\":\"1\",\"itemTags\":\"1\",\"itemAttachments\":\"1\",\"itemAttachmentsCounter\":\"1\",\"itemVideo\":\"1\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"0\",\"itemVideoCaption\":\"1\",\"itemVideoCredits\":\"1\",\"itemImageGallery\":\"1\",\"itemNavigation\":\"1\",\"itemComments\":\"1\",\"itemTwitterButton\":\"1\",\"itemFacebookButton\":\"1\",\"itemGooglePlusOneButton\":\"1\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"1\",\"itemAuthorDescription\":\"1\",\"itemAuthorURL\":\"1\",\"itemAuthorEmail\":\"0\",\"itemAuthorLatest\":\"1\",\"itemAuthorLatestLimit\":\"5\",\"itemRelated\":\"1\",\"itemRelatedLimit\":\"5\",\"itemRelatedTitle\":\"1\",\"itemRelatedCategory\":\"0\",\"itemRelatedImageSize\":\"0\",\"itemRelatedIntrotext\":\"0\",\"itemRelatedFulltext\":\"0\",\"itemRelatedAuthor\":\"0\",\"itemRelatedMedia\":\"0\",\"itemRelatedImageGallery\":\"0\",\"itemK2Plugins\":\"1\",\"catMetaDesc\":\"\",\"catMetaKey\":\"\",\"catMetaRobots\":\"\",\"catMetaAuthor\":\"\"}',0,'','*');


--
-- Table structure for table `#__k2_comments`
--



CREATE TABLE `#__k2_comments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `itemID` int(11) NOT NULL,
  `userID` int(11) NOT NULL,
  `userName` varchar(255) NOT NULL,
  `commentDate` datetime NOT NULL,
  `commentText` text NOT NULL,
  `commentEmail` varchar(255) NOT NULL,
  `commentURL` varchar(255) NOT NULL,
  `published` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `itemID` (`itemID`),
  KEY `userID` (`userID`),
  KEY `published` (`published`),
  KEY `latestComments` (`published`,`commentDate`)
) ENGINE=MyISAM AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2_comments`
--


INSERT INTO `#__k2_comments` (`id`, `itemID`, `userID`, `userName`, `commentDate`, `commentText`, `commentEmail`, `commentURL`, `published`) VALUES (4,2,42,'Super User','2011-08-07 02:42:06','Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.','eee@eee.pl','',1),(5,3,0,'Dziudek','2011-08-07 19:50:57','Maecenas faucibus mollis interdum. Nullam quis risus eget urna mollis ornare vel eu leo. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Etiam porta sem malesuada magna mollis euismod. \r\n\r\nAenean lacinia bibendum nulla sed consectetur. Nullam quis risus eget urna mollis ornare vel eu leo. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Donec id elit non mi porta gravida at eget metus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.','dziudek@gavick.com','http://gavick.com',1),(6,3,0,'Administrator','2011-08-07 19:53:58','Aenean lacinia bibendum nulla sed consectetur. Nullam quis risus eget urna mollis ornare vel eu leo. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Donec id elit non mi porta gravida at eget metus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.','dziudek@gmail.com','http://gavick.com',1),(7,3,42,'Super User','2011-08-07 19:56:46','Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit.','eee@eee.pl','http://gavick.com',1),(8,2,0,'Dziudek','2011-08-07 19:59:07','Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Curabitur blandit tempus porttitor.','dziudek@gavick.com','http://gavick.com',1);


--
-- Table structure for table `#__k2_extra_fields`
--



CREATE TABLE `#__k2_extra_fields` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `value` text NOT NULL,
  `type` varchar(255) NOT NULL,
  `group` int(11) NOT NULL,
  `published` tinyint(4) NOT NULL,
  `ordering` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `group` (`group`),
  KEY `published` (`published`),
  KEY `ordering` (`ordering`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2_extra_fields`
--




--
-- Table structure for table `#__k2_extra_fields_groups`
--



CREATE TABLE `#__k2_extra_fields_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2_extra_fields_groups`
--




--
-- Table structure for table `#__k2_items`
--



CREATE TABLE `#__k2_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) DEFAULT NULL,
  `catid` int(11) NOT NULL,
  `published` smallint(6) NOT NULL DEFAULT '0',
  `introtext` mediumtext NOT NULL,
  `fulltext` mediumtext NOT NULL,
  `video` text,
  `gallery` varchar(255) DEFAULT NULL,
  `extra_fields` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `extra_fields_search` text NOT NULL,
  `created` datetime NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL,
  `checked_out` int(10) unsigned NOT NULL,
  `checked_out_time` datetime NOT NULL,
  `modified` datetime NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `publish_up` datetime NOT NULL,
  `publish_down` datetime NOT NULL,
  `trash` smallint(6) NOT NULL DEFAULT '0',
  `access` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `featured` smallint(6) NOT NULL DEFAULT '0',
  `featured_ordering` int(11) NOT NULL DEFAULT '0',
  `image_caption` text NOT NULL,
  `image_credits` varchar(255) NOT NULL,
  `video_caption` text NOT NULL,
  `video_credits` varchar(255) NOT NULL,
  `hits` int(10) unsigned NOT NULL,
  `params` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `metakey` text NOT NULL,
  `plugins` text NOT NULL,
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `item` (`published`,`publish_up`,`publish_down`,`trash`,`access`),
  KEY `catid` (`catid`),
  KEY `created_by` (`created_by`),
  KEY `ordering` (`ordering`),
  KEY `featured` (`featured`),
  KEY `featured_ordering` (`featured_ordering`),
  KEY `hits` (`hits`),
  KEY `created` (`created`),
  KEY `language` (`language`),
  FULLTEXT KEY `search` (`title`,`introtext`,`fulltext`,`extra_fields_search`,`image_caption`,`image_credits`,`video_caption`,`video_credits`,`metadesc`,`metakey`),
  FULLTEXT KEY `title` (`title`)
) ENGINE=MyISAM AUTO_INCREMENT=51 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2_items`
--


INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES (1,'Singer Pink announces she\'s pregnantupdated','singer-pink-announces-shes-pregnantupdated',3,1,'<p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n','\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum.</p>\r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat.</p>',NULL,NULL,'[]','','2011-08-05 15:53:55',42,'',0,'0000-00-00 00:00:00','2011-12-01 22:19:37',42,'2011-08-05 15:53:55','0000-00-00 00:00:00',0,1,1,0,0,'Singer Pink announces she\'s pregnantupdated','','','',90,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(2,'Even Shirley\'s performance Garbage live experience','even-shirleys-performance-garbage-live-experience',3,1,'<p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n','\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum.</p>\r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat.</p>',NULL,NULL,'[]','','2011-08-04 16:16:29',42,'',0,'0000-00-00 00:00:00','2011-12-01 22:19:06',42,'2011-08-04 15:53:55','0000-00-00 00:00:00',0,1,4,1,1,'Even Shirley\'s performance, ever the most dependable aspect of the Garbage live experience','','','',69,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(28,'New boyband \"The Wanted\" came into MTV','new-boyband-the-wanted-came-into-mtv',2,1,'<p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n','\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum.</p>\r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat.</p>',NULL,NULL,'[]','','2011-09-08 12:35:28',42,'',0,'0000-00-00 00:00:00','2011-12-01 22:26:30',42,'2011-08-05 15:53:55','0000-00-00 00:00:00',0,1,1,1,4,'New boyband \"The Wanted\" came into MTV','','','',34,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(3,'Foster the Peoples success','foster-the-peoples-success',4,1,'<p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n','\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum.</p>',NULL,NULL,'[]','','2011-08-04 16:16:39',42,'',0,'0000-00-00 00:00:00','2011-12-01 22:21:23',42,'2011-08-04 15:53:55','0000-00-00 00:00:00',0,1,4,0,0,'Pontius attributed Foster the Peoples success','','','',1228,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(12,'Beyonce Puts A Ring on It at The 2011 VMAs','beyonce-puts-a-ring-on-it-at-the-2011-vmas',11,1,'<p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n','\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum.</p>\r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat.</p>',NULL,NULL,'[]','','2011-08-04 23:35:09',42,'',0,'0000-00-00 00:00:00','2011-12-01 22:24:10',42,'2011-08-04 23:35:09','0000-00-00 00:00:00',0,1,3,0,0,'Beyonce Puts A Ring on It at The 2011 VMAs','','','',107,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(36,'MTV Unplugged: Paramore live 2011','mtv-unplugged-paramore-live-2011',10,1,'<p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n','\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum.</p>\r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat.</p>',NULL,NULL,'[]','','2011-09-09 14:29:30',42,'',0,'0000-00-00 00:00:00','2011-12-01 22:28:02',42,'2011-08-05 15:53:55','0000-00-00 00:00:00',0,1,1,0,0,'MTV Unplugged: Paramore live 2011','','','',10,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(37,'U2 Tower land to help settle NAMA debts','u2-tower-land-to-help-settle-nama-debts',10,1,'<p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n','\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum.</p>\r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat.</p>',NULL,NULL,'[]','','2011-09-09 14:29:30',42,'',0,'0000-00-00 00:00:00','2011-12-01 22:27:32',42,'2011-08-05 15:53:55','0000-00-00 00:00:00',0,1,3,1,0,'U2 Tower land to help settle NAMA debt','','','',8,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(30,'Maroon 5 & Christina Aguilera','maroon-5-a-christina-aguilera',2,1,'<p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n','\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum.</p>\r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat.</p>',NULL,NULL,'[]','','2011-09-08 13:13:51',42,'',0,'0000-00-00 00:00:00','2011-12-01 22:25:57',42,'2011-08-05 15:53:55','0000-00-00 00:00:00',0,1,2,1,0,'Maroon 5 & Christina Aguilera','','','',27,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(31,'British rapper Prof. Green is to undergo surgery ','british-rapper-prof-green-is-to-undergo-surgery',2,1,'<p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n','\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum.</p>\r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat.</p>',NULL,NULL,'[]','','2011-09-08 15:23:32',42,'',0,'0000-00-00 00:00:00','2011-12-01 22:25:20',42,'2011-08-05 15:53:55','0000-00-00 00:00:00',0,1,3,1,0,'British rapper Prof. Green is to undergo surgery ','','','',103,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(35,'Band\'s first Stateside shows in four years','bands-first-stateside-shows-in-four-years',10,1,'<p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n','\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum.</p>\r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat.</p>',NULL,NULL,'[]','','2011-09-09 14:29:30',42,'',0,'0000-00-00 00:00:00','2011-12-01 22:28:39',42,'2011-08-04 15:53:55','0000-00-00 00:00:00',0,1,4,1,5,'Band\'s first Stateside shows in four years','','','',14,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(40,'Both JLS and Williams\'s tenth solo album','both-jls-and-williamss-tenth-solo-album',4,1,'<p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n','\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum.</p>\r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat.</p>',NULL,NULL,'[]','','2011-11-07 14:41:02',42,'',0,'0000-00-00 00:00:00','2011-12-01 22:20:48',42,'2011-08-05 15:53:55','0000-00-00 00:00:00',0,1,2,1,2,'Both JLS and Williams\'s tenth solo album','','','',16,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(41,'David Guetta Feat. Flo Rida & Nicki Minaj','david-guetta-feat-flo-rida-a-nicki-minaj',4,1,'<p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n','\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum.</p>\r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat.</p>',NULL,NULL,'[]','','2011-11-07 17:33:42',42,'',0,'0000-00-00 00:00:00','2011-12-01 22:21:59',42,'2011-08-05 15:53:55','0000-00-00 00:00:00',0,1,1,0,0,'David Guetta Feat. Flo Rida & Nicki Minaj','','','',3,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(43,'Christina Perri had a life-changing moment','christina-perri-had-a-life-changing-moment',3,1,'<p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n','\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum.</p>\r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat.</p>',NULL,NULL,'[]','','2011-11-07 17:34:12',42,'',0,'0000-00-00 00:00:00','2011-12-01 22:18:25',42,'2011-08-05 15:53:55','0000-00-00 00:00:00',0,1,3,1,3,'Christina Perri had a life-changing moment','','','',3,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(44,'Bittersweet U2\'s Final US Show Tonight','bittersweet-u2s-final-us-show-tonight',11,1,'<p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n','\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum.</p>\r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat.</p>',NULL,NULL,'[]','','2011-11-07 17:34:17',42,'',0,'0000-00-00 00:00:00','2011-12-01 22:23:38',42,'2011-08-05 15:53:55','0000-00-00 00:00:00',0,1,2,1,0,'Bittersweet U2\'s Final US Show Tonight','','','',1,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(45,'Shakira UNICEF Goodwill Ambassador','shakira-unicef-goodwill-ambassador',11,1,'<p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n','\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum.</p>\r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat.</p>',NULL,NULL,'[]','','2011-11-07 17:39:09',42,'',0,'0000-00-00 00:00:00','2011-12-01 22:23:09',42,'2011-08-05 15:53:55','0000-00-00 00:00:00',0,1,1,0,0,'Shakira UNICEF Goodwill Ambassador','','','',1,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(46,'Rihanna\'s Talk That Talk lively, synth-perfect','rihannas-talk-that-talk-lively-synth-perfect',4,1,'<p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n','\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum.</p>\r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat.</p>',NULL,NULL,'[]','','2011-11-07 17:39:33',42,'',0,'0000-00-00 00:00:00','2011-12-01 22:20:14',42,'2011-08-05 15:53:55','0000-00-00 00:00:00',0,1,3,1,0,'Rihanna\'s Talk That Talk lively, synth-perfect','','','',91,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(47,'Jamie Cullum the pursuit album','jamie-cullum-the-pursuit-album',2,1,'<p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n','\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum.</p>\r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat.</p>',NULL,NULL,'[]','','2011-11-07 17:39:37',42,'',0,'0000-00-00 00:00:00','2011-12-01 22:24:54',42,'2011-08-05 15:53:55','0000-00-00 00:00:00',0,1,4,0,0,'Jamie Cullum the pursuit album','','','',1,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(48,'Linkin Park \"Waiting for the End\"','linkin-park-qwaiting-for-the-endq',11,1,'<p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n','\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum.</p>\r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat.</p>',NULL,NULL,'[]','','2011-11-07 17:39:42',42,'',0,'0000-00-00 00:00:00','2011-12-01 22:22:34',42,'2011-08-05 15:53:55','0000-00-00 00:00:00',0,1,4,1,0,'Linkin Park \"Waiting for the End\"','','','',5,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(49,'Coldplay Cover Rihanna\'s \'We Found Love\'','coldplay-cover-rihannas-we-found-love',10,1,'<p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n','\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum.</p>\r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat.</p>',NULL,NULL,'[]','','2011-11-29 23:03:41',42,'',0,'0000-00-00 00:00:00','2011-12-01 22:27:04',42,'2011-08-05 15:53:55','0000-00-00 00:00:00',0,1,2,0,0,'Coldplay Cover Rihanna\'s \'We Found Love\'','','','',1,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*'),(50,'David Nail in the Street summer concert','david-nail-in-the-street-summer-concert',3,1,'<p>Ut dignissim aliquet nibh tristique hendrerit. Donec ullamcorper nulla quis metus vulputate id placerat augue eleifend. Aenean venenatis consectetur orci, sit amet ultricies magna sagittis vel. Nulla non diam nisi, ut ultrices massa. Pellentesque sed nisl metus. Praesent a mi vel ante molestie venenatis.</p>\r\n','\r\n<p>Ut viverra erat id augue bibendum rutrum. Nam aliquet feugiat molestie. Maecenas tempus scelerisque tellus eu mattis. Aliquam dignissim aliquam posuere. Sed dignissim, ipsum sed sodales aliquam, erat dolor varius eros, in semper sem metus vel metus. Nullam est mauris, laoreet condimentum hendrerit et, euismod quis dolor. Nunc eleifend lacinia libero eget scelerisque. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.</p>\r\n<p>Mauris justo metus, ultrices id lobortis et, euismod sit amet metus. Maecenas sed nisl a arcu ultricies consectetur. Integer ut mollis elit. Nulla ultrices scelerisque mauris id commodo. Integer congue lectus et justo pellentesque sed semper lacus facilisis. Nunc tristique placerat odio eget rutrum.</p>\r\n<p>Vivamus eget est urna. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus mauris justo, fermentum quis mattis vel, auctor vitae metus. Maecenas non dolor ac risus faucibus luctus non id turpis. Morbi ante nibh, suscipit non adipiscing in, ornare in ipsum.</p>\r\n<p>Nullam ac odio orci, sed pretium velit. Integer sit amet justo faucibus lorem imperdiet sagittis. Proin egestas, risus in faucibus sodales, tortor turpis feugiat risus, varius laoreet dui turpis ac dolor. Nullam suscipit fringilla augue non rhoncus. Nullam ac nibh eu ipsum tristique ullamcorper. Nunc porttitor lorem id orci dapibus lacinia. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n<p>Fusce id enim id erat sodales auctor. Duis tortor nisl, condimentum vel feugiat vel, venenatis ut dolor. Donec interdum ornare ligula, vitae adipiscing diam imperdiet at. Donec facilisis, nunc sit amet ultricies adipiscing, ligula justo congue lectus, sit amet vehicula enim lorem in neque. In ultrices bibendum justo ac vehicula. Nam tincidunt blandit consequat.</p>',NULL,NULL,'[]','','2011-11-29 23:15:24',42,'',0,'0000-00-00 00:00:00','2011-12-01 22:16:43',42,'2011-08-05 15:53:55','0000-00-00 00:00:00',0,1,2,1,0,'David Nail in the Street summer concert','','','',0,'{\"catItemTitle\":\"\",\"catItemTitleLinked\":\"\",\"catItemFeaturedNotice\":\"\",\"catItemAuthor\":\"\",\"catItemDateCreated\":\"\",\"catItemRating\":\"\",\"catItemImage\":\"\",\"catItemIntroText\":\"\",\"catItemExtraFields\":\"\",\"catItemHits\":\"\",\"catItemCategory\":\"\",\"catItemTags\":\"\",\"catItemAttachments\":\"\",\"catItemAttachmentsCounter\":\"\",\"catItemVideo\":\"\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"\",\"catItemImageGallery\":\"\",\"catItemDateModified\":\"\",\"catItemReadMore\":\"\",\"catItemCommentsAnchor\":\"\",\"catItemK2Plugins\":\"\",\"itemDateCreated\":\"\",\"itemTitle\":\"\",\"itemFeaturedNotice\":\"\",\"itemAuthor\":\"\",\"itemFontResizer\":\"\",\"itemPrintButton\":\"\",\"itemEmailButton\":\"\",\"itemSocialButton\":\"\",\"itemVideoAnchor\":\"\",\"itemImageGalleryAnchor\":\"\",\"itemCommentsAnchor\":\"\",\"itemRating\":\"\",\"itemImage\":\"\",\"itemImgSize\":\"\",\"itemImageMainCaption\":\"\",\"itemImageMainCredits\":\"\",\"itemIntroText\":\"\",\"itemFullText\":\"\",\"itemExtraFields\":\"\",\"itemDateModified\":\"\",\"itemHits\":\"\",\"itemCategory\":\"\",\"itemTags\":\"\",\"itemAttachments\":\"\",\"itemAttachmentsCounter\":\"\",\"itemVideo\":\"\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"\",\"itemVideoCaption\":\"\",\"itemVideoCredits\":\"\",\"itemImageGallery\":\"\",\"itemNavigation\":\"\",\"itemComments\":\"\",\"itemTwitterButton\":\"\",\"itemFacebookButton\":\"\",\"itemGooglePlusOneButton\":\"\",\"itemAuthorBlock\":\"\",\"itemAuthorImage\":\"\",\"itemAuthorDescription\":\"\",\"itemAuthorURL\":\"\",\"itemAuthorEmail\":\"\",\"itemAuthorLatest\":\"\",\"itemAuthorLatestLimit\":\"\",\"itemRelated\":\"\",\"itemRelatedLimit\":\"\",\"itemRelatedTitle\":\"\",\"itemRelatedCategory\":\"\",\"itemRelatedImageSize\":\"\",\"itemRelatedIntrotext\":\"\",\"itemRelatedFulltext\":\"\",\"itemRelatedAuthor\":\"\",\"itemRelatedMedia\":\"\",\"itemRelatedImageGallery\":\"\",\"itemK2Plugins\":\"\"}','','robots=\nauthor=','','','*');


--
-- Table structure for table `#__k2_rating`
--



CREATE TABLE `#__k2_rating` (
  `itemID` int(11) NOT NULL DEFAULT '0',
  `rating_sum` int(11) unsigned NOT NULL DEFAULT '0',
  `rating_count` int(11) unsigned NOT NULL DEFAULT '0',
  `lastip` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`itemID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2_rating`
--


INSERT INTO `#__k2_rating` (`itemID`, `rating_sum`, `rating_count`, `lastip`) VALUES (1,5,1,'93.108.248.29'),(2,5,1,'93.108.248.29'),(3,8,2,'83.4.217.228'),(4,5,1,'93.108.248.29'),(11,5,1,'79.169.211.170'),(12,9,2,'80.51.169.8'),(7,5,1,'79.169.211.170'),(15,5,1,'93.108.248.29'),(14,4,1,'93.108.248.29'),(19,5,1,'93.108.248.29'),(16,5,1,'79.169.211.170'),(18,4,1,'79.169.211.170'),(17,4,1,'79.169.211.170'),(23,4,1,'79.169.211.170'),(22,4,1,'79.169.211.170'),(21,4,1,'79.169.211.170'),(20,5,1,'93.108.248.29'),(28,4,1,'93.108.248.29'),(6,4,1,'93.108.248.29'),(30,5,1,'93.108.248.29'),(29,5,1,'80.51.169.8'),(31,5,1,'95.93.13.97'),(32,5,1,'95.93.13.97'),(34,4,1,'95.93.13.97'),(38,4,1,'93.108.248.29'),(37,5,1,'93.108.248.29'),(33,5,1,'93.108.248.29'),(35,2,1,'80.51.169.8'),(42,4,1,'80.51.169.8'),(46,4,1,'95.93.13.97'),(43,4,1,'80.51.169.8'),(48,4,1,'95.93.13.97'),(36,5,1,'95.93.13.97'),(40,4,1,'95.93.13.97');


--
-- Table structure for table `#__k2_tags`
--



CREATE TABLE `#__k2_tags` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `published` smallint(6) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `published` (`published`),
  FULLTEXT KEY `name` (`name`)
) ENGINE=MyISAM AUTO_INCREMENT=198 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2_tags`
--


INSERT INTO `#__k2_tags` (`id`, `name`, `published`) VALUES (107,'Socom series',1),(108,'Remastered',1),(109,'HD',1),(110,'Game',1),(111,'PS3',1),(112,'Rainbow 6 Patriots',1),(113,'Portal 2',1),(114,'Puzzle Game',1),(115,'Innovative',1),(116,'Video Game',1),(117,'I am alive 2',1),(118,'2013',1),(119,'Battlefield 3',1),(120,'Shooter',1),(121,'First person',1),(122,'War',1),(123,'Multiplayer',1),(124,'Crysis 3',1),(125,'Xbox 360',1),(126,'third person',1),(127,'Firstperson',1),(128,'Fifa 2012',1),(129,'Football',1),(130,'Simulator',1),(131,'First Person Shooter',1),(132,'Final Fantasy',1),(133,'Adventure',1),(134,'Deus Ex: Human',1),(135,'Action',1),(136,'Call of Duty: Modern Warfare 3',1),(137,'FirstPerson Shooter',1),(138,'Uncharted 3',1),(139,'Drake\'s Deception',1),(140,'BorderLand 2',1),(141,'prerelease',1),(142,'Aliens: Colonial Marines',1),(143,'Batman',1),(144,'Gotahn City',1),(145,'Coming Soon',1),(146,'Homefront 2',1),(147,'Assassin\'s Creed Revelations',1),(148,'Saint\'s Row the Third',1),(149,'Team',1),(150,'Mass Efeect 3',1),(151,'Brink',1),(152,'Brazilian Pop Band',1),(153,'Cansei de Ser Sexy',1),(154,'Pop',1),(155,'Music',1),(156,'Christina Perri',1),(157,'Singer',1),(158,'Marron 5',1),(159,'Rock',1),(160,'Modern',1),(161,'U2',1),(162,'BitterSweet',1),(163,'Tour',1),(164,'Rihanna',1),(165,'Talk that Talk',1),(166,'ColdPlay',1),(167,'The B52\'s',1),(168,'Band',1),(169,'Concert',1),(170,'Gaven Degraw',1),(171,'Live',1),(172,'David Guetta',1),(173,'Disco',1),(174,'DJ',1),(175,'Rock band',1),(176,'Help',1),(177,'Professor Green',1),(178,'Rapper',1),(179,'British',1),(180,'Rap',1),(181,'BoysBand',1),(182,'Dance',1),(183,'Street',1),(184,'2011',1),(185,'Jamie Cullum',1),(186,'Pursuit Album',1),(187,'Piano',1),(188,'Explosion',1),(189,'Christina Aguilera',1),(190,'Gossip',1),(191,'JLS',1),(192,'Factor X',1),(193,'Album',1),(194,'Linkin Park',1),(195,'Paramore',1),(196,'Pink',1),(197,'Rebel',1);


--
-- Table structure for table `#__k2_tags_xref`
--



CREATE TABLE `#__k2_tags_xref` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tagID` int(11) NOT NULL,
  `itemID` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `tagID` (`tagID`),
  KEY `itemID` (`itemID`)
) ENGINE=MyISAM AUTO_INCREMENT=2464 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2_tags_xref`
--


INSERT INTO `#__k2_tags_xref` (`id`, `tagID`, `itemID`) VALUES (2313,126,2),(2312,125,2),(2311,124,2),(2349,123,3),(2310,120,2),(2309,116,2),(2463,168,35),(2462,159,35),(2461,155,35),(2457,195,36),(2456,168,36),(2455,155,36),(2454,154,36),(2439,166,49),(2449,176,37),(2448,175,37),(2447,161,37),(2446,155,37),(2431,182,28),(2430,181,28),(2429,155,28),(2428,154,28),(2423,160,30),(2422,159,30),(2421,158,30),(2420,155,30),(2413,180,31),(2412,179,31),(2411,178,31),(2410,177,31),(2409,155,31),(2339,193,40),(2438,164,49),(2437,155,49),(2357,174,41),(2356,173,41),(2436,154,49),(2419,154,30),(2301,157,43),(2300,156,43),(2299,155,43),(2387,169,44),(2386,168,44),(2385,161,44),(2384,159,44),(2348,122,3),(2375,169,45),(2374,168,45),(2373,167,45),(2331,165,46),(2330,164,46),(2329,157,46),(2328,155,46),(2347,121,3),(2346,120,3),(2393,190,12),(2403,188,47),(2365,194,48),(2364,171,48),(2363,169,48),(2362,159,48),(2345,119,3),(2308,111,2),(2383,155,44),(2382,154,44),(2402,187,47),(2401,186,47),(2400,185,47),(2399,155,47),(2372,155,45),(2298,154,43),(2355,172,41),(2354,155,41),(2338,192,40),(2337,191,40),(2336,155,40),(2445,154,37),(2321,197,1),(2320,196,1),(2319,159,1),(2318,155,1),(2327,154,46),(2371,154,45),(2293,184,50),(2292,183,50),(2291,169,50),(2290,155,50),(2392,189,12),(2391,155,12);


--
-- Table structure for table `#__k2_user_groups`
--



CREATE TABLE `#__k2_user_groups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `permissions` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2_user_groups`
--


INSERT INTO `#__k2_user_groups` (`id`, `name`, `permissions`) VALUES (1,'Registered','{\"comment\":\"1\",\"frontEdit\":\"0\",\"add\":\"0\",\"editOwn\":\"0\",\"editAll\":\"0\",\"publish\":\"0\",\"inheritance\":0,\"categories\":\"all\"}'),(2,'Site Owner','{\"comment\":\"1\",\"frontEdit\":\"1\",\"add\":\"1\",\"editOwn\":\"1\",\"editAll\":\"1\",\"publish\":\"1\",\"inheritance\":1,\"categories\":\"all\"}');


--
-- Table structure for table `#__k2_users`
--



CREATE TABLE `#__k2_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userID` int(11) NOT NULL,
  `userName` varchar(255) DEFAULT NULL,
  `gender` enum('m','f') NOT NULL DEFAULT 'm',
  `description` text NOT NULL,
  `image` varchar(255) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `group` int(11) NOT NULL DEFAULT '0',
  `plugins` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `userID` (`userID`),
  KEY `group` (`group`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__k2_users`
--


INSERT INTO `#__k2_users` (`id`, `userID`, `userName`, `gender`, `description`, `image`, `url`, `group`, `plugins`) VALUES (2,42,'Super User','m','<p>Donec sed odio dui. Maecenas faucibus mollis interdum. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Maecenas faucibus mollis interdum.</p>','','http://www.gavick.com',1,''),(3,56,'User1','m','','3.png','',1,'');


--
-- Table structure for table `#__languages`
--



CREATE TABLE `#__languages` (
  `lang_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `lang_code` char(7) NOT NULL,
  `title` varchar(50) NOT NULL,
  `title_native` varchar(50) NOT NULL,
  `sef` varchar(50) NOT NULL,
  `image` varchar(50) NOT NULL,
  `description` varchar(512) NOT NULL,
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `published` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`lang_id`),
  UNIQUE KEY `idx_sef` (`sef`),
  KEY `idx_ordering` (`ordering`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__languages`
--


INSERT INTO `#__languages` (`lang_id`, `lang_code`, `title`, `title_native`, `sef`, `image`, `description`, `metakey`, `metadesc`, `published`, `ordering`) VALUES (1,'en-GB','English (UK)','English (UK)','en','en','','','',1,0);


--
-- Table structure for table `#__menu`
--



CREATE TABLE `#__menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL COMMENT 'The type of menu this item belongs to. FK to #__menu_types.menutype',
  `title` varchar(255) NOT NULL COMMENT 'The display title of the menu item.',
  `alias` varchar(255) NOT NULL COMMENT 'The SEF alias of the menu item.',
  `note` varchar(255) NOT NULL DEFAULT '',
  `path` varchar(1024) NOT NULL COMMENT 'The computed path of the menu item based on the alias field.',
  `link` varchar(1024) NOT NULL COMMENT 'The actually link the menu item refers to.',
  `type` varchar(16) NOT NULL COMMENT 'The type of link: Component, URL, Alias, Separator',
  `published` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The published state of the menu link.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '1' COMMENT 'The parent menu item in the menu tree.',
  `level` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The relative level in the tree.',
  `component_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to #__extensions.id',
  `ordering` int(11) NOT NULL DEFAULT '0' COMMENT 'The relative ordering of the menu item in the tree.',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to #__users.id',
  `checked_out_time` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'The time the menu item was checked out.',
  `browserNav` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The click behaviour of the link.',
  `access` int(10) unsigned DEFAULT NULL,
  `img` varchar(255) NOT NULL COMMENT 'The image of the menu item.',
  `template_style_id` int(10) unsigned NOT NULL DEFAULT '0',
  `params` text NOT NULL COMMENT 'JSON encoded data for the menu item.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `home` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Indicates if this menu item is the home or default page.',
  `language` char(7) NOT NULL DEFAULT '',
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_client_id_parent_id_alias` (`client_id`,`parent_id`,`alias`),
  KEY `idx_componentid` (`component_id`,`menutype`,`published`,`access`),
  KEY `idx_menutype` (`menutype`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_path` (`path`(333)),
  KEY `idx_language` (`language`)
) ENGINE=MyISAM AUTO_INCREMENT=398 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__menu`
--


INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `ordering`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES (1,'','Menu_Item_Root','root','','','','',1,0,0,0,0,0,'0000-00-00 00:00:00',0,0,'',0,'',0,321,0,'*',0),(2,'menu','com_banners','Banners','','Banners','index.php?option=com_banners','component',0,1,1,4,0,0,'0000-00-00 00:00:00',0,0,'class:banners',0,'',1,10,0,'*',1),(3,'menu','com_banners','Banners','','Banners/Banners','index.php?option=com_banners','component',0,2,2,4,0,0,'0000-00-00 00:00:00',0,0,'class:banners',0,'',2,3,0,'*',1),(4,'menu','com_banners_categories','Categories','','Banners/Categories','index.php?option=com_categories&extension=com_banners','component',0,2,2,6,0,0,'0000-00-00 00:00:00',0,0,'class:banners-cat',0,'',4,5,0,'*',1),(5,'menu','com_banners_clients','Clients','','Banners/Clients','index.php?option=com_banners&view=clients','component',0,2,2,4,0,0,'0000-00-00 00:00:00',0,0,'class:banners-clients',0,'',6,7,0,'*',1),(6,'menu','com_banners_tracks','Tracks','','Banners/Tracks','index.php?option=com_banners&view=tracks','component',0,2,2,4,0,0,'0000-00-00 00:00:00',0,0,'class:banners-tracks',0,'',8,9,0,'*',1),(7,'menu','com_contact','Contacts','','Contacts','index.php?option=com_contact','component',0,1,1,8,0,0,'0000-00-00 00:00:00',0,0,'class:contact',0,'',139,144,0,'*',1),(8,'menu','com_contact','Contacts','','Contacts/Contacts','index.php?option=com_contact','component',0,7,2,8,0,0,'0000-00-00 00:00:00',0,0,'class:contact',0,'',140,141,0,'*',1),(9,'menu','com_contact_categories','Categories','','Contacts/Categories','index.php?option=com_categories&extension=com_contact','component',0,7,2,6,0,0,'0000-00-00 00:00:00',0,0,'class:contact-cat',0,'',142,143,0,'*',1),(10,'menu','com_messages','Messaging','','Messaging','index.php?option=com_messages','component',0,1,1,15,0,0,'0000-00-00 00:00:00',0,0,'class:messages',0,'',145,150,0,'*',1),(11,'menu','com_messages_add','New Private Message','','Messaging/New Private Message','index.php?option=com_messages&task=message.add','component',0,10,2,15,0,0,'0000-00-00 00:00:00',0,0,'class:messages-add',0,'',146,147,0,'*',1),(12,'menu','com_messages_read','Read Private Message','','Messaging/Read Private Message','index.php?option=com_messages','component',0,10,2,15,0,0,'0000-00-00 00:00:00',0,0,'class:messages-read',0,'',148,149,0,'*',1),(13,'menu','com_newsfeeds','News Feeds','','News Feeds','index.php?option=com_newsfeeds','component',0,1,1,17,0,0,'0000-00-00 00:00:00',0,0,'class:newsfeeds',0,'',151,156,0,'*',1),(14,'menu','com_newsfeeds_feeds','Feeds','','News Feeds/Feeds','index.php?option=com_newsfeeds','component',0,13,2,17,0,0,'0000-00-00 00:00:00',0,0,'class:newsfeeds',0,'',152,153,0,'*',1),(15,'menu','com_newsfeeds_categories','Categories','','News Feeds/Categories','index.php?option=com_categories&extension=com_newsfeeds','component',0,13,2,6,0,0,'0000-00-00 00:00:00',0,0,'class:newsfeeds-cat',0,'',154,155,0,'*',1),(16,'menu','com_redirect','Redirect','','Redirect','index.php?option=com_redirect','component',0,1,1,24,0,0,'0000-00-00 00:00:00',0,0,'class:redirect',0,'',165,166,0,'*',1),(17,'menu','com_search','Search','','Search','index.php?option=com_search','component',0,1,1,19,0,0,'0000-00-00 00:00:00',0,0,'class:search',0,'',157,158,0,'*',1),(18,'menu','com_weblinks','Weblinks','','Weblinks','index.php?option=com_weblinks','component',0,1,1,21,0,0,'0000-00-00 00:00:00',0,0,'class:weblinks',0,'',159,164,0,'*',1),(19,'menu','com_weblinks_links','Links','','Weblinks/Links','index.php?option=com_weblinks','component',0,18,2,21,0,0,'0000-00-00 00:00:00',0,0,'class:weblinks',0,'',160,161,0,'*',1),(20,'menu','com_weblinks_categories','Categories','','Weblinks/Categories','index.php?option=com_categories&extension=com_weblinks','component',0,18,2,6,0,0,'0000-00-00 00:00:00',0,0,'class:weblinks-cat',0,'',162,163,0,'*',1),(101,'mainmenu','Home','home','','home','index.php?option=com_content&view=featured','component',1,1,1,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"num_leading_articles\":\"1\",\"num_intro_articles\":\"3\",\"num_columns\":\"3\",\"num_links\":\"0\",\"multi_column_order\":\"1\",\"orderby_pri\":\"\",\"orderby_sec\":\"front\",\"order_date\":\"\",\"show_pagination\":\"2\",\"show_pagination_results\":\"1\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"1\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":1,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',11,12,1,'*',0),(102,'mainmenu','Template','template','','template','#','url',1,1,1,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"4\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',13,106,0,'*',0),(103,'mainmenu','Template articles','template-articles','','template/lorem-ipsum/template-articles','#','url',1,123,3,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',15,28,0,'*',0),(104,'mainmenu','Typography','typography','','template/lorem-ipsum/template-articles/typography','index.php?option=com_content&view=article&id=1','component',1,103,4,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"1\",\"link_titles\":\"0\",\"show_intro\":\"0\",\"show_category\":\"0\",\"link_category\":\"0\",\"show_parent_category\":\"0\",\"link_parent_category\":\"0\",\"show_author\":\"0\",\"link_author\":\"0\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_icons\":\"1\",\"show_print_icon\":\"1\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\" demo_typography\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\" demo_typography\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',16,17,0,'*',0),(105,'mainmenu','Error page','error-page','','template/lorem-ipsum/template-articles/error-page','?option=non-existing-component','url',1,103,4,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}',18,19,0,'*',0),(106,'mainmenu','Offline page','offline-page','','template/lorem-ipsum/template-articles/offline-page','?tmpl=offline','url',1,103,4,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',20,21,0,'*',0),(107,'mainmenu','Module positions','module-positions','','template/lorem-ipsum/module-positions','index.php?option=com_content&view=article&id=2','component',1,123,3,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"1\",\"link_titles\":\"0\",\"show_intro\":\"0\",\"show_category\":\"0\",\"link_category\":\"0\",\"show_parent_category\":\"0\",\"link_parent_category\":\"0\",\"show_author\":\"0\",\"link_author\":\"0\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_icons\":\"1\",\"show_print_icon\":\"1\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',29,30,0,'*',0),(108,'mainmenu','Messages','messages','','template/lorem-ipsum/template-articles/messages','index.php?option=com_content&view=article&id=3','component',1,103,4,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"1\",\"link_titles\":\"0\",\"show_intro\":\"0\",\"show_category\":\"0\",\"link_category\":\"0\",\"show_parent_category\":\"0\",\"link_parent_category\":\"0\",\"show_author\":\"0\",\"link_author\":\"0\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_icons\":\"1\",\"show_print_icon\":\"1\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"0\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',22,23,0,'*',0),(109,'mainmenu','Chrome frame','chrome-frame','','template/lorem-ipsum/template-articles/chrome-frame','index.php?option=com_content&view=article&id=4','component',1,103,4,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"1\",\"link_titles\":\"0\",\"show_intro\":\"0\",\"show_category\":\"0\",\"link_category\":\"0\",\"show_parent_category\":\"0\",\"link_parent_category\":\"0\",\"show_author\":\"0\",\"link_author\":\"0\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_icons\":\"1\",\"show_print_icon\":\"1\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',24,25,0,'*',0),(113,'mainmenu','Layouts','layouts','','template/lorem-ipsum-ii/layouts','#','url',1,124,3,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',37,56,0,'*',0),(114,'mainmenu','Right column','right-column','','template/lorem-ipsum-ii/layouts/right-column','index.php?option=com_content&view=article&id=6','component',1,113,4,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"0\",\"show_intro\":\"0\",\"show_category\":\"0\",\"link_category\":\"0\",\"show_parent_category\":\"0\",\"link_parent_category\":\"0\",\"show_author\":\"0\",\"link_author\":\"0\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_icons\":\"1\",\"show_print_icon\":\"1\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',38,39,0,'*',0),(115,'mainmenu','Right two columns','right-two-columns','','template/lorem-ipsum-ii/layouts/right-two-columns','index.php?option=com_content&view=article&id=7','component',1,113,4,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"1\",\"link_titles\":\"0\",\"show_intro\":\"0\",\"show_category\":\"0\",\"link_category\":\"0\",\"show_parent_category\":\"0\",\"link_parent_category\":\"0\",\"show_author\":\"0\",\"link_author\":\"0\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_icons\":\"1\",\"show_print_icon\":\"1\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',40,41,0,'*',0),(116,'mainmenu','Left column','left-column','','template/lorem-ipsum-ii/layouts/left-column','index.php?option=com_content&view=article&id=8','component',1,113,4,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"1\",\"link_titles\":\"0\",\"show_intro\":\"0\",\"show_category\":\"0\",\"link_category\":\"0\",\"show_parent_category\":\"0\",\"link_parent_category\":\"0\",\"show_author\":\"0\",\"link_author\":\"0\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_icons\":\"1\",\"show_print_icon\":\"1\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',42,43,0,'*',0),(117,'mainmenu','Left two columns','left-two-columns','','template/lorem-ipsum-ii/layouts/left-two-columns','index.php?option=com_content&view=article&id=9','component',1,113,4,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"0\",\"show_intro\":\"0\",\"show_category\":\"0\",\"link_category\":\"0\",\"show_parent_category\":\"0\",\"link_parent_category\":\"0\",\"show_author\":\"0\",\"link_author\":\"0\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_icons\":\"1\",\"show_print_icon\":\"1\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',44,45,0,'*',0),(118,'mainmenu','Content inset left','content-inset-left','','template/lorem-ipsum-ii/layouts/content-inset-left','index.php?option=com_content&view=article&id=10','component',1,113,4,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"0\",\"show_intro\":\"0\",\"show_category\":\"0\",\"link_category\":\"0\",\"show_parent_category\":\"0\",\"link_parent_category\":\"0\",\"show_author\":\"0\",\"link_author\":\"0\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_icons\":\"1\",\"show_print_icon\":\"1\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',46,47,0,'*',0),(119,'mainmenu','Content inset both','content-inset-both','','template/lorem-ipsum-ii/layouts/content-inset-both','index.php?option=com_content&view=article&id=12','component',1,113,4,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"1\",\"link_titles\":\"0\",\"show_intro\":\"0\",\"show_category\":\"0\",\"link_category\":\"0\",\"show_parent_category\":\"0\",\"link_parent_category\":\"0\",\"show_author\":\"0\",\"link_author\":\"0\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_icons\":\"1\",\"show_print_icon\":\"1\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',48,49,0,'*',0),(120,'mainmenu','Content inset right','content-inset-right','','template/lorem-ipsum-ii/layouts/content-inset-right','index.php?option=com_content&view=article&id=11','component',1,113,4,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"0\",\"show_intro\":\"0\",\"show_category\":\"0\",\"link_category\":\"0\",\"show_parent_category\":\"0\",\"link_parent_category\":\"0\",\"show_author\":\"0\",\"link_author\":\"0\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_icons\":\"1\",\"show_print_icon\":\"1\",\"show_email_icon\":\"\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',50,51,0,'*',0),(121,'mainmenu','Content inset + column','content-inset-column','','template/lorem-ipsum-ii/layouts/content-inset-column','index.php?option=com_content&view=article&id=13','component',1,113,4,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"0\",\"show_intro\":\"0\",\"show_category\":\"0\",\"link_category\":\"0\",\"show_parent_category\":\"0\",\"link_parent_category\":\"0\",\"show_author\":\"0\",\"link_author\":\"0\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_icons\":\"1\",\"show_print_icon\":\"1\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',52,53,0,'*',0),(122,'mainmenu','Content inset + column (2x)','content-inset-column-2x','','template/lorem-ipsum-ii/layouts/content-inset-column-2x','index.php?option=com_content&view=article&id=14','component',1,113,4,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"0\",\"show_intro\":\"0\",\"show_category\":\"0\",\"link_category\":\"0\",\"show_parent_category\":\"0\",\"link_parent_category\":\"0\",\"show_author\":\"0\",\"link_author\":\"0\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_icons\":\"1\",\"show_print_icon\":\"1\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',54,55,0,'*',0),(123,'mainmenu','Lorem ipsum','lorem-ipsum','','template/lorem-ipsum','#','url',1,102,2,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"1\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',14,35,0,'*',0),(124,'mainmenu','Lorem ipsum II','lorem-ipsum-ii','','template/lorem-ipsum-ii','#','url',1,102,2,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"1\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',36,105,0,'*',0),(127,'mainmenu','Module variations','module-variations','','template/lorem-ipsum/module-variations','index.php?option=com_content&view=article&id=18','component',1,123,3,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"1\",\"link_titles\":\"0\",\"show_intro\":\"0\",\"show_category\":\"0\",\"link_category\":\"0\",\"show_parent_category\":\"0\",\"link_parent_category\":\"0\",\"show_author\":\"0\",\"link_author\":\"0\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_icons\":\"1\",\"show_print_icon\":\"1\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',31,32,0,'*',0),(128,'mainmenu','Joomla pages I','joomla-pages-i','','template/lorem-ipsum-ii/joomla-pages-i','#','url',1,124,3,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',57,74,0,'*',0),(129,'mainmenu','Contact categories','contact-categories','','template/lorem-ipsum-ii/joomla-pages-i/contact-categories','index.php?option=com_contact&view=categories&id=0','component',1,128,4,8,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_base_description\":\"\",\"categories_description\":\"\",\"maxLevelcat\":\"\",\"show_empty_categories_cat\":\"\",\"show_subcat_desc_cat\":\"\",\"show_cat_items_cat\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_items\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_position_headings\":\"\",\"show_email_headings\":\"\",\"show_telephone_headings\":\"\",\"show_mobile_headings\":\"\",\"show_fax_headings\":\"\",\"show_suburb_headings\":\"\",\"show_state_headings\":\"\",\"show_country_headings\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"presentation_style\":\"\",\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',58,59,0,'*',0),(130,'mainmenu','Contacts in Category','contacts-in-category','','template/lorem-ipsum-ii/joomla-pages-i/contacts-in-category','index.php?option=com_contact&view=category&id=10','component',1,128,4,8,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_items\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_position_headings\":\"0\",\"show_email_headings\":\"\",\"show_telephone_headings\":\"1\",\"show_mobile_headings\":\"1\",\"show_fax_headings\":\"1\",\"show_suburb_headings\":\"0\",\"show_state_headings\":\"0\",\"show_country_headings\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"presentation_style\":\"\",\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',60,61,0,'*',0),(131,'mainmenu','Single Contact','single-contact','','template/lorem-ipsum-ii/joomla-pages-i/single-contact','index.php?option=com_contact&view=contact&id=1','component',1,128,4,8,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"presentation_style\":\"\",\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"show_name\":\"\",\"show_position\":\"0\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"0\",\"show_state\":\"0\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',62,63,0,'*',0),(132,'mainmenu','Weblink single category','weblink-single-category','','template/lorem-ipsum-ii/joomla-pages-i/weblink-single-category','index.php?option=com_weblinks&view=category&id=13','component',1,128,4,21,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_links\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_link_description\":\"\",\"show_link_hits\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',64,65,0,'*',0),(134,'mainmenu','Web Link Categories Link','web-link-categories-link','','template/lorem-ipsum-ii/joomla-pages-i/web-link-categories-link','index.php?option=com_weblinks&view=categories&id=0','component',1,128,4,21,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_base_description\":\"\",\"categories_description\":\"\",\"maxLevelcat\":\"-1\",\"show_empty_categories_cat\":\"\",\"show_subcat_desc_cat\":\"\",\"show_cat_num_links_cat\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_links\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_link_description\":\"\",\"show_link_hits\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',66,67,0,'*',0),(135,'mainmenu','Joomla Pages II','joomla-pages-ii','','template/lorem-ipsum-ii/joomla-pages-ii','#','url',1,124,3,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',75,90,0,'*',0),(136,'mainmenu','News feeds categories list','news-feeds-categories-list','','template/lorem-ipsum-ii/joomla-pages-ii/news-feeds-categories-list','index.php?option=com_newsfeeds&view=categories&id=0','component',1,135,4,17,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_base_description\":\"\",\"categories_description\":\"\",\"maxLevelcat\":\"\",\"show_empty_categories_cat\":\"\",\"show_subcat_desc_cat\":\"\",\"show_cat_items_cat\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_items\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_articles\":\"\",\"show_link\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_feed_image\":\"\",\"show_feed_description\":\"\",\"show_item_description\":\"\",\"feed_character_count\":\"0\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',76,77,0,'*',0),(138,'mainmenu','News feeds in a category','news-feeds-in-a-category','','template/lorem-ipsum-ii/joomla-pages-ii/news-feeds-in-a-category','index.php?option=com_weblinks&view=category&id=13','component',1,135,4,21,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_links\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_link_description\":\"\",\"show_link_hits\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',78,79,0,'*',0),(139,'mainmenu','User login','user-login','','template/lorem-ipsum-ii/joomla-pages-ii/user-login','index.php?option=com_users&view=login','component',1,135,4,25,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"login_redirect_url\":\"\",\"logindescription_show\":\"1\",\"login_description\":\"\",\"login_image\":\"\",\"logout_redirect_url\":\"\",\"logoutdescription_show\":\"1\",\"logout_description\":\"\",\"logout_image\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',80,81,0,'*',0),(140,'mainmenu','User registration','user-registration','','template/lorem-ipsum-ii/joomla-pages-ii/user-registration','index.php?option=com_users&view=registration','component',1,135,4,25,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',82,83,0,'*',0),(141,'mainmenu','User profile','user-profile','','template/lorem-ipsum-ii/joomla-pages-ii/user-profile','index.php?option=com_users&view=profile','component',1,135,4,25,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',84,85,0,'*',0),(142,'mainmenu','User remind','user-remind','','template/lorem-ipsum-ii/joomla-pages-ii/user-remind','index.php?option=com_users&view=remind','component',1,135,4,25,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',86,87,0,'*',0),(143,'mainmenu','Password reset','password-reset','','template/lorem-ipsum-ii/joomla-pages-ii/password-reset','index.php?option=com_users&view=reset','component',1,135,4,25,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',88,89,0,'*',0),(144,'mainmenu','Featured contacts','featured-contacts','','template/lorem-ipsum-ii/joomla-pages-i/featured-contacts','index.php?option=com_contact&view=featured','component',1,128,4,8,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_position_headings\":\"\",\"show_email_headings\":\"\",\"show_telephone_headings\":\"\",\"show_mobile_headings\":\"\",\"show_fax_headings\":\"\",\"show_suburb_headings\":\"\",\"show_state_headings\":\"\",\"show_country_headings\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"presentation_style\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',68,69,0,'*',0),(145,'mainmenu','Joomla pages III','joomla-pages-iii','','template/lorem-ipsum-ii/joomla-pages-iii','','url',1,124,3,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',91,104,0,'*',0),(146,'mainmenu','Archieved Articles','archieved-articles','','template/lorem-ipsum-ii/joomla-pages-iii/archieved-articles','index.php?option=com_content&view=archive','component',1,145,4,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"orderby_sec\":\"alpha\",\"order_date\":\"created\",\"display_num\":\"5\",\"filter_field\":\"hide\",\"introtext_limit\":\"100\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_hits\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',92,93,0,'*',0),(147,'mainmenu','Single Article','single-article','','template/lorem-ipsum-ii/joomla-pages-iii/single-article','index.php?option=com_content&view=article&id=46','component',1,145,4,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',94,95,0,'*',0),(148,'mainmenu','Categories List','categories-list','','template/lorem-ipsum-ii/joomla-pages-iii/categories-list','index.php?option=com_content&view=categories&id=0','component',1,145,4,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_base_description\":\"\",\"categories_description\":\"\",\"maxLevelcat\":\"\",\"show_empty_categories_cat\":\"\",\"show_subcat_desc_cat\":\"\",\"show_cat_num_articles_cat\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"4\",\"num_columns\":\"2\",\"num_links\":\"4\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_pagination_limit\":\"\",\"filter_field\":\"\",\"show_headings\":\"\",\"list_show_date\":\"\",\"date_format\":\"\",\"list_show_hits\":\"\",\"list_show_author\":\"\",\"display_num\":\"10\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',96,97,0,'*',0),(149,'mainmenu','Blog Layout','blog-layout','','template/lorem-ipsum-ii/joomla-pages-iii/blog-layout','index.php?option=com_content&view=category&layout=blog&id=24','component',1,145,4,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"layout_type\":\"blog\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"2\",\"num_columns\":\"1\",\"num_links\":\"4\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',98,99,0,'*',0),(150,'mainmenu','Category List','category-list','','template/lorem-ipsum-ii/joomla-pages-iii/category-list','index.php?option=com_content&view=category&id=7','component',1,145,4,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"page_subheading\":\"\",\"show_pagination_limit\":\"\",\"filter_field\":\"\",\"show_headings\":\"\",\"list_show_date\":\"\",\"date_format\":\"\",\"list_show_hits\":\"\",\"list_show_author\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"display_num\":\"10\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',100,101,0,'*',0),(151,'mainmenu','Featured Articles','featured-articles','','template/lorem-ipsum-ii/joomla-pages-iii/featured-articles','index.php?option=com_content&view=featured','component',1,145,4,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"featured_categories\":[\"\"],\"layout_type\":\"blog\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"3\",\"num_columns\":\"1\",\"num_links\":\"0\",\"multi_column_order\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"1\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"1\",\"show_readmore_title\":\"0\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',102,103,0,'*',0),(152,'footmenu','About Joomla!','about-joomla','','about-joomla','index.php?option=com_content&view=article&id=4','component',1,1,1,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',167,168,0,'*',0),(153,'footmenu','Features','features','','features','index.php?option=com_content&view=article&id=18','component',1,1,1,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',169,170,0,'*',0),(154,'footmenu','News','news','','news','index.php?option=com_content&view=article&id=1','component',1,1,1,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',171,172,0,'*',0),(155,'footmenu','Our services','our-services','','our-services','index.php?option=com_content&view=category&layout=blog&id=16','component',1,1,1,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"\",\"num_intro_articles\":\"\",\"num_columns\":\"\",\"num_links\":\"\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',173,174,0,'*',0),(156,'mobile-menu','Home','home-2','','home-2','index.php?option=com_content&view=featured','component',1,1,1,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"num_leading_articles\":\"1\",\"num_intro_articles\":\"3\",\"num_columns\":\"3\",\"num_links\":\"0\",\"multi_column_order\":\"1\",\"orderby_pri\":\"\",\"orderby_sec\":\"front\",\"order_date\":\"\",\"show_pagination\":\"2\",\"show_pagination_results\":\"1\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"1\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":1,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',175,176,0,'*',0),(157,'mobile-menu','Template articles','template-articles','','template-articles','','separator',1,1,1,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',177,188,0,'*',0),(158,'mobile-menu','Typography','typography','','template-articles/typography','index.php?option=com_content&view=article&id=1','component',1,157,2,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\" demo_typography\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\" demo_typography\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',178,179,0,'*',0),(159,'mobile-menu','Error page','error-page','','template-articles/error-page','?option=non-existing-component','url',1,157,2,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}',180,181,0,'*',0),(160,'mobile-menu','Offline page','offline-page','','template-articles/offline-page','?tmpl=offline','url',1,157,2,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',182,183,0,'*',0),(161,'mobile-menu','Messages','messages','','template-articles/messages','index.php?option=com_content&view=article&id=3','component',1,157,2,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',184,185,0,'*',0),(162,'mobile-menu','Chrome frame','chrome-frame','','template-articles/chrome-frame','index.php?option=com_content&view=article&id=4','component',1,157,2,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',186,187,0,'*',0),(175,'mobile-menu','Joomla pages I','joomla-pages-i','','joomla-pages-i','','separator',1,1,1,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',189,202,0,'*',0),(176,'mobile-menu','Contact categories','contact-categories','','joomla-pages-i/contact-categories','index.php?option=com_contact&view=categories&id=0','component',1,175,2,8,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_base_description\":\"\",\"categories_description\":\"\",\"maxLevelcat\":\"\",\"show_empty_categories_cat\":\"\",\"show_subcat_desc_cat\":\"\",\"show_cat_items_cat\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_items\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_position_headings\":\"\",\"show_email_headings\":\"\",\"show_telephone_headings\":\"\",\"show_mobile_headings\":\"\",\"show_fax_headings\":\"\",\"show_suburb_headings\":\"\",\"show_state_headings\":\"\",\"show_country_headings\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"presentation_style\":\"\",\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',190,191,0,'*',0),(177,'mobile-menu','Contacts in Category','contacts-in-category','','joomla-pages-i/contacts-in-category','index.php?option=com_contact&view=category&id=10','component',1,175,2,8,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_items\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_position_headings\":\"0\",\"show_email_headings\":\"\",\"show_telephone_headings\":\"1\",\"show_mobile_headings\":\"1\",\"show_fax_headings\":\"1\",\"show_suburb_headings\":\"0\",\"show_state_headings\":\"0\",\"show_country_headings\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"presentation_style\":\"\",\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',192,193,0,'*',0),(178,'mobile-menu','Single Contact','single-contact','','joomla-pages-i/single-contact','index.php?option=com_contact&view=contact&id=1','component',1,175,2,8,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"presentation_style\":\"\",\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"show_name\":\"\",\"show_position\":\"0\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"0\",\"show_state\":\"0\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',194,195,0,'*',0),(179,'mobile-menu','Weblink single category','weblink-single-category','','joomla-pages-i/weblink-single-category','index.php?option=com_weblinks&view=category&id=13','component',1,175,2,21,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_links\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_link_description\":\"\",\"show_link_hits\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',196,197,0,'*',0),(180,'mobile-menu','Web Link Categories Link','web-link-categories-link','','joomla-pages-i/web-link-categories-link','index.php?option=com_weblinks&view=categories&id=0','component',1,175,2,21,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_base_description\":\"\",\"categories_description\":\"\",\"maxLevelcat\":\"-1\",\"show_empty_categories_cat\":\"\",\"show_subcat_desc_cat\":\"\",\"show_cat_num_links_cat\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_links\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_link_description\":\"\",\"show_link_hits\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',198,199,0,'*',0),(181,'mobile-menu','Featured contacts','featured-contacts','','joomla-pages-i/featured-contacts','index.php?option=com_contact&view=featured','component',1,175,2,8,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_position_headings\":\"\",\"show_email_headings\":\"\",\"show_telephone_headings\":\"\",\"show_mobile_headings\":\"\",\"show_fax_headings\":\"\",\"show_suburb_headings\":\"\",\"show_state_headings\":\"\",\"show_country_headings\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"presentation_style\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',200,201,0,'*',0),(182,'mobile-menu','Joomla Pages II','joomla-pages-ii','','joomla-pages-ii','index.php?Itemid=','separator',1,1,1,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',203,218,0,'*',0),(183,'mobile-menu','News feeds categories list','news-feeds-categories-list','','joomla-pages-ii/news-feeds-categories-list','index.php?option=com_newsfeeds&view=categories&id=0','component',1,182,2,17,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_base_description\":\"\",\"categories_description\":\"\",\"maxLevelcat\":\"\",\"show_empty_categories_cat\":\"\",\"show_subcat_desc_cat\":\"\",\"show_cat_items_cat\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_items\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_articles\":\"\",\"show_link\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_feed_image\":\"\",\"show_feed_description\":\"\",\"show_item_description\":\"\",\"feed_character_count\":\"0\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',204,205,0,'*',0),(184,'mobile-menu','News feeds in a category','news-feeds-in-a-category','','joomla-pages-ii/news-feeds-in-a-category','index.php?option=com_weblinks&view=category&id=13','component',1,182,2,21,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_links\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_link_description\":\"\",\"show_link_hits\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',206,207,0,'*',0),(185,'mobile-menu','User login','user-login','','joomla-pages-ii/user-login','index.php?option=com_users&view=login','component',1,182,2,25,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"login_redirect_url\":\"\",\"logindescription_show\":\"1\",\"login_description\":\"\",\"login_image\":\"\",\"logout_redirect_url\":\"\",\"logoutdescription_show\":\"1\",\"logout_description\":\"\",\"logout_image\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',208,209,0,'*',0),(186,'mobile-menu','User registration','user-registration','','joomla-pages-ii/user-registration','index.php?option=com_users&view=registration','component',1,182,2,25,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',210,211,0,'*',0),(187,'mobile-menu','User profile','user-profile','','joomla-pages-ii/user-profile','index.php?option=com_users&view=profile','component',1,182,2,25,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',212,213,0,'*',0),(188,'mobile-menu','User remind','user-remind','','joomla-pages-ii/user-remind','index.php?option=com_users&view=remind','component',1,182,2,25,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',214,215,0,'*',0),(189,'mobile-menu','Password reset','password-reset','','joomla-pages-ii/password-reset','index.php?option=com_users&view=reset','component',1,182,2,25,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',216,217,0,'*',0),(190,'mobile-menu','Joomla pages III','joomla-pages-iii','','joomla-pages-iii','index.php?Itemid=','separator',1,1,1,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',219,232,0,'*',0),(191,'mobile-menu','Archieved Articles','archieved-articles','','joomla-pages-iii/archieved-articles','index.php?option=com_content&view=archive','component',1,190,2,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"orderby_sec\":\"alpha\",\"order_date\":\"created\",\"display_num\":\"5\",\"filter_field\":\"hide\",\"introtext_limit\":\"100\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_hits\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',220,221,0,'*',0),(192,'mobile-menu','Single Article','single-article','','joomla-pages-iii/single-article','index.php?option=com_content&view=article&id=4','component',1,190,2,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',222,223,0,'*',0),(193,'mobile-menu','Categories List','categories-list','','joomla-pages-iii/categories-list','index.php?option=com_content&view=categories&id=0','component',1,190,2,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_base_description\":\"\",\"categories_description\":\"\",\"maxLevelcat\":\"\",\"show_empty_categories_cat\":\"\",\"show_subcat_desc_cat\":\"\",\"show_cat_num_articles_cat\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"4\",\"num_columns\":\"2\",\"num_links\":\"4\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_pagination_limit\":\"\",\"filter_field\":\"\",\"show_headings\":\"\",\"list_show_date\":\"\",\"date_format\":\"\",\"list_show_hits\":\"\",\"list_show_author\":\"\",\"display_num\":\"10\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',224,225,0,'*',0),(194,'mobile-menu','Blog Layout','blog-layout','','joomla-pages-iii/blog-layout','index.php?option=com_content&view=category&layout=blog&id=7','component',1,190,2,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"2\",\"num_columns\":\"2\",\"num_links\":\"4\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',226,227,0,'*',0),(195,'mobile-menu','Category List','category-list','','joomla-pages-iii/category-list','index.php?option=com_content&view=category&id=7','component',1,190,2,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"page_subheading\":\"\",\"show_pagination_limit\":\"\",\"filter_field\":\"\",\"show_headings\":\"\",\"list_show_date\":\"\",\"date_format\":\"\",\"list_show_hits\":\"\",\"list_show_author\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"display_num\":\"10\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',228,229,0,'*',0),(196,'mobile-menu','Featured Articles','featured-articles','','joomla-pages-iii/featured-articles','index.php?option=com_content&view=featured','component',1,190,2,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"num_leading_articles\":\"1\",\"num_intro_articles\":\"3\",\"num_columns\":\"3\",\"num_links\":\"0\",\"multi_column_order\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',230,231,0,'*',0),(198,'mainmenu','IE6 Style','ie-6-style','','template/lorem-ipsum/template-articles/ie-6-style','index.php?option=com_content&view=article&id=23','component',1,103,4,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"1\",\"link_titles\":\"0\",\"show_intro\":\"0\",\"show_category\":\"0\",\"link_category\":\"0\",\"show_parent_category\":\"0\",\"link_parent_category\":\"0\",\"show_author\":\"0\",\"link_author\":\"0\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_icons\":\"1\",\"show_print_icon\":\"1\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"0\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',26,27,0,'*',0),(199,'mainemu','Your Profile','your-profile','','your-profile','index.php?option=com_users&view=profile','component',1,1,1,25,0,0,'0000-00-00 00:00:00',0,2,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',233,234,0,'*',0),(200,'mainemu','Edit Profile','edit-profile','','edit-profile','index.php?option=com_users&view=profile&layout=edit','component',1,1,1,25,0,0,'0000-00-00 00:00:00',0,2,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',235,236,0,'*',0),(201,'mainemu','Create Article','create-article','','create-article','index.php?option=com_content&view=form&layout=edit','component',1,1,1,22,0,0,'0000-00-00 00:00:00',0,2,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',237,238,0,'*',0),(202,'mainemu','Submit a Web Link','submit-a-web-link','','submit-a-web-link','index.php?option=com_weblinks&view=form&layout=edit','component',1,1,1,21,0,0,'0000-00-00 00:00:00',0,2,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',239,240,0,'*',0),(205,'mainmenu','Search results','search-results','','template/lorem-ipsum-ii/joomla-pages-i/search-results','index.php?option=com_search&view=search','component',1,128,4,19,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"search_areas\":\"\",\"show_date\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',70,71,0,'*',0),(272,'mainmenu','Page breaks','page-breaks','','template/lorem-ipsum/page-breaks','index.php?option=com_content&view=article&id=56','component',1,123,3,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',33,34,0,'*',0),(268,'mainmenu','Blog','blog','','blog','index.php?option=com_content&view=category&layout=blog&id=24','component',1,1,1,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"layout_type\":\"blog\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"1\",\"num_columns\":\"1\",\"num_links\":\"\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"order\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',117,118,0,'*',0),(267,'mainmenu','2011 Top Music','2011-top-music','','2011-08-04-23-47-02/k2-categories/2011-top-music','index.php?option=com_k2&view=itemlist&layout=category&task=category&id=10','component',1,236,3,10030,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"categories\":[\"10\"],\"singleCatOrdering\":\"\",\"theme\":\"default\",\"catFeedIcon\":\"1\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',129,130,0,'*',0),(236,'mainmenu','K2 Categories','k2-categories','','2011-08-04-23-47-02/k2-categories','index.php?option=com_k2&view=itemlist&layout=category&task=category&id=1','component',1,234,2,10030,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"categories\":[\"1\"],\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',122,133,0,'*',0),(237,'mainmenu','K2 User page','k2-user-page','','2011-08-04-23-47-02/k2-user-page','index.php?option=com_k2&view=itemlist&layout=user&id=42&task=user','component',1,234,2,10030,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"theme\":\"default\",\"feedLink\":\"1\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',134,135,0,'*',0),(234,'mainmenu','K2','2011-08-04-23-47-02','','2011-08-04-23-47-02','#','url',1,1,1,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',119,138,0,'*',0),(235,'mainmenu','K2 item','k2-item','','2011-08-04-23-47-02/k2-item','index.php?option=com_k2&view=item&layout=item&id=46','component',1,234,2,10030,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',120,121,0,'*',0),(238,'mainmenu','K2 Tags','k2-tags','','2011-08-04-23-47-02/k2-tags','index.php?option=com_k2&view=itemlist&layout=tag&tag=Music&task=tag','component',1,234,2,10030,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"theme\":\"default\",\"tagOrdering\":\"hits\",\"tagFeedLink\":\"1\",\"tagFeedIcon\":\"1\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',136,137,0,'*',0),(263,'mainmenu','Typography','typography','','typography','index.php?option=com_content&view=article&id=1','component',1,1,1,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',107,108,0,'*',0),(259,'mainmenu','Daily Fresh Music','daily-fresh-music','','2011-08-04-23-47-02/k2-categories/daily-fresh-music','index.php?option=com_k2&view=itemlist&layout=category&task=category&id=2','component',1,236,3,10030,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"categories\":[\"2\"],\"singleCatOrdering\":\"\",\"theme\":\"default\",\"catFeedIcon\":\"1\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',125,126,0,'*',0),(260,'mainmenu','Behind the Stage','behind-the-stage','','2011-08-04-23-47-02/k2-categories/behind-the-stage','index.php?option=com_k2&view=itemlist&layout=category&task=category&id=3','component',1,236,3,10030,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"categories\":[\"3\"],\"singleCatOrdering\":\"\",\"theme\":\"default\",\"catFeedIcon\":\"1\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',127,128,0,'*',0),(261,'mainmenu','Editors Picks','editors-picks','','2011-08-04-23-47-02/k2-categories/editors-picks','index.php?option=com_k2&view=itemlist&layout=category&task=category&id=4','component',1,236,3,10030,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"categories\":[\"4\"],\"singleCatOrdering\":\"\",\"theme\":\"default\",\"catFeedIcon\":\"1\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',123,124,0,'*',0),(273,'mainmenu','Page Break','page-break','','template/lorem-ipsum-ii/joomla-pages-i/page-break','index.php?option=com_content&view=article&id=57','component',1,128,4,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',72,73,0,'*',0),(329,'main','K2_MEDIA_MANAGER','k2mediamanager','','comk2/k2mediamanager','index.php?option=com_k2&view=media','component',0,320,2,10030,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',278,279,0,'',1),(328,'main','K2_EXTRA_FIELD_GROUPS','k2extrafieldgroups','','comk2/k2extrafieldgroups','index.php?option=com_k2&view=extrafieldsgroups','component',0,320,2,10030,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',276,277,0,'',1),(327,'main','K2_EXTRA_FIELDS','k2extrafields','','comk2/k2extrafields','index.php?option=com_k2&view=extrafields','component',0,320,2,10030,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',274,275,0,'',1),(326,'main','K2_USER_GROUPS','k2usergroups','','comk2/k2usergroups','index.php?option=com_k2&view=usergroups','component',0,320,2,10030,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',272,273,0,'',1),(325,'main','K2_USERS','k2users','','comk2/k2users','index.php?option=com_k2&view=users','component',0,320,2,10030,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',270,271,0,'',1),(324,'main','K2_COMMENTS','k2comments','','comk2/k2comments','index.php?option=com_k2&view=comments','component',0,320,2,10030,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',268,269,0,'',1),(323,'main','K2_TAGS','k2tags','','comk2/k2tags','index.php?option=com_k2&view=tags','component',0,320,2,10030,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',266,267,0,'',1),(322,'main','K2_CATEGORIES','k2categories','','comk2/k2categories','index.php?option=com_k2&view=categories','component',0,320,2,10030,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',264,265,0,'',1),(321,'main','K2_ITEMS','k2items','','comk2/k2items','index.php?option=com_k2&view=items','component',0,320,2,10030,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',262,263,0,'',1),(320,'main','COM_K2','comk2','','comk2','index.php?option=com_k2','component',0,1,1,10030,0,0,'0000-00-00 00:00:00',0,1,'../media/k2/assets/images/system/k2_16x16.png',0,'',261,282,0,'',1),(303,'mainmenu','Menu types','menu-types','','menu-types','index.php?option=com_content&view=article&id=5','component',1,1,1,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',109,116,0,'*',0),(304,'mainmenu','GK Extra Menu','gk-extra-menu','','menu-types/gk-extra-menu','index.php?option=com_content&view=article&id=17','component',1,303,2,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',110,111,0,'*',0),(305,'mainmenu','Dropline menu','dropline-menu','','menu-types/dropline-menu','index.php?option=com_content&view=article&id=16','component',1,303,2,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',112,113,0,'*',0),(306,'mainmenu','Split menu','split-menu','','menu-types/split-menu','index.php?option=com_content&view=article&id=15','component',1,303,2,22,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',114,115,0,'*',0),(307,'mainmenu','Live Performances','live-performances','','2011-08-04-23-47-02/k2-categories/live-performances','index.php?option=com_k2&view=itemlist&layout=category&task=category&id=11','component',1,236,3,10030,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"categories\":[\"11\"],\"singleCatOrdering\":\"\",\"theme\":\"default\",\"catFeedIcon\":\"1\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',131,132,0,'*',0),(310,'topnav','Rock','2011-11-19-14-23-08','','2011-11-19-14-23-08','#','url',1,1,1,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',241,242,0,'*',0),(311,'topnav','Dance','2011-11-19-14-23-19','','2011-11-19-14-23-19','dance','url',1,1,1,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',243,244,0,'*',0),(312,'topnav','Pop','2011-11-19-14-23-32','','2011-11-19-14-23-32','pop','url',1,1,1,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',245,246,0,'*',0),(313,'topnav','Techno','2011-11-19-14-23-43','','2011-11-19-14-23-43','techno','url',1,1,1,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',247,248,0,'*',0),(314,'topnav','Country','2011-11-19-14-24-02','','2011-11-19-14-24-02','country','url',1,1,1,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',249,250,0,'*',0),(315,'topnav','Metal','2011-11-19-14-24-18','','2011-11-19-14-24-18','#','url',1,1,1,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',251,252,0,'*',0),(316,'topnav','Jazz','2011-11-19-14-24-36','','2011-11-19-14-24-36','#','url',1,1,1,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',253,254,0,'*',0),(317,'topnav','World Music','2011-11-19-14-24-48','','2011-11-19-14-24-48','#','url',1,1,1,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',255,256,0,'*',0),(318,'topnav','Latin','2011-11-19-14-25-01','','2011-11-19-14-25-01','#','url',1,1,1,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',257,258,0,'*',0),(319,'topnav','Urban','2011-11-19-14-25-13','','2011-11-19-14-25-13','#','url',1,1,1,0,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"gk_showtitle\":\"1\",\"gk_desc\":\"\",\"gk_cols\":\"1\",\"gk_group\":\"0\",\"gk_class\":\"\",\"gk_subcontent\":\"0\",\"gk_subcontent_pos_positions\":\"menu1\"}',259,260,0,'*',0),(330,'main','K2_INFORMATION','k2information','','comk2/k2information','index.php?option=com_k2&view=info','component',0,320,2,10030,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',280,281,0,'',1);


--
-- Table structure for table `#__menu_types`
--



CREATE TABLE `#__menu_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL,
  `title` varchar(48) NOT NULL,
  `description` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_menutype` (`menutype`)
) ENGINE=MyISAM AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__menu_types`
--


INSERT INTO `#__menu_types` (`id`, `menutype`, `title`, `description`) VALUES (1,'mainmenu','Main Menu','The main menu for the site'),(2,'footmenu','Footer menu',''),(3,'mobile-menu','Mobile menu','Menu for mobile devices'),(4,'mainemu','User Menu',''),(8,'topnav','Top nav','');


--
-- Table structure for table `#__messages`
--



CREATE TABLE `#__messages` (
  `message_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id_from` int(10) unsigned NOT NULL DEFAULT '0',
  `user_id_to` int(10) unsigned NOT NULL DEFAULT '0',
  `folder_id` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `date_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `priority` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `subject` varchar(255) NOT NULL DEFAULT '',
  `message` text NOT NULL,
  PRIMARY KEY (`message_id`),
  KEY `useridto_state` (`user_id_to`,`state`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__messages`
--




--
-- Table structure for table `#__messages_cfg`
--



CREATE TABLE `#__messages_cfg` (
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `cfg_name` varchar(100) NOT NULL DEFAULT '',
  `cfg_value` varchar(255) NOT NULL DEFAULT '',
  UNIQUE KEY `idx_user_var_name` (`user_id`,`cfg_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__messages_cfg`
--




--
-- Table structure for table `#__modules`
--



CREATE TABLE `#__modules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `content` text NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `position` varchar(50) NOT NULL DEFAULT '',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `module` varchar(50) DEFAULT NULL,
  `access` int(10) unsigned DEFAULT NULL,
  `showtitle` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `params` text NOT NULL,
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `published` (`published`,`access`),
  KEY `newsfeeds` (`module`,`published`),
  KEY `idx_language` (`language`)
) ENGINE=MyISAM AUTO_INCREMENT=283 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__modules`
--


INSERT INTO `#__modules` (`id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES (1,'Main Menu','','',1,'position-7',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_menu',1,1,'{\"menutype\":\"mainmenu\",\"startLevel\":\"0\",\"endLevel\":\"0\",\"showAllChildren\":\"0\",\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"\",\"moduleclass_sfx\":\"_menu\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}',0,'*'),(2,'Login','','',1,'login',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_login',1,1,'',1,'*'),(3,'Popular Articles','','',3,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_popular',3,1,'{\"count\":\"5\",\"catid\":\"\",\"user_id\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\",\"automatic_title\":\"1\"}',1,'*'),(4,'Recently Added Articles','','',4,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_latest',3,1,'{\"count\":\"5\",\"ordering\":\"c_dsc\",\"catid\":\"\",\"user_id\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\",\"automatic_title\":\"1\"}',1,'*'),(6,'Unread Messages','','',1,'header',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_unread',3,1,'',1,'*'),(7,'Online Users','','',2,'header',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_online',3,1,'',1,'*'),(8,'Toolbar','','',1,'toolbar',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_toolbar',3,1,'',1,'*'),(9,'Quick Icons','','',1,'icon',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_quickicon',3,1,'',1,'*'),(10,'Logged-in Users','','',2,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_logged',3,1,'{\"count\":\"5\",\"name\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\",\"automatic_title\":\"1\"}',1,'*'),(12,'Admin Menu','','',1,'menu',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_menu',3,1,'{\"layout\":\"\",\"moduleclass_sfx\":\"\",\"shownew\":\"1\",\"showhelp\":\"1\",\"cache\":\"0\"}',1,'*'),(13,'Admin Submenu','','',1,'submenu',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_submenu',3,1,'',1,'*'),(14,'User Status','','',2,'status',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_status',3,1,'',1,'*'),(15,'Title','','',1,'title',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_title',3,1,'',1,'*'),(16,'Sign In','','',1,'login',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_login',1,0,'{\"pretext\":\"Log in to your account or \",\"posttext\":\"\",\"login\":\"\",\"logout\":\"\",\"greeting\":\"1\",\"name\":\"0\",\"usesecure\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}',0,'*'),(19,'Right column (right-top)','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris aliquam tincidunt velit id varius. Sed arcu quam, tempus eu facilisis non, pulvinar at ligula. Duis sem sapien, sollicitudin eu sollicitudin sed, dignissim vitae arcu. Integer consequat dui nec nisl scelerisque hendrerit.</p>',7,'right_top',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(23,'Left column (left-bottom)','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris aliquam tincidunt velit id varius. Sed arcu quam, tempus eu facilisis non, pulvinar at ligula. Duis sem sapien, sollicitudin eu sollicitudin sed, dignissim vitae arcu. Integer consequat dui nec nisl scelerisque hendrerit.</p>',1,'left_bottom',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(20,'Right column (right-left)','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris aliquam tincidunt velit id varius. Sed arcu quam, tempus eu facilisis non, pulvinar at ligula. Duis sem sapien, sollicitudin eu sollicitudin sed, dignissim vitae arcu. Integer consequat dui nec nisl scelerisque hendrerit.</p>',1,'right_left',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(22,'Right column (right-bottom)','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris aliquam tincidunt velit id varius. Sed arcu quam, tempus eu facilisis non, pulvinar at ligula. Duis sem sapien, sollicitudin eu sollicitudin sed, dignissim vitae arcu. Integer consequat dui nec nisl scelerisque hendrerit.</p>',1,'right_bottom',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(21,'Right column (right-right)','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris aliquam tincidunt velit id varius. Sed arcu quam, tempus eu facilisis non, pulvinar at ligula. Duis sem sapien, sollicitudin eu sollicitudin sed, dignissim vitae arcu. Integer consequat dui nec nisl scelerisque hendrerit.</p>',1,'right_right',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(24,'Left column (left-top)','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris aliquam tincidunt velit id varius. Sed arcu quam, tempus eu facilisis non, pulvinar at ligula. Duis sem sapien, sollicitudin eu sollicitudin sed, dignissim vitae arcu. Integer consequat dui nec nisl scelerisque hendrerit.</p>',1,'left_top',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(25,'Left column (left-right)','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris aliquam tincidunt velit id varius. Sed arcu quam, tempus eu facilisis non, pulvinar at ligula. Duis sem sapien, sollicitudin eu sollicitudin sed, dignissim vitae arcu. Integer consequat dui nec nisl scelerisque hendrerit.</p>',1,'left_right',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(26,'Left column (left-left)','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris aliquam tincidunt velit id varius. Sed arcu quam, tempus eu facilisis non, pulvinar at ligula. Duis sem sapien, sollicitudin eu sollicitudin sed, dignissim vitae arcu. Integer consequat dui nec nisl scelerisque hendrerit.</p>',1,'left_left',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(27,'Inset left (inset1)','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris aliquam tincidunt velit id varius. Sed arcu quam, tempus eu facilisis non, pulvinar at ligula. Duis sem sapien, sollicitudin eu sollicitudin sed, dignissim vitae arcu. Integer consequat dui nec nisl scelerisque hendrerit.</p>',1,'inset1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(29,'Inset right (inset2)','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris aliquam tincidunt velit id varius. Sed arcu quam, tempus eu facilisis non, pulvinar at ligula. Duis sem sapien, sollicitudin eu sollicitudin sed, dignissim vitae arcu. Integer consequat dui nec nisl scelerisque hendrerit.</p>',1,'inset2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(30,'Mainbody bottom (mainbody_bottom)','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris aliquam tincidunt velit id varius. Sed arcu quam, tempus eu facilisis non, pulvinar at ligula. Duis sem sapien, sollicitudin eu sollicitudin sed, dignissim vitae arcu. Integer consequat dui nec nisl scelerisque hendrerit.</p>',2,'mainbody_bottom',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(31,'Top module (top)','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris aliquam tincidunt velit id varius. Sed arcu quam, tempus eu facilisis non, pulvinar at ligula. Duis sem sapien, sollicitudin eu sollicitudin sed, dignissim vitae arcu. Integer consequat dui nec nisl scelerisque hendrerit.</p>',1,'top',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(32,'Bottom module (bottom)','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris aliquam tincidunt velit id varius. Sed arcu quam, tempus eu facilisis non, pulvinar at ligula. Duis sem sapien, sollicitudin eu sollicitudin sed, dignissim vitae arcu. Integer consequat dui nec nisl scelerisque hendrerit.</p>',1,'bottom',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(36,'Suffix \" small\"','','',1,'top7',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_articles_latest',1,1,'{\"catid\":[\"\"],\"count\":\"4\",\"show_featured\":\"\",\"ordering\":\"c_dsc\",\"user_id\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" small\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(37,'Suffix \" color4\"','','',1,'top2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_articles_latest',1,1,'{\"catid\":[\"\"],\"count\":\"4\",\"show_featured\":\"\",\"ordering\":\"c_dsc\",\"user_id\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" color4\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(38,'Suffix \" color3\"','','',1,'top1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_articles_latest',1,1,'{\"catid\":[\"\"],\"count\":\"4\",\"show_featured\":\"\",\"ordering\":\"c_dsc\",\"user_id\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" color3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(40,'Suffix \" border1\"','','<ul>\r\n<li><a href=\"#\">Maecenas faucibus</a></li>\r\n<li><a href=\"#\">Vivamus sagittis.</a></li>\r\n<li><a href=\"#\">Praesent commodo.</a></li>\r\n</ul>',1,'top3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" border1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(264,'Suffix \" title1b\"  ','','<ul>\r\n<li><a href=\"#\">Maecenas faucibus mollis interdum.</a></li>\r\n<li><a href=\"#\">Vivamus sagittis lacus vel augue laoreet.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus magna.</a></li>\r\n</ul>\r\n<p>Vestibulum id ligula porta felis euismod semper. <strong>Donec ullamcorper nulla non</strong> metus auctor fringilla. Nulla vitae elit libero, a pharetra augue. Cras dapibus ac facilisis in, egestas <em>eget quam</em>.</p>',3,'top7',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" title1b\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(41,'Suffix \" title2a\" ','','<ul>\r\n<li><a href=\"#\">Maecenas faucibus mollis interdum.</a></li>\r\n<li><a href=\"#\">Vivamus sagittis lacus vel augue laoreet.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus magna.</a></li>\r\n</ul>',2,'top8',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" title2a\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(263,'Suffix \" border2\" ','','<ul>\r\n<li><a href=\"#\">Maecenas faucibus</a></li>\r\n<li><a href=\"#\">Vivamus sagittis.</a></li>\r\n<li><a href=\"#\">Praesent commodo.</a></li>\r\n</ul>',1,'top4',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" border2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(42,'Suffix \" twolines color2\" ','','<ul>\r\n<li><a href=\"#\">Maecenas faucibus mollis interdum.</a></li>\r\n<li><a href=\"#\">Vivamus sagittis lacus vel augue laoreet.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus magna.</a></li>\r\n</ul>\r\n<p>Vestibulum id ligula porta felis euismod semper. <strong>Donec ullamcorper nulla non</strong> metus auctor fringilla. Nulla vitae elit libero, a pharetra augue. Cras dapibus ac facilisis in, egestas <em>eget quam</em>. Maecenas sed diam eget risus varius blandit sit amet non magna. Integer posuere. Cum <a href=\"#\">sociis natoque</a> penatibus et magnis dis parturient montes, nascetur ridiculus mus.</p>',1,'top3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" twolines color2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(51,'Suffix \"_menu\"','','<ul class=\"menu\">\r\n<li class=\"first\"><a id=\"menu101\" class=\" first\" href=\"./\" title=\"Home\"> <span class=\"menu-title\">Home</span> </a></li>\r\n<li class=\"active\"><a id=\"menu102\" class=\" haschild active\" href=\"#\" title=\"Template\"> <span class=\"menu-title\">Template</span> </a></li>\r\n<li><a id=\"menu263\" href=\"index.php?option=com_content&amp;view=article&amp;id=1&amp;Itemid=263\" title=\"Typography\"> <span class=\"menu-title\">Typography</span> </a></li>\r\n<li class=\"haschild\"><a id=\"menu234\" class=\" haschild\" href=\"http://getk2.org/\" target=\"_blank\" title=\"K2\"> <span class=\"menu-title\">K2</span> </a>\r\n<ul>\r\n<li class=\"first\"><a id=\"menu235\" class=\" first\" href=\"index.php?option=com_k2&amp;view=item&amp;layout=item&amp;id=3&amp;Itemid=235\" title=\"K2 item\"> <span class=\"menu-title\">K2 item</span> </a></li>\r\n<li class=\"last\"><a id=\"menu238\" class=\" last\" href=\"index.php?option=com_k2&amp;view=itemlist&amp;layout=tag&amp;tag=photo&amp;task=tag&amp;Itemid=238\" title=\"K2 Tags\"> <span class=\"menu-title\">K2 Tags</span> </a></li>\r\n</ul>\r\n</li>\r\n<li><a id=\"menu268\" href=\"index.php?option=com_content&amp;view=category&amp;layout=blog&amp;id=24&amp;Itemid=268\" title=\"Blog\"> <span class=\"menu-title\">Blog</span> </a></li>\r\n<li><a id=\"menu264\" href=\"index.php?option=com_contact&amp;view=contact&amp;id=1&amp;Itemid=264\" title=\"Contact\"> <span class=\"menu-title\">Contact</span> </a></li>\r\n</ul>',1,'right_top',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"_menu \",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(218,'K2 Tags (2)','','',2,'right_bottom',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_k2_tools',1,1,'{\"moduleclass_sfx\":\" dark\",\"module_usage\":\"7\",\"archiveItemsCounter\":\"1\",\"archiveCategory\":\"0\",\"authors_module_category\":\"0\",\"authorItemsCounter\":\"1\",\"authorAvatar\":\"1\",\"authorAvatarWidthSelect\":\"custom\",\"authorAvatarWidth\":\"50\",\"authorLatestItem\":\"1\",\"calendarCategory\":\"0\",\"home\":\"\",\"seperator\":\"\",\"root_id\":\"0\",\"end_level\":\"\",\"categoriesListOrdering\":\"\",\"categoriesListItemsCounter\":\"1\",\"root_id2\":\"0\",\"catfilter\":\"0\",\"getChildren\":\"0\",\"liveSearch\":\"\",\"width\":\"20\",\"text\":\"\",\"button\":\"\",\"imagebutton\":\"\",\"button_text\":\"\",\"min_size\":\"75\",\"max_size\":\"300\",\"cloud_limit\":\"20\",\"cloud_category\":[\"1\",\"2\",\"3\",\"4\"],\"cloud_category_recursive\":\"1\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),(52,'Suffix \"_text\"','','',1,'right_bottom',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_banners',1,1,'{\"target\":\"1\",\"count\":\"5\",\"cid\":\"0\",\"catid\":[\"3\"],\"tag_search\":\"0\",\"ordering\":\"0\",\"header_text\":\"Featured Links:\",\"footer_text\":\"<a href=\\\"http:\\/\\/www.joomla.org\\\">Ads by Joomla!<\\/a>\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"_text\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),(53,'Suffix \" clear\" ','','<p>Suffix <strong>clear</strong> - without title, background, padding, margin and borders. Most useful for banners, static images or flash elements.</p>',1,'mainbody_bottom',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" clear\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(65,'Search','','',0,'search',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_search',1,0,'{\"label\":\"\",\"width\":\"20\",\"text\":\"\",\"button\":\"\",\"button_pos\":\"right\",\"imagebutton\":\"\",\"button_text\":\"\",\"set_itemid\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}',0,'*'),(66,'Breadcrumbs','','',1,'breadcrumb',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_breadcrumbs',1,0,'{\"showHere\":\"1\",\"showHome\":\"1\",\"homeText\":\"Home\",\"showLast\":\"1\",\"separator\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}',0,'*'),(68,'Footer menu','','',1,'footer_nav',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_menu',1,0,'{\"menutype\":\"footmenu\",\"startLevel\":\"1\",\"endLevel\":\"1\",\"showAllChildren\":\"0\",\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}',0,'*'),(165,'K2 Tags on Tabs','','',1,'tab3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_k2_tools',1,0,'{\"moduleclass_sfx\":\"\",\"module_usage\":\"7\",\"archiveItemsCounter\":\"1\",\"archiveCategory\":\"0\",\"authors_module_category\":\"0\",\"authorItemsCounter\":\"1\",\"authorAvatar\":\"1\",\"authorAvatarWidthSelect\":\"custom\",\"authorAvatarWidth\":\"50\",\"authorLatestItem\":\"1\",\"calendarCategory\":\"0\",\"home\":\"\",\"seperator\":\"\",\"root_id\":\"0\",\"end_level\":\"\",\"categoriesListOrdering\":\"\",\"categoriesListItemsCounter\":\"1\",\"root_id2\":\"0\",\"catfilter\":\"0\",\"getChildren\":\"0\",\"liveSearch\":\"\",\"width\":\"20\",\"text\":\"\",\"button\":\"\",\"imagebutton\":\"\",\"button_text\":\"\",\"min_size\":\"75\",\"max_size\":\"200\",\"cloud_limit\":\"20\",\"cloud_category\":[\"1\",\"2\",\"3\",\"4\",\"5\",\"6\",\"7\",\"8\"],\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),(193,'Header','','<strong>MYFOLIO |</strong> we\'re all about clean and unique design',1,'header',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" header\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(107,'Demo banner','','<img src=\"images/banners/dummy_banner2.png\" alt=\"banner\" />',4,'inset1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,0,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" advert\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(112,'NSP GK4 suffix \" nsp\"','','',1,'mainbody_bottom',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\" nsp\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"k2_categories\",\"com_categories\":[\"2\",\"7\",\"8\",\"9\",\"24\"],\"com_articles\":\"\",\"k2_categories\":[\"1\",\"10\",\"3\",\"2\",\"4\"],\"k2_articles\":\"\",\"redshop_products\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"DESC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"10\",\"news_portal_mode_2_amount\":\"10\",\"news_portal_mode_3_amount\":\"10\",\"news_portal_mode_4_amount\":\"10\",\"news_full_pages\":\"3\",\"news_column\":\"2\",\"news_rows\":\"1\",\"top_interface_style\":\"arrows_with_pagination\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"17\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"80\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE %CATEGORY\",\"info2_format\":\"\",\"category_link\":\"1\",\"date_format\":\"d-m-Y H:i\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"news_content_rs_pos\":\"left\",\"news_content_rs_float\":\"none\",\"art_padding\":\"0 16px 0 0\",\"news_header_order\":\"2\",\"news_header_enabled\":\"1\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"3\",\"news_text_enabled\":\"1\",\"news_info_order\":\"4\",\"news_info_enabled\":\"1\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_rs_store_order\":\"6\",\"news_rs_store_enabled\":\"1\",\"news_content_readmore_pos\":\"left\",\"news_readmore_enabled\":\"1\",\"news_short_pages\":\"3\",\"links_amount\":\"3\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"arrows\",\"links_margin\":\"0\",\"links_position\":\"right\",\"links_width\":\"30\",\"show_list_description\":\"1\",\"list_title_limit_type\":\"chars\",\"list_title_limit\":\"25\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"70\",\"memory_limit\":\"128M\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"1\",\"img_auto_scale\":\"1\",\"img_keep_aspect_ratio\":\"1\",\"img_width\":\"185\",\"img_height\":\"120\",\"img_margin\":\"0 0 20px\",\"img_bg\":\"#fff\",\"img_stretch\":\"1\",\"img_quality\":\"100\",\"cache_time\":\"30\",\"simple_crop_top\":\"0\",\"simple_crop_bottom\":\"0\",\"simple_crop_left\":\"0\",\"simple_crop_right\":\"0\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"rs_out_of_stock\":\"1\",\"rs_add_to_cart\":\"0\",\"rs_price\":\"0\",\"rs_price_text\":\"0\",\"rs_currency_place\":\"before\",\"rs_price_with_vat\":\"1\",\"rs_show_default_cart_button\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(194,'Suffix \" twolines\"','','<ul>\r\n<li><a href=\"#\">Maecenas faucibus mollis interdum.</a></li>\r\n<li><a href=\"#\">Vivamus sagittis lacus vel augue laoreet.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus magna.</a></li>\r\n</ul>\r\n<p>Vestibulum id ligula porta felis euismod semper. <strong>Donec ullamcorper nulla non</strong> metus auctor fringilla. Nulla vitae elit libero, a pharetra augue. Cras dapibus ac facilisis in, egestas <em>eget quam</em>. Maecenas sed diam eget risus varius blandit sit amet non magna. Integer posuere. Cum <a href=\"#\">sociis natoque</a> penatibus et magnis dis parturient montes, nascetur ridiculus mus.</p>',2,'top1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" twolines\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(214,'Tags','','',1,'right_bottom',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_k2_tools',1,1,'{\"moduleclass_sfx\":\" dark\",\"module_usage\":\"7\",\"archiveItemsCounter\":\"1\",\"archiveCategory\":\"0\",\"authors_module_category\":\"0\",\"authorItemsCounter\":\"1\",\"authorAvatar\":\"1\",\"authorAvatarWidthSelect\":\"custom\",\"authorAvatarWidth\":\"50\",\"authorLatestItem\":\"1\",\"calendarCategory\":\"0\",\"home\":\"\",\"seperator\":\"\",\"root_id\":\"0\",\"end_level\":\"\",\"categoriesListOrdering\":\"\",\"categoriesListItemsCounter\":\"1\",\"root_id2\":\"0\",\"catfilter\":\"0\",\"getChildren\":\"0\",\"liveSearch\":\"\",\"width\":\"20\",\"text\":\"\",\"button\":\"\",\"imagebutton\":\"\",\"button_text\":\"\",\"min_size\":\"75\",\"max_size\":\"300\",\"cloud_limit\":\"30\",\"cloud_category\":[\"0\"],\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),(129,'Local News','','<ul>\r\n<li><a href=\"#\">Alabama students finally graduate</a></li>\r\n<li><a href=\"#\">Saving lives in America\'s waterways</a></li>\r\n<li><a href=\"#\">DMan shot in thigh still in hospital</a></li>\r\n</ul>',1,'bottom1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(130,'Entertainment','','<ul>\r\n<li><a href=\"#\">Games: BattleField 3 on Oct\'2011</a></li>\r\n<li><a href=\"#\">Fans: Socom 4 is not as expected</a></li>\r\n<li><a href=\"#\">Best Pranks on video</a></li>\r\n</ul>',1,'bottom8',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(131,'Meet Pleople, meet Places','','<ul>\r\n<li><a href=\"#\">Paris: the city of light</a></li>\r\n<li><a href=\"#\">Lisbon: old and modern become one</a></li>\r\n<li><a href=\"#\">New York: Capital of the World</a></li>\r\n</ul>',1,'bottom3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(132,'Inside the Middle East','','<ul>\r\n<li><a href=\"#\">LGas-guzzling Gulf cities green</a></li>\r\n<li><a href=\"#\">Eco-tourism in Lebanon\'s forests</a></li>\r\n<li><a href=\"#\">Saving the Arabian oryx</a></li>\r\n</ul>',1,'bottom9',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(133,'Crime Investigation','','<ul>\r\n<li><a href=\"#\">Sex trafficking in Bosnia</a></li>\r\n<li><a href=\"#\">Steven Seagal: Lawman will allow</a></li>\r\n<li><a href=\"#\">Disturbing truth behind who kill</a></li>\r\n</ul>',1,'bottom4',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(134,'Specialist Review','','<ul>\r\n<li><a href=\"#\">The event that scares hackers</a></li>\r\n<li><a href=\"#\">Fran Goswell review U.S. crisis</a></li>\r\n<li><a href=\"#\">How to get profitable enterprise</a></li>\r\n</ul>',1,'bottom10',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(135,'Real Stories from real people','','<ul>\r\n<li><a href=\"#\">Carmen June lost his way</a></li>\r\n<li><a href=\"#\">C.Mountain reveals his projects</a></li>\r\n<li><a href=\"#\">Direct speech from Joseph Straw</a></li>\r\n</ul>',1,'bottom7',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(136,'Radical Sports','','<ul>\r\n<li><a href=\"#\">The Nissan Freeride World Tour</a></li>\r\n<li><a href=\"#\">Oulun Karpat and Swedish Team</a></li>\r\n<li><a href=\"#\">Ane takes 2nd place in Squaw.</a></li>\r\n</ul>',1,'bottom2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(138,'Breadcrumbs Mainbody','','',1,'breadcrumb_mainbody',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_breadcrumbs',1,0,'{\"showHere\":\"1\",\"showHome\":\"1\",\"homeText\":\"Home\",\"showLast\":\"1\",\"separator\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}',0,'*'),(195,'Suffix \" twolines color1\"','','<ul>\r\n<li><a href=\"#\">Maecenas faucibus mollis interdum.</a></li>\r\n<li><a href=\"#\">Vivamus sagittis lacus vel augue laoreet.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus magna.</a></li>\r\n</ul>\r\n<p>Vestibulum id ligula porta felis euismod semper. <strong>Donec ullamcorper nulla non</strong> metus auctor fringilla. Nulla vitae elit libero, a pharetra augue. Cras dapibus ac facilisis in, egestas <em>eget quam</em>. Maecenas sed diam eget risus varius blandit sit amet non magna. Integer posuere. Cum <a href=\"#\">sociis natoque</a> penatibus et magnis dis.</p>',1,'top2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" twolines color1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(145,'K2 Comments','','',1,'tab6',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_k2_comments',1,0,'{\"moduleclass_sfx\":\"\",\"module_usage\":\"0\",\"catfilter\":\"0\",\"comments_limit\":\"4\",\"comments_word_limit\":\"7\",\"commenterName\":\"1\",\"commentAvatar\":\"1\",\"commentAvatarWidthSelect\":\"custom\",\"commentAvatarWidth\":\"50\",\"commentDate\":\"0\",\"commentDateFormat\":\"absolute\",\"commentLink\":\"1\",\"itemTitle\":\"0\",\"itemCategory\":\"0\",\"feed\":\"1\",\"commenters_limit\":\"3\",\"commenterNameOrUsername\":\"1\",\"commenterAvatar\":\"1\",\"commenterAvatarWidthSelect\":\"custom\",\"commenterAvatarWidth\":\"50\",\"commenterLink\":\"0\",\"commenterCommentsCounter\":\"0\",\"commenterLatestComment\":\"1\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),(148,'K2 Categories','','',1,'right_top',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_k2_tools',1,1,'{\"moduleclass_sfx\":\"_menu\",\"module_usage\":\"4\",\"archiveItemsCounter\":\"1\",\"archiveCategory\":\"0\",\"authors_module_category\":\"0\",\"authorItemsCounter\":\"1\",\"authorAvatar\":\"1\",\"authorAvatarWidthSelect\":\"custom\",\"authorAvatarWidth\":\"50\",\"authorLatestItem\":\"1\",\"calendarCategory\":\"0\",\"home\":\"\",\"seperator\":\"\",\"root_id\":\"1\",\"end_level\":\"\",\"categoriesListOrdering\":\"\",\"categoriesListItemsCounter\":\"1\",\"root_id2\":\"0\",\"catfilter\":\"0\",\"getChildren\":\"0\",\"liveSearch\":\"\",\"width\":\"20\",\"text\":\"\",\"button\":\"\",\"imagebutton\":\"\",\"button_text\":\"\",\"min_size\":\"75\",\"max_size\":\"300\",\"cloud_limit\":\"30\",\"cloud_category\":[\"0\"],\"cloud_category_recursive\":\"0\",\"customCode\":\"\",\"parsePhp\":\"0\",\"K2Plugins\":\"0\",\"JPlugins\":\"0\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),(150,'K2 QuickIcons (admin)','','',99,'icon',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_k2_quickicons',1,1,'',1,'*'),(151,'K2 Stats (admin)','','',0,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_k2_stats',1,1,'',1,'*'),(152,'Sport News','','',2,'mainbody',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\" nsp no_vmargin\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"k2_categories\",\"com_categories\":[\"7\",\"8\",\"9\"],\"com_articles\":\"\",\"k2_categories\":[\"8\"],\"k2_articles\":\"22,22,22,22\",\"news_sort_value\":\"created\",\"news_sort_order\":\"DESC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"10\",\"news_portal_mode_2_amount\":\"10\",\"news_portal_mode_3_amount\":\"10\",\"news_portal_mode_4_amount\":\"10\",\"news_full_pages\":\"1\",\"news_column\":\"1\",\"news_rows\":\"1\",\"top_interface_style\":\"arrows_with_pagination\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"40\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"100\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE %HITS %CATEGORY %AUTHOR\",\"info2_format\":\"\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"art_padding\":\"0 10px 0 0\",\"news_header_order\":\"1\",\"news_header_enabled\":\"1\",\"news_image_order\":\"3\",\"news_image_enabled\":\"1\",\"news_text_order\":\"4\",\"news_text_enabled\":\"1\",\"news_info_order\":\"2\",\"news_info_enabled\":\"0\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"1\",\"news_content_readmore_pos\":\"after\",\"news_readmore_enabled\":\"1\",\"news_short_pages\":\"1\",\"links_amount\":\"3\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"arrows_with_counter\",\"links_margin\":\"0 0 0 5px\",\"links_position\":\"right\",\"links_width\":\"48\",\"show_list_description\":\"1\",\"list_title_limit_type\":\"chars\",\"list_title_limit\":\"30\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"95\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"1\",\"img_keep_aspect_ratio\":\"0\",\"img_width\":\"225\",\"img_height\":\"141\",\"img_margin\":\"0 0 0 0\",\"img_bg\":\"#000\",\"img_stretch\":\"1\",\"img_quality\":\"95\",\"cache_time\":\"30\",\"simple_crop_top\":\"10\",\"simple_crop_bottom\":\"10\",\"simple_crop_left\":\"10\",\"simple_crop_right\":\"10\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(153,'Health','','',3,'mainbody',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\" nsp green no_vmargin\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"k2_categories\",\"com_categories\":[\"7\",\"8\",\"9\"],\"com_articles\":\"\",\"k2_categories\":[\"7\"],\"k2_articles\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"DESC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"10\",\"news_portal_mode_2_amount\":\"10\",\"news_portal_mode_3_amount\":\"10\",\"news_portal_mode_4_amount\":\"10\",\"news_full_pages\":\"1\",\"news_column\":\"1\",\"news_rows\":\"1\",\"top_interface_style\":\"arrows_with_pagination\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"60\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"100\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE %HITS %CATEGORY %AUTHOR\",\"info2_format\":\"\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"art_padding\":\"0 10px 0 0\",\"news_header_order\":\"1\",\"news_header_enabled\":\"1\",\"news_image_order\":\"3\",\"news_image_enabled\":\"1\",\"news_text_order\":\"4\",\"news_text_enabled\":\"1\",\"news_info_order\":\"2\",\"news_info_enabled\":\"0\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"1\",\"news_content_readmore_pos\":\"after\",\"news_readmore_enabled\":\"1\",\"news_short_pages\":\"1\",\"links_amount\":\"3\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"arrows_with_counter\",\"links_margin\":\"0 0 0 5px\",\"links_position\":\"right\",\"links_width\":\"48\",\"show_list_description\":\"1\",\"list_title_limit_type\":\"chars\",\"list_title_limit\":\"30\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"95\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"1\",\"img_keep_aspect_ratio\":\"0\",\"img_width\":\"224\",\"img_height\":\"140\",\"img_margin\":\"6px 14px 0 0\",\"img_bg\":\"#FFF\",\"img_stretch\":\"1\",\"img_quality\":\"95\",\"cache_time\":\"30\",\"simple_crop_top\":\"10\",\"simple_crop_bottom\":\"10\",\"simple_crop_left\":\"10\",\"simple_crop_right\":\"10\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(154,'Business','','',2,'inset1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\" nsp blue big_title\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"k2_categories\",\"com_categories\":[\"29\"],\"com_articles\":\"\",\"k2_categories\":[\"4\",\"3\"],\"k2_articles\":\"7\",\"news_sort_value\":\"created\",\"news_sort_order\":\"DESC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"10\",\"news_portal_mode_2_amount\":\"10\",\"news_portal_mode_3_amount\":\"10\",\"news_portal_mode_4_amount\":\"10\",\"news_full_pages\":\"3\",\"news_column\":\"1\",\"news_rows\":\"1\",\"top_interface_style\":\"pagination\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"words\",\"title_limit\":\"3\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"80\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE %HITS %CATEGORY %AUTHOR\",\"info2_format\":\"\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"art_padding\":\"0\",\"news_header_order\":\"1\",\"news_header_enabled\":\"1\",\"news_image_order\":\"3\",\"news_image_enabled\":\"1\",\"news_text_order\":\"4\",\"news_text_enabled\":\"1\",\"news_info_order\":\"2\",\"news_info_enabled\":\"0\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"1\",\"news_content_readmore_pos\":\"after\",\"news_readmore_enabled\":\"1\",\"news_short_pages\":\"1\",\"links_amount\":\"3\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"arrows_with_counter\",\"links_margin\":\"10px 0 0 0\",\"links_position\":\"bottom\",\"links_width\":\"50\",\"show_list_description\":\"0\",\"list_title_limit_type\":\"words\",\"list_title_limit\":\"20\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"75\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"1\",\"img_keep_aspect_ratio\":\"0\",\"img_width\":\"206\",\"img_height\":\"283\",\"img_margin\":\"0 0 10px 0\",\"img_bg\":\"#FFF\",\"img_stretch\":\"1\",\"img_quality\":\"95\",\"cache_time\":\"30\",\"simple_crop_top\":\"0\",\"simple_crop_bottom\":\"0\",\"simple_crop_left\":\"25\",\"simple_crop_right\":\"30\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(155,'Latest News','','',1,'top2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\" nsp blue color_title small\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"com_categories\",\"com_categories\":[\"24\",\"26\"],\"com_articles\":\"\",\"k2_articles\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"ASC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"10\",\"news_portal_mode_2_amount\":\"10\",\"news_portal_mode_3_amount\":\"10\",\"news_portal_mode_4_amount\":\"10\",\"news_full_pages\":\"3\",\"news_column\":\"1\",\"news_rows\":\"1\",\"top_interface_style\":\"pagination\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"55\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"60\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE %HITS %CATEGORY %AUTHOR\",\"info2_format\":\"\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"art_padding\":\"0\",\"news_header_order\":\"2\",\"news_header_enabled\":\"1\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"3\",\"news_text_enabled\":\"1\",\"news_info_order\":\"4\",\"news_info_enabled\":\"0\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_content_readmore_pos\":\"after\",\"news_readmore_enabled\":\"0\",\"news_short_pages\":\"1\",\"links_amount\":\"3\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"arrows_with_counter\",\"links_margin\":\"16px 0 20px 0\",\"links_position\":\"bottom\",\"links_width\":\"50\",\"show_list_description\":\"0\",\"list_title_limit_type\":\"chars\",\"list_title_limit\":\"24\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"75\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"0\",\"img_keep_aspect_ratio\":\"0\",\"img_width\":\"195\",\"img_height\":\"98\",\"img_margin\":\"0 0 7px 0\",\"img_bg\":\"#FFF\",\"img_stretch\":\"1\",\"img_quality\":\"95\",\"cache_time\":\"30\",\"simple_crop_top\":\"10\",\"simple_crop_bottom\":\"10\",\"simple_crop_left\":\"5\",\"simple_crop_right\":\"5\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(156,'More headlines','','',1,'top3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\" nsp headlines big\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"com_categories\",\"com_categories\":[\"24\",\"26\",\"27\"],\"com_articles\":\"\",\"k2_articles\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"DESC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"1\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"10\",\"news_portal_mode_2_amount\":\"10\",\"news_portal_mode_3_amount\":\"10\",\"news_portal_mode_4_amount\":\"10\",\"news_full_pages\":\"3\",\"news_column\":\"1\",\"news_rows\":\"4\",\"top_interface_style\":\"pagination\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"left\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"55\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"1\",\"news_limit_type\":\"chars\",\"news_limit\":\"55\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE\",\"info2_format\":\"\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"art_padding\":\"14px 0 11px 0\",\"news_header_order\":\"1\",\"news_header_enabled\":\"0\",\"news_image_order\":\"2\",\"news_image_enabled\":\"0\",\"news_text_order\":\"3\",\"news_text_enabled\":\"1\",\"news_info_order\":\"4\",\"news_info_enabled\":\"0\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_content_readmore_pos\":\"after\",\"news_readmore_enabled\":\"1\",\"news_short_pages\":\"0\",\"links_amount\":\"4\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"pagination\",\"links_margin\":\"0\",\"links_position\":\"bottom\",\"links_width\":\"50\",\"show_list_description\":\"1\",\"list_title_limit_type\":\"words\",\"list_title_limit\":\"0\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"75\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"0\",\"img_keep_aspect_ratio\":\"0\",\"img_width\":\"65\",\"img_height\":\"47\",\"img_margin\":\"0 5px 0 0\",\"img_bg\":\"#000\",\"img_stretch\":\"1\",\"img_quality\":\"95\",\"cache_time\":\"30\",\"simple_crop_top\":\"10\",\"simple_crop_bottom\":\"10\",\"simple_crop_left\":\"10\",\"simple_crop_right\":\"10\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(157,'Main NSP','','',1,'top1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_news_pro_gk4',1,0,'{\"moduleclass_sfx\":\" nsp header\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"com_categories\",\"com_categories\":[\"24\",\"26\",\"27\"],\"com_articles\":\"\",\"k2_categories\":[\"4\",\"3\",\"2\"],\"k2_articles\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"DESC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"1\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"10\",\"news_portal_mode_2_amount\":\"10\",\"news_portal_mode_3_amount\":\"10\",\"news_portal_mode_4_amount\":\"10\",\"news_full_pages\":\"2\",\"news_column\":\"1\",\"news_rows\":\"1\",\"top_interface_style\":\"pagination\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"words\",\"title_limit\":\"7\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"75\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE\",\"info2_format\":\"\",\"category_link\":\"1\",\"date_format\":\"d F Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"art_padding\":\"0\",\"news_header_order\":\"2\",\"news_header_enabled\":\"1\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"4\",\"news_text_enabled\":\"0\",\"news_info_order\":\"3\",\"news_info_enabled\":\"1\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_content_readmore_pos\":\"after\",\"news_readmore_enabled\":\"0\",\"news_short_pages\":\"3\",\"links_amount\":\"3\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"pagination\",\"links_margin\":\"0 0 0 10px\",\"links_position\":\"right\",\"links_width\":\"40\",\"show_list_description\":\"1\",\"list_title_limit_type\":\"words\",\"list_title_limit\":\"10\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"80\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"1\",\"img_keep_aspect_ratio\":\"0\",\"img_width\":\"307\",\"img_height\":\"369\",\"img_margin\":\"0\",\"img_bg\":\"#000\",\"img_stretch\":\"1\",\"img_quality\":\"95\",\"cache_time\":\"30\",\"simple_crop_top\":\"0\",\"simple_crop_bottom\":\"10\",\"simple_crop_left\":\"17\",\"simple_crop_right\":\"13\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(158,'Editor\'s Picks','','',1,'top7',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\" nsp grey dotted\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"Portal_Mode_4\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"k2_articles\",\"com_categories\":[\"7\",\"8\",\"9\"],\"com_articles\":\"\",\"k2_categories\":[\"4\",\"3\",\"7\",\"2\"],\"k2_articles\":\"5,21,17,20,16,25,3,14,26,6,2,4\",\"news_sort_value\":\"created\",\"news_sort_order\":\"DESC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"10\",\"news_portal_mode_2_amount\":\"6\",\"news_portal_mode_3_amount\":\"10\",\"news_portal_mode_4_amount\":\"12\",\"news_full_pages\":\"2\",\"news_column\":\"1\",\"news_rows\":\"1\",\"top_interface_style\":\"pagination\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"32\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"80\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE %HITS %CATEGORY %AUTHOR\",\"info2_format\":\"\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"art_padding\":\"0\",\"news_header_order\":\"1\",\"news_header_enabled\":\"1\",\"news_image_order\":\"3\",\"news_image_enabled\":\"1\",\"news_text_order\":\"4\",\"news_text_enabled\":\"1\",\"news_info_order\":\"2\",\"news_info_enabled\":\"0\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"1\",\"news_content_readmore_pos\":\"after\",\"news_readmore_enabled\":\"1\",\"news_short_pages\":\"1\",\"links_amount\":\"3\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"arrows_with_counter\",\"links_margin\":\"10px 0 0 0\",\"links_position\":\"bottom\",\"links_width\":\"50\",\"show_list_description\":\"0\",\"list_title_limit_type\":\"words\",\"list_title_limit\":\"20\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"75\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"1\",\"img_keep_aspect_ratio\":\"0\",\"img_width\":\"146\",\"img_height\":\"92\",\"img_margin\":\"0 0 0 0\",\"img_bg\":\"#000\",\"img_stretch\":\"1\",\"img_quality\":\"95\",\"cache_time\":\"30\",\"simple_crop_top\":\"10\",\"simple_crop_bottom\":\"10\",\"simple_crop_left\":\"10\",\"simple_crop_right\":\"10\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"useCSS\":\"1\",\"useScript\":\"2\"}',0,'*'),(159,'Stay connected','','<div class=\"iconBlock\">\r\n<a href=\"#\" class=\"iconRSS\">RSS</a>\r\n<a href=\"#\" class=\"iconVimeo\">Vimeo</a>\r\n<a href=\"#\" class=\"iconTwitter\">Twitter</a>\r\n<a href=\"#\" class=\"iconFacebook\">Facebook</a>\r\n<a href=\"#\" class=\"iconMobyPicture\">Moby Picture</a>\r\n</div>',1,'right_bottom',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" color\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(160,'K2 Tags','','',2,'tab7',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_k2_tools',1,0,'{\"moduleclass_sfx\":\"\",\"module_usage\":\"7\",\"archiveItemsCounter\":\"1\",\"archiveCategory\":\"0\",\"authors_module_category\":\"0\",\"authorItemsCounter\":\"1\",\"authorAvatar\":\"1\",\"authorAvatarWidthSelect\":\"custom\",\"authorAvatarWidth\":\"50\",\"authorLatestItem\":\"1\",\"calendarCategory\":\"0\",\"home\":\"\",\"seperator\":\"\",\"root_id\":\"0\",\"end_level\":\"\",\"categoriesListOrdering\":\"\",\"categoriesListItemsCounter\":\"1\",\"root_id2\":\"0\",\"catfilter\":\"0\",\"getChildren\":\"0\",\"liveSearch\":\"\",\"width\":\"20\",\"text\":\"\",\"button\":\"\",\"imagebutton\":\"\",\"button_text\":\"\",\"min_size\":\"75\",\"max_size\":\"300\",\"cloud_limit\":\"20\",\"cloud_category\":[\"1\",\"2\",\"3\",\"4\"],\"cloud_category_recursive\":\"1\",\"customCode\":\"\",\"parsePhp\":\"0\",\"K2Plugins\":\"0\",\"JPlugins\":\"0\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),(161,'Video','','<img src=\"images/demo/dummy_video.png\" alt=\"banner\" /><h3>Video Sport News</h3><br /><p style=\"margin-top: -30px; line-height: 20px\">From Mario Lemieux to Alex Ovechkin, check out some of the greatest goals, dekes and saves in NHL history. <a style=\"font-weight: bold;font-size: 11px\" target=\"_blank\" href=\"http://vimeo.com/9992353\">WATCH NOW</a></p>\r\n<p class=\"gkInformationIs3\"><a href=\"#\">Click here see more.</a></p>',2,'right_top',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" dark\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(162,'NSP on  tabs','','',1,'tab1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\" nsp sidebar\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"239\",\"module_font_size\":\"100\",\"data_source\":\"k2_categories\",\"com_categories\":[\"7\",\"8\",\"9\"],\"com_articles\":\"\",\"k2_categories\":[\"4\",\"3\",\"8\",\"2\"],\"k2_articles\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"ASC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"1\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"5\",\"news_portal_mode_2_amount\":\"6\",\"news_portal_mode_3_amount\":\"10\",\"news_portal_mode_4_amount\":\"10\",\"news_full_pages\":\"1\",\"news_column\":\"1\",\"news_rows\":\"3\",\"top_interface_style\":\"pagination\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"left\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"22\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"words\",\"news_limit\":\"35\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"left\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE , %COMMENTS\",\"info2_format\":\"\",\"category_link\":\"1\",\"date_format\":\"F d, Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"art_padding\":\"16px 0\",\"news_header_order\":\"2\",\"news_header_enabled\":\"1\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"4\",\"news_text_enabled\":\"0\",\"news_info_order\":\"3\",\"news_info_enabled\":\"1\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_content_readmore_pos\":\"after\",\"news_readmore_enabled\":\"1\",\"news_short_pages\":\"0\",\"links_amount\":\"3\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"arrows_with_counter\",\"links_margin\":\"10px 0 0 0\",\"links_position\":\"bottom\",\"links_width\":\"50\",\"show_list_description\":\"0\",\"list_title_limit_type\":\"words\",\"list_title_limit\":\"20\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"75\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"1\",\"img_keep_aspect_ratio\":\"0\",\"img_width\":\"66\",\"img_height\":\"48\",\"img_margin\":\"0 14px 0 0\",\"img_bg\":\"#000\",\"img_stretch\":\"1\",\"img_quality\":\"95\",\"cache_time\":\"30\",\"simple_crop_top\":\"10\",\"simple_crop_bottom\":\"10\",\"simple_crop_left\":\"10\",\"simple_crop_right\":\"10\",\"crop_rules\":\"\",\"autoanim\":\"1\",\"hover_anim\":\"1\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"useCSS\":\"1\",\"useScript\":\"2\"}',0,'*'),(164,'K2 Comments on Tabs','','',1,'tab2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_k2_comments',1,1,'{\"moduleclass_sfx\":\"\",\"module_usage\":\"0\",\"catfilter\":\"0\",\"comments_limit\":\"3\",\"comments_word_limit\":\"7\",\"commenterName\":\"1\",\"commentAvatar\":\"1\",\"commentAvatarWidthSelect\":\"custom\",\"commentAvatarWidth\":\"50\",\"commentDate\":\"0\",\"commentDateFormat\":\"absolute\",\"commentLink\":\"1\",\"itemTitle\":\"1\",\"itemCategory\":\"1\",\"feed\":\"0\",\"commenters_limit\":\"3\",\"commenterAvatar\":\"1\",\"commenterAvatarWidthSelect\":\"custom\",\"commenterAvatarWidth\":\"50\",\"commenterLink\":\"1\",\"commenterCommentsCounter\":\"1\",\"commenterLatestComment\":\"1\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),(183,'Technology','','',4,'mainbody',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\" nsp grey no_vmargin\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"k2_categories\",\"com_categories\":[\"7\",\"8\",\"9\"],\"com_articles\":\"\",\"k2_categories\":[\"9\"],\"k2_articles\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"ASC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"10\",\"news_portal_mode_2_amount\":\"10\",\"news_portal_mode_3_amount\":\"10\",\"news_portal_mode_4_amount\":\"10\",\"news_full_pages\":\"1\",\"news_column\":\"1\",\"news_rows\":\"1\",\"top_interface_style\":\"arrows_with_pagination\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"60\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"100\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE %HITS %CATEGORY %AUTHOR\",\"info2_format\":\"\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"art_padding\":\"0 10px 0 0\",\"news_header_order\":\"1\",\"news_header_enabled\":\"1\",\"news_image_order\":\"3\",\"news_image_enabled\":\"1\",\"news_text_order\":\"4\",\"news_text_enabled\":\"1\",\"news_info_order\":\"2\",\"news_info_enabled\":\"0\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"1\",\"news_content_readmore_pos\":\"after\",\"news_readmore_enabled\":\"1\",\"news_short_pages\":\"1\",\"links_amount\":\"3\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"arrows_with_counter\",\"links_margin\":\"0 0 0 5px\",\"links_position\":\"right\",\"links_width\":\"48\",\"show_list_description\":\"1\",\"list_title_limit_type\":\"chars\",\"list_title_limit\":\"30\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"95\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"1\",\"img_keep_aspect_ratio\":\"0\",\"img_width\":\"224\",\"img_height\":\"140\",\"img_margin\":\"6px 14px 0 0\",\"img_bg\":\"#FFF\",\"img_stretch\":\"1\",\"img_quality\":\"95\",\"cache_time\":\"30\",\"simple_crop_top\":\"10\",\"simple_crop_bottom\":\"10\",\"simple_crop_left\":\"10\",\"simple_crop_right\":\"10\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(166,'Default module','','<ul>\r\n<li><a href=\"#\">Maecenas faucibus</a></li>\r\n<li><a href=\"#\">Vivamus sagittis.</a></li>\r\n<li><a href=\"#\">Praesent commodo.</a></li>\r\n</ul>',1,'top1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(167,'Suffix \" red\"','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent eu  odio erat, ac imperdiet justo. Nullam elementum enim et nulla tristique  quis sagittis lectus imperdiet. In tincidunt vestibulum laoreet.  Phasellus pellentesque venenatis iaculis. Aenean posuere massa vitae  ipsum rutrum lacinia.  In tincidunt vestibulum laoreet.</p>',1,'top8',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" red\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(168,'Suffix \" grey\"','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent eu  odio erat, ac imperdiet justo. Nullam elementum enim et nulla tristique  quis sagittis lectus imperdiet. In tincidunt vestibulum laoreet.  Phasellus pellentesque venenatis iaculis. Aenean posuere massa vitae  ipsum rutrum lacinia.  In tincidunt vestibulum laoreet.</p>',1,'top8',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" grey\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(169,'Suffix \" violet\"','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent eu  odio erat, ac imperdiet justo. Nullam elementum enim et nulla tristique  quis sagittis lectus imperdiet. In tincidunt vestibulum laoreet.  Phasellus pellentesque venenatis iaculis. Aenean posuere massa vitae  ipsum rutrum lacinia.  In tincidunt vestibulum laoreet.</p>',1,'top8',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" violet\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(170,'Suffix \" orange\"','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent eu  odio erat, ac imperdiet justo. Nullam elementum enim et nulla tristique  quis sagittis lectus imperdiet. In tincidunt vestibulum laoreet.  Phasellus pellentesque venenatis iaculis. Aenean posuere massa vitae  ipsum rutrum lacinia.  In tincidunt vestibulum laoreet.</p>',1,'top7',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" orange\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(171,'Suffix \" yellow\"','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent eu  odio erat, ac imperdiet justo. Nullam elementum enim et nulla tristique  quis sagittis lectus imperdiet. In tincidunt vestibulum laoreet.  Phasellus pellentesque venenatis iaculis. Aenean posuere massa vitae  ipsum rutrum lacinia.  In tincidunt vestibulum laoreet.</p>',1,'top9',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" yellow\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(172,'Suffix \" bronze\"','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent eu  odio erat, ac imperdiet justo. Nullam elementum enim et nulla tristique  quis sagittis lectus imperdiet. In tincidunt vestibulum laoreet.  Phasellus pellentesque venenatis iaculis. Aenean posuere massa vitae  ipsum rutrum lacinia.  In tincidunt vestibulum laoreet.</p>',1,'top8',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" bronze\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(173,'Suffix \" blue\"','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent eu  odio erat, ac imperdiet justo. Nullam elementum enim et nulla tristique  quis sagittis lectus imperdiet. In tincidunt vestibulum laoreet.  Phasellus pellentesque venenatis iaculis. Aenean posuere massa vitae  ipsum rutrum lacinia.  In tincidunt vestibulum laoreet.</p>',1,'top9',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" blue\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(174,'Suffix \" pink\"','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent eu  odio erat, ac imperdiet justo. Nullam elementum enim et nulla tristique  quis sagittis lectus imperdiet. In tincidunt vestibulum laoreet.  Phasellus pellentesque venenatis iaculis. Aenean posuere massa vitae  ipsum rutrum lacinia.  In tincidunt vestibulum laoreet.</p>',1,'top9',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" pink\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(175,'Suffix \" green\"','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent eu  odio erat, ac imperdiet justo. Nullam elementum enim et nulla tristique  quis sagittis lectus imperdiet. In tincidunt vestibulum laoreet.  Phasellus pellentesque venenatis iaculis. Aenean posuere massa vitae  ipsum rutrum lacinia.  In tincidunt vestibulum laoreet.</p>',1,'top7',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" green\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(176,'Suffix \" gold\"','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent eu  odio erat, ac imperdiet justo. Nullam elementum enim et nulla tristique  quis sagittis lectus imperdiet. In tincidunt vestibulum laoreet.  Phasellus pellentesque venenatis iaculis. Aenean posuere massa vitae  ipsum rutrum lacinia.  In tincidunt vestibulum laoreet.</p>',1,'top7',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" gold\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(177,'Suffix \" black\"','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent eu  odio erat, ac imperdiet justo. Nullam elementum enim et nulla tristique  quis sagittis lectus imperdiet. In tincidunt vestibulum laoreet.  Phasellus pellentesque venenatis iaculis. Aenean posuere massa vitae  ipsum rutrum lacinia.  In tincidunt vestibulum laoreet.</p>',1,'top9',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" black\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(178,'Suffix \" clean\"','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent eu  odio erat, ac imperdiet justo. Nullam elementum enim et nulla tristique  quis sagittis lectus imperdiet.</p>',1,'mainbody_bottom',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" clean\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(179,'NSP GK4 suffix \" color_title\"','','',1,'user2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\" nsp color_title\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"com_categories\",\"com_categories\":[\"7\",\"9\"],\"com_articles\":\"\",\"k2_articles\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"DESC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"10\",\"news_portal_mode_2_amount\":\"10\",\"news_portal_mode_3_amount\":\"10\",\"news_portal_mode_4_amount\":\"10\",\"news_full_pages\":\"3\",\"news_column\":\"2\",\"news_rows\":\"1\",\"top_interface_style\":\"arrows_with_pagination\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"17\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"125\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE\",\"info2_format\":\" %HITS\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"art_padding\":\"0 12px 0 0\",\"news_header_order\":\"2\",\"news_header_enabled\":\"1\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"3\",\"news_text_enabled\":\"1\",\"news_info_order\":\"4\",\"news_info_enabled\":\"0\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_content_readmore_pos\":\"left\",\"news_readmore_enabled\":\"1\",\"news_short_pages\":\"3\",\"links_amount\":\"2\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"arrows\",\"links_margin\":\"0\",\"links_position\":\"right\",\"links_width\":\"50\",\"show_list_description\":\"1\",\"list_title_limit_type\":\"chars\",\"list_title_limit\":\"30\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"70\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"0\",\"img_keep_aspect_ratio\":\"1\",\"img_width\":\"170\",\"img_height\":\"90\",\"img_margin\":\"0 0 20px\",\"img_bg\":\"#fff\",\"img_stretch\":\"1\",\"img_quality\":\"100\",\"cache_time\":\"30\",\"simple_crop_top\":\"10\",\"simple_crop_bottom\":\"10\",\"simple_crop_left\":\"10\",\"simple_crop_right\":\"10\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(182,'NSP GK4 suffix \" big_title\"','','',1,'user1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\" nsp big_title\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"com_categories\",\"com_categories\":[\"7\",\"9\"],\"com_articles\":\"\",\"k2_articles\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"DESC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"10\",\"news_portal_mode_2_amount\":\"10\",\"news_portal_mode_3_amount\":\"10\",\"news_portal_mode_4_amount\":\"10\",\"news_full_pages\":\"3\",\"news_column\":\"2\",\"news_rows\":\"1\",\"top_interface_style\":\"arrows_with_pagination\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"17\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"125\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE\",\"info2_format\":\" %HITS\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"art_padding\":\"0 12px 0 0\",\"news_header_order\":\"2\",\"news_header_enabled\":\"1\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"3\",\"news_text_enabled\":\"1\",\"news_info_order\":\"4\",\"news_info_enabled\":\"0\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_content_readmore_pos\":\"left\",\"news_readmore_enabled\":\"1\",\"news_short_pages\":\"3\",\"links_amount\":\"2\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"arrows\",\"links_margin\":\"0\",\"links_position\":\"right\",\"links_width\":\"50\",\"show_list_description\":\"1\",\"list_title_limit_type\":\"chars\",\"list_title_limit\":\"30\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"70\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"0\",\"img_keep_aspect_ratio\":\"1\",\"img_width\":\"170\",\"img_height\":\"90\",\"img_margin\":\"0 0 20px\",\"img_bg\":\"#fff\",\"img_stretch\":\"1\",\"img_quality\":\"100\",\"cache_time\":\"30\",\"simple_crop_top\":\"10\",\"simple_crop_bottom\":\"10\",\"simple_crop_left\":\"10\",\"simple_crop_right\":\"10\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(184,'2011 Stars Awards - Celebrities Gallery','','',4,'mainbody',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_image_show_gk4',1,1,'{\"automatic_module_id\":\"1\",\"module_id\":\"gk-is-1\",\"moduleclass_sfx\":\" small\",\"module_style\":\"gk_sporter2\",\"last_modification\":\"1312845203\",\"image_show_data\":\"[{\\\"name\\\":\\\"Mario Lopez\\\",\\\"type\\\":\\\"k2\\\",\\\"image\\\":\\\"images\\/demo\\/image_show\\/dummy_demo3.png\\\",\\\"stretch\\\":\\\"stretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Mario Lopez Nullam molestie vestibulum convallis. Pellentesque ornare purus ut lectus dapibus ut tristique augue euismod. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. \\\",\\\"url\\\":\\\"#\\\",\\\"art_id\\\":\\\"4\\\",\\\"art_title\\\":\\\"Chrome frame\\\",\\\"artK2_id\\\":\\\"15\\\",\\\"artK2_title\\\":\\\"Do You Know How Many Genetically Modified Foods?\\\"},{\\\"name\\\":\\\"Shakira\\\",\\\"type\\\":\\\"k2\\\",\\\"image\\\":\\\"images\\/demo\\/image_show\\/dummy_demo3.png\\\",\\\"stretch\\\":\\\"stretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Shakira Nullam Nullam molestie vestibulum convallis. Pellentesque ornare purus ut lectus dapibus ut tristique augue euismod. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. \\\",\\\"url\\\":\\\"#\\\",\\\"art_id\\\":\\\"24\\\",\\\"art_title\\\":\\\"Lorem ipsum\\\",\\\"artK2_id\\\":\\\"14\\\",\\\"artK2_title\\\":\\\"Yoga is an excellent way to relieve stress\\\"},{\\\"name\\\":\\\"Connery Sean\\\",\\\"type\\\":\\\"k2\\\",\\\"image\\\":\\\"images\\/demo\\/image_show\\/dummy_demo3.png\\\",\\\"stretch\\\":\\\"stretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Connery Sean Nullam molestie vestibulum convallis. Pellentesque ornare purus ut lectus dapibus ut tristique augue euismod. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.\\\",\\\"url\\\":\\\"#\\\",\\\"art_id\\\":\\\"24\\\",\\\"art_title\\\":\\\"Lorem ipsum\\\",\\\"artK2_id\\\":\\\"15\\\",\\\"artK2_title\\\":\\\"Do You Know How Many Genetically Modified Foods?\\\"},{\\\"name\\\":\\\"Leonardo Dicaprio\\\",\\\"type\\\":\\\"k2\\\",\\\"image\\\":\\\"images\\/demo\\/image_show\\/dummy_demo3.png\\\",\\\"stretch\\\":\\\"stretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Leonardo Dicaprio Nullam molestie vestibulum convallis. Pellentesque ornare purus ut lectus dapibus ut tristique augue euismod. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.\\\",\\\"url\\\":\\\"#\\\",\\\"art_id\\\":\\\"24\\\",\\\"art_title\\\":\\\"Lorem ipsum\\\",\\\"artK2_id\\\":\\\"11\\\",\\\"artK2_title\\\":\\\"Depression in the Workplace\\\"},{\\\"name\\\":\\\"Rachel Weisz\\\",\\\"type\\\":\\\"k2\\\",\\\"image\\\":\\\"images\\/demo\\/image_show\\/dummy_demo3.png\\\",\\\"stretch\\\":\\\"stretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Rachel Weisz Nullam molestie vestibulum convallis. Pellentesque ornare purus ut lectus dapibus ut tristique augue euismod. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus.\\\",\\\"url\\\":\\\"#\\\",\\\"art_id\\\":\\\"24\\\",\\\"art_title\\\":\\\"Lorem ipsum\\\",\\\"artK2_id\\\":\\\"13\\\",\\\"artK2_title\\\":\\\"Find out about food, diet and healthy eating.\\\"},{\\\"name\\\":\\\"Mila Kunis\\\",\\\"type\\\":\\\"k2\\\",\\\"image\\\":\\\"images\\/demo\\/image_show\\/dummy_demo3.png\\\",\\\"stretch\\\":\\\"stretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Mila Kunis Nullam molestie vestibulum convallis. Pellentesque ornare purus ut lectus dapibus ut tristique augue euismod. Cum sociis natoque penatibus et magnis dis parturient montes.\\\",\\\"url\\\":\\\"#\\\",\\\"art_id\\\":\\\"24\\\",\\\"art_title\\\":\\\"Lorem ipsum\\\",\\\"artK2_id\\\":\\\"11\\\",\\\"artK2_title\\\":\\\"Depression in the Workplace\\\"},{\\\"name\\\":\\\"Anne Hathaway\\\",\\\"type\\\":\\\"k2\\\",\\\"image\\\":\\\"images\\/demo\\/image_show\\/dummy_demo3.png\\\",\\\"stretch\\\":\\\"stretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Anne Hathaway Nullam molestie vestibulum convallis. Pellentesque ornare purus ut lectus dapibus ut tristique augue euismod. Cum sociis natoque penatibus et magnis dis parturient montes.\\\",\\\"url\\\":\\\"#\\\",\\\"art_id\\\":\\\"24\\\",\\\"art_title\\\":\\\"Lorem ipsum\\\",\\\"artK2_id\\\":\\\"15\\\",\\\"artK2_title\\\":\\\"Do You Know How Many Genetically Modified Foods?\\\"},{\\\"name\\\":\\\"Ryan Reynolds\\\",\\\"type\\\":\\\"k2\\\",\\\"image\\\":\\\"images\\/demo\\/image_show\\/dummy_demo3.png\\\",\\\"stretch\\\":\\\"stretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Ryan Reynolds Nullam molestie vestibulum convallis. Pellentesque ornare purus ut lectus dapibus ut tristique augue euismod. Cum sociis natoque penatibus et magnis dis parturient montes.\\\",\\\"url\\\":\\\"#\\\",\\\"art_id\\\":\\\"24\\\",\\\"art_title\\\":\\\"Lorem ipsum\\\",\\\"artK2_id\\\":\\\"14\\\",\\\"artK2_title\\\":\\\"Yoga is an excellent way to relieve stress\\\"},{\\\"name\\\":\\\"Jennifer Lopez \\\",\\\"type\\\":\\\"k2\\\",\\\"image\\\":\\\"images\\/demo\\/image_show\\/dummy_demo3.png\\\",\\\"stretch\\\":\\\"stretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Jennifer Lopez Nullam molestie vestibulum convallis. Pellentesque ornare purus ut lectus dapibus ut tristique augue euismod. Cum sociis natoque penatibus et magnis dis parturient montes.\\\",\\\"url\\\":\\\"#\\\",\\\"art_id\\\":\\\"24\\\",\\\"art_title\\\":\\\"Lorem ipsum\\\",\\\"artK2_id\\\":\\\"13\\\",\\\"artK2_title\\\":\\\"Find out about food, diet and healthy eating.\\\"},{\\\"name\\\":\\\"Ricky Gervais\\\",\\\"type\\\":\\\"k2\\\",\\\"image\\\":\\\"images\\/demo\\/image_show\\/dummy_demo3.png\\\",\\\"stretch\\\":\\\"nostretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Ricky Gervais Nullam molestie vestibulum convallis. Pellentesque ornare purus ut lectus dapibus ut tristique augue euismod. Cum sociis natoque penatibus et magnis dis parturient montes.\\\",\\\"url\\\":\\\"#\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"13\\\",\\\"artK2_title\\\":\\\"Find out about food, diet and healthy eating.\\\"},{\\\"name\\\":\\\"Katy Perry\\\",\\\"type\\\":\\\"k2\\\",\\\"image\\\":\\\"images\\/demo\\/image_show\\/dummy_demo3.png\\\",\\\"stretch\\\":\\\"stretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Katy Perry Nullam molestie vestibulum convallis. Pellentesque ornare purus ut lectus dapibus ut tristique augue euismod. Cum sociis natoque penatibus et magnis dis parturient montes\\\",\\\"url\\\":\\\"#\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"15\\\",\\\"artK2_title\\\":\\\"Do You Know How Many Genetically Modified Foods?\\\"},{\\\"name\\\":\\\"George Clooney\\\",\\\"type\\\":\\\"k2\\\",\\\"image\\\":\\\"images\\/demo\\/image_show\\/dummy_demo3.png\\\",\\\"stretch\\\":\\\"stretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"George Clooney Nullam molestie vestibulum convallis. Pellentesque ornare purus ut lectus dapibus ut tristique augue euismod. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.\\\",\\\"url\\\":\\\"#\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"13\\\",\\\"artK2_title\\\":\\\"Find out about food, diet and healthy eating.\\\"}]\",\"config\":\"{\\\"gk_appsite1\\\":{\\\"gk_appsite1_image_width\\\":\\\"166\\\",\\\"gk_appsite1_image_height\\\":\\\"166\\\",\\\"gk_appsite1_image_bg\\\":\\\"#000000\\\",\\\"gk_appsite1_quality\\\":\\\"95\\\",\\\"gk_appsite1_show_text_block\\\":\\\"1\\\",\\\"gk_appsite1_text_block_x\\\":\\\"0\\\",\\\"gk_appsite1_text_block_y\\\":\\\"215\\\",\\\"gk_appsite1_text_block_width\\\":\\\"1000\\\",\\\"gk_appsite1_image_y\\\":\\\"65\\\",\\\"gk_appsite1_module_height\\\":\\\"450\\\",\\\"gk_appsite1_pagination\\\":\\\"1\\\",\\\"gk_appsite1_slide_links\\\":\\\"1\\\",\\\"gk_appsite1_animation_speed\\\":\\\"500\\\",\\\"gk_appsite1_animation_interval\\\":\\\"5000\\\",\\\"gk_appsite1_autoanimation\\\":\\\"1\\\"},\\\"gk_black_and_white\\\":{\\\"gk_black_and_white_image_width\\\":\\\"978\\\",\\\"gk_black_and_white_image_height\\\":\\\"362\\\",\\\"gk_black_and_white_image_bg\\\":\\\"#000000\\\",\\\"gk_black_and_white_quality\\\":\\\"95\\\",\\\"gk_black_and_white_text_block_position_x\\\":\\\"20\\\",\\\"gk_black_and_white_text_block_position_y\\\":\\\"20\\\",\\\"gk_black_and_white_text_block_width\\\":\\\"300\\\",\\\"gk_black_and_white_show_text_block\\\":\\\"1\\\",\\\"gk_black_and_white_clean_xhtml\\\":\\\"1\\\",\\\"gk_black_and_white_wordcount\\\":\\\"10\\\",\\\"gk_black_and_white_title_char_amount\\\":\\\"30\\\",\\\"gk_black_and_white_pagination\\\":\\\"1\\\",\\\"gk_black_and_white_pagination_position_x\\\":\\\"20\\\",\\\"gk_black_and_white_pagination_position_y\\\":\\\"320\\\",\\\"gk_black_and_white_show_readmore\\\":\\\"1\\\",\\\"gk_black_and_white_stripe_width\\\":\\\"60\\\",\\\"gk_black_and_white_slide_links\\\":\\\"1\\\",\\\"gk_black_and_white_animation_speed\\\":\\\"1800\\\",\\\"gk_black_and_white_animation_interval\\\":\\\"5000\\\",\\\"gk_black_and_white_autoanimation\\\":\\\"1\\\",\\\"gk_black_and_white_animation_type\\\":\\\"opacity\\\",\\\"gk_black_and_white_show_title_block\\\":\\\"1\\\",\\\"gk_black_and_white_title_link\\\":\\\"1\\\",\\\"gk_black_and_white_interface\\\":\\\"1\\\"},\\\"gk_cherrydesign\\\":{\\\"gk_cherrydesign_image_width\\\":\\\"480\\\",\\\"gk_cherrydesign_image_height\\\":\\\"320\\\",\\\"gk_cherrydesign_image_bg\\\":\\\"#000000\\\",\\\"gk_cherrydesign_quality\\\":\\\"95\\\",\\\"gk_cherrydesign_show_text_block\\\":\\\"1\\\",\\\"gk_cherrydesign_slide_links\\\":\\\"1\\\",\\\"gk_cherrydesign_pagination\\\":\\\"1\\\",\\\"gk_cherrydesign_pagination_position\\\":\\\"left\\\",\\\"gk_cherrydesign_readmore_text\\\":\\\"Read more...\\\",\\\"gk_cherrydesign_clean_xhtml\\\":\\\"1\\\",\\\"gk_cherrydesign_wordcount\\\":\\\"30\\\",\\\"gk_cherrydesign_animation_speed\\\":\\\"500\\\",\\\"gk_cherrydesign_animation_interval\\\":\\\"5000\\\",\\\"gk_cherrydesign_autoanimation\\\":\\\"1\\\",\\\"gk_cherrydesign_animation_type\\\":\\\"opacity\\\"},\\\"gk_coffe\\\":{\\\"gk_coffe_image_width\\\":\\\"480\\\",\\\"gk_coffe_image_height\\\":\\\"320\\\",\\\"gk_coffe_image_bg\\\":\\\"#000000\\\",\\\"gk_coffe_quality\\\":\\\"95\\\",\\\"gk_coffe_show_title_block\\\":\\\"1\\\",\\\"gk_coffe_title_link\\\":\\\"1\\\",\\\"gk_coffe_interface\\\":\\\"1\\\",\\\"gk_coffe_slide_links\\\":\\\"1\\\",\\\"gk_coffe_animation_speed\\\":\\\"500\\\",\\\"gk_coffe_animation_interval\\\":\\\"5000\\\",\\\"gk_coffe_autoanimation\\\":\\\"1\\\",\\\"gk_coffe_animation_type\\\":\\\"opacity\\\"},\\\"gk_corporate2\\\":{\\\"gk_corporate2_image_width\\\":\\\"480\\\",\\\"gk_corporate2_image_height\\\":\\\"320\\\",\\\"gk_corporate2_image_bg\\\":\\\"#000000\\\",\\\"gk_corporate2_quality\\\":\\\"95\\\",\\\"gk_corporate2_show_list\\\":\\\"1\\\",\\\"gk_corporate2_list_title_small\\\":\\\"Why to choose\\\",\\\"gk_corporate2_list_title_big\\\":\\\"our company\\\",\\\"gk_corporate2_list_char_count\\\":\\\"25\\\",\\\"gk_corporate2_list_text_overflow\\\":\\\"...\\\",\\\"gk_corporate2_image_position\\\":\\\"gkRightFloat\\\",\\\"gk_corporate2_list_position\\\":\\\"gkRightFloat\\\",\\\"gk_corporate2_art_width\\\":\\\"70\\\",\\\"gk_corporate2_title\\\":\\\"1\\\",\\\"gk_corporate2_title_link\\\":\\\"1\\\",\\\"gk_corporate2_clean_xhtml\\\":\\\"1\\\",\\\"gk_corporate2_wordcount\\\":\\\"30\\\",\\\"gk_corporate2_readmore_button\\\":\\\"1\\\",\\\"gk_corporate2_readmore_text\\\":\\\"Find more\\\",\\\"gk_corporate2_interface\\\":\\\"1\\\",\\\"gk_corporate2_interface_animation\\\":\\\"0\\\",\\\"gk_corporate2_animation_speed\\\":\\\"500\\\",\\\"gk_corporate2_animation_interval\\\":\\\"5000\\\",\\\"gk_corporate2_autoanimation\\\":\\\"1\\\",\\\"gk_corporate2_animation_type\\\":\\\"opacity\\\"},\\\"gk_gamebox\\\":{\\\"gk_gamebox_image_width\\\":\\\"640\\\",\\\"gk_gamebox_image_height\\\":\\\"360\\\",\\\"gk_gamebox_image_bg\\\":\\\"#000000\\\",\\\"gk_gamebox_quality\\\":\\\"95\\\",\\\"gk_gamebox_show_text_block\\\":\\\"1\\\",\\\"gk_gamebox_show_info\\\":\\\"1\\\",\\\"gk_gamebox_date_format\\\":\\\"A e, B Y\\\",\\\"gk_gamebox_author_name\\\":\\\"username\\\",\\\"gk_gamebox_info_format\\\":\\\"Written: %date by %author\\\",\\\"gk_gamebox_readmore_text\\\":\\\"Read more\\\",\\\"gk_gamebox_text_position\\\":\\\"280\\\",\\\"gk_gamebox_text_height\\\":\\\"80\\\",\\\"gk_gamebox_interface\\\":\\\"1\\\",\\\"gk_gamebox_slide_links\\\":\\\"1\\\",\\\"gk_gamebox_animation_speed\\\":\\\"500\\\",\\\"gk_gamebox_animation_interval\\\":\\\"5000\\\",\\\"gk_gamebox_autoanimation\\\":\\\"1\\\",\\\"gk_gamebox_animation_type\\\":\\\"opacity\\\"},\\\"gk_memovie\\\":{\\\"gk_memovie_image_width\\\":\\\"670\\\",\\\"gk_memovie_image_height\\\":\\\"313\\\",\\\"gk_memovie_image_bg\\\":\\\"#000000\\\",\\\"gk_memovie_quality\\\":\\\"95\\\",\\\"gk_memovie_interface\\\":\\\"1\\\",\\\"gk_memovie_interface_animation\\\":\\\"0\\\",\\\"gk_memovie_interface_x\\\":\\\"30\\\",\\\"gk_memovie_interface_y\\\":\\\"30\\\",\\\"gk_memovie_slide_links\\\":\\\"1\\\",\\\"gk_memovie_animation_speed\\\":\\\"500\\\",\\\"gk_memovie_animation_interval\\\":\\\"5000\\\",\\\"gk_memovie_autoanimation\\\":\\\"1\\\",\\\"gk_memovie_animation_type\\\":\\\"opacity\\\"},\\\"gk_musicity\\\":{\\\"gk_musicity_image_width\\\":\\\"627\\\",\\\"gk_musicity_image_height\\\":\\\"345\\\",\\\"gk_musicity_image_bg\\\":\\\"#000000\\\",\\\"gk_musicity_quality\\\":\\\"95\\\",\\\"gk_musicity_show_title_block\\\":\\\"1\\\",\\\"gk_musicity_show_date_block\\\":\\\"1\\\",\\\"gk_musicity_date_format\\\":\\\"F d, Y\\\",\\\"gk_musicity_interface\\\":\\\"1\\\",\\\"gk_musicity_title_block_y\\\":\\\"23\\\",\\\"gk_musicity_date_block_y\\\":\\\"14\\\",\\\"gk_musicity_slide_links\\\":\\\"1\\\",\\\"gk_musicity_animation_speed\\\":\\\"500\\\",\\\"gk_musicity_animation_interval\\\":\\\"5000\\\",\\\"gk_musicity_autoanimation\\\":\\\"1\\\",\\\"gk_musicity_animation_type\\\":\\\"opacity\\\"},\\\"gk_partyfreak\\\":{\\\"gk_partyfreak_image_width\\\":\\\"600\\\",\\\"gk_partyfreak_image_height\\\":\\\"600\\\",\\\"gk_partyfreak_thumb_width\\\":\\\"70\\\",\\\"gk_partyfreak_thumb_height\\\":\\\"70\\\",\\\"gk_partyfreak_image_bg\\\":\\\"#ffffff\\\",\\\"gk_partyfreak_quality\\\":\\\"95\\\",\\\"gk_partyfreak_total_width\\\":\\\"980\\\",\\\"gk_partyfreak_thumbs_margin\\\":\\\"0 0 0 0\\\",\\\"gk_partyfreak_thumbs_padding\\\":\\\"0 0 0 0\\\",\\\"gk_partyfreak_thumbs_amount\\\":\\\"3\\\",\\\"gk_partyfreak_thumbs_space\\\":\\\"8\\\",\\\"gk_partyfreak_thumbs_text_word_amount\\\":\\\"14\\\",\\\"gk_partyfreak_show_title\\\":\\\"1\\\",\\\"gk_partyfreak_text_block_height\\\":\\\"80\\\",\\\"gk_partyfreak_show_text\\\":\\\"1\\\",\\\"gk_partyfreak_text_word_amount\\\":\\\"40\\\",\\\"gk_partyfreak_slide_links\\\":\\\"1\\\",\\\"gk_partyfreak_animation_speed\\\":\\\"500\\\",\\\"gk_partyfreak_animation_interval\\\":\\\"5000\\\",\\\"gk_partyfreak_autoanimation\\\":\\\"1\\\",\\\"gk_partyfreak_animation_type\\\":\\\"opacity\\\"},\\\"gk_sporter1\\\":{\\\"gk_sporter1_image_width\\\":\\\"637\\\",\\\"gk_sporter1_image_height\\\":\\\"346\\\",\\\"gk_sporter1_image_bg\\\":\\\"#000000\\\",\\\"gk_sporter1_quality\\\":\\\"95\\\",\\\"gk_sporter1_text_position\\\":\\\"246\\\",\\\"gk_sporter1_text_height\\\":\\\"90\\\",\\\"gk_sporter1_show_text_block\\\":\\\"1\\\",\\\"gk_sporter1_pagination\\\":\\\"1\\\",\\\"gk_sporter1_pagination_cols\\\":\\\"4\\\",\\\"gk_sporter1_pagination_date\\\":\\\"1\\\",\\\"gk_sporter1_pagination_date_format\\\":\\\"d m, Y\\\",\\\"gk_sporter1_pagination_limit\\\":\\\"39\\\",\\\"gk_sporter1_readmore_text\\\":\\\"Read more\\\",\\\"gk_sporter1_pagination_position\\\":\\\"left\\\",\\\"gk_sporter1_clean_xhtml\\\":\\\"1\\\",\\\"gk_sporter1_wordcount\\\":\\\"24\\\",\\\"gk_sporter1_title_char_amount\\\":\\\"27\\\",\\\"gk_sporter1_show_info\\\":\\\"1\\\",\\\"gk_sporter1_date_format\\\":\\\"F d, Y\\\",\\\"gk_sporter1_author_name\\\":\\\"name\\\",\\\"gk_sporter1_info_format\\\":\\\"Written: %date by %author\\\",\\\"gk_sporter1_slide_links\\\":\\\"1\\\",\\\"gk_sporter1_animation_speed\\\":\\\"500\\\",\\\"gk_sporter1_animation_interval\\\":\\\"5000\\\",\\\"gk_sporter1_autoanimation\\\":\\\"1\\\",\\\"gk_sporter1_animation_type\\\":\\\"opacity\\\"},\\\"gk_sporter2\\\":{\\\"gk_sporter2_image_width\\\":\\\"640\\\",\\\"gk_sporter2_image_height\\\":\\\"480\\\",\\\"gk_sporter2_thumb_width\\\":\\\"70\\\",\\\"gk_sporter2_thumb_height\\\":\\\"54\\\",\\\"gk_sporter2_image_bg\\\":\\\"#ffffff\\\",\\\"gk_sporter2_quality\\\":\\\"95\\\",\\\"gk_sporter2_image_rows\\\":\\\"2\\\",\\\"gk_sporter2_image_cols\\\":\\\"6\\\",\\\"gk_sporter2_image_margin\\\":\\\"0\\\",\\\"gk_sporter2_image_padding\\\":\\\"0\\\",\\\"gk_sporter2_image_border\\\":\\\"0\\\",\\\"gk_sporter2_slide_popups\\\":\\\"1\\\",\\\"gk_sporter2_overlay\\\":\\\"1\\\",\\\"gk_sporter2_show_text_block\\\":\\\"1\\\",\\\"gk_sporter2_text_block_height\\\":\\\"100\\\",\\\"gk_sporter2_clean_xhtml\\\":\\\"1\\\",\\\"gk_sporter2_readmore_text\\\":\\\"Read more\\\",\\\"gk_sporter2_title_char_amount\\\":\\\"30\\\",\\\"gk_sporter2_text_wordcount\\\":\\\"30\\\"}}\"}',0,'*'),(186,'Movies','','<a href=\"http://captainamerica.marvel.com/\" target=\"_blank\"><img src=\"images/banners/dummy_banner.png\" alt=\"banner\" style=\"-moz-border-radius:3px;-webkit-border-radius:3px;border-radius:3px;\"></a>',4,'inset1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" dotted\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(188,'Other News','','',1,'right_bottom',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\" nsp sidebar big\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"450\",\"module_font_size\":\"100\",\"data_source\":\"k2_categories\",\"com_categories\":[\"7\",\"8\",\"9\"],\"com_articles\":\"\",\"k2_categories\":[\"4\",\"3\",\"8\",\"2\"],\"k2_articles\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"ASC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"1\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"5\",\"news_portal_mode_2_amount\":\"6\",\"news_portal_mode_3_amount\":\"10\",\"news_portal_mode_4_amount\":\"10\",\"news_full_pages\":\"1\",\"news_column\":\"1\",\"news_rows\":\"3\",\"top_interface_style\":\"pagination\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"left\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"22\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"words\",\"news_limit\":\"35\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"left\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE , %COMMENTS\",\"info2_format\":\"\",\"category_link\":\"1\",\"date_format\":\"F d, Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"art_padding\":\"16px 0\",\"news_header_order\":\"2\",\"news_header_enabled\":\"1\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"4\",\"news_text_enabled\":\"0\",\"news_info_order\":\"3\",\"news_info_enabled\":\"1\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_content_readmore_pos\":\"after\",\"news_readmore_enabled\":\"1\",\"news_short_pages\":\"0\",\"links_amount\":\"3\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"arrows_with_counter\",\"links_margin\":\"10px 0 0 0\",\"links_position\":\"bottom\",\"links_width\":\"50\",\"show_list_description\":\"0\",\"list_title_limit_type\":\"words\",\"list_title_limit\":\"20\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"75\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"1\",\"img_keep_aspect_ratio\":\"0\",\"img_width\":\"66\",\"img_height\":\"48\",\"img_margin\":\"0 14px 0 0\",\"img_bg\":\"#000\",\"img_stretch\":\"1\",\"img_quality\":\"95\",\"cache_time\":\"30\",\"simple_crop_top\":\"10\",\"simple_crop_bottom\":\"10\",\"simple_crop_left\":\"10\",\"simple_crop_right\":\"10\",\"crop_rules\":\"\",\"autoanim\":\"1\",\"hover_anim\":\"1\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"useCSS\":\"1\",\"useScript\":\"2\"}',0,'*'),(190,'Menu News I','','',1,'menu1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\"\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"com_categories\",\"com_categories\":[\"24\",\"26\"],\"com_articles\":\"\",\"k2_articles\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"ASC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"10\",\"news_portal_mode_2_amount\":\"10\",\"news_portal_mode_3_amount\":\"10\",\"news_portal_mode_4_amount\":\"10\",\"news_full_pages\":\"1\",\"news_column\":\"1\",\"news_rows\":\"1\",\"top_interface_style\":\"pagination\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"55\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"60\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE %HITS %CATEGORY %AUTHOR\",\"info2_format\":\"\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"art_padding\":\"0\",\"news_header_order\":\"2\",\"news_header_enabled\":\"1\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"3\",\"news_text_enabled\":\"1\",\"news_info_order\":\"4\",\"news_info_enabled\":\"0\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_content_readmore_pos\":\"after\",\"news_readmore_enabled\":\"0\",\"news_short_pages\":\"0\",\"links_amount\":\"3\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"arrows_with_counter\",\"links_margin\":\"0 0 0 0\",\"links_position\":\"bottom\",\"links_width\":\"50\",\"show_list_description\":\"0\",\"list_title_limit_type\":\"chars\",\"list_title_limit\":\"24\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"75\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"0\",\"img_keep_aspect_ratio\":\"0\",\"img_width\":\"150\",\"img_height\":\"69\",\"img_margin\":\"0 0 0 0\",\"img_bg\":\"#FFF\",\"img_stretch\":\"1\",\"img_quality\":\"95\",\"cache_time\":\"30\",\"simple_crop_top\":\"10\",\"simple_crop_bottom\":\"10\",\"simple_crop_left\":\"5\",\"simple_crop_right\":\"5\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(191,'Menu News II','','',1,'menu2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\"\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"com_categories\",\"com_categories\":[\"24\",\"26\"],\"com_articles\":\"\",\"k2_articles\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"ASC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"10\",\"news_portal_mode_2_amount\":\"10\",\"news_portal_mode_3_amount\":\"10\",\"news_portal_mode_4_amount\":\"10\",\"news_full_pages\":\"1\",\"news_column\":\"1\",\"news_rows\":\"1\",\"top_interface_style\":\"pagination\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"55\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"60\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE %HITS %CATEGORY %AUTHOR\",\"info2_format\":\"\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"art_padding\":\"0\",\"news_header_order\":\"2\",\"news_header_enabled\":\"1\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"3\",\"news_text_enabled\":\"1\",\"news_info_order\":\"4\",\"news_info_enabled\":\"0\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_content_readmore_pos\":\"after\",\"news_readmore_enabled\":\"0\",\"news_short_pages\":\"0\",\"links_amount\":\"3\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"arrows_with_counter\",\"links_margin\":\"0 0 0 0\",\"links_position\":\"bottom\",\"links_width\":\"50\",\"show_list_description\":\"0\",\"list_title_limit_type\":\"chars\",\"list_title_limit\":\"24\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"75\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"0\",\"img_keep_aspect_ratio\":\"0\",\"img_width\":\"150\",\"img_height\":\"69\",\"img_margin\":\"0 0 0 0\",\"img_bg\":\"#FFF\",\"img_stretch\":\"1\",\"img_quality\":\"95\",\"cache_time\":\"30\",\"simple_crop_top\":\"10\",\"simple_crop_bottom\":\"10\",\"simple_crop_left\":\"5\",\"simple_crop_right\":\"5\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(192,'Menu News III','','',1,'menu3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\"\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"com_categories\",\"com_categories\":[\"24\",\"26\"],\"com_articles\":\"\",\"k2_articles\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"ASC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"10\",\"news_portal_mode_2_amount\":\"10\",\"news_portal_mode_3_amount\":\"10\",\"news_portal_mode_4_amount\":\"10\",\"news_full_pages\":\"1\",\"news_column\":\"1\",\"news_rows\":\"1\",\"top_interface_style\":\"pagination\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"55\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"60\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE %HITS %CATEGORY %AUTHOR\",\"info2_format\":\"\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"art_padding\":\"0\",\"news_header_order\":\"2\",\"news_header_enabled\":\"1\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"3\",\"news_text_enabled\":\"1\",\"news_info_order\":\"4\",\"news_info_enabled\":\"0\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_content_readmore_pos\":\"after\",\"news_readmore_enabled\":\"0\",\"news_short_pages\":\"0\",\"links_amount\":\"3\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"arrows_with_counter\",\"links_margin\":\"0 0 0 0\",\"links_position\":\"bottom\",\"links_width\":\"50\",\"show_list_description\":\"0\",\"list_title_limit_type\":\"chars\",\"list_title_limit\":\"24\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"75\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"0\",\"img_keep_aspect_ratio\":\"0\",\"img_width\":\"150\",\"img_height\":\"69\",\"img_margin\":\"0 0 0 0\",\"img_bg\":\"#FFF\",\"img_stretch\":\"1\",\"img_quality\":\"95\",\"cache_time\":\"30\",\"simple_crop_top\":\"10\",\"simple_crop_bottom\":\"10\",\"simple_crop_left\":\"5\",\"simple_crop_right\":\"5\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(196,'Suffix \" border\"','','<ul>\r\n<li><a href=\"#\">Maecenas faucibus mollis interdum.</a></li>\r\n<li><a href=\"#\">Vivamus sagittis lacus vel augue laoreet.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus magna.</a></li>\r\n</ul>\r\n\r\n<p>Vestibulum id ligula porta felis euismod semper. <strong>Donec ullamcorper nulla non</strong> metus auctor fringilla. Nulla vitae elit libero, a pharetra augue. Cras dapibus ac facilisis in, egestas <em>eget quam</em>. Maecenas sed diam eget risus varius blandit sit amet non magna. Integer posuere. Cum <a href=\"#\">sociis natoque</a> penatibus et magnis dis parturient montes, nascetur ridiculus mus.</p>',1,'top7',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" border\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(197,'Suffix \" border color1\"','','<ul>\r\n<li><a href=\"#\">Maecenas faucibus mollis interdum.</a></li>\r\n<li><a href=\"#\">Vivamus sagittis lacus vel augue laoreet.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus magna.</a></li>\r\n</ul>\r\n\r\n<p>Vestibulum id ligula porta felis euismod semper. <strong>Donec ullamcorper nulla non</strong> metus auctor fringilla. Nulla vitae elit libero, a pharetra augue. Cras dapibus ac facilisis in, egestas <em>eget quam</em>. Maecenas sed diam eget risus varius blandit sit amet non magna. Integer posuere. Cum <a href=\"#\">sociis natoque</a> penatibus et magnis dis.</p>',1,'top8',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" border color1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(198,'Suffix \" border color2\"','','<ul>\r\n<li><a href=\"#\">Maecenas faucibus mollis interdum.</a></li>\r\n<li><a href=\"#\">Vivamus sagittis lacus vel augue laoreet.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus magna.</a></li>\r\n</ul>\r\n\r\n<p>Vestibulum id ligula porta felis euismod semper. <strong>Donec ullamcorper nulla non</strong> metus auctor fringilla. Nulla vitae elit libero, a pharetra augue. Cras dapibus ac facilisis in, egestas <em>eget quam</em>. Maecenas sed diam eget risus varius blandit sit amet non magna. Integer posuere. Cum <a href=\"#\">sociis natoque</a> penatibus et magnis dis parturient montes.</p>',1,'top9',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" border color2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(199,'Suffix \" dark\"','','<ul>\r\n<li><a href=\"#\">Maecenas faucibus mollis interdum.</a></li>\r\n<li><a href=\"#\">Vivamus sagittis lacus vel augue laoreet.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus magna.</a></li>\r\n</ul>\r\n\r\n<p>Vestibulum id ligula porta felis euismod semper. <strong>Donec ullamcorper nulla non</strong> metus auctor fringilla. Nulla vitae elit libero, a pharetra augue. Cras dapibus ac facilisis in, egestas <em>eget quam</em>. Maecenas sed diam eget risus varius blandit sit amet non magna. Integer posuere. Cum <a href=\"#\">sociis natoque</a> penatibus et magnis dis parturient montes.</p>',1,'user1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" dark\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(200,'Suffix \" color3\"','','<ul>\r\n<li><a href=\"#\">Maecenas faucibus mollis interdum.</a></li>\r\n<li><a href=\"#\">Vivamus sagittis lacus vel augue.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus magna.</a></li>\r\n</ul>\r\n<p>Vestibulum id ligula porta felis euismod semper. <strong>Donec ullamcorper nulla non</strong> metus auctor fringilla. Nulla vitae elit libero, a pharetra augue. Cras dapibus ac facilisis in, egestas <em>eget quam</em>. Maecenas sed diam eget risus varius blandit sit amet non magna. Integer posuere. Cras dapibus ac facilisis in, egestas <em>eget quam</em>.</p>',1,'user2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" color3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(213,'Login','','',4,'login',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_login',1,1,'{\"pretext\":\"\",\"posttext\":\"\",\"login\":\"\",\"logout\":\"\",\"greeting\":\"1\",\"name\":\"0\",\"usesecure\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" dark\",\"cache\":\"0\"}',0,'*'),(201,'Suffix \" color4\"','','<ul>\r\n<li><a href=\"#\">Maecenas faucibus mollis interdum.</a></li>\r\n<li><a href=\"#\">Vivamus sagittis lacus vel augue laoreet.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus magna.</a></li>\r\n</ul>\r\n<p>Vestibulum id ligula porta felis euismod semper. <strong>Donec ullamcorper nulla non</strong> metus auctor fringilla. Nulla vitae elit libero, a pharetra augue. Cras dapibus ac facilisis in, egestas <em>eget quam</em>. Maecenas sed diam eget risus varius blandit sit amet non magna. Integer posuere. Cum <a href=\"#\">sociis natoque</a> penatibus et magnis dis parturient.</p>',1,'user3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" color4\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(203,'Tab default','','',1,'user7',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_tabs_gk4',1,0,'{\"automatic_module_id\":\"1\",\"module_id\":\"tabmix1\",\"moduleclass_sfx\":\" tab\",\"module_height\":\"150\",\"tabs_data\":\"[{\\\"name\\\":\\\"Lorem\\\",\\\"type\\\":\\\"xhtml\\\",\\\"content\\\":\\\"Vestibulum id ligula porta felis euismod semper. Donec sed odio dui. Aenean lacinia bibendum nulla sed consectetur. Maecenas sed diam eget risus varius blandit sit amet non magna. Etiam porta sem malesuada magna mollis euismod.\\\",\\\"published\\\":\\\"1\\\",\\\"access\\\":\\\"public\\\"},{\\\"name\\\":\\\"Ipsum\\\",\\\"type\\\":\\\"xhtml\\\",\\\"content\\\":\\\"Vestibulum id ligula porta felis euismod semper. Donec sed odio dui. Aenean lacinia bibendum nulla sed consectetur. Maecenas sed diam eget risus varius blandit sit amet non magna. Etiam porta sem malesuada magna mollis euismod.\\\",\\\"published\\\":\\\"1\\\",\\\"access\\\":\\\"public\\\"},{\\\"name\\\":\\\"Dolor sit\\\",\\\"type\\\":\\\"xhtml\\\",\\\"content\\\":\\\"Vestibulum id ligula porta felis euismod semper. Donec sed odio dui. Aenean lacinia bibendum nulla sed consectetur. Maecenas sed diam eget risus varius blandit sit amet non magna. Etiam porta sem malesuada magna mollis euismod.\\\",\\\"published\\\":\\\"1\\\",\\\"access\\\":\\\"public\\\"}]\",\"buttons\":\"0\",\"tabs_position\":\"top\",\"styleCSS\":\"style1\",\"activator\":\"click\",\"animation\":\"0\",\"animation_speed\":\"350\",\"animation_interval\":\"5000\",\"animation_type\":\"slider\",\"animation_function\":\"Fx.Transitions.linear\",\"url_tab_selection\":\"1\",\"cookie_tab_selection\":\"0\",\"parse_plugins\":\"1\",\"useCSS\":\"0\",\"useScript\":\"1\"}',0,'*'),(205,'Tab tab1','','',1,'user8',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_tabs_gk4',1,0,'{\"automatic_module_id\":\"1\",\"module_id\":\"tabmix1\",\"moduleclass_sfx\":\" tab1\",\"module_height\":\"150\",\"tabs_data\":\"[{\\\"name\\\":\\\"Lorem\\\",\\\"type\\\":\\\"xhtml\\\",\\\"content\\\":\\\"Vestibulum id ligula porta felis euismod semper. Donec sed odio dui. Aenean lacinia bibendum nulla sed consectetur. Maecenas sed diam eget risus varius blandit sit amet non magna. Etiam porta sem malesuada magna mollis euismod.\\\",\\\"published\\\":\\\"1\\\",\\\"access\\\":\\\"public\\\"},{\\\"name\\\":\\\"Ipsum\\\",\\\"type\\\":\\\"xhtml\\\",\\\"content\\\":\\\"Vestibulum id ligula porta felis euismod semper. Donec sed odio dui. Aenean lacinia bibendum nulla sed consectetur. Maecenas sed diam eget risus varius blandit sit amet non magna. Etiam porta sem malesuada magna mollis euismod.\\\",\\\"published\\\":\\\"1\\\",\\\"access\\\":\\\"public\\\"},{\\\"name\\\":\\\"Dolor sit\\\",\\\"type\\\":\\\"xhtml\\\",\\\"content\\\":\\\"Vestibulum id ligula porta felis euismod semper. Donec sed odio dui. Aenean lacinia bibendum nulla sed consectetur. Maecenas sed diam eget risus varius blandit sit amet non magna. Etiam porta sem malesuada magna mollis euismod.\\\",\\\"published\\\":\\\"1\\\",\\\"access\\\":\\\"public\\\"}]\",\"buttons\":\"0\",\"tabs_position\":\"top\",\"styleCSS\":\"style1\",\"activator\":\"click\",\"animation\":\"0\",\"animation_speed\":\"350\",\"animation_interval\":\"5000\",\"animation_type\":\"slider\",\"animation_function\":\"Fx.Transitions.linear\",\"url_tab_selection\":\"1\",\"cookie_tab_selection\":\"0\",\"parse_plugins\":\"1\",\"useCSS\":\"0\",\"useScript\":\"1\"}',0,'*'),(206,'Tab tab2','','',1,'user9',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_tabs_gk4',1,0,'{\"automatic_module_id\":\"1\",\"module_id\":\"tabmix1\",\"moduleclass_sfx\":\" tab2\",\"module_height\":\"150\",\"tabs_data\":\"[{\\\"name\\\":\\\"Lorem\\\",\\\"type\\\":\\\"xhtml\\\",\\\"content\\\":\\\"Vestibulum id ligula porta felis euismod semper. Donec sed odio dui. Aenean lacinia bibendum nulla sed consectetur. Maecenas sed diam eget risus varius blandit sit amet non magna. Etiam porta sem malesuada magna mollis euismod.\\\",\\\"published\\\":\\\"1\\\",\\\"access\\\":\\\"public\\\"},{\\\"name\\\":\\\"Ipsum\\\",\\\"type\\\":\\\"xhtml\\\",\\\"content\\\":\\\"Vestibulum id ligula porta felis euismod semper. Donec sed odio dui. Aenean lacinia bibendum nulla sed consectetur. Maecenas sed diam eget risus varius blandit sit amet non magna. Etiam porta sem malesuada magna mollis euismod.\\\",\\\"published\\\":\\\"1\\\",\\\"access\\\":\\\"public\\\"},{\\\"name\\\":\\\"Dolor sit\\\",\\\"type\\\":\\\"xhtml\\\",\\\"content\\\":\\\"Vestibulum id ligula porta felis euismod semper. Donec sed odio dui. Aenean lacinia bibendum nulla sed consectetur. Maecenas sed diam eget risus varius blandit sit amet non magna. Etiam porta sem malesuada magna mollis euismod.\\\",\\\"published\\\":\\\"1\\\",\\\"access\\\":\\\"public\\\"}]\",\"buttons\":\"0\",\"tabs_position\":\"top\",\"styleCSS\":\"style1\",\"activator\":\"click\",\"animation\":\"0\",\"animation_speed\":\"350\",\"animation_interval\":\"5000\",\"animation_type\":\"slider\",\"animation_function\":\"Fx.Transitions.linear\",\"url_tab_selection\":\"1\",\"cookie_tab_selection\":\"0\",\"parse_plugins\":\"1\",\"useCSS\":\"0\",\"useScript\":\"1\"}',0,'*'),(207,'Latest  Project','','',1,'mainbody',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\" nsp gallery \",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro6\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"k2_categories\",\"com_categories\":[\"7\"],\"com_articles\":\"\",\"k2_categories\":[\"3\",\"4\",\"2\"],\"k2_articles\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"DESC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"1\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"10\",\"news_portal_mode_2_amount\":\"10\",\"news_portal_mode_3_amount\":\"10\",\"news_portal_mode_4_amount\":\"10\",\"news_full_pages\":\"1\",\"news_column\":\"3\",\"news_rows\":\"3\",\"top_interface_style\":\"arrows_with_pagination\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"17\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"125\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE\",\"info2_format\":\" %HITS\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"art_padding\":\"0 12px 12px 12px\",\"news_header_order\":\"2\",\"news_header_enabled\":\"1\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"3\",\"news_text_enabled\":\"1\",\"news_info_order\":\"4\",\"news_info_enabled\":\"0\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_content_readmore_pos\":\"left\",\"news_readmore_enabled\":\"1\",\"news_short_pages\":\"0\",\"links_amount\":\"2\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"arrows\",\"links_margin\":\"0\",\"links_position\":\"right\",\"links_width\":\"50\",\"show_list_description\":\"1\",\"list_title_limit_type\":\"chars\",\"list_title_limit\":\"30\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"70\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"1\",\"img_auto_scale\":\"1\",\"img_keep_aspect_ratio\":\"0\",\"img_width\":\"236\",\"img_height\":\"236\",\"img_margin\":\"0\",\"img_bg\":\"#fff\",\"img_stretch\":\"0\",\"img_quality\":\"100\",\"cache_time\":\"30\",\"simple_crop_top\":\"0\",\"simple_crop_bottom\":\"0\",\"simple_crop_left\":\"0\",\"simple_crop_right\":\"0\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(208,'NSP GK4 (2)','','',1,'mainbody',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\" nsp\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"Portal_Mode_4\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"k2_categories\",\"com_categories\":[\"7\",\"9\"],\"com_articles\":\"\",\"k2_categories\":[\"4\",\"3\",\"7\",\"8\",\"9\",\"2\"],\"k2_articles\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"ASC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"10\",\"news_portal_mode_2_amount\":\"10\",\"news_portal_mode_3_amount\":\"10\",\"news_portal_mode_4_amount\":\"10\",\"news_full_pages\":\"3\",\"news_column\":\"2\",\"news_rows\":\"1\",\"top_interface_style\":\"arrows_with_pagination\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"17\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"125\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE\",\"info2_format\":\" %HITS\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"art_padding\":\"0 12px 0 0\",\"news_header_order\":\"2\",\"news_header_enabled\":\"1\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"3\",\"news_text_enabled\":\"1\",\"news_info_order\":\"4\",\"news_info_enabled\":\"0\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_content_readmore_pos\":\"left\",\"news_readmore_enabled\":\"1\",\"news_short_pages\":\"3\",\"links_amount\":\"2\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"arrows\",\"links_margin\":\"0\",\"links_position\":\"right\",\"links_width\":\"50\",\"show_list_description\":\"1\",\"list_title_limit_type\":\"chars\",\"list_title_limit\":\"30\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"70\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"0\",\"img_auto_scale\":\"1\",\"img_keep_aspect_ratio\":\"1\",\"img_width\":\"170\",\"img_height\":\"90\",\"img_margin\":\"0 0 20px\",\"img_bg\":\"#fff\",\"img_stretch\":\"1\",\"img_quality\":\"100\",\"cache_time\":\"0\",\"simple_crop_top\":\"10\",\"simple_crop_bottom\":\"10\",\"simple_crop_left\":\"10\",\"simple_crop_right\":\"10\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(209,'Calendar','','',1,'right_top',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_k2_tools',1,0,'{\"moduleclass_sfx\":\"  border0\",\"module_usage\":\"2\",\"archiveItemsCounter\":\"1\",\"archiveCategory\":\"0\",\"authors_module_category\":\"0\",\"authorItemsCounter\":\"1\",\"authorAvatar\":\"1\",\"authorAvatarWidthSelect\":\"custom\",\"authorAvatarWidth\":\"50\",\"authorLatestItem\":\"1\",\"calendarCategory\":\"0\",\"home\":\"\",\"seperator\":\"\",\"root_id\":\"0\",\"end_level\":\"\",\"categoriesListOrdering\":\"\",\"categoriesListItemsCounter\":\"1\",\"root_id2\":\"0\",\"catfilter\":\"0\",\"getChildren\":\"0\",\"liveSearch\":\"\",\"width\":\"20\",\"text\":\"\",\"button\":\"\",\"imagebutton\":\"\",\"button_text\":\"\",\"min_size\":\"75\",\"max_size\":\"300\",\"cloud_limit\":\"30\",\"cloud_category\":[\"1\",\"2\",\"3\"],\"cloud_category_recursive\":\"0\",\"customCode\":\"\",\"parsePhp\":\"0\",\"K2Plugins\":\"0\",\"JPlugins\":\"0\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),(210,'K2 Comments (2)','','',1,'right_bottom',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_k2_comments',1,1,'{\"moduleclass_sfx\":\"\",\"module_usage\":\"0\",\"catfilter\":\"0\",\"comments_limit\":\"3\",\"comments_word_limit\":\"7\",\"commenterName\":\"1\",\"commentAvatar\":\"1\",\"commentAvatarWidthSelect\":\"custom\",\"commentAvatarWidth\":\"50\",\"commentDate\":\"1\",\"commentDateFormat\":\"absolute\",\"commentLink\":\"1\",\"itemTitle\":\"0\",\"itemCategory\":\"0\",\"feed\":\"1\",\"commenters_limit\":\"3\",\"commenterAvatar\":\"1\",\"commenterAvatarWidthSelect\":\"custom\",\"commenterAvatarWidth\":\"50\",\"commenterLink\":\"0\",\"commenterCommentsCounter\":\"0\",\"commenterLatestComment\":\"1\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),(211,'Authors','','',2,'right_bottom',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_k2_tools',1,1,'{\"moduleclass_sfx\":\" \",\"module_usage\":\"1\",\"archiveItemsCounter\":\"1\",\"archiveCategory\":\"0\",\"authors_module_category\":\"0\",\"authorItemsCounter\":\"1\",\"authorAvatar\":\"1\",\"authorAvatarWidthSelect\":\"custom\",\"authorAvatarWidth\":\"50\",\"authorLatestItem\":\"1\",\"calendarCategory\":\"0\",\"home\":\"\",\"seperator\":\"\",\"root_id\":\"0\",\"end_level\":\"\",\"categoriesListOrdering\":\"\",\"categoriesListItemsCounter\":\"1\",\"root_id2\":\"0\",\"catfilter\":\"0\",\"getChildren\":\"0\",\"liveSearch\":\"\",\"width\":\"20\",\"text\":\"\",\"button\":\"\",\"imagebutton\":\"\",\"button_text\":\"\",\"min_size\":\"75\",\"max_size\":\"300\",\"cloud_limit\":\"30\",\"cloud_category\":[\"1\",\"2\",\"3\"],\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),(212,'Authors','','',2,'right_bottom',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_k2_tools',1,1,'{\"moduleclass_sfx\":\" \",\"module_usage\":\"1\",\"archiveItemsCounter\":\"1\",\"archiveCategory\":\"0\",\"authors_module_category\":\"0\",\"authorItemsCounter\":\"1\",\"authorAvatar\":\"1\",\"authorAvatarWidthSelect\":\"custom\",\"authorAvatarWidth\":\"50\",\"authorLatestItem\":\"1\",\"calendarCategory\":\"0\",\"home\":\"\",\"seperator\":\"\",\"root_id\":\"0\",\"end_level\":\"\",\"categoriesListOrdering\":\"\",\"categoriesListItemsCounter\":\"1\",\"root_id2\":\"0\",\"catfilter\":\"0\",\"getChildren\":\"0\",\"liveSearch\":\"\",\"width\":\"20\",\"text\":\"\",\"button\":\"\",\"imagebutton\":\"\",\"button_text\":\"\",\"min_size\":\"75\",\"max_size\":\"300\",\"cloud_limit\":\"30\",\"cloud_category\":[\"1\",\"2\",\"3\"],\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),(217,'Search','','',1,'search',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_search',1,0,'{\"label\":\"\",\"width\":\"30\",\"text\":\"\",\"button\":\"1\",\"button_pos\":\"right\",\"imagebutton\":\"\",\"button_text\":\"\",\"opensearch\":\"1\",\"opensearch_title\":\"\",\"set_itemid\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" \",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}',0,'*'),(215,'Testimonials','','<blockquote>\r\n                        <div class=\"gkBlockquote1\">\r\n                              <div>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam rutrum blandit purus, vitae pharetra odio interdum sit rutrum. \r\n                                   \r\n                              </div>\r\n                        </div>\r\n                  </blockquote>',5,'right_top',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" color1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(216,'Hire Me','','<p><a href=\"#\" ><img src=\"images/demo/hireme.png\" alt=\"Hire Me!\" /></a></p>',6,'right_top',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,0,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" clear\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(219,'Highlights','','',1,'bottom7',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\" color1\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro44\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"k2_categories\",\"com_categories\":[\"7\"],\"com_articles\":\"\",\"k2_categories\":[\"3\",\"10\",\"4\",\"2\"],\"k2_articles\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"DESC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"0\",\"news_portal_mode_2_amount\":\"0\",\"news_portal_mode_3_amount\":\"0\",\"news_portal_mode_4_amount\":\"0\",\"news_full_pages\":\"0\",\"news_column\":\"1\",\"news_rows\":\"3\",\"top_interface_style\":\"none\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"17\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"125\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE\",\"info2_format\":\" %HITS\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"art_padding\":\"24px 0\",\"news_header_order\":\"2\",\"news_header_enabled\":\"1\",\"news_image_order\":\"1\",\"news_image_enabled\":\"0\",\"news_text_order\":\"3\",\"news_text_enabled\":\"1\",\"news_info_order\":\"4\",\"news_info_enabled\":\"0\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_content_readmore_pos\":\"left\",\"news_readmore_enabled\":\"1\",\"news_short_pages\":\"1\",\"links_amount\":\"3\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"arrows\",\"links_margin\":\"0\",\"links_position\":\"right\",\"links_width\":\"50\",\"show_list_description\":\"1\",\"list_title_limit_type\":\"chars\",\"list_title_limit\":\"30\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"70\",\"create_thumbs\":\"0\",\"k2_thumbs\":\"1\",\"img_auto_scale\":\"1\",\"img_keep_aspect_ratio\":\"0\",\"img_width\":\"60\",\"img_height\":\"58\",\"img_margin\":\"0\",\"img_bg\":\"#fff\",\"img_stretch\":\"0\",\"img_quality\":\"100\",\"cache_time\":\"60\",\"simple_crop_top\":\"0\",\"simple_crop_bottom\":\"0\",\"simple_crop_left\":\"0\",\"simple_crop_right\":\"0\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(220,'Contact info','','<p><small>B.S. Sound 25 Cromwell St <br />\r\nGlen Iris<br />\r\nVictoria 00-000 <br />\r\nAustralia</small></p>\r\n',1,'bottom8',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(221,'About me','','<p style=\"font-style: italic\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris consequat, dolor a condimentum egestas, mi ante euismod enim, ac porttitor est tortor sed felis.</p>',1,'bottom9',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(222,'Social Stalking','','<div class=\"iconBlock\">\r\n<a class=\"iconFacebook\" href=\"#\">Facebook</a>\r\n<a class=\"iconTwitter\" href=\"#\">Twitter</a>\r\n<a class=\"iconVimeo\" href=\"#\">Vimeo</a>\r\n<a class=\"iconMobyPicture\" href=\"#\">Moby Picture</a>\r\n<a class=\"iconYoutube\" href=\"#\">Youtube</a>\r\n<a class=\"iconSkype\" href=\"#\">Skype</a>\r\n</div>',1,'bottom10',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,0,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(224,'Multilanguage status','','',1,'status',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_multilangstatus',3,1,'{\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}',1,'*'),(225,'K2 User','','',0,'',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_k2_user',1,1,'',0,'*'),(226,'Header','','<p>Aenean lacinia bibendum nulla sed consectetur. Nullam id dolor id nibh ultricies vehicula ut id elit. Cras mattis consectetur purus sit amet fermentum.</p>\r\n<p></p>\r\n<p>Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Maecenas faucibus mollis interdum. Maecenas faucibus mollis interdum. Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>\r\n<p></p>\r\n<p>Curabitur blandit tempus porttitor. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Nullam quis risus eget urna mollis ornare vel eu leo. Curabitur blandit tempus porttitor. Donec sed odio dui. Maecenas faucibus mollis interdum.</p>',3,'header',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(261,'Suffix \" title1a\"  ','','<ul>\r\n<li><a href=\"#\">Maecenas faucibus mollis interdum.</a></li>\r\n<li><a href=\"#\">Vivamus sagittis lacus vel augue laoreet.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus magna.</a></li>\r\n</ul>',2,'top7',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" title1a\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(228,'What\'s new this week','','',1,'tab1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_image_show_gk4',1,0,'{\"automatic_module_id\":\"1\",\"module_id\":\"gk-is-1\",\"moduleclass_sfx\":\" clear\",\"module_style\":\"gk_music\",\"last_modification\":\"1322777381\",\"image_show_data\":\"[{\\\"name\\\":\\\"Slide 1\\\",\\\"type\\\":\\\"k2\\\",\\\"image\\\":\\\"images\\/demo\\/is_demo.png\\\",\\\"stretch\\\":\\\"nostretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur blandit tempus porttitor.\\\",\\\"url\\\":\\\"#4\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"47\\\",\\\"artK2_title\\\":\\\"Jamie Cullum the pursuit album\\\"},{\\\"name\\\":\\\"Slide 2\\\",\\\"type\\\":\\\"k2\\\",\\\"image\\\":\\\"images\\/demo\\/is_demo.png\\\",\\\"stretch\\\":\\\"nostretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur blandit tempus porttitor.\\\",\\\"url\\\":\\\"#2\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"40\\\",\\\"artK2_title\\\":\\\"Both JLS and Williams\'s tenth solo album\\\"},{\\\"name\\\":\\\"Slide 3\\\",\\\"type\\\":\\\"k2\\\",\\\"image\\\":\\\"images\\/demo\\/is_demo.png\\\",\\\"stretch\\\":\\\"nostretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur blandit tempus porttitor.\\\",\\\"url\\\":\\\"#12\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"37\\\",\\\"artK2_title\\\":\\\"U2 Tower land to help settle NAMA debts\\\"},{\\\"name\\\":\\\"Slide 4\\\",\\\"type\\\":\\\"k2\\\",\\\"image\\\":\\\"images\\/demo\\/is_demo.png\\\",\\\"stretch\\\":\\\"nostretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur blandit tempus porttitor.\\\",\\\"url\\\":\\\"#11\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"28\\\",\\\"artK2_title\\\":\\\"New boyband The Wanted came into MTV\\\"},{\\\"name\\\":\\\"Slide 5\\\",\\\"type\\\":\\\"k2\\\",\\\"image\\\":\\\"images\\/demo\\/is_demo.png\\\",\\\"stretch\\\":\\\"nostretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"\\\",\\\"url\\\":\\\"\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"50\\\",\\\"artK2_title\\\":\\\"David Nail in the Street summer concert\\\"},{\\\"name\\\":\\\"Slide 6\\\",\\\"type\\\":\\\"k2\\\",\\\"image\\\":\\\"images\\/demo\\/is_demo.png\\\",\\\"stretch\\\":\\\"stretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur blandit tempus porttitor.\\\",\\\"url\\\":\\\"#1\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"2\\\",\\\"artK2_title\\\":\\\"Even Shirley\'s performance Garbage live experience\\\"},{\\\"name\\\":\\\"Slide 7\\\",\\\"type\\\":\\\"k2\\\",\\\"image\\\":\\\"images\\/demo\\/is_demo.png\\\",\\\"stretch\\\":\\\"stretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur blandit tempus porttitor.\\\",\\\"url\\\":\\\"#10\\\",\\\"art_id\\\":\\\"48\\\",\\\"art_title\\\":\\\"Borderlands 2 is no herp-derp sequel\\\",\\\"artK2_id\\\":\\\"46\\\",\\\"artK2_title\\\":\\\"Rihanna\'s Talk That Talk lively, synth-perfect\\\"},{\\\"name\\\":\\\"Slide 8\\\",\\\"type\\\":\\\"k2\\\",\\\"image\\\":\\\"images\\/demo\\/is_demo.png\\\",\\\"stretch\\\":\\\"nostretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur blandit tempus porttitor.\\\",\\\"url\\\":\\\"#13\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"43\\\",\\\"artK2_title\\\":\\\"Christina Perri had a life-changing moment\\\"},{\\\"name\\\":\\\"Slide 9\\\",\\\"type\\\":\\\"k2\\\",\\\"image\\\":\\\"images\\/demo\\/is_demo.png\\\",\\\"stretch\\\":\\\"nostretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur blandit tempus porttitor.\\\",\\\"url\\\":\\\"#20\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"31\\\",\\\"artK2_title\\\":\\\"British rapper Prof. Green is to undergo surgery \\\"},{\\\"name\\\":\\\"Slide 10\\\",\\\"type\\\":\\\"k2\\\",\\\"image\\\":\\\"images\\/demo\\/is_demo.png\\\",\\\"stretch\\\":\\\"nostretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur blandit tempus porttitor.\\\",\\\"url\\\":\\\"#21\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"3\\\",\\\"artK2_title\\\":\\\"Foster the People\\u2019s success\\\"},{\\\"name\\\":\\\"Slide 11\\\",\\\"type\\\":\\\"k2\\\",\\\"image\\\":\\\"images\\/demo\\/is_demo.png\\\",\\\"stretch\\\":\\\"nostretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur blandit tempus porttitor.\\\",\\\"url\\\":\\\"#30\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"30\\\",\\\"artK2_title\\\":\\\"Maroon 5 & Christina Aguilera\\\"},{\\\"name\\\":\\\"Slide 12\\\",\\\"type\\\":\\\"k2\\\",\\\"image\\\":\\\"images\\/demo\\/is_demo.png\\\",\\\"stretch\\\":\\\"nostretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Mauris quis arcu quis tellus interdum tincidunt vitae at leo. Proin eu nisi nec lorem facilisis ullamcorper. Donec porttitor odio sit amet nisl bibendum in ornare sapien pretium.\\\",\\\"url\\\":\\\"#40\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"48\\\",\\\"artK2_title\\\":\\\"Linkin Park Waiting for the End\\\"},{\\\"name\\\":\\\"Slide 13\\\",\\\"type\\\":\\\"k2\\\",\\\"image\\\":\\\"images\\/demo\\/is_demo.png\\\",\\\"stretch\\\":\\\"nostretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"\\\",\\\"url\\\":\\\"\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"44\\\",\\\"artK2_title\\\":\\\"Bittersweet U2\'s Final US Show Tonight\\\"},{\\\"name\\\":\\\"Slide 14\\\",\\\"type\\\":\\\"k2\\\",\\\"image\\\":\\\"images\\/demo\\/is_demo.png\\\",\\\"stretch\\\":\\\"nostretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"\\\",\\\"url\\\":\\\"\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"41\\\",\\\"artK2_title\\\":\\\"David Guetta Feat. Flo Rida & Nicki Minaj\\\"},{\\\"name\\\":\\\"Slide 15\\\",\\\"type\\\":\\\"k2\\\",\\\"image\\\":\\\"images\\/demo\\/is_demo.png\\\",\\\"stretch\\\":\\\"nostretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"\\\",\\\"url\\\":\\\"\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"12\\\",\\\"artK2_title\\\":\\\"Beyonce Puts A Ring on It at The 2011 VMAs\\\"}]\",\"config\":\"{\\\"gk_appsite1\\\":{\\\"gk_appsite1_image_width\\\":\\\"166\\\",\\\"gk_appsite1_image_height\\\":\\\"166\\\",\\\"gk_appsite1_image_bg\\\":\\\"#000000\\\",\\\"gk_appsite1_quality\\\":\\\"95\\\",\\\"gk_appsite1_show_text_block\\\":\\\"1\\\",\\\"gk_appsite1_text_block_x\\\":\\\"0\\\",\\\"gk_appsite1_text_block_y\\\":\\\"215\\\",\\\"gk_appsite1_text_block_width\\\":\\\"1000\\\",\\\"gk_appsite1_image_y\\\":\\\"65\\\",\\\"gk_appsite1_module_height\\\":\\\"450\\\",\\\"gk_appsite1_pagination\\\":\\\"1\\\",\\\"gk_appsite1_slide_links\\\":\\\"1\\\",\\\"gk_appsite1_animation_speed\\\":\\\"500\\\",\\\"gk_appsite1_animation_interval\\\":\\\"5000\\\",\\\"gk_appsite1_autoanimation\\\":\\\"1\\\"},\\\"gk_black_and_white\\\":{\\\"gk_black_and_white_image_width\\\":\\\"978\\\",\\\"gk_black_and_white_image_height\\\":\\\"362\\\",\\\"gk_black_and_white_image_bg\\\":\\\"#000000\\\",\\\"gk_black_and_white_quality\\\":\\\"95\\\",\\\"gk_black_and_white_text_block_position_x\\\":\\\"20\\\",\\\"gk_black_and_white_text_block_position_y\\\":\\\"20\\\",\\\"gk_black_and_white_text_block_width\\\":\\\"300\\\",\\\"gk_black_and_white_show_text_block\\\":\\\"1\\\",\\\"gk_black_and_white_clean_xhtml\\\":\\\"1\\\",\\\"gk_black_and_white_wordcount\\\":\\\"10\\\",\\\"gk_black_and_white_title_char_amount\\\":\\\"30\\\",\\\"gk_black_and_white_pagination\\\":\\\"1\\\",\\\"gk_black_and_white_pagination_position_x\\\":\\\"20\\\",\\\"gk_black_and_white_pagination_position_y\\\":\\\"320\\\",\\\"gk_black_and_white_show_readmore\\\":\\\"1\\\",\\\"gk_black_and_white_stripe_width\\\":\\\"60\\\",\\\"gk_black_and_white_slide_links\\\":\\\"1\\\",\\\"gk_black_and_white_animation_speed\\\":\\\"1800\\\",\\\"gk_black_and_white_animation_interval\\\":\\\"5000\\\",\\\"gk_black_and_white_autoanimation\\\":\\\"1\\\",\\\"gk_black_and_white_animation_type\\\":\\\"opacity\\\",\\\"gk_black_and_white_show_title_block\\\":\\\"1\\\",\\\"gk_black_and_white_title_link\\\":\\\"1\\\",\\\"gk_black_and_white_interface\\\":\\\"1\\\"},\\\"gk_boutique\\\":{\\\"gk_boutique_image_width\\\":\\\"680\\\",\\\"gk_boutique_image_height\\\":\\\"390\\\",\\\"gk_boutique_image_bg\\\":\\\"#000000\\\",\\\"gk_boutique_quality\\\":\\\"95\\\",\\\"gk_boutique_interface\\\":\\\"1\\\",\\\"gk_boutique_slide_links\\\":\\\"1\\\",\\\"gk_boutique_animation_speed\\\":\\\"500\\\",\\\"gk_boutique_animation_interval\\\":\\\"5000\\\",\\\"gk_boutique_autoanimation\\\":\\\"1\\\",\\\"gk_boutique_animation_type\\\":\\\"opacity\\\"},\\\"gk_cherrydesign\\\":{\\\"gk_cherrydesign_image_width\\\":\\\"480\\\",\\\"gk_cherrydesign_image_height\\\":\\\"320\\\",\\\"gk_cherrydesign_image_bg\\\":\\\"#000000\\\",\\\"gk_cherrydesign_quality\\\":\\\"95\\\",\\\"gk_cherrydesign_show_text_block\\\":\\\"1\\\",\\\"gk_cherrydesign_slide_links\\\":\\\"1\\\",\\\"gk_cherrydesign_pagination\\\":\\\"1\\\",\\\"gk_cherrydesign_pagination_position\\\":\\\"left\\\",\\\"gk_cherrydesign_readmore_text\\\":\\\"Read more...\\\",\\\"gk_cherrydesign_clean_xhtml\\\":\\\"1\\\",\\\"gk_cherrydesign_wordcount\\\":\\\"30\\\",\\\"gk_cherrydesign_animation_speed\\\":\\\"500\\\",\\\"gk_cherrydesign_animation_interval\\\":\\\"5000\\\",\\\"gk_cherrydesign_autoanimation\\\":\\\"1\\\",\\\"gk_cherrydesign_animation_type\\\":\\\"opacity\\\"},\\\"gk_coffe\\\":{\\\"gk_coffe_image_width\\\":\\\"480\\\",\\\"gk_coffe_image_height\\\":\\\"320\\\",\\\"gk_coffe_image_bg\\\":\\\"#000000\\\",\\\"gk_coffe_quality\\\":\\\"95\\\",\\\"gk_coffe_show_title_block\\\":\\\"1\\\",\\\"gk_coffe_title_link\\\":\\\"1\\\",\\\"gk_coffe_interface\\\":\\\"1\\\",\\\"gk_coffe_slide_links\\\":\\\"1\\\",\\\"gk_coffe_animation_speed\\\":\\\"500\\\",\\\"gk_coffe_animation_interval\\\":\\\"5000\\\",\\\"gk_coffe_autoanimation\\\":\\\"1\\\",\\\"gk_coffe_animation_type\\\":\\\"opacity\\\"},\\\"gk_corporate2\\\":{\\\"gk_corporate2_image_width\\\":\\\"480\\\",\\\"gk_corporate2_image_height\\\":\\\"320\\\",\\\"gk_corporate2_image_bg\\\":\\\"#000000\\\",\\\"gk_corporate2_quality\\\":\\\"95\\\",\\\"gk_corporate2_show_list\\\":\\\"1\\\",\\\"gk_corporate2_list_title_small\\\":\\\"Why to choose\\\",\\\"gk_corporate2_list_title_big\\\":\\\"our company\\\",\\\"gk_corporate2_list_char_count\\\":\\\"25\\\",\\\"gk_corporate2_list_text_overflow\\\":\\\"...\\\",\\\"gk_corporate2_image_position\\\":\\\"gkRightFloat\\\",\\\"gk_corporate2_list_position\\\":\\\"gkRightFloat\\\",\\\"gk_corporate2_art_width\\\":\\\"70\\\",\\\"gk_corporate2_title\\\":\\\"1\\\",\\\"gk_corporate2_title_link\\\":\\\"1\\\",\\\"gk_corporate2_clean_xhtml\\\":\\\"1\\\",\\\"gk_corporate2_wordcount\\\":\\\"30\\\",\\\"gk_corporate2_readmore_button\\\":\\\"1\\\",\\\"gk_corporate2_readmore_text\\\":\\\"Find more\\\",\\\"gk_corporate2_interface\\\":\\\"1\\\",\\\"gk_corporate2_interface_animation\\\":\\\"0\\\",\\\"gk_corporate2_animation_speed\\\":\\\"500\\\",\\\"gk_corporate2_animation_interval\\\":\\\"5000\\\",\\\"gk_corporate2_autoanimation\\\":\\\"1\\\",\\\"gk_corporate2_animation_type\\\":\\\"opacity\\\"},\\\"gk_financial_business\\\":{\\\"gk_financial_business_image_width\\\":\\\"166\\\",\\\"gk_financial_business_image_height\\\":\\\"166\\\",\\\"gk_financial_business_image_bg\\\":\\\"#000000\\\",\\\"gk_financial_business_quality\\\":\\\"95\\\",\\\"gk_financial_business_date_format\\\":\\\"d-m-Y\\\",\\\"gk_financial_business_interface\\\":\\\"1\\\",\\\"gk_financial_business_slide_links\\\":\\\"1\\\",\\\"gk_financial_business_animation_speed\\\":\\\"500\\\",\\\"gk_financial_business_animation_interval\\\":\\\"5000\\\",\\\"gk_financial_business_autoanimation\\\":\\\"1\\\",\\\"gk_financial_business_animation_type\\\":\\\"opacity\\\"},\\\"gk_gamebox\\\":{\\\"gk_gamebox_image_width\\\":\\\"640\\\",\\\"gk_gamebox_image_height\\\":\\\"360\\\",\\\"gk_gamebox_image_bg\\\":\\\"#000000\\\",\\\"gk_gamebox_quality\\\":\\\"95\\\",\\\"gk_gamebox_show_text_block\\\":\\\"1\\\",\\\"gk_gamebox_show_info\\\":\\\"1\\\",\\\"gk_gamebox_date_format\\\":\\\"A e, B Y\\\",\\\"gk_gamebox_author_name\\\":\\\"username\\\",\\\"gk_gamebox_info_format\\\":\\\"Written: %date by %author\\\",\\\"gk_gamebox_readmore_text\\\":\\\"Read more\\\",\\\"gk_gamebox_text_position\\\":\\\"280\\\",\\\"gk_gamebox_text_height\\\":\\\"80\\\",\\\"gk_gamebox_interface\\\":\\\"1\\\",\\\"gk_gamebox_slide_links\\\":\\\"1\\\",\\\"gk_gamebox_animation_speed\\\":\\\"500\\\",\\\"gk_gamebox_animation_interval\\\":\\\"5000\\\",\\\"gk_gamebox_autoanimation\\\":\\\"1\\\",\\\"gk_gamebox_animation_type\\\":\\\"opacity\\\"},\\\"gk_memovie\\\":{\\\"gk_memovie_image_width\\\":\\\"670\\\",\\\"gk_memovie_image_height\\\":\\\"313\\\",\\\"gk_memovie_image_bg\\\":\\\"#000000\\\",\\\"gk_memovie_quality\\\":\\\"95\\\",\\\"gk_memovie_interface\\\":\\\"1\\\",\\\"gk_memovie_interface_animation\\\":\\\"0\\\",\\\"gk_memovie_interface_x\\\":\\\"30\\\",\\\"gk_memovie_interface_y\\\":\\\"30\\\",\\\"gk_memovie_slide_links\\\":\\\"1\\\",\\\"gk_memovie_animation_speed\\\":\\\"500\\\",\\\"gk_memovie_animation_interval\\\":\\\"5000\\\",\\\"gk_memovie_autoanimation\\\":\\\"1\\\",\\\"gk_memovie_animation_type\\\":\\\"opacity\\\"},\\\"gk_musicity\\\":{\\\"gk_musicity_image_width\\\":\\\"627\\\",\\\"gk_musicity_image_height\\\":\\\"345\\\",\\\"gk_musicity_image_bg\\\":\\\"#000000\\\",\\\"gk_musicity_quality\\\":\\\"95\\\",\\\"gk_musicity_show_title_block\\\":\\\"1\\\",\\\"gk_musicity_show_date_block\\\":\\\"1\\\",\\\"gk_musicity_date_format\\\":\\\"F d, Y\\\",\\\"gk_musicity_interface\\\":\\\"1\\\",\\\"gk_musicity_title_block_y\\\":\\\"23\\\",\\\"gk_musicity_date_block_y\\\":\\\"14\\\",\\\"gk_musicity_slide_links\\\":\\\"1\\\",\\\"gk_musicity_animation_speed\\\":\\\"500\\\",\\\"gk_musicity_animation_interval\\\":\\\"5000\\\",\\\"gk_musicity_autoanimation\\\":\\\"1\\\",\\\"gk_musicity_animation_type\\\":\\\"opacity\\\"},\\\"gk_partyfreak\\\":{\\\"gk_partyfreak_image_width\\\":\\\"650\\\",\\\"gk_partyfreak_image_height\\\":\\\"365\\\",\\\"gk_partyfreak_thumb_width\\\":\\\"70\\\",\\\"gk_partyfreak_thumb_height\\\":\\\"70\\\",\\\"gk_partyfreak_image_bg\\\":\\\"#ffffff\\\",\\\"gk_partyfreak_quality\\\":\\\"95\\\",\\\"gk_partyfreak_total_width\\\":\\\"980\\\",\\\"gk_partyfreak_thumbs_margin\\\":\\\"0 0 0 0\\\",\\\"gk_partyfreak_thumbs_padding\\\":\\\"0 0 0 0\\\",\\\"gk_partyfreak_thumbs_amount\\\":\\\"3\\\",\\\"gk_partyfreak_thumbs_space\\\":\\\"8\\\",\\\"gk_partyfreak_thumbs_text_word_amount\\\":\\\"14\\\",\\\"gk_partyfreak_show_title\\\":\\\"1\\\",\\\"gk_partyfreak_text_block_height\\\":\\\"80\\\",\\\"gk_partyfreak_show_text\\\":\\\"1\\\",\\\"gk_partyfreak_text_word_amount\\\":\\\"40\\\",\\\"gk_partyfreak_slide_links\\\":\\\"1\\\",\\\"gk_partyfreak_animation_speed\\\":\\\"500\\\",\\\"gk_partyfreak_animation_interval\\\":\\\"5000\\\",\\\"gk_partyfreak_autoanimation\\\":\\\"1\\\",\\\"gk_partyfreak_animation_type\\\":\\\"opacity\\\"},\\\"gk_sporter1\\\":{\\\"gk_sporter1_image_width\\\":\\\"637\\\",\\\"gk_sporter1_image_height\\\":\\\"346\\\",\\\"gk_sporter1_image_bg\\\":\\\"#000000\\\",\\\"gk_sporter1_quality\\\":\\\"95\\\",\\\"gk_sporter1_text_position\\\":\\\"246\\\",\\\"gk_sporter1_text_height\\\":\\\"90\\\",\\\"gk_sporter1_show_text_block\\\":\\\"1\\\",\\\"gk_sporter1_pagination\\\":\\\"1\\\",\\\"gk_sporter1_pagination_cols\\\":\\\"4\\\",\\\"gk_sporter1_pagination_date\\\":\\\"1\\\",\\\"gk_sporter1_pagination_date_format\\\":\\\"d m, Y\\\",\\\"gk_sporter1_pagination_limit\\\":\\\"39\\\",\\\"gk_sporter1_readmore_text\\\":\\\"Read more\\\",\\\"gk_sporter1_pagination_position\\\":\\\"left\\\",\\\"gk_sporter1_clean_xhtml\\\":\\\"1\\\",\\\"gk_sporter1_wordcount\\\":\\\"24\\\",\\\"gk_sporter1_title_char_amount\\\":\\\"27\\\",\\\"gk_sporter1_show_info\\\":\\\"1\\\",\\\"gk_sporter1_date_format\\\":\\\"F d, Y\\\",\\\"gk_sporter1_author_name\\\":\\\"name\\\",\\\"gk_sporter1_info_format\\\":\\\"Written: %date by %author\\\",\\\"gk_sporter1_slide_links\\\":\\\"1\\\",\\\"gk_sporter1_animation_speed\\\":\\\"500\\\",\\\"gk_sporter1_animation_interval\\\":\\\"5000\\\",\\\"gk_sporter1_autoanimation\\\":\\\"1\\\",\\\"gk_sporter1_animation_type\\\":\\\"opacity\\\"},\\\"gk_sporter2\\\":{\\\"gk_sporter2_image_width\\\":\\\"600\\\",\\\"gk_sporter2_image_height\\\":\\\"600\\\",\\\"gk_sporter2_thumb_width\\\":\\\"70\\\",\\\"gk_sporter2_thumb_height\\\":\\\"70\\\",\\\"gk_sporter2_image_bg\\\":\\\"#ffffff\\\",\\\"gk_sporter2_quality\\\":\\\"95\\\",\\\"gk_sporter2_image_rows\\\":\\\"3\\\",\\\"gk_sporter2_image_cols\\\":\\\"3\\\",\\\"gk_sporter2_image_margin\\\":\\\"0\\\",\\\"gk_sporter2_image_padding\\\":\\\"0\\\",\\\"gk_sporter2_image_border\\\":\\\"0\\\",\\\"gk_sporter2_slide_popups\\\":\\\"1\\\",\\\"gk_sporter2_overlay\\\":\\\"1\\\",\\\"gk_sporter2_show_text_block\\\":\\\"1\\\",\\\"gk_sporter2_text_block_height\\\":\\\"100\\\",\\\"gk_sporter2_clean_xhtml\\\":\\\"1\\\",\\\"gk_sporter2_readmore_text\\\":\\\"Read more\\\",\\\"gk_sporter2_title_char_amount\\\":\\\"30\\\",\\\"gk_sporter2_text_wordcount\\\":\\\"30\\\"},\\\"gk_game_magazine\\\":{\\\"gk_game_magazine_image_width\\\":\\\"650\\\",\\\"gk_game_magazine_image_height\\\":\\\"365\\\",\\\"gk_game_magazine_image_bg\\\":\\\"#ffffff\\\",\\\"gk_game_magazine_quality\\\":\\\"95\\\",\\\"gk_game_magazine_total_width\\\":\\\"946\\\",\\\"gk_game_magazine_thumbs_margin\\\":\\\"0 0 0 0\\\",\\\"gk_game_magazine_thumbs_padding\\\":\\\"0 0 0 0\\\",\\\"gk_game_magazine_thumbs_amount\\\":\\\"3\\\",\\\"gk_game_magazine_thumbs_space\\\":\\\"8\\\",\\\"gk_game_magazine_thumbs_text_word_amount\\\":\\\"14\\\",\\\"gk_game_magazine_show_title\\\":\\\"1\\\",\\\"gk_game_magazine_text_block_height\\\":\\\"80\\\",\\\"gk_game_magazine_show_text\\\":\\\"1\\\",\\\"gk_game_magazine_text_word_amount\\\":\\\"40\\\",\\\"gk_game_magazine_slide_links\\\":\\\"1\\\",\\\"gk_game_magazine_animation_speed\\\":\\\"700\\\",\\\"gk_game_magazine_animation_interval\\\":\\\"5000\\\",\\\"gk_game_magazine_autoanimation\\\":\\\"1\\\",\\\"gk_game_magazine_animation_type\\\":\\\"opacity\\\",\\\"gk_game_magazine_show_text_block\\\":\\\"1\\\",\\\"gk_game_magazine_text_block_x\\\":\\\"32\\\",\\\"gk_game_magazine_text_block_y\\\":\\\"32\\\",\\\"gk_game_magazine_title_chars_amount\\\":\\\"30\\\",\\\"gk_game_magazine_text_chars_amount\\\":\\\"40\\\",\\\"gk_game_magazine_animation_text_type\\\":\\\"bottom\\\",\\\"gk_game_magazine_text_block_position\\\":\\\"right\\\"},\\\"gk_music\\\":{\\\"gk_music_image_width\\\":\\\"169\\\",\\\"gk_music_image_height\\\":\\\"169\\\",\\\"gk_music_image_bg\\\":\\\"#000000\\\",\\\"gk_music_quality\\\":\\\"95\\\",\\\"gk_music_show_title_block\\\":\\\"1\\\",\\\"gk_music_show_date_block\\\":\\\"1\\\",\\\"gk_music_date_format\\\":\\\"F d, Y\\\",\\\"gk_music_title\\\":\\\"What\'s new in this week\\\",\\\"gk_music_slides_per_page\\\":\\\"5\\\",\\\"gk_music_title_block\\\":\\\"1\\\",\\\"gk_music_loader\\\":\\\"1\\\",\\\"gk_music_animation_speed\\\":\\\"600\\\",\\\"gk_music_animation_interval\\\":\\\"6000\\\",\\\"gk_music_autoanimation\\\":\\\"1\\\",\\\"gk_music_animation_type\\\":\\\"opacity\\\",\\\"gk_music_title_chars\\\":\\\"17\\\",\\\"gk_music_show_pagination\\\":\\\"1\\\"}}\"}',0,'*'),(260,'Suffix \" border0\"','','<ul>\r\n<li><a href=\"#\">Maecenas faucibus</a></li>\r\n<li><a href=\"#\">Vivamus sagittis.</a></li>\r\n<li><a href=\"#\">Praesent commodo.</a></li>\r\n</ul>',1,'top2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" border0\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(262,'Suffix \" title3a\"  ','','<ul>\r\n<li><a href=\"#\">Maecenas faucibus mollis interdum.</a></li>\r\n<li><a href=\"#\">Vivamus sagittis lacus vel augue laoreet.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus magna.</a></li>\r\n</ul>',2,'top9',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" title3a\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(229,'Header tab','','',1,'header',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_tabs_gk4',1,0,'{\"automatic_module_id\":\"1\",\"module_id\":\"gk-tab-1\",\"moduleclass_sfx\":\" border0\",\"module_height\":\"435\",\"tabs_data\":\"[{\\\"name\\\":\\\"Music Hot List\\\",\\\"type\\\":\\\"module\\\",\\\"content\\\":\\\"tab1\\\",\\\"published\\\":\\\"1\\\",\\\"access\\\":\\\"public\\\"},{\\\"name\\\":\\\"Highlights of the week\\\",\\\"type\\\":\\\"module\\\",\\\"content\\\":\\\"tab2\\\",\\\"published\\\":\\\"1\\\",\\\"access\\\":\\\"public\\\"},{\\\"name\\\":\\\"Our Members Top Charts\\\",\\\"type\\\":\\\"module\\\",\\\"content\\\":\\\"tab3\\\",\\\"published\\\":\\\"1\\\",\\\"access\\\":\\\"public\\\"}]\",\"buttons\":\"0\",\"tabs_position\":\"bottom\",\"styleCSS\":\"style1\",\"activator\":\"click\",\"animation\":\"0\",\"animation_speed\":\"250\",\"animation_interval\":\"5000\",\"animation_type\":\"opacity\",\"animation_function\":\"Fx.Transitions.linear\",\"url_tab_selection\":\"1\",\"cookie_tab_selection\":\"0\",\"parse_plugins\":\"1\",\"useCSS\":\"0\",\"useScript\":\"1\"}',0,'*'),(230,'mod_gk_register','','',1,'register',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_gk_register',1,1,'',0,'*'),(231,'Newest Games','','',1,'tab2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_image_show_gk4',1,0,'{\"automatic_module_id\":\"1\",\"module_id\":\"gk-is-1\",\"moduleclass_sfx\":\" clear\",\"module_style\":\"gk_game_magazine\",\"last_modification\":\"1320852847\",\"image_show_data\":\"[{\\\"name\\\":\\\"Resident Evil - Raccoon City\\\",\\\"type\\\":\\\"text\\\",\\\"image\\\":\\\"images\\/demo\\/is_demo2.png\\\",\\\"stretch\\\":\\\"nostretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur blandit tempus porttitor.\\\",\\\"url\\\":\\\"#21\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"\\\",\\\"artK2_title\\\":\\\"\\\"},{\\\"name\\\":\\\"Avatar - the Game\\\",\\\"type\\\":\\\"text\\\",\\\"image\\\":\\\"images\\/demo\\/is_demo2.png\\\",\\\"stretch\\\":\\\"nostretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur blandit tempus porttitor.\\\",\\\"url\\\":\\\"#3\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"\\\",\\\"artK2_title\\\":\\\"\\\"},{\\\"name\\\":\\\"Dead Space 2\\\",\\\"type\\\":\\\"text\\\",\\\"image\\\":\\\"images\\/demo\\/is_demo2.png\\\",\\\"stretch\\\":\\\"nostretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur blandit tempus porttitor.\\\",\\\"url\\\":\\\"#11\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"\\\",\\\"artK2_title\\\":\\\"\\\"},{\\\"name\\\":\\\"Ghost Recon - Future Soldier\\\",\\\"type\\\":\\\"text\\\",\\\"image\\\":\\\"images\\/demo\\/is_demo2.png\\\",\\\"stretch\\\":\\\"nostretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur blandit tempus porttitor.\\\",\\\"url\\\":\\\"#2\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"\\\",\\\"artK2_title\\\":\\\"\\\"},{\\\"name\\\":\\\"Need for Speed - Run\\\",\\\"type\\\":\\\"text\\\",\\\"image\\\":\\\"images\\/demo\\/is_demo2.png\\\",\\\"stretch\\\":\\\"nostretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur blandit tempus porttitor.\\\",\\\"url\\\":\\\"#4\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"\\\",\\\"artK2_title\\\":\\\"\\\"},{\\\"name\\\":\\\"Forza MotorSport 4\\\",\\\"type\\\":\\\"text\\\",\\\"image\\\":\\\"images\\/demo\\/is_demo2.png\\\",\\\"stretch\\\":\\\"stretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur blandit tempus porttitor.\\\",\\\"url\\\":\\\"#10\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"\\\",\\\"artK2_title\\\":\\\"\\\"},{\\\"name\\\":\\\"Ace Combat Assault Horizon\\\",\\\"type\\\":\\\"text\\\",\\\"image\\\":\\\"images\\/demo\\/is_demo2.png\\\",\\\"stretch\\\":\\\"nostretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur blandit tempus porttitor.\\\",\\\"url\\\":\\\"#20\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"\\\",\\\"artK2_title\\\":\\\"\\\"},{\\\"name\\\":\\\"Fallout New Vegas\\\",\\\"type\\\":\\\"text\\\",\\\"image\\\":\\\"images\\/demo\\/is_demo2.png\\\",\\\"stretch\\\":\\\"nostretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur blandit tempus porttitor.\\\",\\\"url\\\":\\\"#12\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"\\\",\\\"artK2_title\\\":\\\"\\\"},{\\\"name\\\":\\\"COD: Modern Warfare 3\\\",\\\"type\\\":\\\"text\\\",\\\"image\\\":\\\"images\\/demo\\/is_demo2.png\\\",\\\"stretch\\\":\\\"nostretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur blandit tempus porttitor.\\\",\\\"url\\\":\\\"#13\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"\\\",\\\"artK2_title\\\":\\\"\\\"}]\",\"config\":\"{\\\"gk_appsite1\\\":{\\\"gk_appsite1_image_width\\\":\\\"166\\\",\\\"gk_appsite1_image_height\\\":\\\"166\\\",\\\"gk_appsite1_image_bg\\\":\\\"#000000\\\",\\\"gk_appsite1_quality\\\":\\\"95\\\",\\\"gk_appsite1_show_text_block\\\":\\\"1\\\",\\\"gk_appsite1_text_block_x\\\":\\\"0\\\",\\\"gk_appsite1_text_block_y\\\":\\\"215\\\",\\\"gk_appsite1_text_block_width\\\":\\\"1000\\\",\\\"gk_appsite1_image_y\\\":\\\"65\\\",\\\"gk_appsite1_module_height\\\":\\\"450\\\",\\\"gk_appsite1_pagination\\\":\\\"1\\\",\\\"gk_appsite1_slide_links\\\":\\\"1\\\",\\\"gk_appsite1_animation_speed\\\":\\\"500\\\",\\\"gk_appsite1_animation_interval\\\":\\\"5000\\\",\\\"gk_appsite1_autoanimation\\\":\\\"1\\\"},\\\"gk_black_and_white\\\":{\\\"gk_black_and_white_image_width\\\":\\\"978\\\",\\\"gk_black_and_white_image_height\\\":\\\"362\\\",\\\"gk_black_and_white_image_bg\\\":\\\"#000000\\\",\\\"gk_black_and_white_quality\\\":\\\"95\\\",\\\"gk_black_and_white_text_block_position_x\\\":\\\"20\\\",\\\"gk_black_and_white_text_block_position_y\\\":\\\"20\\\",\\\"gk_black_and_white_text_block_width\\\":\\\"300\\\",\\\"gk_black_and_white_show_text_block\\\":\\\"1\\\",\\\"gk_black_and_white_clean_xhtml\\\":\\\"1\\\",\\\"gk_black_and_white_wordcount\\\":\\\"10\\\",\\\"gk_black_and_white_title_char_amount\\\":\\\"30\\\",\\\"gk_black_and_white_pagination\\\":\\\"1\\\",\\\"gk_black_and_white_pagination_position_x\\\":\\\"20\\\",\\\"gk_black_and_white_pagination_position_y\\\":\\\"320\\\",\\\"gk_black_and_white_show_readmore\\\":\\\"1\\\",\\\"gk_black_and_white_stripe_width\\\":\\\"60\\\",\\\"gk_black_and_white_slide_links\\\":\\\"1\\\",\\\"gk_black_and_white_animation_speed\\\":\\\"1800\\\",\\\"gk_black_and_white_animation_interval\\\":\\\"5000\\\",\\\"gk_black_and_white_autoanimation\\\":\\\"1\\\",\\\"gk_black_and_white_animation_type\\\":\\\"opacity\\\",\\\"gk_black_and_white_show_title_block\\\":\\\"1\\\",\\\"gk_black_and_white_title_link\\\":\\\"1\\\",\\\"gk_black_and_white_interface\\\":\\\"1\\\"},\\\"gk_boutique\\\":{\\\"gk_boutique_image_width\\\":\\\"680\\\",\\\"gk_boutique_image_height\\\":\\\"390\\\",\\\"gk_boutique_image_bg\\\":\\\"#000000\\\",\\\"gk_boutique_quality\\\":\\\"95\\\",\\\"gk_boutique_interface\\\":\\\"1\\\",\\\"gk_boutique_slide_links\\\":\\\"1\\\",\\\"gk_boutique_animation_speed\\\":\\\"500\\\",\\\"gk_boutique_animation_interval\\\":\\\"5000\\\",\\\"gk_boutique_autoanimation\\\":\\\"1\\\",\\\"gk_boutique_animation_type\\\":\\\"opacity\\\"},\\\"gk_cherrydesign\\\":{\\\"gk_cherrydesign_image_width\\\":\\\"480\\\",\\\"gk_cherrydesign_image_height\\\":\\\"320\\\",\\\"gk_cherrydesign_image_bg\\\":\\\"#000000\\\",\\\"gk_cherrydesign_quality\\\":\\\"95\\\",\\\"gk_cherrydesign_show_text_block\\\":\\\"1\\\",\\\"gk_cherrydesign_slide_links\\\":\\\"1\\\",\\\"gk_cherrydesign_pagination\\\":\\\"1\\\",\\\"gk_cherrydesign_pagination_position\\\":\\\"left\\\",\\\"gk_cherrydesign_readmore_text\\\":\\\"Read more...\\\",\\\"gk_cherrydesign_clean_xhtml\\\":\\\"1\\\",\\\"gk_cherrydesign_wordcount\\\":\\\"30\\\",\\\"gk_cherrydesign_animation_speed\\\":\\\"500\\\",\\\"gk_cherrydesign_animation_interval\\\":\\\"5000\\\",\\\"gk_cherrydesign_autoanimation\\\":\\\"1\\\",\\\"gk_cherrydesign_animation_type\\\":\\\"opacity\\\"},\\\"gk_coffe\\\":{\\\"gk_coffe_image_width\\\":\\\"480\\\",\\\"gk_coffe_image_height\\\":\\\"320\\\",\\\"gk_coffe_image_bg\\\":\\\"#000000\\\",\\\"gk_coffe_quality\\\":\\\"95\\\",\\\"gk_coffe_show_title_block\\\":\\\"1\\\",\\\"gk_coffe_title_link\\\":\\\"1\\\",\\\"gk_coffe_interface\\\":\\\"1\\\",\\\"gk_coffe_slide_links\\\":\\\"1\\\",\\\"gk_coffe_animation_speed\\\":\\\"500\\\",\\\"gk_coffe_animation_interval\\\":\\\"5000\\\",\\\"gk_coffe_autoanimation\\\":\\\"1\\\",\\\"gk_coffe_animation_type\\\":\\\"opacity\\\"},\\\"gk_corporate2\\\":{\\\"gk_corporate2_image_width\\\":\\\"480\\\",\\\"gk_corporate2_image_height\\\":\\\"320\\\",\\\"gk_corporate2_image_bg\\\":\\\"#000000\\\",\\\"gk_corporate2_quality\\\":\\\"95\\\",\\\"gk_corporate2_show_list\\\":\\\"1\\\",\\\"gk_corporate2_list_title_small\\\":\\\"Why to choose\\\",\\\"gk_corporate2_list_title_big\\\":\\\"our company\\\",\\\"gk_corporate2_list_char_count\\\":\\\"25\\\",\\\"gk_corporate2_list_text_overflow\\\":\\\"...\\\",\\\"gk_corporate2_image_position\\\":\\\"gkRightFloat\\\",\\\"gk_corporate2_list_position\\\":\\\"gkRightFloat\\\",\\\"gk_corporate2_art_width\\\":\\\"70\\\",\\\"gk_corporate2_title\\\":\\\"1\\\",\\\"gk_corporate2_title_link\\\":\\\"1\\\",\\\"gk_corporate2_clean_xhtml\\\":\\\"1\\\",\\\"gk_corporate2_wordcount\\\":\\\"30\\\",\\\"gk_corporate2_readmore_button\\\":\\\"1\\\",\\\"gk_corporate2_readmore_text\\\":\\\"Find more\\\",\\\"gk_corporate2_interface\\\":\\\"1\\\",\\\"gk_corporate2_interface_animation\\\":\\\"0\\\",\\\"gk_corporate2_animation_speed\\\":\\\"500\\\",\\\"gk_corporate2_animation_interval\\\":\\\"5000\\\",\\\"gk_corporate2_autoanimation\\\":\\\"1\\\",\\\"gk_corporate2_animation_type\\\":\\\"opacity\\\"},\\\"gk_financial_business\\\":{\\\"gk_financial_business_image_width\\\":\\\"166\\\",\\\"gk_financial_business_image_height\\\":\\\"166\\\",\\\"gk_financial_business_image_bg\\\":\\\"#000000\\\",\\\"gk_financial_business_quality\\\":\\\"95\\\",\\\"gk_financial_business_date_format\\\":\\\"d-m-Y\\\",\\\"gk_financial_business_interface\\\":\\\"1\\\",\\\"gk_financial_business_slide_links\\\":\\\"1\\\",\\\"gk_financial_business_animation_speed\\\":\\\"500\\\",\\\"gk_financial_business_animation_interval\\\":\\\"5000\\\",\\\"gk_financial_business_autoanimation\\\":\\\"1\\\",\\\"gk_financial_business_animation_type\\\":\\\"opacity\\\"},\\\"gk_gamebox\\\":{\\\"gk_gamebox_image_width\\\":\\\"640\\\",\\\"gk_gamebox_image_height\\\":\\\"360\\\",\\\"gk_gamebox_image_bg\\\":\\\"#000000\\\",\\\"gk_gamebox_quality\\\":\\\"95\\\",\\\"gk_gamebox_show_text_block\\\":\\\"1\\\",\\\"gk_gamebox_show_info\\\":\\\"1\\\",\\\"gk_gamebox_date_format\\\":\\\"A e, B Y\\\",\\\"gk_gamebox_author_name\\\":\\\"username\\\",\\\"gk_gamebox_info_format\\\":\\\"Written: %date by %author\\\",\\\"gk_gamebox_readmore_text\\\":\\\"Read more\\\",\\\"gk_gamebox_text_position\\\":\\\"280\\\",\\\"gk_gamebox_text_height\\\":\\\"80\\\",\\\"gk_gamebox_interface\\\":\\\"1\\\",\\\"gk_gamebox_slide_links\\\":\\\"1\\\",\\\"gk_gamebox_animation_speed\\\":\\\"500\\\",\\\"gk_gamebox_animation_interval\\\":\\\"5000\\\",\\\"gk_gamebox_autoanimation\\\":\\\"1\\\",\\\"gk_gamebox_animation_type\\\":\\\"opacity\\\"},\\\"gk_memovie\\\":{\\\"gk_memovie_image_width\\\":\\\"670\\\",\\\"gk_memovie_image_height\\\":\\\"313\\\",\\\"gk_memovie_image_bg\\\":\\\"#000000\\\",\\\"gk_memovie_quality\\\":\\\"95\\\",\\\"gk_memovie_interface\\\":\\\"1\\\",\\\"gk_memovie_interface_animation\\\":\\\"0\\\",\\\"gk_memovie_interface_x\\\":\\\"30\\\",\\\"gk_memovie_interface_y\\\":\\\"30\\\",\\\"gk_memovie_slide_links\\\":\\\"1\\\",\\\"gk_memovie_animation_speed\\\":\\\"500\\\",\\\"gk_memovie_animation_interval\\\":\\\"5000\\\",\\\"gk_memovie_autoanimation\\\":\\\"1\\\",\\\"gk_memovie_animation_type\\\":\\\"opacity\\\"},\\\"gk_musicity\\\":{\\\"gk_musicity_image_width\\\":\\\"627\\\",\\\"gk_musicity_image_height\\\":\\\"345\\\",\\\"gk_musicity_image_bg\\\":\\\"#000000\\\",\\\"gk_musicity_quality\\\":\\\"95\\\",\\\"gk_musicity_show_title_block\\\":\\\"1\\\",\\\"gk_musicity_show_date_block\\\":\\\"1\\\",\\\"gk_musicity_date_format\\\":\\\"F d, Y\\\",\\\"gk_musicity_interface\\\":\\\"1\\\",\\\"gk_musicity_title_block_y\\\":\\\"23\\\",\\\"gk_musicity_date_block_y\\\":\\\"14\\\",\\\"gk_musicity_slide_links\\\":\\\"1\\\",\\\"gk_musicity_animation_speed\\\":\\\"500\\\",\\\"gk_musicity_animation_interval\\\":\\\"5000\\\",\\\"gk_musicity_autoanimation\\\":\\\"1\\\",\\\"gk_musicity_animation_type\\\":\\\"opacity\\\"},\\\"gk_partyfreak\\\":{\\\"gk_partyfreak_image_width\\\":\\\"650\\\",\\\"gk_partyfreak_image_height\\\":\\\"365\\\",\\\"gk_partyfreak_thumb_width\\\":\\\"70\\\",\\\"gk_partyfreak_thumb_height\\\":\\\"70\\\",\\\"gk_partyfreak_image_bg\\\":\\\"#ffffff\\\",\\\"gk_partyfreak_quality\\\":\\\"95\\\",\\\"gk_partyfreak_total_width\\\":\\\"980\\\",\\\"gk_partyfreak_thumbs_margin\\\":\\\"0 0 0 0\\\",\\\"gk_partyfreak_thumbs_padding\\\":\\\"0 0 0 0\\\",\\\"gk_partyfreak_thumbs_amount\\\":\\\"3\\\",\\\"gk_partyfreak_thumbs_space\\\":\\\"8\\\",\\\"gk_partyfreak_thumbs_text_word_amount\\\":\\\"14\\\",\\\"gk_partyfreak_show_title\\\":\\\"1\\\",\\\"gk_partyfreak_text_block_height\\\":\\\"80\\\",\\\"gk_partyfreak_show_text\\\":\\\"1\\\",\\\"gk_partyfreak_text_word_amount\\\":\\\"40\\\",\\\"gk_partyfreak_slide_links\\\":\\\"1\\\",\\\"gk_partyfreak_animation_speed\\\":\\\"500\\\",\\\"gk_partyfreak_animation_interval\\\":\\\"5000\\\",\\\"gk_partyfreak_autoanimation\\\":\\\"1\\\",\\\"gk_partyfreak_animation_type\\\":\\\"opacity\\\"},\\\"gk_sporter1\\\":{\\\"gk_sporter1_image_width\\\":\\\"637\\\",\\\"gk_sporter1_image_height\\\":\\\"346\\\",\\\"gk_sporter1_image_bg\\\":\\\"#000000\\\",\\\"gk_sporter1_quality\\\":\\\"95\\\",\\\"gk_sporter1_text_position\\\":\\\"246\\\",\\\"gk_sporter1_text_height\\\":\\\"90\\\",\\\"gk_sporter1_show_text_block\\\":\\\"1\\\",\\\"gk_sporter1_pagination\\\":\\\"1\\\",\\\"gk_sporter1_pagination_cols\\\":\\\"4\\\",\\\"gk_sporter1_pagination_date\\\":\\\"1\\\",\\\"gk_sporter1_pagination_date_format\\\":\\\"d m, Y\\\",\\\"gk_sporter1_pagination_limit\\\":\\\"39\\\",\\\"gk_sporter1_readmore_text\\\":\\\"Read more\\\",\\\"gk_sporter1_pagination_position\\\":\\\"left\\\",\\\"gk_sporter1_clean_xhtml\\\":\\\"1\\\",\\\"gk_sporter1_wordcount\\\":\\\"24\\\",\\\"gk_sporter1_title_char_amount\\\":\\\"27\\\",\\\"gk_sporter1_show_info\\\":\\\"1\\\",\\\"gk_sporter1_date_format\\\":\\\"F d, Y\\\",\\\"gk_sporter1_author_name\\\":\\\"name\\\",\\\"gk_sporter1_info_format\\\":\\\"Written: %date by %author\\\",\\\"gk_sporter1_slide_links\\\":\\\"1\\\",\\\"gk_sporter1_animation_speed\\\":\\\"500\\\",\\\"gk_sporter1_animation_interval\\\":\\\"5000\\\",\\\"gk_sporter1_autoanimation\\\":\\\"1\\\",\\\"gk_sporter1_animation_type\\\":\\\"opacity\\\"},\\\"gk_sporter2\\\":{\\\"gk_sporter2_image_width\\\":\\\"600\\\",\\\"gk_sporter2_image_height\\\":\\\"600\\\",\\\"gk_sporter2_thumb_width\\\":\\\"70\\\",\\\"gk_sporter2_thumb_height\\\":\\\"70\\\",\\\"gk_sporter2_image_bg\\\":\\\"#ffffff\\\",\\\"gk_sporter2_quality\\\":\\\"95\\\",\\\"gk_sporter2_image_rows\\\":\\\"3\\\",\\\"gk_sporter2_image_cols\\\":\\\"3\\\",\\\"gk_sporter2_image_margin\\\":\\\"0\\\",\\\"gk_sporter2_image_padding\\\":\\\"0\\\",\\\"gk_sporter2_image_border\\\":\\\"0\\\",\\\"gk_sporter2_slide_popups\\\":\\\"1\\\",\\\"gk_sporter2_overlay\\\":\\\"1\\\",\\\"gk_sporter2_show_text_block\\\":\\\"1\\\",\\\"gk_sporter2_text_block_height\\\":\\\"100\\\",\\\"gk_sporter2_clean_xhtml\\\":\\\"1\\\",\\\"gk_sporter2_readmore_text\\\":\\\"Read more\\\",\\\"gk_sporter2_title_char_amount\\\":\\\"30\\\",\\\"gk_sporter2_text_wordcount\\\":\\\"30\\\"},\\\"gk_game_magazine\\\":{\\\"gk_game_magazine_image_width\\\":\\\"650\\\",\\\"gk_game_magazine_image_height\\\":\\\"365\\\",\\\"gk_game_magazine_image_bg\\\":\\\"#ffffff\\\",\\\"gk_game_magazine_quality\\\":\\\"95\\\",\\\"gk_game_magazine_total_width\\\":\\\"946\\\",\\\"gk_game_magazine_thumbs_margin\\\":\\\"0 0 0 0\\\",\\\"gk_game_magazine_thumbs_padding\\\":\\\"0 0 0 0\\\",\\\"gk_game_magazine_thumbs_amount\\\":\\\"3\\\",\\\"gk_game_magazine_thumbs_space\\\":\\\"8\\\",\\\"gk_game_magazine_thumbs_text_word_amount\\\":\\\"14\\\",\\\"gk_game_magazine_show_title\\\":\\\"1\\\",\\\"gk_game_magazine_text_block_height\\\":\\\"80\\\",\\\"gk_game_magazine_show_text\\\":\\\"1\\\",\\\"gk_game_magazine_text_word_amount\\\":\\\"40\\\",\\\"gk_game_magazine_slide_links\\\":\\\"1\\\",\\\"gk_game_magazine_animation_speed\\\":\\\"700\\\",\\\"gk_game_magazine_animation_interval\\\":\\\"5000\\\",\\\"gk_game_magazine_autoanimation\\\":\\\"1\\\",\\\"gk_game_magazine_animation_type\\\":\\\"opacity\\\",\\\"gk_game_magazine_show_text_block\\\":\\\"1\\\",\\\"gk_game_magazine_text_block_x\\\":\\\"32\\\",\\\"gk_game_magazine_text_block_y\\\":\\\"32\\\",\\\"gk_game_magazine_title_chars_amount\\\":\\\"20\\\",\\\"gk_game_magazine_text_chars_amount\\\":\\\"40\\\",\\\"gk_game_magazine_animation_text_type\\\":\\\"bottom\\\",\\\"gk_game_magazine_text_block_position\\\":\\\"left\\\"}}\"}',0,'*'),(233,'Suffix \"_text\"','','',1,'right_bottom',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_banners',1,1,'{\"target\":\"1\",\"count\":\"4\",\"cid\":\"0\",\"catid\":[\"\"],\"tag_search\":\"0\",\"ordering\":\"0\",\"header_text\":\"Featured links:\",\"footer_text\":\"Ads by Joomla!\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),(232,'Popular games','','',1,'tab3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_image_show_gk4',1,0,'{\"automatic_module_id\":\"1\",\"module_id\":\"gk-is-1\",\"moduleclass_sfx\":\" clear\",\"module_style\":\"gk_game_magazine\",\"last_modification\":\"1320600694\",\"image_show_data\":\"[{\\\"name\\\":\\\"Donec ullamcorper nulla\\\",\\\"type\\\":\\\"text\\\",\\\"image\\\":\\\"images\\/demo\\/slide3.jpg\\\",\\\"stretch\\\":\\\"nostretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur blandit tempus porttitor.\\\",\\\"url\\\":\\\"#3\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"\\\",\\\"artK2_title\\\":\\\"\\\"},{\\\"name\\\":\\\"Lorem ipsum dolor sit\\\",\\\"type\\\":\\\"text\\\",\\\"image\\\":\\\"images\\/demo\\/slide5.jpg\\\",\\\"stretch\\\":\\\"stretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur blandit tempus porttitor.\\\",\\\"url\\\":\\\"#1\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"\\\",\\\"artK2_title\\\":\\\"\\\"},{\\\"name\\\":\\\"Saint Row the Third\\\",\\\"type\\\":\\\"text\\\",\\\"image\\\":\\\"images\\/demo\\/slide8.jpg\\\",\\\"stretch\\\":\\\"nostretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur blandit tempus porttitor.\\\",\\\"url\\\":\\\"#11\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"\\\",\\\"artK2_title\\\":\\\"\\\"},{\\\"name\\\":\\\"Nulla vitae elit libero\\\",\\\"type\\\":\\\"text\\\",\\\"image\\\":\\\"images\\/demo\\/slide4.jpg\\\",\\\"stretch\\\":\\\"nostretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur blandit tempus porttitor.\\\",\\\"url\\\":\\\"#2\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"\\\",\\\"artK2_title\\\":\\\"\\\"},{\\\"name\\\":\\\"Fallout New Vegas\\\",\\\"type\\\":\\\"text\\\",\\\"image\\\":\\\"images\\/demo\\/slide9.jpg\\\",\\\"stretch\\\":\\\"nostretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur blandit tempus porttitor.\\\",\\\"url\\\":\\\"#12\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"\\\",\\\"artK2_title\\\":\\\"\\\"},{\\\"name\\\":\\\"Curabitur blandit tempus porttitor\\\",\\\"type\\\":\\\"text\\\",\\\"image\\\":\\\"images\\/demo\\/slide6.jpg\\\",\\\"stretch\\\":\\\"nostretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur blandit tempus porttitor.\\\",\\\"url\\\":\\\"#4\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"\\\",\\\"artK2_title\\\":\\\"\\\"},{\\\"name\\\":\\\"Gear of War 3\\\",\\\"type\\\":\\\"text\\\",\\\"image\\\":\\\"images\\/demo\\/slide7.jpg\\\",\\\"stretch\\\":\\\"stretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur blandit tempus porttitor.\\\",\\\"url\\\":\\\"#10\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"\\\",\\\"artK2_title\\\":\\\"\\\"},{\\\"name\\\":\\\"COD: Modern Warfare 3\\\",\\\"type\\\":\\\"text\\\",\\\"image\\\":\\\"images\\/demo\\/slide11.jpg\\\",\\\"stretch\\\":\\\"nostretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur blandit tempus porttitor.\\\",\\\"url\\\":\\\"#13\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"\\\",\\\"artK2_title\\\":\\\"\\\"},{\\\"name\\\":\\\"Ace Combat Assault Horizon\\\",\\\"type\\\":\\\"text\\\",\\\"image\\\":\\\"images\\/demo\\/slide13.jpg\\\",\\\"stretch\\\":\\\"nostretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur blandit tempus porttitor.\\\",\\\"url\\\":\\\"#20\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"\\\",\\\"artK2_title\\\":\\\"\\\"},{\\\"name\\\":\\\"Resident Evil - Raccoon City\\\",\\\"type\\\":\\\"text\\\",\\\"image\\\":\\\"images\\/demo\\/slide14.jpg\\\",\\\"stretch\\\":\\\"nostretch\\\",\\\"access\\\":\\\"public\\\",\\\"published\\\":\\\"1\\\",\\\"content\\\":\\\"Nulla vitae elit libero, a pharetra augue. Donec ullamcorper nulla non metus auctor fringilla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur blandit tempus porttitor.\\\",\\\"url\\\":\\\"#21\\\",\\\"art_id\\\":\\\"\\\",\\\"art_title\\\":\\\"\\\",\\\"artK2_id\\\":\\\"\\\",\\\"artK2_title\\\":\\\"\\\"}]\",\"config\":\"{\\\"gk_appsite1\\\":{\\\"gk_appsite1_image_width\\\":\\\"166\\\",\\\"gk_appsite1_image_height\\\":\\\"166\\\",\\\"gk_appsite1_image_bg\\\":\\\"#000000\\\",\\\"gk_appsite1_quality\\\":\\\"95\\\",\\\"gk_appsite1_show_text_block\\\":\\\"1\\\",\\\"gk_appsite1_text_block_x\\\":\\\"0\\\",\\\"gk_appsite1_text_block_y\\\":\\\"215\\\",\\\"gk_appsite1_text_block_width\\\":\\\"1000\\\",\\\"gk_appsite1_image_y\\\":\\\"65\\\",\\\"gk_appsite1_module_height\\\":\\\"450\\\",\\\"gk_appsite1_pagination\\\":\\\"1\\\",\\\"gk_appsite1_slide_links\\\":\\\"1\\\",\\\"gk_appsite1_animation_speed\\\":\\\"500\\\",\\\"gk_appsite1_animation_interval\\\":\\\"5000\\\",\\\"gk_appsite1_autoanimation\\\":\\\"1\\\"},\\\"gk_black_and_white\\\":{\\\"gk_black_and_white_image_width\\\":\\\"978\\\",\\\"gk_black_and_white_image_height\\\":\\\"362\\\",\\\"gk_black_and_white_image_bg\\\":\\\"#000000\\\",\\\"gk_black_and_white_quality\\\":\\\"95\\\",\\\"gk_black_and_white_text_block_position_x\\\":\\\"20\\\",\\\"gk_black_and_white_text_block_position_y\\\":\\\"20\\\",\\\"gk_black_and_white_text_block_width\\\":\\\"300\\\",\\\"gk_black_and_white_show_text_block\\\":\\\"1\\\",\\\"gk_black_and_white_clean_xhtml\\\":\\\"1\\\",\\\"gk_black_and_white_wordcount\\\":\\\"10\\\",\\\"gk_black_and_white_title_char_amount\\\":\\\"30\\\",\\\"gk_black_and_white_pagination\\\":\\\"1\\\",\\\"gk_black_and_white_pagination_position_x\\\":\\\"20\\\",\\\"gk_black_and_white_pagination_position_y\\\":\\\"320\\\",\\\"gk_black_and_white_show_readmore\\\":\\\"1\\\",\\\"gk_black_and_white_stripe_width\\\":\\\"60\\\",\\\"gk_black_and_white_slide_links\\\":\\\"1\\\",\\\"gk_black_and_white_animation_speed\\\":\\\"1800\\\",\\\"gk_black_and_white_animation_interval\\\":\\\"5000\\\",\\\"gk_black_and_white_autoanimation\\\":\\\"1\\\",\\\"gk_black_and_white_animation_type\\\":\\\"opacity\\\",\\\"gk_black_and_white_show_title_block\\\":\\\"1\\\",\\\"gk_black_and_white_title_link\\\":\\\"1\\\",\\\"gk_black_and_white_interface\\\":\\\"1\\\"},\\\"gk_boutique\\\":{\\\"gk_boutique_image_width\\\":\\\"680\\\",\\\"gk_boutique_image_height\\\":\\\"390\\\",\\\"gk_boutique_image_bg\\\":\\\"#000000\\\",\\\"gk_boutique_quality\\\":\\\"95\\\",\\\"gk_boutique_interface\\\":\\\"1\\\",\\\"gk_boutique_slide_links\\\":\\\"1\\\",\\\"gk_boutique_animation_speed\\\":\\\"500\\\",\\\"gk_boutique_animation_interval\\\":\\\"5000\\\",\\\"gk_boutique_autoanimation\\\":\\\"1\\\",\\\"gk_boutique_animation_type\\\":\\\"opacity\\\"},\\\"gk_cherrydesign\\\":{\\\"gk_cherrydesign_image_width\\\":\\\"480\\\",\\\"gk_cherrydesign_image_height\\\":\\\"320\\\",\\\"gk_cherrydesign_image_bg\\\":\\\"#000000\\\",\\\"gk_cherrydesign_quality\\\":\\\"95\\\",\\\"gk_cherrydesign_show_text_block\\\":\\\"1\\\",\\\"gk_cherrydesign_slide_links\\\":\\\"1\\\",\\\"gk_cherrydesign_pagination\\\":\\\"1\\\",\\\"gk_cherrydesign_pagination_position\\\":\\\"left\\\",\\\"gk_cherrydesign_readmore_text\\\":\\\"Read more...\\\",\\\"gk_cherrydesign_clean_xhtml\\\":\\\"1\\\",\\\"gk_cherrydesign_wordcount\\\":\\\"30\\\",\\\"gk_cherrydesign_animation_speed\\\":\\\"500\\\",\\\"gk_cherrydesign_animation_interval\\\":\\\"5000\\\",\\\"gk_cherrydesign_autoanimation\\\":\\\"1\\\",\\\"gk_cherrydesign_animation_type\\\":\\\"opacity\\\"},\\\"gk_coffe\\\":{\\\"gk_coffe_image_width\\\":\\\"480\\\",\\\"gk_coffe_image_height\\\":\\\"320\\\",\\\"gk_coffe_image_bg\\\":\\\"#000000\\\",\\\"gk_coffe_quality\\\":\\\"95\\\",\\\"gk_coffe_show_title_block\\\":\\\"1\\\",\\\"gk_coffe_title_link\\\":\\\"1\\\",\\\"gk_coffe_interface\\\":\\\"1\\\",\\\"gk_coffe_slide_links\\\":\\\"1\\\",\\\"gk_coffe_animation_speed\\\":\\\"500\\\",\\\"gk_coffe_animation_interval\\\":\\\"5000\\\",\\\"gk_coffe_autoanimation\\\":\\\"1\\\",\\\"gk_coffe_animation_type\\\":\\\"opacity\\\"},\\\"gk_corporate2\\\":{\\\"gk_corporate2_image_width\\\":\\\"480\\\",\\\"gk_corporate2_image_height\\\":\\\"320\\\",\\\"gk_corporate2_image_bg\\\":\\\"#000000\\\",\\\"gk_corporate2_quality\\\":\\\"95\\\",\\\"gk_corporate2_show_list\\\":\\\"1\\\",\\\"gk_corporate2_list_title_small\\\":\\\"Why to choose\\\",\\\"gk_corporate2_list_title_big\\\":\\\"our company\\\",\\\"gk_corporate2_list_char_count\\\":\\\"25\\\",\\\"gk_corporate2_list_text_overflow\\\":\\\"...\\\",\\\"gk_corporate2_image_position\\\":\\\"gkRightFloat\\\",\\\"gk_corporate2_list_position\\\":\\\"gkRightFloat\\\",\\\"gk_corporate2_art_width\\\":\\\"70\\\",\\\"gk_corporate2_title\\\":\\\"1\\\",\\\"gk_corporate2_title_link\\\":\\\"1\\\",\\\"gk_corporate2_clean_xhtml\\\":\\\"1\\\",\\\"gk_corporate2_wordcount\\\":\\\"30\\\",\\\"gk_corporate2_readmore_button\\\":\\\"1\\\",\\\"gk_corporate2_readmore_text\\\":\\\"Find more\\\",\\\"gk_corporate2_interface\\\":\\\"1\\\",\\\"gk_corporate2_interface_animation\\\":\\\"0\\\",\\\"gk_corporate2_animation_speed\\\":\\\"500\\\",\\\"gk_corporate2_animation_interval\\\":\\\"5000\\\",\\\"gk_corporate2_autoanimation\\\":\\\"1\\\",\\\"gk_corporate2_animation_type\\\":\\\"opacity\\\"},\\\"gk_financial_business\\\":{\\\"gk_financial_business_image_width\\\":\\\"166\\\",\\\"gk_financial_business_image_height\\\":\\\"166\\\",\\\"gk_financial_business_image_bg\\\":\\\"#000000\\\",\\\"gk_financial_business_quality\\\":\\\"95\\\",\\\"gk_financial_business_date_format\\\":\\\"d-m-Y\\\",\\\"gk_financial_business_interface\\\":\\\"1\\\",\\\"gk_financial_business_slide_links\\\":\\\"1\\\",\\\"gk_financial_business_animation_speed\\\":\\\"500\\\",\\\"gk_financial_business_animation_interval\\\":\\\"5000\\\",\\\"gk_financial_business_autoanimation\\\":\\\"1\\\",\\\"gk_financial_business_animation_type\\\":\\\"opacity\\\"},\\\"gk_gamebox\\\":{\\\"gk_gamebox_image_width\\\":\\\"640\\\",\\\"gk_gamebox_image_height\\\":\\\"360\\\",\\\"gk_gamebox_image_bg\\\":\\\"#000000\\\",\\\"gk_gamebox_quality\\\":\\\"95\\\",\\\"gk_gamebox_show_text_block\\\":\\\"1\\\",\\\"gk_gamebox_show_info\\\":\\\"1\\\",\\\"gk_gamebox_date_format\\\":\\\"A e, B Y\\\",\\\"gk_gamebox_author_name\\\":\\\"username\\\",\\\"gk_gamebox_info_format\\\":\\\"Written: %date by %author\\\",\\\"gk_gamebox_readmore_text\\\":\\\"Read more\\\",\\\"gk_gamebox_text_position\\\":\\\"280\\\",\\\"gk_gamebox_text_height\\\":\\\"80\\\",\\\"gk_gamebox_interface\\\":\\\"1\\\",\\\"gk_gamebox_slide_links\\\":\\\"1\\\",\\\"gk_gamebox_animation_speed\\\":\\\"500\\\",\\\"gk_gamebox_animation_interval\\\":\\\"5000\\\",\\\"gk_gamebox_autoanimation\\\":\\\"1\\\",\\\"gk_gamebox_animation_type\\\":\\\"opacity\\\"},\\\"gk_memovie\\\":{\\\"gk_memovie_image_width\\\":\\\"670\\\",\\\"gk_memovie_image_height\\\":\\\"313\\\",\\\"gk_memovie_image_bg\\\":\\\"#000000\\\",\\\"gk_memovie_quality\\\":\\\"95\\\",\\\"gk_memovie_interface\\\":\\\"1\\\",\\\"gk_memovie_interface_animation\\\":\\\"0\\\",\\\"gk_memovie_interface_x\\\":\\\"30\\\",\\\"gk_memovie_interface_y\\\":\\\"30\\\",\\\"gk_memovie_slide_links\\\":\\\"1\\\",\\\"gk_memovie_animation_speed\\\":\\\"500\\\",\\\"gk_memovie_animation_interval\\\":\\\"5000\\\",\\\"gk_memovie_autoanimation\\\":\\\"1\\\",\\\"gk_memovie_animation_type\\\":\\\"opacity\\\"},\\\"gk_musicity\\\":{\\\"gk_musicity_image_width\\\":\\\"627\\\",\\\"gk_musicity_image_height\\\":\\\"345\\\",\\\"gk_musicity_image_bg\\\":\\\"#000000\\\",\\\"gk_musicity_quality\\\":\\\"95\\\",\\\"gk_musicity_show_title_block\\\":\\\"1\\\",\\\"gk_musicity_show_date_block\\\":\\\"1\\\",\\\"gk_musicity_date_format\\\":\\\"F d, Y\\\",\\\"gk_musicity_interface\\\":\\\"1\\\",\\\"gk_musicity_title_block_y\\\":\\\"23\\\",\\\"gk_musicity_date_block_y\\\":\\\"14\\\",\\\"gk_musicity_slide_links\\\":\\\"1\\\",\\\"gk_musicity_animation_speed\\\":\\\"500\\\",\\\"gk_musicity_animation_interval\\\":\\\"5000\\\",\\\"gk_musicity_autoanimation\\\":\\\"1\\\",\\\"gk_musicity_animation_type\\\":\\\"opacity\\\"},\\\"gk_partyfreak\\\":{\\\"gk_partyfreak_image_width\\\":\\\"650\\\",\\\"gk_partyfreak_image_height\\\":\\\"365\\\",\\\"gk_partyfreak_thumb_width\\\":\\\"70\\\",\\\"gk_partyfreak_thumb_height\\\":\\\"70\\\",\\\"gk_partyfreak_image_bg\\\":\\\"#ffffff\\\",\\\"gk_partyfreak_quality\\\":\\\"95\\\",\\\"gk_partyfreak_total_width\\\":\\\"980\\\",\\\"gk_partyfreak_thumbs_margin\\\":\\\"0 0 0 0\\\",\\\"gk_partyfreak_thumbs_padding\\\":\\\"0 0 0 0\\\",\\\"gk_partyfreak_thumbs_amount\\\":\\\"3\\\",\\\"gk_partyfreak_thumbs_space\\\":\\\"8\\\",\\\"gk_partyfreak_thumbs_text_word_amount\\\":\\\"14\\\",\\\"gk_partyfreak_show_title\\\":\\\"1\\\",\\\"gk_partyfreak_text_block_height\\\":\\\"80\\\",\\\"gk_partyfreak_show_text\\\":\\\"1\\\",\\\"gk_partyfreak_text_word_amount\\\":\\\"40\\\",\\\"gk_partyfreak_slide_links\\\":\\\"1\\\",\\\"gk_partyfreak_animation_speed\\\":\\\"500\\\",\\\"gk_partyfreak_animation_interval\\\":\\\"5000\\\",\\\"gk_partyfreak_autoanimation\\\":\\\"1\\\",\\\"gk_partyfreak_animation_type\\\":\\\"opacity\\\"},\\\"gk_sporter1\\\":{\\\"gk_sporter1_image_width\\\":\\\"637\\\",\\\"gk_sporter1_image_height\\\":\\\"346\\\",\\\"gk_sporter1_image_bg\\\":\\\"#000000\\\",\\\"gk_sporter1_quality\\\":\\\"95\\\",\\\"gk_sporter1_text_position\\\":\\\"246\\\",\\\"gk_sporter1_text_height\\\":\\\"90\\\",\\\"gk_sporter1_show_text_block\\\":\\\"1\\\",\\\"gk_sporter1_pagination\\\":\\\"1\\\",\\\"gk_sporter1_pagination_cols\\\":\\\"4\\\",\\\"gk_sporter1_pagination_date\\\":\\\"1\\\",\\\"gk_sporter1_pagination_date_format\\\":\\\"d m, Y\\\",\\\"gk_sporter1_pagination_limit\\\":\\\"39\\\",\\\"gk_sporter1_readmore_text\\\":\\\"Read more\\\",\\\"gk_sporter1_pagination_position\\\":\\\"left\\\",\\\"gk_sporter1_clean_xhtml\\\":\\\"1\\\",\\\"gk_sporter1_wordcount\\\":\\\"24\\\",\\\"gk_sporter1_title_char_amount\\\":\\\"27\\\",\\\"gk_sporter1_show_info\\\":\\\"1\\\",\\\"gk_sporter1_date_format\\\":\\\"F d, Y\\\",\\\"gk_sporter1_author_name\\\":\\\"name\\\",\\\"gk_sporter1_info_format\\\":\\\"Written: %date by %author\\\",\\\"gk_sporter1_slide_links\\\":\\\"1\\\",\\\"gk_sporter1_animation_speed\\\":\\\"500\\\",\\\"gk_sporter1_animation_interval\\\":\\\"5000\\\",\\\"gk_sporter1_autoanimation\\\":\\\"1\\\",\\\"gk_sporter1_animation_type\\\":\\\"opacity\\\"},\\\"gk_sporter2\\\":{\\\"gk_sporter2_image_width\\\":\\\"600\\\",\\\"gk_sporter2_image_height\\\":\\\"600\\\",\\\"gk_sporter2_thumb_width\\\":\\\"70\\\",\\\"gk_sporter2_thumb_height\\\":\\\"70\\\",\\\"gk_sporter2_image_bg\\\":\\\"#ffffff\\\",\\\"gk_sporter2_quality\\\":\\\"95\\\",\\\"gk_sporter2_image_rows\\\":\\\"3\\\",\\\"gk_sporter2_image_cols\\\":\\\"3\\\",\\\"gk_sporter2_image_margin\\\":\\\"0\\\",\\\"gk_sporter2_image_padding\\\":\\\"0\\\",\\\"gk_sporter2_image_border\\\":\\\"0\\\",\\\"gk_sporter2_slide_popups\\\":\\\"1\\\",\\\"gk_sporter2_overlay\\\":\\\"1\\\",\\\"gk_sporter2_show_text_block\\\":\\\"1\\\",\\\"gk_sporter2_text_block_height\\\":\\\"100\\\",\\\"gk_sporter2_clean_xhtml\\\":\\\"1\\\",\\\"gk_sporter2_readmore_text\\\":\\\"Read more\\\",\\\"gk_sporter2_title_char_amount\\\":\\\"30\\\",\\\"gk_sporter2_text_wordcount\\\":\\\"30\\\"},\\\"gk_game_magazine\\\":{\\\"gk_game_magazine_image_width\\\":\\\"650\\\",\\\"gk_game_magazine_image_height\\\":\\\"365\\\",\\\"gk_game_magazine_image_bg\\\":\\\"#ffffff\\\",\\\"gk_game_magazine_quality\\\":\\\"95\\\",\\\"gk_game_magazine_total_width\\\":\\\"946\\\",\\\"gk_game_magazine_thumbs_margin\\\":\\\"0 0 0 0\\\",\\\"gk_game_magazine_thumbs_padding\\\":\\\"0 0 0 0\\\",\\\"gk_game_magazine_thumbs_amount\\\":\\\"3\\\",\\\"gk_game_magazine_thumbs_space\\\":\\\"8\\\",\\\"gk_game_magazine_thumbs_text_word_amount\\\":\\\"14\\\",\\\"gk_game_magazine_show_title\\\":\\\"1\\\",\\\"gk_game_magazine_text_block_height\\\":\\\"80\\\",\\\"gk_game_magazine_show_text\\\":\\\"1\\\",\\\"gk_game_magazine_text_word_amount\\\":\\\"40\\\",\\\"gk_game_magazine_slide_links\\\":\\\"1\\\",\\\"gk_game_magazine_animation_speed\\\":\\\"700\\\",\\\"gk_game_magazine_animation_interval\\\":\\\"5000\\\",\\\"gk_game_magazine_autoanimation\\\":\\\"1\\\",\\\"gk_game_magazine_animation_type\\\":\\\"opacity\\\",\\\"gk_game_magazine_show_text_block\\\":\\\"1\\\",\\\"gk_game_magazine_text_block_x\\\":\\\"32\\\",\\\"gk_game_magazine_text_block_y\\\":\\\"32\\\",\\\"gk_game_magazine_title_chars_amount\\\":\\\"20\\\",\\\"gk_game_magazine_text_chars_amount\\\":\\\"40\\\",\\\"gk_game_magazine_animation_text_type\\\":\\\"bottom\\\"}}\"}',0,'*'),(234,'Tab 3 Header','','',1,'tab3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_news_pro_gk4',1,0,'{\"moduleclass_sfx\":\" nsp\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"k2_categories\",\"com_categories\":[\"24\"],\"com_articles\":\"\",\"k2_categories\":[\"10\",\"3\",\"2\",\"4\",\"11\"],\"k2_articles\":\"\",\"redshop_products\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"ASC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"8\",\"news_portal_mode_2_amount\":\"8\",\"news_portal_mode_3_amount\":\"8\",\"news_portal_mode_4_amount\":\"8\",\"news_full_pages\":\"1\",\"news_column\":\"4\",\"news_rows\":\"2\",\"top_interface_style\":\"none\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"23\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"125\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%CATEGORY\",\"info2_format\":\" %HITS\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"news_content_rs_pos\":\"left\",\"news_content_rs_float\":\"none\",\"art_padding\":\"15px\",\"news_header_order\":\"2\",\"news_header_enabled\":\"0\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"3\",\"news_text_enabled\":\"0\",\"news_info_order\":\"4\",\"news_info_enabled\":\"1\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_rs_store_order\":\"6\",\"news_rs_store_enabled\":\"0\",\"news_content_readmore_pos\":\"left\",\"news_readmore_enabled\":\"0\",\"news_short_pages\":\"0\",\"links_amount\":\"0\",\"links_columns_amount\":\"0\",\"bottom_interface_style\":\"arrows\",\"links_margin\":\"0\",\"links_position\":\"right\",\"links_width\":\"50\",\"show_list_description\":\"1\",\"list_title_limit_type\":\"chars\",\"list_title_limit\":\"30\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"70\",\"memory_limit\":\"128M\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"1\",\"img_auto_scale\":\"1\",\"img_keep_aspect_ratio\":\"0\",\"img_width\":\"200\",\"img_height\":\"140\",\"img_margin\":\"0 0 0 0\",\"img_bg\":\"#fff\",\"img_stretch\":\"1\",\"img_quality\":\"100\",\"cache_time\":\"30\",\"simple_crop_top\":\"0\",\"simple_crop_bottom\":\"0\",\"simple_crop_left\":\"20\",\"simple_crop_right\":\"0\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"rs_out_of_stock\":\"1\",\"rs_add_to_cart\":\"0\",\"rs_price\":\"0\",\"rs_price_text\":\"0\",\"rs_currency_place\":\"before\",\"rs_price_with_vat\":\"1\",\"rs_show_default_cart_button\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(236,'New Games','','',2,'mainbody',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\" nsp color1\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"k2_categories\",\"com_categories\":[\"24\"],\"com_articles\":\"\",\"k2_categories\":[\"11\",\"2\",\"3\",\"4\",\"10\",\"12\"],\"k2_articles\":\"\",\"redshop_products\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"ASC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"1\",\"news_portal_mode_2_amount\":\"1\",\"news_portal_mode_3_amount\":\"1\",\"news_portal_mode_4_amount\":\"1\",\"news_full_pages\":\"3\",\"news_column\":\"1\",\"news_rows\":\"3\",\"top_interface_style\":\"arrows_with_pagination\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"40\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"80\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE\",\"info2_format\":\" %HITS\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"news_content_rs_pos\":\"left\",\"news_content_rs_float\":\"none\",\"art_padding\":\"0 0 30px\",\"news_header_order\":\"2\",\"news_header_enabled\":\"1\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"4\",\"news_text_enabled\":\"1\",\"news_info_order\":\"3\",\"news_info_enabled\":\"1\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_rs_store_order\":\"6\",\"news_rs_store_enabled\":\"1\",\"news_content_readmore_pos\":\"left\",\"news_readmore_enabled\":\"1\",\"news_short_pages\":\"0\",\"links_amount\":\"0\",\"links_columns_amount\":\"0\",\"bottom_interface_style\":\"arrows\",\"links_margin\":\"0\",\"links_position\":\"right\",\"links_width\":\"50\",\"show_list_description\":\"1\",\"list_title_limit_type\":\"chars\",\"list_title_limit\":\"30\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"70\",\"memory_limit\":\"128M\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"0\",\"img_auto_scale\":\"0\",\"img_keep_aspect_ratio\":\"1\",\"img_width\":\"362\",\"img_height\":\"362\",\"img_margin\":\"0 0 12px\",\"img_bg\":\"#fff\",\"img_stretch\":\"1\",\"img_quality\":\"100\",\"cache_time\":\"0\",\"simple_crop_top\":\"15\",\"simple_crop_bottom\":\"15\",\"simple_crop_left\":\"0\",\"simple_crop_right\":\"0\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"rs_out_of_stock\":\"1\",\"rs_add_to_cart\":\"0\",\"rs_price\":\"0\",\"rs_price_text\":\"0\",\"rs_currency_place\":\"before\",\"rs_price_with_vat\":\"1\",\"rs_show_default_cart_button\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(237,'Specials','','',1,'left_top',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\" nsp twolines\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"k2_categories\",\"com_categories\":[\"24\"],\"com_articles\":\"\",\"k2_categories\":[\"11\",\"2\",\"3\",\"4\",\"10\",\"12\"],\"k2_articles\":\"\",\"redshop_products\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"ASC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"8\",\"news_portal_mode_2_amount\":\"8\",\"news_portal_mode_3_amount\":\"8\",\"news_portal_mode_4_amount\":\"8\",\"news_full_pages\":\"1\",\"news_column\":\"1\",\"news_rows\":\"6\",\"top_interface_style\":\"none\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"26\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"125\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE %RATE\",\"info2_format\":\" %HITS\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"news_content_rs_pos\":\"left\",\"news_content_rs_float\":\"none\",\"art_padding\":\"0 2px  12px\",\"news_header_order\":\"2\",\"news_header_enabled\":\"1\",\"news_image_order\":\"4\",\"news_image_enabled\":\"0\",\"news_text_order\":\"3\",\"news_text_enabled\":\"0\",\"news_info_order\":\"1\",\"news_info_enabled\":\"1\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_rs_store_order\":\"6\",\"news_rs_store_enabled\":\"0\",\"news_content_readmore_pos\":\"left\",\"news_readmore_enabled\":\"0\",\"news_short_pages\":\"0\",\"links_amount\":\"3\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"arrows\",\"links_margin\":\"0\",\"links_position\":\"bottom\",\"links_width\":\"50\",\"show_list_description\":\"1\",\"list_title_limit_type\":\"chars\",\"list_title_limit\":\"30\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"70\",\"memory_limit\":\"128M\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"1\",\"img_auto_scale\":\"1\",\"img_keep_aspect_ratio\":\"0\",\"img_width\":\"192\",\"img_height\":\"108\",\"img_margin\":\"0 0 20px\",\"img_bg\":\"#fff\",\"img_stretch\":\"1\",\"img_quality\":\"100\",\"cache_time\":\"0\",\"simple_crop_top\":\"10\",\"simple_crop_bottom\":\"10\",\"simple_crop_left\":\"20\",\"simple_crop_right\":\"20\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"rs_out_of_stock\":\"1\",\"rs_add_to_cart\":\"0\",\"rs_price\":\"0\",\"rs_price_text\":\"0\",\"rs_currency_place\":\"before\",\"rs_price_with_vat\":\"1\",\"rs_show_default_cart_button\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(252,'NSP GK4 suffix \" nspsmall\"','','',1,'mainbody_bottom',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\" nsp nspsmall\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"k2_categories\",\"com_categories\":[\"2\",\"7\",\"8\",\"9\",\"24\"],\"com_articles\":\"\",\"k2_categories\":[\"1\",\"2\",\"3\",\"4\",\"10\"],\"k2_articles\":\"\",\"redshop_products\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"DESC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"10\",\"news_portal_mode_2_amount\":\"10\",\"news_portal_mode_3_amount\":\"10\",\"news_portal_mode_4_amount\":\"10\",\"news_full_pages\":\"3\",\"news_column\":\"2\",\"news_rows\":\"1\",\"top_interface_style\":\"arrows_with_pagination\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"17\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"80\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE %CATEGORY\",\"info2_format\":\"\",\"category_link\":\"1\",\"date_format\":\"d-m-Y H:i\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"news_content_rs_pos\":\"left\",\"news_content_rs_float\":\"none\",\"art_padding\":\"0 16px 0 0\",\"news_header_order\":\"2\",\"news_header_enabled\":\"1\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"3\",\"news_text_enabled\":\"1\",\"news_info_order\":\"4\",\"news_info_enabled\":\"1\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_rs_store_order\":\"6\",\"news_rs_store_enabled\":\"1\",\"news_content_readmore_pos\":\"left\",\"news_readmore_enabled\":\"1\",\"news_short_pages\":\"1\",\"links_amount\":\"3\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"none\",\"links_margin\":\"0\",\"links_position\":\"right\",\"links_width\":\"30\",\"show_list_description\":\"1\",\"list_title_limit_type\":\"chars\",\"list_title_limit\":\"25\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"80\",\"memory_limit\":\"128M\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"1\",\"img_auto_scale\":\"1\",\"img_keep_aspect_ratio\":\"1\",\"img_width\":\"185\",\"img_height\":\"120\",\"img_margin\":\"0 0 20px\",\"img_bg\":\"#fff\",\"img_stretch\":\"1\",\"img_quality\":\"100\",\"cache_time\":\"30\",\"simple_crop_top\":\"0\",\"simple_crop_bottom\":\"0\",\"simple_crop_left\":\"0\",\"simple_crop_right\":\"0\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"rs_out_of_stock\":\"1\",\"rs_add_to_cart\":\"0\",\"rs_price\":\"0\",\"rs_price_text\":\"0\",\"rs_currency_place\":\"before\",\"rs_price_with_vat\":\"1\",\"rs_show_default_cart_button\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(238,'Music News','','',1,'mainbody',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\" nsp color2\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"k2_categories\",\"com_categories\":[\"24\"],\"com_articles\":\"\",\"k2_categories\":[\"10\"],\"k2_articles\":\"\",\"redshop_products\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"DESC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"8\",\"news_portal_mode_2_amount\":\"8\",\"news_portal_mode_3_amount\":\"8\",\"news_portal_mode_4_amount\":\"8\",\"news_full_pages\":\"1\",\"news_column\":\"2\",\"news_rows\":\"1\",\"top_interface_style\":\"arrows_with_pagination\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"17\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"words\",\"news_limit\":\"8\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE\",\"info2_format\":\" %HITS\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"news_content_rs_pos\":\"left\",\"news_content_rs_float\":\"none\",\"art_padding\":\"8px \",\"news_header_order\":\"2\",\"news_header_enabled\":\"1\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"3\",\"news_text_enabled\":\"1\",\"news_info_order\":\"4\",\"news_info_enabled\":\"0\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_rs_store_order\":\"6\",\"news_rs_store_enabled\":\"1\",\"news_content_readmore_pos\":\"after\",\"news_readmore_enabled\":\"1\",\"news_short_pages\":\"0\",\"links_amount\":\"0\",\"links_columns_amount\":\"0\",\"bottom_interface_style\":\"arrows\",\"links_margin\":\"0\",\"links_position\":\"right\",\"links_width\":\"50\",\"show_list_description\":\"1\",\"list_title_limit_type\":\"chars\",\"list_title_limit\":\"30\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"70\",\"memory_limit\":\"128M\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"1\",\"img_auto_scale\":\"1\",\"img_keep_aspect_ratio\":\"0\",\"img_width\":\"160\",\"img_height\":\"108\",\"img_margin\":\"0 0 20px\",\"img_bg\":\"#fff\",\"img_stretch\":\"1\",\"img_quality\":\"100\",\"cache_time\":\"0\",\"simple_crop_top\":\"0\",\"simple_crop_bottom\":\"0\",\"simple_crop_left\":\"0\",\"simple_crop_right\":\"0\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"rs_out_of_stock\":\"1\",\"rs_add_to_cart\":\"0\",\"rs_price\":\"0\",\"rs_price_text\":\"0\",\"rs_currency_place\":\"before\",\"rs_price_with_vat\":\"1\",\"rs_show_default_cart_button\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(239,'Popular Post','','',1,'bottom8',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\" nsp nspsmall\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"k2_categories\",\"com_categories\":[\"24\"],\"com_articles\":\"\",\"k2_categories\":[\"10\",\"3\",\"2\",\"4\",\"11\"],\"k2_articles\":\"\",\"redshop_products\":\"\",\"news_sort_value\":\"hits\",\"news_sort_order\":\"DESC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"1\",\"news_portal_mode_2_amount\":\"1\",\"news_portal_mode_3_amount\":\"1\",\"news_portal_mode_4_amount\":\"1\",\"news_full_pages\":\"1\",\"news_column\":\"1\",\"news_rows\":\"4\",\"top_interface_style\":\"none\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"left\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"16\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"80\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"null\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%HITS\",\"info2_format\":\" %HITS\",\"category_link\":\"1\",\"date_format\":\"F j, Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"news_content_rs_pos\":\"left\",\"news_content_rs_float\":\"none\",\"art_padding\":\"0\",\"news_header_order\":\"2\",\"news_header_enabled\":\"1\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"4\",\"news_text_enabled\":\"0\",\"news_info_order\":\"3\",\"news_info_enabled\":\"1\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_rs_store_order\":\"6\",\"news_rs_store_enabled\":\"1\",\"news_content_readmore_pos\":\"after\",\"news_readmore_enabled\":\"1\",\"news_short_pages\":\"0\",\"links_amount\":\"0\",\"links_columns_amount\":\"0\",\"bottom_interface_style\":\"none\",\"links_margin\":\"0\",\"links_position\":\"bottom\",\"links_width\":\"50\",\"show_list_description\":\"0\",\"list_title_limit_type\":\"chars\",\"list_title_limit\":\"30\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"70\",\"memory_limit\":\"128M\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"1\",\"img_auto_scale\":\"0\",\"img_keep_aspect_ratio\":\"1\",\"img_width\":\"110\",\"img_height\":\"80\",\"img_margin\":\"0 16px 20px 0\",\"img_bg\":\"#fff\",\"img_stretch\":\"1\",\"img_quality\":\"100\",\"cache_time\":\"30\",\"simple_crop_top\":\"0\",\"simple_crop_bottom\":\"25\",\"simple_crop_left\":\"10\",\"simple_crop_right\":\"10\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"rs_out_of_stock\":\"1\",\"rs_add_to_cart\":\"0\",\"rs_price\":\"0\",\"rs_price_text\":\"0\",\"rs_currency_place\":\"before\",\"rs_price_with_vat\":\"1\",\"rs_show_default_cart_button\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(240,'About GM','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut nulla nulla, porta at varius ac, pretium ac justo. Morbi nec.</p>\r\n<p><a href=\"#\">More info</a></p>',1,'bottom4',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(241,'Popular Content','','',1,'bottom3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_articles_latest',1,1,'{\"catid\":[\"24\"],\"count\":\"5\",\"show_featured\":\"\",\"ordering\":\"c_dsc\",\"user_id\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(242,'Big Events','','<ul>\r\n<li><a href=\"#\">Tokyo Game</a></li>\r\n<li><a href=\"#\">Show PAX</a></li>\r\n<li><a href=\"#\">E3</a></li>\r\n<li><a href=\"#\">Comic-Con</a></li>\r\n<li><a href=\"#\">GamesCom</a></li>\r\n</ul>',1,'bottom2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(243,'Popular Guides','','<ul>\r\n<li><a href=\"#\">Portal 2 Walkthrough </a></li>\r\n<li><a href=\"#\">Gears of War 3 </a></li>\r\n<li><a href=\"#\">Walkthrough </a></li>\r\n<li><a href=\"#\">LA Noire Walkthrough </a></li>\r\n<li><a href=\"#\">The Witcher 2 </a></li>\r\n<li><a href=\"#\">Walkthrough </a></li>\r\n</ul>',1,'bottom3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(244,'Popular Games','','<ul>\r\n<li><a href=\"#\">Portal 2 Walkthrough </a></li>\r\n<li><a href=\"#\">Gears of War 3 </a></li>\r\n<li><a href=\"#\">Walkthrough </a></li>\r\n<li><a href=\"#\">LA Noire Walkthrough </a></li>\r\n<li><a href=\"#\">The Witcher 2 </a></li>\r\n<li><a href=\"#\">Walkthrough </a></li>\r\n</ul>',1,'bottom2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(245,'Quick Links','','<ul>\r\n<li><a href=\"#\">Free Games</a></li>\r\n<li><a href=\"#\">Video Game</a></li>\r\n<li><a href=\"#\">Cheats Video</a></li>\r\n<li><a href=\"#\">Game News</a></li>\r\n<li><a href=\"#\">Movie Reviews</a></li>\r\n</ul>',1,'bottom3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(246,'Follow Us','','<p><a class=\"iconTwitter\" href=\"http://twitter.com/#!/gavickpro\" target=\"_blank\">Twitter</a> <a class=\"iconFacebook\" href=\"http://www.facebook.com/gavickpro\" target=\"_blank\">Facebook</a> <a class=\"iconVimeo\" href=\"#\">Vimeo</a></p>',1,'bottom10',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(247,'Tabs','','',1,'right_bottom',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_tabs_gk4',1,0,'{\"automatic_module_id\":\"1\",\"module_id\":\"gk-tab-1\",\"moduleclass_sfx\":\" tab2\",\"module_height\":\"440\",\"tabs_data\":\"[{\\\"name\\\":\\\"K2 Comments\\\",\\\"type\\\":\\\"module\\\",\\\"content\\\":\\\"tab6\\\",\\\"published\\\":\\\"1\\\",\\\"access\\\":\\\"public\\\"},{\\\"name\\\":\\\"K2 Tags\\\",\\\"type\\\":\\\"module\\\",\\\"content\\\":\\\"tab7\\\",\\\"published\\\":\\\"1\\\",\\\"access\\\":\\\"public\\\"}]\",\"buttons\":\"0\",\"tabs_position\":\"top\",\"styleCSS\":\"style1\",\"activator\":\"click\",\"animation\":\"0\",\"animation_speed\":\"250\",\"animation_interval\":\"5000\",\"animation_type\":\"opacity\",\"animation_function\":\"Fx.Transitions.linear\",\"url_tab_selection\":\"1\",\"cookie_tab_selection\":\"0\",\"parse_plugins\":\"1\",\"useCSS\":\"0\",\"useScript\":\"1\"}',0,'*'),(248,'+ News','','',1,'right_left',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\" nsp border2\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"k2_categories\",\"com_categories\":[\"24\"],\"com_articles\":\"\",\"k2_categories\":[\"10\",\"3\",\"2\",\"4\",\"11\"],\"k2_articles\":\"\",\"redshop_products\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"ASC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"1\",\"news_portal_mode_2_amount\":\"1\",\"news_portal_mode_3_amount\":\"1\",\"news_portal_mode_4_amount\":\"1\",\"news_full_pages\":\"1\",\"news_column\":\"1\",\"news_rows\":\"4\",\"top_interface_style\":\"none\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"null\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"17\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"null\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"80\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"null\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE\",\"info2_format\":\"%DATE,  %RATE\",\"category_link\":\"1\",\"date_format\":\"F j, Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"news_content_rs_pos\":\"left\",\"news_content_rs_float\":\"none\",\"art_padding\":\"0 0 12px\",\"news_header_order\":\"2\",\"news_header_enabled\":\"0\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"4\",\"news_text_enabled\":\"0\",\"news_info_order\":\"3\",\"news_info_enabled\":\"0\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"1\",\"news_rs_store_order\":\"6\",\"news_rs_store_enabled\":\"0\",\"news_content_readmore_pos\":\"after\",\"news_readmore_enabled\":\"0\",\"news_short_pages\":\"0\",\"links_amount\":\"0\",\"links_columns_amount\":\"0\",\"bottom_interface_style\":\"none\",\"links_margin\":\"0\",\"links_position\":\"bottom\",\"links_width\":\"50\",\"show_list_description\":\"0\",\"list_title_limit_type\":\"chars\",\"list_title_limit\":\"30\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"70\",\"memory_limit\":\"128M\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"1\",\"img_auto_scale\":\"1\",\"img_keep_aspect_ratio\":\"1\",\"img_width\":\"70\",\"img_height\":\"70\",\"img_margin\":\"0 0 3px\",\"img_bg\":\"#fff\",\"img_stretch\":\"1\",\"img_quality\":\"100\",\"cache_time\":\"30\",\"simple_crop_top\":\"0\",\"simple_crop_bottom\":\"0\",\"simple_crop_left\":\"0\",\"simple_crop_right\":\"0\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"rs_out_of_stock\":\"1\",\"rs_add_to_cart\":\"0\",\"rs_price\":\"0\",\"rs_price_text\":\"0\",\"rs_currency_place\":\"before\",\"rs_price_with_vat\":\"1\",\"rs_show_default_cart_button\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(249,'Popular','','',1,'right_right',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\" nsp\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"k2_categories\",\"com_categories\":[\"24\"],\"com_articles\":\"\",\"k2_categories\":[\"10\",\"3\",\"2\",\"4\",\"11\"],\"k2_articles\":\"\",\"redshop_products\":\"\",\"news_sort_value\":\"hits\",\"news_sort_order\":\"ASC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"0\",\"news_portal_mode_2_amount\":\"0\",\"news_portal_mode_3_amount\":\"0\",\"news_portal_mode_4_amount\":\"0\",\"news_full_pages\":\"0\",\"news_column\":\"0\",\"news_rows\":\"0\",\"top_interface_style\":\"none\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"left\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"17\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"null\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"80\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"null\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE\",\"info2_format\":\" %HITS\",\"category_link\":\"1\",\"date_format\":\"F j, Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"news_content_rs_pos\":\"left\",\"news_content_rs_float\":\"none\",\"art_padding\":\"0\",\"news_header_order\":\"2\",\"news_header_enabled\":\"1\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"4\",\"news_text_enabled\":\"0\",\"news_info_order\":\"3\",\"news_info_enabled\":\"1\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_rs_store_order\":\"6\",\"news_rs_store_enabled\":\"1\",\"news_content_readmore_pos\":\"after\",\"news_readmore_enabled\":\"1\",\"news_short_pages\":\"1\",\"links_amount\":\"6\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"none\",\"links_margin\":\"0\",\"links_position\":\"bottom\",\"links_width\":\"50\",\"show_list_description\":\"0\",\"list_title_limit_type\":\"chars\",\"list_title_limit\":\"30\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"70\",\"memory_limit\":\"128M\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"1\",\"img_auto_scale\":\"0\",\"img_keep_aspect_ratio\":\"1\",\"img_width\":\"90\",\"img_height\":\"60\",\"img_margin\":\"0 16px 20px 0\",\"img_bg\":\"#fff\",\"img_stretch\":\"1\",\"img_quality\":\"100\",\"cache_time\":\"30\",\"simple_crop_top\":\"0\",\"simple_crop_bottom\":\"25\",\"simple_crop_left\":\"10\",\"simple_crop_right\":\"10\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"rs_out_of_stock\":\"1\",\"rs_add_to_cart\":\"0\",\"rs_price\":\"0\",\"rs_price_text\":\"0\",\"rs_currency_place\":\"before\",\"rs_price_with_vat\":\"1\",\"rs_show_default_cart_button\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(250,'Other News','','',1,'right_right',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\" nsp twolines\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"k2_categories\",\"com_categories\":[\"24\"],\"com_articles\":\"\",\"k2_categories\":[\"10\",\"3\",\"2\",\"4\",\"11\"],\"k2_articles\":\"\",\"redshop_products\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"ASC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"1\",\"news_portal_mode_2_amount\":\"1\",\"news_portal_mode_3_amount\":\"1\",\"news_portal_mode_4_amount\":\"1\",\"news_full_pages\":\"1\",\"news_column\":\"1\",\"news_rows\":\"4\",\"top_interface_style\":\"none\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"null\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"17\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"null\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"80\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"null\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE\",\"info2_format\":\"%DATE,  %RATE\",\"category_link\":\"1\",\"date_format\":\"F j, Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"news_content_rs_pos\":\"left\",\"news_content_rs_float\":\"none\",\"art_padding\":\"0 0 12px\",\"news_header_order\":\"2\",\"news_header_enabled\":\"0\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"4\",\"news_text_enabled\":\"0\",\"news_info_order\":\"3\",\"news_info_enabled\":\"0\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"1\",\"news_rs_store_order\":\"6\",\"news_rs_store_enabled\":\"0\",\"news_content_readmore_pos\":\"after\",\"news_readmore_enabled\":\"0\",\"news_short_pages\":\"0\",\"links_amount\":\"0\",\"links_columns_amount\":\"0\",\"bottom_interface_style\":\"none\",\"links_margin\":\"0\",\"links_position\":\"bottom\",\"links_width\":\"50\",\"show_list_description\":\"0\",\"list_title_limit_type\":\"chars\",\"list_title_limit\":\"30\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"70\",\"memory_limit\":\"128M\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"1\",\"img_auto_scale\":\"0\",\"img_keep_aspect_ratio\":\"1\",\"img_width\":\"142\",\"img_height\":\"60\",\"img_margin\":\"0 0 3px\",\"img_bg\":\"#fff\",\"img_stretch\":\"1\",\"img_quality\":\"100\",\"cache_time\":\"30\",\"simple_crop_top\":\"0\",\"simple_crop_bottom\":\"25\",\"simple_crop_left\":\"10\",\"simple_crop_right\":\"10\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"rs_out_of_stock\":\"1\",\"rs_add_to_cart\":\"0\",\"rs_price\":\"0\",\"rs_price_text\":\"0\",\"rs_currency_place\":\"before\",\"rs_price_with_vat\":\"1\",\"rs_show_default_cart_button\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(251,'Popular ','','',1,'right_left',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\" nsp\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"k2_categories\",\"com_categories\":[\"24\"],\"com_articles\":\"\",\"k2_categories\":[\"10\",\"3\",\"2\",\"4\",\"11\"],\"k2_articles\":\"\",\"redshop_products\":\"\",\"news_sort_value\":\"hits\",\"news_sort_order\":\"ASC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"0\",\"news_portal_mode_2_amount\":\"0\",\"news_portal_mode_3_amount\":\"0\",\"news_portal_mode_4_amount\":\"0\",\"news_full_pages\":\"0\",\"news_column\":\"0\",\"news_rows\":\"0\",\"top_interface_style\":\"none\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"left\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"17\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"null\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"80\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"null\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE\",\"info2_format\":\" %HITS\",\"category_link\":\"1\",\"date_format\":\"F j, Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"news_content_rs_pos\":\"left\",\"news_content_rs_float\":\"none\",\"art_padding\":\"0\",\"news_header_order\":\"2\",\"news_header_enabled\":\"1\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"4\",\"news_text_enabled\":\"0\",\"news_info_order\":\"3\",\"news_info_enabled\":\"1\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_rs_store_order\":\"6\",\"news_rs_store_enabled\":\"1\",\"news_content_readmore_pos\":\"after\",\"news_readmore_enabled\":\"1\",\"news_short_pages\":\"1\",\"links_amount\":\"7\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"none\",\"links_margin\":\"0\",\"links_position\":\"bottom\",\"links_width\":\"50\",\"show_list_description\":\"0\",\"list_title_limit_type\":\"chars\",\"list_title_limit\":\"30\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"70\",\"memory_limit\":\"128M\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"1\",\"img_auto_scale\":\"0\",\"img_keep_aspect_ratio\":\"1\",\"img_width\":\"90\",\"img_height\":\"60\",\"img_margin\":\"0 16px 20px 0\",\"img_bg\":\"#fff\",\"img_stretch\":\"1\",\"img_quality\":\"100\",\"cache_time\":\"30\",\"simple_crop_top\":\"0\",\"simple_crop_bottom\":\"25\",\"simple_crop_left\":\"10\",\"simple_crop_right\":\"10\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"rs_out_of_stock\":\"1\",\"rs_add_to_cart\":\"0\",\"rs_price\":\"0\",\"rs_price_text\":\"0\",\"rs_currency_place\":\"before\",\"rs_price_with_vat\":\"1\",\"rs_show_default_cart_button\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(253,'Advertisement','','<p><img src=\"images/demo/demo_banner.png\" border=\"0\" alt=\"\" /></p>',4,'left_top',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"  advertisement\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(254,'Advertisement','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec sed odio dui. Sed posuere consectetur est at lobortis. Donec ullamcorper nulla non metus auctor fringilla.</p>',4,'mainbody_bottom',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" advertisement\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(255,'Top PC Games ','','',1,'right_bottom',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\" nsp nspsmall\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"k2_categories\",\"com_categories\":[\"24\"],\"com_articles\":\"\",\"k2_categories\":[\"11\",\"2\",\"3\",\"4\",\"10\",\"12\"],\"k2_articles\":\"\",\"redshop_products\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"ASC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"1\",\"news_portal_mode_2_amount\":\"1\",\"news_portal_mode_3_amount\":\"1\",\"news_portal_mode_4_amount\":\"1\",\"news_full_pages\":\"1\",\"news_column\":\"1\",\"news_rows\":\"1\",\"top_interface_style\":\"none\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"left\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"35\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"none\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"80\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"null\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\" %DATE, %HITS\",\"info2_format\":\" %HITS\",\"category_link\":\"1\",\"date_format\":\"F j, Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"news_content_rs_pos\":\"left\",\"news_content_rs_float\":\"none\",\"art_padding\":\"0 0 18px\",\"news_header_order\":\"2\",\"news_header_enabled\":\"1\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"4\",\"news_text_enabled\":\"1\",\"news_info_order\":\"3\",\"news_info_enabled\":\"1\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_rs_store_order\":\"6\",\"news_rs_store_enabled\":\"0\",\"news_content_readmore_pos\":\"after\",\"news_readmore_enabled\":\"0\",\"news_short_pages\":\"1\",\"links_amount\":\"3\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"none\",\"links_margin\":\"0\",\"links_position\":\"bottom\",\"links_width\":\"50\",\"show_list_description\":\"0\",\"list_title_limit_type\":\"chars\",\"list_title_limit\":\"30\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"70\",\"memory_limit\":\"128M\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"1\",\"img_auto_scale\":\"0\",\"img_keep_aspect_ratio\":\"1\",\"img_width\":\"90\",\"img_height\":\"60\",\"img_margin\":\"0 16px 20px 0\",\"img_bg\":\"#fff\",\"img_stretch\":\"1\",\"img_quality\":\"100\",\"cache_time\":\"30\",\"simple_crop_top\":\"0\",\"simple_crop_bottom\":\"25\",\"simple_crop_left\":\"10\",\"simple_crop_right\":\"10\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"rs_out_of_stock\":\"1\",\"rs_add_to_cart\":\"0\",\"rs_price\":\"0\",\"rs_price_text\":\"0\",\"rs_currency_place\":\"before\",\"rs_price_with_vat\":\"1\",\"rs_show_default_cart_button\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(256,'New Game','','',2,'left_top',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\" nspsmall color1\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"k2_categories\",\"com_categories\":[\"24\"],\"com_articles\":\"\",\"k2_categories\":[\"10\"],\"k2_articles\":\"\",\"redshop_products\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"DESC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"1\",\"news_portal_mode_2_amount\":\"1\",\"news_portal_mode_3_amount\":\"1\",\"news_portal_mode_4_amount\":\"1\",\"news_full_pages\":\"1\",\"news_column\":\"1\",\"news_rows\":\"1\",\"top_interface_style\":\"arrows_with_pagination\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"17\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"50\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE\",\"info2_format\":\" %HITS\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"news_content_rs_pos\":\"left\",\"news_content_rs_float\":\"none\",\"art_padding\":\"8px 8px 16px \",\"news_header_order\":\"2\",\"news_header_enabled\":\"1\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"3\",\"news_text_enabled\":\"1\",\"news_info_order\":\"4\",\"news_info_enabled\":\"0\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_rs_store_order\":\"6\",\"news_rs_store_enabled\":\"0\",\"news_content_readmore_pos\":\"left\",\"news_readmore_enabled\":\"1\",\"news_short_pages\":\"0\",\"links_amount\":\"0\",\"links_columns_amount\":\"0\",\"bottom_interface_style\":\"arrows\",\"links_margin\":\"0\",\"links_position\":\"right\",\"links_width\":\"50\",\"show_list_description\":\"1\",\"list_title_limit_type\":\"chars\",\"list_title_limit\":\"30\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"70\",\"memory_limit\":\"128M\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"1\",\"img_auto_scale\":\"1\",\"img_keep_aspect_ratio\":\"0\",\"img_width\":\"160\",\"img_height\":\"108\",\"img_margin\":\"0 0 20px\",\"img_bg\":\"#fff\",\"img_stretch\":\"1\",\"img_quality\":\"100\",\"cache_time\":\"0\",\"simple_crop_top\":\"0\",\"simple_crop_bottom\":\"0\",\"simple_crop_left\":\"0\",\"simple_crop_right\":\"0\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"rs_out_of_stock\":\"1\",\"rs_add_to_cart\":\"0\",\"rs_price\":\"0\",\"rs_price_text\":\"0\",\"rs_currency_place\":\"before\",\"rs_price_with_vat\":\"1\",\"rs_show_default_cart_button\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(258,'Top Games (2)','','',1,'bottom1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\" nsp nspsmall\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"com_articles\",\"com_categories\":[\"24\"],\"com_articles\":\"48\",\"k2_categories\":[\"11\",\"2\",\"3\",\"4\",\"10\",\"12\"],\"k2_articles\":\"\",\"redshop_products\":\"\",\"news_sort_value\":\"title\",\"news_sort_order\":\"DESC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"1\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"1\",\"news_portal_mode_2_amount\":\"1\",\"news_portal_mode_3_amount\":\"1\",\"news_portal_mode_4_amount\":\"1\",\"news_full_pages\":\"1\",\"news_column\":\"1\",\"news_rows\":\"3\",\"top_interface_style\":\"none\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"left\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"17\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"80\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"null\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE\",\"info2_format\":\" %HITS\",\"category_link\":\"1\",\"date_format\":\"F j, Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"news_content_rs_pos\":\"left\",\"news_content_rs_float\":\"none\",\"art_padding\":\"0\",\"news_header_order\":\"2\",\"news_header_enabled\":\"1\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"4\",\"news_text_enabled\":\"0\",\"news_info_order\":\"3\",\"news_info_enabled\":\"1\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_rs_store_order\":\"6\",\"news_rs_store_enabled\":\"1\",\"news_content_readmore_pos\":\"after\",\"news_readmore_enabled\":\"1\",\"news_short_pages\":\"1\",\"links_amount\":\"4\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"none\",\"links_margin\":\"0\",\"links_position\":\"bottom\",\"links_width\":\"50\",\"show_list_description\":\"0\",\"list_title_limit_type\":\"chars\",\"list_title_limit\":\"30\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"70\",\"memory_limit\":\"128M\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"1\",\"img_auto_scale\":\"0\",\"img_keep_aspect_ratio\":\"1\",\"img_width\":\"90\",\"img_height\":\"60\",\"img_margin\":\"0 16px 20px 0\",\"img_bg\":\"#fff\",\"img_stretch\":\"1\",\"img_quality\":\"100\",\"cache_time\":\"30\",\"simple_crop_top\":\"0\",\"simple_crop_bottom\":\"25\",\"simple_crop_left\":\"10\",\"simple_crop_right\":\"10\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"rs_out_of_stock\":\"1\",\"rs_add_to_cart\":\"0\",\"rs_price\":\"0\",\"rs_price_text\":\"0\",\"rs_currency_place\":\"before\",\"rs_price_with_vat\":\"1\",\"rs_show_default_cart_button\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(259,'Topnav','','',1,'topnav',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_menu',1,1,'{\"menutype\":\"topnav\",\"startLevel\":\"1\",\"endLevel\":\"0\",\"showAllChildren\":\"0\",\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}',0,'*'),(265,'Suffix \" title2b\"  ','','<ul>\r\n<li><a href=\"#\">Maecenas faucibus mollis interdum.</a></li>\r\n<li><a href=\"#\">Vivamus sagittis lacus vel.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus magna.</a></li>\r\n</ul>\r\n<p>Vestibulum id ligula porta felis euismod semper. <strong>Donec ullamcorper nulla non</strong> metus auctor fringilla. Nulla vitae elit libero, a pharetra augue. Cras dapibus ac facilisis in, egestas <em>eget quam</em>.</p>',2,'top8',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" title2b\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(266,'Suffix \" title3b\"  ','','<ul>\r\n<li><a href=\"#\">Maecenas faucibus mollis interdum.</a></li>\r\n<li><a href=\"#\">Vivamus sagittis lacus vel augue laoreet.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus magna.</a></li>\r\n</ul>\r\n<p>Vestibulum id ligula porta felis euismod semper. <strong>Donec ullamcorper nulla non</strong> metus auctor fringilla. Nulla vitae elit libero, a pharetra augue. Cras dapibus ac facilisis in, egestas <em>eget quam</em>.</p>',3,'top9',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" title3b\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(267,'Suffix \" title1\"  ','','<ul>\r\n<li><a href=\"#\">Maecenas faucibus mollis interdum.</a></li>\r\n<li><a href=\"#\">Vivamus sagittis lacus vel augue laoreet.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus magna.</a></li>\r\n</ul>',1,'top7',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" title1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(268,'Suffix \" title2\"  ','','<ul>\r\n<li><a href=\"#\">Maecenas faucibus mollis interdum.</a></li>\r\n<li><a href=\"#\">Vivamus sagittis lacus vel augue laoreet.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus magna.</a></li>\r\n</ul>',1,'top8',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" title2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(269,'Suffix \" title3\"   ','','<ul>\r\n<li><a href=\"#\">Maecenas faucibus mollis interdum.</a></li>\r\n<li><a href=\"#\">Vivamus sagittis lacus vel augue laoreet.</a></li>\r\n<li><a href=\"#\">Praesent commodo cursus magna.</a></li>\r\n</ul>',1,'top9',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" title3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(271,'NSP Higlight','','',1,'header',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_news_pro_gk4',1,0,'{\"moduleclass_sfx\":\" highlight\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"k2_categories\",\"com_articles\":\"\",\"k2_categories\":[\"1\",\"10\",\"3\",\"2\",\"4\",\"11\"],\"k2_articles\":\"\",\"redshop_products\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"DESC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"10\",\"news_portal_mode_2_amount\":\"10\",\"news_portal_mode_3_amount\":\"10\",\"news_portal_mode_4_amount\":\"10\",\"news_full_pages\":\"1\",\"news_column\":\"5\",\"news_rows\":\"1\",\"top_interface_style\":\"none\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"35\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"words\",\"news_limit\":\"30\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%CATEGORY\",\"info2_format\":\"\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"news_content_rs_pos\":\"left\",\"news_content_rs_float\":\"none\",\"art_padding\":\"0 22px\",\"news_header_order\":\"2\",\"news_header_enabled\":\"1\",\"news_image_order\":\"3\",\"news_image_enabled\":\"0\",\"news_text_order\":\"4\",\"news_text_enabled\":\"0\",\"news_info_order\":\"1\",\"news_info_enabled\":\"1\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_rs_store_order\":\"6\",\"news_rs_store_enabled\":\"0\",\"news_content_readmore_pos\":\"right\",\"news_readmore_enabled\":\"0\",\"news_short_pages\":\"0\",\"links_amount\":\"3\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"arrows_with_counter\",\"links_margin\":\"0\",\"links_position\":\"bottom\",\"links_width\":\"50\",\"show_list_description\":\"1\",\"list_title_limit_type\":\"words\",\"list_title_limit\":\"20\",\"list_text_limit_type\":\"words\",\"list_text_limit\":\"30\",\"memory_limit\":\"128M\",\"create_thumbs\":\"0\",\"k2_thumbs\":\"0\",\"img_auto_scale\":\"1\",\"img_keep_aspect_ratio\":\"0\",\"img_width\":\"160\",\"img_height\":\"120\",\"img_margin\":\"6px 14px 0 0\",\"img_bg\":\"#000\",\"img_stretch\":\"0\",\"img_quality\":\"95\",\"cache_time\":\"30\",\"simple_crop_top\":\"10\",\"simple_crop_bottom\":\"10\",\"simple_crop_left\":\"10\",\"simple_crop_right\":\"10\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"rs_out_of_stock\":\"1\",\"rs_add_to_cart\":\"0\",\"rs_price\":\"0\",\"rs_price_text\":\"0\",\"rs_currency_place\":\"before\",\"rs_price_with_vat\":\"1\",\"rs_show_default_cart_button\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(273,'Music News','','',1,'mainbody',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\" nsp border1\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"k2_categories\",\"com_categories\":[\"24\"],\"com_articles\":\"\",\"k2_categories\":[\"10\",\"3\",\"2\",\"4\",\"11\"],\"k2_articles\":\"\",\"redshop_products\":\"\",\"news_sort_value\":\"hits\",\"news_sort_order\":\"ASC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"1\",\"news_portal_mode_2_amount\":\"1\",\"news_portal_mode_3_amount\":\"1\",\"news_portal_mode_4_amount\":\"1\",\"news_full_pages\":\"3\",\"news_column\":\"1\",\"news_rows\":\"4\",\"top_interface_style\":\"pagination\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"null\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"words\",\"title_limit\":\"15\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"null\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"110\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"null\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE,  %HITS\",\"info2_format\":\" %HITS\",\"category_link\":\"1\",\"date_format\":\"F j, Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"news_content_rs_pos\":\"left\",\"news_content_rs_float\":\"none\",\"art_padding\":\"5px  20px 20px 0\",\"news_header_order\":\"2\",\"news_header_enabled\":\"1\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"3\",\"news_text_enabled\":\"1\",\"news_info_order\":\"4\",\"news_info_enabled\":\"0\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_rs_store_order\":\"6\",\"news_rs_store_enabled\":\"1\",\"news_content_readmore_pos\":\"right\",\"news_readmore_enabled\":\"0\",\"news_short_pages\":\"0\",\"links_amount\":\"0\",\"links_columns_amount\":\"0\",\"bottom_interface_style\":\"none\",\"links_margin\":\"0\",\"links_position\":\"bottom\",\"links_width\":\"50\",\"show_list_description\":\"0\",\"list_title_limit_type\":\"chars\",\"list_title_limit\":\"30\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"70\",\"memory_limit\":\"128M\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"1\",\"img_auto_scale\":\"1\",\"img_keep_aspect_ratio\":\"0\",\"img_width\":\"80\",\"img_height\":\"70\",\"img_margin\":\"5px 16px 0 0\",\"img_bg\":\"#fff\",\"img_stretch\":\"1\",\"img_quality\":\"100\",\"cache_time\":\"30\",\"simple_crop_top\":\"0\",\"simple_crop_bottom\":\"0\",\"simple_crop_left\":\"0\",\"simple_crop_right\":\"30\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"rs_out_of_stock\":\"1\",\"rs_add_to_cart\":\"0\",\"rs_price\":\"0\",\"rs_price_text\":\"0\",\"rs_currency_place\":\"before\",\"rs_price_with_vat\":\"1\",\"rs_show_default_cart_button\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(282,'Main News','','',1,'top',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\" nsp border2\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"k2_categories\",\"com_categories\":[\"24\"],\"com_articles\":\"\",\"k2_categories\":[\"10\",\"3\",\"2\",\"4\",\"11\"],\"k2_articles\":\"\",\"redshop_products\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"DESC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"8\",\"news_portal_mode_2_amount\":\"8\",\"news_portal_mode_3_amount\":\"8\",\"news_portal_mode_4_amount\":\"8\",\"news_full_pages\":\"1\",\"news_column\":\"5\",\"news_rows\":\"2\",\"top_interface_style\":\"none\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"23\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"125\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%CATEGORY , %HITS\",\"info2_format\":\"\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"news_content_rs_pos\":\"left\",\"news_content_rs_float\":\"none\",\"art_padding\":\"20px 0 0 15px\",\"news_header_order\":\"4\",\"news_header_enabled\":\"0\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"3\",\"news_text_enabled\":\"0\",\"news_info_order\":\"2\",\"news_info_enabled\":\"1\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_rs_store_order\":\"6\",\"news_rs_store_enabled\":\"1\",\"news_content_readmore_pos\":\"left\",\"news_readmore_enabled\":\"0\",\"news_short_pages\":\"0\",\"links_amount\":\"0\",\"links_columns_amount\":\"0\",\"bottom_interface_style\":\"arrows\",\"links_margin\":\"0\",\"links_position\":\"right\",\"links_width\":\"50\",\"show_list_description\":\"1\",\"list_title_limit_type\":\"chars\",\"list_title_limit\":\"30\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"70\",\"memory_limit\":\"128M\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"1\",\"img_auto_scale\":\"1\",\"img_keep_aspect_ratio\":\"1\",\"img_width\":\"120\",\"img_height\":\"120\",\"img_margin\":\"0 0 0 0\",\"img_bg\":\"#fff\",\"img_stretch\":\"1\",\"img_quality\":\"100\",\"cache_time\":\"30\",\"simple_crop_top\":\"0\",\"simple_crop_bottom\":\"0\",\"simple_crop_left\":\"0\",\"simple_crop_right\":\"20\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"rs_out_of_stock\":\"1\",\"rs_add_to_cart\":\"0\",\"rs_price\":\"0\",\"rs_price_text\":\"0\",\"rs_currency_place\":\"before\",\"rs_price_with_vat\":\"1\",\"rs_show_default_cart_button\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(275,'Tab 2 Header','','',1,'tab2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_news_pro_gk4',1,0,'{\"moduleclass_sfx\":\" nsp\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"k2_categories\",\"com_categories\":[\"24\"],\"com_articles\":\"\",\"k2_categories\":[\"10\",\"3\",\"2\",\"4\",\"11\"],\"k2_articles\":\"\",\"redshop_products\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"DESC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"8\",\"news_portal_mode_2_amount\":\"8\",\"news_portal_mode_3_amount\":\"8\",\"news_portal_mode_4_amount\":\"8\",\"news_full_pages\":\"1\",\"news_column\":\"6\",\"news_rows\":\"3\",\"top_interface_style\":\"none\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"none\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"23\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"125\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"none\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%CATEGORY , %HITS\",\"info2_format\":\"\",\"category_link\":\"1\",\"date_format\":\"d-m-Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"news_content_rs_pos\":\"left\",\"news_content_rs_float\":\"none\",\"art_padding\":\"20px 0 0 15px\",\"news_header_order\":\"4\",\"news_header_enabled\":\"0\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"3\",\"news_text_enabled\":\"0\",\"news_info_order\":\"2\",\"news_info_enabled\":\"1\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_rs_store_order\":\"6\",\"news_rs_store_enabled\":\"1\",\"news_content_readmore_pos\":\"left\",\"news_readmore_enabled\":\"0\",\"news_short_pages\":\"0\",\"links_amount\":\"0\",\"links_columns_amount\":\"0\",\"bottom_interface_style\":\"arrows\",\"links_margin\":\"0\",\"links_position\":\"right\",\"links_width\":\"50\",\"show_list_description\":\"1\",\"list_title_limit_type\":\"chars\",\"list_title_limit\":\"30\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"70\",\"memory_limit\":\"128M\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"1\",\"img_auto_scale\":\"1\",\"img_keep_aspect_ratio\":\"1\",\"img_width\":\"150\",\"img_height\":\"150\",\"img_margin\":\"0 0 0 0\",\"img_bg\":\"#fff\",\"img_stretch\":\"1\",\"img_quality\":\"100\",\"cache_time\":\"30\",\"simple_crop_top\":\"0\",\"simple_crop_bottom\":\"0\",\"simple_crop_left\":\"0\",\"simple_crop_right\":\"20\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"rs_out_of_stock\":\"1\",\"rs_add_to_cart\":\"0\",\"rs_price\":\"0\",\"rs_price_text\":\"0\",\"rs_currency_place\":\"before\",\"rs_price_with_vat\":\"1\",\"rs_show_default_cart_button\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(276,'Latest News','','',1,'bottom7',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\" nsp nspsmall\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"k2_categories\",\"com_categories\":[\"24\"],\"com_articles\":\"\",\"k2_categories\":[\"10\",\"3\",\"2\",\"4\",\"11\"],\"k2_articles\":\"\",\"redshop_products\":\"\",\"news_sort_value\":\"created\",\"news_sort_order\":\"ASC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"1\",\"news_portal_mode_2_amount\":\"1\",\"news_portal_mode_3_amount\":\"1\",\"news_portal_mode_4_amount\":\"1\",\"news_full_pages\":\"1\",\"news_column\":\"1\",\"news_rows\":\"4\",\"top_interface_style\":\"none\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"left\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"17\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"80\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"null\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE\",\"info2_format\":\" %HITS\",\"category_link\":\"1\",\"date_format\":\"F j, Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"news_content_rs_pos\":\"left\",\"news_content_rs_float\":\"none\",\"art_padding\":\"0\",\"news_header_order\":\"2\",\"news_header_enabled\":\"1\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"4\",\"news_text_enabled\":\"0\",\"news_info_order\":\"3\",\"news_info_enabled\":\"1\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_rs_store_order\":\"6\",\"news_rs_store_enabled\":\"1\",\"news_content_readmore_pos\":\"after\",\"news_readmore_enabled\":\"1\",\"news_short_pages\":\"0\",\"links_amount\":\"0\",\"links_columns_amount\":\"0\",\"bottom_interface_style\":\"none\",\"links_margin\":\"0\",\"links_position\":\"bottom\",\"links_width\":\"50\",\"show_list_description\":\"0\",\"list_title_limit_type\":\"chars\",\"list_title_limit\":\"30\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"70\",\"memory_limit\":\"128M\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"1\",\"img_auto_scale\":\"0\",\"img_keep_aspect_ratio\":\"1\",\"img_width\":\"110\",\"img_height\":\"80\",\"img_margin\":\"0 16px 20px 0\",\"img_bg\":\"#fff\",\"img_stretch\":\"1\",\"img_quality\":\"100\",\"cache_time\":\"30\",\"simple_crop_top\":\"0\",\"simple_crop_bottom\":\"25\",\"simple_crop_left\":\"10\",\"simple_crop_right\":\"10\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"rs_out_of_stock\":\"1\",\"rs_add_to_cart\":\"0\",\"rs_price\":\"0\",\"rs_price_text\":\"0\",\"rs_currency_place\":\"before\",\"rs_price_with_vat\":\"1\",\"rs_show_default_cart_button\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(277,'Sponsored ','','',1,'bottom9',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\" nsp nspsmall\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"k2_categories\",\"com_categories\":[\"24\"],\"com_articles\":\"\",\"k2_categories\":[\"10\",\"3\",\"2\",\"4\",\"11\"],\"k2_articles\":\"\",\"redshop_products\":\"\",\"news_sort_value\":\"title\",\"news_sort_order\":\"ASC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"1\",\"news_portal_mode_2_amount\":\"1\",\"news_portal_mode_3_amount\":\"1\",\"news_portal_mode_4_amount\":\"1\",\"news_full_pages\":\"1\",\"news_column\":\"1\",\"news_rows\":\"2\",\"top_interface_style\":\"none\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"left\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"16\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"left\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"80\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"null\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE\",\"info2_format\":\"\",\"category_link\":\"1\",\"date_format\":\"F j, Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"news_content_rs_pos\":\"left\",\"news_content_rs_float\":\"none\",\"art_padding\":\"0\",\"news_header_order\":\"2\",\"news_header_enabled\":\"1\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"4\",\"news_text_enabled\":\"0\",\"news_info_order\":\"3\",\"news_info_enabled\":\"1\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_rs_store_order\":\"6\",\"news_rs_store_enabled\":\"1\",\"news_content_readmore_pos\":\"after\",\"news_readmore_enabled\":\"0\",\"news_short_pages\":\"3\",\"links_amount\":\"3\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"none\",\"links_margin\":\"0\",\"links_position\":\"bottom\",\"links_width\":\"50\",\"show_list_description\":\"0\",\"list_title_limit_type\":\"chars\",\"list_title_limit\":\"35\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"70\",\"memory_limit\":\"128M\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"1\",\"img_auto_scale\":\"0\",\"img_keep_aspect_ratio\":\"1\",\"img_width\":\"110\",\"img_height\":\"80\",\"img_margin\":\"0 16px 20px 0\",\"img_bg\":\"#fff\",\"img_stretch\":\"1\",\"img_quality\":\"100\",\"cache_time\":\"30\",\"simple_crop_top\":\"0\",\"simple_crop_bottom\":\"25\",\"simple_crop_left\":\"10\",\"simple_crop_right\":\"10\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"rs_out_of_stock\":\"1\",\"rs_add_to_cart\":\"0\",\"rs_price\":\"0\",\"rs_price_text\":\"0\",\"rs_currency_place\":\"before\",\"rs_price_with_vat\":\"1\",\"rs_show_default_cart_button\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(278,'Popular','','',1,'inset2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_news_pro_gk4',1,1,'{\"moduleclass_sfx\":\" nsp color1\",\"automatic_module_id\":\"1\",\"module_unique_id\":\"newspro1\",\"module_mode\":\"normal\",\"module_width\":\"100\",\"portal_mode_1_module_height\":\"320\",\"module_font_size\":\"100\",\"data_source\":\"k2_categories\",\"com_categories\":[\"24\"],\"com_articles\":\"\",\"k2_categories\":[\"10\",\"3\",\"2\",\"4\",\"11\"],\"k2_articles\":\"\",\"redshop_products\":\"\",\"news_sort_value\":\"hits\",\"news_sort_order\":\"ASC\",\"news_since\":\"\",\"news_frontpage\":\"1\",\"unauthorized\":\"0\",\"only_frontpage\":\"0\",\"startposition\":\"0\",\"time_offset\":\"0\",\"news_portal_mode_1_amount\":\"0\",\"news_portal_mode_2_amount\":\"0\",\"news_portal_mode_3_amount\":\"0\",\"news_portal_mode_4_amount\":\"0\",\"news_full_pages\":\"0\",\"news_column\":\"0\",\"news_rows\":\"0\",\"top_interface_style\":\"none\",\"news_content_header_pos\":\"left\",\"news_content_header_float\":\"left\",\"news_header_link\":\"1\",\"use_title_alias\":\"0\",\"title_limit_type\":\"chars\",\"title_limit\":\"17\",\"news_content_image_pos\":\"left\",\"news_content_image_float\":\"null\",\"news_image_link\":\"1\",\"news_content_text_pos\":\"left\",\"news_content_text_float\":\"left\",\"news_text_link\":\"0\",\"news_limit_type\":\"chars\",\"news_limit\":\"80\",\"news_content_info_pos\":\"left\",\"news_content_info_float\":\"null\",\"news_content_info2_pos\":\"left\",\"news_content_info2_float\":\"left\",\"info_format\":\"%DATE\",\"info2_format\":\" %HITS\",\"category_link\":\"1\",\"date_format\":\"F j, Y\",\"date_publish\":\"0\",\"username\":\"users.name\",\"user_avatar\":\"1\",\"avatar_size\":\"16\",\"news_content_rs_pos\":\"left\",\"news_content_rs_float\":\"none\",\"art_padding\":\"0\",\"news_header_order\":\"2\",\"news_header_enabled\":\"1\",\"news_image_order\":\"1\",\"news_image_enabled\":\"1\",\"news_text_order\":\"4\",\"news_text_enabled\":\"0\",\"news_info_order\":\"3\",\"news_info_enabled\":\"1\",\"news_info2_order\":\"5\",\"news_info2_enabled\":\"0\",\"news_rs_store_order\":\"6\",\"news_rs_store_enabled\":\"1\",\"news_content_readmore_pos\":\"after\",\"news_readmore_enabled\":\"1\",\"news_short_pages\":\"1\",\"links_amount\":\"7\",\"links_columns_amount\":\"1\",\"bottom_interface_style\":\"none\",\"links_margin\":\"0\",\"links_position\":\"bottom\",\"links_width\":\"50\",\"show_list_description\":\"0\",\"list_title_limit_type\":\"chars\",\"list_title_limit\":\"30\",\"list_text_limit_type\":\"chars\",\"list_text_limit\":\"70\",\"memory_limit\":\"128M\",\"create_thumbs\":\"1\",\"k2_thumbs\":\"1\",\"img_auto_scale\":\"0\",\"img_keep_aspect_ratio\":\"1\",\"img_width\":\"90\",\"img_height\":\"60\",\"img_margin\":\"0 16px 20px 0\",\"img_bg\":\"#fff\",\"img_stretch\":\"1\",\"img_quality\":\"100\",\"cache_time\":\"30\",\"simple_crop_top\":\"0\",\"simple_crop_bottom\":\"25\",\"simple_crop_left\":\"10\",\"simple_crop_right\":\"10\",\"crop_rules\":\"\",\"autoanim\":\"0\",\"hover_anim\":\"0\",\"animation_speed\":\"400\",\"animation_interval\":\"5000\",\"news_portal_mode_3_open_first\":\"1\",\"animation_function\":\"Fx.Transitions.Expo.easeIn\",\"clean_xhtml\":\"1\",\"more_text_value\":\"...\",\"parse_plugins\":\"0\",\"clean_plugins\":\"0\",\"rs_out_of_stock\":\"1\",\"rs_add_to_cart\":\"0\",\"rs_price\":\"0\",\"rs_price_text\":\"0\",\"rs_currency_place\":\"before\",\"rs_price_with_vat\":\"1\",\"rs_show_default_cart_button\":\"0\",\"useCSS\":\"0\",\"useScript\":\"2\"}',0,'*'),(279,'Advertisement','','<p><img src=\"images/demo/banner.png\" border=\"0\" alt=\"Adv\" /></p>',1,'right_bottom',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" advertisement\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(280,'quick Search','','',1,'right_bottom',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_search',1,0,'{\"label\":\"\",\"width\":\"42\",\"text\":\"\",\"button\":\"\",\"button_pos\":\"left\",\"imagebutton\":\"\",\"button_text\":\"\",\"opensearch\":\"1\",\"opensearch_title\":\"\",\"set_itemid\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" border0\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}',0,'*');


--
-- Table structure for table `#__modules_menu`
--



CREATE TABLE `#__modules_menu` (
  `moduleid` int(11) NOT NULL DEFAULT '0',
  `menuid` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`moduleid`,`menuid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__modules_menu`
--


INSERT INTO `#__modules_menu` (`moduleid`, `menuid`) VALUES (1,0),(2,0),(3,0),(4,0),(6,0),(7,0),(8,0),(9,0),(10,0),(12,0),(13,0),(14,0),(15,0),(16,0),(19,114),(19,115),(19,120),(19,121),(19,122),(20,115),(20,121),(20,122),(21,114),(21,115),(21,120),(21,121),(21,122),(22,114),(22,115),(22,120),(22,121),(22,122),(23,116),(23,117),(23,118),(23,122),(24,116),(24,117),(24,118),(24,122),(25,117),(25,122),(26,116),(26,117),(26,118),(26,122),(27,118),(27,119),(27,121),(27,122),(29,119),(29,120),(29,121),(29,122),(30,118),(30,119),(30,120),(30,122),(31,118),(31,119),(31,120),(31,121),(31,122),(32,118),(32,119),(32,120),(32,121),(32,122),(36,127),(37,127),(38,127),(40,127),(41,127),(42,127),(51,127),(52,127),(53,127),(65,0),(66,0),(68,0),(107,101),(112,127),(126,0),(127,0),(129,102),(129,103),(129,104),(129,105),(129,106),(129,107),(129,108),(129,109),(129,113),(129,114),(129,115),(129,116),(129,117),(129,118),(129,119),(129,120),(129,121),(129,122),(129,123),(129,124),(129,127),(129,128),(129,129),(129,130),(129,131),(129,132),(129,134),(129,135),(129,136),(129,138),(129,139),(129,140),(129,141),(129,142),(129,143),(129,144),(129,145),(129,146),(129,147),(129,148),(129,149),(129,150),(129,151),(129,152),(129,153),(129,154),(129,155),(129,156),(129,157),(129,158),(129,159),(129,160),(129,161),(129,162),(129,175),(129,176),(129,177),(129,178),(129,179),(129,180),(129,181),(129,182),(129,183),(129,184),(129,185),(129,186),(129,187),(129,188),(129,189),(129,190),(129,191),(129,192),(129,193),(129,194),(129,195),(129,196),(129,198),(129,199),(129,200),(129,201),(129,202),(129,205),(129,234),(129,235),(129,236),(129,237),(129,238),(129,259),(129,260),(129,261),(129,263),(129,264),(129,265),(130,102),(130,103),(130,104),(130,105),(130,106),(130,107),(130,108),(130,109),(130,113),(130,114),(130,115),(130,116),(130,117),(130,118),(130,119),(130,120),(130,121),(130,122),(130,123),(130,124),(130,127),(130,128),(130,129),(130,130),(130,131),(130,132),(130,134),(130,135),(130,136),(130,138),(130,139),(130,140),(130,141),(130,142),(130,143),(130,144),(130,145),(130,146),(130,147),(130,148),(130,149),(130,150),(130,151),(130,152),(130,153),(130,154),(130,155),(130,156),(130,157),(130,158),(130,159),(130,160),(130,161),(130,162),(130,175),(130,176),(130,177),(130,178),(130,179),(130,180),(130,181),(130,182),(130,183),(130,184),(130,185),(130,186),(130,187),(130,188),(130,189),(130,190),(130,191),(130,192),(130,193),(130,194),(130,195),(130,196),(130,198),(130,199),(130,200),(130,201),(130,202),(130,205),(130,234),(130,235),(130,236),(130,237),(130,238),(130,259),(130,260),(130,261),(130,263),(130,264),(130,265),(131,102),(131,103),(131,104),(131,105),(131,106),(131,107),(131,108),(131,109),(131,113),(131,114),(131,115),(131,116),(131,117),(131,118),(131,119),(131,120),(131,121),(131,122),(131,123),(131,124),(131,127),(131,128),(131,129),(131,130),(131,131),(131,132),(131,134),(131,135),(131,136),(131,138),(131,139),(131,140),(131,141),(131,142),(131,143),(131,144),(131,145),(131,146),(131,147),(131,148),(131,149),(131,150),(131,151),(131,152),(131,153),(131,154),(131,155),(131,156),(131,157),(131,158),(131,159),(131,160),(131,161),(131,162),(131,175),(131,176),(131,177),(131,178),(131,179),(131,180),(131,181),(131,182),(131,183),(131,184),(131,185),(131,186),(131,187),(131,188),(131,189),(131,190),(131,191),(131,192),(131,193),(131,194),(131,195),(131,196),(131,198),(131,199),(131,200),(131,201),(131,202),(131,205),(131,234),(131,235),(131,236),(131,237),(131,238),(131,259),(131,260),(131,261),(131,263),(131,264),(131,265),(132,102),(132,103),(132,104),(132,105),(132,106),(132,107),(132,108),(132,109),(132,113),(132,114),(132,115),(132,116),(132,117),(132,118),(132,119),(132,120),(132,121),(132,122),(132,123),(132,124),(132,127),(132,128),(132,129),(132,130),(132,131),(132,132),(132,134),(132,135),(132,136),(132,138),(132,139),(132,140),(132,141),(132,142),(132,143),(132,144),(132,145),(132,146),(132,147),(132,148),(132,149),(132,150),(132,151),(132,152),(132,153),(132,154),(132,155),(132,156),(132,157),(132,158),(132,159),(132,160),(132,161),(132,162),(132,175),(132,176),(132,177),(132,178),(132,179),(132,180),(132,181),(132,182),(132,183),(132,184),(132,185),(132,186),(132,187),(132,188),(132,189),(132,190),(132,191),(132,192),(132,193),(132,194),(132,195),(132,196),(132,198),(132,199),(132,200),(132,201),(132,202),(132,205),(132,234),(132,235),(132,236),(132,237),(132,238),(132,259),(132,260),(132,261),(132,263),(132,264),(132,265),(133,102),(133,103),(133,104),(133,105),(133,106),(133,107),(133,108),(133,109),(133,113),(133,114),(133,115),(133,116),(133,117),(133,118),(133,119),(133,120),(133,121),(133,122),(133,123),(133,124),(133,127),(133,128),(133,129),(133,130),(133,131),(133,132),(133,134),(133,135),(133,136),(133,138),(133,139),(133,140),(133,141),(133,142),(133,143),(133,144),(133,145),(133,146),(133,147),(133,148),(133,149),(133,150),(133,151),(133,152),(133,153),(133,154),(133,155),(133,156),(133,157),(133,158),(133,159),(133,160),(133,161),(133,162),(133,175),(133,176),(133,177),(133,178),(133,179),(133,180),(133,181),(133,182),(133,183),(133,184),(133,185),(133,186),(133,187),(133,188),(133,189),(133,190),(133,191),(133,192),(133,193),(133,194),(133,195),(133,196),(133,198),(133,199),(133,200),(133,201),(133,202),(133,205),(133,234),(133,235),(133,236),(133,237),(133,238),(133,259),(133,260),(133,261),(133,263),(133,264),(134,102),(134,103),(134,104),(134,105),(134,106),(134,107),(134,108),(134,109),(134,113),(134,114),(134,115),(134,116),(134,117),(134,118),(134,119),(134,120),(134,121),(134,122),(134,123),(134,124),(134,127),(134,128),(134,129),(134,130),(134,131),(134,132),(134,134),(134,135),(134,136),(134,138),(134,139),(134,140),(134,141),(134,142),(134,143),(134,144),(134,145),(134,146),(134,147),(134,148),(134,149),(134,150),(134,151),(134,152),(134,153),(134,154),(134,155),(134,156),(134,157),(134,158),(134,159),(134,160),(134,161),(134,162),(134,175),(134,176),(134,177),(134,178),(134,179),(134,180),(134,181),(134,182),(134,183),(134,184),(134,185),(134,186),(134,187),(134,188),(134,189),(134,190),(134,191),(134,192),(134,193),(134,194),(134,195),(134,196),(134,198),(134,199),(134,200),(134,201),(134,202),(134,205),(134,234),(134,235),(134,236),(134,237),(134,238),(134,259),(134,260),(134,261),(134,263),(134,264),(134,265),(135,102),(135,103),(135,104),(135,105),(135,106),(135,107),(135,108),(135,109),(135,113),(135,114),(135,115),(135,116),(135,117),(135,118),(135,119),(135,120),(135,121),(135,122),(135,123),(135,124),(135,127),(135,128),(135,129),(135,130),(135,131),(135,132),(135,134),(135,135),(135,136),(135,138),(135,139),(135,140),(135,141),(135,142),(135,143),(135,144),(135,145),(135,146),(135,147),(135,148),(135,149),(135,150),(135,151),(135,152),(135,153),(135,154),(135,155),(135,156),(135,157),(135,158),(135,159),(135,160),(135,161),(135,162),(135,175),(135,176),(135,177),(135,178),(135,179),(135,180),(135,181),(135,182),(135,183),(135,184),(135,185),(135,186),(135,187),(135,188),(135,189),(135,190),(135,191),(135,192),(135,193),(135,194),(135,195),(135,196),(135,198),(135,199),(135,200),(135,201),(135,202),(135,205),(135,234),(135,235),(135,236),(135,237),(135,238),(135,259),(135,260),(135,261),(135,263),(135,264),(135,265),(136,102),(136,103),(136,104),(136,105),(136,106),(136,107),(136,108),(136,109),(136,113),(136,114),(136,115),(136,116),(136,117),(136,118),(136,119),(136,120),(136,121),(136,122),(136,123),(136,124),(136,127),(136,128),(136,129),(136,130),(136,131),(136,132),(136,134),(136,135),(136,136),(136,138),(136,139),(136,140),(136,141),(136,142),(136,143),(136,144),(136,145),(136,146),(136,147),(136,148),(136,149),(136,150),(136,151),(136,152),(136,153),(136,154),(136,155),(136,156),(136,157),(136,158),(136,159),(136,160),(136,161),(136,162),(136,175),(136,176),(136,177),(136,178),(136,179),(136,180),(136,181),(136,182),(136,183),(136,184),(136,185),(136,186),(136,187),(136,188),(136,189),(136,190),(136,191),(136,192),(136,193),(136,194),(136,195),(136,196),(136,198),(136,199),(136,200),(136,201),(136,202),(136,205),(136,234),(136,235),(136,236),(136,237),(136,238),(136,259),(136,260),(136,261),(136,263),(136,264),(136,265),(138,0),(139,0),(140,0),(141,-112),(141,-111),(145,0),(148,235),(148,236),(148,237),(148,238),(148,259),(148,260),(148,261),(148,267),(148,307),(152,101),(153,101),(154,101),(155,101),(156,101),(157,101),(158,101),(159,101),(160,0),(161,101),(162,0),(164,0),(165,0),(166,127),(167,127),(168,127),(169,127),(170,127),(171,127),(172,127),(173,127),(174,127),(175,127),(176,127),(177,127),(178,127),(179,127),(182,127),(183,101),(184,101),(186,101),(188,208),(188,225),(188,228),(188,229),(188,230),(188,231),(190,0),(191,0),(192,0),(193,101),(194,127),(195,127),(196,127),(197,127),(198,127),(199,127),(200,127),(201,127),(203,127),(205,127),(206,127),(207,101),(208,101),(209,235),(209,236),(209,237),(209,238),(209,259),(209,260),(209,261),(209,267),(209,307),(209,308),(210,235),(210,236),(210,237),(210,238),(210,259),(210,260),(210,261),(211,235),(211,236),(211,237),(211,238),(211,259),(211,260),(211,261),(212,235),(212,236),(212,237),(212,238),(212,259),(212,260),(212,261),(213,0),(214,101),(214,235),(214,236),(214,237),(214,238),(214,259),(214,260),(214,261),(214,265),(215,101),(216,101),(217,0),(218,234),(218,235),(218,237),(218,238),(218,259),(218,260),(218,261),(218,265),(218,267),(219,101),(220,101),(221,101),(222,101),(224,0),(226,101),(228,0),(229,101),(230,0),(231,0),(232,0),(233,127),(234,0),(236,101),(237,101),(238,101),(239,0),(240,0),(241,0),(242,0),(243,0),(244,0),(245,0),(246,0),(247,101),(247,235),(247,237),(247,238),(247,259),(247,260),(247,261),(247,267),(247,268),(247,307),(248,235),(248,237),(248,238),(248,259),(248,260),(248,261),(248,267),(248,268),(248,307),(249,235),(249,237),(249,238),(249,259),(249,260),(249,261),(249,267),(249,268),(249,307),(250,268),(251,268),(252,127),(253,101),(254,127),(255,101),(256,101),(258,0),(259,0),(260,127),(261,127),(262,127),(263,127),(264,127),(265,127),(266,127),(267,127),(268,127),(269,127),(271,101),(273,101),(275,0),(276,0),(277,0),(278,101),(279,101),(280,101),(282,101);


--
-- Table structure for table `#__newsfeeds`
--



CREATE TABLE `#__newsfeeds` (
  `catid` int(11) NOT NULL DEFAULT '0',
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL DEFAULT '',
  `alias` varchar(100) NOT NULL DEFAULT '',
  `link` varchar(200) NOT NULL DEFAULT '',
  `filename` varchar(200) DEFAULT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `numarticles` int(10) unsigned NOT NULL DEFAULT '1',
  `cache_time` int(10) unsigned NOT NULL DEFAULT '3600',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rtl` tinyint(4) NOT NULL DEFAULT '0',
  `access` int(10) unsigned DEFAULT NULL,
  `language` char(7) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__newsfeeds`
--


INSERT INTO `#__newsfeeds` (`catid`, `id`, `name`, `alias`, `link`, `filename`, `published`, `numarticles`, `cache_time`, `checked_out`, `checked_out_time`, `ordering`, `rtl`, `access`, `language`, `params`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `xreference`, `publish_up`, `publish_down`) VALUES (14,1,'GavickPro News','gavickpro-news','http://www.gavickmagazine.com/index.php?format=feed&type=rss',NULL,1,5,3600,0,'0000-00-00 00:00:00',1,0,1,'*','{\"show_feed_image\":\"\",\"show_feed_description\":\"\",\"show_item_description\":\"\",\"feed_character_count\":\"0\",\"newsfeed_layout\":\"\"}','2011-01-13 15:35:16',42,'','0000-00-00 00:00:00',0,'','','{\"robots\":\"\",\"rights\":\"\"}','','0000-00-00 00:00:00','0000-00-00 00:00:00');


--
-- Table structure for table `#__redirect_links`
--



CREATE TABLE `#__redirect_links` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `old_url` varchar(255) DEFAULT NULL,
  `new_url` varchar(255) DEFAULT NULL,
  `referer` varchar(150) NOT NULL,
  `comment` varchar(255) NOT NULL,
  `published` tinyint(4) NOT NULL,
  `created_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_link_old` (`old_url`),
  KEY `idx_link_modifed` (`modified_date`)
) ENGINE=MyISAM AUTO_INCREMENT=58 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__redirect_links`
--


INSERT INTO `#__redirect_links` (`id`, `old_url`, `new_url`, `referer`, `comment`, `published`, `created_date`, `modified_date`) VALUES (1,'http://project.gavick.com/dziudek/joomla16/penguinmail/?option=non-existing-component','','http://project.gavick.com/dziudek/joomla16/penguinmail/','',0,'2011-01-11 22:42:03','0000-00-00 00:00:00'),(2,'http://project.gavick.com/dziudek/joomla16/penguinmail/index.php/module-variations','','http://project.gavick.com/dziudek/joomla16/penguinmail/','',0,'2011-01-13 13:12:27','0000-00-00 00:00:00'),(3,'http://project.gavick.com/dziudek/joomla16/penguinmail/index.php/single-contact','','http://project.gavick.com/dziudek/joomla16/penguinmail/index.php/menu-types/dropline-menu','',0,'2011-01-13 15:16:23','0000-00-00 00:00:00'),(4,'http://project.gavick.com/dziudek/joomla16/penguinmail/index.php?option=com_user&view=login','','http://project.gavick.com/dziudek/joomla16/penguinmail/','',0,'2011-01-13 16:06:50','0000-00-00 00:00:00'),(5,'http://project.gavick.com/dziudek/joomla16/penguinmail/index.php?option=com_user&task=login','','','',0,'2011-01-13 16:23:44','0000-00-00 00:00:00'),(6,'http://project.gavick.com/dziudek/joomla16/penguinmail/index.php?option=com_user','','','',0,'2011-01-13 16:23:47','0000-00-00 00:00:00'),(7,'http://project.gavick.com/dziudek/joomla16/penguinmail/index.php?option=user','','','',0,'2011-01-13 16:23:53','0000-00-00 00:00:00'),(8,'http://project.gavick.com/dziudek/joomla16/penguinmail/index.php/blog-layout','','http://project.gavick.com/dziudek/joomla16/penguinmail/index.php/template/lorem-ipsum-ii/joomla-pages-iii/categories-list','',0,'2011-01-13 19:12:35','0000-00-00 00:00:00'),(9,'http://project.gavick.com/dziudek/joomla16/penguinmail/index.php/template/lorem-ipsum-ii/joomla-pages-ii/index.php','','http://project.gavick.com/dziudek/joomla16/penguinmail/index.php/template/lorem-ipsum-ii/joomla-pages-ii/user-login','',0,'2011-01-17 22:56:37','0000-00-00 00:00:00'),(10,'http://project.gavick.com/dziudek/joomla16/penguinmail/index.php/template/lorem-ipsum-ii/joomla-pages-i/index.php','','http://project.gavick.com/dziudek/joomla16/penguinmail/index.php/template/lorem-ipsum-ii/joomla-pages-i/single-contact','',0,'2011-01-19 11:06:04','0000-00-00 00:00:00'),(11,'http://project.gavick.com/dziudek/joomla16/penguinmail/index.php?option=non-existing-component','','http://project.gavick.com/dziudek/joomla16/penguinmail/index.php?option=com_content&view=article&id=1&Itemid=104','',0,'2011-01-20 19:09:13','0000-00-00 00:00:00'),(12,'http://project.gavick.com/dziudek/joomla16/coffe/?option=non-existing-component','','http://project.gavick.com/dziudek/joomla16/coffe/','',0,'2011-02-25 11:55:58','0000-00-00 00:00:00'),(13,'http://project.gavick.com/dziudek/joomla16/coffe/index.php?option=non-existing-component','','http://project.gavick.com/dziudek/joomla16/coffe/index.php?option=com_users&view=login','',0,'2011-02-25 14:40:57','0000-00-00 00:00:00'),(14,'http://project.gavick.com/dziudek/joomla16/appsite/index.php?option=non-existing-component','','http://project.gavick.com/dziudek/joomla16/appsite/index.php?option=com_content&view=article&id=17&Itemid=126','',0,'2011-04-19 15:41:56','0000-00-00 00:00:00'),(15,'http://project.gavick.com/bartek/J16_appphone/?option=non-existing-component','','http://project.gavick.com/bartek/J16_appphone/','',0,'2011-06-27 11:20:46','0000-00-00 00:00:00'),(16,'http://project.gavick.com/bartek/J16_appphone/index.php/template/lorem-ipsum-ii/joomla-pages-i/index.php','','http://project.gavick.com/bartek/J16_appphone/index.php/template/lorem-ipsum-ii/joomla-pages-i/single-contact','',0,'2011-06-28 22:15:50','0000-00-00 00:00:00'),(17,'http://project.gavick.com/dziudek/joomla17/j17_swiftnews/?index.php?option=com_search&ordering=newest&limit=10&searchphrase=any&searchword=joomla&tmpl','','http://project.gavick.com/dziudek/joomla17/j17_swiftnews/','',0,'2011-07-28 18:55:08','0000-00-00 00:00:00'),(18,'http://project.gavick.com/dziudek/joomla17/j17_swiftnews/index.php?option=com_user&view=login','','http://project.gavick.com/dziudek/joomla17/j17_swiftnews/index.php/template/lorem-ipsum-ii/joomla-pages-i/search-results?searchword=Search...&searchph','',0,'2011-07-28 23:22:35','0000-00-00 00:00:00'),(19,'http://project.gavick.com/dziudek/joomla17/j17_swiftnews/index.php?option=com_user&view=register','','http://project.gavick.com/dziudek/joomla17/j17_swiftnews/index.php/template/lorem-ipsum-ii/joomla-pages-i/search-results?searchword=Search...&searchph','',0,'2011-07-28 23:22:46','0000-00-00 00:00:00'),(20,'http://project.gavick.com/dziudek/joomla17/j17_swiftnews/index.php/template/lorem-ipsum/index.php','','http://project.gavick.com/dziudek/joomla17/j17_swiftnews/index.php/template/lorem-ipsum/module-variations','',0,'2011-07-30 15:43:56','0000-00-00 00:00:00'),(21,'http://project.gavick.com/dziudek/joomla17/j17_swiftnews/index.php/template/lorem-ipsum-ii/layouts/index.php','','http://project.gavick.com/dziudek/joomla17/j17_swiftnews/index.php/template/lorem-ipsum-ii/layouts/left-two-columns','',0,'2011-07-30 23:34:42','0000-00-00 00:00:00'),(22,'http://project.gavick.com/dziudek/joomla17/j17_swiftnews/index.php/template/lorem-ipsum/template-articles/index.php','','http://project.gavick.com/dziudek/joomla17/j17_swiftnews/index.php/template/lorem-ipsum/template-articles/typography','',0,'2011-07-31 14:39:57','0000-00-00 00:00:00'),(23,'http://project.gavick.com/dziudek/joomla17/j17_swiftnews/index.php/template/lorem-ipsum-ii/joomla-pages-iii/index.php','','http://project.gavick.com/dziudek/joomla17/j17_swiftnews/index.php/template/lorem-ipsum-ii/joomla-pages-iii/blog-layout','',0,'2011-07-31 19:28:14','0000-00-00 00:00:00'),(24,'http://project.gavick.com/dziudek/joomla17/j17_swiftnews/index.php/template/lorem-ipsum-ii/joomla-pages-i/index.php','','http://project.gavick.com/dziudek/joomla17/j17_swiftnews/index.php/template/lorem-ipsum-ii/joomla-pages-i/contact-categories','',0,'2011-08-02 00:35:53','0000-00-00 00:00:00'),(25,'http://project.gavick.com/dziudek/joomla17/j17_swiftnews/index.php/template/lorem-ipsum-ii/joomla-pages-ii/index.php','','http://project.gavick.com/dziudek/joomla17/j17_swiftnews/index.php/template/lorem-ipsum-ii/joomla-pages-ii/user-login','',0,'2011-08-02 17:47:17','0000-00-00 00:00:00'),(26,'http://project.gavick.com/dziudek/joomla17/j17_swiftnews/?option=non-existing-component','','http://project.gavick.com/dziudek/joomla17/j17_swiftnews/','',0,'2011-08-03 01:09:05','0000-00-00 00:00:00'),(27,'http://project.gavick.com/dziudek/joomla17/j17_swiftnews/index.php/menu-types','','http://project.gavick.com/dziudek/joomla17/j17_swiftnews/index.php/2011-06-30-23-44-4','',0,'2011-08-04 12:00:18','0000-00-00 00:00:00'),(28,'http://project.gavick.com/dziudek/joomla17/j17_swiftnews/index.php/2011-06-30-23-44-03/index.php','','http://project.gavick.com/dziudek/joomla17/j17_swiftnews/index.php/2011-06-30-23-44-03/48-al-jazeera-english-launches-in-new-york','',0,'2011-08-04 13:01:24','0000-00-00 00:00:00'),(29,'http://project.gavick.com/dziudek/joomla17/j17_swiftnews/index.php/index.php','','http://project.gavick.com/dziudek/joomla17/j17_swiftnews/index.php/business','',0,'2011-08-06 14:31:50','0000-00-00 00:00:00'),(30,'http://project.gavick.com/dziudek/joomla17/j17_swiftnews/index.php/template/2011-08-04-23-45-19/2011-08-04-23-47-02/index.php','','http://project.gavick.com/dziudek/joomla17/j17_swiftnews/index.php/template/2011-08-04-23-45-19/2011-08-04-23-47-02/k2-categories','',0,'2011-08-07 20:50:23','0000-00-00 00:00:00'),(31,'http://project.gavick.com/_updates/joomla17/twn2_clean/index.php/en/template/lorem-ipsum-ii/layouts/content-inset-both','','','',0,'2011-08-15 18:04:33','0000-00-00 00:00:00'),(32,'http://project.gavick.com/_updates/joomla17/twn2_clean/index.php/template/lorem-ipsum-ii/layouts/index.php','','http://project.gavick.com/_updates/joomla17/twn2_clean/index.php/template/lorem-ipsum-ii/layouts/content-inset-both','',0,'2011-08-15 18:19:02','0000-00-00 00:00:00'),(33,'http://project.gavick.com/dziudek/joomla17/myfolio/?option=non-existing-component','','http://project.gavick.com/dziudek/joomla17/myfolio/index.php/template/lorem-ipsum-ii/joomla-pages-iii/single-article','',0,'2011-08-29 19:31:00','0000-00-00 00:00:00'),(34,'http://project.gavick.com/dziudek/joomla17/myfolio/index.php/template/lorem-ipsum-ii/joomla-pages-i/contact-categories/11-sample-category-ii/index.php','','http://project.gavick.com/dziudek/joomla17/myfolio/index.php/template/lorem-ipsum-ii/joomla-pages-i/contact-categories/11-sample-category-ii/2-eli-man','',0,'2011-08-31 15:28:30','0000-00-00 00:00:00'),(35,'http://project.gavick.com/dziudek/joomla17/myfolio/index.php/joomla-pages-i/index.php','','http://project.gavick.com/dziudek/joomla17/myfolio/index.php/joomla-pages-i/single-contact','',0,'2011-09-08 18:13:27','0000-00-00 00:00:00'),(36,'http://project.gavick.com/dziudek/joomla17/myfolio/index.php/template/lorem-ipsum-ii/joomla-pages-i/index.php','','http://project.gavick.com/dziudek/joomla17/myfolio/index.php/template/lorem-ipsum-ii/joomla-pages-i/single-contact','',0,'2011-09-08 18:40:15','0000-00-00 00:00:00'),(37,'http://project.gavick.com/dziudek/joomla17/myfolio/index.php/2011-08-04-23-47-02/k2-latest','','','',0,'2011-09-09 00:23:38','0000-00-00 00:00:00'),(38,'http://project.gavick.com/dziudek/joomla17/myfolio/index.php/index.php','','http://project.gavick.com/dziudek/joomla17/myfolio/index.php/k2-form','',0,'2011-09-09 00:39:10','0000-00-00 00:00:00'),(39,'http://project.gavick.com/dziudek/joomla17/game_magazine/index.php/template/lorem-ipsum-ii/joomla-pages-iii/index.php',NULL,'http://project.gavick.com/dziudek/joomla17/game_magazine/index.php/template/lorem-ipsum-ii/joomla-pages-iii/single-article','',0,'2011-11-05 12:15:04','0000-00-00 00:00:00'),(40,'http://project.gavick.com/dziudek/joomla17/game_magazine/index.php/template/lorem-ipsum/index.php',NULL,'http://project.gavick.com/dziudek/joomla17/game_magazine/index.php/template/lorem-ipsum/module-variations','',0,'2011-11-05 14:29:39','0000-00-00 00:00:00'),(41,'http://project.gavick.com/dziudek/joomla17/game_magazine/index.php/2011-08-04-23-47-02/index.php',NULL,'http://project.gavick.com/dziudek/joomla17/game_magazine/index.php/2011-08-04-23-47-02/k2-item','',0,'2011-11-05 15:10:37','0000-00-00 00:00:00'),(42,'http://project.gavick.com/dziudek/joomla17/game_magazine/index.php/2011-08-04-23-47-02/k2-categories/index.php',NULL,'http://project.gavick.com/dziudek/joomla17/game_magazine/index.php/2011-08-04-23-47-02/k2-categories/photography','',0,'2011-11-06 16:08:15','0000-00-00 00:00:00'),(43,'http://project.gavick.com/dziudek/joomla17/game_magazine/index.php/2011-08-04-23-47-02/k2-categories/photography',NULL,'http://project.gavick.com/dziudek/joomla17/game_magazine/index.php/2011-08-04-23-47-02/k2-item','',0,'2011-11-06 17:42:15','0000-00-00 00:00:00'),(44,'http://project.gavick.com/dziudek/joomla17/game_magazine/index.php/2011-08-04-23-47-02/k2-categories/images/powered_by.png',NULL,'http://project.gavick.com/dziudek/joomla17/game_magazine/index.php/2011-08-04-23-47-02/k2-categories/photography','',0,'2011-11-06 17:42:15','0000-00-00 00:00:00'),(45,'http://project.gavick.com/dziudek/joomla17/game_magazine/index.php/index.php',NULL,'http://project.gavick.com/dziudek/joomla17/game_magazine/index.php/typography','',0,'2011-11-06 18:19:08','0000-00-00 00:00:00'),(46,'http://project.gavick.com/dziudek/joomla17/game_magazine/?option=non-existing-component',NULL,'http://project.gavick.com/dziudek/joomla17/game_magazine/index.php/template/lorem-ipsum/module-variations','',0,'2011-11-06 21:13:24','0000-00-00 00:00:00'),(47,'http://project.gavick.com/_updates/joomla17/game_magazine_clean/?option=non-existing-component',NULL,'http://project.gavick.com/_updates/joomla17/game_magazine_clean/','',0,'2011-11-15 21:30:12','0000-00-00 00:00:00'),(48,'http://project.gavick.com/dziudek/joomla17/music/index.php/template/lorem-ipsum/index.php',NULL,'http://project.gavick.com/dziudek/joomla17/music/index.php/template/lorem-ipsum/module-variations','',0,'2011-11-19 23:24:25','0000-00-00 00:00:00'),(49,'http://project.gavick.com/dziudek/joomla17/music/index.php/2011-08-04-23-47-02/index.php',NULL,'http://project.gavick.com/dziudek/joomla17/music/index.php/2011-08-04-23-47-02/k2-item','',0,'2011-11-21 12:25:02','0000-00-00 00:00:00'),(50,'http://project.gavick.com/dziudek/joomla17/music/index.php/template/administrator',NULL,'','',0,'2011-11-21 20:07:57','0000-00-00 00:00:00'),(51,'http://project.gavick.com/dziudek/joomla17/music/index.php/template/lorem-ipsum-ii/joomla-pages-iii/index.php',NULL,'http://project.gavick.com/dziudek/joomla17/music/index.php/template/lorem-ipsum-ii/joomla-pages-iii/single-article','',0,'2011-11-23 14:51:24','0000-00-00 00:00:00'),(52,'http://project.gavick.com/dziudek/joomla17/music/index.php/2011-08-04-23-47-02/k2-itemco',NULL,'','',0,'2011-11-27 13:20:06','0000-00-00 00:00:00'),(53,'http://project.gavick.com/dziudek/joomla17/music/?option=non-existing-component',NULL,'http://project.gavick.com/dziudek/joomla17/music/','',0,'2011-11-27 13:46:52','0000-00-00 00:00:00'),(54,'http://project.gavick.com/dziudek/joomla17/music/index.php/template/lorem-ipsum/module-variation',NULL,'','',0,'2011-11-28 18:24:48','0000-00-00 00:00:00'),(55,'http://project.gavick.com/dziudek/joomla17/music/index.php/template/lorem-ipsum-ii/joomla-pages-i/index.php',NULL,'http://project.gavick.com/dziudek/joomla17/music/index.php/template/lorem-ipsum-ii/joomla-pages-i/search-results?searchword=news&ordering=newest&searc','',0,'2011-11-29 12:26:39','0000-00-00 00:00:00'),(56,'http://project.gavick.com/dziudek/joomla17/music/index.php/2011-08-04-23-47-02/k2-categories/popular-games',NULL,'http://project.gavick.com/dziudek/joomla17/music/index.php/2011-08-04-23-47-02/k2-categories/newest-games','',0,'2011-11-29 23:20:38','0000-00-00 00:00:00'),(57,'http://project.gavick.com/_updates/joomla17/music_clean/index.php?Itemid=350',NULL,'http://project.gavick.com/_updates/joomla17/music_clean/index.php/blog','',0,'2011-12-01 22:32:44','0000-00-00 00:00:00');


--
-- Table structure for table `#__schemas`
--



CREATE TABLE `#__schemas` (
  `extension_id` int(11) NOT NULL,
  `version_id` varchar(20) NOT NULL,
  PRIMARY KEY (`extension_id`,`version_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__schemas`
--





--
-- Table structure for table `#__session`
--



CREATE TABLE `#__session` (
  `session_id` varchar(200) NOT NULL DEFAULT '',
  `client_id` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `guest` tinyint(4) unsigned DEFAULT '1',
  `time` varchar(14) DEFAULT '',
  `data` mediumtext,
  `userid` int(11) DEFAULT '0',
  `username` varchar(150) DEFAULT '',
  `usertype` varchar(50) DEFAULT '',
  PRIMARY KEY (`session_id`),
  KEY `whosonline` (`guest`,`usertype`),
  KEY `userid` (`userid`),
  KEY `time` (`time`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__session`
--


INSERT INTO `#__session` (`session_id`, `client_id`, `guest`, `time`, `data`, `userid`, `username`, `usertype`) VALUES ('a987f18bad612619f739c26cf042fe0b',1,0,'1322833111','__default|a:8:{s:15:\"session.counter\";i:6;s:19:\"session.timer.start\";i:1322833099;s:18:\"session.timer.last\";i:1322833110;s:17:\"session.timer.now\";i:1322833110;s:22:\"session.client.browser\";s:117:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_7_2) AppleWebKit/535.2 (KHTML, like Gecko) Chrome/15.0.874.121 Safari/535.2\";s:8:\"registry\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":2:{s:11:\"application\";O:8:\"stdClass\":1:{s:4:\"lang\";s:0:\"\";}s:13:\"com_templates\";O:8:\"stdClass\":2:{s:6:\"styles\";O:8:\"stdClass\":1:{s:10:\"limitstart\";i:0;}s:4:\"edit\";O:8:\"stdClass\":1:{s:5:\"style\";O:8:\"stdClass\":2:{s:2:\"id\";a:1:{i:0;i:11;}s:4:\"data\";N;}}}}}s:4:\"user\";O:5:\"JUser\":23:{s:9:\"\0*\0isRoot\";b:1;s:2:\"id\";s:2:\"42\";s:4:\"name\";s:10:\"Super User\";s:8:\"username\";s:5:\"admin\";s:5:\"email\";s:18:\"dziudek@gavick.com\";s:8:\"password\";s:65:\"4ff3b577c97eae8e8d2a626bc23728b5:7iyyn2QkdWNFjjZg5VFhGM1YafsUkufz\";s:14:\"password_clear\";s:0:\"\";s:8:\"usertype\";s:10:\"deprecated\";s:5:\"block\";s:1:\"0\";s:9:\"sendEmail\";s:1:\"1\";s:12:\"registerDate\";s:19:\"2011-10-28 22:53:29\";s:13:\"lastvisitDate\";s:19:\"2011-12-02 00:54:39\";s:10:\"activation\";s:0:\"\";s:6:\"params\";s:92:\"{\"admin_style\":\"\",\"admin_language\":\"\",\"language\":\"\",\"editor\":\"\",\"helpsite\":\"\",\"timezone\":\"\"}\";s:6:\"groups\";a:1:{s:11:\"Super Users\";s:1:\"8\";}s:5:\"guest\";i:0;s:10:\"\0*\0_params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":6:{s:11:\"admin_style\";s:0:\"\";s:14:\"admin_language\";s:0:\"\";s:8:\"language\";s:0:\"\";s:6:\"editor\";s:0:\"\";s:8:\"helpsite\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}}s:14:\"\0*\0_authGroups\";a:2:{i:0;i:1;i:1;i:8;}s:14:\"\0*\0_authLevels\";a:4:{i:0;i:1;i:1;i:1;i:2;i:2;i:3;i:3;}s:15:\"\0*\0_authActions\";N;s:12:\"\0*\0_errorMsg\";N;s:10:\"\0*\0_errors\";a:0:{}s:3:\"aid\";i:0;}s:13:\"session.token\";s:32:\"0e8255bc0a643a9b4367a155d7feb44c\";}',42,'admin',''),('ef0a99486a759d8a31366566a8968c0b',0,1,'1322833055','__default|a:9:{s:15:\"session.counter\";i:1;s:19:\"session.timer.start\";i:1322833048;s:18:\"session.timer.last\";i:1322833048;s:17:\"session.timer.now\";i:1322833048;s:22:\"session.client.browser\";s:117:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_7_2) AppleWebKit/535.2 (KHTML, like Gecko) Chrome/15.0.874.121 Safari/535.2\";s:8:\"registry\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":0:{}}s:4:\"user\";O:5:\"JUser\":23:{s:9:\"\0*\0isRoot\";b:0;s:2:\"id\";i:0;s:4:\"name\";N;s:8:\"username\";N;s:5:\"email\";N;s:8:\"password\";N;s:14:\"password_clear\";s:0:\"\";s:8:\"usertype\";N;s:5:\"block\";N;s:9:\"sendEmail\";i:0;s:12:\"registerDate\";N;s:13:\"lastvisitDate\";N;s:10:\"activation\";N;s:6:\"params\";N;s:6:\"groups\";a:0:{}s:5:\"guest\";i:1;s:10:\"\0*\0_params\";O:9:\"JRegistry\":1:{s:7:\"\0*\0data\";O:8:\"stdClass\":0:{}}s:14:\"\0*\0_authGroups\";a:1:{i:0;s:1:\"1\";}s:14:\"\0*\0_authLevels\";a:2:{i:0;i:1;i:1;i:1;}s:15:\"\0*\0_authActions\";N;s:12:\"\0*\0_errorMsg\";N;s:10:\"\0*\0_errors\";a:0:{}s:3:\"aid\";i:0;}s:13:\"session.token\";s:32:\"ecfb97ec38bb16e47a96d27a17dfba11\";s:16:\"com_mailto.links\";a:3:{s:40:\"249ca05bb50f5b7ad2d86922b8227c4a3296a63b\";O:8:\"stdClass\":2:{s:4:\"link\";s:97:\"http://project.gavick.com/_updates/joomla17/music_clean/index.php/joomla-pages-iii/single-article\";s:6:\"expiry\";i:1322833050;}s:40:\"60522e919aad9237dcdfa4816139287a8ce00430\";O:8:\"stdClass\":2:{s:4:\"link\";s:129:\"http://project.gavick.com/_updates/joomla17/music_clean/index.php/blog/47-sugarland-reuniting-missouri-family-at-cmt-music-awards\";s:6:\"expiry\";i:1322833050;}s:40:\"60c9bf6cc785ac497df07b15019a40386bc40f5c\";O:8:\"stdClass\":2:{s:4:\"link\";s:122:\"http://project.gavick.com/_updates/joomla17/music_clean/index.php/blog/45-shakira-links-up-with-beau-gerard-pique-in-paris\";s:6:\"expiry\";i:1322833050;}}}',0,'','');


--
-- Table structure for table `#__template_styles`
--



CREATE TABLE `#__template_styles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `template` varchar(50) NOT NULL DEFAULT '',
  `client_id` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `home` char(7) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_template` (`template`),
  KEY `idx_home` (`home`)
) ENGINE=MyISAM AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__template_styles`
--


INSERT INTO `#__template_styles` (`id`, `template`, `client_id`, `home`, `title`, `params`) VALUES (2,'bluestork',1,'1','Bluestork - Default','{\"useRoundedCorners\":\"1\",\"showSiteName\":\"0\"}'),(3,'atomic',0,'0','Atomic - Default','{}'),(4,'beez_20',0,'0','Beez2 - Default','{\"wrapperSmall\":\"53\",\"wrapperLarge\":\"72\",\"logo\":\"images\\/joomla_black.gif\",\"sitetitle\":\"Joomla!\",\"sitedescription\":\"Open Source Content Management\",\"navposition\":\"left\",\"templatecolor\":\"personal\",\"html5\":\"0\"}'),(5,'hathor',1,'0','Hathor - Default','{\"showSiteName\":\"0\",\"colourChoice\":\"\",\"boldText\":\"0\"}'),(6,'beez5',0,'0','Beez5 - Default-Fruit Shop','{\"wrapperSmall\":\"53\",\"wrapperLarge\":\"72\",\"logo\":\"images\\/sampledata\\/fruitshop\\/fruits.gif\",\"sitetitle\":\"Matuna Market \",\"sitedescription\":\"Fruit Shop Sample Site\",\"navposition\":\"left\",\"html5\":\"0\"}'),(11,'gk_music',0,'1','gk_music - Default','{\"template_color\":\"1\",\"mainbody_frontpage\":\"only_mainbody\",\"mainbody_subpage\":\"only_component\",\"messages_position\":\"message-position-2\",\"default_layout\":\"default\",\"facebook_layout\":\"facebook\",\"iphone_layout\":\"iphone\",\"android_layout\":\"android\",\"handheld_layout\":\"handheld\",\"layout_override\":\"\",\"template_width\":\"1085px\",\"left_column_width\":\"20\",\"left2_column_width\":\"50\",\"right_column_width\":\"32\",\"right2_column_width\":\"54\",\"inset_column_width\":\"51\",\"inset2_column_width\":\"30\",\"user1_6_widest_value\":\"0\",\"user1_6_widest\":\"user1\",\"user7_12_widest_value\":\"0\",\"user7_12_widest\":\"user7\",\"top1_6_widest_value\":\"0\",\"top1_6_widest\":\"top1\",\"top7_12_widest_value\":\"0\",\"top7_12_widest\":\"top7\",\"bottom1_6_widest_value\":\"0\",\"bottom1_6_widest\":\"bottom1\",\"bottom7_12_widest_value\":\"0\",\"bottom7_12_widest\":\"bottom7\",\"font_name_group1\":\"standard;Arial, Helvetica, sans-serif\",\"font_rules_group1\":\"body\",\"font_name_group2\":\"google;Open+Sans:600\",\"font_rules_group2\":\"#gkButtons div a, \\r\\n.button, button, \\r\\nbutton.button, \\r\\n.pagenav-next a, \\r\\n.pagenav-prev a,\\r\\n.k2ReadMore,\\r\\n#gkHeader ul.gkTabs li,\\r\\n.gkIsWrapper-gk_music .gkIsSlide h3 a,\\r\\nh1#gkLogo.text,\\r\\n#gkBottomWrap .box > div > h3.header, #gkBottomWrap .box_menu > div > h3.header, #gkBottomWrap .box_text > div > h3.header,\\r\\n.nspArt h4.nspHeader,\\r\\n\\r\\n#community-wrap .profile-details .label,\\r\\n#community-wrap .cProfile-About h4,\\r\\n#community-wrap .cFeed-item .newsfeed-content-actor,\\r\\n.cFeed-item .newsfeed-content-actor,\\r\\n#community-wrap .group-info .cparam,\\r\\n#community-wrap .event-info .cparam,\\r\\n#community-wrap .ctitle,\\r\\n#community-wrap .jsDetail .small a\",\"font_name_group3\":\"google;Hammersmith+One\",\"font_rules_group3\":\"h1,\\r\\nh2,\\r\\n#gkMainMenu > div > ul > li > a,\\r\\n.box h3.header,\\r\\n.box_menu h3.header,\\r\\n.box_text h3.header,\\r\\n.itemHeader .itemTitle, .genericItemTitle, .catItemHeader .catItemTitle,\\r\\n.ribbonEl,\\r\\n.gkIsWrapper-gk_music .gkIsTitleBlock,\\r\\n#gkMainMenu > div > ul div.childcontent .group-title .menu-title,\\r\\ndl#tabs dt h3,\\r\\ndiv#sliders div.panel h3.title,\\r\\ndiv#article-index h3,\\r\\n.gkPopupWrap h3,\\r\\np.numblocks span,\\r\\n\\r\\n\\r\\n#community-wrap h1,\\r\\n#community-wrap h2,\\r\\n#community-wrap h3,\\r\\n#community-wrap h4,\\r\\nbody #community-wrap div.greybox a#joinButton\",\"logo_type\":\"css\",\"mobile_logo_type\":\"css\",\"logo_image\":\"images\\/powered_by.png\",\"mobile_logo_image\":\"\",\"logo_text\":\"music\",\"logo_slogan\":\"Joomla! Portal Template\",\"print_logo\":\"\",\"print_behaviour\":\"nothing\",\"favicon_image\":\"\",\"stylearea\":\"1\",\"framework_logo\":\"1\",\"copyrights\":\"Template Design \\u00a9 Joomla Templates | GavickPro. All rights reserved.\",\"webmaster_contact\":\"dziudek@gavick.com\",\"google_analytics\":\"\",\"tools\":\"all\",\"tools_for_pages\":\"\",\"mootools_for_pages\":\"104=Disabled\\r\\n\",\"suffix_override\":\"\",\"module_override\":\"\",\"typography\":\"1\",\"typo_iconset1\":\"1\",\"menu_name\":\"mainmenu\",\"menu_type\":\"gk_menu\",\"startlevel\":\"0\",\"endlevel\":\"-1\",\"menu_animation\":\"slide_fade\",\"menu_height\":\"1\",\"menu_width\":\"1\",\"menu_duration\":\"250\",\"menu_override\":\"304=gk_menu\\r\\n305=gk_dropline\\r\\n306=gk_split\\r\\n\",\"mobile_menu_name\":\"mobile-menu\",\"mobile_login\":\"1\",\"mobile_register\":\"1\",\"mobile_desktop\":\"1\",\"mobile_search\":\"1\",\"mobile_collapsible\":\"1\",\"fb_api_id\":\"171342606239806\",\"fb_lang\":\"en_US\",\"fb_login\":\"1\",\"fb_like\":\"1\",\"fb_like_send\":\"0\",\"fb_like_layout\":\"standard\",\"fb_like_show_faces\":\"false\",\"fb_like_width\":\"320\",\"fb_like_action\":\"like\",\"fb_like_font\":\"verdana\",\"fb_like_colorscheme\":\"light\",\"google_plus\":\"1\",\"google_plus_count\":\"1\",\"google_plus_size\":\"medium\",\"google_plus_lang\":\"en-GB\",\"tweet_btn\":\"1\",\"tweet_btn_data_count\":\"horizontal\",\"tweet_btn_data_via\":\"\",\"tweet_btn_data_lang\":\"en\",\"digg_btn\":\"1\",\"digg_btn_style\":\"DiggCompact\",\"delicious_btn\":\"1\",\"instapaper_btn\":\"1\",\"excluded_arts\":\"\",\"excluded_cats\":[\"7\",\"8\",\"9\"],\"selectivizr\":\"0\",\"reset_css\":\"meyer\",\"use_gk_cache\":\"0\",\"css_cache\":\"0\",\"css_compression\":\"0\",\"css_override\":\"0\",\"css_custom\":\"\",\"chrome_frame_support\":\"0\",\"ie6bar\":\"1\"}');


--
-- Table structure for table `#__update_categories`
--



CREATE TABLE `#__update_categories` (
  `categoryid` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(20) DEFAULT '',
  `description` text NOT NULL,
  `parent` int(11) DEFAULT '0',
  `updatesite` int(11) DEFAULT '0',
  PRIMARY KEY (`categoryid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Update Categories';


--
-- Dumping data for table `#__update_categories`
--




--
-- Table structure for table `#__update_sites`
--



CREATE TABLE `#__update_sites` (
  `update_site_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `location` text NOT NULL,
  `enabled` int(11) DEFAULT '0',
  PRIMARY KEY (`update_site_id`)
) ENGINE=MyISAM AUTO_INCREMENT=10 DEFAULT CHARSET=utf8 COMMENT='Update Sites';


--
-- Dumping data for table `#__update_sites`
--


INSERT INTO `#__update_sites` (`update_site_id`, `name`, `type`, `location`, `enabled`) VALUES (1,'Joomla Core','collection','http://update.joomla.org/core/list.xml',1),(2,'Joomla Extension Directory','collection','http://update.joomla.org/jed/list.xml',1);


--
-- Table structure for table `#__update_sites_extensions`
--



CREATE TABLE `#__update_sites_extensions` (
  `update_site_id` int(11) NOT NULL DEFAULT '0',
  `extension_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`update_site_id`,`extension_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Links extensions to update sites';


--
-- Dumping data for table `#__update_sites_extensions`
--


INSERT INTO `#__update_sites_extensions` (`update_site_id`, `extension_id`) VALUES (1,700),(2,700);


--
-- Table structure for table `#__updates`
--



CREATE TABLE `#__updates` (
  `update_id` int(11) NOT NULL AUTO_INCREMENT,
  `update_site_id` int(11) DEFAULT '0',
  `extension_id` int(11) DEFAULT '0',
  `categoryid` int(11) DEFAULT '0',
  `name` varchar(100) DEFAULT '',
  `description` text NOT NULL,
  `element` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `folder` varchar(20) DEFAULT '',
  `client_id` tinyint(3) DEFAULT '0',
  `version` varchar(10) DEFAULT '',
  `data` text NOT NULL,
  `detailsurl` text NOT NULL,
  PRIMARY KEY (`update_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Available Updates';


--
-- Dumping data for table `#__updates`
--




--
-- Table structure for table `#__user_profiles`
--



CREATE TABLE `#__user_profiles` (
  `user_id` int(11) NOT NULL,
  `profile_key` varchar(100) NOT NULL,
  `profile_value` varchar(255) NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  UNIQUE KEY `idx_user_id_profile_key` (`user_id`,`profile_key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Simple user profile storage table';


--
-- Dumping data for table `#__user_profiles`
--




--
-- Table structure for table `#__user_usergroup_map`
--



CREATE TABLE `#__user_usergroup_map` (
  `user_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Foreign Key to #__users.id',
  `group_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Foreign Key to #__usergroups.id',
  PRIMARY KEY (`user_id`,`group_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__user_usergroup_map`
--


INSERT INTO `#__user_usergroup_map` (`user_id`, `group_id`) VALUES (42,8),(45,2),(55,2),(56,2),(57,2),(58,2),(59,2),(60,2),(61,2),(62,2),(63,2),(64,2),(65,2),(66,2),(67,2),(68,2),(69,2),(70,2),(71,2),(72,2),(73,2),(74,2);


--
-- Table structure for table `#__usergroups`
--



CREATE TABLE `#__usergroups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Adjacency List Reference Id',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `title` varchar(100) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_usergroup_parent_title_lookup` (`parent_id`,`title`),
  KEY `idx_usergroup_title_lookup` (`title`),
  KEY `idx_usergroup_adjacency_lookup` (`parent_id`),
  KEY `idx_usergroup_nested_set_lookup` (`lft`,`rgt`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__usergroups`
--


INSERT INTO `#__usergroups` (`id`, `parent_id`, `lft`, `rgt`, `title`) VALUES (1,0,1,20,'Public'),(2,1,6,17,'Registered'),(3,2,7,14,'Author'),(4,3,8,11,'Editor'),(5,4,9,10,'Publisher'),(6,1,2,5,'Manager'),(7,6,3,4,'Administrator'),(8,1,18,19,'Super Users');


--
-- Table structure for table `#__users`
--



CREATE TABLE `#__users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `username` varchar(150) NOT NULL DEFAULT '',
  `email` varchar(100) NOT NULL DEFAULT '',
  `password` varchar(100) NOT NULL DEFAULT '',
  `usertype` varchar(25) NOT NULL DEFAULT '',
  `block` tinyint(4) NOT NULL DEFAULT '0',
  `sendEmail` tinyint(4) DEFAULT '0',
  `registerDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `lastvisitDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `activation` varchar(100) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `usertype` (`usertype`),
  KEY `idx_name` (`name`),
  KEY `idx_block` (`block`),
  KEY `username` (`username`),
  KEY `email` (`email`)
) ENGINE=MyISAM AUTO_INCREMENT=75 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__users`
--


INSERT INTO `#__users` (`id`, `name`, `username`, `email`, `password`, `usertype`, `block`, `sendEmail`, `registerDate`, `lastvisitDate`, `activation`, `params`) VALUES (42,'Super User','admin','dziudek@gavick.com','4ff3b577c97eae8e8d2a626bc23728b5:7iyyn2QkdWNFjjZg5VFhGM1YafsUkufz','deprecated',0,1,'2011-10-28 22:53:29','2011-12-02 13:38:22','','{\"admin_style\":\"\",\"admin_language\":\"\",\"language\":\"\",\"editor\":\"\",\"helpsite\":\"\",\"timezone\":\"\"}'),(55,'Konto Testowe','pm@gavick.com','pm@gavick.com','63c85339a839d596dfcca9a707fd4fff:7Mai0JqYKYe1PBTLUK03IfrUWLrhvo7L','deprecated',0,0,'2011-09-10 23:16:05','2011-11-30 19:53:37','','{\"admin_style\":\"\",\"admin_language\":\"\",\"language\":\"\",\"editor\":\"\",\"helpsite\":\"\",\"timezone\":\"\"}'),(56,'User1','user1','user@eee.pt','cc9724b82549f9914acd41d3db788f72:q5V4kD5o1jrQKoWCoCxWcLang5eKsN03','',0,0,'2011-11-24 20:26:45','2011-11-30 20:13:40','','{\"admin_style\":\"\",\"admin_language\":\"\",\"language\":\"\",\"editor\":\"\",\"helpsite\":\"\",\"timezone\":\"\"}'),(57,'User2','user2','user2@eee.pt','7f9be04c6f77b10f4b58b62d5093c08d:7Uylb5AXmu5FbuHohIP3Iu2u26jZv8zs','',0,0,'2011-11-24 20:27:07','2011-11-30 20:16:25','','{\"admin_style\":\"\",\"admin_language\":\"\",\"language\":\"\",\"editor\":\"\",\"helpsite\":\"\",\"timezone\":\"\"}'),(58,'User3','user','user3@eee.pt','11377aae362c7773aa1481272fa390a0:oquNxd9buOmrbqzkoDP6YswYTFzIc9Nf','',0,0,'2011-11-24 20:27:42','2011-11-30 20:19:30','','{\"admin_style\":\"\",\"admin_language\":\"\",\"language\":\"\",\"editor\":\"\",\"helpsite\":\"\",\"timezone\":\"\"}'),(59,'User4','user4','user4@eee.pt','870421e7da2d0e87e029361836ea3928:5K08e35WrbZaAPk6EZZewtdhq914I9P4','',0,0,'2011-11-24 20:28:02','2011-11-27 20:51:33','','{\"admin_style\":\"\",\"admin_language\":\"\",\"language\":\"\",\"editor\":\"\",\"helpsite\":\"\",\"timezone\":\"\"}'),(60,'User5','user5','user5@eee.pt','5d01ed34e530a5d0baa6de44296e796a:r6s6VBZt73hmKIAm6WozxKxVMa6twQUm','',0,0,'2011-11-24 20:28:24','2011-11-27 19:23:00','','{\"admin_style\":\"\",\"admin_language\":\"\",\"language\":\"\",\"editor\":\"\",\"helpsite\":\"\",\"timezone\":\"\"}'),(61,'User6','user6','user6@eee.pt','7eb38c5e629430569bf35edd509eadb2:wBHNYKxx3eKJQPl5o0CTGXUdjZV3Z3kl','',0,0,'2011-11-24 20:28:55','2011-11-27 21:34:12','','{\"admin_style\":\"\",\"admin_language\":\"\",\"language\":\"\",\"editor\":\"\",\"helpsite\":\"\",\"timezone\":\"\"}'),(62,'User7','user7','user7@eee.pt','d7eebb2becbe7c0763536b7654bb3d32:AorDu6eEc1i01VgPSJp66Y9hFEIhmqbz','',0,0,'2011-11-24 20:29:21','2011-11-27 21:44:45','','{\"admin_style\":\"\",\"admin_language\":\"\",\"language\":\"\",\"editor\":\"\",\"helpsite\":\"\",\"timezone\":\"\"}'),(63,'User8','user8','user8@eee.pt','94d5c8d3cf542f1fc5dd24cfceb6fb2c:QKKDpopJJTEbPbEmsDA9UVitDRuiQKNi','',0,0,'2011-11-24 20:29:39','2011-11-27 21:02:54','','{\"admin_style\":\"\",\"admin_language\":\"\",\"language\":\"\",\"editor\":\"\",\"helpsite\":\"\",\"timezone\":\"\"}'),(64,'User9','user9','user9@eee.pt','e3b90256f2d05329c0e4673d983b148c:9cYPWNm2AhzBfG0HTXStCMvKYCUn30X0','',0,0,'2011-11-24 20:30:04','2011-11-27 20:56:18','','{\"admin_style\":\"\",\"admin_language\":\"\",\"language\":\"\",\"editor\":\"\",\"helpsite\":\"\",\"timezone\":\"\"}'),(65,'User10','user10','user10@eee.pt','6ed8410e15d436946c176650691f5e7a:I8gKyNqEOCeKaMI89k3kRYTQ1PM5T4oV','',0,0,'2011-11-24 20:30:28','2011-11-27 22:02:35','','{\"admin_style\":\"\",\"admin_language\":\"\",\"language\":\"\",\"editor\":\"\",\"helpsite\":\"\",\"timezone\":\"\"}'),(66,'User12','user12','user12@eee.pt','b0468724077467723e40e44dbaf7143a:0xvxXjGxPxNYJpE1etRnBIA5s1JPB9nJ','',0,0,'2011-11-24 20:30:57','2011-11-27 21:59:49','','{\"admin_style\":\"\",\"admin_language\":\"\",\"language\":\"\",\"editor\":\"\",\"helpsite\":\"\",\"timezone\":\"\"}'),(67,'User13','user13','user13@eee.pt','4f688a12bdcdcd959d56f697e15323a8:UfaYTJVUNAicOvRpHKNyo0SRgkrk0C0d','',0,0,'2011-11-24 20:31:39','2011-11-27 20:55:04','','{\"admin_style\":\"\",\"admin_language\":\"\",\"language\":\"\",\"editor\":\"\",\"helpsite\":\"\",\"timezone\":\"\"}'),(68,'User14','user14','user14@eee.pt','0db7d4e0d1a338ad5f54a6bb9ffba5b3:AI11rL2G7z2u2cCMqCthBcu3Qxd1M8CA','',0,0,'2011-11-24 20:32:04','2011-11-27 21:10:40','','{\"admin_style\":\"\",\"admin_language\":\"\",\"language\":\"\",\"editor\":\"\",\"helpsite\":\"\",\"timezone\":\"\"}'),(69,'User15','user15','user15@eee.com','03113ee7df23a832d07b70aa0e2f86ba:KDPm7MiT8fweQxE0qpld2NkVIlhWkitx','',0,0,'2011-11-24 20:32:23','2011-11-27 22:03:32','','{\"admin_style\":\"\",\"admin_language\":\"\",\"language\":\"\",\"editor\":\"\",\"helpsite\":\"\",\"timezone\":\"\"}'),(70,'User16','user16','user16@eee.pt','f6179ea6644e4fdb1ed0c9f5d377b2a1:psucD3WFpjob5WInJq1Xt3ljBiH7GOgw','',0,0,'2011-11-24 20:32:44','2011-11-27 21:05:43','','{\"admin_style\":\"\",\"admin_language\":\"\",\"language\":\"\",\"editor\":\"\",\"helpsite\":\"\",\"timezone\":\"\"}'),(71,'User17','user17','user17@eee.pt','73e64501212914c6fa30f1c065eef2a1:BaIGszMZNXhYGKltOWt1tD8yjfCzSoRV','',0,0,'2011-11-24 20:33:19','2011-11-27 20:54:15','','{\"admin_style\":\"\",\"admin_language\":\"\",\"language\":\"\",\"editor\":\"\",\"helpsite\":\"\",\"timezone\":\"\"}'),(72,'User18','user18','user18@eee.pt','3aeee6702bf9d5536ee3209c8c8a6c83:5sQN8sCOExCTneyDvv6baXMi3kGZNkfA','',0,0,'2011-11-24 20:33:42','2011-11-27 20:48:05','','{\"admin_style\":\"\",\"admin_language\":\"\",\"language\":\"\",\"editor\":\"\",\"helpsite\":\"\",\"timezone\":\"\"}'),(73,'User 19','user19','user19@eee.com','5ed25708446f165b5805c10f79819520:xcFGNmu3osUZs4705XdL4rOsxmhGfwuX','',0,0,'2011-11-30 19:54:39','2011-11-30 20:19:39','','{\"admin_style\":\"\",\"admin_language\":\"\",\"language\":\"\",\"editor\":\"\",\"helpsite\":\"\",\"timezone\":\"\"}'),(74,'User 20','user20','user20@eee.com','40cf76900da8f4dbaa395f2ff6659e6a:arwaLYnaSXVnnTUMtDCXMnmXzcNGFlYV','',0,0,'2011-12-01 00:58:14','2011-12-01 00:58:30','','{\"admin_style\":\"\",\"admin_language\":\"\",\"language\":\"\",\"editor\":\"\",\"helpsite\":\"\",\"timezone\":\"\"}');


--
-- Table structure for table `#__viewlevels`
--



CREATE TABLE `#__viewlevels` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `title` varchar(100) NOT NULL DEFAULT '',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_assetgroup_title_lookup` (`title`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__viewlevels`
--


INSERT INTO `#__viewlevels` (`id`, `title`, `ordering`, `rules`) VALUES (1,'Public',0,'[1]'),(2,'Registered',1,'[6,2,8]'),(3,'Special',2,'[6,3,8]');


--
-- Table structure for table `#__weblinks`
--



CREATE TABLE `#__weblinks` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `catid` int(11) NOT NULL DEFAULT '0',
  `sid` int(11) NOT NULL DEFAULT '0',
  `title` varchar(250) NOT NULL DEFAULT '',
  `alias` varchar(255) NOT NULL DEFAULT '',
  `url` varchar(250) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hits` int(11) NOT NULL DEFAULT '0',
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `archived` tinyint(1) NOT NULL DEFAULT '0',
  `approved` tinyint(1) NOT NULL DEFAULT '1',
  `access` int(11) NOT NULL DEFAULT '1',
  `params` text NOT NULL,
  `language` char(7) NOT NULL DEFAULT '',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if link is featured.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=MyISAM AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;


--
-- Dumping data for table `#__weblinks`
--


INSERT INTO `#__weblinks` (`id`, `catid`, `sid`, `title`, `alias`, `url`, `description`, `date`, `hits`, `state`, `checked_out`, `checked_out_time`, `ordering`, `archived`, `approved`, `access`, `params`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`) VALUES (1,12,0,'Joomla! 1.6','joomla-16','http://www.joomla.org','<p>Joomla! CMS offical site.</p>','0000-00-00 00:00:00',0,1,0,'0000-00-00 00:00:00',1,0,1,1,'{\"target\":\"\",\"width\":\"\",\"height\":\"\",\"count_clicks\":\"\"}','*','2011-01-13 15:02:04',42,'','2011-01-13 15:02:15',42,'','','',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00'),(2,12,0,'Joomla Extensions','joomla-extensions','http://extensions.joomla.org','<p>Joomla extensions.</p>','0000-00-00 00:00:00',0,1,0,'0000-00-00 00:00:00',2,0,1,1,'{\"target\":\"\",\"width\":\"\",\"height\":\"\",\"count_clicks\":\"\"}','*','2011-01-13 15:02:54',42,'','0000-00-00 00:00:00',0,'','','',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00'),(3,12,0,'Joomla documentation','joomla-documentation','http://docs.joomla.org','<p>Full Joomla! documentation.</p>','0000-00-00 00:00:00',0,1,0,'0000-00-00 00:00:00',3,0,1,1,'{\"target\":\"\",\"width\":\"\",\"height\":\"\",\"count_clicks\":\"\"}','*','2011-01-13 15:03:23',42,'','0000-00-00 00:00:00',0,'','','',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00'),(4,13,0,'GavickPro Demo','demo-gavick','http://demo.gavick.com','','0000-00-00 00:00:00',0,1,0,'0000-00-00 00:00:00',4,0,1,1,'{\"target\":\"\",\"width\":\"\",\"height\":\"\",\"count_clicks\":\"\"}','*','2011-01-13 15:06:17',42,'','2011-01-13 15:12:26',42,'','','',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00'),(5,13,0,'GavickPro Magazine','gavick-magazine','http://www.gavickmagazine.com','','0000-00-00 00:00:00',0,1,0,'0000-00-00 00:00:00',5,0,1,1,'{\"target\":\"\",\"width\":\"\",\"height\":\"\",\"count_clicks\":\"\"}','*','2011-01-13 15:09:14',42,'','2011-01-13 15:13:34',42,'','','',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00'),(6,13,0,'GavickPro Homepage','gavickpro-homepage','http://www.gavick.com','','0000-00-00 00:00:00',0,1,0,'0000-00-00 00:00:00',6,0,1,1,'{\"target\":\"\",\"width\":\"\",\"height\":\"\",\"count_clicks\":\"\"}','*','2011-01-13 15:13:15',42,'','2011-01-13 15:13:24',42,'','','',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00'),(7,13,0,'GavickPro Tools','gavickpro-tools','http://tools.gavick.com/','','0000-00-00 00:00:00',0,1,0,'0000-00-00 00:00:00',7,0,1,1,'{\"target\":\"\",\"width\":\"\",\"height\":\"\",\"count_clicks\":\"\"}','*','2011-01-13 15:14:11',42,'','0000-00-00 00:00:00',0,'','','',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00'),(8,13,0,'GavickPro Twitter','gavickpro-twitter','http://twitter.com/gavickpro','','0000-00-00 00:00:00',0,1,0,'0000-00-00 00:00:00',8,0,1,1,'{\"target\":\"\",\"width\":\"\",\"height\":\"\",\"count_clicks\":\"\"}','*','2011-01-13 15:15:04',42,'','0000-00-00 00:00:00',0,'','','',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00'),(9,13,0,'GavickPro Facebook','gavickpro-facebook','http://www.facebook.com/gavickpro','','0000-00-00 00:00:00',0,1,0,'0000-00-00 00:00:00',9,0,1,1,'{\"target\":\"\",\"width\":\"\",\"height\":\"\",\"count_clicks\":\"\"}','*','2011-01-13 15:15:30',42,'','0000-00-00 00:00:00',0,'','','',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00'),(10,13,0,'GavickPro Updates','gavickpro-updates','http://www.gavick.com/support/updates.html','','0000-00-00 00:00:00',0,1,0,'0000-00-00 00:00:00',10,0,1,1,'{\"target\":\"\",\"width\":\"\",\"height\":\"\",\"count_clicks\":\"\"}','*','2011-01-13 15:16:04',42,'','0000-00-00 00:00:00',0,'','','',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00'),(11,13,0,'Join us!','join-us','http://www.gavick.com/home/join-us.html','','0000-00-00 00:00:00',0,1,0,'0000-00-00 00:00:00',11,0,1,1,'{\"target\":\"\",\"width\":\"\",\"height\":\"\",\"count_clicks\":\"\"}','*','2011-01-13 15:17:14',42,'','0000-00-00 00:00:00',0,'','','',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00'),(12,13,0,'GavickPro RSS & News','gavickpro-rss-a-news','http://www.gavickmagazine.com/index.php?format=feed&type=rss','','0000-00-00 00:00:00',0,1,0,'0000-00-00 00:00:00',12,0,1,1,'{\"target\":\"\",\"width\":\"\",\"height\":\"\",\"count_clicks\":\"\"}','*','2011-01-13 15:19:20',42,'','0000-00-00 00:00:00',0,'','','',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00');








-- Dump completed on 2011-12-02 14:42:04
